#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2742
#define LARGE_STATE_COUNT 591
#define SYMBOL_COUNT 431
#define ALIAS_COUNT 0
#define TOKEN_COUNT 196
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 31
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 216

enum ts_symbol_identifiers {
  sym_name = 1,
  sym_php_tag = 2,
  anon_sym_QMARK_GT = 3,
  aux_sym_text_token1 = 4,
  aux_sym_text_token2 = 5,
  anon_sym_SEMI = 6,
  anon_sym_AMP = 7,
  aux_sym_function_static_declaration_token1 = 8,
  anon_sym_COMMA = 9,
  anon_sym_EQ = 10,
  aux_sym_global_declaration_token1 = 11,
  aux_sym_namespace_definition_token1 = 12,
  aux_sym_namespace_use_declaration_token1 = 13,
  aux_sym_namespace_use_clause_token1 = 14,
  aux_sym__namespace_use_type_token1 = 15,
  aux_sym__namespace_use_type_token2 = 16,
  anon_sym_BSLASH = 17,
  anon_sym_LBRACE = 18,
  anon_sym_RBRACE = 19,
  aux_sym_trait_declaration_token1 = 20,
  aux_sym_interface_declaration_token1 = 21,
  aux_sym_base_clause_token1 = 22,
  aux_sym_enum_declaration_token1 = 23,
  anon_sym_COLON = 24,
  anon_sym_string = 25,
  anon_sym_int = 26,
  aux_sym_enum_case_token1 = 27,
  aux_sym_class_declaration_token1 = 28,
  aux_sym_final_modifier_token1 = 29,
  aux_sym_abstract_modifier_token1 = 30,
  aux_sym_readonly_modifier_token1 = 31,
  aux_sym_class_interface_clause_token1 = 32,
  anon_sym_EQ_GT = 33,
  sym_var_modifier = 34,
  aux_sym_use_instead_of_clause_token1 = 35,
  aux_sym_visibility_modifier_token1 = 36,
  aux_sym_visibility_modifier_token2 = 37,
  aux_sym_visibility_modifier_token3 = 38,
  anon_sym_LPAREN = 39,
  aux_sym_visibility_modifier_token4 = 40,
  anon_sym_RPAREN = 41,
  anon_sym_LPAREN2 = 42,
  anon_sym_RPAREN2 = 43,
  aux_sym__arrow_function_header_token1 = 44,
  anon_sym_DOT_DOT_DOT = 45,
  anon_sym_QMARK = 46,
  sym_bottom_type = 47,
  anon_sym_PIPE = 48,
  anon_sym_array = 49,
  aux_sym_primitive_type_token1 = 50,
  anon_sym_iterable = 51,
  anon_sym_bool = 52,
  anon_sym_float = 53,
  anon_sym_void = 54,
  anon_sym_mixed = 55,
  anon_sym_false = 56,
  anon_sym_null = 57,
  anon_sym_true = 58,
  aux_sym_cast_type_token1 = 59,
  aux_sym_cast_type_token2 = 60,
  aux_sym_cast_type_token3 = 61,
  aux_sym_cast_type_token4 = 62,
  aux_sym_cast_type_token5 = 63,
  aux_sym_cast_type_token6 = 64,
  aux_sym_cast_type_token7 = 65,
  aux_sym_cast_type_token8 = 66,
  aux_sym_cast_type_token9 = 67,
  aux_sym_cast_type_token10 = 68,
  aux_sym_cast_type_token11 = 69,
  aux_sym_cast_type_token12 = 70,
  aux_sym_echo_statement_token1 = 71,
  aux_sym_exit_statement_token1 = 72,
  anon_sym_unset = 73,
  aux_sym_declare_statement_token1 = 74,
  aux_sym_declare_statement_token2 = 75,
  anon_sym_ticks = 76,
  anon_sym_encoding = 77,
  anon_sym_strict_types = 78,
  sym_float = 79,
  aux_sym_try_statement_token1 = 80,
  aux_sym_catch_clause_token1 = 81,
  aux_sym_finally_clause_token1 = 82,
  aux_sym_goto_statement_token1 = 83,
  aux_sym_continue_statement_token1 = 84,
  aux_sym_break_statement_token1 = 85,
  sym_integer = 86,
  aux_sym_return_statement_token1 = 87,
  aux_sym_throw_expression_token1 = 88,
  aux_sym_while_statement_token1 = 89,
  aux_sym_while_statement_token2 = 90,
  aux_sym_do_statement_token1 = 91,
  aux_sym_for_statement_token1 = 92,
  aux_sym_for_statement_token2 = 93,
  aux_sym_foreach_statement_token1 = 94,
  aux_sym_foreach_statement_token2 = 95,
  aux_sym_if_statement_token1 = 96,
  aux_sym_if_statement_token2 = 97,
  aux_sym_else_if_clause_token1 = 98,
  aux_sym_else_clause_token1 = 99,
  aux_sym_match_expression_token1 = 100,
  aux_sym_match_default_expression_token1 = 101,
  aux_sym_switch_statement_token1 = 102,
  aux_sym_switch_block_token1 = 103,
  anon_sym_PLUS = 104,
  anon_sym_DASH = 105,
  anon_sym_TILDE = 106,
  anon_sym_BANG = 107,
  anon_sym_AT = 108,
  aux_sym_clone_expression_token1 = 109,
  anon_sym_COLON_COLON = 110,
  aux_sym_print_intrinsic_token1 = 111,
  aux_sym__new_non_dereferencable_expression_token1 = 112,
  anon_sym_DASH_DASH = 113,
  anon_sym_PLUS_PLUS = 114,
  anon_sym_STAR_STAR_EQ = 115,
  anon_sym_STAR_EQ = 116,
  anon_sym_SLASH_EQ = 117,
  anon_sym_PERCENT_EQ = 118,
  anon_sym_PLUS_EQ = 119,
  anon_sym_DASH_EQ = 120,
  anon_sym_DOT_EQ = 121,
  anon_sym_LT_LT_EQ = 122,
  anon_sym_GT_GT_EQ = 123,
  anon_sym_AMP_EQ = 124,
  anon_sym_CARET_EQ = 125,
  anon_sym_PIPE_EQ = 126,
  anon_sym_QMARK_QMARK_EQ = 127,
  anon_sym_DASH_GT = 128,
  anon_sym_QMARK_DASH_GT = 129,
  aux_sym__list_destructing_token1 = 130,
  anon_sym_LBRACK = 131,
  anon_sym_RBRACK = 132,
  anon_sym_self = 133,
  anon_sym_parent = 134,
  aux_sym__argument_name_token1 = 135,
  aux_sym__argument_name_token2 = 136,
  anon_sym_POUND_LBRACK = 137,
  sym_escape_sequence = 138,
  anon_sym_BSLASHu = 139,
  aux_sym_encapsed_string_token1 = 140,
  anon_sym_DQUOTE = 141,
  aux_sym_string_token1 = 142,
  anon_sym_SQUOTE = 143,
  aux_sym_string_token2 = 144,
  aux_sym_string_content_token1 = 145,
  anon_sym_LT_LT_LT = 146,
  anon_sym_DQUOTE2 = 147,
  sym__new_line = 148,
  anon_sym_SQUOTE2 = 149,
  anon_sym_BQUOTE = 150,
  anon_sym_DOLLAR = 151,
  aux_sym_yield_expression_token1 = 152,
  aux_sym_yield_expression_token2 = 153,
  aux_sym_binary_expression_token1 = 154,
  anon_sym_QMARK_QMARK = 155,
  anon_sym_STAR_STAR = 156,
  aux_sym_binary_expression_token2 = 157,
  aux_sym_binary_expression_token3 = 158,
  aux_sym_binary_expression_token4 = 159,
  anon_sym_PIPE_PIPE = 160,
  anon_sym_AMP_AMP = 161,
  anon_sym_CARET = 162,
  anon_sym_EQ_EQ = 163,
  anon_sym_BANG_EQ = 164,
  anon_sym_LT_GT = 165,
  anon_sym_EQ_EQ_EQ = 166,
  anon_sym_BANG_EQ_EQ = 167,
  anon_sym_LT = 168,
  anon_sym_GT = 169,
  anon_sym_LT_EQ = 170,
  anon_sym_GT_EQ = 171,
  anon_sym_LT_EQ_GT = 172,
  anon_sym_LT_LT = 173,
  anon_sym_GT_GT = 174,
  anon_sym_DOT = 175,
  anon_sym_STAR = 176,
  anon_sym_SLASH = 177,
  anon_sym_PERCENT = 178,
  aux_sym_include_expression_token1 = 179,
  aux_sym_include_once_expression_token1 = 180,
  aux_sym_require_expression_token1 = 181,
  aux_sym_require_once_expression_token1 = 182,
  sym_comment = 183,
  sym__automatic_semicolon = 184,
  sym_encapsed_string_chars = 185,
  sym_encapsed_string_chars_after_variable = 186,
  sym_execution_string_chars = 187,
  sym_execution_string_chars_after_variable = 188,
  sym_encapsed_string_chars_heredoc = 189,
  sym_encapsed_string_chars_after_variable_heredoc = 190,
  sym__eof = 191,
  sym_heredoc_start = 192,
  sym_heredoc_end = 193,
  sym_nowdoc_string = 194,
  sym_sentinel_error = 195,
  sym_program = 196,
  sym_text_interpolation = 197,
  sym_text = 198,
  sym_statement = 199,
  sym_empty_statement = 200,
  sym_reference_modifier = 201,
  sym_function_static_declaration = 202,
  sym_static_variable_declaration = 203,
  sym_global_declaration = 204,
  sym_namespace_definition = 205,
  sym_namespace_use_declaration = 206,
  sym_namespace_use_clause = 207,
  sym_qualified_name = 208,
  sym__name = 209,
  sym_namespace_name = 210,
  sym__namespace_use_group = 211,
  sym_namespace_use_group = 212,
  sym_trait_declaration = 213,
  sym_interface_declaration = 214,
  sym_base_clause = 215,
  sym_enum_declaration = 216,
  sym_enum_declaration_list = 217,
  sym__enum_member_declaration = 218,
  sym_enum_case = 219,
  sym_class_declaration = 220,
  sym_declaration_list = 221,
  sym_final_modifier = 222,
  sym_abstract_modifier = 223,
  sym_readonly_modifier = 224,
  sym_class_interface_clause = 225,
  sym__member_declaration = 226,
  sym_const_declaration = 227,
  sym__class_const_declaration = 228,
  sym__const_declaration = 229,
  sym_property_declaration = 230,
  sym__modifier = 231,
  sym_property_element = 232,
  sym_property_hook_list = 233,
  sym_property_hook = 234,
  sym__property_hook_body = 235,
  sym_method_declaration = 236,
  sym_static_modifier = 237,
  sym_use_declaration = 238,
  sym_use_list = 239,
  sym_use_instead_of_clause = 240,
  sym_use_as_clause = 241,
  sym_visibility_modifier = 242,
  sym_function_definition = 243,
  sym__function_definition_header = 244,
  sym_anonymous_function = 245,
  sym_anonymous_function_use_clause = 246,
  sym__anonymous_function_header = 247,
  sym__arrow_function_header = 248,
  sym_arrow_function = 249,
  sym_formal_parameters = 250,
  sym_property_promotion_parameter = 251,
  sym_simple_parameter = 252,
  sym_variadic_parameter = 253,
  sym_type = 254,
  sym__types = 255,
  sym_named_type = 256,
  sym_optional_type = 257,
  sym_union_type = 258,
  sym_intersection_type = 259,
  sym_disjunctive_normal_form_type = 260,
  sym_primitive_type = 261,
  sym_cast_type = 262,
  sym__return_type = 263,
  sym_const_element = 264,
  sym_echo_statement = 265,
  sym_exit_statement = 266,
  sym_unset_statement = 267,
  sym_declare_statement = 268,
  sym_declare_directive = 269,
  sym_literal = 270,
  sym_try_statement = 271,
  sym_catch_clause = 272,
  sym_type_list = 273,
  sym_finally_clause = 274,
  sym_goto_statement = 275,
  sym_continue_statement = 276,
  sym_break_statement = 277,
  sym_return_statement = 278,
  sym_throw_expression = 279,
  sym_while_statement = 280,
  sym_do_statement = 281,
  sym_for_statement = 282,
  sym__expressions = 283,
  sym_sequence_expression = 284,
  sym_foreach_statement = 285,
  sym_foreach_pair = 286,
  sym__foreach_value = 287,
  sym_if_statement = 288,
  sym_colon_block = 289,
  sym_else_if_clause = 290,
  sym_else_clause = 291,
  sym_else_if_clause_2 = 292,
  sym_else_clause_2 = 293,
  sym_match_expression = 294,
  sym_match_block = 295,
  sym_match_condition_list = 296,
  sym_match_conditional_expression = 297,
  sym_match_default_expression = 298,
  sym_switch_statement = 299,
  sym_switch_block = 300,
  sym_case_statement = 301,
  sym_default_statement = 302,
  sym_compound_statement = 303,
  sym_named_label_statement = 304,
  sym_expression_statement = 305,
  sym_expression = 306,
  sym__unary_expression = 307,
  sym_unary_op_expression = 308,
  sym_error_suppression_expression = 309,
  sym_clone_expression = 310,
  sym_primary_expression = 311,
  sym_parenthesized_expression = 312,
  sym_class_constant_access_expression = 313,
  sym_print_intrinsic = 314,
  sym_object_creation_expression = 315,
  sym__new_non_dereferencable_expression = 316,
  sym__new_dereferencable_expression = 317,
  sym__class_name_reference = 318,
  sym_anonymous_class = 319,
  sym_update_expression = 320,
  sym_cast_expression = 321,
  sym_cast_variable = 322,
  sym_assignment_expression = 323,
  sym_reference_assignment_expression = 324,
  sym_conditional_expression = 325,
  sym_augmented_assignment_expression = 326,
  sym__variable_member_access_expression = 327,
  sym_member_access_expression = 328,
  sym__variable_nullsafe_member_access_expression = 329,
  sym_nullsafe_member_access_expression = 330,
  sym__variable_scoped_property_access_expression = 331,
  sym_scoped_property_access_expression = 332,
  sym_list_literal = 333,
  sym__list_destructing = 334,
  sym__array_destructing = 335,
  sym__array_destructing_element = 336,
  sym_function_call_expression = 337,
  sym__callable_expression = 338,
  sym_scoped_call_expression = 339,
  sym__scope_resolution_qualifier = 340,
  sym_relative_scope = 341,
  sym_variadic_placeholder = 342,
  sym_arguments = 343,
  sym_argument = 344,
  sym__argument_name = 345,
  sym_member_call_expression = 346,
  sym_nullsafe_member_call_expression = 347,
  sym_variadic_unpacking = 348,
  sym__member_name = 349,
  sym__variable_subscript_expression = 350,
  sym__dereferencable_subscript_expression = 351,
  sym__dereferencable_expression = 352,
  sym__dereferencable_scalar = 353,
  sym_array_creation_expression = 354,
  sym_attribute_group = 355,
  sym_attribute_list = 356,
  sym_attribute = 357,
  sym__complex_string_part = 358,
  sym__simple_string_member_access_expression = 359,
  sym__simple_string_subscript_unary_expression = 360,
  sym__simple_string_array_access_argument = 361,
  sym__simple_string_subscript_expression = 362,
  sym__simple_string_part = 363,
  aux_sym__interpolated_string_body = 364,
  aux_sym__interpolated_string_body_heredoc = 365,
  sym_encapsed_string = 366,
  sym_string = 367,
  sym_string_content = 368,
  sym_heredoc_body = 369,
  sym_heredoc = 370,
  sym_nowdoc_body = 371,
  sym_nowdoc = 372,
  aux_sym__interpolated_execution_operator_body = 373,
  sym_shell_command_expression = 374,
  sym_boolean = 375,
  sym_null = 376,
  sym__string = 377,
  sym_dynamic_variable_name = 378,
  sym__simple_variable = 379,
  sym__new_variable = 380,
  sym__callable_variable = 381,
  sym_variable_name = 382,
  sym_by_ref = 383,
  sym_yield_expression = 384,
  sym_array_element_initializer = 385,
  sym_binary_expression = 386,
  sym_include_expression = 387,
  sym_include_once_expression = 388,
  sym_require_expression = 389,
  sym_require_once_expression = 390,
  sym__reserved_identifier = 391,
  sym__identifier = 392,
  sym__semicolon = 393,
  aux_sym_program_repeat1 = 394,
  aux_sym_text_repeat1 = 395,
  aux_sym_function_static_declaration_repeat1 = 396,
  aux_sym_global_declaration_repeat1 = 397,
  aux_sym_namespace_use_declaration_repeat1 = 398,
  aux_sym_namespace_name_repeat1 = 399,
  aux_sym_base_clause_repeat1 = 400,
  aux_sym_enum_declaration_list_repeat1 = 401,
  aux_sym_class_declaration_repeat1 = 402,
  aux_sym_declaration_list_repeat1 = 403,
  aux_sym__const_declaration_repeat1 = 404,
  aux_sym_property_declaration_repeat1 = 405,
  aux_sym_property_hook_list_repeat1 = 406,
  aux_sym_use_list_repeat1 = 407,
  aux_sym_anonymous_function_use_clause_repeat1 = 408,
  aux_sym_formal_parameters_repeat1 = 409,
  aux_sym_union_type_repeat1 = 410,
  aux_sym_intersection_type_repeat1 = 411,
  aux_sym_disjunctive_normal_form_type_repeat1 = 412,
  aux_sym_unset_statement_repeat1 = 413,
  aux_sym_try_statement_repeat1 = 414,
  aux_sym_type_list_repeat1 = 415,
  aux_sym_if_statement_repeat1 = 416,
  aux_sym_if_statement_repeat2 = 417,
  aux_sym_match_block_repeat1 = 418,
  aux_sym_match_condition_list_repeat1 = 419,
  aux_sym_switch_block_repeat1 = 420,
  aux_sym__list_destructing_repeat1 = 421,
  aux_sym__array_destructing_repeat1 = 422,
  aux_sym_arguments_repeat1 = 423,
  aux_sym_array_creation_expression_repeat1 = 424,
  aux_sym_attribute_group_repeat1 = 425,
  aux_sym_attribute_list_repeat1 = 426,
  aux_sym_string_repeat1 = 427,
  aux_sym_string_content_repeat1 = 428,
  aux_sym_heredoc_body_repeat1 = 429,
  aux_sym_nowdoc_body_repeat1 = 430,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_name] = "name",
  [sym_php_tag] = "php_tag",
  [anon_sym_QMARK_GT] = "\?>",
  [aux_sym_text_token1] = "text_token1",
  [aux_sym_text_token2] = "text_token2",
  [anon_sym_SEMI] = ";",
  [anon_sym_AMP] = "&",
  [aux_sym_function_static_declaration_token1] = "static",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [aux_sym_global_declaration_token1] = "global",
  [aux_sym_namespace_definition_token1] = "namespace",
  [aux_sym_namespace_use_declaration_token1] = "use",
  [aux_sym_namespace_use_clause_token1] = "as",
  [aux_sym__namespace_use_type_token1] = "function",
  [aux_sym__namespace_use_type_token2] = "const",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_trait_declaration_token1] = "trait",
  [aux_sym_interface_declaration_token1] = "interface",
  [aux_sym_base_clause_token1] = "extends",
  [aux_sym_enum_declaration_token1] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_string] = "string",
  [anon_sym_int] = "int",
  [aux_sym_enum_case_token1] = "case",
  [aux_sym_class_declaration_token1] = "class",
  [aux_sym_final_modifier_token1] = "final",
  [aux_sym_abstract_modifier_token1] = "abstract",
  [aux_sym_readonly_modifier_token1] = "readonly",
  [aux_sym_class_interface_clause_token1] = "implements",
  [anon_sym_EQ_GT] = "=>",
  [sym_var_modifier] = "var_modifier",
  [aux_sym_use_instead_of_clause_token1] = "insteadof",
  [aux_sym_visibility_modifier_token1] = "public",
  [aux_sym_visibility_modifier_token2] = "protected",
  [aux_sym_visibility_modifier_token3] = "private",
  [anon_sym_LPAREN] = "(",
  [aux_sym_visibility_modifier_token4] = "operation",
  [anon_sym_RPAREN] = ")",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_RPAREN2] = ")",
  [aux_sym__arrow_function_header_token1] = "fn",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [sym_bottom_type] = "bottom_type",
  [anon_sym_PIPE] = "|",
  [anon_sym_array] = "array",
  [aux_sym_primitive_type_token1] = "callable",
  [anon_sym_iterable] = "iterable",
  [anon_sym_bool] = "bool",
  [anon_sym_float] = "float",
  [anon_sym_void] = "void",
  [anon_sym_mixed] = "mixed",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_true] = "true",
  [aux_sym_cast_type_token1] = "cast_type_token1",
  [aux_sym_cast_type_token2] = "cast_type_token2",
  [aux_sym_cast_type_token3] = "cast_type_token3",
  [aux_sym_cast_type_token4] = "cast_type_token4",
  [aux_sym_cast_type_token5] = "cast_type_token5",
  [aux_sym_cast_type_token6] = "cast_type_token6",
  [aux_sym_cast_type_token7] = "cast_type_token7",
  [aux_sym_cast_type_token8] = "cast_type_token8",
  [aux_sym_cast_type_token9] = "cast_type_token9",
  [aux_sym_cast_type_token10] = "cast_type_token10",
  [aux_sym_cast_type_token11] = "cast_type_token11",
  [aux_sym_cast_type_token12] = "cast_type_token12",
  [aux_sym_echo_statement_token1] = "echo",
  [aux_sym_exit_statement_token1] = "exit",
  [anon_sym_unset] = "unset",
  [aux_sym_declare_statement_token1] = "declare",
  [aux_sym_declare_statement_token2] = "enddeclare",
  [anon_sym_ticks] = "ticks",
  [anon_sym_encoding] = "encoding",
  [anon_sym_strict_types] = "strict_types",
  [sym_float] = "float",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_goto_statement_token1] = "goto",
  [aux_sym_continue_statement_token1] = "continue",
  [aux_sym_break_statement_token1] = "break",
  [sym_integer] = "integer",
  [aux_sym_return_statement_token1] = "return",
  [aux_sym_throw_expression_token1] = "throw",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_while_statement_token2] = "endwhile",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "endfor",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "endforeach",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_if_statement_token2] = "endif",
  [aux_sym_else_if_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_match_expression_token1] = "match",
  [aux_sym_match_default_expression_token1] = "default",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_block_token1] = "endswitch",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_AT] = "@",
  [aux_sym_clone_expression_token1] = "clone",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_print_intrinsic_token1] = "print",
  [aux_sym__new_non_dereferencable_expression_token1] = "new",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_QMARK_DASH_GT] = "\?->",
  [aux_sym__list_destructing_token1] = "list",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_self] = "self",
  [anon_sym_parent] = "parent",
  [aux_sym__argument_name_token1] = "_argument_name_token1",
  [aux_sym__argument_name_token2] = "_argument_name_token2",
  [anon_sym_POUND_LBRACK] = "#[",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASHu] = "string_content",
  [aux_sym_encapsed_string_token1] = "encapsed_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "escape_sequence",
  [aux_sym_string_content_token1] = "string_content_token1",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_DQUOTE2] = "\"",
  [sym__new_line] = "_new_line",
  [anon_sym_SQUOTE2] = "'",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_yield_expression_token1] = "yield",
  [aux_sym_yield_expression_token2] = "from",
  [aux_sym_binary_expression_token1] = "instanceof",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_STAR_STAR] = "**",
  [aux_sym_binary_expression_token2] = "and",
  [aux_sym_binary_expression_token3] = "or",
  [aux_sym_binary_expression_token4] = "xor",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [aux_sym_include_expression_token1] = "include",
  [aux_sym_include_once_expression_token1] = "include_once",
  [aux_sym_require_expression_token1] = "require",
  [aux_sym_require_once_expression_token1] = "require_once",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym_encapsed_string_chars] = "string_content",
  [sym_encapsed_string_chars_after_variable] = "string_content",
  [sym_execution_string_chars] = "string_content",
  [sym_execution_string_chars_after_variable] = "string_content",
  [sym_encapsed_string_chars_heredoc] = "string_content",
  [sym_encapsed_string_chars_after_variable_heredoc] = "string_content",
  [sym__eof] = "_eof",
  [sym_heredoc_start] = "heredoc_start",
  [sym_heredoc_end] = "heredoc_end",
  [sym_nowdoc_string] = "nowdoc_string",
  [sym_sentinel_error] = "sentinel_error",
  [sym_program] = "program",
  [sym_text_interpolation] = "text_interpolation",
  [sym_text] = "text",
  [sym_statement] = "statement",
  [sym_empty_statement] = "empty_statement",
  [sym_reference_modifier] = "reference_modifier",
  [sym_function_static_declaration] = "function_static_declaration",
  [sym_static_variable_declaration] = "static_variable_declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_use_declaration] = "namespace_use_declaration",
  [sym_namespace_use_clause] = "namespace_use_clause",
  [sym_qualified_name] = "qualified_name",
  [sym__name] = "_name",
  [sym_namespace_name] = "namespace_name",
  [sym__namespace_use_group] = "_namespace_use_group",
  [sym_namespace_use_group] = "namespace_use_group",
  [sym_trait_declaration] = "trait_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_base_clause] = "base_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_declaration_list] = "enum_declaration_list",
  [sym__enum_member_declaration] = "_enum_member_declaration",
  [sym_enum_case] = "enum_case",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_final_modifier] = "final_modifier",
  [sym_abstract_modifier] = "abstract_modifier",
  [sym_readonly_modifier] = "readonly_modifier",
  [sym_class_interface_clause] = "class_interface_clause",
  [sym__member_declaration] = "_member_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym__class_const_declaration] = "const_declaration",
  [sym__const_declaration] = "_const_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym__modifier] = "_modifier",
  [sym_property_element] = "property_element",
  [sym_property_hook_list] = "property_hook_list",
  [sym_property_hook] = "property_hook",
  [sym__property_hook_body] = "_property_hook_body",
  [sym_method_declaration] = "method_declaration",
  [sym_static_modifier] = "static_modifier",
  [sym_use_declaration] = "use_declaration",
  [sym_use_list] = "use_list",
  [sym_use_instead_of_clause] = "use_instead_of_clause",
  [sym_use_as_clause] = "use_as_clause",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_header] = "_function_definition_header",
  [sym_anonymous_function] = "anonymous_function",
  [sym_anonymous_function_use_clause] = "anonymous_function_use_clause",
  [sym__anonymous_function_header] = "_anonymous_function_header",
  [sym__arrow_function_header] = "_arrow_function_header",
  [sym_arrow_function] = "arrow_function",
  [sym_formal_parameters] = "formal_parameters",
  [sym_property_promotion_parameter] = "property_promotion_parameter",
  [sym_simple_parameter] = "simple_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_type] = "type",
  [sym__types] = "_types",
  [sym_named_type] = "named_type",
  [sym_optional_type] = "optional_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_disjunctive_normal_form_type] = "disjunctive_normal_form_type",
  [sym_primitive_type] = "primitive_type",
  [sym_cast_type] = "cast_type",
  [sym__return_type] = "_return_type",
  [sym_const_element] = "const_element",
  [sym_echo_statement] = "echo_statement",
  [sym_exit_statement] = "exit_statement",
  [sym_unset_statement] = "unset_statement",
  [sym_declare_statement] = "declare_statement",
  [sym_declare_directive] = "declare_directive",
  [sym_literal] = "literal",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_type_list] = "type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_goto_statement] = "goto_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_expression] = "throw_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__expressions] = "_expressions",
  [sym_sequence_expression] = "sequence_expression",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_pair] = "pair",
  [sym__foreach_value] = "_foreach_value",
  [sym_if_statement] = "if_statement",
  [sym_colon_block] = "colon_block",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_else_if_clause_2] = "else_if_clause",
  [sym_else_clause_2] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_condition_list] = "match_condition_list",
  [sym_match_conditional_expression] = "match_conditional_expression",
  [sym_match_default_expression] = "match_default_expression",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_named_label_statement] = "named_label_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_expression] = "expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_op_expression] = "unary_op_expression",
  [sym_error_suppression_expression] = "error_suppression_expression",
  [sym_clone_expression] = "clone_expression",
  [sym_primary_expression] = "primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_constant_access_expression] = "class_constant_access_expression",
  [sym_print_intrinsic] = "print_intrinsic",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym__new_non_dereferencable_expression] = "_new_non_dereferencable_expression",
  [sym__new_dereferencable_expression] = "_new_dereferencable_expression",
  [sym__class_name_reference] = "_class_name_reference",
  [sym_anonymous_class] = "anonymous_class",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_variable] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_reference_assignment_expression] = "reference_assignment_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__variable_member_access_expression] = "member_access_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym__variable_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym__variable_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_list_literal] = "list_literal",
  [sym__list_destructing] = "_list_destructing",
  [sym__array_destructing] = "_array_destructing",
  [sym__array_destructing_element] = "_array_destructing_element",
  [sym_function_call_expression] = "function_call_expression",
  [sym__callable_expression] = "_callable_expression",
  [sym_scoped_call_expression] = "scoped_call_expression",
  [sym__scope_resolution_qualifier] = "_scope_resolution_qualifier",
  [sym_relative_scope] = "relative_scope",
  [sym_variadic_placeholder] = "variadic_placeholder",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym__argument_name] = "_argument_name",
  [sym_member_call_expression] = "member_call_expression",
  [sym_nullsafe_member_call_expression] = "nullsafe_member_call_expression",
  [sym_variadic_unpacking] = "variadic_unpacking",
  [sym__member_name] = "_member_name",
  [sym__variable_subscript_expression] = "subscript_expression",
  [sym__dereferencable_subscript_expression] = "subscript_expression",
  [sym__dereferencable_expression] = "_dereferencable_expression",
  [sym__dereferencable_scalar] = "_dereferencable_scalar",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_attribute_group] = "attribute_group",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym__complex_string_part] = "_complex_string_part",
  [sym__simple_string_member_access_expression] = "member_access_expression",
  [sym__simple_string_subscript_unary_expression] = "unary_op_expression",
  [sym__simple_string_array_access_argument] = "_simple_string_array_access_argument",
  [sym__simple_string_subscript_expression] = "subscript_expression",
  [sym__simple_string_part] = "_simple_string_part",
  [aux_sym__interpolated_string_body] = "_interpolated_string_body",
  [aux_sym__interpolated_string_body_heredoc] = "_interpolated_string_body_heredoc",
  [sym_encapsed_string] = "encapsed_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_heredoc_body] = "heredoc_body",
  [sym_heredoc] = "heredoc",
  [sym_nowdoc_body] = "nowdoc_body",
  [sym_nowdoc] = "nowdoc",
  [aux_sym__interpolated_execution_operator_body] = "_interpolated_execution_operator_body",
  [sym_shell_command_expression] = "shell_command_expression",
  [sym_boolean] = "boolean",
  [sym_null] = "null",
  [sym__string] = "_string",
  [sym_dynamic_variable_name] = "dynamic_variable_name",
  [sym__simple_variable] = "_simple_variable",
  [sym__new_variable] = "_new_variable",
  [sym__callable_variable] = "_callable_variable",
  [sym_variable_name] = "variable_name",
  [sym_by_ref] = "by_ref",
  [sym_yield_expression] = "yield_expression",
  [sym_array_element_initializer] = "array_element_initializer",
  [sym_binary_expression] = "binary_expression",
  [sym_include_expression] = "include_expression",
  [sym_include_once_expression] = "include_once_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_once_expression] = "require_once_expression",
  [sym__reserved_identifier] = "name",
  [sym__identifier] = "_identifier",
  [sym__semicolon] = "_semicolon",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_text_repeat1] = "text_repeat1",
  [aux_sym_function_static_declaration_repeat1] = "function_static_declaration_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_namespace_use_declaration_repeat1] = "namespace_use_declaration_repeat1",
  [aux_sym_namespace_name_repeat1] = "namespace_name_repeat1",
  [aux_sym_base_clause_repeat1] = "base_clause_repeat1",
  [aux_sym_enum_declaration_list_repeat1] = "enum_declaration_list_repeat1",
  [aux_sym_class_declaration_repeat1] = "class_declaration_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym__const_declaration_repeat1] = "_const_declaration_repeat1",
  [aux_sym_property_declaration_repeat1] = "property_declaration_repeat1",
  [aux_sym_property_hook_list_repeat1] = "property_hook_list_repeat1",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_anonymous_function_use_clause_repeat1] = "anonymous_function_use_clause_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_union_type_repeat1] = "union_type_repeat1",
  [aux_sym_intersection_type_repeat1] = "intersection_type_repeat1",
  [aux_sym_disjunctive_normal_form_type_repeat1] = "disjunctive_normal_form_type_repeat1",
  [aux_sym_unset_statement_repeat1] = "unset_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_if_statement_repeat2] = "if_statement_repeat2",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_condition_list_repeat1] = "match_condition_list_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym__list_destructing_repeat1] = "_list_destructing_repeat1",
  [aux_sym__array_destructing_repeat1] = "_array_destructing_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_attribute_group_repeat1] = "attribute_group_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym_nowdoc_body_repeat1] = "nowdoc_body_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_name] = sym_name,
  [sym_php_tag] = sym_php_tag,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [aux_sym_text_token2] = aux_sym_text_token2,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym_function_static_declaration_token1] = aux_sym_function_static_declaration_token1,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_global_declaration_token1] = aux_sym_global_declaration_token1,
  [aux_sym_namespace_definition_token1] = aux_sym_namespace_definition_token1,
  [aux_sym_namespace_use_declaration_token1] = aux_sym_namespace_use_declaration_token1,
  [aux_sym_namespace_use_clause_token1] = aux_sym_namespace_use_clause_token1,
  [aux_sym__namespace_use_type_token1] = aux_sym__namespace_use_type_token1,
  [aux_sym__namespace_use_type_token2] = aux_sym__namespace_use_type_token2,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_trait_declaration_token1] = aux_sym_trait_declaration_token1,
  [aux_sym_interface_declaration_token1] = aux_sym_interface_declaration_token1,
  [aux_sym_base_clause_token1] = aux_sym_base_clause_token1,
  [aux_sym_enum_declaration_token1] = aux_sym_enum_declaration_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_int] = anon_sym_int,
  [aux_sym_enum_case_token1] = aux_sym_enum_case_token1,
  [aux_sym_class_declaration_token1] = aux_sym_class_declaration_token1,
  [aux_sym_final_modifier_token1] = aux_sym_final_modifier_token1,
  [aux_sym_abstract_modifier_token1] = aux_sym_abstract_modifier_token1,
  [aux_sym_readonly_modifier_token1] = aux_sym_readonly_modifier_token1,
  [aux_sym_class_interface_clause_token1] = aux_sym_class_interface_clause_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [sym_var_modifier] = sym_var_modifier,
  [aux_sym_use_instead_of_clause_token1] = aux_sym_use_instead_of_clause_token1,
  [aux_sym_visibility_modifier_token1] = aux_sym_visibility_modifier_token1,
  [aux_sym_visibility_modifier_token2] = aux_sym_visibility_modifier_token2,
  [aux_sym_visibility_modifier_token3] = aux_sym_visibility_modifier_token3,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [aux_sym_visibility_modifier_token4] = aux_sym_visibility_modifier_token4,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_RPAREN2] = anon_sym_RPAREN,
  [aux_sym__arrow_function_header_token1] = aux_sym__arrow_function_header_token1,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_bottom_type] = sym_bottom_type,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_array] = anon_sym_array,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_iterable] = anon_sym_iterable,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_mixed] = anon_sym_mixed,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_true] = anon_sym_true,
  [aux_sym_cast_type_token1] = aux_sym_cast_type_token1,
  [aux_sym_cast_type_token2] = aux_sym_cast_type_token2,
  [aux_sym_cast_type_token3] = aux_sym_cast_type_token3,
  [aux_sym_cast_type_token4] = aux_sym_cast_type_token4,
  [aux_sym_cast_type_token5] = aux_sym_cast_type_token5,
  [aux_sym_cast_type_token6] = aux_sym_cast_type_token6,
  [aux_sym_cast_type_token7] = aux_sym_cast_type_token7,
  [aux_sym_cast_type_token8] = aux_sym_cast_type_token8,
  [aux_sym_cast_type_token9] = aux_sym_cast_type_token9,
  [aux_sym_cast_type_token10] = aux_sym_cast_type_token10,
  [aux_sym_cast_type_token11] = aux_sym_cast_type_token11,
  [aux_sym_cast_type_token12] = aux_sym_cast_type_token12,
  [aux_sym_echo_statement_token1] = aux_sym_echo_statement_token1,
  [aux_sym_exit_statement_token1] = aux_sym_exit_statement_token1,
  [anon_sym_unset] = anon_sym_unset,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [aux_sym_declare_statement_token2] = aux_sym_declare_statement_token2,
  [anon_sym_ticks] = anon_sym_ticks,
  [anon_sym_encoding] = anon_sym_encoding,
  [anon_sym_strict_types] = anon_sym_strict_types,
  [sym_float] = sym_float,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_goto_statement_token1] = aux_sym_goto_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [sym_integer] = sym_integer,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_throw_expression_token1] = aux_sym_throw_expression_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_if_statement_token2] = aux_sym_if_statement_token2,
  [aux_sym_else_if_clause_token1] = aux_sym_else_if_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_match_expression_token1] = aux_sym_match_expression_token1,
  [aux_sym_match_default_expression_token1] = aux_sym_match_default_expression_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_block_token1] = aux_sym_switch_block_token1,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_AT] = anon_sym_AT,
  [aux_sym_clone_expression_token1] = aux_sym_clone_expression_token1,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_print_intrinsic_token1] = aux_sym_print_intrinsic_token1,
  [aux_sym__new_non_dereferencable_expression_token1] = aux_sym__new_non_dereferencable_expression_token1,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_QMARK_DASH_GT] = anon_sym_QMARK_DASH_GT,
  [aux_sym__list_destructing_token1] = aux_sym__list_destructing_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_parent] = anon_sym_parent,
  [aux_sym__argument_name_token1] = aux_sym__argument_name_token1,
  [aux_sym__argument_name_token2] = aux_sym__argument_name_token2,
  [anon_sym_POUND_LBRACK] = anon_sym_POUND_LBRACK,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASHu] = sym_string_content,
  [aux_sym_encapsed_string_token1] = aux_sym_encapsed_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = sym_escape_sequence,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__new_line] = sym__new_line,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_yield_expression_token1] = aux_sym_yield_expression_token1,
  [aux_sym_yield_expression_token2] = aux_sym_yield_expression_token2,
  [aux_sym_binary_expression_token1] = aux_sym_binary_expression_token1,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [aux_sym_binary_expression_token2] = aux_sym_binary_expression_token2,
  [aux_sym_binary_expression_token3] = aux_sym_binary_expression_token3,
  [aux_sym_binary_expression_token4] = aux_sym_binary_expression_token4,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_include_expression_token1] = aux_sym_include_expression_token1,
  [aux_sym_include_once_expression_token1] = aux_sym_include_once_expression_token1,
  [aux_sym_require_expression_token1] = aux_sym_require_expression_token1,
  [aux_sym_require_once_expression_token1] = aux_sym_require_once_expression_token1,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym_encapsed_string_chars] = sym_string_content,
  [sym_encapsed_string_chars_after_variable] = sym_string_content,
  [sym_execution_string_chars] = sym_string_content,
  [sym_execution_string_chars_after_variable] = sym_string_content,
  [sym_encapsed_string_chars_heredoc] = sym_string_content,
  [sym_encapsed_string_chars_after_variable_heredoc] = sym_string_content,
  [sym__eof] = sym__eof,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_nowdoc_string] = sym_nowdoc_string,
  [sym_sentinel_error] = sym_sentinel_error,
  [sym_program] = sym_program,
  [sym_text_interpolation] = sym_text_interpolation,
  [sym_text] = sym_text,
  [sym_statement] = sym_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_reference_modifier] = sym_reference_modifier,
  [sym_function_static_declaration] = sym_function_static_declaration,
  [sym_static_variable_declaration] = sym_static_variable_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_use_declaration] = sym_namespace_use_declaration,
  [sym_namespace_use_clause] = sym_namespace_use_clause,
  [sym_qualified_name] = sym_qualified_name,
  [sym__name] = sym__name,
  [sym_namespace_name] = sym_namespace_name,
  [sym__namespace_use_group] = sym__namespace_use_group,
  [sym_namespace_use_group] = sym_namespace_use_group,
  [sym_trait_declaration] = sym_trait_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_base_clause] = sym_base_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_declaration_list] = sym_enum_declaration_list,
  [sym__enum_member_declaration] = sym__enum_member_declaration,
  [sym_enum_case] = sym_enum_case,
  [sym_class_declaration] = sym_class_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_final_modifier] = sym_final_modifier,
  [sym_abstract_modifier] = sym_abstract_modifier,
  [sym_readonly_modifier] = sym_readonly_modifier,
  [sym_class_interface_clause] = sym_class_interface_clause,
  [sym__member_declaration] = sym__member_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym__class_const_declaration] = sym_const_declaration,
  [sym__const_declaration] = sym__const_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifier] = sym__modifier,
  [sym_property_element] = sym_property_element,
  [sym_property_hook_list] = sym_property_hook_list,
  [sym_property_hook] = sym_property_hook,
  [sym__property_hook_body] = sym__property_hook_body,
  [sym_method_declaration] = sym_method_declaration,
  [sym_static_modifier] = sym_static_modifier,
  [sym_use_declaration] = sym_use_declaration,
  [sym_use_list] = sym_use_list,
  [sym_use_instead_of_clause] = sym_use_instead_of_clause,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_header] = sym__function_definition_header,
  [sym_anonymous_function] = sym_anonymous_function,
  [sym_anonymous_function_use_clause] = sym_anonymous_function_use_clause,
  [sym__anonymous_function_header] = sym__anonymous_function_header,
  [sym__arrow_function_header] = sym__arrow_function_header,
  [sym_arrow_function] = sym_arrow_function,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_property_promotion_parameter] = sym_property_promotion_parameter,
  [sym_simple_parameter] = sym_simple_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_type] = sym_type,
  [sym__types] = sym__types,
  [sym_named_type] = sym_named_type,
  [sym_optional_type] = sym_optional_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_disjunctive_normal_form_type] = sym_disjunctive_normal_form_type,
  [sym_primitive_type] = sym_primitive_type,
  [sym_cast_type] = sym_cast_type,
  [sym__return_type] = sym__return_type,
  [sym_const_element] = sym_const_element,
  [sym_echo_statement] = sym_echo_statement,
  [sym_exit_statement] = sym_exit_statement,
  [sym_unset_statement] = sym_unset_statement,
  [sym_declare_statement] = sym_declare_statement,
  [sym_declare_directive] = sym_declare_directive,
  [sym_literal] = sym_literal,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_type_list] = sym_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_goto_statement] = sym_goto_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__expressions] = sym__expressions,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_pair] = sym_foreach_pair,
  [sym__foreach_value] = sym__foreach_value,
  [sym_if_statement] = sym_if_statement,
  [sym_colon_block] = sym_colon_block,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_else_if_clause_2] = sym_else_if_clause,
  [sym_else_clause_2] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_condition_list] = sym_match_condition_list,
  [sym_match_conditional_expression] = sym_match_conditional_expression,
  [sym_match_default_expression] = sym_match_default_expression,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_named_label_statement] = sym_named_label_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_expression] = sym_expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_op_expression] = sym_unary_op_expression,
  [sym_error_suppression_expression] = sym_error_suppression_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_constant_access_expression] = sym_class_constant_access_expression,
  [sym_print_intrinsic] = sym_print_intrinsic,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym__new_non_dereferencable_expression] = sym__new_non_dereferencable_expression,
  [sym__new_dereferencable_expression] = sym__new_dereferencable_expression,
  [sym__class_name_reference] = sym__class_name_reference,
  [sym_anonymous_class] = sym_anonymous_class,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_variable] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_reference_assignment_expression] = sym_reference_assignment_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__variable_member_access_expression] = sym_member_access_expression,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym__variable_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym__variable_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_list_literal] = sym_list_literal,
  [sym__list_destructing] = sym__list_destructing,
  [sym__array_destructing] = sym__array_destructing,
  [sym__array_destructing_element] = sym__array_destructing_element,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym__callable_expression] = sym__callable_expression,
  [sym_scoped_call_expression] = sym_scoped_call_expression,
  [sym__scope_resolution_qualifier] = sym__scope_resolution_qualifier,
  [sym_relative_scope] = sym_relative_scope,
  [sym_variadic_placeholder] = sym_variadic_placeholder,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym__argument_name] = sym__argument_name,
  [sym_member_call_expression] = sym_member_call_expression,
  [sym_nullsafe_member_call_expression] = sym_nullsafe_member_call_expression,
  [sym_variadic_unpacking] = sym_variadic_unpacking,
  [sym__member_name] = sym__member_name,
  [sym__variable_subscript_expression] = sym__variable_subscript_expression,
  [sym__dereferencable_subscript_expression] = sym__variable_subscript_expression,
  [sym__dereferencable_expression] = sym__dereferencable_expression,
  [sym__dereferencable_scalar] = sym__dereferencable_scalar,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_attribute_group] = sym_attribute_group,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym__complex_string_part] = sym__complex_string_part,
  [sym__simple_string_member_access_expression] = sym_member_access_expression,
  [sym__simple_string_subscript_unary_expression] = sym_unary_op_expression,
  [sym__simple_string_array_access_argument] = sym__simple_string_array_access_argument,
  [sym__simple_string_subscript_expression] = sym__variable_subscript_expression,
  [sym__simple_string_part] = sym__simple_string_part,
  [aux_sym__interpolated_string_body] = aux_sym__interpolated_string_body,
  [aux_sym__interpolated_string_body_heredoc] = aux_sym__interpolated_string_body_heredoc,
  [sym_encapsed_string] = sym_encapsed_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_heredoc] = sym_heredoc,
  [sym_nowdoc_body] = sym_nowdoc_body,
  [sym_nowdoc] = sym_nowdoc,
  [aux_sym__interpolated_execution_operator_body] = aux_sym__interpolated_execution_operator_body,
  [sym_shell_command_expression] = sym_shell_command_expression,
  [sym_boolean] = sym_boolean,
  [sym_null] = sym_null,
  [sym__string] = sym__string,
  [sym_dynamic_variable_name] = sym_dynamic_variable_name,
  [sym__simple_variable] = sym__simple_variable,
  [sym__new_variable] = sym__new_variable,
  [sym__callable_variable] = sym__callable_variable,
  [sym_variable_name] = sym_variable_name,
  [sym_by_ref] = sym_by_ref,
  [sym_yield_expression] = sym_yield_expression,
  [sym_array_element_initializer] = sym_array_element_initializer,
  [sym_binary_expression] = sym_binary_expression,
  [sym_include_expression] = sym_include_expression,
  [sym_include_once_expression] = sym_include_once_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_once_expression] = sym_require_once_expression,
  [sym__reserved_identifier] = sym_name,
  [sym__identifier] = sym__identifier,
  [sym__semicolon] = sym__semicolon,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_text_repeat1] = aux_sym_text_repeat1,
  [aux_sym_function_static_declaration_repeat1] = aux_sym_function_static_declaration_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_namespace_use_declaration_repeat1] = aux_sym_namespace_use_declaration_repeat1,
  [aux_sym_namespace_name_repeat1] = aux_sym_namespace_name_repeat1,
  [aux_sym_base_clause_repeat1] = aux_sym_base_clause_repeat1,
  [aux_sym_enum_declaration_list_repeat1] = aux_sym_enum_declaration_list_repeat1,
  [aux_sym_class_declaration_repeat1] = aux_sym_class_declaration_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym__const_declaration_repeat1] = aux_sym__const_declaration_repeat1,
  [aux_sym_property_declaration_repeat1] = aux_sym_property_declaration_repeat1,
  [aux_sym_property_hook_list_repeat1] = aux_sym_property_hook_list_repeat1,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_anonymous_function_use_clause_repeat1] = aux_sym_anonymous_function_use_clause_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_union_type_repeat1] = aux_sym_union_type_repeat1,
  [aux_sym_intersection_type_repeat1] = aux_sym_intersection_type_repeat1,
  [aux_sym_disjunctive_normal_form_type_repeat1] = aux_sym_disjunctive_normal_form_type_repeat1,
  [aux_sym_unset_statement_repeat1] = aux_sym_unset_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_if_statement_repeat2] = aux_sym_if_statement_repeat2,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_condition_list_repeat1] = aux_sym_match_condition_list_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym__list_destructing_repeat1] = aux_sym__list_destructing_repeat1,
  [aux_sym__array_destructing_repeat1] = aux_sym__array_destructing_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_attribute_group_repeat1] = aux_sym_attribute_group_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym_nowdoc_body_repeat1] = aux_sym_nowdoc_body_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [sym_php_tag] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_static_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__namespace_use_type_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__namespace_use_type_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_trait_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_final_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_readonly_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_interface_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_var_modifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_use_instead_of_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token4] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__arrow_function_header_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_bottom_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iterable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cast_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token10] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token11] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token12] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_echo_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_exit_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ticks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strict_types] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_goto_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_throw_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_if_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_default_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_print_intrinsic_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__new_non_dereferencable_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__list_destructing_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__argument_name_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_name_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_encapsed_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__new_line] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_encapsed_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_string] = {
    .visible = true,
    .named = true,
  },
  [sym_sentinel_error] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_text_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_static_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym__name] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_use_group] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_use_group] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_final_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__class_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__const_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_element] = {
    .visible = true,
    .named = true,
  },
  [sym_property_hook_list] = {
    .visible = true,
    .named = true,
  },
  [sym_property_hook] = {
    .visible = true,
    .named = true,
  },
  [sym__property_hook_body] = {
    .visible = false,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_instead_of_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_header] = {
    .visible = false,
    .named = true,
  },
  [sym_anonymous_function] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__anonymous_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_property_promotion_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__types] = {
    .visible = false,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunctive_normal_form_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_type] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_const_element] = {
    .visible = true,
    .named = true,
  },
  [sym_echo_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exit_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__foreach_value] = {
    .visible = false,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_condition_list] = {
    .visible = true,
    .named = true,
  },
  [sym_match_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_op_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_error_suppression_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_constant_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_print_intrinsic] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__new_non_dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__new_dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__class_name_reference] = {
    .visible = false,
    .named = true,
  },
  [sym_anonymous_class] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__list_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing_element] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__callable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_scoped_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_relative_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_name] = {
    .visible = false,
    .named = true,
  },
  [sym_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_unpacking] = {
    .visible = true,
    .named = true,
  },
  [sym__member_name] = {
    .visible = false,
    .named = true,
  },
  [sym__variable_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__dereferencable_scalar] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_group] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__complex_string_part] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_subscript_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_array_access_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_part] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_body] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_string_body_heredoc] = {
    .visible = false,
    .named = false,
  },
  [sym_encapsed_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_execution_operator_body] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_command_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_dynamic_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_variable] = {
    .visible = false,
    .named = true,
  },
  [sym__new_variable] = {
    .visible = false,
    .named = true,
  },
  [sym__callable_variable] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_by_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_static_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_hook_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_use_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intersection_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_disjunctive_normal_form_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_condition_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_nowdoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attributes = 5,
  field_body = 6,
  field_condition = 7,
  field_conditional_expressions = 8,
  field_default_value = 9,
  field_end_tag = 10,
  field_final = 11,
  field_function = 12,
  field_identifier = 13,
  field_initialize = 14,
  field_left = 15,
  field_name = 16,
  field_object = 17,
  field_operator = 18,
  field_parameters = 19,
  field_prefix = 20,
  field_readonly = 21,
  field_reference_modifier = 22,
  field_return_expression = 23,
  field_return_type = 24,
  field_right = 25,
  field_scope = 26,
  field_static_modifier = 27,
  field_type = 28,
  field_update = 29,
  field_value = 30,
  field_visibility = 31,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attributes] = "attributes",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_conditional_expressions] = "conditional_expressions",
  [field_default_value] = "default_value",
  [field_end_tag] = "end_tag",
  [field_final] = "final",
  [field_function] = "function",
  [field_identifier] = "identifier",
  [field_initialize] = "initialize",
  [field_left] = "left",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_prefix] = "prefix",
  [field_readonly] = "readonly",
  [field_reference_modifier] = "reference_modifier",
  [field_return_expression] = "return_expression",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_static_modifier] = "static_modifier",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 2},
  [4] = {.index = 3, .length = 2},
  [5] = {.index = 5, .length = 1},
  [6] = {.index = 6, .length = 1},
  [7] = {.index = 7, .length = 1},
  [8] = {.index = 8, .length = 1},
  [9] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 4},
  [13] = {.index = 17, .length = 6},
  [14] = {.index = 23, .length = 2},
  [15] = {.index = 25, .length = 2},
  [16] = {.index = 27, .length = 1},
  [17] = {.index = 28, .length = 1},
  [18] = {.index = 29, .length = 2},
  [19] = {.index = 31, .length = 2},
  [20] = {.index = 33, .length = 2},
  [21] = {.index = 35, .length = 2},
  [23] = {.index = 37, .length = 2},
  [24] = {.index = 39, .length = 2},
  [25] = {.index = 41, .length = 2},
  [26] = {.index = 43, .length = 2},
  [27] = {.index = 45, .length = 2},
  [28] = {.index = 47, .length = 6},
  [29] = {.index = 53, .length = 3},
  [30] = {.index = 56, .length = 2},
  [31] = {.index = 58, .length = 2},
  [32] = {.index = 60, .length = 2},
  [33] = {.index = 62, .length = 5},
  [34] = {.index = 67, .length = 2},
  [35] = {.index = 69, .length = 1},
  [36] = {.index = 70, .length = 1},
  [37] = {.index = 71, .length = 2},
  [38] = {.index = 73, .length = 2},
  [39] = {.index = 75, .length = 2},
  [40] = {.index = 77, .length = 2},
  [41] = {.index = 79, .length = 3},
  [42] = {.index = 82, .length = 2},
  [43] = {.index = 84, .length = 1},
  [44] = {.index = 85, .length = 2},
  [45] = {.index = 87, .length = 3},
  [46] = {.index = 90, .length = 1},
  [47] = {.index = 91, .length = 2},
  [48] = {.index = 93, .length = 2},
  [49] = {.index = 95, .length = 2},
  [50] = {.index = 97, .length = 1},
  [51] = {.index = 98, .length = 3},
  [52] = {.index = 101, .length = 3},
  [53] = {.index = 104, .length = 2},
  [56] = {.index = 106, .length = 2},
  [57] = {.index = 108, .length = 2},
  [58] = {.index = 110, .length = 3},
  [59] = {.index = 113, .length = 2},
  [60] = {.index = 5, .length = 1},
  [61] = {.index = 115, .length = 1},
  [62] = {.index = 116, .length = 1},
  [63] = {.index = 117, .length = 3},
  [64] = {.index = 120, .length = 3},
  [65] = {.index = 123, .length = 2},
  [66] = {.index = 125, .length = 2},
  [67] = {.index = 127, .length = 3},
  [68] = {.index = 130, .length = 3},
  [69] = {.index = 133, .length = 3},
  [70] = {.index = 136, .length = 3},
  [71] = {.index = 139, .length = 3},
  [72] = {.index = 142, .length = 3},
  [73] = {.index = 145, .length = 2},
  [74] = {.index = 147, .length = 2},
  [75] = {.index = 149, .length = 2},
  [76] = {.index = 151, .length = 2},
  [77] = {.index = 153, .length = 3},
  [78] = {.index = 156, .length = 3},
  [79] = {.index = 159, .length = 2},
  [80] = {.index = 161, .length = 3},
  [81] = {.index = 164, .length = 2},
  [82] = {.index = 166, .length = 3},
  [83] = {.index = 169, .length = 3},
  [84] = {.index = 172, .length = 3},
  [85] = {.index = 175, .length = 2},
  [86] = {.index = 177, .length = 3},
  [87] = {.index = 180, .length = 3},
  [88] = {.index = 183, .length = 1},
  [89] = {.index = 184, .length = 3},
  [90] = {.index = 187, .length = 2},
  [91] = {.index = 189, .length = 2},
  [92] = {.index = 189, .length = 2},
  [93] = {.index = 191, .length = 2},
  [94] = {.index = 193, .length = 4},
  [95] = {.index = 197, .length = 2},
  [96] = {.index = 199, .length = 1},
  [97] = {.index = 200, .length = 2},
  [98] = {.index = 202, .length = 3},
  [99] = {.index = 205, .length = 3},
  [100] = {.index = 208, .length = 2},
  [101] = {.index = 210, .length = 3},
  [102] = {.index = 213, .length = 2},
  [103] = {.index = 215, .length = 4},
  [104] = {.index = 219, .length = 3},
  [105] = {.index = 222, .length = 3},
  [107] = {.index = 225, .length = 4},
  [108] = {.index = 229, .length = 3},
  [109] = {.index = 232, .length = 3},
  [110] = {.index = 235, .length = 4},
  [111] = {.index = 239, .length = 4},
  [112] = {.index = 243, .length = 3},
  [113] = {.index = 246, .length = 1},
  [114] = {.index = 247, .length = 2},
  [115] = {.index = 249, .length = 3},
  [116] = {.index = 252, .length = 4},
  [117] = {.index = 256, .length = 3},
  [118] = {.index = 259, .length = 3},
  [119] = {.index = 262, .length = 3},
  [120] = {.index = 265, .length = 3},
  [121] = {.index = 268, .length = 4},
  [122] = {.index = 272, .length = 4},
  [123] = {.index = 276, .length = 3},
  [124] = {.index = 279, .length = 4},
  [125] = {.index = 283, .length = 3},
  [126] = {.index = 286, .length = 2},
  [127] = {.index = 288, .length = 4},
  [128] = {.index = 292, .length = 4},
  [129] = {.index = 296, .length = 3},
  [130] = {.index = 299, .length = 2},
  [131] = {.index = 301, .length = 1},
  [132] = {.index = 302, .length = 1},
  [133] = {.index = 303, .length = 2},
  [134] = {.index = 305, .length = 1},
  [135] = {.index = 306, .length = 1},
  [136] = {.index = 307, .length = 2},
  [139] = {.index = 309, .length = 3},
  [140] = {.index = 312, .length = 3},
  [141] = {.index = 315, .length = 3},
  [142] = {.index = 318, .length = 4},
  [143] = {.index = 322, .length = 4},
  [144] = {.index = 326, .length = 3},
  [145] = {.index = 326, .length = 3},
  [146] = {.index = 329, .length = 5},
  [147] = {.index = 334, .length = 4},
  [148] = {.index = 338, .length = 3},
  [149] = {.index = 341, .length = 2},
  [150] = {.index = 343, .length = 4},
  [151] = {.index = 347, .length = 4},
  [152] = {.index = 351, .length = 1},
  [153] = {.index = 352, .length = 1},
  [154] = {.index = 353, .length = 4},
  [155] = {.index = 357, .length = 4},
  [156] = {.index = 361, .length = 5},
  [157] = {.index = 366, .length = 4},
  [158] = {.index = 370, .length = 4},
  [159] = {.index = 374, .length = 4},
  [160] = {.index = 378, .length = 1},
  [161] = {.index = 379, .length = 5},
  [162] = {.index = 384, .length = 4},
  [163] = {.index = 388, .length = 2},
  [164] = {.index = 390, .length = 2},
  [165] = {.index = 392, .length = 1},
  [166] = {.index = 393, .length = 2},
  [167] = {.index = 395, .length = 1},
  [168] = {.index = 396, .length = 2},
  [169] = {.index = 398, .length = 1},
  [170] = {.index = 399, .length = 1},
  [171] = {.index = 400, .length = 2},
  [172] = {.index = 402, .length = 3},
  [173] = {.index = 405, .length = 3},
  [174] = {.index = 408, .length = 5},
  [175] = {.index = 413, .length = 3},
  [176] = {.index = 416, .length = 5},
  [177] = {.index = 421, .length = 2},
  [178] = {.index = 423, .length = 2},
  [179] = {.index = 425, .length = 2},
  [180] = {.index = 427, .length = 2},
  [181] = {.index = 429, .length = 5},
  [182] = {.index = 434, .length = 5},
  [183] = {.index = 439, .length = 5},
  [184] = {.index = 444, .length = 2},
  [185] = {.index = 446, .length = 2},
  [186] = {.index = 448, .length = 3},
  [187] = {.index = 451, .length = 3},
  [188] = {.index = 454, .length = 2},
  [189] = {.index = 456, .length = 3},
  [190] = {.index = 459, .length = 2},
  [191] = {.index = 461, .length = 3},
  [192] = {.index = 464, .length = 2},
  [193] = {.index = 466, .length = 2},
  [194] = {.index = 468, .length = 3},
  [195] = {.index = 471, .length = 3},
  [196] = {.index = 474, .length = 3},
  [197] = {.index = 477, .length = 3},
  [198] = {.index = 480, .length = 3},
  [199] = {.index = 483, .length = 3},
  [200] = {.index = 486, .length = 6},
  [201] = {.index = 492, .length = 3},
  [202] = {.index = 495, .length = 4},
  [203] = {.index = 499, .length = 3},
  [204] = {.index = 502, .length = 4},
  [205] = {.index = 506, .length = 4},
  [206] = {.index = 510, .length = 4},
  [207] = {.index = 514, .length = 4},
  [208] = {.index = 518, .length = 2},
  [209] = {.index = 520, .length = 2},
  [210] = {.index = 522, .length = 2},
  [211] = {.index = 524, .length = 5},
  [212] = {.index = 529, .length = 3},
  [213] = {.index = 532, .length = 3},
  [214] = {.index = 535, .length = 3},
  [215] = {.index = 538, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0, .inherited = true},
  [1] =
    {field_name, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [3] =
    {field_name, 0, .inherited = true},
    {field_scope, 0, .inherited = true},
  [5] =
    {field_name, 0},
  [6] =
    {field_body, 1},
  [7] =
    {field_parameters, 1},
  [8] =
    {field_prefix, 0},
  [9] =
    {field_argument, 1},
    {field_operator, 0},
  [11] =
    {field_arguments, 1},
    {field_function, 0},
  [13] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [17] =
    {field_attributes, 0, .inherited = true},
    {field_body, 1},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_static_modifier, 0, .inherited = true},
  [23] =
    {field_argument, 0},
    {field_operator, 1},
  [25] =
    {field_body, 2},
    {field_name, 1},
  [27] =
    {field_name, 1},
  [28] =
    {field_type, 0},
  [29] =
    {field_body, 1, .inherited = true},
    {field_type, 1, .inherited = true},
  [31] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [33] =
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [35] =
    {field_name, 1},
    {field_parameters, 2},
  [37] =
    {field_body, 2},
    {field_condition, 1},
  [39] =
    {field_end_tag, 2},
    {field_identifier, 1},
  [41] =
    {field_name, 2},
    {field_scope, 0},
  [43] =
    {field_prefix, 0},
    {field_prefix, 1},
  [45] =
    {field_parameters, 2},
    {field_static_modifier, 0},
  [47] =
    {field_attributes, 0, .inherited = true},
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_static_modifier, 0, .inherited = true},
  [53] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [56] =
    {field_left, 0},
    {field_right, 2},
  [58] =
    {field_name, 2, .inherited = true},
    {field_object, 0},
  [60] =
    {field_attributes, 0},
    {field_parameters, 2},
  [62] =
    {field_attributes, 0},
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [67] =
    {field_name, 0},
    {field_value, 2},
  [69] =
    {field_alias, 2},
  [70] =
    {field_body, 2},
  [71] =
    {field_name, 1},
    {field_reference_modifier, 0},
  [73] =
    {field_name, 1},
    {field_visibility, 0},
  [75] =
    {field_name, 1},
    {field_type, 0},
  [77] =
    {field_attributes, 0},
    {field_name, 1},
  [79] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [82] =
    {field_name, 2},
    {field_parameters, 3},
  [84] =
    {field_return_type, 1},
  [85] =
    {field_parameters, 1},
    {field_return_type, 3, .inherited = true},
  [87] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [90] =
    {field_type, 1},
  [91] =
    {field_attributes, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [93] =
    {field_body, 3},
    {field_name, 1},
  [95] =
    {field_type, 1},
    {field_value, 3},
  [97] =
    {field_alternative, 0},
  [98] =
    {field_alternative, 3},
    {field_body, 2},
    {field_condition, 1},
  [101] =
    {field_alternative, 3, .inherited = true},
    {field_body, 2},
    {field_condition, 1},
  [104] =
    {field_attributes, 0},
    {field_body, 2},
  [106] =
    {field_name, 2},
    {field_object, 0},
  [108] =
    {field_end_tag, 3},
    {field_identifier, 1},
  [110] =
    {field_end_tag, 3},
    {field_identifier, 1},
    {field_value, 2},
  [113] =
    {field_end_tag, 3},
    {field_identifier, 2},
  [115] =
    {field_reference_modifier, 0},
  [116] =
    {field_name, 0, .inherited = true},
  [117] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [120] =
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
    {field_static_modifier, 0},
  [123] =
    {field_alternative, 3},
    {field_condition, 0},
  [125] =
    {field_left, 0},
    {field_right, 3},
  [127] =
    {field_arguments, 3},
    {field_name, 2, .inherited = true},
    {field_scope, 0},
  [130] =
    {field_arguments, 3},
    {field_name, 2, .inherited = true},
    {field_object, 0},
  [133] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [136] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [139] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2},
  [142] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [145] =
    {field_body, 3},
    {field_name, 2},
  [147] =
    {field_alias, 3},
    {field_type, 0},
  [149] =
    {field_body, 3},
    {field_type, 0},
  [151] =
    {field_name, 2},
    {field_reference_modifier, 0},
  [153] =
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [156] =
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [159] =
    {field_name, 2},
    {field_type, 0},
  [161] =
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [164] =
    {field_attributes, 0},
    {field_name, 2},
  [166] =
    {field_attributes, 0},
    {field_name, 2},
    {field_reference_modifier, 1},
  [169] =
    {field_attributes, 0},
    {field_name, 2},
    {field_visibility, 1},
  [172] =
    {field_attributes, 0},
    {field_name, 2},
    {field_type, 1},
  [175] =
    {field_default_value, 2},
    {field_name, 0},
  [177] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [180] =
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [183] =
    {field_type, 1, .inherited = true},
  [184] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [187] =
    {field_attributes, 0},
    {field_type, 1, .inherited = true},
  [189] =
    {field_body, 4},
    {field_name, 1},
  [191] =
    {field_body, 1},
    {field_condition, 3},
  [193] =
    {field_alternative, 3, .inherited = true},
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 1},
  [197] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [199] =
    {field_body, 3},
  [200] =
    {field_attributes, 0},
    {field_body, 3},
  [202] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 3},
  [205] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 2},
  [208] =
    {field_end_tag, 4},
    {field_identifier, 2},
  [210] =
    {field_end_tag, 4},
    {field_identifier, 2},
    {field_value, 3},
  [213] =
    {field_name, 0, .inherited = true},
    {field_reference_modifier, 1},
  [215] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [219] =
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [222] =
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 0},
  [225] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [229] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [232] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 2},
  [235] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [239] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 1},
  [243] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 3},
  [246] =
    {field_type, 2},
  [247] =
    {field_body, 4},
    {field_name, 2},
  [249] =
    {field_default_value, 3},
    {field_name, 1},
    {field_reference_modifier, 0},
  [252] =
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [256] =
    {field_default_value, 3},
    {field_name, 1},
    {field_visibility, 0},
  [259] =
    {field_name, 3},
    {field_reference_modifier, 1},
    {field_type, 0},
  [262] =
    {field_default_value, 3},
    {field_name, 1},
    {field_type, 0},
  [265] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 1},
  [268] =
    {field_attributes, 0},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [272] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [276] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 1},
  [279] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [283] =
    {field_attributes, 0},
    {field_default_value, 3},
    {field_name, 1},
  [286] =
    {field_attributes, 0},
    {field_type, 2, .inherited = true},
  [288] =
    {field_attributes, 0},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [292] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [296] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [299] =
    {field_body, 5},
    {field_name, 1},
  [301] =
    {field_body, 5},
  [302] =
    {field_return_expression, 2},
  [303] =
    {field_conditional_expressions, 0},
    {field_return_expression, 2},
  [305] =
    {field_value, 1},
  [306] =
    {field_body, 4},
  [307] =
    {field_attributes, 0},
    {field_body, 4},
  [309] =
    {field_end_tag, 5},
    {field_identifier, 1},
    {field_value, 3},
  [312] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 4},
  [315] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 3},
  [318] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 0},
  [322] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [326] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
  [329] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [334] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [338] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 3},
  [341] =
    {field_body, 5},
    {field_name, 2},
  [343] =
    {field_default_value, 4},
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [347] =
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [351] =
    {field_body, 1, .inherited = true},
  [352] =
    {field_body, 0},
  [353] =
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [357] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
  [361] =
    {field_attributes, 0},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [366] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_visibility, 1},
  [370] =
    {field_attributes, 0},
    {field_name, 4},
    {field_reference_modifier, 2},
    {field_type, 1},
  [374] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
  [378] =
    {field_attributes, 0},
  [379] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [384] =
    {field_attributes, 0},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [388] =
    {field_body, 4},
    {field_type, 2},
  [390] =
    {field_body, 6},
    {field_update, 4},
  [392] =
    {field_update, 4},
  [393] =
    {field_body, 6},
    {field_condition, 3},
  [395] =
    {field_condition, 3},
  [396] =
    {field_body, 6},
    {field_initialize, 2},
  [398] =
    {field_initialize, 2},
  [399] =
    {field_body, 6},
  [400] =
    {field_attributes, 0},
    {field_body, 5},
  [402] =
    {field_end_tag, 6},
    {field_identifier, 2},
    {field_value, 4},
  [405] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 2},
  [408] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 6, .inherited = true},
    {field_static_modifier, 1},
  [413] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 3},
  [416] =
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [421] =
    {field_body, 2, .inherited = true},
    {field_parameters, 1},
  [423] =
    {field_body, 2, .inherited = true},
    {field_reference_modifier, 0},
  [425] =
    {field_body, 2, .inherited = true},
    {field_final, 0},
  [427] =
    {field_attributes, 0},
    {field_body, 2, .inherited = true},
  [429] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [434] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [439] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [444] =
    {field_attributes, 0},
    {field_type, 2},
  [446] =
    {field_name, 1},
    {field_value, 3},
  [448] =
    {field_body, 5},
    {field_name, 3},
    {field_type, 2},
  [451] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [454] =
    {field_condition, 3},
    {field_update, 5},
  [456] =
    {field_body, 7},
    {field_initialize, 2},
    {field_update, 5},
  [459] =
    {field_initialize, 2},
    {field_update, 5},
  [461] =
    {field_body, 7},
    {field_condition, 4},
    {field_initialize, 2},
  [464] =
    {field_condition, 4},
    {field_initialize, 2},
  [466] =
    {field_attributes, 0},
    {field_body, 6},
  [468] =
    {field_body, 3, .inherited = true},
    {field_parameters, 2},
    {field_reference_modifier, 0},
  [471] =
    {field_body, 3, .inherited = true},
    {field_final, 0},
    {field_parameters, 2},
  [474] =
    {field_body, 3, .inherited = true},
    {field_final, 0},
    {field_reference_modifier, 1},
  [477] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_parameters, 2},
  [480] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_reference_modifier, 1},
  [483] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_final, 1},
  [486] =
    {field_attributes, 0},
    {field_default_value, 6},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [492] =
    {field_attributes, 0},
    {field_name, 2},
    {field_value, 4},
  [495] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [499] =
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [502] =
    {field_body, 4, .inherited = true},
    {field_final, 0},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [506] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [510] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_final, 1},
    {field_parameters, 3},
  [514] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_final, 1},
    {field_reference_modifier, 2},
  [518] =
    {field_body, 7},
    {field_update, 4},
  [520] =
    {field_body, 7},
    {field_condition, 3},
  [522] =
    {field_body, 7},
    {field_initialize, 2},
  [524] =
    {field_attributes, 0},
    {field_body, 5, .inherited = true},
    {field_final, 1},
    {field_parameters, 4},
    {field_reference_modifier, 2},
  [529] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
  [532] =
    {field_body, 8},
    {field_initialize, 2},
    {field_update, 5},
  [535] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
  [538] =
    {field_body, 9},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = sym_object_creation_expression,
  },
  [10] = {
    [0] = sym_list_literal,
  },
  [22] = {
    [0] = anon_sym_array,
  },
  [54] = {
    [1] = sym_list_literal,
  },
  [55] = {
    [2] = sym_list_literal,
  },
  [60] = {
    [0] = sym_name,
  },
  [91] = {
    [3] = sym_primitive_type,
  },
  [106] = {
    [3] = sym_name,
  },
  [130] = {
    [3] = sym_primitive_type,
  },
  [137] = {
    [3] = sym_list_literal,
  },
  [138] = {
    [4] = sym_list_literal,
  },
  [144] = {
    [4] = sym_primitive_type,
  },
  [173] = {
    [4] = sym_primitive_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_expression, 2,
    sym_expression,
    sym_name,
  sym__new_dereferencable_expression, 2,
    sym__new_dereferencable_expression,
    sym_object_creation_expression,
  sym__list_destructing, 2,
    sym__list_destructing,
    sym_list_literal,
  sym__array_destructing, 2,
    sym__array_destructing,
    sym_list_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 2,
  [8] = 8,
  [9] = 9,
  [10] = 9,
  [11] = 8,
  [12] = 8,
  [13] = 13,
  [14] = 13,
  [15] = 8,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 18,
  [23] = 20,
  [24] = 24,
  [25] = 19,
  [26] = 26,
  [27] = 26,
  [28] = 24,
  [29] = 17,
  [30] = 26,
  [31] = 16,
  [32] = 21,
  [33] = 33,
  [34] = 17,
  [35] = 33,
  [36] = 33,
  [37] = 18,
  [38] = 20,
  [39] = 24,
  [40] = 24,
  [41] = 20,
  [42] = 19,
  [43] = 33,
  [44] = 16,
  [45] = 18,
  [46] = 21,
  [47] = 16,
  [48] = 21,
  [49] = 19,
  [50] = 26,
  [51] = 17,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 57,
  [59] = 59,
  [60] = 52,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 55,
  [67] = 67,
  [68] = 68,
  [69] = 64,
  [70] = 56,
  [71] = 71,
  [72] = 72,
  [73] = 56,
  [74] = 57,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 54,
  [79] = 79,
  [80] = 55,
  [81] = 64,
  [82] = 64,
  [83] = 64,
  [84] = 62,
  [85] = 85,
  [86] = 86,
  [87] = 55,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 90,
  [93] = 79,
  [94] = 77,
  [95] = 76,
  [96] = 75,
  [97] = 91,
  [98] = 89,
  [99] = 88,
  [100] = 63,
  [101] = 53,
  [102] = 86,
  [103] = 55,
  [104] = 57,
  [105] = 85,
  [106] = 72,
  [107] = 56,
  [108] = 71,
  [109] = 68,
  [110] = 110,
  [111] = 111,
  [112] = 110,
  [113] = 111,
  [114] = 114,
  [115] = 110,
  [116] = 114,
  [117] = 110,
  [118] = 118,
  [119] = 118,
  [120] = 118,
  [121] = 118,
  [122] = 122,
  [123] = 122,
  [124] = 124,
  [125] = 124,
  [126] = 124,
  [127] = 124,
  [128] = 124,
  [129] = 122,
  [130] = 122,
  [131] = 122,
  [132] = 122,
  [133] = 133,
  [134] = 133,
  [135] = 135,
  [136] = 135,
  [137] = 135,
  [138] = 135,
  [139] = 133,
  [140] = 135,
  [141] = 135,
  [142] = 133,
  [143] = 133,
  [144] = 144,
  [145] = 145,
  [146] = 144,
  [147] = 144,
  [148] = 145,
  [149] = 145,
  [150] = 145,
  [151] = 145,
  [152] = 144,
  [153] = 144,
  [154] = 145,
  [155] = 144,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 157,
  [160] = 156,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 161,
  [166] = 166,
  [167] = 166,
  [168] = 164,
  [169] = 163,
  [170] = 162,
  [171] = 171,
  [172] = 172,
  [173] = 172,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 175,
  [178] = 178,
  [179] = 171,
  [180] = 178,
  [181] = 181,
  [182] = 182,
  [183] = 181,
  [184] = 184,
  [185] = 185,
  [186] = 181,
  [187] = 181,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 193,
  [197] = 193,
  [198] = 198,
  [199] = 193,
  [200] = 188,
  [201] = 201,
  [202] = 188,
  [203] = 189,
  [204] = 189,
  [205] = 189,
  [206] = 206,
  [207] = 206,
  [208] = 195,
  [209] = 192,
  [210] = 206,
  [211] = 198,
  [212] = 194,
  [213] = 191,
  [214] = 188,
  [215] = 206,
  [216] = 192,
  [217] = 190,
  [218] = 195,
  [219] = 195,
  [220] = 192,
  [221] = 190,
  [222] = 190,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 224,
  [227] = 227,
  [228] = 223,
  [229] = 224,
  [230] = 230,
  [231] = 224,
  [232] = 224,
  [233] = 224,
  [234] = 234,
  [235] = 235,
  [236] = 234,
  [237] = 237,
  [238] = 234,
  [239] = 239,
  [240] = 235,
  [241] = 241,
  [242] = 242,
  [243] = 234,
  [244] = 237,
  [245] = 237,
  [246] = 237,
  [247] = 247,
  [248] = 235,
  [249] = 242,
  [250] = 250,
  [251] = 251,
  [252] = 251,
  [253] = 247,
  [254] = 242,
  [255] = 255,
  [256] = 237,
  [257] = 242,
  [258] = 237,
  [259] = 251,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 261,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 276,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 276,
  [293] = 275,
  [294] = 274,
  [295] = 270,
  [296] = 268,
  [297] = 263,
  [298] = 298,
  [299] = 299,
  [300] = 271,
  [301] = 265,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 291,
  [309] = 290,
  [310] = 289,
  [311] = 288,
  [312] = 287,
  [313] = 313,
  [314] = 286,
  [315] = 315,
  [316] = 263,
  [317] = 271,
  [318] = 285,
  [319] = 319,
  [320] = 320,
  [321] = 302,
  [322] = 284,
  [323] = 264,
  [324] = 283,
  [325] = 325,
  [326] = 282,
  [327] = 264,
  [328] = 280,
  [329] = 279,
  [330] = 302,
  [331] = 291,
  [332] = 275,
  [333] = 262,
  [334] = 264,
  [335] = 302,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 264,
  [342] = 342,
  [343] = 339,
  [344] = 281,
  [345] = 261,
  [346] = 346,
  [347] = 347,
  [348] = 264,
  [349] = 349,
  [350] = 264,
  [351] = 264,
  [352] = 339,
  [353] = 271,
  [354] = 354,
  [355] = 355,
  [356] = 264,
  [357] = 339,
  [358] = 281,
  [359] = 359,
  [360] = 302,
  [361] = 361,
  [362] = 339,
  [363] = 306,
  [364] = 364,
  [365] = 274,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 268,
  [371] = 349,
  [372] = 347,
  [373] = 346,
  [374] = 342,
  [375] = 340,
  [376] = 338,
  [377] = 337,
  [378] = 336,
  [379] = 277,
  [380] = 281,
  [381] = 262,
  [382] = 336,
  [383] = 337,
  [384] = 338,
  [385] = 340,
  [386] = 277,
  [387] = 265,
  [388] = 279,
  [389] = 280,
  [390] = 282,
  [391] = 283,
  [392] = 284,
  [393] = 285,
  [394] = 349,
  [395] = 286,
  [396] = 347,
  [397] = 287,
  [398] = 288,
  [399] = 346,
  [400] = 342,
  [401] = 289,
  [402] = 340,
  [403] = 290,
  [404] = 338,
  [405] = 342,
  [406] = 337,
  [407] = 268,
  [408] = 306,
  [409] = 336,
  [410] = 291,
  [411] = 262,
  [412] = 279,
  [413] = 346,
  [414] = 280,
  [415] = 263,
  [416] = 282,
  [417] = 347,
  [418] = 276,
  [419] = 283,
  [420] = 265,
  [421] = 284,
  [422] = 275,
  [423] = 285,
  [424] = 286,
  [425] = 287,
  [426] = 339,
  [427] = 274,
  [428] = 288,
  [429] = 361,
  [430] = 306,
  [431] = 277,
  [432] = 289,
  [433] = 290,
  [434] = 270,
  [435] = 349,
  [436] = 270,
  [437] = 437,
  [438] = 437,
  [439] = 437,
  [440] = 437,
  [441] = 437,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 444,
  [447] = 445,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 449,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 450,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 582,
  [584] = 582,
  [585] = 582,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 591,
  [624] = 592,
  [625] = 596,
  [626] = 600,
  [627] = 598,
  [628] = 606,
  [629] = 609,
  [630] = 602,
  [631] = 631,
  [632] = 587,
  [633] = 618,
  [634] = 634,
  [635] = 635,
  [636] = 601,
  [637] = 608,
  [638] = 588,
  [639] = 590,
  [640] = 640,
  [641] = 641,
  [642] = 617,
  [643] = 622,
  [644] = 599,
  [645] = 607,
  [646] = 605,
  [647] = 594,
  [648] = 612,
  [649] = 589,
  [650] = 650,
  [651] = 611,
  [652] = 622,
  [653] = 653,
  [654] = 619,
  [655] = 604,
  [656] = 620,
  [657] = 635,
  [658] = 614,
  [659] = 610,
  [660] = 621,
  [661] = 603,
  [662] = 597,
  [663] = 615,
  [664] = 640,
  [665] = 593,
  [666] = 616,
  [667] = 667,
  [668] = 668,
  [669] = 595,
  [670] = 622,
  [671] = 635,
  [672] = 613,
  [673] = 640,
  [674] = 619,
  [675] = 620,
  [676] = 621,
  [677] = 677,
  [678] = 678,
  [679] = 679,
  [680] = 679,
  [681] = 681,
  [682] = 635,
  [683] = 640,
  [684] = 684,
  [685] = 685,
  [686] = 684,
  [687] = 685,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 688,
  [693] = 693,
  [694] = 690,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 696,
  [702] = 702,
  [703] = 702,
  [704] = 696,
  [705] = 696,
  [706] = 706,
  [707] = 699,
  [708] = 696,
  [709] = 700,
  [710] = 700,
  [711] = 711,
  [712] = 712,
  [713] = 591,
  [714] = 714,
  [715] = 522,
  [716] = 605,
  [717] = 717,
  [718] = 480,
  [719] = 592,
  [720] = 720,
  [721] = 606,
  [722] = 601,
  [723] = 588,
  [724] = 608,
  [725] = 589,
  [726] = 618,
  [727] = 602,
  [728] = 600,
  [729] = 598,
  [730] = 604,
  [731] = 590,
  [732] = 594,
  [733] = 607,
  [734] = 587,
  [735] = 617,
  [736] = 736,
  [737] = 712,
  [738] = 609,
  [739] = 739,
  [740] = 609,
  [741] = 612,
  [742] = 742,
  [743] = 596,
  [744] = 605,
  [745] = 611,
  [746] = 599,
  [747] = 747,
  [748] = 603,
  [749] = 749,
  [750] = 750,
  [751] = 591,
  [752] = 593,
  [753] = 753,
  [754] = 754,
  [755] = 615,
  [756] = 756,
  [757] = 613,
  [758] = 616,
  [759] = 595,
  [760] = 592,
  [761] = 597,
  [762] = 610,
  [763] = 614,
  [764] = 606,
  [765] = 597,
  [766] = 590,
  [767] = 607,
  [768] = 587,
  [769] = 598,
  [770] = 600,
  [771] = 602,
  [772] = 599,
  [773] = 449,
  [774] = 589,
  [775] = 618,
  [776] = 593,
  [777] = 615,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 608,
  [782] = 782,
  [783] = 601,
  [784] = 611,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 612,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 594,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 603,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 613,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 616,
  [816] = 595,
  [817] = 604,
  [818] = 610,
  [819] = 617,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 450,
  [824] = 586,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 832,
  [834] = 834,
  [835] = 717,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 596,
  [844] = 844,
  [845] = 845,
  [846] = 588,
  [847] = 614,
  [848] = 609,
  [849] = 849,
  [850] = 697,
  [851] = 851,
  [852] = 747,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 697,
  [857] = 739,
  [858] = 592,
  [859] = 591,
  [860] = 854,
  [861] = 861,
  [862] = 853,
  [863] = 609,
  [864] = 589,
  [865] = 604,
  [866] = 736,
  [867] = 618,
  [868] = 605,
  [869] = 617,
  [870] = 870,
  [871] = 742,
  [872] = 870,
  [873] = 803,
  [874] = 608,
  [875] = 601,
  [876] = 596,
  [877] = 588,
  [878] = 717,
  [879] = 599,
  [880] = 880,
  [881] = 594,
  [882] = 882,
  [883] = 612,
  [884] = 587,
  [885] = 607,
  [886] = 590,
  [887] = 887,
  [888] = 598,
  [889] = 600,
  [890] = 611,
  [891] = 602,
  [892] = 606,
  [893] = 711,
  [894] = 603,
  [895] = 616,
  [896] = 593,
  [897] = 597,
  [898] = 615,
  [899] = 803,
  [900] = 749,
  [901] = 711,
  [902] = 591,
  [903] = 595,
  [904] = 592,
  [905] = 905,
  [906] = 739,
  [907] = 747,
  [908] = 614,
  [909] = 909,
  [910] = 613,
  [911] = 911,
  [912] = 912,
  [913] = 753,
  [914] = 605,
  [915] = 610,
  [916] = 789,
  [917] = 522,
  [918] = 717,
  [919] = 614,
  [920] = 837,
  [921] = 480,
  [922] = 588,
  [923] = 806,
  [924] = 800,
  [925] = 839,
  [926] = 596,
  [927] = 601,
  [928] = 608,
  [929] = 799,
  [930] = 849,
  [931] = 808,
  [932] = 841,
  [933] = 842,
  [934] = 838,
  [935] = 820,
  [936] = 840,
  [937] = 814,
  [938] = 796,
  [939] = 939,
  [940] = 801,
  [941] = 795,
  [942] = 821,
  [943] = 794,
  [944] = 944,
  [945] = 602,
  [946] = 813,
  [947] = 812,
  [948] = 811,
  [949] = 844,
  [950] = 803,
  [951] = 951,
  [952] = 809,
  [953] = 590,
  [954] = 607,
  [955] = 845,
  [956] = 617,
  [957] = 618,
  [958] = 610,
  [959] = 604,
  [960] = 787,
  [961] = 785,
  [962] = 827,
  [963] = 595,
  [964] = 826,
  [965] = 597,
  [966] = 825,
  [967] = 616,
  [968] = 790,
  [969] = 613,
  [970] = 598,
  [971] = 793,
  [972] = 605,
  [973] = 791,
  [974] = 798,
  [975] = 797,
  [976] = 782,
  [977] = 594,
  [978] = 786,
  [979] = 587,
  [980] = 836,
  [981] = 754,
  [982] = 951,
  [983] = 600,
  [984] = 780,
  [985] = 802,
  [986] = 612,
  [987] = 805,
  [988] = 606,
  [989] = 589,
  [990] = 807,
  [991] = 779,
  [992] = 611,
  [993] = 756,
  [994] = 778,
  [995] = 599,
  [996] = 834,
  [997] = 593,
  [998] = 609,
  [999] = 829,
  [1000] = 750,
  [1001] = 586,
  [1002] = 615,
  [1003] = 822,
  [1004] = 586,
  [1005] = 603,
  [1006] = 828,
  [1007] = 855,
  [1008] = 1008,
  [1009] = 747,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 739,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 851,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 861,
  [1031] = 1031,
  [1032] = 803,
  [1033] = 697,
  [1034] = 830,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 831,
  [1040] = 1040,
  [1041] = 609,
  [1042] = 605,
  [1043] = 912,
  [1044] = 911,
  [1045] = 909,
  [1046] = 711,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 586,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 939,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1057,
  [1082] = 1060,
  [1083] = 1052,
  [1084] = 1066,
  [1085] = 1070,
  [1086] = 1071,
  [1087] = 1072,
  [1088] = 1075,
  [1089] = 1060,
  [1090] = 1079,
  [1091] = 1063,
  [1092] = 1061,
  [1093] = 1010,
  [1094] = 1080,
  [1095] = 1055,
  [1096] = 1053,
  [1097] = 1051,
  [1098] = 1050,
  [1099] = 1049,
  [1100] = 1064,
  [1101] = 1076,
  [1102] = 1040,
  [1103] = 1065,
  [1104] = 1065,
  [1105] = 1054,
  [1106] = 1076,
  [1107] = 1064,
  [1108] = 1047,
  [1109] = 1049,
  [1110] = 1050,
  [1111] = 1051,
  [1112] = 1053,
  [1113] = 1055,
  [1114] = 1080,
  [1115] = 1061,
  [1116] = 1063,
  [1117] = 1079,
  [1118] = 1075,
  [1119] = 1072,
  [1120] = 1071,
  [1121] = 1070,
  [1122] = 1066,
  [1123] = 1052,
  [1124] = 1018,
  [1125] = 1047,
  [1126] = 1056,
  [1127] = 1056,
  [1128] = 449,
  [1129] = 1023,
  [1130] = 450,
  [1131] = 1067,
  [1132] = 1068,
  [1133] = 1077,
  [1134] = 1134,
  [1135] = 1036,
  [1136] = 1027,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1035,
  [1140] = 1057,
  [1141] = 1031,
  [1142] = 1028,
  [1143] = 1058,
  [1144] = 1029,
  [1145] = 1054,
  [1146] = 1025,
  [1147] = 1059,
  [1148] = 1020,
  [1149] = 1017,
  [1150] = 1058,
  [1151] = 1059,
  [1152] = 1062,
  [1153] = 1067,
  [1154] = 1008,
  [1155] = 1068,
  [1156] = 1048,
  [1157] = 1015,
  [1158] = 1062,
  [1159] = 1022,
  [1160] = 1048,
  [1161] = 1069,
  [1162] = 1021,
  [1163] = 1014,
  [1164] = 1037,
  [1165] = 1165,
  [1166] = 1069,
  [1167] = 1016,
  [1168] = 1013,
  [1169] = 1012,
  [1170] = 1011,
  [1171] = 1073,
  [1172] = 1073,
  [1173] = 1024,
  [1174] = 1077,
  [1175] = 1038,
  [1176] = 1057,
  [1177] = 1065,
  [1178] = 1079,
  [1179] = 1067,
  [1180] = 1056,
  [1181] = 1075,
  [1182] = 1060,
  [1183] = 1071,
  [1184] = 1055,
  [1185] = 1069,
  [1186] = 1051,
  [1187] = 1053,
  [1188] = 1066,
  [1189] = 1054,
  [1190] = 1072,
  [1191] = 1068,
  [1192] = 1073,
  [1193] = 1077,
  [1194] = 1047,
  [1195] = 1059,
  [1196] = 1064,
  [1197] = 1048,
  [1198] = 1062,
  [1199] = 1076,
  [1200] = 1063,
  [1201] = 1058,
  [1202] = 1061,
  [1203] = 1070,
  [1204] = 1052,
  [1205] = 1080,
  [1206] = 1049,
  [1207] = 1050,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1048,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1048,
  [1230] = 1219,
  [1231] = 1231,
  [1232] = 1221,
  [1233] = 1228,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1222,
  [1238] = 1238,
  [1239] = 1226,
  [1240] = 1240,
  [1241] = 1227,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1235,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1248,
  [1250] = 1247,
  [1251] = 1251,
  [1252] = 1248,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1224,
  [1264] = 1264,
  [1265] = 1235,
  [1266] = 1247,
  [1267] = 1267,
  [1268] = 1224,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1270,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1272,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1270,
  [1278] = 1270,
  [1279] = 1275,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1270,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1276,
  [1286] = 1272,
  [1287] = 1287,
  [1288] = 1283,
  [1289] = 1283,
  [1290] = 1283,
  [1291] = 1283,
  [1292] = 1272,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1280,
  [1297] = 1270,
  [1298] = 1281,
  [1299] = 1294,
  [1300] = 1293,
  [1301] = 1280,
  [1302] = 1281,
  [1303] = 1280,
  [1304] = 1283,
  [1305] = 1275,
  [1306] = 1306,
  [1307] = 1281,
  [1308] = 1283,
  [1309] = 1287,
  [1310] = 1310,
  [1311] = 1287,
  [1312] = 1280,
  [1313] = 1281,
  [1314] = 1283,
  [1315] = 1283,
  [1316] = 1294,
  [1317] = 1275,
  [1318] = 1318,
  [1319] = 1272,
  [1320] = 1280,
  [1321] = 1294,
  [1322] = 1322,
  [1323] = 1281,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1324,
  [1330] = 1330,
  [1331] = 1331,
  [1332] = 1326,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1336,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1346,
  [1349] = 1346,
  [1350] = 1347,
  [1351] = 1344,
  [1352] = 1352,
  [1353] = 1345,
  [1354] = 1354,
  [1355] = 1352,
  [1356] = 1352,
  [1357] = 1345,
  [1358] = 1354,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1339,
  [1362] = 1359,
  [1363] = 1360,
  [1364] = 1338,
  [1365] = 1359,
  [1366] = 1360,
  [1367] = 1367,
  [1368] = 1367,
  [1369] = 1343,
  [1370] = 1370,
  [1371] = 1340,
  [1372] = 1341,
  [1373] = 556,
  [1374] = 1342,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1376,
  [1378] = 1376,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1382,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1388,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1384,
  [1393] = 1385,
  [1394] = 1394,
  [1395] = 1386,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1400,
  [1413] = 1407,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1402,
  [1417] = 1417,
  [1418] = 1415,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1409,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 1429,
  [1430] = 1430,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1430,
  [1441] = 1441,
  [1442] = 849,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1455,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1461,
  [1463] = 1455,
  [1464] = 1464,
  [1465] = 1457,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1455,
  [1469] = 1461,
  [1470] = 1461,
  [1471] = 1461,
  [1472] = 1464,
  [1473] = 1460,
  [1474] = 1456,
  [1475] = 1455,
  [1476] = 1476,
  [1477] = 1460,
  [1478] = 1460,
  [1479] = 1466,
  [1480] = 1467,
  [1481] = 1460,
  [1482] = 1461,
  [1483] = 1454,
  [1484] = 1455,
  [1485] = 1460,
  [1486] = 1460,
  [1487] = 1466,
  [1488] = 1464,
  [1489] = 1455,
  [1490] = 1461,
  [1491] = 912,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1497,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1510,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 608,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1509,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 608,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 608,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 1476,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 443,
  [1555] = 1555,
  [1556] = 1545,
  [1557] = 442,
  [1558] = 1555,
  [1559] = 1549,
  [1560] = 1553,
  [1561] = 1548,
  [1562] = 1562,
  [1563] = 608,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 905,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1476,
  [1584] = 1584,
  [1585] = 1578,
  [1586] = 1586,
  [1587] = 1570,
  [1588] = 1445,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1593,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 1567,
  [1598] = 1566,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1595,
  [1604] = 1604,
  [1605] = 618,
  [1606] = 1606,
  [1607] = 601,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1567,
  [1614] = 1614,
  [1615] = 611,
  [1616] = 1616,
  [1617] = 1617,
  [1618] = 1618,
  [1619] = 1619,
  [1620] = 1619,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 608,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 608,
  [1627] = 1619,
  [1628] = 1619,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 697,
  [1632] = 1619,
  [1633] = 601,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1619,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 1634,
  [1641] = 1641,
  [1642] = 1619,
  [1643] = 445,
  [1644] = 1644,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1608,
  [1648] = 1648,
  [1649] = 1641,
  [1650] = 1609,
  [1651] = 1651,
  [1652] = 1648,
  [1653] = 1562,
  [1654] = 1564,
  [1655] = 1655,
  [1656] = 1638,
  [1657] = 611,
  [1658] = 1658,
  [1659] = 1625,
  [1660] = 1635,
  [1661] = 1618,
  [1662] = 1655,
  [1663] = 1663,
  [1664] = 1645,
  [1665] = 1629,
  [1666] = 601,
  [1667] = 1621,
  [1668] = 1668,
  [1669] = 1619,
  [1670] = 1562,
  [1671] = 1564,
  [1672] = 1668,
  [1673] = 1673,
  [1674] = 1624,
  [1675] = 618,
  [1676] = 1676,
  [1677] = 1622,
  [1678] = 618,
  [1679] = 1617,
  [1680] = 1476,
  [1681] = 444,
  [1682] = 1646,
  [1683] = 1630,
  [1684] = 445,
  [1685] = 1685,
  [1686] = 1668,
  [1687] = 1619,
  [1688] = 611,
  [1689] = 1586,
  [1690] = 1619,
  [1691] = 1668,
  [1692] = 1692,
  [1693] = 444,
  [1694] = 1694,
  [1695] = 1608,
  [1696] = 1637,
  [1697] = 1697,
  [1698] = 1668,
  [1699] = 1619,
  [1700] = 1700,
  [1701] = 1609,
  [1702] = 1702,
  [1703] = 1586,
  [1704] = 1668,
  [1705] = 1619,
  [1706] = 1706,
  [1707] = 1707,
  [1708] = 1708,
  [1709] = 1709,
  [1710] = 450,
  [1711] = 454,
  [1712] = 1712,
  [1713] = 1713,
  [1714] = 1714,
  [1715] = 1715,
  [1716] = 1716,
  [1717] = 1717,
  [1718] = 1718,
  [1719] = 1719,
  [1720] = 449,
  [1721] = 1502,
  [1722] = 1707,
  [1723] = 1518,
  [1724] = 1513,
  [1725] = 1725,
  [1726] = 1726,
  [1727] = 1727,
  [1728] = 1728,
  [1729] = 1729,
  [1730] = 1730,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 1736,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1740,
  [1741] = 1741,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1750,
  [1751] = 1709,
  [1752] = 1512,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1718,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1492,
  [1765] = 1765,
  [1766] = 1500,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 452,
  [1771] = 1771,
  [1772] = 1493,
  [1773] = 1712,
  [1774] = 1719,
  [1775] = 1726,
  [1776] = 1753,
  [1777] = 1731,
  [1778] = 1778,
  [1779] = 1738,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1760,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1762,
  [1788] = 1743,
  [1789] = 1789,
  [1790] = 798,
  [1791] = 1791,
  [1792] = 451,
  [1793] = 1765,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1496,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1512,
  [1800] = 1769,
  [1801] = 1514,
  [1802] = 1513,
  [1803] = 1522,
  [1804] = 1804,
  [1805] = 1518,
  [1806] = 453,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1771,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 448,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 1729,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1789,
  [1822] = 1759,
  [1823] = 1758,
  [1824] = 1786,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1527,
  [1832] = 1832,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1502,
  [1836] = 1804,
  [1837] = 556,
  [1838] = 1838,
  [1839] = 1522,
  [1840] = 1840,
  [1841] = 1517,
  [1842] = 1514,
  [1843] = 1843,
  [1844] = 1844,
  [1845] = 1844,
  [1846] = 1846,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 1526,
  [1850] = 1850,
  [1851] = 1503,
  [1852] = 1852,
  [1853] = 1843,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 1857,
  [1858] = 1858,
  [1859] = 1755,
  [1860] = 1860,
  [1861] = 1861,
  [1862] = 1862,
  [1863] = 1846,
  [1864] = 1864,
  [1865] = 1855,
  [1866] = 1866,
  [1867] = 1867,
  [1868] = 1856,
  [1869] = 1869,
  [1870] = 1870,
  [1871] = 1847,
  [1872] = 1862,
  [1873] = 1873,
  [1874] = 1874,
  [1875] = 1866,
  [1876] = 1860,
  [1877] = 1861,
  [1878] = 1878,
  [1879] = 1733,
  [1880] = 1880,
  [1881] = 1881,
  [1882] = 1866,
  [1883] = 1857,
  [1884] = 1884,
  [1885] = 1885,
  [1886] = 1886,
  [1887] = 1527,
  [1888] = 1517,
  [1889] = 1889,
  [1890] = 1890,
  [1891] = 1828,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1895,
  [1896] = 1736,
  [1897] = 1897,
  [1898] = 1898,
  [1899] = 1899,
  [1900] = 1867,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 1870,
  [1904] = 1904,
  [1905] = 1905,
  [1906] = 1906,
  [1907] = 1907,
  [1908] = 1873,
  [1909] = 1878,
  [1910] = 1857,
  [1911] = 1848,
  [1912] = 1912,
  [1913] = 1857,
  [1914] = 711,
  [1915] = 1884,
  [1916] = 1794,
  [1917] = 1917,
  [1918] = 1918,
  [1919] = 1919,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1922,
  [1923] = 1306,
  [1924] = 1924,
  [1925] = 1893,
  [1926] = 1926,
  [1927] = 1927,
  [1928] = 1928,
  [1929] = 1521,
  [1930] = 1930,
  [1931] = 1931,
  [1932] = 1506,
  [1933] = 1933,
  [1934] = 1934,
  [1935] = 1935,
  [1936] = 1884,
  [1937] = 1937,
  [1938] = 1938,
  [1939] = 1857,
  [1940] = 1904,
  [1941] = 1941,
  [1942] = 1942,
  [1943] = 1507,
  [1944] = 1857,
  [1945] = 1945,
  [1946] = 1926,
  [1947] = 1947,
  [1948] = 1857,
  [1949] = 1912,
  [1950] = 1950,
  [1951] = 1884,
  [1952] = 1881,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 561,
  [1956] = 1956,
  [1957] = 562,
  [1958] = 1958,
  [1959] = 1959,
  [1960] = 580,
  [1961] = 1961,
  [1962] = 1962,
  [1963] = 1963,
  [1964] = 1964,
  [1965] = 1965,
  [1966] = 1966,
  [1967] = 1967,
  [1968] = 553,
  [1969] = 1969,
  [1970] = 518,
  [1971] = 539,
  [1972] = 538,
  [1973] = 1973,
  [1974] = 1974,
  [1975] = 1975,
  [1976] = 1976,
  [1977] = 537,
  [1978] = 504,
  [1979] = 1979,
  [1980] = 1980,
  [1981] = 1981,
  [1982] = 1982,
  [1983] = 499,
  [1984] = 510,
  [1985] = 514,
  [1986] = 520,
  [1987] = 1987,
  [1988] = 534,
  [1989] = 540,
  [1990] = 1990,
  [1991] = 1991,
  [1992] = 1992,
  [1993] = 456,
  [1994] = 1994,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 1997,
  [1998] = 1998,
  [1999] = 1999,
  [2000] = 542,
  [2001] = 492,
  [2002] = 502,
  [2003] = 487,
  [2004] = 1954,
  [2005] = 2005,
  [2006] = 2006,
  [2007] = 500,
  [2008] = 2008,
  [2009] = 482,
  [2010] = 457,
  [2011] = 488,
  [2012] = 2012,
  [2013] = 481,
  [2014] = 2014,
  [2015] = 2015,
  [2016] = 476,
  [2017] = 486,
  [2018] = 2018,
  [2019] = 2019,
  [2020] = 2020,
  [2021] = 463,
  [2022] = 459,
  [2023] = 483,
  [2024] = 493,
  [2025] = 2025,
  [2026] = 1945,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 1530,
  [2030] = 2030,
  [2031] = 2031,
  [2032] = 2032,
  [2033] = 2033,
  [2034] = 2034,
  [2035] = 471,
  [2036] = 2036,
  [2037] = 2037,
  [2038] = 2038,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 2042,
  [2043] = 2043,
  [2044] = 490,
  [2045] = 2045,
  [2046] = 554,
  [2047] = 489,
  [2048] = 2041,
  [2049] = 507,
  [2050] = 2050,
  [2051] = 515,
  [2052] = 560,
  [2053] = 516,
  [2054] = 2018,
  [2055] = 2055,
  [2056] = 517,
  [2057] = 527,
  [2058] = 1999,
  [2059] = 531,
  [2060] = 533,
  [2061] = 535,
  [2062] = 498,
  [2063] = 511,
  [2064] = 2064,
  [2065] = 548,
  [2066] = 557,
  [2067] = 550,
  [2068] = 2068,
  [2069] = 577,
  [2070] = 491,
  [2071] = 2015,
  [2072] = 2012,
  [2073] = 494,
  [2074] = 2008,
  [2075] = 571,
  [2076] = 2076,
  [2077] = 2020,
  [2078] = 503,
  [2079] = 1941,
  [2080] = 2080,
  [2081] = 2081,
  [2082] = 1917,
  [2083] = 2030,
  [2084] = 2037,
  [2085] = 2085,
  [2086] = 549,
  [2087] = 519,
  [2088] = 524,
  [2089] = 2089,
  [2090] = 2090,
  [2091] = 546,
  [2092] = 1991,
  [2093] = 2093,
  [2094] = 1708,
  [2095] = 2095,
  [2096] = 505,
  [2097] = 555,
  [2098] = 1987,
  [2099] = 530,
  [2100] = 529,
  [2101] = 528,
  [2102] = 523,
  [2103] = 2076,
  [2104] = 2104,
  [2105] = 2105,
  [2106] = 2106,
  [2107] = 2107,
  [2108] = 564,
  [2109] = 513,
  [2110] = 567,
  [2111] = 2111,
  [2112] = 521,
  [2113] = 2113,
  [2114] = 2105,
  [2115] = 576,
  [2116] = 2107,
  [2117] = 2117,
  [2118] = 2118,
  [2119] = 512,
  [2120] = 2120,
  [2121] = 2121,
  [2122] = 2122,
  [2123] = 2123,
  [2124] = 526,
  [2125] = 2125,
  [2126] = 574,
  [2127] = 2127,
  [2128] = 572,
  [2129] = 508,
  [2130] = 2130,
  [2131] = 497,
  [2132] = 1527,
  [2133] = 568,
  [2134] = 2121,
  [2135] = 2135,
  [2136] = 2123,
  [2137] = 566,
  [2138] = 2138,
  [2139] = 2125,
  [2140] = 475,
  [2141] = 2141,
  [2142] = 525,
  [2143] = 2143,
  [2144] = 2138,
  [2145] = 2145,
  [2146] = 545,
  [2147] = 541,
  [2148] = 2148,
  [2149] = 455,
  [2150] = 559,
  [2151] = 2151,
  [2152] = 569,
  [2153] = 2153,
  [2154] = 501,
  [2155] = 485,
  [2156] = 573,
  [2157] = 2157,
  [2158] = 565,
  [2159] = 575,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 2163,
  [2164] = 2164,
  [2165] = 2165,
  [2166] = 1963,
  [2167] = 2167,
  [2168] = 1962,
  [2169] = 2169,
  [2170] = 581,
  [2171] = 2171,
  [2172] = 2172,
  [2173] = 578,
  [2174] = 2174,
  [2175] = 2157,
  [2176] = 579,
  [2177] = 1892,
  [2178] = 2178,
  [2179] = 2179,
  [2180] = 2180,
  [2181] = 1961,
  [2182] = 2182,
  [2183] = 570,
  [2184] = 2184,
  [2185] = 2185,
  [2186] = 1829,
  [2187] = 2187,
  [2188] = 563,
  [2189] = 2189,
  [2190] = 552,
  [2191] = 2191,
  [2192] = 551,
  [2193] = 2193,
  [2194] = 2040,
  [2195] = 2195,
  [2196] = 484,
  [2197] = 477,
  [2198] = 2198,
  [2199] = 2199,
  [2200] = 2200,
  [2201] = 2201,
  [2202] = 2202,
  [2203] = 2203,
  [2204] = 2163,
  [2205] = 2205,
  [2206] = 2206,
  [2207] = 2207,
  [2208] = 2208,
  [2209] = 536,
  [2210] = 2210,
  [2211] = 2165,
  [2212] = 479,
  [2213] = 2193,
  [2214] = 2106,
  [2215] = 2153,
  [2216] = 2143,
  [2217] = 558,
  [2218] = 1966,
  [2219] = 506,
  [2220] = 1967,
  [2221] = 1969,
  [2222] = 2222,
  [2223] = 1974,
  [2224] = 543,
  [2225] = 2208,
  [2226] = 2171,
  [2227] = 496,
  [2228] = 458,
  [2229] = 2127,
  [2230] = 1975,
  [2231] = 495,
  [2232] = 1976,
  [2233] = 2233,
  [2234] = 2191,
  [2235] = 2235,
  [2236] = 1959,
  [2237] = 1958,
  [2238] = 2238,
  [2239] = 1331,
  [2240] = 2240,
  [2241] = 2138,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 1980,
  [2246] = 460,
  [2247] = 2247,
  [2248] = 1973,
  [2249] = 2249,
  [2250] = 2191,
  [2251] = 1964,
  [2252] = 2138,
  [2253] = 2187,
  [2254] = 2198,
  [2255] = 2189,
  [2256] = 2182,
  [2257] = 532,
  [2258] = 2191,
  [2259] = 2259,
  [2260] = 1979,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 462,
  [2264] = 461,
  [2265] = 2210,
  [2266] = 478,
  [2267] = 2267,
  [2268] = 2005,
  [2269] = 474,
  [2270] = 1998,
  [2271] = 2271,
  [2272] = 2138,
  [2273] = 469,
  [2274] = 2191,
  [2275] = 1995,
  [2276] = 2276,
  [2277] = 2277,
  [2278] = 465,
  [2279] = 2279,
  [2280] = 473,
  [2281] = 2281,
  [2282] = 2191,
  [2283] = 472,
  [2284] = 470,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 468,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 464,
  [2292] = 467,
  [2293] = 2293,
  [2294] = 1994,
  [2295] = 2138,
  [2296] = 2296,
  [2297] = 466,
  [2298] = 2298,
  [2299] = 1441,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 2304,
  [2305] = 2305,
  [2306] = 2306,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2312,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2303,
  [2320] = 2320,
  [2321] = 2321,
  [2322] = 2322,
  [2323] = 2323,
  [2324] = 2305,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2316,
  [2333] = 2333,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2336,
  [2337] = 2305,
  [2338] = 2338,
  [2339] = 1436,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 2305,
  [2343] = 2343,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2315,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 2316,
  [2355] = 2355,
  [2356] = 2356,
  [2357] = 2343,
  [2358] = 2358,
  [2359] = 2359,
  [2360] = 2360,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 2305,
  [2366] = 2366,
  [2367] = 2367,
  [2368] = 2368,
  [2369] = 2347,
  [2370] = 2370,
  [2371] = 2371,
  [2372] = 2372,
  [2373] = 2373,
  [2374] = 2316,
  [2375] = 2375,
  [2376] = 2376,
  [2377] = 2377,
  [2378] = 2370,
  [2379] = 2379,
  [2380] = 2380,
  [2381] = 2381,
  [2382] = 2371,
  [2383] = 2383,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 2386,
  [2387] = 2387,
  [2388] = 2388,
  [2389] = 2389,
  [2390] = 2390,
  [2391] = 2391,
  [2392] = 2315,
  [2393] = 2303,
  [2394] = 2394,
  [2395] = 2395,
  [2396] = 2376,
  [2397] = 2377,
  [2398] = 2398,
  [2399] = 2399,
  [2400] = 2400,
  [2401] = 2314,
  [2402] = 2303,
  [2403] = 2321,
  [2404] = 2325,
  [2405] = 2405,
  [2406] = 2329,
  [2407] = 2331,
  [2408] = 1778,
  [2409] = 2409,
  [2410] = 2410,
  [2411] = 2411,
  [2412] = 2305,
  [2413] = 2413,
  [2414] = 2414,
  [2415] = 2415,
  [2416] = 2415,
  [2417] = 2356,
  [2418] = 2418,
  [2419] = 2360,
  [2420] = 2413,
  [2421] = 2362,
  [2422] = 2383,
  [2423] = 2423,
  [2424] = 2389,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 2418,
  [2431] = 2414,
  [2432] = 2345,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2323,
  [2437] = 1810,
  [2438] = 2438,
  [2439] = 2330,
  [2440] = 2440,
  [2441] = 2167,
  [2442] = 2333,
  [2443] = 2434,
  [2444] = 2444,
  [2445] = 2427,
  [2446] = 2335,
  [2447] = 2447,
  [2448] = 2199,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 2298,
  [2452] = 2315,
  [2453] = 2453,
  [2454] = 2440,
  [2455] = 2355,
  [2456] = 2334,
  [2457] = 2444,
  [2458] = 2409,
  [2459] = 2459,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2449,
  [2463] = 2463,
  [2464] = 2398,
  [2465] = 2465,
  [2466] = 2466,
  [2467] = 2381,
  [2468] = 2384,
  [2469] = 2469,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 2472,
  [2473] = 2473,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2411,
  [2477] = 2477,
  [2478] = 2459,
  [2479] = 2460,
  [2480] = 2286,
  [2481] = 2481,
  [2482] = 2164,
  [2483] = 909,
  [2484] = 2316,
  [2485] = 2391,
  [2486] = 2486,
  [2487] = 2487,
  [2488] = 2487,
  [2489] = 2316,
  [2490] = 2490,
  [2491] = 2380,
  [2492] = 2492,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 2388,
  [2497] = 2386,
  [2498] = 2498,
  [2499] = 1819,
  [2500] = 2470,
  [2501] = 2494,
  [2502] = 2502,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 2505,
  [2506] = 2506,
  [2507] = 2507,
  [2508] = 2508,
  [2509] = 2509,
  [2510] = 2510,
  [2511] = 1869,
  [2512] = 2512,
  [2513] = 2513,
  [2514] = 2514,
  [2515] = 2515,
  [2516] = 2516,
  [2517] = 2517,
  [2518] = 2518,
  [2519] = 2517,
  [2520] = 2520,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 2516,
  [2524] = 2524,
  [2525] = 2525,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2528,
  [2529] = 2529,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 2532,
  [2533] = 2515,
  [2534] = 2534,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 2522,
  [2538] = 2538,
  [2539] = 2539,
  [2540] = 2526,
  [2541] = 2541,
  [2542] = 2542,
  [2543] = 2543,
  [2544] = 2528,
  [2545] = 2545,
  [2546] = 2546,
  [2547] = 2547,
  [2548] = 2548,
  [2549] = 2549,
  [2550] = 2550,
  [2551] = 2551,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2526,
  [2555] = 2529,
  [2556] = 2556,
  [2557] = 2557,
  [2558] = 2558,
  [2559] = 2559,
  [2560] = 2560,
  [2561] = 2561,
  [2562] = 2562,
  [2563] = 2207,
  [2564] = 2564,
  [2565] = 2513,
  [2566] = 2512,
  [2567] = 2567,
  [2568] = 2568,
  [2569] = 2569,
  [2570] = 2534,
  [2571] = 2571,
  [2572] = 2546,
  [2573] = 2573,
  [2574] = 2574,
  [2575] = 2534,
  [2576] = 2576,
  [2577] = 2577,
  [2578] = 2553,
  [2579] = 2579,
  [2580] = 2556,
  [2581] = 2538,
  [2582] = 2582,
  [2583] = 2583,
  [2584] = 2552,
  [2585] = 2549,
  [2586] = 2586,
  [2587] = 2587,
  [2588] = 2551,
  [2589] = 2568,
  [2590] = 2590,
  [2591] = 2569,
  [2592] = 2557,
  [2593] = 2593,
  [2594] = 2536,
  [2595] = 2561,
  [2596] = 2596,
  [2597] = 2562,
  [2598] = 2598,
  [2599] = 2505,
  [2600] = 2574,
  [2601] = 2601,
  [2602] = 2602,
  [2603] = 2577,
  [2604] = 2521,
  [2605] = 2582,
  [2606] = 2586,
  [2607] = 2550,
  [2608] = 2553,
  [2609] = 2583,
  [2610] = 2573,
  [2611] = 2587,
  [2612] = 2612,
  [2613] = 2613,
  [2614] = 2567,
  [2615] = 2542,
  [2616] = 2616,
  [2617] = 2617,
  [2618] = 2618,
  [2619] = 2619,
  [2620] = 2620,
  [2621] = 2530,
  [2622] = 2532,
  [2623] = 2623,
  [2624] = 2518,
  [2625] = 2625,
  [2626] = 2626,
  [2627] = 2627,
  [2628] = 2628,
  [2629] = 2629,
  [2630] = 2596,
  [2631] = 2631,
  [2632] = 2632,
  [2633] = 2633,
  [2634] = 2601,
  [2635] = 2635,
  [2636] = 2561,
  [2637] = 2562,
  [2638] = 2506,
  [2639] = 2551,
  [2640] = 2626,
  [2641] = 2549,
  [2642] = 2550,
  [2643] = 2551,
  [2644] = 2644,
  [2645] = 2518,
  [2646] = 2646,
  [2647] = 2567,
  [2648] = 2505,
  [2649] = 2602,
  [2650] = 2650,
  [2651] = 2534,
  [2652] = 2652,
  [2653] = 2653,
  [2654] = 2567,
  [2655] = 2564,
  [2656] = 2656,
  [2657] = 2534,
  [2658] = 2658,
  [2659] = 2659,
  [2660] = 2543,
  [2661] = 2560,
  [2662] = 2662,
  [2663] = 2518,
  [2664] = 2664,
  [2665] = 2665,
  [2666] = 2547,
  [2667] = 2538,
  [2668] = 2557,
  [2669] = 2612,
  [2670] = 2670,
  [2671] = 2564,
  [2672] = 2658,
  [2673] = 2526,
  [2674] = 2535,
  [2675] = 2675,
  [2676] = 2676,
  [2677] = 2583,
  [2678] = 2678,
  [2679] = 2505,
  [2680] = 2598,
  [2681] = 2681,
  [2682] = 2557,
  [2683] = 2683,
  [2684] = 2560,
  [2685] = 2560,
  [2686] = 2561,
  [2687] = 2562,
  [2688] = 2688,
  [2689] = 2564,
  [2690] = 2690,
  [2691] = 2691,
  [2692] = 2505,
  [2693] = 2625,
  [2694] = 2694,
  [2695] = 2550,
  [2696] = 2549,
  [2697] = 2697,
  [2698] = 2518,
  [2699] = 2567,
  [2700] = 2700,
  [2701] = 2701,
  [2702] = 2665,
  [2703] = 2583,
  [2704] = 2535,
  [2705] = 2505,
  [2706] = 2625,
  [2707] = 2683,
  [2708] = 2708,
  [2709] = 2543,
  [2710] = 2623,
  [2711] = 2518,
  [2712] = 2665,
  [2713] = 2664,
  [2714] = 2517,
  [2715] = 2616,
  [2716] = 2716,
  [2717] = 2617,
  [2718] = 2618,
  [2719] = 2619,
  [2720] = 2708,
  [2721] = 2583,
  [2722] = 2620,
  [2723] = 2546,
  [2724] = 2539,
  [2725] = 2625,
  [2726] = 2553,
  [2727] = 2551,
  [2728] = 2505,
  [2729] = 2538,
  [2730] = 2708,
  [2731] = 2731,
  [2732] = 2665,
  [2733] = 2683,
  [2734] = 2734,
  [2735] = 2045,
  [2736] = 2535,
  [2737] = 2625,
  [2738] = 2683,
  [2739] = 2708,
  [2740] = 2740,
  [2741] = 2741,
};

static TSCharacterRange sym_escape_sequence_character_set_1[] = {
  {'"', '"'}, {'$', '$'}, {'0', '7'}, {'\\', '\\'}, {'`', '`'}, {'e', 'f'}, {'n', 'n'}, {'r', 'r'},
  {'t', 'v'}, {'x', 'x'},
};

static TSCharacterRange sym_name_character_set_1[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0x80, 0x9f}, {0xa1, 0x200a}, {0x200c, 0x205f}, {0x2061, 0xfefe},
  {0xff00, 0xffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(68);
      ADVANCE_MAP(
        '!', 147,
        '"', 196,
        '#', 276,
        '$', 200,
        '%', 236,
        '&', 87,
        '\'', 198,
        '(', 97,
        ')', 108,
        '*', 231,
        '+', 139,
        ',', 88,
        '-', 142,
        '.', 229,
        '/', 234,
        '0', 129,
        ':', 95,
        ';', 84,
        '<', 217,
        '=', 89,
        '>', 218,
        '?', 112,
        '@', 148,
        '[', 167,
        '\\', 91,
        ']', 168,
        '^', 208,
        '_', 271,
        '`', 199,
        '{', 92,
        '|', 117,
        '}', 93,
        '~', 145,
        'A', 261,
        'a', 261,
        'B', 237,
        'b', 237,
        'E', 240,
        'e', 240,
        'F', 241,
        'f', 241,
        'I', 255,
        'i', 255,
        'N', 269,
        'n', 269,
        'S', 267,
        's', 267,
        'T', 260,
        't', 260,
        'U', 253,
        'u', 253,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(131);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(63);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(273);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(274);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(274);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(275);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 197,
        '\r', 197,
        '"', 196,
        '#', 277,
        '$', 200,
        '-', 32,
        '/', 21,
        '?', 34,
        '[', 167,
        '\\', 36,
        '{', 92,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 197,
        '\r', 197,
        '#', 277,
        '$', 200,
        '-', 32,
        '/', 21,
        '?', 34,
        '[', 167,
        '\\', 37,
        '{', 92,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 147,
        '"', 181,
        '#', 276,
        '$', 200,
        '%', 235,
        '&', 86,
        '\'', 183,
        '(', 109,
        ')', 110,
        '*', 232,
        '+', 138,
        ',', 88,
        '-', 141,
        '.', 229,
        '/', 233,
        '0', 129,
        ':', 94,
        ';', 84,
        '<', 214,
        '=', 31,
        '>', 219,
        '?', 115,
        '@', 148,
        '[', 167,
        '\\', 90,
        ']', 168,
        '^', 207,
        '_', 271,
        '`', 199,
        '{', 92,
        '|', 118,
        '}', 93,
        '~', 145,
        'A', 261,
        'a', 261,
        'B', 238,
        'b', 238,
        'E', 240,
        'e', 240,
        'F', 242,
        'f', 242,
        'N', 269,
        'n', 269,
        'T', 260,
        't', 260,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(131);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(273);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 146,
        '"', 181,
        '#', 276,
        '$', 200,
        '&', 85,
        '\'', 183,
        '(', 109,
        ')', 110,
        '+', 138,
        ',', 88,
        '-', 141,
        '.', 125,
        '/', 21,
        '0', 129,
        '<', 28,
        '?', 34,
        '@', 148,
        '[', 167,
        '\\', 90,
        ']', 168,
        '_', 271,
        '`', 199,
        '~', 145,
        'A', 261,
        'a', 261,
        'B', 238,
        'b', 238,
        'E', 240,
        'e', 240,
        'F', 242,
        'f', 242,
        'N', 269,
        'n', 269,
        'T', 260,
        't', 260,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(131);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(273);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 146,
        '"', 181,
        '#', 276,
        '$', 200,
        '\'', 183,
        '(', 109,
        '+', 138,
        '-', 141,
        '.', 126,
        '/', 21,
        '0', 129,
        '<', 28,
        '?', 34,
        '@', 148,
        '[', 167,
        '\\', 90,
        '_', 271,
        '`', 199,
        '~', 145,
        'A', 261,
        'a', 261,
        'B', 237,
        'b', 237,
        'E', 240,
        'e', 240,
        'F', 241,
        'f', 241,
        'I', 255,
        'i', 255,
        'N', 269,
        'n', 269,
        'S', 267,
        's', 267,
        'T', 260,
        't', 260,
        'U', 253,
        'u', 253,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(131);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(273);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 30,
        '"', 181,
        '#', 277,
        '$', 200,
        '%', 235,
        '&', 86,
        '(', 109,
        ')', 110,
        '*', 232,
        '+', 138,
        ',', 88,
        '-', 143,
        '.', 228,
        '/', 233,
        ':', 95,
        ';', 84,
        '<', 216,
        '=', 89,
        '>', 219,
        '?', 113,
        '[', 167,
        '\\', 36,
        ']', 168,
        '^', 207,
        '`', 199,
        '{', 92,
        '|', 118,
        '}', 93,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(273);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 30,
        '"', 181,
        '#', 277,
        '$', 200,
        '%', 235,
        '&', 86,
        '(', 109,
        ')', 110,
        '*', 232,
        '+', 138,
        ',', 88,
        '-', 143,
        '.', 228,
        '/', 233,
        ':', 95,
        ';', 84,
        '<', 216,
        '=', 89,
        '>', 219,
        '?', 113,
        '[', 167,
        '\\', 37,
        ']', 168,
        '^', 207,
        '`', 199,
        '{', 92,
        '|', 118,
        '}', 93,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(273);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 30,
        '#', 277,
        '$', 200,
        '%', 235,
        '&', 86,
        '\'', 198,
        '(', 109,
        ')', 110,
        '*', 232,
        '+', 137,
        ',', 88,
        '-', 144,
        '.', 228,
        '/', 233,
        '0', 134,
        ':', 95,
        ';', 84,
        '<', 216,
        '=', 89,
        '>', 219,
        '?', 113,
        '[', 167,
        '\\', 90,
        ']', 168,
        '^', 207,
        '{', 92,
        '|', 118,
        '}', 93,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(136);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(273);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 30,
        '#', 277,
        '$', 200,
        '%', 235,
        '&', 86,
        '(', 109,
        ')', 110,
        '*', 232,
        '+', 137,
        ',', 88,
        '-', 144,
        '.', 228,
        '/', 233,
        '0', 134,
        ':', 95,
        ';', 84,
        '<', 216,
        '=', 89,
        '>', 219,
        '?', 113,
        '[', 167,
        '\\', 90,
        ']', 168,
        '^', 207,
        '{', 92,
        '|', 118,
        '}', 93,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(136);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(273);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 30,
        '#', 277,
        '$', 200,
        '%', 235,
        '&', 86,
        '(', 109,
        ')', 110,
        '*', 232,
        '+', 137,
        ',', 88,
        '-', 140,
        '.', 228,
        '/', 233,
        ':', 95,
        ';', 84,
        '<', 216,
        '=', 89,
        '>', 219,
        '?', 115,
        '\\', 90,
        ']', 168,
        '^', 207,
        '{', 92,
        '|', 118,
        '}', 93,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(273);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(180);
      if (lookahead == '\'') ADVANCE(182);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '"', 181,
        '#', 277,
        '\'', 183,
        '.', 126,
        '/', 21,
        '0', 129,
        '<', 28,
        '?', 34,
        '_', 57,
        'B', 13,
        'b', 13,
        'E', 40,
        'e', 40,
        'F', 41,
        'f', 41,
        'N', 51,
        'n', 51,
        'T', 48,
        't', 48,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(131);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '#', 276,
        '$', 200,
        '&', 85,
        '(', 109,
        ')', 110,
        ',', 88,
        '.', 24,
        '/', 21,
        '?', 114,
        '\\', 90,
        '}', 93,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(15);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(273);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '#', 277,
        '$', 200,
        '&', 85,
        '(', 97,
        ')', 108,
        '/', 21,
        ';', 84,
        '?', 114,
        '\\', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(18);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(273);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '#', 277,
        '$', 200,
        '&', 85,
        '(', 109,
        ')', 110,
        '.', 24,
        '/', 21,
        '=', 33,
        '?', 114,
        '\\', 90,
        '{', 92,
        '|', 116,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(17);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(273);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '#', 277,
        '$', 200,
        '&', 85,
        '(', 109,
        '/', 21,
        ';', 84,
        '?', 114,
        '\\', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(18);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(273);
      END_STATE();
    case 19:
      if (lookahead == '#') ADVANCE(193);
      if (lookahead == '\'') ADVANCE(183);
      if (lookahead == '/') ADVANCE(188);
      if (lookahead == '?') ADVANCE(191);
      if (lookahead == '\\') ADVANCE(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(187);
      if (lookahead != 0) ADVANCE(194);
      END_STATE();
    case 20:
      if (lookahead == '#') ADVANCE(102);
      if (lookahead == '/') ADVANCE(105);
      if (lookahead == '?') ADVANCE(106);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(100);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(107);
      END_STATE();
    case 21:
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(275);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(274);
      if (lookahead != 0) ADVANCE(23);
      END_STATE();
    case 23:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead != 0) ADVANCE(23);
      END_STATE();
    case 24:
      if (lookahead == '.') ADVANCE(26);
      END_STATE();
    case 25:
      if (lookahead == '.') ADVANCE(126);
      if (lookahead == '_') ADVANCE(57);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(25);
      END_STATE();
    case 26:
      if (lookahead == '.') ADVANCE(111);
      END_STATE();
    case 27:
      if (lookahead == '<') ADVANCE(195);
      END_STATE();
    case 28:
      if (lookahead == '<') ADVANCE(27);
      END_STATE();
    case 29:
      if (lookahead == '<') ADVANCE(27);
      if (lookahead == '?') ADVANCE(70);
      END_STATE();
    case 30:
      if (lookahead == '=') ADVANCE(210);
      END_STATE();
    case 31:
      if (lookahead == '=') ADVANCE(209);
      if (lookahead == '>') ADVANCE(96);
      END_STATE();
    case 32:
      if (lookahead == '>') ADVANCE(165);
      END_STATE();
    case 33:
      if (lookahead == '>') ADVANCE(96);
      END_STATE();
    case 34:
      if (lookahead == '>') ADVANCE(71);
      END_STATE();
    case 35:
      if (lookahead == '>') ADVANCE(166);
      END_STATE();
    case 36:
      if (lookahead == 'u') ADVANCE(179);
      if (lookahead == 'x') ADVANCE(61);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(176);
      if (set_contains(sym_escape_sequence_character_set_1, 10, lookahead)) ADVANCE(174);
      END_STATE();
    case 37:
      if (lookahead == 'u') ADVANCE(178);
      END_STATE();
    case 38:
      if (lookahead == '}') ADVANCE(174);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 39:
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(184);
      if (lookahead != 0) ADVANCE(194);
      END_STATE();
    case 40:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(128);
      END_STATE();
    case 41:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 42:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 43:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(47);
      END_STATE();
    case 44:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(49);
      END_STATE();
    case 45:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(169);
      END_STATE();
    case 46:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(45);
      END_STATE();
    case 47:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(69);
      END_STATE();
    case 48:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(50);
      END_STATE();
    case 49:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(42);
      END_STATE();
    case 50:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(42);
      END_STATE();
    case 51:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(46);
      END_STATE();
    case 52:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(132);
      END_STATE();
    case 53:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(130);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(135);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(131);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(126);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(25);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(128);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(136);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(133);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(177);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 63:
      if (eof) ADVANCE(68);
      ADVANCE_MAP(
        '!', 147,
        '"', 181,
        '#', 276,
        '$', 200,
        '%', 236,
        '&', 87,
        '\'', 183,
        '(', 109,
        ')', 110,
        '*', 231,
        '+', 139,
        ',', 88,
        '-', 142,
        '.', 229,
        '/', 234,
        '0', 129,
        ':', 95,
        ';', 84,
        '<', 217,
        '=', 89,
        '>', 218,
        '?', 112,
        '@', 148,
        '[', 167,
        '\\', 91,
        ']', 168,
        '^', 208,
        '_', 271,
        '`', 199,
        '{', 92,
        '|', 117,
        '}', 93,
        '~', 145,
        'A', 261,
        'a', 261,
        'B', 237,
        'b', 237,
        'E', 240,
        'e', 240,
        'F', 241,
        'f', 241,
        'I', 255,
        'i', 255,
        'N', 269,
        'n', 269,
        'S', 267,
        's', 267,
        'T', 260,
        't', 260,
        'U', 253,
        'u', 253,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(131);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(63);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(273);
      END_STATE();
    case 64:
      if (eof) ADVANCE(68);
      ADVANCE_MAP(
        '!', 146,
        '"', 181,
        '#', 276,
        '$', 200,
        '&', 85,
        '\'', 183,
        '(', 109,
        ')', 110,
        '+', 138,
        ',', 88,
        '-', 141,
        '.', 126,
        '/', 21,
        '0', 129,
        ':', 94,
        ';', 84,
        '<', 28,
        '=', 33,
        '?', 34,
        '@', 148,
        '[', 167,
        '\\', 90,
        ']', 168,
        '_', 271,
        '`', 199,
        '{', 92,
        '}', 93,
        '~', 145,
        'A', 261,
        'a', 261,
        'B', 238,
        'b', 238,
        'E', 240,
        'e', 240,
        'F', 242,
        'f', 242,
        'N', 269,
        'n', 269,
        'T', 260,
        't', 260,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(131);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(64);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(273);
      END_STATE();
    case 65:
      if (eof) ADVANCE(68);
      ADVANCE_MAP(
        '!', 30,
        '"', 181,
        '#', 277,
        '$', 200,
        '%', 236,
        '&', 87,
        '\'', 183,
        '(', 109,
        ')', 110,
        '*', 231,
        '+', 139,
        ',', 88,
        '-', 142,
        '.', 230,
        '/', 234,
        '0', 134,
        ':', 95,
        ';', 84,
        '<', 215,
        '=', 89,
        '>', 218,
        '?', 112,
        '[', 167,
        '\\', 90,
        ']', 168,
        '^', 208,
        '{', 92,
        '|', 117,
        '}', 93,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(136);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(65);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(273);
      END_STATE();
    case 66:
      if (eof) ADVANCE(68);
      ADVANCE_MAP(
        '"', 181,
        '#', 277,
        '$', 200,
        '&', 85,
        '\'', 183,
        '(', 109,
        ')', 110,
        '.', 24,
        '/', 21,
        '0', 134,
        '<', 29,
        '?', 34,
        '[', 167,
        '\\', 90,
        '|', 116,
        '}', 93,
        'A', 261,
        'a', 261,
        'B', 238,
        'b', 238,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(136);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(66);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(273);
      END_STATE();
    case 67:
      if (eof) ADVANCE(68);
      ADVANCE_MAP(
        '#', 82,
        '/', 77,
        '<', 73,
        '?', 80,
        0xa0, 76,
        0x200b, 76,
        0x2060, 76,
        0xfeff, 76,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67);
      if (lookahead != 0) ADVANCE(83);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym_php_tag);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym_php_tag);
      if (lookahead == '=') ADVANCE(69);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(43);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(107);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == '?') ADVANCE(70);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(83);
      if (lookahead == '\r') ADVANCE(75);
      if (lookahead == '>') ADVANCE(83);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(81);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(83);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(83);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '#') ADVANCE(82);
      if (lookahead == '/') ADVANCE(77);
      if (lookahead == '?') ADVANCE(80);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(76);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(76);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(83);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(79);
      if (lookahead == '/') ADVANCE(81);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(83);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(78);
      if (lookahead == '/') ADVANCE(83);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(79);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(78);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(79);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '>') ADVANCE(83);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(83);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '?') ADVANCE(74);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(83);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(81);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(83);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(81);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(83);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(206);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(206);
      if (lookahead == '=') ADVANCE(161);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(209);
      if (lookahead == '>') ADVANCE(96);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(184);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(149);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token4);
      if (lookahead == '\n') ADVANCE(107);
      if (lookahead == '\r') ADVANCE(99);
      if (lookahead == ')') ADVANCE(275);
      if (lookahead == '>') ADVANCE(107);
      if (lookahead != 0) ADVANCE(101);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token4);
      if (lookahead == '\n') ADVANCE(107);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(107);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token4);
      if (lookahead == '#') ADVANCE(102);
      if (lookahead == '/') ADVANCE(105);
      if (lookahead == '?') ADVANCE(106);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(100);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(107);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token4);
      if (lookahead == ')') ADVANCE(275);
      if (lookahead == '?') ADVANCE(98);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(107);
      if (lookahead != 0) ADVANCE(101);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token4);
      if (lookahead == ')') ADVANCE(275);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(107);
      if (lookahead != 0) ADVANCE(101);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token4);
      if (lookahead == ')') ADVANCE(23);
      if (lookahead == '*') ADVANCE(103);
      if (lookahead == '/') ADVANCE(107);
      if (lookahead != 0) ADVANCE(104);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token4);
      if (lookahead == ')') ADVANCE(23);
      if (lookahead == '*') ADVANCE(103);
      if (lookahead != 0) ADVANCE(104);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token4);
      if (lookahead == '*') ADVANCE(104);
      if (lookahead == '/') ADVANCE(101);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '*') ADVANCE(107);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token4);
      if (lookahead == '>') ADVANCE(72);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(107);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token4);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(107);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_RPAREN2);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(35);
      if (lookahead == '>') ADVANCE(71);
      if (lookahead == '?') ADVANCE(202);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(35);
      if (lookahead == '>') ADVANCE(71);
      if (lookahead == '?') ADVANCE(201);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(71);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(71);
      if (lookahead == '?') ADVANCE(201);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(163);
      if (lookahead == '|') ADVANCE(205);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(205);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(aux_sym_cast_type_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(aux_sym_cast_type_token3);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(aux_sym_cast_type_token6);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(aux_sym_cast_type_token8);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_cast_type_token11);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_cast_type_token12);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(26);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(126);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(126);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(272);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(127);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(273);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(128);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 126,
        '_', 53,
        'B', 52,
        'b', 52,
        'E', 40,
        'e', 40,
        'O', 135,
        'o', 135,
        'X', 60,
        'x', 60,
        '8', 25,
        '9', 25,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(130);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(126);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(130);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(126);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(131);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(52);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(132);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(133);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(52);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(135);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(135);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(54);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(135);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(136);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(151);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(151);
      if (lookahead == '=') ADVANCE(156);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(150);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(150);
      if (lookahead == '=') ADVANCE(157);
      if (lookahead == '>') ADVANCE(165);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(150);
      if (lookahead == '>') ADVANCE(165);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(165);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(210);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_QMARK_DASH_GT);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACK);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(174);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(175);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(174);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      if (lookahead == '{') ADVANCE(62);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(aux_sym_encapsed_string_token1);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(194);
      if (lookahead == '\r') ADVANCE(186);
      if (lookahead == '>') ADVANCE(194);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(192);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(194);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(194);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '#') ADVANCE(193);
      if (lookahead == '/') ADVANCE(188);
      if (lookahead == '?') ADVANCE(191);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(187);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(194);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(190);
      if (lookahead == '/') ADVANCE(192);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(194);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(189);
      if (lookahead == '/') ADVANCE(194);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(190);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(189);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(190);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '>') ADVANCE(194);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(194);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '?') ADVANCE(185);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(194);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(192);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(194);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '[' &&
          lookahead != '\\') ADVANCE(192);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(194);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(197);
      if (lookahead == '\r') ADVANCE(197);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(164);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(152);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(162);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(212);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(213);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(224);
      if (lookahead == '=') ADVANCE(220);
      if (lookahead == '>') ADVANCE(211);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(225);
      if (lookahead == '=') ADVANCE(220);
      if (lookahead == '>') ADVANCE(211);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(223);
      if (lookahead == '=') ADVANCE(220);
      if (lookahead == '>') ADVANCE(211);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '?') ADVANCE(70);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(221);
      if (lookahead == '>') ADVANCE(227);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(221);
      if (lookahead == '>') ADVANCE(226);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(222);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(195);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(159);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(160);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(26);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(126);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(158);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(204);
      if (lookahead == '=') ADVANCE(153);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(203);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(275);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(275);
      if (lookahead == '=') ADVANCE(154);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(155);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(180);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(257);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(180);
      if (lookahead == '\'') ADVANCE(182);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '.') ADVANCE(126);
      if (lookahead == '_') ADVANCE(271);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(240);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(239);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(273);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(127);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(252);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(256);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(252);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(270);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(265);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(172);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(266);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(123);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(254);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(120);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(170);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(250);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(262);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(263);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(247);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(264);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(244);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(249);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(243);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(248);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(268);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(258);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(245);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(246);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(121);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(122);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(124);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(259);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(245);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(251);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(119);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(239);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(127);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym_name);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(273);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(275);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '[') ADVANCE(173);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(275);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?' &&
          lookahead != '[') ADVANCE(275);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'B', 2,
        'E', 3,
        'F', 4,
        'I', 5,
        'M', 6,
        'N', 7,
        'P', 8,
        'S', 9,
        'T', 10,
        'U', 11,
        'V', 12,
        'a', 13,
        'b', 14,
        'e', 15,
        'f', 16,
        'i', 17,
        'm', 18,
        'n', 19,
        'p', 20,
        's', 21,
        't', 22,
        'u', 23,
        'v', 24,
        'C', 25,
        'c', 25,
        'D', 26,
        'd', 26,
        'G', 27,
        'g', 27,
        'L', 28,
        'l', 28,
        'O', 29,
        'o', 29,
        'R', 30,
        'r', 30,
        'W', 31,
        'w', 31,
        'X', 32,
        'x', 32,
        'Y', 33,
        'y', 33,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 2:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'N', 42,
        'n', 42,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 4:
      ADVANCE_MAP(
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 5:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 6:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 7:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 8:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 9:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(57);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 10:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 11:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 12:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'O') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(64);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        'N', 42,
        'n', 65,
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 16:
      ADVANCE_MAP(
        'a', 66,
        'l', 67,
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 17:
      if (lookahead == 'N') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(70);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(71);
      if (lookahead == 'u') ADVANCE(72);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'T') ADVANCE(57);
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 't') ADVANCE(75);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 22:
      if (lookahead == 'R') ADVANCE(60);
      if (lookahead == 'i') ADVANCE(76);
      if (lookahead == 'r') ADVANCE(77);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(79);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 25:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(80);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(81);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 26:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(83);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(85);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 28:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(87);
      END_STATE();
    case 29:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(88);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 30:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(91);
      END_STATE();
    case 32:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 33:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(aux_sym_namespace_use_clause_token1);
      END_STATE();
    case 37:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 38:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 39:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 40:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(99);
      END_STATE();
    case 41:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(100);
      END_STATE();
    case 42:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(103);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(104);
      END_STATE();
    case 44:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(105);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym__arrow_function_header_token1);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(108);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 51:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(112);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(113);
      END_STATE();
    case 53:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 54:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 55:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(116);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 56:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(118);
      END_STATE();
    case 57:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 58:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 59:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(121);
      END_STATE();
    case 60:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 61:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 62:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'O') ADVANCE(97);
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(128);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 66:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 67:
      if (lookahead == 'o') ADVANCE(130);
      END_STATE();
    case 68:
      if (lookahead == 'T') ADVANCE(112);
      if (lookahead == 't') ADVANCE(131);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 70:
      if (lookahead == 'x') ADVANCE(133);
      END_STATE();
    case 71:
      if (lookahead == 'v') ADVANCE(134);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 72:
      if (lookahead == 'l') ADVANCE(135);
      END_STATE();
    case 73:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 74:
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(138);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(139);
      END_STATE();
    case 77:
      if (lookahead == 'u') ADVANCE(140);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 78:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 80:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(144);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(145);
      END_STATE();
    case 81:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(146);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(147);
      END_STATE();
    case 82:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 83:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(149);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(150);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(151);
      END_STATE();
    case 85:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(152);
      END_STATE();
    case 86:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(153);
      END_STATE();
    case 87:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(154);
      END_STATE();
    case 88:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(155);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_binary_expression_token3);
      END_STATE();
    case 90:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(156);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(157);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(158);
      END_STATE();
    case 91:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(159);
      END_STATE();
    case 92:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(160);
      END_STATE();
    case 93:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 94:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(162);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_binary_expression_token2);
      END_STATE();
    case 96:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 97:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(164);
      END_STATE();
    case 98:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(165);
      END_STATE();
    case 99:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 100:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        'D', 168,
        'd', 168,
        'F', 169,
        'f', 169,
        'I', 170,
        'i', 170,
        'S', 171,
        's', 171,
        'W', 172,
        'w', 172,
      );
      END_STATE();
    case 102:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(173);
      END_STATE();
    case 103:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(174);
      END_STATE();
    case 104:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 105:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(176);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 107:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(178);
      END_STATE();
    case 108:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(179);
      END_STATE();
    case 109:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 110:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 111:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(182);
      END_STATE();
    case 112:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 113:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(184);
      END_STATE();
    case 114:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym__new_non_dereferencable_expression_token1);
      END_STATE();
    case 116:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(186);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(187);
      END_STATE();
    case 117:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(188);
      END_STATE();
    case 118:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(189);
      END_STATE();
    case 119:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(190);
      END_STATE();
    case 120:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(191);
      END_STATE();
    case 121:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 122:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token1);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_var_modifier);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 127:
      if (lookahead == 'L') ADVANCE(164);
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 128:
      if (lookahead == 'o') ADVANCE(196);
      END_STATE();
    case 129:
      if (lookahead == 's') ADVANCE(197);
      END_STATE();
    case 130:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(199);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 135:
      if (lookahead == 'l') ADVANCE(202);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 137:
      if (lookahead == 'f') ADVANCE(204);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(205);
      END_STATE();
    case 139:
      if (lookahead == 'k') ADVANCE(206);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 142:
      if (lookahead == 'd') ADVANCE(209);
      END_STATE();
    case 143:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 144:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 145:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(213);
      END_STATE();
    case 147:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(214);
      END_STATE();
    case 148:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(215);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(216);
      END_STATE();
    case 149:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 150:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(218);
      END_STATE();
    case 151:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(219);
      END_STATE();
    case 152:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(220);
      END_STATE();
    case 153:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(221);
      END_STATE();
    case 154:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(222);
      END_STATE();
    case 155:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 156:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(224);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 157:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(226);
      END_STATE();
    case 158:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(227);
      END_STATE();
    case 159:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_binary_expression_token4);
      END_STATE();
    case 161:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 162:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(230);
      END_STATE();
    case 163:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 164:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 165:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(233);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_echo_statement_token1);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 168:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 169:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(236);
      END_STATE();
    case 170:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(237);
      END_STATE();
    case 171:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(238);
      END_STATE();
    case 172:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(239);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_enum_declaration_token1);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_exit_statement_token1);
      END_STATE();
    case 175:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(240);
      END_STATE();
    case 176:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(241);
      END_STATE();
    case 177:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(242);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_yield_expression_token2);
      END_STATE();
    case 179:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(243);
      END_STATE();
    case 180:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 181:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(245);
      END_STATE();
    case 182:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(246);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 183:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(248);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(249);
      END_STATE();
    case 184:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(250);
      END_STATE();
    case 185:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(251);
      END_STATE();
    case 186:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(252);
      END_STATE();
    case 187:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(253);
      END_STATE();
    case 188:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 189:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(255);
      END_STATE();
    case 190:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 191:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(257);
      END_STATE();
    case 192:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(258);
      END_STATE();
    case 193:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(259);
      END_STATE();
    case 194:
      if (lookahead == 'y') ADVANCE(260);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 199:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 200:
      if (lookahead == 'd') ADVANCE(265);
      END_STATE();
    case 201:
      if (lookahead == 'r') ADVANCE(266);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 203:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 205:
      if (lookahead == 'c') ADVANCE(268);
      if (lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 206:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 210:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(aux_sym_enum_case_token1);
      END_STATE();
    case 212:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(273);
      END_STATE();
    case 213:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(274);
      END_STATE();
    case 214:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(275);
      END_STATE();
    case 215:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(276);
      END_STATE();
    case 216:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(277);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 218:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(279);
      END_STATE();
    case 219:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 220:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(aux_sym_goto_statement_token1);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym__list_destructing_token1);
      END_STATE();
    case 223:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(282);
      END_STATE();
    case 224:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(aux_sym_cast_type_token10);
      END_STATE();
    case 226:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(284);
      END_STATE();
    case 227:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(285);
      END_STATE();
    case 228:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(286);
      END_STATE();
    case 229:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(287);
      END_STATE();
    case 230:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(288);
      END_STATE();
    case 231:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(289);
      END_STATE();
    case 232:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 234:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(291);
      END_STATE();
    case 235:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(292);
      END_STATE();
    case 236:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_if_statement_token2);
      END_STATE();
    case 238:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 239:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 240:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(296);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym_final_modifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(297);
      END_STATE();
    case 242:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(298);
      END_STATE();
    case 243:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 244:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(300);
      END_STATE();
    case 245:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 246:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 247:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(303);
      END_STATE();
    case 248:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 249:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(305);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym_match_expression_token1);
      END_STATE();
    case 251:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(306);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(aux_sym_print_intrinsic_token1);
      END_STATE();
    case 253:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(307);
      END_STATE();
    case 254:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(308);
      END_STATE();
    case 255:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(309);
      END_STATE();
    case 256:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(310);
      END_STATE();
    case 257:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(311);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(aux_sym_throw_expression_token1);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(aux_sym_trait_declaration_token1);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 261:
      if (lookahead == 'i') ADVANCE(312);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 264:
      if (lookahead == 'b') ADVANCE(313);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_mixed);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_bottom_type);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 268:
      if (lookahead == 't') ADVANCE(315);
      END_STATE();
    case 269:
      if (lookahead == 'g') ADVANCE(316);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_ticks);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 272:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(317);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym_class_declaration_token1);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym_clone_expression_token1);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym__namespace_use_type_token2);
      END_STATE();
    case 277:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(318);
      END_STATE();
    case 278:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 279:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(320);
      END_STATE();
    case 280:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 281:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(322);
      END_STATE();
    case 282:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(323);
      END_STATE();
    case 283:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 284:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(325);
      END_STATE();
    case 285:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(aux_sym_yield_expression_token1);
      END_STATE();
    case 288:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(327);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_cast_type_token2);
      END_STATE();
    case 290:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(328);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_else_if_clause_token1);
      END_STATE();
    case 292:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(332);
      END_STATE();
    case 296:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(333);
      END_STATE();
    case 297:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(334);
      END_STATE();
    case 298:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(335);
      END_STATE();
    case 299:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(336);
      END_STATE();
    case 300:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 301:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 302:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(339);
      END_STATE();
    case 303:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(340);
      END_STATE();
    case 304:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 305:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(342);
      END_STATE();
    case 306:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 308:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(345);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token1);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(aux_sym_function_static_declaration_token1);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(346);
      END_STATE();
    case 313:
      if (lookahead == 'l') ADVANCE(347);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 315:
      if (lookahead == '_') ADVANCE(348);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 317:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 318:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(350);
      END_STATE();
    case 319:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 320:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(352);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_cast_type_token5);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_global_declaration_token1);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_cast_type_token9);
      END_STATE();
    case 324:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(353);
      END_STATE();
    case 325:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      END_STATE();
    case 327:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(355);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_cast_type_token4);
      END_STATE();
    case 329:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(356);
      END_STATE();
    case 330:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(357);
      END_STATE();
    case 331:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(358);
      END_STATE();
    case 332:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(359);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(aux_sym_base_clause_token1);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 336:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(360);
      END_STATE();
    case 337:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(361);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_include_expression_token1);
      if (lookahead == '_') ADVANCE(362);
      END_STATE();
    case 339:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(363);
      END_STATE();
    case 340:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(364);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_cast_type_token7);
      END_STATE();
    case 342:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(365);
      END_STATE();
    case 343:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(366);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token3);
      END_STATE();
    case 345:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 346:
      if (lookahead == 'g') ADVANCE(368);
      END_STATE();
    case 347:
      if (lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 348:
      if (lookahead == 't') ADVANCE(370);
      END_STATE();
    case 349:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 350:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(372);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_match_default_expression_token1);
      END_STATE();
    case 353:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(373);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_require_expression_token1);
      if (lookahead == '_') ADVANCE(374);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_abstract_modifier_token1);
      END_STATE();
    case 356:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(375);
      END_STATE();
    case 357:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(376);
      END_STATE();
    case 358:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(377);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym__namespace_use_type_token1);
      END_STATE();
    case 361:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(378);
      END_STATE();
    case 362:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(379);
      END_STATE();
    case 363:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(380);
      END_STATE();
    case 364:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(381);
      END_STATE();
    case 365:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 366:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 367:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_iterable);
      END_STATE();
    case 370:
      if (lookahead == 'y') ADVANCE(385);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_readonly_modifier_token1);
      END_STATE();
    case 374:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(386);
      END_STATE();
    case 375:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(387);
      END_STATE();
    case 376:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(388);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(aux_sym_switch_block_token1);
      END_STATE();
    case 378:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(389);
      END_STATE();
    case 379:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 380:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(391);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_use_instead_of_clause_token1);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_interface_declaration_token1);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(aux_sym_namespace_definition_token1);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token2);
      END_STATE();
    case 385:
      if (lookahead == 'p') ADVANCE(392);
      END_STATE();
    case 386:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(393);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(aux_sym_declare_statement_token2);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_class_interface_clause_token1);
      END_STATE();
    case 390:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(394);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_binary_expression_token1);
      END_STATE();
    case 392:
      if (lookahead == 'e') ADVANCE(395);
      END_STATE();
    case 393:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 394:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 395:
      if (lookahead == 's') ADVANCE(398);
      END_STATE();
    case 396:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(aux_sym_include_once_expression_token1);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_strict_types);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_require_once_expression_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 67},
  [2] = {.lex_state = 64},
  [3] = {.lex_state = 64},
  [4] = {.lex_state = 64},
  [5] = {.lex_state = 64},
  [6] = {.lex_state = 64},
  [7] = {.lex_state = 64},
  [8] = {.lex_state = 64, .external_lex_state = 2},
  [9] = {.lex_state = 64},
  [10] = {.lex_state = 64},
  [11] = {.lex_state = 64, .external_lex_state = 2},
  [12] = {.lex_state = 64, .external_lex_state = 2},
  [13] = {.lex_state = 64},
  [14] = {.lex_state = 64},
  [15] = {.lex_state = 64, .external_lex_state = 2},
  [16] = {.lex_state = 64, .external_lex_state = 2},
  [17] = {.lex_state = 64, .external_lex_state = 2},
  [18] = {.lex_state = 64, .external_lex_state = 2},
  [19] = {.lex_state = 64, .external_lex_state = 2},
  [20] = {.lex_state = 64, .external_lex_state = 2},
  [21] = {.lex_state = 64, .external_lex_state = 2},
  [22] = {.lex_state = 64, .external_lex_state = 2},
  [23] = {.lex_state = 64, .external_lex_state = 2},
  [24] = {.lex_state = 64, .external_lex_state = 2},
  [25] = {.lex_state = 64, .external_lex_state = 2},
  [26] = {.lex_state = 64, .external_lex_state = 2},
  [27] = {.lex_state = 64, .external_lex_state = 2},
  [28] = {.lex_state = 64, .external_lex_state = 2},
  [29] = {.lex_state = 64, .external_lex_state = 2},
  [30] = {.lex_state = 64, .external_lex_state = 2},
  [31] = {.lex_state = 64, .external_lex_state = 2},
  [32] = {.lex_state = 64, .external_lex_state = 2},
  [33] = {.lex_state = 64, .external_lex_state = 2},
  [34] = {.lex_state = 64, .external_lex_state = 2},
  [35] = {.lex_state = 64, .external_lex_state = 2},
  [36] = {.lex_state = 64, .external_lex_state = 2},
  [37] = {.lex_state = 64, .external_lex_state = 2},
  [38] = {.lex_state = 64, .external_lex_state = 2},
  [39] = {.lex_state = 64, .external_lex_state = 2},
  [40] = {.lex_state = 64, .external_lex_state = 2},
  [41] = {.lex_state = 64, .external_lex_state = 2},
  [42] = {.lex_state = 64, .external_lex_state = 2},
  [43] = {.lex_state = 64, .external_lex_state = 2},
  [44] = {.lex_state = 64, .external_lex_state = 2},
  [45] = {.lex_state = 64, .external_lex_state = 2},
  [46] = {.lex_state = 64, .external_lex_state = 2},
  [47] = {.lex_state = 64, .external_lex_state = 2},
  [48] = {.lex_state = 64, .external_lex_state = 2},
  [49] = {.lex_state = 64, .external_lex_state = 2},
  [50] = {.lex_state = 64, .external_lex_state = 2},
  [51] = {.lex_state = 64, .external_lex_state = 2},
  [52] = {.lex_state = 64},
  [53] = {.lex_state = 64},
  [54] = {.lex_state = 64},
  [55] = {.lex_state = 64},
  [56] = {.lex_state = 64},
  [57] = {.lex_state = 64},
  [58] = {.lex_state = 64},
  [59] = {.lex_state = 64},
  [60] = {.lex_state = 64},
  [61] = {.lex_state = 64},
  [62] = {.lex_state = 64},
  [63] = {.lex_state = 64},
  [64] = {.lex_state = 64},
  [65] = {.lex_state = 64},
  [66] = {.lex_state = 64},
  [67] = {.lex_state = 64},
  [68] = {.lex_state = 64},
  [69] = {.lex_state = 64},
  [70] = {.lex_state = 64},
  [71] = {.lex_state = 64},
  [72] = {.lex_state = 64},
  [73] = {.lex_state = 64},
  [74] = {.lex_state = 64},
  [75] = {.lex_state = 64},
  [76] = {.lex_state = 64},
  [77] = {.lex_state = 64},
  [78] = {.lex_state = 64},
  [79] = {.lex_state = 64},
  [80] = {.lex_state = 64},
  [81] = {.lex_state = 64},
  [82] = {.lex_state = 64},
  [83] = {.lex_state = 64},
  [84] = {.lex_state = 64},
  [85] = {.lex_state = 64},
  [86] = {.lex_state = 64},
  [87] = {.lex_state = 64},
  [88] = {.lex_state = 64},
  [89] = {.lex_state = 64},
  [90] = {.lex_state = 64},
  [91] = {.lex_state = 64},
  [92] = {.lex_state = 64},
  [93] = {.lex_state = 64},
  [94] = {.lex_state = 64},
  [95] = {.lex_state = 64},
  [96] = {.lex_state = 64},
  [97] = {.lex_state = 64},
  [98] = {.lex_state = 64},
  [99] = {.lex_state = 64},
  [100] = {.lex_state = 64},
  [101] = {.lex_state = 64},
  [102] = {.lex_state = 64},
  [103] = {.lex_state = 64},
  [104] = {.lex_state = 64},
  [105] = {.lex_state = 64},
  [106] = {.lex_state = 64},
  [107] = {.lex_state = 64},
  [108] = {.lex_state = 64},
  [109] = {.lex_state = 64},
  [110] = {.lex_state = 64},
  [111] = {.lex_state = 64},
  [112] = {.lex_state = 64},
  [113] = {.lex_state = 64},
  [114] = {.lex_state = 64},
  [115] = {.lex_state = 64},
  [116] = {.lex_state = 64},
  [117] = {.lex_state = 64},
  [118] = {.lex_state = 5},
  [119] = {.lex_state = 5, .external_lex_state = 2},
  [120] = {.lex_state = 5},
  [121] = {.lex_state = 5},
  [122] = {.lex_state = 7},
  [123] = {.lex_state = 7},
  [124] = {.lex_state = 7},
  [125] = {.lex_state = 7},
  [126] = {.lex_state = 7},
  [127] = {.lex_state = 7},
  [128] = {.lex_state = 7},
  [129] = {.lex_state = 7},
  [130] = {.lex_state = 7},
  [131] = {.lex_state = 7},
  [132] = {.lex_state = 7},
  [133] = {.lex_state = 6},
  [134] = {.lex_state = 6},
  [135] = {.lex_state = 6},
  [136] = {.lex_state = 6},
  [137] = {.lex_state = 6},
  [138] = {.lex_state = 6},
  [139] = {.lex_state = 6},
  [140] = {.lex_state = 6},
  [141] = {.lex_state = 6},
  [142] = {.lex_state = 6},
  [143] = {.lex_state = 6},
  [144] = {.lex_state = 6},
  [145] = {.lex_state = 6},
  [146] = {.lex_state = 6},
  [147] = {.lex_state = 6},
  [148] = {.lex_state = 6},
  [149] = {.lex_state = 6},
  [150] = {.lex_state = 6},
  [151] = {.lex_state = 6},
  [152] = {.lex_state = 6},
  [153] = {.lex_state = 6},
  [154] = {.lex_state = 6},
  [155] = {.lex_state = 6},
  [156] = {.lex_state = 6},
  [157] = {.lex_state = 6},
  [158] = {.lex_state = 6},
  [159] = {.lex_state = 6},
  [160] = {.lex_state = 6},
  [161] = {.lex_state = 64},
  [162] = {.lex_state = 6},
  [163] = {.lex_state = 6},
  [164] = {.lex_state = 6},
  [165] = {.lex_state = 64},
  [166] = {.lex_state = 6},
  [167] = {.lex_state = 6},
  [168] = {.lex_state = 6},
  [169] = {.lex_state = 6},
  [170] = {.lex_state = 6},
  [171] = {.lex_state = 6},
  [172] = {.lex_state = 64},
  [173] = {.lex_state = 64},
  [174] = {.lex_state = 64},
  [175] = {.lex_state = 64},
  [176] = {.lex_state = 64},
  [177] = {.lex_state = 64},
  [178] = {.lex_state = 64},
  [179] = {.lex_state = 6},
  [180] = {.lex_state = 64},
  [181] = {.lex_state = 64},
  [182] = {.lex_state = 6},
  [183] = {.lex_state = 64},
  [184] = {.lex_state = 64},
  [185] = {.lex_state = 64},
  [186] = {.lex_state = 64},
  [187] = {.lex_state = 64},
  [188] = {.lex_state = 64},
  [189] = {.lex_state = 64},
  [190] = {.lex_state = 64},
  [191] = {.lex_state = 64, .external_lex_state = 2},
  [192] = {.lex_state = 64},
  [193] = {.lex_state = 64},
  [194] = {.lex_state = 64, .external_lex_state = 2},
  [195] = {.lex_state = 64},
  [196] = {.lex_state = 64},
  [197] = {.lex_state = 64},
  [198] = {.lex_state = 64, .external_lex_state = 2},
  [199] = {.lex_state = 64},
  [200] = {.lex_state = 64},
  [201] = {.lex_state = 64},
  [202] = {.lex_state = 64},
  [203] = {.lex_state = 64},
  [204] = {.lex_state = 64},
  [205] = {.lex_state = 64},
  [206] = {.lex_state = 64},
  [207] = {.lex_state = 64},
  [208] = {.lex_state = 64},
  [209] = {.lex_state = 64},
  [210] = {.lex_state = 64},
  [211] = {.lex_state = 64, .external_lex_state = 2},
  [212] = {.lex_state = 64, .external_lex_state = 2},
  [213] = {.lex_state = 64, .external_lex_state = 2},
  [214] = {.lex_state = 64},
  [215] = {.lex_state = 64},
  [216] = {.lex_state = 64},
  [217] = {.lex_state = 64},
  [218] = {.lex_state = 64},
  [219] = {.lex_state = 64},
  [220] = {.lex_state = 64},
  [221] = {.lex_state = 64},
  [222] = {.lex_state = 64},
  [223] = {.lex_state = 64},
  [224] = {.lex_state = 64},
  [225] = {.lex_state = 6},
  [226] = {.lex_state = 64},
  [227] = {.lex_state = 6},
  [228] = {.lex_state = 64},
  [229] = {.lex_state = 64},
  [230] = {.lex_state = 64},
  [231] = {.lex_state = 64},
  [232] = {.lex_state = 64},
  [233] = {.lex_state = 64},
  [234] = {.lex_state = 64},
  [235] = {.lex_state = 64},
  [236] = {.lex_state = 64},
  [237] = {.lex_state = 64},
  [238] = {.lex_state = 64},
  [239] = {.lex_state = 64},
  [240] = {.lex_state = 64},
  [241] = {.lex_state = 64},
  [242] = {.lex_state = 64},
  [243] = {.lex_state = 64},
  [244] = {.lex_state = 64},
  [245] = {.lex_state = 64},
  [246] = {.lex_state = 64},
  [247] = {.lex_state = 64},
  [248] = {.lex_state = 64},
  [249] = {.lex_state = 64},
  [250] = {.lex_state = 64},
  [251] = {.lex_state = 64},
  [252] = {.lex_state = 64},
  [253] = {.lex_state = 64},
  [254] = {.lex_state = 64},
  [255] = {.lex_state = 64},
  [256] = {.lex_state = 64},
  [257] = {.lex_state = 64},
  [258] = {.lex_state = 64},
  [259] = {.lex_state = 64},
  [260] = {.lex_state = 64},
  [261] = {.lex_state = 64},
  [262] = {.lex_state = 64},
  [263] = {.lex_state = 64},
  [264] = {.lex_state = 64},
  [265] = {.lex_state = 64},
  [266] = {.lex_state = 64},
  [267] = {.lex_state = 64},
  [268] = {.lex_state = 64},
  [269] = {.lex_state = 64},
  [270] = {.lex_state = 64},
  [271] = {.lex_state = 64},
  [272] = {.lex_state = 64},
  [273] = {.lex_state = 64},
  [274] = {.lex_state = 64},
  [275] = {.lex_state = 64},
  [276] = {.lex_state = 64},
  [277] = {.lex_state = 64},
  [278] = {.lex_state = 64},
  [279] = {.lex_state = 64},
  [280] = {.lex_state = 64},
  [281] = {.lex_state = 64},
  [282] = {.lex_state = 64},
  [283] = {.lex_state = 64},
  [284] = {.lex_state = 64},
  [285] = {.lex_state = 64},
  [286] = {.lex_state = 64},
  [287] = {.lex_state = 64},
  [288] = {.lex_state = 64},
  [289] = {.lex_state = 64},
  [290] = {.lex_state = 64},
  [291] = {.lex_state = 64},
  [292] = {.lex_state = 64},
  [293] = {.lex_state = 64},
  [294] = {.lex_state = 64},
  [295] = {.lex_state = 64},
  [296] = {.lex_state = 64},
  [297] = {.lex_state = 64},
  [298] = {.lex_state = 64},
  [299] = {.lex_state = 64},
  [300] = {.lex_state = 64},
  [301] = {.lex_state = 64},
  [302] = {.lex_state = 64},
  [303] = {.lex_state = 64},
  [304] = {.lex_state = 64},
  [305] = {.lex_state = 64},
  [306] = {.lex_state = 64},
  [307] = {.lex_state = 64},
  [308] = {.lex_state = 64},
  [309] = {.lex_state = 64},
  [310] = {.lex_state = 64},
  [311] = {.lex_state = 64},
  [312] = {.lex_state = 64},
  [313] = {.lex_state = 64},
  [314] = {.lex_state = 64},
  [315] = {.lex_state = 64},
  [316] = {.lex_state = 64},
  [317] = {.lex_state = 64},
  [318] = {.lex_state = 64},
  [319] = {.lex_state = 64},
  [320] = {.lex_state = 64},
  [321] = {.lex_state = 64},
  [322] = {.lex_state = 64},
  [323] = {.lex_state = 64},
  [324] = {.lex_state = 64},
  [325] = {.lex_state = 64},
  [326] = {.lex_state = 64},
  [327] = {.lex_state = 64},
  [328] = {.lex_state = 64},
  [329] = {.lex_state = 64},
  [330] = {.lex_state = 64},
  [331] = {.lex_state = 64},
  [332] = {.lex_state = 64},
  [333] = {.lex_state = 64},
  [334] = {.lex_state = 64},
  [335] = {.lex_state = 64},
  [336] = {.lex_state = 64},
  [337] = {.lex_state = 64},
  [338] = {.lex_state = 64},
  [339] = {.lex_state = 64},
  [340] = {.lex_state = 64},
  [341] = {.lex_state = 64},
  [342] = {.lex_state = 64},
  [343] = {.lex_state = 64},
  [344] = {.lex_state = 64},
  [345] = {.lex_state = 64},
  [346] = {.lex_state = 64},
  [347] = {.lex_state = 64},
  [348] = {.lex_state = 64},
  [349] = {.lex_state = 64},
  [350] = {.lex_state = 64},
  [351] = {.lex_state = 64},
  [352] = {.lex_state = 64},
  [353] = {.lex_state = 64},
  [354] = {.lex_state = 64},
  [355] = {.lex_state = 64},
  [356] = {.lex_state = 64},
  [357] = {.lex_state = 64},
  [358] = {.lex_state = 64},
  [359] = {.lex_state = 64},
  [360] = {.lex_state = 64},
  [361] = {.lex_state = 64},
  [362] = {.lex_state = 64},
  [363] = {.lex_state = 64},
  [364] = {.lex_state = 64},
  [365] = {.lex_state = 64},
  [366] = {.lex_state = 64},
  [367] = {.lex_state = 64},
  [368] = {.lex_state = 64},
  [369] = {.lex_state = 64},
  [370] = {.lex_state = 64},
  [371] = {.lex_state = 64},
  [372] = {.lex_state = 64},
  [373] = {.lex_state = 64},
  [374] = {.lex_state = 64},
  [375] = {.lex_state = 64},
  [376] = {.lex_state = 64},
  [377] = {.lex_state = 64},
  [378] = {.lex_state = 64},
  [379] = {.lex_state = 64},
  [380] = {.lex_state = 64},
  [381] = {.lex_state = 64},
  [382] = {.lex_state = 64},
  [383] = {.lex_state = 64},
  [384] = {.lex_state = 64},
  [385] = {.lex_state = 64},
  [386] = {.lex_state = 64},
  [387] = {.lex_state = 64},
  [388] = {.lex_state = 64},
  [389] = {.lex_state = 64},
  [390] = {.lex_state = 64},
  [391] = {.lex_state = 64},
  [392] = {.lex_state = 64},
  [393] = {.lex_state = 64},
  [394] = {.lex_state = 64},
  [395] = {.lex_state = 64},
  [396] = {.lex_state = 64},
  [397] = {.lex_state = 64},
  [398] = {.lex_state = 64},
  [399] = {.lex_state = 64},
  [400] = {.lex_state = 64},
  [401] = {.lex_state = 64},
  [402] = {.lex_state = 64},
  [403] = {.lex_state = 64},
  [404] = {.lex_state = 64},
  [405] = {.lex_state = 64},
  [406] = {.lex_state = 64},
  [407] = {.lex_state = 64},
  [408] = {.lex_state = 64},
  [409] = {.lex_state = 64},
  [410] = {.lex_state = 64},
  [411] = {.lex_state = 64},
  [412] = {.lex_state = 64},
  [413] = {.lex_state = 64},
  [414] = {.lex_state = 64},
  [415] = {.lex_state = 64},
  [416] = {.lex_state = 64},
  [417] = {.lex_state = 64},
  [418] = {.lex_state = 64},
  [419] = {.lex_state = 64},
  [420] = {.lex_state = 64},
  [421] = {.lex_state = 64},
  [422] = {.lex_state = 64},
  [423] = {.lex_state = 64},
  [424] = {.lex_state = 64},
  [425] = {.lex_state = 64},
  [426] = {.lex_state = 64},
  [427] = {.lex_state = 64},
  [428] = {.lex_state = 64},
  [429] = {.lex_state = 64},
  [430] = {.lex_state = 64},
  [431] = {.lex_state = 64},
  [432] = {.lex_state = 64},
  [433] = {.lex_state = 64},
  [434] = {.lex_state = 64},
  [435] = {.lex_state = 64},
  [436] = {.lex_state = 64},
  [437] = {.lex_state = 64},
  [438] = {.lex_state = 64},
  [439] = {.lex_state = 64},
  [440] = {.lex_state = 64},
  [441] = {.lex_state = 64},
  [442] = {.lex_state = 64},
  [443] = {.lex_state = 64},
  [444] = {.lex_state = 64},
  [445] = {.lex_state = 64},
  [446] = {.lex_state = 64},
  [447] = {.lex_state = 64},
  [448] = {.lex_state = 64},
  [449] = {.lex_state = 64},
  [450] = {.lex_state = 64},
  [451] = {.lex_state = 64},
  [452] = {.lex_state = 64},
  [453] = {.lex_state = 64},
  [454] = {.lex_state = 64},
  [455] = {.lex_state = 64},
  [456] = {.lex_state = 64},
  [457] = {.lex_state = 64},
  [458] = {.lex_state = 64},
  [459] = {.lex_state = 64},
  [460] = {.lex_state = 64},
  [461] = {.lex_state = 64},
  [462] = {.lex_state = 64},
  [463] = {.lex_state = 64},
  [464] = {.lex_state = 64},
  [465] = {.lex_state = 64},
  [466] = {.lex_state = 64},
  [467] = {.lex_state = 64},
  [468] = {.lex_state = 64},
  [469] = {.lex_state = 64},
  [470] = {.lex_state = 64},
  [471] = {.lex_state = 64},
  [472] = {.lex_state = 64},
  [473] = {.lex_state = 64},
  [474] = {.lex_state = 64},
  [475] = {.lex_state = 64},
  [476] = {.lex_state = 64},
  [477] = {.lex_state = 64},
  [478] = {.lex_state = 64},
  [479] = {.lex_state = 64},
  [480] = {.lex_state = 64},
  [481] = {.lex_state = 64},
  [482] = {.lex_state = 64},
  [483] = {.lex_state = 64},
  [484] = {.lex_state = 64},
  [485] = {.lex_state = 64},
  [486] = {.lex_state = 64},
  [487] = {.lex_state = 64},
  [488] = {.lex_state = 64},
  [489] = {.lex_state = 64},
  [490] = {.lex_state = 64},
  [491] = {.lex_state = 64},
  [492] = {.lex_state = 64},
  [493] = {.lex_state = 64},
  [494] = {.lex_state = 64},
  [495] = {.lex_state = 64},
  [496] = {.lex_state = 64},
  [497] = {.lex_state = 64},
  [498] = {.lex_state = 64},
  [499] = {.lex_state = 64},
  [500] = {.lex_state = 64},
  [501] = {.lex_state = 64},
  [502] = {.lex_state = 64},
  [503] = {.lex_state = 64},
  [504] = {.lex_state = 64},
  [505] = {.lex_state = 64},
  [506] = {.lex_state = 64},
  [507] = {.lex_state = 64},
  [508] = {.lex_state = 64},
  [509] = {.lex_state = 64},
  [510] = {.lex_state = 64},
  [511] = {.lex_state = 64},
  [512] = {.lex_state = 64},
  [513] = {.lex_state = 64},
  [514] = {.lex_state = 64},
  [515] = {.lex_state = 64},
  [516] = {.lex_state = 64},
  [517] = {.lex_state = 64},
  [518] = {.lex_state = 64},
  [519] = {.lex_state = 64},
  [520] = {.lex_state = 64},
  [521] = {.lex_state = 64},
  [522] = {.lex_state = 64},
  [523] = {.lex_state = 64},
  [524] = {.lex_state = 64},
  [525] = {.lex_state = 64},
  [526] = {.lex_state = 64},
  [527] = {.lex_state = 64},
  [528] = {.lex_state = 64},
  [529] = {.lex_state = 64},
  [530] = {.lex_state = 64},
  [531] = {.lex_state = 64},
  [532] = {.lex_state = 64},
  [533] = {.lex_state = 64},
  [534] = {.lex_state = 64},
  [535] = {.lex_state = 64},
  [536] = {.lex_state = 64},
  [537] = {.lex_state = 64},
  [538] = {.lex_state = 64},
  [539] = {.lex_state = 64},
  [540] = {.lex_state = 64},
  [541] = {.lex_state = 64},
  [542] = {.lex_state = 64},
  [543] = {.lex_state = 64},
  [544] = {.lex_state = 64},
  [545] = {.lex_state = 64},
  [546] = {.lex_state = 64},
  [547] = {.lex_state = 64},
  [548] = {.lex_state = 64},
  [549] = {.lex_state = 64},
  [550] = {.lex_state = 64},
  [551] = {.lex_state = 64},
  [552] = {.lex_state = 64},
  [553] = {.lex_state = 64},
  [554] = {.lex_state = 64},
  [555] = {.lex_state = 64},
  [556] = {.lex_state = 64},
  [557] = {.lex_state = 64},
  [558] = {.lex_state = 64},
  [559] = {.lex_state = 64},
  [560] = {.lex_state = 64},
  [561] = {.lex_state = 64},
  [562] = {.lex_state = 64},
  [563] = {.lex_state = 64},
  [564] = {.lex_state = 64},
  [565] = {.lex_state = 64},
  [566] = {.lex_state = 64},
  [567] = {.lex_state = 64},
  [568] = {.lex_state = 64},
  [569] = {.lex_state = 64},
  [570] = {.lex_state = 64},
  [571] = {.lex_state = 64},
  [572] = {.lex_state = 64},
  [573] = {.lex_state = 64},
  [574] = {.lex_state = 64},
  [575] = {.lex_state = 64},
  [576] = {.lex_state = 64},
  [577] = {.lex_state = 64},
  [578] = {.lex_state = 64},
  [579] = {.lex_state = 64},
  [580] = {.lex_state = 64},
  [581] = {.lex_state = 64},
  [582] = {.lex_state = 64},
  [583] = {.lex_state = 64},
  [584] = {.lex_state = 64},
  [585] = {.lex_state = 64},
  [586] = {.lex_state = 64},
  [587] = {.lex_state = 65},
  [588] = {.lex_state = 65},
  [589] = {.lex_state = 65},
  [590] = {.lex_state = 65},
  [591] = {.lex_state = 65},
  [592] = {.lex_state = 65},
  [593] = {.lex_state = 65},
  [594] = {.lex_state = 65},
  [595] = {.lex_state = 65},
  [596] = {.lex_state = 65},
  [597] = {.lex_state = 65},
  [598] = {.lex_state = 65},
  [599] = {.lex_state = 65},
  [600] = {.lex_state = 65},
  [601] = {.lex_state = 65},
  [602] = {.lex_state = 65},
  [603] = {.lex_state = 65},
  [604] = {.lex_state = 65},
  [605] = {.lex_state = 65},
  [606] = {.lex_state = 65},
  [607] = {.lex_state = 65},
  [608] = {.lex_state = 65},
  [609] = {.lex_state = 65},
  [610] = {.lex_state = 65},
  [611] = {.lex_state = 65},
  [612] = {.lex_state = 65},
  [613] = {.lex_state = 65},
  [614] = {.lex_state = 65},
  [615] = {.lex_state = 65},
  [616] = {.lex_state = 65},
  [617] = {.lex_state = 65},
  [618] = {.lex_state = 65},
  [619] = {.lex_state = 65},
  [620] = {.lex_state = 65},
  [621] = {.lex_state = 65},
  [622] = {.lex_state = 65},
  [623] = {.lex_state = 65, .external_lex_state = 2},
  [624] = {.lex_state = 65, .external_lex_state = 2},
  [625] = {.lex_state = 65, .external_lex_state = 2},
  [626] = {.lex_state = 65, .external_lex_state = 2},
  [627] = {.lex_state = 65, .external_lex_state = 2},
  [628] = {.lex_state = 65, .external_lex_state = 2},
  [629] = {.lex_state = 65, .external_lex_state = 2},
  [630] = {.lex_state = 65, .external_lex_state = 2},
  [631] = {.lex_state = 66},
  [632] = {.lex_state = 65, .external_lex_state = 2},
  [633] = {.lex_state = 65, .external_lex_state = 2},
  [634] = {.lex_state = 66},
  [635] = {.lex_state = 65},
  [636] = {.lex_state = 65, .external_lex_state = 2},
  [637] = {.lex_state = 65, .external_lex_state = 2},
  [638] = {.lex_state = 65, .external_lex_state = 2},
  [639] = {.lex_state = 65, .external_lex_state = 2},
  [640] = {.lex_state = 65},
  [641] = {.lex_state = 66},
  [642] = {.lex_state = 65, .external_lex_state = 2},
  [643] = {.lex_state = 65},
  [644] = {.lex_state = 65, .external_lex_state = 2},
  [645] = {.lex_state = 65, .external_lex_state = 2},
  [646] = {.lex_state = 65, .external_lex_state = 2},
  [647] = {.lex_state = 65, .external_lex_state = 2},
  [648] = {.lex_state = 65, .external_lex_state = 2},
  [649] = {.lex_state = 65, .external_lex_state = 2},
  [650] = {.lex_state = 66},
  [651] = {.lex_state = 65, .external_lex_state = 2},
  [652] = {.lex_state = 65, .external_lex_state = 2},
  [653] = {.lex_state = 66},
  [654] = {.lex_state = 65, .external_lex_state = 2},
  [655] = {.lex_state = 65, .external_lex_state = 2},
  [656] = {.lex_state = 65, .external_lex_state = 2},
  [657] = {.lex_state = 65, .external_lex_state = 2},
  [658] = {.lex_state = 65, .external_lex_state = 2},
  [659] = {.lex_state = 65, .external_lex_state = 2},
  [660] = {.lex_state = 65, .external_lex_state = 2},
  [661] = {.lex_state = 65, .external_lex_state = 2},
  [662] = {.lex_state = 65, .external_lex_state = 2},
  [663] = {.lex_state = 65, .external_lex_state = 2},
  [664] = {.lex_state = 65, .external_lex_state = 2},
  [665] = {.lex_state = 65, .external_lex_state = 2},
  [666] = {.lex_state = 65, .external_lex_state = 2},
  [667] = {.lex_state = 65},
  [668] = {.lex_state = 66},
  [669] = {.lex_state = 65, .external_lex_state = 2},
  [670] = {.lex_state = 65},
  [671] = {.lex_state = 65},
  [672] = {.lex_state = 65, .external_lex_state = 2},
  [673] = {.lex_state = 65},
  [674] = {.lex_state = 65},
  [675] = {.lex_state = 65},
  [676] = {.lex_state = 65},
  [677] = {.lex_state = 65},
  [678] = {.lex_state = 65},
  [679] = {.lex_state = 65},
  [680] = {.lex_state = 65},
  [681] = {.lex_state = 65},
  [682] = {.lex_state = 65},
  [683] = {.lex_state = 65},
  [684] = {.lex_state = 66},
  [685] = {.lex_state = 66},
  [686] = {.lex_state = 66},
  [687] = {.lex_state = 66},
  [688] = {.lex_state = 65},
  [689] = {.lex_state = 65},
  [690] = {.lex_state = 65},
  [691] = {.lex_state = 65},
  [692] = {.lex_state = 65},
  [693] = {.lex_state = 65},
  [694] = {.lex_state = 65},
  [695] = {.lex_state = 65},
  [696] = {.lex_state = 66},
  [697] = {.lex_state = 10},
  [698] = {.lex_state = 66},
  [699] = {.lex_state = 66},
  [700] = {.lex_state = 66},
  [701] = {.lex_state = 66},
  [702] = {.lex_state = 66},
  [703] = {.lex_state = 66},
  [704] = {.lex_state = 66},
  [705] = {.lex_state = 66},
  [706] = {.lex_state = 65},
  [707] = {.lex_state = 66},
  [708] = {.lex_state = 66},
  [709] = {.lex_state = 66},
  [710] = {.lex_state = 66},
  [711] = {.lex_state = 10},
  [712] = {.lex_state = 12},
  [713] = {.lex_state = 8},
  [714] = {.lex_state = 12},
  [715] = {.lex_state = 10},
  [716] = {.lex_state = 10},
  [717] = {.lex_state = 8},
  [718] = {.lex_state = 10},
  [719] = {.lex_state = 8},
  [720] = {.lex_state = 12},
  [721] = {.lex_state = 8},
  [722] = {.lex_state = 8},
  [723] = {.lex_state = 8},
  [724] = {.lex_state = 8},
  [725] = {.lex_state = 8},
  [726] = {.lex_state = 8},
  [727] = {.lex_state = 8},
  [728] = {.lex_state = 8},
  [729] = {.lex_state = 8},
  [730] = {.lex_state = 8},
  [731] = {.lex_state = 8},
  [732] = {.lex_state = 8},
  [733] = {.lex_state = 8},
  [734] = {.lex_state = 8},
  [735] = {.lex_state = 8},
  [736] = {.lex_state = 8},
  [737] = {.lex_state = 12, .external_lex_state = 2},
  [738] = {.lex_state = 10},
  [739] = {.lex_state = 8},
  [740] = {.lex_state = 8},
  [741] = {.lex_state = 8},
  [742] = {.lex_state = 10},
  [743] = {.lex_state = 8},
  [744] = {.lex_state = 8},
  [745] = {.lex_state = 8},
  [746] = {.lex_state = 8},
  [747] = {.lex_state = 8},
  [748] = {.lex_state = 8},
  [749] = {.lex_state = 8},
  [750] = {.lex_state = 10},
  [751] = {.lex_state = 10},
  [752] = {.lex_state = 8},
  [753] = {.lex_state = 8},
  [754] = {.lex_state = 10},
  [755] = {.lex_state = 8},
  [756] = {.lex_state = 10},
  [757] = {.lex_state = 8},
  [758] = {.lex_state = 8},
  [759] = {.lex_state = 8},
  [760] = {.lex_state = 10},
  [761] = {.lex_state = 8},
  [762] = {.lex_state = 8},
  [763] = {.lex_state = 8},
  [764] = {.lex_state = 10},
  [765] = {.lex_state = 10},
  [766] = {.lex_state = 10},
  [767] = {.lex_state = 10},
  [768] = {.lex_state = 10},
  [769] = {.lex_state = 10},
  [770] = {.lex_state = 10},
  [771] = {.lex_state = 10},
  [772] = {.lex_state = 10},
  [773] = {.lex_state = 12},
  [774] = {.lex_state = 10},
  [775] = {.lex_state = 10},
  [776] = {.lex_state = 10},
  [777] = {.lex_state = 10},
  [778] = {.lex_state = 10},
  [779] = {.lex_state = 10},
  [780] = {.lex_state = 10},
  [781] = {.lex_state = 10},
  [782] = {.lex_state = 10},
  [783] = {.lex_state = 10},
  [784] = {.lex_state = 10},
  [785] = {.lex_state = 10},
  [786] = {.lex_state = 10},
  [787] = {.lex_state = 10},
  [788] = {.lex_state = 10},
  [789] = {.lex_state = 10},
  [790] = {.lex_state = 10},
  [791] = {.lex_state = 10},
  [792] = {.lex_state = 10},
  [793] = {.lex_state = 10},
  [794] = {.lex_state = 10},
  [795] = {.lex_state = 10},
  [796] = {.lex_state = 10},
  [797] = {.lex_state = 10},
  [798] = {.lex_state = 10},
  [799] = {.lex_state = 10},
  [800] = {.lex_state = 10},
  [801] = {.lex_state = 10},
  [802] = {.lex_state = 10},
  [803] = {.lex_state = 10},
  [804] = {.lex_state = 10},
  [805] = {.lex_state = 10},
  [806] = {.lex_state = 10},
  [807] = {.lex_state = 10},
  [808] = {.lex_state = 10},
  [809] = {.lex_state = 10},
  [810] = {.lex_state = 10},
  [811] = {.lex_state = 10},
  [812] = {.lex_state = 10},
  [813] = {.lex_state = 10},
  [814] = {.lex_state = 10},
  [815] = {.lex_state = 10},
  [816] = {.lex_state = 10},
  [817] = {.lex_state = 10},
  [818] = {.lex_state = 10},
  [819] = {.lex_state = 10},
  [820] = {.lex_state = 10},
  [821] = {.lex_state = 10},
  [822] = {.lex_state = 10},
  [823] = {.lex_state = 12},
  [824] = {.lex_state = 10},
  [825] = {.lex_state = 10},
  [826] = {.lex_state = 10},
  [827] = {.lex_state = 10},
  [828] = {.lex_state = 10},
  [829] = {.lex_state = 10},
  [830] = {.lex_state = 10},
  [831] = {.lex_state = 10},
  [832] = {.lex_state = 15},
  [833] = {.lex_state = 15},
  [834] = {.lex_state = 10},
  [835] = {.lex_state = 10},
  [836] = {.lex_state = 10},
  [837] = {.lex_state = 10},
  [838] = {.lex_state = 10},
  [839] = {.lex_state = 10},
  [840] = {.lex_state = 10},
  [841] = {.lex_state = 10},
  [842] = {.lex_state = 10},
  [843] = {.lex_state = 10},
  [844] = {.lex_state = 10},
  [845] = {.lex_state = 10},
  [846] = {.lex_state = 10},
  [847] = {.lex_state = 10},
  [848] = {.lex_state = 12},
  [849] = {.lex_state = 12},
  [850] = {.lex_state = 10, .external_lex_state = 2},
  [851] = {.lex_state = 10},
  [852] = {.lex_state = 10},
  [853] = {.lex_state = 15},
  [854] = {.lex_state = 15},
  [855] = {.lex_state = 10},
  [856] = {.lex_state = 12},
  [857] = {.lex_state = 10},
  [858] = {.lex_state = 8, .external_lex_state = 2},
  [859] = {.lex_state = 8, .external_lex_state = 2},
  [860] = {.lex_state = 15},
  [861] = {.lex_state = 10},
  [862] = {.lex_state = 15},
  [863] = {.lex_state = 8, .external_lex_state = 2},
  [864] = {.lex_state = 8, .external_lex_state = 2},
  [865] = {.lex_state = 8, .external_lex_state = 2},
  [866] = {.lex_state = 8, .external_lex_state = 2},
  [867] = {.lex_state = 8, .external_lex_state = 2},
  [868] = {.lex_state = 8, .external_lex_state = 2},
  [869] = {.lex_state = 8, .external_lex_state = 2},
  [870] = {.lex_state = 15},
  [871] = {.lex_state = 10, .external_lex_state = 2},
  [872] = {.lex_state = 15},
  [873] = {.lex_state = 10},
  [874] = {.lex_state = 8, .external_lex_state = 2},
  [875] = {.lex_state = 8, .external_lex_state = 2},
  [876] = {.lex_state = 8, .external_lex_state = 2},
  [877] = {.lex_state = 8, .external_lex_state = 2},
  [878] = {.lex_state = 8, .external_lex_state = 2},
  [879] = {.lex_state = 8, .external_lex_state = 2},
  [880] = {.lex_state = 15},
  [881] = {.lex_state = 8, .external_lex_state = 2},
  [882] = {.lex_state = 6},
  [883] = {.lex_state = 8, .external_lex_state = 2},
  [884] = {.lex_state = 8, .external_lex_state = 2},
  [885] = {.lex_state = 8, .external_lex_state = 2},
  [886] = {.lex_state = 8, .external_lex_state = 2},
  [887] = {.lex_state = 15},
  [888] = {.lex_state = 8, .external_lex_state = 2},
  [889] = {.lex_state = 8, .external_lex_state = 2},
  [890] = {.lex_state = 8, .external_lex_state = 2},
  [891] = {.lex_state = 8, .external_lex_state = 2},
  [892] = {.lex_state = 8, .external_lex_state = 2},
  [893] = {.lex_state = 10, .external_lex_state = 2},
  [894] = {.lex_state = 8, .external_lex_state = 2},
  [895] = {.lex_state = 8, .external_lex_state = 2},
  [896] = {.lex_state = 8, .external_lex_state = 2},
  [897] = {.lex_state = 8, .external_lex_state = 2},
  [898] = {.lex_state = 8, .external_lex_state = 2},
  [899] = {.lex_state = 10, .external_lex_state = 2},
  [900] = {.lex_state = 8, .external_lex_state = 2},
  [901] = {.lex_state = 12},
  [902] = {.lex_state = 10, .external_lex_state = 2},
  [903] = {.lex_state = 8, .external_lex_state = 2},
  [904] = {.lex_state = 10, .external_lex_state = 2},
  [905] = {.lex_state = 6},
  [906] = {.lex_state = 8, .external_lex_state = 2},
  [907] = {.lex_state = 8, .external_lex_state = 2},
  [908] = {.lex_state = 8, .external_lex_state = 2},
  [909] = {.lex_state = 12},
  [910] = {.lex_state = 8, .external_lex_state = 2},
  [911] = {.lex_state = 12},
  [912] = {.lex_state = 12},
  [913] = {.lex_state = 8, .external_lex_state = 2},
  [914] = {.lex_state = 12},
  [915] = {.lex_state = 8, .external_lex_state = 2},
  [916] = {.lex_state = 10, .external_lex_state = 2},
  [917] = {.lex_state = 10, .external_lex_state = 2},
  [918] = {.lex_state = 10, .external_lex_state = 2},
  [919] = {.lex_state = 10, .external_lex_state = 2},
  [920] = {.lex_state = 10, .external_lex_state = 2},
  [921] = {.lex_state = 10, .external_lex_state = 2},
  [922] = {.lex_state = 10, .external_lex_state = 2},
  [923] = {.lex_state = 10, .external_lex_state = 2},
  [924] = {.lex_state = 10, .external_lex_state = 2},
  [925] = {.lex_state = 10, .external_lex_state = 2},
  [926] = {.lex_state = 10, .external_lex_state = 2},
  [927] = {.lex_state = 10, .external_lex_state = 2},
  [928] = {.lex_state = 10, .external_lex_state = 2},
  [929] = {.lex_state = 10, .external_lex_state = 2},
  [930] = {.lex_state = 12, .external_lex_state = 2},
  [931] = {.lex_state = 10, .external_lex_state = 2},
  [932] = {.lex_state = 10, .external_lex_state = 2},
  [933] = {.lex_state = 10, .external_lex_state = 2},
  [934] = {.lex_state = 10, .external_lex_state = 2},
  [935] = {.lex_state = 10, .external_lex_state = 2},
  [936] = {.lex_state = 10, .external_lex_state = 2},
  [937] = {.lex_state = 10, .external_lex_state = 2},
  [938] = {.lex_state = 10, .external_lex_state = 2},
  [939] = {.lex_state = 12},
  [940] = {.lex_state = 10, .external_lex_state = 2},
  [941] = {.lex_state = 10, .external_lex_state = 2},
  [942] = {.lex_state = 10, .external_lex_state = 2},
  [943] = {.lex_state = 10, .external_lex_state = 2},
  [944] = {.lex_state = 10},
  [945] = {.lex_state = 10, .external_lex_state = 2},
  [946] = {.lex_state = 10, .external_lex_state = 2},
  [947] = {.lex_state = 10, .external_lex_state = 2},
  [948] = {.lex_state = 10, .external_lex_state = 2},
  [949] = {.lex_state = 10, .external_lex_state = 2},
  [950] = {.lex_state = 10},
  [951] = {.lex_state = 10, .external_lex_state = 2},
  [952] = {.lex_state = 10, .external_lex_state = 2},
  [953] = {.lex_state = 10, .external_lex_state = 2},
  [954] = {.lex_state = 10, .external_lex_state = 2},
  [955] = {.lex_state = 10, .external_lex_state = 2},
  [956] = {.lex_state = 10, .external_lex_state = 2},
  [957] = {.lex_state = 10, .external_lex_state = 2},
  [958] = {.lex_state = 10, .external_lex_state = 2},
  [959] = {.lex_state = 10, .external_lex_state = 2},
  [960] = {.lex_state = 10, .external_lex_state = 2},
  [961] = {.lex_state = 10, .external_lex_state = 2},
  [962] = {.lex_state = 10, .external_lex_state = 2},
  [963] = {.lex_state = 10, .external_lex_state = 2},
  [964] = {.lex_state = 10, .external_lex_state = 2},
  [965] = {.lex_state = 10, .external_lex_state = 2},
  [966] = {.lex_state = 10, .external_lex_state = 2},
  [967] = {.lex_state = 10, .external_lex_state = 2},
  [968] = {.lex_state = 10, .external_lex_state = 2},
  [969] = {.lex_state = 10, .external_lex_state = 2},
  [970] = {.lex_state = 10, .external_lex_state = 2},
  [971] = {.lex_state = 10, .external_lex_state = 2},
  [972] = {.lex_state = 10, .external_lex_state = 2},
  [973] = {.lex_state = 10, .external_lex_state = 2},
  [974] = {.lex_state = 10, .external_lex_state = 2},
  [975] = {.lex_state = 10, .external_lex_state = 2},
  [976] = {.lex_state = 10, .external_lex_state = 2},
  [977] = {.lex_state = 10, .external_lex_state = 2},
  [978] = {.lex_state = 10, .external_lex_state = 2},
  [979] = {.lex_state = 10, .external_lex_state = 2},
  [980] = {.lex_state = 10, .external_lex_state = 2},
  [981] = {.lex_state = 10, .external_lex_state = 2},
  [982] = {.lex_state = 10, .external_lex_state = 2},
  [983] = {.lex_state = 10, .external_lex_state = 2},
  [984] = {.lex_state = 10, .external_lex_state = 2},
  [985] = {.lex_state = 10, .external_lex_state = 2},
  [986] = {.lex_state = 10, .external_lex_state = 2},
  [987] = {.lex_state = 10, .external_lex_state = 2},
  [988] = {.lex_state = 10, .external_lex_state = 2},
  [989] = {.lex_state = 10, .external_lex_state = 2},
  [990] = {.lex_state = 10, .external_lex_state = 2},
  [991] = {.lex_state = 10, .external_lex_state = 2},
  [992] = {.lex_state = 10, .external_lex_state = 2},
  [993] = {.lex_state = 10, .external_lex_state = 2},
  [994] = {.lex_state = 10, .external_lex_state = 2},
  [995] = {.lex_state = 10, .external_lex_state = 2},
  [996] = {.lex_state = 10, .external_lex_state = 2},
  [997] = {.lex_state = 10, .external_lex_state = 2},
  [998] = {.lex_state = 10, .external_lex_state = 2},
  [999] = {.lex_state = 10, .external_lex_state = 2},
  [1000] = {.lex_state = 10, .external_lex_state = 2},
  [1001] = {.lex_state = 10, .external_lex_state = 2},
  [1002] = {.lex_state = 10, .external_lex_state = 2},
  [1003] = {.lex_state = 10, .external_lex_state = 2},
  [1004] = {.lex_state = 12},
  [1005] = {.lex_state = 10, .external_lex_state = 2},
  [1006] = {.lex_state = 10, .external_lex_state = 2},
  [1007] = {.lex_state = 10, .external_lex_state = 2},
  [1008] = {.lex_state = 12},
  [1009] = {.lex_state = 10, .external_lex_state = 2},
  [1010] = {.lex_state = 12},
  [1011] = {.lex_state = 12},
  [1012] = {.lex_state = 12},
  [1013] = {.lex_state = 12},
  [1014] = {.lex_state = 12},
  [1015] = {.lex_state = 12},
  [1016] = {.lex_state = 12},
  [1017] = {.lex_state = 12},
  [1018] = {.lex_state = 12},
  [1019] = {.lex_state = 10, .external_lex_state = 2},
  [1020] = {.lex_state = 12},
  [1021] = {.lex_state = 12},
  [1022] = {.lex_state = 12},
  [1023] = {.lex_state = 12},
  [1024] = {.lex_state = 12},
  [1025] = {.lex_state = 12},
  [1026] = {.lex_state = 10, .external_lex_state = 2},
  [1027] = {.lex_state = 12},
  [1028] = {.lex_state = 12},
  [1029] = {.lex_state = 12},
  [1030] = {.lex_state = 10, .external_lex_state = 2},
  [1031] = {.lex_state = 12},
  [1032] = {.lex_state = 10},
  [1033] = {.lex_state = 12, .external_lex_state = 2},
  [1034] = {.lex_state = 10, .external_lex_state = 2},
  [1035] = {.lex_state = 12},
  [1036] = {.lex_state = 12},
  [1037] = {.lex_state = 12},
  [1038] = {.lex_state = 12},
  [1039] = {.lex_state = 10, .external_lex_state = 2},
  [1040] = {.lex_state = 12},
  [1041] = {.lex_state = 12, .external_lex_state = 2},
  [1042] = {.lex_state = 12, .external_lex_state = 2},
  [1043] = {.lex_state = 12, .external_lex_state = 2},
  [1044] = {.lex_state = 12, .external_lex_state = 2},
  [1045] = {.lex_state = 12, .external_lex_state = 2},
  [1046] = {.lex_state = 12, .external_lex_state = 2},
  [1047] = {.lex_state = 12},
  [1048] = {.lex_state = 12},
  [1049] = {.lex_state = 12},
  [1050] = {.lex_state = 12},
  [1051] = {.lex_state = 12},
  [1052] = {.lex_state = 12},
  [1053] = {.lex_state = 12},
  [1054] = {.lex_state = 12},
  [1055] = {.lex_state = 12},
  [1056] = {.lex_state = 12},
  [1057] = {.lex_state = 12},
  [1058] = {.lex_state = 12},
  [1059] = {.lex_state = 12},
  [1060] = {.lex_state = 12},
  [1061] = {.lex_state = 12},
  [1062] = {.lex_state = 12},
  [1063] = {.lex_state = 12},
  [1064] = {.lex_state = 12},
  [1065] = {.lex_state = 12},
  [1066] = {.lex_state = 12},
  [1067] = {.lex_state = 12},
  [1068] = {.lex_state = 12},
  [1069] = {.lex_state = 12},
  [1070] = {.lex_state = 12},
  [1071] = {.lex_state = 12},
  [1072] = {.lex_state = 12},
  [1073] = {.lex_state = 12},
  [1074] = {.lex_state = 12, .external_lex_state = 2},
  [1075] = {.lex_state = 12},
  [1076] = {.lex_state = 12},
  [1077] = {.lex_state = 12},
  [1078] = {.lex_state = 12, .external_lex_state = 2},
  [1079] = {.lex_state = 12},
  [1080] = {.lex_state = 12},
  [1081] = {.lex_state = 12, .external_lex_state = 2},
  [1082] = {.lex_state = 12, .external_lex_state = 2},
  [1083] = {.lex_state = 12},
  [1084] = {.lex_state = 12},
  [1085] = {.lex_state = 12},
  [1086] = {.lex_state = 12},
  [1087] = {.lex_state = 12},
  [1088] = {.lex_state = 12},
  [1089] = {.lex_state = 12},
  [1090] = {.lex_state = 12},
  [1091] = {.lex_state = 12},
  [1092] = {.lex_state = 12},
  [1093] = {.lex_state = 12, .external_lex_state = 2},
  [1094] = {.lex_state = 12},
  [1095] = {.lex_state = 12},
  [1096] = {.lex_state = 12},
  [1097] = {.lex_state = 12},
  [1098] = {.lex_state = 12},
  [1099] = {.lex_state = 12},
  [1100] = {.lex_state = 12},
  [1101] = {.lex_state = 12},
  [1102] = {.lex_state = 12, .external_lex_state = 2},
  [1103] = {.lex_state = 12, .external_lex_state = 2},
  [1104] = {.lex_state = 12},
  [1105] = {.lex_state = 12, .external_lex_state = 2},
  [1106] = {.lex_state = 12, .external_lex_state = 2},
  [1107] = {.lex_state = 12, .external_lex_state = 2},
  [1108] = {.lex_state = 12},
  [1109] = {.lex_state = 12, .external_lex_state = 2},
  [1110] = {.lex_state = 12, .external_lex_state = 2},
  [1111] = {.lex_state = 12, .external_lex_state = 2},
  [1112] = {.lex_state = 12, .external_lex_state = 2},
  [1113] = {.lex_state = 12, .external_lex_state = 2},
  [1114] = {.lex_state = 12, .external_lex_state = 2},
  [1115] = {.lex_state = 12, .external_lex_state = 2},
  [1116] = {.lex_state = 12, .external_lex_state = 2},
  [1117] = {.lex_state = 12, .external_lex_state = 2},
  [1118] = {.lex_state = 12, .external_lex_state = 2},
  [1119] = {.lex_state = 12, .external_lex_state = 2},
  [1120] = {.lex_state = 12, .external_lex_state = 2},
  [1121] = {.lex_state = 12, .external_lex_state = 2},
  [1122] = {.lex_state = 12, .external_lex_state = 2},
  [1123] = {.lex_state = 12, .external_lex_state = 2},
  [1124] = {.lex_state = 12, .external_lex_state = 2},
  [1125] = {.lex_state = 12, .external_lex_state = 2},
  [1126] = {.lex_state = 12, .external_lex_state = 2},
  [1127] = {.lex_state = 12},
  [1128] = {.lex_state = 12, .external_lex_state = 2},
  [1129] = {.lex_state = 12, .external_lex_state = 2},
  [1130] = {.lex_state = 12, .external_lex_state = 2},
  [1131] = {.lex_state = 12},
  [1132] = {.lex_state = 12},
  [1133] = {.lex_state = 12},
  [1134] = {.lex_state = 12},
  [1135] = {.lex_state = 12, .external_lex_state = 2},
  [1136] = {.lex_state = 12, .external_lex_state = 2},
  [1137] = {.lex_state = 17},
  [1138] = {.lex_state = 12},
  [1139] = {.lex_state = 12, .external_lex_state = 2},
  [1140] = {.lex_state = 12},
  [1141] = {.lex_state = 12, .external_lex_state = 2},
  [1142] = {.lex_state = 12, .external_lex_state = 2},
  [1143] = {.lex_state = 12},
  [1144] = {.lex_state = 12, .external_lex_state = 2},
  [1145] = {.lex_state = 12},
  [1146] = {.lex_state = 12, .external_lex_state = 2},
  [1147] = {.lex_state = 12},
  [1148] = {.lex_state = 12, .external_lex_state = 2},
  [1149] = {.lex_state = 12, .external_lex_state = 2},
  [1150] = {.lex_state = 12, .external_lex_state = 2},
  [1151] = {.lex_state = 12, .external_lex_state = 2},
  [1152] = {.lex_state = 12, .external_lex_state = 2},
  [1153] = {.lex_state = 12, .external_lex_state = 2},
  [1154] = {.lex_state = 12, .external_lex_state = 2},
  [1155] = {.lex_state = 12, .external_lex_state = 2},
  [1156] = {.lex_state = 12, .external_lex_state = 2},
  [1157] = {.lex_state = 12, .external_lex_state = 2},
  [1158] = {.lex_state = 12},
  [1159] = {.lex_state = 12, .external_lex_state = 2},
  [1160] = {.lex_state = 12},
  [1161] = {.lex_state = 12},
  [1162] = {.lex_state = 12, .external_lex_state = 2},
  [1163] = {.lex_state = 12, .external_lex_state = 2},
  [1164] = {.lex_state = 12, .external_lex_state = 2},
  [1165] = {.lex_state = 12},
  [1166] = {.lex_state = 12, .external_lex_state = 2},
  [1167] = {.lex_state = 12, .external_lex_state = 2},
  [1168] = {.lex_state = 12, .external_lex_state = 2},
  [1169] = {.lex_state = 12, .external_lex_state = 2},
  [1170] = {.lex_state = 12, .external_lex_state = 2},
  [1171] = {.lex_state = 12},
  [1172] = {.lex_state = 12, .external_lex_state = 2},
  [1173] = {.lex_state = 12, .external_lex_state = 2},
  [1174] = {.lex_state = 12, .external_lex_state = 2},
  [1175] = {.lex_state = 12, .external_lex_state = 2},
  [1176] = {.lex_state = 12},
  [1177] = {.lex_state = 12},
  [1178] = {.lex_state = 12},
  [1179] = {.lex_state = 12},
  [1180] = {.lex_state = 12},
  [1181] = {.lex_state = 12},
  [1182] = {.lex_state = 12},
  [1183] = {.lex_state = 12},
  [1184] = {.lex_state = 12},
  [1185] = {.lex_state = 12},
  [1186] = {.lex_state = 12},
  [1187] = {.lex_state = 12},
  [1188] = {.lex_state = 12},
  [1189] = {.lex_state = 12},
  [1190] = {.lex_state = 12},
  [1191] = {.lex_state = 12},
  [1192] = {.lex_state = 12},
  [1193] = {.lex_state = 12},
  [1194] = {.lex_state = 12},
  [1195] = {.lex_state = 12},
  [1196] = {.lex_state = 12},
  [1197] = {.lex_state = 12},
  [1198] = {.lex_state = 12},
  [1199] = {.lex_state = 12},
  [1200] = {.lex_state = 12},
  [1201] = {.lex_state = 12},
  [1202] = {.lex_state = 12},
  [1203] = {.lex_state = 12},
  [1204] = {.lex_state = 12},
  [1205] = {.lex_state = 12},
  [1206] = {.lex_state = 12},
  [1207] = {.lex_state = 12},
  [1208] = {.lex_state = 12},
  [1209] = {.lex_state = 12},
  [1210] = {.lex_state = 12},
  [1211] = {.lex_state = 12},
  [1212] = {.lex_state = 12},
  [1213] = {.lex_state = 12},
  [1214] = {.lex_state = 12},
  [1215] = {.lex_state = 12},
  [1216] = {.lex_state = 12, .external_lex_state = 2},
  [1217] = {.lex_state = 12},
  [1218] = {.lex_state = 12},
  [1219] = {.lex_state = 12, .external_lex_state = 2},
  [1220] = {.lex_state = 12},
  [1221] = {.lex_state = 12},
  [1222] = {.lex_state = 12},
  [1223] = {.lex_state = 12},
  [1224] = {.lex_state = 12, .external_lex_state = 2},
  [1225] = {.lex_state = 12},
  [1226] = {.lex_state = 12, .external_lex_state = 2},
  [1227] = {.lex_state = 12, .external_lex_state = 2},
  [1228] = {.lex_state = 12, .external_lex_state = 2},
  [1229] = {.lex_state = 12},
  [1230] = {.lex_state = 12, .external_lex_state = 2},
  [1231] = {.lex_state = 12, .external_lex_state = 2},
  [1232] = {.lex_state = 12},
  [1233] = {.lex_state = 12, .external_lex_state = 2},
  [1234] = {.lex_state = 12},
  [1235] = {.lex_state = 12, .external_lex_state = 2},
  [1236] = {.lex_state = 12},
  [1237] = {.lex_state = 12},
  [1238] = {.lex_state = 12, .external_lex_state = 2},
  [1239] = {.lex_state = 12, .external_lex_state = 2},
  [1240] = {.lex_state = 12, .external_lex_state = 2},
  [1241] = {.lex_state = 12, .external_lex_state = 2},
  [1242] = {.lex_state = 12},
  [1243] = {.lex_state = 12},
  [1244] = {.lex_state = 12},
  [1245] = {.lex_state = 12},
  [1246] = {.lex_state = 12},
  [1247] = {.lex_state = 15},
  [1248] = {.lex_state = 15},
  [1249] = {.lex_state = 15},
  [1250] = {.lex_state = 15},
  [1251] = {.lex_state = 12},
  [1252] = {.lex_state = 15},
  [1253] = {.lex_state = 12},
  [1254] = {.lex_state = 12},
  [1255] = {.lex_state = 15},
  [1256] = {.lex_state = 12},
  [1257] = {.lex_state = 12},
  [1258] = {.lex_state = 12},
  [1259] = {.lex_state = 12},
  [1260] = {.lex_state = 12},
  [1261] = {.lex_state = 12},
  [1262] = {.lex_state = 12},
  [1263] = {.lex_state = 12},
  [1264] = {.lex_state = 12},
  [1265] = {.lex_state = 12},
  [1266] = {.lex_state = 15},
  [1267] = {.lex_state = 12},
  [1268] = {.lex_state = 12},
  [1269] = {.lex_state = 12},
  [1270] = {.lex_state = 12},
  [1271] = {.lex_state = 12},
  [1272] = {.lex_state = 12},
  [1273] = {.lex_state = 12},
  [1274] = {.lex_state = 12},
  [1275] = {.lex_state = 12},
  [1276] = {.lex_state = 12},
  [1277] = {.lex_state = 12},
  [1278] = {.lex_state = 12},
  [1279] = {.lex_state = 12},
  [1280] = {.lex_state = 12},
  [1281] = {.lex_state = 12},
  [1282] = {.lex_state = 12},
  [1283] = {.lex_state = 12},
  [1284] = {.lex_state = 12},
  [1285] = {.lex_state = 12},
  [1286] = {.lex_state = 12},
  [1287] = {.lex_state = 12},
  [1288] = {.lex_state = 12},
  [1289] = {.lex_state = 12},
  [1290] = {.lex_state = 12},
  [1291] = {.lex_state = 12},
  [1292] = {.lex_state = 12},
  [1293] = {.lex_state = 12},
  [1294] = {.lex_state = 12},
  [1295] = {.lex_state = 12},
  [1296] = {.lex_state = 12},
  [1297] = {.lex_state = 12},
  [1298] = {.lex_state = 12},
  [1299] = {.lex_state = 12},
  [1300] = {.lex_state = 12},
  [1301] = {.lex_state = 12},
  [1302] = {.lex_state = 12},
  [1303] = {.lex_state = 12},
  [1304] = {.lex_state = 12},
  [1305] = {.lex_state = 12},
  [1306] = {.lex_state = 16},
  [1307] = {.lex_state = 12},
  [1308] = {.lex_state = 12},
  [1309] = {.lex_state = 12},
  [1310] = {.lex_state = 12},
  [1311] = {.lex_state = 12},
  [1312] = {.lex_state = 12},
  [1313] = {.lex_state = 12},
  [1314] = {.lex_state = 12},
  [1315] = {.lex_state = 12},
  [1316] = {.lex_state = 12},
  [1317] = {.lex_state = 12},
  [1318] = {.lex_state = 12},
  [1319] = {.lex_state = 12},
  [1320] = {.lex_state = 12},
  [1321] = {.lex_state = 12},
  [1322] = {.lex_state = 12},
  [1323] = {.lex_state = 12},
  [1324] = {.lex_state = 15},
  [1325] = {.lex_state = 12},
  [1326] = {.lex_state = 15},
  [1327] = {.lex_state = 15},
  [1328] = {.lex_state = 12},
  [1329] = {.lex_state = 15},
  [1330] = {.lex_state = 12},
  [1331] = {.lex_state = 12},
  [1332] = {.lex_state = 15},
  [1333] = {.lex_state = 12},
  [1334] = {.lex_state = 12},
  [1335] = {.lex_state = 12},
  [1336] = {.lex_state = 12},
  [1337] = {.lex_state = 12},
  [1338] = {.lex_state = 15},
  [1339] = {.lex_state = 15},
  [1340] = {.lex_state = 15},
  [1341] = {.lex_state = 15},
  [1342] = {.lex_state = 15},
  [1343] = {.lex_state = 15},
  [1344] = {.lex_state = 12},
  [1345] = {.lex_state = 12},
  [1346] = {.lex_state = 12},
  [1347] = {.lex_state = 65},
  [1348] = {.lex_state = 12},
  [1349] = {.lex_state = 12},
  [1350] = {.lex_state = 65},
  [1351] = {.lex_state = 12},
  [1352] = {.lex_state = 12},
  [1353] = {.lex_state = 12},
  [1354] = {.lex_state = 65},
  [1355] = {.lex_state = 12},
  [1356] = {.lex_state = 12},
  [1357] = {.lex_state = 12},
  [1358] = {.lex_state = 65},
  [1359] = {.lex_state = 12},
  [1360] = {.lex_state = 12},
  [1361] = {.lex_state = 15},
  [1362] = {.lex_state = 12},
  [1363] = {.lex_state = 12},
  [1364] = {.lex_state = 15},
  [1365] = {.lex_state = 12},
  [1366] = {.lex_state = 12},
  [1367] = {.lex_state = 65},
  [1368] = {.lex_state = 65},
  [1369] = {.lex_state = 15},
  [1370] = {.lex_state = 65},
  [1371] = {.lex_state = 15},
  [1372] = {.lex_state = 15},
  [1373] = {.lex_state = 66},
  [1374] = {.lex_state = 15},
  [1375] = {.lex_state = 65},
  [1376] = {.lex_state = 65},
  [1377] = {.lex_state = 65},
  [1378] = {.lex_state = 65},
  [1379] = {.lex_state = 65},
  [1380] = {.lex_state = 65},
  [1381] = {.lex_state = 14},
  [1382] = {.lex_state = 65},
  [1383] = {.lex_state = 65},
  [1384] = {.lex_state = 65},
  [1385] = {.lex_state = 65},
  [1386] = {.lex_state = 65},
  [1387] = {.lex_state = 3, .external_lex_state = 3},
  [1388] = {.lex_state = 65},
  [1389] = {.lex_state = 65},
  [1390] = {.lex_state = 65},
  [1391] = {.lex_state = 3, .external_lex_state = 3},
  [1392] = {.lex_state = 65},
  [1393] = {.lex_state = 65},
  [1394] = {.lex_state = 66},
  [1395] = {.lex_state = 65},
  [1396] = {.lex_state = 3, .external_lex_state = 3},
  [1397] = {.lex_state = 3, .external_lex_state = 3},
  [1398] = {.lex_state = 3, .external_lex_state = 4},
  [1399] = {.lex_state = 3, .external_lex_state = 3},
  [1400] = {.lex_state = 8, .external_lex_state = 5},
  [1401] = {.lex_state = 15},
  [1402] = {.lex_state = 8, .external_lex_state = 6},
  [1403] = {.lex_state = 15},
  [1404] = {.lex_state = 15},
  [1405] = {.lex_state = 15},
  [1406] = {.lex_state = 15},
  [1407] = {.lex_state = 8, .external_lex_state = 5},
  [1408] = {.lex_state = 15},
  [1409] = {.lex_state = 8, .external_lex_state = 6},
  [1410] = {.lex_state = 15},
  [1411] = {.lex_state = 15},
  [1412] = {.lex_state = 8, .external_lex_state = 5},
  [1413] = {.lex_state = 8, .external_lex_state = 5},
  [1414] = {.lex_state = 15},
  [1415] = {.lex_state = 65},
  [1416] = {.lex_state = 8, .external_lex_state = 6},
  [1417] = {.lex_state = 15},
  [1418] = {.lex_state = 65},
  [1419] = {.lex_state = 8, .external_lex_state = 6},
  [1420] = {.lex_state = 8, .external_lex_state = 5},
  [1421] = {.lex_state = 15},
  [1422] = {.lex_state = 8, .external_lex_state = 6},
  [1423] = {.lex_state = 15},
  [1424] = {.lex_state = 65},
  [1425] = {.lex_state = 15},
  [1426] = {.lex_state = 15},
  [1427] = {.lex_state = 15},
  [1428] = {.lex_state = 15},
  [1429] = {.lex_state = 15},
  [1430] = {.lex_state = 65},
  [1431] = {.lex_state = 8, .external_lex_state = 4},
  [1432] = {.lex_state = 15},
  [1433] = {.lex_state = 15},
  [1434] = {.lex_state = 15},
  [1435] = {.lex_state = 15},
  [1436] = {.lex_state = 15},
  [1437] = {.lex_state = 15},
  [1438] = {.lex_state = 15},
  [1439] = {.lex_state = 15},
  [1440] = {.lex_state = 65},
  [1441] = {.lex_state = 15},
  [1442] = {.lex_state = 65},
  [1443] = {.lex_state = 15},
  [1444] = {.lex_state = 15},
  [1445] = {.lex_state = 17},
  [1446] = {.lex_state = 15},
  [1447] = {.lex_state = 15},
  [1448] = {.lex_state = 15},
  [1449] = {.lex_state = 15},
  [1450] = {.lex_state = 15},
  [1451] = {.lex_state = 15},
  [1452] = {.lex_state = 15},
  [1453] = {.lex_state = 65},
  [1454] = {.lex_state = 15},
  [1455] = {.lex_state = 65},
  [1456] = {.lex_state = 65},
  [1457] = {.lex_state = 15},
  [1458] = {.lex_state = 15},
  [1459] = {.lex_state = 65},
  [1460] = {.lex_state = 65},
  [1461] = {.lex_state = 65},
  [1462] = {.lex_state = 65},
  [1463] = {.lex_state = 65},
  [1464] = {.lex_state = 65},
  [1465] = {.lex_state = 15},
  [1466] = {.lex_state = 65},
  [1467] = {.lex_state = 65},
  [1468] = {.lex_state = 65},
  [1469] = {.lex_state = 65},
  [1470] = {.lex_state = 65},
  [1471] = {.lex_state = 65},
  [1472] = {.lex_state = 65},
  [1473] = {.lex_state = 65},
  [1474] = {.lex_state = 65},
  [1475] = {.lex_state = 65},
  [1476] = {.lex_state = 65},
  [1477] = {.lex_state = 65},
  [1478] = {.lex_state = 65},
  [1479] = {.lex_state = 65},
  [1480] = {.lex_state = 65},
  [1481] = {.lex_state = 65},
  [1482] = {.lex_state = 65},
  [1483] = {.lex_state = 15},
  [1484] = {.lex_state = 65},
  [1485] = {.lex_state = 65},
  [1486] = {.lex_state = 65},
  [1487] = {.lex_state = 65},
  [1488] = {.lex_state = 65},
  [1489] = {.lex_state = 65},
  [1490] = {.lex_state = 65},
  [1491] = {.lex_state = 65},
  [1492] = {.lex_state = 17},
  [1493] = {.lex_state = 17},
  [1494] = {.lex_state = 66},
  [1495] = {.lex_state = 65},
  [1496] = {.lex_state = 17},
  [1497] = {.lex_state = 65},
  [1498] = {.lex_state = 66},
  [1499] = {.lex_state = 65},
  [1500] = {.lex_state = 17},
  [1501] = {.lex_state = 65},
  [1502] = {.lex_state = 65},
  [1503] = {.lex_state = 17},
  [1504] = {.lex_state = 3, .external_lex_state = 7},
  [1505] = {.lex_state = 65},
  [1506] = {.lex_state = 17},
  [1507] = {.lex_state = 17},
  [1508] = {.lex_state = 65},
  [1509] = {.lex_state = 65},
  [1510] = {.lex_state = 65},
  [1511] = {.lex_state = 65},
  [1512] = {.lex_state = 65},
  [1513] = {.lex_state = 65},
  [1514] = {.lex_state = 65},
  [1515] = {.lex_state = 65},
  [1516] = {.lex_state = 65},
  [1517] = {.lex_state = 65},
  [1518] = {.lex_state = 65},
  [1519] = {.lex_state = 65},
  [1520] = {.lex_state = 3, .external_lex_state = 7},
  [1521] = {.lex_state = 17},
  [1522] = {.lex_state = 65},
  [1523] = {.lex_state = 65},
  [1524] = {.lex_state = 65},
  [1525] = {.lex_state = 65},
  [1526] = {.lex_state = 17},
  [1527] = {.lex_state = 65},
  [1528] = {.lex_state = 65},
  [1529] = {.lex_state = 65, .external_lex_state = 2},
  [1530] = {.lex_state = 17},
  [1531] = {.lex_state = 65},
  [1532] = {.lex_state = 65, .external_lex_state = 2},
  [1533] = {.lex_state = 65, .external_lex_state = 2},
  [1534] = {.lex_state = 8, .external_lex_state = 8},
  [1535] = {.lex_state = 65, .external_lex_state = 2},
  [1536] = {.lex_state = 65, .external_lex_state = 2},
  [1537] = {.lex_state = 65, .external_lex_state = 2},
  [1538] = {.lex_state = 8, .external_lex_state = 8},
  [1539] = {.lex_state = 65, .external_lex_state = 2},
  [1540] = {.lex_state = 8, .external_lex_state = 9},
  [1541] = {.lex_state = 8, .external_lex_state = 9},
  [1542] = {.lex_state = 65, .external_lex_state = 2},
  [1543] = {.lex_state = 65},
  [1544] = {.lex_state = 65},
  [1545] = {.lex_state = 65},
  [1546] = {.lex_state = 65, .external_lex_state = 2},
  [1547] = {.lex_state = 65},
  [1548] = {.lex_state = 65},
  [1549] = {.lex_state = 65},
  [1550] = {.lex_state = 65},
  [1551] = {.lex_state = 65},
  [1552] = {.lex_state = 65},
  [1553] = {.lex_state = 65},
  [1554] = {.lex_state = 65},
  [1555] = {.lex_state = 65},
  [1556] = {.lex_state = 65},
  [1557] = {.lex_state = 65},
  [1558] = {.lex_state = 65},
  [1559] = {.lex_state = 65},
  [1560] = {.lex_state = 65},
  [1561] = {.lex_state = 65},
  [1562] = {.lex_state = 3, .external_lex_state = 3},
  [1563] = {.lex_state = 3, .external_lex_state = 3},
  [1564] = {.lex_state = 3, .external_lex_state = 3},
  [1565] = {.lex_state = 65},
  [1566] = {.lex_state = 65},
  [1567] = {.lex_state = 10},
  [1568] = {.lex_state = 65, .external_lex_state = 2},
  [1569] = {.lex_state = 65, .external_lex_state = 2},
  [1570] = {.lex_state = 65},
  [1571] = {.lex_state = 65, .external_lex_state = 2},
  [1572] = {.lex_state = 65, .external_lex_state = 2},
  [1573] = {.lex_state = 65, .external_lex_state = 2},
  [1574] = {.lex_state = 65, .external_lex_state = 2},
  [1575] = {.lex_state = 65},
  [1576] = {.lex_state = 17},
  [1577] = {.lex_state = 65},
  [1578] = {.lex_state = 65},
  [1579] = {.lex_state = 65},
  [1580] = {.lex_state = 65},
  [1581] = {.lex_state = 3, .external_lex_state = 3},
  [1582] = {.lex_state = 65, .external_lex_state = 2},
  [1583] = {.lex_state = 66},
  [1584] = {.lex_state = 65, .external_lex_state = 2},
  [1585] = {.lex_state = 65},
  [1586] = {.lex_state = 3, .external_lex_state = 3},
  [1587] = {.lex_state = 65},
  [1588] = {.lex_state = 65, .external_lex_state = 2},
  [1589] = {.lex_state = 65, .external_lex_state = 2},
  [1590] = {.lex_state = 65},
  [1591] = {.lex_state = 65, .external_lex_state = 2},
  [1592] = {.lex_state = 65, .external_lex_state = 2},
  [1593] = {.lex_state = 65, .external_lex_state = 2},
  [1594] = {.lex_state = 3, .external_lex_state = 3},
  [1595] = {.lex_state = 65},
  [1596] = {.lex_state = 65, .external_lex_state = 2},
  [1597] = {.lex_state = 10},
  [1598] = {.lex_state = 65},
  [1599] = {.lex_state = 65, .external_lex_state = 2},
  [1600] = {.lex_state = 65, .external_lex_state = 2},
  [1601] = {.lex_state = 65, .external_lex_state = 2},
  [1602] = {.lex_state = 65},
  [1603] = {.lex_state = 65},
  [1604] = {.lex_state = 65},
  [1605] = {.lex_state = 3, .external_lex_state = 3},
  [1606] = {.lex_state = 65},
  [1607] = {.lex_state = 3, .external_lex_state = 3},
  [1608] = {.lex_state = 3, .external_lex_state = 3},
  [1609] = {.lex_state = 3, .external_lex_state = 3},
  [1610] = {.lex_state = 65},
  [1611] = {.lex_state = 65, .external_lex_state = 2},
  [1612] = {.lex_state = 65},
  [1613] = {.lex_state = 10},
  [1614] = {.lex_state = 65},
  [1615] = {.lex_state = 3, .external_lex_state = 3},
  [1616] = {.lex_state = 65, .external_lex_state = 2},
  [1617] = {.lex_state = 65},
  [1618] = {.lex_state = 65},
  [1619] = {.lex_state = 65},
  [1620] = {.lex_state = 65},
  [1621] = {.lex_state = 65},
  [1622] = {.lex_state = 19},
  [1623] = {.lex_state = 8, .external_lex_state = 6},
  [1624] = {.lex_state = 65},
  [1625] = {.lex_state = 19},
  [1626] = {.lex_state = 8, .external_lex_state = 5},
  [1627] = {.lex_state = 65},
  [1628] = {.lex_state = 65},
  [1629] = {.lex_state = 65},
  [1630] = {.lex_state = 65},
  [1631] = {.lex_state = 66},
  [1632] = {.lex_state = 65},
  [1633] = {.lex_state = 8, .external_lex_state = 5},
  [1634] = {.lex_state = 65},
  [1635] = {.lex_state = 65},
  [1636] = {.lex_state = 65},
  [1637] = {.lex_state = 65},
  [1638] = {.lex_state = 65},
  [1639] = {.lex_state = 65},
  [1640] = {.lex_state = 65},
  [1641] = {.lex_state = 65},
  [1642] = {.lex_state = 65},
  [1643] = {.lex_state = 65},
  [1644] = {.lex_state = 65},
  [1645] = {.lex_state = 65},
  [1646] = {.lex_state = 65},
  [1647] = {.lex_state = 8, .external_lex_state = 5},
  [1648] = {.lex_state = 65},
  [1649] = {.lex_state = 65},
  [1650] = {.lex_state = 8, .external_lex_state = 5},
  [1651] = {.lex_state = 65},
  [1652] = {.lex_state = 65},
  [1653] = {.lex_state = 8, .external_lex_state = 5},
  [1654] = {.lex_state = 8, .external_lex_state = 5},
  [1655] = {.lex_state = 65},
  [1656] = {.lex_state = 65},
  [1657] = {.lex_state = 8, .external_lex_state = 5},
  [1658] = {.lex_state = 65},
  [1659] = {.lex_state = 19},
  [1660] = {.lex_state = 65},
  [1661] = {.lex_state = 65},
  [1662] = {.lex_state = 65},
  [1663] = {.lex_state = 8, .external_lex_state = 5},
  [1664] = {.lex_state = 65},
  [1665] = {.lex_state = 65},
  [1666] = {.lex_state = 8, .external_lex_state = 6},
  [1667] = {.lex_state = 65},
  [1668] = {.lex_state = 65},
  [1669] = {.lex_state = 65},
  [1670] = {.lex_state = 8, .external_lex_state = 6},
  [1671] = {.lex_state = 8, .external_lex_state = 6},
  [1672] = {.lex_state = 65},
  [1673] = {.lex_state = 19},
  [1674] = {.lex_state = 65},
  [1675] = {.lex_state = 8, .external_lex_state = 5},
  [1676] = {.lex_state = 8, .external_lex_state = 6},
  [1677] = {.lex_state = 19},
  [1678] = {.lex_state = 8, .external_lex_state = 6},
  [1679] = {.lex_state = 65},
  [1680] = {.lex_state = 65},
  [1681] = {.lex_state = 65},
  [1682] = {.lex_state = 65},
  [1683] = {.lex_state = 65},
  [1684] = {.lex_state = 65},
  [1685] = {.lex_state = 67, .external_lex_state = 10},
  [1686] = {.lex_state = 65},
  [1687] = {.lex_state = 65},
  [1688] = {.lex_state = 8, .external_lex_state = 6},
  [1689] = {.lex_state = 8, .external_lex_state = 6},
  [1690] = {.lex_state = 65},
  [1691] = {.lex_state = 65},
  [1692] = {.lex_state = 65},
  [1693] = {.lex_state = 65},
  [1694] = {.lex_state = 65},
  [1695] = {.lex_state = 8, .external_lex_state = 6},
  [1696] = {.lex_state = 65},
  [1697] = {.lex_state = 65},
  [1698] = {.lex_state = 65},
  [1699] = {.lex_state = 65},
  [1700] = {.lex_state = 8, .external_lex_state = 5},
  [1701] = {.lex_state = 8, .external_lex_state = 6},
  [1702] = {.lex_state = 65},
  [1703] = {.lex_state = 8, .external_lex_state = 5},
  [1704] = {.lex_state = 65},
  [1705] = {.lex_state = 65},
  [1706] = {.lex_state = 8, .external_lex_state = 6},
  [1707] = {.lex_state = 65, .external_lex_state = 2},
  [1708] = {.lex_state = 65, .external_lex_state = 2},
  [1709] = {.lex_state = 67},
  [1710] = {.lex_state = 15},
  [1711] = {.lex_state = 65},
  [1712] = {.lex_state = 65},
  [1713] = {.lex_state = 15},
  [1714] = {.lex_state = 15},
  [1715] = {.lex_state = 15},
  [1716] = {.lex_state = 15},
  [1717] = {.lex_state = 65},
  [1718] = {.lex_state = 67},
  [1719] = {.lex_state = 65, .external_lex_state = 2},
  [1720] = {.lex_state = 15},
  [1721] = {.lex_state = 66},
  [1722] = {.lex_state = 65, .external_lex_state = 2},
  [1723] = {.lex_state = 66},
  [1724] = {.lex_state = 66},
  [1725] = {.lex_state = 65, .external_lex_state = 2},
  [1726] = {.lex_state = 65, .external_lex_state = 2},
  [1727] = {.lex_state = 15},
  [1728] = {.lex_state = 15},
  [1729] = {.lex_state = 65, .external_lex_state = 2},
  [1730] = {.lex_state = 65},
  [1731] = {.lex_state = 65, .external_lex_state = 2},
  [1732] = {.lex_state = 15},
  [1733] = {.lex_state = 65, .external_lex_state = 2},
  [1734] = {.lex_state = 65},
  [1735] = {.lex_state = 15},
  [1736] = {.lex_state = 65, .external_lex_state = 2},
  [1737] = {.lex_state = 15},
  [1738] = {.lex_state = 65},
  [1739] = {.lex_state = 15},
  [1740] = {.lex_state = 15},
  [1741] = {.lex_state = 15},
  [1742] = {.lex_state = 15},
  [1743] = {.lex_state = 65},
  [1744] = {.lex_state = 15},
  [1745] = {.lex_state = 65, .external_lex_state = 2},
  [1746] = {.lex_state = 65},
  [1747] = {.lex_state = 65},
  [1748] = {.lex_state = 65},
  [1749] = {.lex_state = 15},
  [1750] = {.lex_state = 65},
  [1751] = {.lex_state = 67, .external_lex_state = 10},
  [1752] = {.lex_state = 65, .external_lex_state = 2},
  [1753] = {.lex_state = 65, .external_lex_state = 2},
  [1754] = {.lex_state = 15},
  [1755] = {.lex_state = 65, .external_lex_state = 2},
  [1756] = {.lex_state = 15},
  [1757] = {.lex_state = 67, .external_lex_state = 10},
  [1758] = {.lex_state = 65, .external_lex_state = 2},
  [1759] = {.lex_state = 65, .external_lex_state = 2},
  [1760] = {.lex_state = 65, .external_lex_state = 2},
  [1761] = {.lex_state = 15},
  [1762] = {.lex_state = 65, .external_lex_state = 2},
  [1763] = {.lex_state = 65, .external_lex_state = 2},
  [1764] = {.lex_state = 65, .external_lex_state = 2},
  [1765] = {.lex_state = 65, .external_lex_state = 2},
  [1766] = {.lex_state = 65, .external_lex_state = 2},
  [1767] = {.lex_state = 66},
  [1768] = {.lex_state = 65},
  [1769] = {.lex_state = 65, .external_lex_state = 2},
  [1770] = {.lex_state = 65},
  [1771] = {.lex_state = 65, .external_lex_state = 2},
  [1772] = {.lex_state = 65, .external_lex_state = 2},
  [1773] = {.lex_state = 65},
  [1774] = {.lex_state = 65, .external_lex_state = 2},
  [1775] = {.lex_state = 65, .external_lex_state = 2},
  [1776] = {.lex_state = 65, .external_lex_state = 2},
  [1777] = {.lex_state = 65, .external_lex_state = 2},
  [1778] = {.lex_state = 65, .external_lex_state = 2},
  [1779] = {.lex_state = 65},
  [1780] = {.lex_state = 65},
  [1781] = {.lex_state = 65},
  [1782] = {.lex_state = 65},
  [1783] = {.lex_state = 65, .external_lex_state = 2},
  [1784] = {.lex_state = 65},
  [1785] = {.lex_state = 65},
  [1786] = {.lex_state = 65},
  [1787] = {.lex_state = 65, .external_lex_state = 2},
  [1788] = {.lex_state = 65},
  [1789] = {.lex_state = 65, .external_lex_state = 2},
  [1790] = {.lex_state = 65},
  [1791] = {.lex_state = 65, .external_lex_state = 2},
  [1792] = {.lex_state = 65},
  [1793] = {.lex_state = 65, .external_lex_state = 2},
  [1794] = {.lex_state = 65, .external_lex_state = 2},
  [1795] = {.lex_state = 15},
  [1796] = {.lex_state = 65, .external_lex_state = 2},
  [1797] = {.lex_state = 65},
  [1798] = {.lex_state = 66},
  [1799] = {.lex_state = 66},
  [1800] = {.lex_state = 65, .external_lex_state = 2},
  [1801] = {.lex_state = 66},
  [1802] = {.lex_state = 65, .external_lex_state = 2},
  [1803] = {.lex_state = 66},
  [1804] = {.lex_state = 65, .external_lex_state = 2},
  [1805] = {.lex_state = 65, .external_lex_state = 2},
  [1806] = {.lex_state = 65},
  [1807] = {.lex_state = 65, .external_lex_state = 2},
  [1808] = {.lex_state = 65},
  [1809] = {.lex_state = 65, .external_lex_state = 2},
  [1810] = {.lex_state = 65, .external_lex_state = 2},
  [1811] = {.lex_state = 65},
  [1812] = {.lex_state = 65},
  [1813] = {.lex_state = 65},
  [1814] = {.lex_state = 65},
  [1815] = {.lex_state = 15},
  [1816] = {.lex_state = 65},
  [1817] = {.lex_state = 65, .external_lex_state = 2},
  [1818] = {.lex_state = 65},
  [1819] = {.lex_state = 65, .external_lex_state = 2},
  [1820] = {.lex_state = 65},
  [1821] = {.lex_state = 65, .external_lex_state = 2},
  [1822] = {.lex_state = 65, .external_lex_state = 2},
  [1823] = {.lex_state = 65, .external_lex_state = 2},
  [1824] = {.lex_state = 65},
  [1825] = {.lex_state = 65},
  [1826] = {.lex_state = 65},
  [1827] = {.lex_state = 65},
  [1828] = {.lex_state = 65, .external_lex_state = 2},
  [1829] = {.lex_state = 65, .external_lex_state = 2},
  [1830] = {.lex_state = 65},
  [1831] = {.lex_state = 65, .external_lex_state = 2},
  [1832] = {.lex_state = 65, .external_lex_state = 2},
  [1833] = {.lex_state = 65, .external_lex_state = 2},
  [1834] = {.lex_state = 65, .external_lex_state = 2},
  [1835] = {.lex_state = 65, .external_lex_state = 2},
  [1836] = {.lex_state = 65, .external_lex_state = 2},
  [1837] = {.lex_state = 15},
  [1838] = {.lex_state = 65},
  [1839] = {.lex_state = 65, .external_lex_state = 2},
  [1840] = {.lex_state = 65},
  [1841] = {.lex_state = 65, .external_lex_state = 2},
  [1842] = {.lex_state = 65, .external_lex_state = 2},
  [1843] = {.lex_state = 65},
  [1844] = {.lex_state = 65},
  [1845] = {.lex_state = 65},
  [1846] = {.lex_state = 65},
  [1847] = {.lex_state = 65},
  [1848] = {.lex_state = 65},
  [1849] = {.lex_state = 65, .external_lex_state = 2},
  [1850] = {.lex_state = 65},
  [1851] = {.lex_state = 65, .external_lex_state = 2},
  [1852] = {.lex_state = 65, .external_lex_state = 2},
  [1853] = {.lex_state = 65},
  [1854] = {.lex_state = 65},
  [1855] = {.lex_state = 65},
  [1856] = {.lex_state = 65},
  [1857] = {.lex_state = 65},
  [1858] = {.lex_state = 65},
  [1859] = {.lex_state = 65},
  [1860] = {.lex_state = 65},
  [1861] = {.lex_state = 65},
  [1862] = {.lex_state = 65},
  [1863] = {.lex_state = 65},
  [1864] = {.lex_state = 65},
  [1865] = {.lex_state = 65},
  [1866] = {.lex_state = 65},
  [1867] = {.lex_state = 65},
  [1868] = {.lex_state = 65},
  [1869] = {.lex_state = 65, .external_lex_state = 2},
  [1870] = {.lex_state = 3, .external_lex_state = 11},
  [1871] = {.lex_state = 65},
  [1872] = {.lex_state = 65},
  [1873] = {.lex_state = 65},
  [1874] = {.lex_state = 65},
  [1875] = {.lex_state = 65},
  [1876] = {.lex_state = 65},
  [1877] = {.lex_state = 65},
  [1878] = {.lex_state = 65},
  [1879] = {.lex_state = 65},
  [1880] = {.lex_state = 65},
  [1881] = {.lex_state = 65},
  [1882] = {.lex_state = 65},
  [1883] = {.lex_state = 65},
  [1884] = {.lex_state = 65},
  [1885] = {.lex_state = 65},
  [1886] = {.lex_state = 65, .external_lex_state = 2},
  [1887] = {.lex_state = 66},
  [1888] = {.lex_state = 66},
  [1889] = {.lex_state = 65},
  [1890] = {.lex_state = 65},
  [1891] = {.lex_state = 65},
  [1892] = {.lex_state = 65, .external_lex_state = 2},
  [1893] = {.lex_state = 3, .external_lex_state = 11},
  [1894] = {.lex_state = 65, .external_lex_state = 2},
  [1895] = {.lex_state = 65, .external_lex_state = 2},
  [1896] = {.lex_state = 65},
  [1897] = {.lex_state = 65, .external_lex_state = 2},
  [1898] = {.lex_state = 65},
  [1899] = {.lex_state = 65},
  [1900] = {.lex_state = 65},
  [1901] = {.lex_state = 65},
  [1902] = {.lex_state = 65},
  [1903] = {.lex_state = 3, .external_lex_state = 11},
  [1904] = {.lex_state = 65},
  [1905] = {.lex_state = 19},
  [1906] = {.lex_state = 65},
  [1907] = {.lex_state = 65},
  [1908] = {.lex_state = 65},
  [1909] = {.lex_state = 65},
  [1910] = {.lex_state = 65},
  [1911] = {.lex_state = 65},
  [1912] = {.lex_state = 65, .external_lex_state = 2},
  [1913] = {.lex_state = 65},
  [1914] = {.lex_state = 66},
  [1915] = {.lex_state = 65},
  [1916] = {.lex_state = 65},
  [1917] = {.lex_state = 65, .external_lex_state = 2},
  [1918] = {.lex_state = 3, .external_lex_state = 12},
  [1919] = {.lex_state = 65},
  [1920] = {.lex_state = 65},
  [1921] = {.lex_state = 65},
  [1922] = {.lex_state = 65},
  [1923] = {.lex_state = 16, .external_lex_state = 2},
  [1924] = {.lex_state = 65},
  [1925] = {.lex_state = 3, .external_lex_state = 11},
  [1926] = {.lex_state = 67, .external_lex_state = 10},
  [1927] = {.lex_state = 19},
  [1928] = {.lex_state = 65},
  [1929] = {.lex_state = 65, .external_lex_state = 2},
  [1930] = {.lex_state = 65},
  [1931] = {.lex_state = 65, .external_lex_state = 2},
  [1932] = {.lex_state = 65, .external_lex_state = 2},
  [1933] = {.lex_state = 65},
  [1934] = {.lex_state = 3, .external_lex_state = 12},
  [1935] = {.lex_state = 65},
  [1936] = {.lex_state = 65},
  [1937] = {.lex_state = 65},
  [1938] = {.lex_state = 65},
  [1939] = {.lex_state = 65},
  [1940] = {.lex_state = 65},
  [1941] = {.lex_state = 65, .external_lex_state = 2},
  [1942] = {.lex_state = 65},
  [1943] = {.lex_state = 65, .external_lex_state = 2},
  [1944] = {.lex_state = 65},
  [1945] = {.lex_state = 65, .external_lex_state = 2},
  [1946] = {.lex_state = 67},
  [1947] = {.lex_state = 65, .external_lex_state = 2},
  [1948] = {.lex_state = 65},
  [1949] = {.lex_state = 65, .external_lex_state = 2},
  [1950] = {.lex_state = 65},
  [1951] = {.lex_state = 65},
  [1952] = {.lex_state = 65},
  [1953] = {.lex_state = 65},
  [1954] = {.lex_state = 65, .external_lex_state = 2},
  [1955] = {.lex_state = 65},
  [1956] = {.lex_state = 65, .external_lex_state = 2},
  [1957] = {.lex_state = 65},
  [1958] = {.lex_state = 65, .external_lex_state = 2},
  [1959] = {.lex_state = 65, .external_lex_state = 2},
  [1960] = {.lex_state = 65},
  [1961] = {.lex_state = 65, .external_lex_state = 2},
  [1962] = {.lex_state = 65, .external_lex_state = 2},
  [1963] = {.lex_state = 65, .external_lex_state = 2},
  [1964] = {.lex_state = 65, .external_lex_state = 2},
  [1965] = {.lex_state = 65, .external_lex_state = 2},
  [1966] = {.lex_state = 65, .external_lex_state = 2},
  [1967] = {.lex_state = 65, .external_lex_state = 2},
  [1968] = {.lex_state = 65},
  [1969] = {.lex_state = 65, .external_lex_state = 13},
  [1970] = {.lex_state = 65},
  [1971] = {.lex_state = 65},
  [1972] = {.lex_state = 65},
  [1973] = {.lex_state = 65},
  [1974] = {.lex_state = 65, .external_lex_state = 2},
  [1975] = {.lex_state = 65, .external_lex_state = 2},
  [1976] = {.lex_state = 65, .external_lex_state = 2},
  [1977] = {.lex_state = 65},
  [1978] = {.lex_state = 65},
  [1979] = {.lex_state = 65, .external_lex_state = 2},
  [1980] = {.lex_state = 65, .external_lex_state = 2},
  [1981] = {.lex_state = 65},
  [1982] = {.lex_state = 65},
  [1983] = {.lex_state = 65},
  [1984] = {.lex_state = 65},
  [1985] = {.lex_state = 65},
  [1986] = {.lex_state = 65},
  [1987] = {.lex_state = 65, .external_lex_state = 2},
  [1988] = {.lex_state = 65},
  [1989] = {.lex_state = 65},
  [1990] = {.lex_state = 65},
  [1991] = {.lex_state = 65, .external_lex_state = 2},
  [1992] = {.lex_state = 65, .external_lex_state = 2},
  [1993] = {.lex_state = 65},
  [1994] = {.lex_state = 65, .external_lex_state = 2},
  [1995] = {.lex_state = 65, .external_lex_state = 2},
  [1996] = {.lex_state = 65, .external_lex_state = 2},
  [1997] = {.lex_state = 65},
  [1998] = {.lex_state = 65, .external_lex_state = 2},
  [1999] = {.lex_state = 65, .external_lex_state = 2},
  [2000] = {.lex_state = 65},
  [2001] = {.lex_state = 65},
  [2002] = {.lex_state = 65},
  [2003] = {.lex_state = 65},
  [2004] = {.lex_state = 65, .external_lex_state = 2},
  [2005] = {.lex_state = 65, .external_lex_state = 2},
  [2006] = {.lex_state = 65},
  [2007] = {.lex_state = 65},
  [2008] = {.lex_state = 65, .external_lex_state = 2},
  [2009] = {.lex_state = 65},
  [2010] = {.lex_state = 65},
  [2011] = {.lex_state = 65},
  [2012] = {.lex_state = 65, .external_lex_state = 2},
  [2013] = {.lex_state = 65},
  [2014] = {.lex_state = 65},
  [2015] = {.lex_state = 65, .external_lex_state = 2},
  [2016] = {.lex_state = 65},
  [2017] = {.lex_state = 65},
  [2018] = {.lex_state = 65, .external_lex_state = 2},
  [2019] = {.lex_state = 65},
  [2020] = {.lex_state = 65},
  [2021] = {.lex_state = 65},
  [2022] = {.lex_state = 65},
  [2023] = {.lex_state = 65},
  [2024] = {.lex_state = 65},
  [2025] = {.lex_state = 3, .external_lex_state = 12},
  [2026] = {.lex_state = 65},
  [2027] = {.lex_state = 65},
  [2028] = {.lex_state = 65},
  [2029] = {.lex_state = 65, .external_lex_state = 2},
  [2030] = {.lex_state = 65},
  [2031] = {.lex_state = 65},
  [2032] = {.lex_state = 65},
  [2033] = {.lex_state = 65},
  [2034] = {.lex_state = 65},
  [2035] = {.lex_state = 65},
  [2036] = {.lex_state = 65},
  [2037] = {.lex_state = 65},
  [2038] = {.lex_state = 19},
  [2039] = {.lex_state = 19},
  [2040] = {.lex_state = 65, .external_lex_state = 2},
  [2041] = {.lex_state = 65, .external_lex_state = 2},
  [2042] = {.lex_state = 65},
  [2043] = {.lex_state = 65},
  [2044] = {.lex_state = 65},
  [2045] = {.lex_state = 65, .external_lex_state = 2},
  [2046] = {.lex_state = 65},
  [2047] = {.lex_state = 65},
  [2048] = {.lex_state = 65, .external_lex_state = 2},
  [2049] = {.lex_state = 65},
  [2050] = {.lex_state = 65},
  [2051] = {.lex_state = 65},
  [2052] = {.lex_state = 65},
  [2053] = {.lex_state = 65},
  [2054] = {.lex_state = 65, .external_lex_state = 2},
  [2055] = {.lex_state = 65},
  [2056] = {.lex_state = 65},
  [2057] = {.lex_state = 65},
  [2058] = {.lex_state = 65, .external_lex_state = 2},
  [2059] = {.lex_state = 65},
  [2060] = {.lex_state = 65},
  [2061] = {.lex_state = 65},
  [2062] = {.lex_state = 65},
  [2063] = {.lex_state = 65},
  [2064] = {.lex_state = 65},
  [2065] = {.lex_state = 65},
  [2066] = {.lex_state = 65},
  [2067] = {.lex_state = 65},
  [2068] = {.lex_state = 66},
  [2069] = {.lex_state = 65},
  [2070] = {.lex_state = 65},
  [2071] = {.lex_state = 65, .external_lex_state = 2},
  [2072] = {.lex_state = 65, .external_lex_state = 2},
  [2073] = {.lex_state = 65},
  [2074] = {.lex_state = 65, .external_lex_state = 2},
  [2075] = {.lex_state = 65},
  [2076] = {.lex_state = 65},
  [2077] = {.lex_state = 65},
  [2078] = {.lex_state = 65},
  [2079] = {.lex_state = 65},
  [2080] = {.lex_state = 65},
  [2081] = {.lex_state = 65},
  [2082] = {.lex_state = 65},
  [2083] = {.lex_state = 65},
  [2084] = {.lex_state = 65},
  [2085] = {.lex_state = 65},
  [2086] = {.lex_state = 65},
  [2087] = {.lex_state = 65},
  [2088] = {.lex_state = 65},
  [2089] = {.lex_state = 65},
  [2090] = {.lex_state = 65},
  [2091] = {.lex_state = 65},
  [2092] = {.lex_state = 65, .external_lex_state = 2},
  [2093] = {.lex_state = 65},
  [2094] = {.lex_state = 65},
  [2095] = {.lex_state = 65},
  [2096] = {.lex_state = 65},
  [2097] = {.lex_state = 65},
  [2098] = {.lex_state = 65, .external_lex_state = 2},
  [2099] = {.lex_state = 65},
  [2100] = {.lex_state = 65},
  [2101] = {.lex_state = 65},
  [2102] = {.lex_state = 65},
  [2103] = {.lex_state = 65},
  [2104] = {.lex_state = 65},
  [2105] = {.lex_state = 65},
  [2106] = {.lex_state = 65},
  [2107] = {.lex_state = 65, .external_lex_state = 2},
  [2108] = {.lex_state = 65},
  [2109] = {.lex_state = 65},
  [2110] = {.lex_state = 65},
  [2111] = {.lex_state = 65},
  [2112] = {.lex_state = 65},
  [2113] = {.lex_state = 65},
  [2114] = {.lex_state = 65},
  [2115] = {.lex_state = 65},
  [2116] = {.lex_state = 65, .external_lex_state = 2},
  [2117] = {.lex_state = 65},
  [2118] = {.lex_state = 65},
  [2119] = {.lex_state = 65},
  [2120] = {.lex_state = 65},
  [2121] = {.lex_state = 65},
  [2122] = {.lex_state = 65},
  [2123] = {.lex_state = 65},
  [2124] = {.lex_state = 65},
  [2125] = {.lex_state = 3, .external_lex_state = 11},
  [2126] = {.lex_state = 65},
  [2127] = {.lex_state = 65, .external_lex_state = 2},
  [2128] = {.lex_state = 65},
  [2129] = {.lex_state = 65},
  [2130] = {.lex_state = 65},
  [2131] = {.lex_state = 65},
  [2132] = {.lex_state = 65},
  [2133] = {.lex_state = 65},
  [2134] = {.lex_state = 65},
  [2135] = {.lex_state = 65},
  [2136] = {.lex_state = 65},
  [2137] = {.lex_state = 65},
  [2138] = {.lex_state = 65},
  [2139] = {.lex_state = 3, .external_lex_state = 11},
  [2140] = {.lex_state = 65},
  [2141] = {.lex_state = 65},
  [2142] = {.lex_state = 65},
  [2143] = {.lex_state = 65, .external_lex_state = 2},
  [2144] = {.lex_state = 65},
  [2145] = {.lex_state = 65},
  [2146] = {.lex_state = 65},
  [2147] = {.lex_state = 65},
  [2148] = {.lex_state = 65},
  [2149] = {.lex_state = 65},
  [2150] = {.lex_state = 65},
  [2151] = {.lex_state = 65},
  [2152] = {.lex_state = 65},
  [2153] = {.lex_state = 65, .external_lex_state = 2},
  [2154] = {.lex_state = 65},
  [2155] = {.lex_state = 65},
  [2156] = {.lex_state = 65},
  [2157] = {.lex_state = 65},
  [2158] = {.lex_state = 65},
  [2159] = {.lex_state = 65},
  [2160] = {.lex_state = 65, .external_lex_state = 2},
  [2161] = {.lex_state = 65},
  [2162] = {.lex_state = 65},
  [2163] = {.lex_state = 65},
  [2164] = {.lex_state = 65, .external_lex_state = 2},
  [2165] = {.lex_state = 65},
  [2166] = {.lex_state = 65, .external_lex_state = 2},
  [2167] = {.lex_state = 65, .external_lex_state = 2},
  [2168] = {.lex_state = 65, .external_lex_state = 2},
  [2169] = {.lex_state = 65},
  [2170] = {.lex_state = 65},
  [2171] = {.lex_state = 65},
  [2172] = {.lex_state = 65},
  [2173] = {.lex_state = 65},
  [2174] = {.lex_state = 65},
  [2175] = {.lex_state = 65},
  [2176] = {.lex_state = 65},
  [2177] = {.lex_state = 65},
  [2178] = {.lex_state = 66},
  [2179] = {.lex_state = 65},
  [2180] = {.lex_state = 66},
  [2181] = {.lex_state = 65, .external_lex_state = 2},
  [2182] = {.lex_state = 65},
  [2183] = {.lex_state = 65},
  [2184] = {.lex_state = 65},
  [2185] = {.lex_state = 65},
  [2186] = {.lex_state = 65},
  [2187] = {.lex_state = 3, .external_lex_state = 11},
  [2188] = {.lex_state = 65},
  [2189] = {.lex_state = 3, .external_lex_state = 11},
  [2190] = {.lex_state = 65},
  [2191] = {.lex_state = 65},
  [2192] = {.lex_state = 65},
  [2193] = {.lex_state = 65, .external_lex_state = 2},
  [2194] = {.lex_state = 65, .external_lex_state = 2},
  [2195] = {.lex_state = 65, .external_lex_state = 2},
  [2196] = {.lex_state = 65},
  [2197] = {.lex_state = 65},
  [2198] = {.lex_state = 65, .external_lex_state = 2},
  [2199] = {.lex_state = 65, .external_lex_state = 2},
  [2200] = {.lex_state = 65, .external_lex_state = 2},
  [2201] = {.lex_state = 65},
  [2202] = {.lex_state = 65},
  [2203] = {.lex_state = 65},
  [2204] = {.lex_state = 65},
  [2205] = {.lex_state = 65},
  [2206] = {.lex_state = 65},
  [2207] = {.lex_state = 65, .external_lex_state = 2},
  [2208] = {.lex_state = 65, .external_lex_state = 2},
  [2209] = {.lex_state = 65},
  [2210] = {.lex_state = 65, .external_lex_state = 2},
  [2211] = {.lex_state = 65},
  [2212] = {.lex_state = 65},
  [2213] = {.lex_state = 65, .external_lex_state = 2},
  [2214] = {.lex_state = 65},
  [2215] = {.lex_state = 65, .external_lex_state = 2},
  [2216] = {.lex_state = 65, .external_lex_state = 2},
  [2217] = {.lex_state = 65},
  [2218] = {.lex_state = 65, .external_lex_state = 2},
  [2219] = {.lex_state = 65},
  [2220] = {.lex_state = 65, .external_lex_state = 2},
  [2221] = {.lex_state = 65, .external_lex_state = 13},
  [2222] = {.lex_state = 65},
  [2223] = {.lex_state = 65, .external_lex_state = 2},
  [2224] = {.lex_state = 65},
  [2225] = {.lex_state = 65, .external_lex_state = 2},
  [2226] = {.lex_state = 65},
  [2227] = {.lex_state = 65},
  [2228] = {.lex_state = 65},
  [2229] = {.lex_state = 65, .external_lex_state = 2},
  [2230] = {.lex_state = 65, .external_lex_state = 2},
  [2231] = {.lex_state = 65},
  [2232] = {.lex_state = 65, .external_lex_state = 2},
  [2233] = {.lex_state = 65},
  [2234] = {.lex_state = 65},
  [2235] = {.lex_state = 65},
  [2236] = {.lex_state = 65, .external_lex_state = 2},
  [2237] = {.lex_state = 65, .external_lex_state = 2},
  [2238] = {.lex_state = 65},
  [2239] = {.lex_state = 65, .external_lex_state = 2},
  [2240] = {.lex_state = 65},
  [2241] = {.lex_state = 65},
  [2242] = {.lex_state = 65},
  [2243] = {.lex_state = 65},
  [2244] = {.lex_state = 65},
  [2245] = {.lex_state = 65, .external_lex_state = 2},
  [2246] = {.lex_state = 65},
  [2247] = {.lex_state = 65},
  [2248] = {.lex_state = 65},
  [2249] = {.lex_state = 65},
  [2250] = {.lex_state = 65},
  [2251] = {.lex_state = 65, .external_lex_state = 2},
  [2252] = {.lex_state = 65},
  [2253] = {.lex_state = 3, .external_lex_state = 11},
  [2254] = {.lex_state = 65, .external_lex_state = 2},
  [2255] = {.lex_state = 3, .external_lex_state = 11},
  [2256] = {.lex_state = 65},
  [2257] = {.lex_state = 65},
  [2258] = {.lex_state = 65},
  [2259] = {.lex_state = 65},
  [2260] = {.lex_state = 65, .external_lex_state = 2},
  [2261] = {.lex_state = 65},
  [2262] = {.lex_state = 65},
  [2263] = {.lex_state = 65},
  [2264] = {.lex_state = 65},
  [2265] = {.lex_state = 65, .external_lex_state = 2},
  [2266] = {.lex_state = 65},
  [2267] = {.lex_state = 65},
  [2268] = {.lex_state = 65, .external_lex_state = 2},
  [2269] = {.lex_state = 65},
  [2270] = {.lex_state = 65, .external_lex_state = 2},
  [2271] = {.lex_state = 65},
  [2272] = {.lex_state = 65},
  [2273] = {.lex_state = 65},
  [2274] = {.lex_state = 65},
  [2275] = {.lex_state = 65, .external_lex_state = 2},
  [2276] = {.lex_state = 65},
  [2277] = {.lex_state = 66},
  [2278] = {.lex_state = 65},
  [2279] = {.lex_state = 65},
  [2280] = {.lex_state = 65},
  [2281] = {.lex_state = 65},
  [2282] = {.lex_state = 65},
  [2283] = {.lex_state = 65},
  [2284] = {.lex_state = 65},
  [2285] = {.lex_state = 65},
  [2286] = {.lex_state = 65, .external_lex_state = 2},
  [2287] = {.lex_state = 65},
  [2288] = {.lex_state = 65},
  [2289] = {.lex_state = 65},
  [2290] = {.lex_state = 65},
  [2291] = {.lex_state = 65},
  [2292] = {.lex_state = 65},
  [2293] = {.lex_state = 65},
  [2294] = {.lex_state = 65, .external_lex_state = 2},
  [2295] = {.lex_state = 65},
  [2296] = {.lex_state = 65},
  [2297] = {.lex_state = 65},
  [2298] = {.lex_state = 3, .external_lex_state = 11},
  [2299] = {.lex_state = 65},
  [2300] = {.lex_state = 66},
  [2301] = {.lex_state = 65, .external_lex_state = 2},
  [2302] = {.lex_state = 66, .external_lex_state = 10},
  [2303] = {.lex_state = 65},
  [2304] = {.lex_state = 65},
  [2305] = {.lex_state = 65},
  [2306] = {.lex_state = 65},
  [2307] = {.lex_state = 65},
  [2308] = {.lex_state = 65},
  [2309] = {.lex_state = 65},
  [2310] = {.lex_state = 65},
  [2311] = {.lex_state = 65},
  [2312] = {.lex_state = 65},
  [2313] = {.lex_state = 65},
  [2314] = {.lex_state = 65},
  [2315] = {.lex_state = 65},
  [2316] = {.lex_state = 65},
  [2317] = {.lex_state = 65},
  [2318] = {.lex_state = 65},
  [2319] = {.lex_state = 65},
  [2320] = {.lex_state = 65},
  [2321] = {.lex_state = 65},
  [2322] = {.lex_state = 65, .external_lex_state = 2},
  [2323] = {.lex_state = 65},
  [2324] = {.lex_state = 65},
  [2325] = {.lex_state = 65},
  [2326] = {.lex_state = 65},
  [2327] = {.lex_state = 65},
  [2328] = {.lex_state = 65},
  [2329] = {.lex_state = 65},
  [2330] = {.lex_state = 65},
  [2331] = {.lex_state = 65},
  [2332] = {.lex_state = 65},
  [2333] = {.lex_state = 65},
  [2334] = {.lex_state = 65},
  [2335] = {.lex_state = 65},
  [2336] = {.lex_state = 65},
  [2337] = {.lex_state = 65},
  [2338] = {.lex_state = 65},
  [2339] = {.lex_state = 65},
  [2340] = {.lex_state = 65},
  [2341] = {.lex_state = 65},
  [2342] = {.lex_state = 65},
  [2343] = {.lex_state = 65},
  [2344] = {.lex_state = 65},
  [2345] = {.lex_state = 65},
  [2346] = {.lex_state = 65},
  [2347] = {.lex_state = 65},
  [2348] = {.lex_state = 65},
  [2349] = {.lex_state = 65, .external_lex_state = 2},
  [2350] = {.lex_state = 65},
  [2351] = {.lex_state = 65},
  [2352] = {.lex_state = 65},
  [2353] = {.lex_state = 65},
  [2354] = {.lex_state = 65},
  [2355] = {.lex_state = 3, .external_lex_state = 11},
  [2356] = {.lex_state = 65},
  [2357] = {.lex_state = 65},
  [2358] = {.lex_state = 65},
  [2359] = {.lex_state = 65},
  [2360] = {.lex_state = 65},
  [2361] = {.lex_state = 65},
  [2362] = {.lex_state = 65},
  [2363] = {.lex_state = 65},
  [2364] = {.lex_state = 65},
  [2365] = {.lex_state = 65},
  [2366] = {.lex_state = 65},
  [2367] = {.lex_state = 65},
  [2368] = {.lex_state = 65},
  [2369] = {.lex_state = 65},
  [2370] = {.lex_state = 65},
  [2371] = {.lex_state = 65},
  [2372] = {.lex_state = 65},
  [2373] = {.lex_state = 65, .external_lex_state = 2},
  [2374] = {.lex_state = 65},
  [2375] = {.lex_state = 65},
  [2376] = {.lex_state = 65},
  [2377] = {.lex_state = 65},
  [2378] = {.lex_state = 65},
  [2379] = {.lex_state = 65},
  [2380] = {.lex_state = 65, .external_lex_state = 2},
  [2381] = {.lex_state = 65},
  [2382] = {.lex_state = 65},
  [2383] = {.lex_state = 65},
  [2384] = {.lex_state = 65},
  [2385] = {.lex_state = 65},
  [2386] = {.lex_state = 65},
  [2387] = {.lex_state = 65},
  [2388] = {.lex_state = 65},
  [2389] = {.lex_state = 65},
  [2390] = {.lex_state = 65},
  [2391] = {.lex_state = 65},
  [2392] = {.lex_state = 65},
  [2393] = {.lex_state = 65},
  [2394] = {.lex_state = 65},
  [2395] = {.lex_state = 65},
  [2396] = {.lex_state = 65},
  [2397] = {.lex_state = 65},
  [2398] = {.lex_state = 3, .external_lex_state = 11},
  [2399] = {.lex_state = 65},
  [2400] = {.lex_state = 65},
  [2401] = {.lex_state = 65},
  [2402] = {.lex_state = 65},
  [2403] = {.lex_state = 65},
  [2404] = {.lex_state = 65},
  [2405] = {.lex_state = 65},
  [2406] = {.lex_state = 65},
  [2407] = {.lex_state = 65},
  [2408] = {.lex_state = 65},
  [2409] = {.lex_state = 3, .external_lex_state = 11},
  [2410] = {.lex_state = 65, .external_lex_state = 2},
  [2411] = {.lex_state = 65},
  [2412] = {.lex_state = 65},
  [2413] = {.lex_state = 65},
  [2414] = {.lex_state = 65},
  [2415] = {.lex_state = 65},
  [2416] = {.lex_state = 65},
  [2417] = {.lex_state = 65},
  [2418] = {.lex_state = 65},
  [2419] = {.lex_state = 65},
  [2420] = {.lex_state = 65},
  [2421] = {.lex_state = 65, .external_lex_state = 2},
  [2422] = {.lex_state = 65},
  [2423] = {.lex_state = 65},
  [2424] = {.lex_state = 65},
  [2425] = {.lex_state = 65},
  [2426] = {.lex_state = 65},
  [2427] = {.lex_state = 65},
  [2428] = {.lex_state = 65},
  [2429] = {.lex_state = 65},
  [2430] = {.lex_state = 65},
  [2431] = {.lex_state = 65},
  [2432] = {.lex_state = 65},
  [2433] = {.lex_state = 65},
  [2434] = {.lex_state = 65},
  [2435] = {.lex_state = 65},
  [2436] = {.lex_state = 65},
  [2437] = {.lex_state = 65},
  [2438] = {.lex_state = 65},
  [2439] = {.lex_state = 65},
  [2440] = {.lex_state = 65},
  [2441] = {.lex_state = 65},
  [2442] = {.lex_state = 65},
  [2443] = {.lex_state = 65},
  [2444] = {.lex_state = 65},
  [2445] = {.lex_state = 65},
  [2446] = {.lex_state = 65},
  [2447] = {.lex_state = 65},
  [2448] = {.lex_state = 65},
  [2449] = {.lex_state = 65},
  [2450] = {.lex_state = 65},
  [2451] = {.lex_state = 3, .external_lex_state = 11},
  [2452] = {.lex_state = 65},
  [2453] = {.lex_state = 65},
  [2454] = {.lex_state = 65},
  [2455] = {.lex_state = 3, .external_lex_state = 11},
  [2456] = {.lex_state = 65},
  [2457] = {.lex_state = 65},
  [2458] = {.lex_state = 3, .external_lex_state = 11},
  [2459] = {.lex_state = 65},
  [2460] = {.lex_state = 65},
  [2461] = {.lex_state = 65, .external_lex_state = 14},
  [2462] = {.lex_state = 65},
  [2463] = {.lex_state = 65},
  [2464] = {.lex_state = 3, .external_lex_state = 11},
  [2465] = {.lex_state = 65},
  [2466] = {.lex_state = 65},
  [2467] = {.lex_state = 65},
  [2468] = {.lex_state = 65},
  [2469] = {.lex_state = 65},
  [2470] = {.lex_state = 65},
  [2471] = {.lex_state = 65},
  [2472] = {.lex_state = 65},
  [2473] = {.lex_state = 65},
  [2474] = {.lex_state = 65, .external_lex_state = 2},
  [2475] = {.lex_state = 65},
  [2476] = {.lex_state = 65},
  [2477] = {.lex_state = 65},
  [2478] = {.lex_state = 65},
  [2479] = {.lex_state = 65},
  [2480] = {.lex_state = 65},
  [2481] = {.lex_state = 65},
  [2482] = {.lex_state = 65},
  [2483] = {.lex_state = 65},
  [2484] = {.lex_state = 65},
  [2485] = {.lex_state = 65},
  [2486] = {.lex_state = 65},
  [2487] = {.lex_state = 65},
  [2488] = {.lex_state = 65},
  [2489] = {.lex_state = 65},
  [2490] = {.lex_state = 65},
  [2491] = {.lex_state = 65},
  [2492] = {.lex_state = 65},
  [2493] = {.lex_state = 65},
  [2494] = {.lex_state = 3, .external_lex_state = 11},
  [2495] = {.lex_state = 65},
  [2496] = {.lex_state = 65},
  [2497] = {.lex_state = 65},
  [2498] = {.lex_state = 65, .external_lex_state = 2},
  [2499] = {.lex_state = 65},
  [2500] = {.lex_state = 65},
  [2501] = {.lex_state = 3, .external_lex_state = 11},
  [2502] = {.lex_state = 65},
  [2503] = {.lex_state = 65},
  [2504] = {.lex_state = 65},
  [2505] = {.lex_state = 65},
  [2506] = {.lex_state = 65, .external_lex_state = 11},
  [2507] = {.lex_state = 65},
  [2508] = {.lex_state = 65},
  [2509] = {.lex_state = 65},
  [2510] = {.lex_state = 65},
  [2511] = {.lex_state = 65},
  [2512] = {.lex_state = 10},
  [2513] = {.lex_state = 65},
  [2514] = {.lex_state = 65},
  [2515] = {.lex_state = 65},
  [2516] = {.lex_state = 65},
  [2517] = {.lex_state = 65},
  [2518] = {.lex_state = 65},
  [2519] = {.lex_state = 65},
  [2520] = {.lex_state = 65},
  [2521] = {.lex_state = 65},
  [2522] = {.lex_state = 65},
  [2523] = {.lex_state = 65},
  [2524] = {.lex_state = 65},
  [2525] = {.lex_state = 65},
  [2526] = {.lex_state = 65},
  [2527] = {.lex_state = 65},
  [2528] = {.lex_state = 65},
  [2529] = {.lex_state = 16},
  [2530] = {.lex_state = 65},
  [2531] = {.lex_state = 65},
  [2532] = {.lex_state = 65},
  [2533] = {.lex_state = 65},
  [2534] = {.lex_state = 65},
  [2535] = {.lex_state = 65},
  [2536] = {.lex_state = 65},
  [2537] = {.lex_state = 65},
  [2538] = {.lex_state = 65},
  [2539] = {.lex_state = 65},
  [2540] = {.lex_state = 65},
  [2541] = {.lex_state = 65},
  [2542] = {.lex_state = 65, .external_lex_state = 11},
  [2543] = {.lex_state = 65},
  [2544] = {.lex_state = 65},
  [2545] = {.lex_state = 65},
  [2546] = {.lex_state = 65},
  [2547] = {.lex_state = 65, .external_lex_state = 11},
  [2548] = {.lex_state = 65},
  [2549] = {.lex_state = 65},
  [2550] = {.lex_state = 65},
  [2551] = {.lex_state = 65},
  [2552] = {.lex_state = 65},
  [2553] = {.lex_state = 65},
  [2554] = {.lex_state = 65},
  [2555] = {.lex_state = 16},
  [2556] = {.lex_state = 65, .external_lex_state = 11},
  [2557] = {.lex_state = 65},
  [2558] = {.lex_state = 65},
  [2559] = {.lex_state = 65},
  [2560] = {.lex_state = 65},
  [2561] = {.lex_state = 65},
  [2562] = {.lex_state = 65},
  [2563] = {.lex_state = 65},
  [2564] = {.lex_state = 65},
  [2565] = {.lex_state = 65},
  [2566] = {.lex_state = 10},
  [2567] = {.lex_state = 65},
  [2568] = {.lex_state = 65},
  [2569] = {.lex_state = 65},
  [2570] = {.lex_state = 65},
  [2571] = {.lex_state = 65},
  [2572] = {.lex_state = 65},
  [2573] = {.lex_state = 65},
  [2574] = {.lex_state = 65},
  [2575] = {.lex_state = 65},
  [2576] = {.lex_state = 65},
  [2577] = {.lex_state = 65},
  [2578] = {.lex_state = 65},
  [2579] = {.lex_state = 65},
  [2580] = {.lex_state = 65, .external_lex_state = 11},
  [2581] = {.lex_state = 65},
  [2582] = {.lex_state = 65},
  [2583] = {.lex_state = 65},
  [2584] = {.lex_state = 65},
  [2585] = {.lex_state = 65},
  [2586] = {.lex_state = 65},
  [2587] = {.lex_state = 65, .external_lex_state = 13},
  [2588] = {.lex_state = 65},
  [2589] = {.lex_state = 65},
  [2590] = {.lex_state = 65},
  [2591] = {.lex_state = 65},
  [2592] = {.lex_state = 65},
  [2593] = {.lex_state = 65},
  [2594] = {.lex_state = 65},
  [2595] = {.lex_state = 65},
  [2596] = {.lex_state = 65},
  [2597] = {.lex_state = 65},
  [2598] = {.lex_state = 65},
  [2599] = {.lex_state = 65},
  [2600] = {.lex_state = 65},
  [2601] = {.lex_state = 65},
  [2602] = {.lex_state = 20},
  [2603] = {.lex_state = 65},
  [2604] = {.lex_state = 65},
  [2605] = {.lex_state = 65},
  [2606] = {.lex_state = 65},
  [2607] = {.lex_state = 65},
  [2608] = {.lex_state = 65},
  [2609] = {.lex_state = 65},
  [2610] = {.lex_state = 65},
  [2611] = {.lex_state = 65, .external_lex_state = 13},
  [2612] = {.lex_state = 65, .external_lex_state = 13},
  [2613] = {.lex_state = 65},
  [2614] = {.lex_state = 65},
  [2615] = {.lex_state = 65, .external_lex_state = 11},
  [2616] = {.lex_state = 65},
  [2617] = {.lex_state = 65},
  [2618] = {.lex_state = 65},
  [2619] = {.lex_state = 65},
  [2620] = {.lex_state = 65},
  [2621] = {.lex_state = 65},
  [2622] = {.lex_state = 65},
  [2623] = {.lex_state = 65},
  [2624] = {.lex_state = 65},
  [2625] = {.lex_state = 65},
  [2626] = {.lex_state = 65, .external_lex_state = 11},
  [2627] = {.lex_state = 65},
  [2628] = {.lex_state = 65},
  [2629] = {.lex_state = 65},
  [2630] = {.lex_state = 65},
  [2631] = {.lex_state = 65},
  [2632] = {.lex_state = 65},
  [2633] = {.lex_state = 65},
  [2634] = {.lex_state = 65},
  [2635] = {.lex_state = 65},
  [2636] = {.lex_state = 65},
  [2637] = {.lex_state = 65},
  [2638] = {.lex_state = 65, .external_lex_state = 11},
  [2639] = {.lex_state = 65},
  [2640] = {.lex_state = 65, .external_lex_state = 11},
  [2641] = {.lex_state = 65},
  [2642] = {.lex_state = 65},
  [2643] = {.lex_state = 65},
  [2644] = {.lex_state = 65},
  [2645] = {.lex_state = 65},
  [2646] = {.lex_state = 65},
  [2647] = {.lex_state = 65},
  [2648] = {.lex_state = 65},
  [2649] = {.lex_state = 20},
  [2650] = {.lex_state = 65},
  [2651] = {.lex_state = 65},
  [2652] = {.lex_state = 65},
  [2653] = {.lex_state = 65},
  [2654] = {.lex_state = 65},
  [2655] = {.lex_state = 65},
  [2656] = {.lex_state = 65},
  [2657] = {.lex_state = 65},
  [2658] = {.lex_state = 65},
  [2659] = {.lex_state = 65},
  [2660] = {.lex_state = 65},
  [2661] = {.lex_state = 65},
  [2662] = {.lex_state = 65},
  [2663] = {.lex_state = 65},
  [2664] = {.lex_state = 65},
  [2665] = {.lex_state = 65},
  [2666] = {.lex_state = 65, .external_lex_state = 11},
  [2667] = {.lex_state = 65},
  [2668] = {.lex_state = 65},
  [2669] = {.lex_state = 65, .external_lex_state = 13},
  [2670] = {.lex_state = 65},
  [2671] = {.lex_state = 65},
  [2672] = {.lex_state = 65},
  [2673] = {.lex_state = 65},
  [2674] = {.lex_state = 65},
  [2675] = {.lex_state = 65},
  [2676] = {.lex_state = 65},
  [2677] = {.lex_state = 65},
  [2678] = {.lex_state = 65},
  [2679] = {.lex_state = 65},
  [2680] = {.lex_state = 65},
  [2681] = {.lex_state = 65},
  [2682] = {.lex_state = 65},
  [2683] = {.lex_state = 65},
  [2684] = {.lex_state = 65},
  [2685] = {.lex_state = 65},
  [2686] = {.lex_state = 65},
  [2687] = {.lex_state = 65},
  [2688] = {.lex_state = 65},
  [2689] = {.lex_state = 65},
  [2690] = {.lex_state = 65},
  [2691] = {.lex_state = 65},
  [2692] = {.lex_state = 65},
  [2693] = {.lex_state = 65},
  [2694] = {.lex_state = 65},
  [2695] = {.lex_state = 65},
  [2696] = {.lex_state = 65},
  [2697] = {.lex_state = 65},
  [2698] = {.lex_state = 65},
  [2699] = {.lex_state = 65},
  [2700] = {.lex_state = 65},
  [2701] = {.lex_state = 65},
  [2702] = {.lex_state = 65},
  [2703] = {.lex_state = 65},
  [2704] = {.lex_state = 65},
  [2705] = {.lex_state = 65},
  [2706] = {.lex_state = 65},
  [2707] = {.lex_state = 65},
  [2708] = {.lex_state = 65},
  [2709] = {.lex_state = 65},
  [2710] = {.lex_state = 65},
  [2711] = {.lex_state = 65},
  [2712] = {.lex_state = 65},
  [2713] = {.lex_state = 65},
  [2714] = {.lex_state = 65},
  [2715] = {.lex_state = 65},
  [2716] = {.lex_state = 65},
  [2717] = {.lex_state = 65},
  [2718] = {.lex_state = 65},
  [2719] = {.lex_state = 65},
  [2720] = {.lex_state = 65},
  [2721] = {.lex_state = 65},
  [2722] = {.lex_state = 65},
  [2723] = {.lex_state = 65},
  [2724] = {.lex_state = 65},
  [2725] = {.lex_state = 65},
  [2726] = {.lex_state = 65},
  [2727] = {.lex_state = 65},
  [2728] = {.lex_state = 65},
  [2729] = {.lex_state = 65},
  [2730] = {.lex_state = 65},
  [2731] = {.lex_state = 65},
  [2732] = {.lex_state = 65},
  [2733] = {.lex_state = 65},
  [2734] = {.lex_state = 65},
  [2735] = {.lex_state = 65},
  [2736] = {.lex_state = 65},
  [2737] = {.lex_state = 65},
  [2738] = {.lex_state = 65},
  [2739] = {.lex_state = 65},
  [2740] = {(TSStateId)(-1)},
  [2741] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_text_interpolation] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_name] = ACTIONS(1),
    [sym_php_tag] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_text_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_global_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_definition_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_trait_declaration_token1] = ACTIONS(1),
    [aux_sym_interface_declaration_token1] = ACTIONS(1),
    [aux_sym_base_clause_token1] = ACTIONS(1),
    [aux_sym_enum_declaration_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [aux_sym_enum_case_token1] = ACTIONS(1),
    [aux_sym_class_declaration_token1] = ACTIONS(1),
    [aux_sym_final_modifier_token1] = ACTIONS(1),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [sym_var_modifier] = ACTIONS(1),
    [aux_sym_use_instead_of_clause_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_RPAREN2] = ACTIONS(1),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_bottom_type] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_iterable] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_mixed] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [aux_sym_cast_type_token1] = ACTIONS(1),
    [aux_sym_cast_type_token2] = ACTIONS(1),
    [aux_sym_cast_type_token3] = ACTIONS(1),
    [aux_sym_cast_type_token4] = ACTIONS(1),
    [aux_sym_cast_type_token5] = ACTIONS(1),
    [aux_sym_cast_type_token6] = ACTIONS(1),
    [aux_sym_cast_type_token7] = ACTIONS(1),
    [aux_sym_cast_type_token8] = ACTIONS(1),
    [aux_sym_cast_type_token9] = ACTIONS(1),
    [aux_sym_cast_type_token10] = ACTIONS(1),
    [aux_sym_cast_type_token11] = ACTIONS(1),
    [aux_sym_cast_type_token12] = ACTIONS(1),
    [aux_sym_echo_statement_token1] = ACTIONS(1),
    [aux_sym_exit_statement_token1] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [aux_sym_declare_statement_token2] = ACTIONS(1),
    [anon_sym_ticks] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [anon_sym_strict_types] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_goto_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_throw_expression_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token2] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_if_statement_token2] = ACTIONS(1),
    [aux_sym_else_if_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_match_expression_token1] = ACTIONS(1),
    [aux_sym_match_default_expression_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_block_token1] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [aux_sym_clone_expression_token1] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1),
    [aux_sym__list_destructing_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [aux_sym__argument_name_token1] = ACTIONS(1),
    [aux_sym__argument_name_token2] = ACTIONS(1),
    [anon_sym_POUND_LBRACK] = ACTIONS(1),
    [aux_sym_encapsed_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_string_token2] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_yield_expression_token1] = ACTIONS(1),
    [aux_sym_yield_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token1] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [aux_sym_binary_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token3] = ACTIONS(1),
    [aux_sym_binary_expression_token4] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_include_expression_token1] = ACTIONS(1),
    [aux_sym_include_once_expression_token1] = ACTIONS(1),
    [aux_sym_require_expression_token1] = ACTIONS(1),
    [aux_sym_require_once_expression_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym_encapsed_string_chars] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable] = ACTIONS(1),
    [sym_execution_string_chars] = ACTIONS(1),
    [sym_execution_string_chars_after_variable] = ACTIONS(1),
    [sym_encapsed_string_chars_heredoc] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable_heredoc] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_nowdoc_string] = ACTIONS(1),
    [sym_sentinel_error] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2734),
    [sym_text_interpolation] = STATE(1),
    [sym_text] = STATE(2300),
    [aux_sym_text_repeat1] = STATE(1709),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_php_tag] = ACTIONS(9),
    [anon_sym_QMARK_GT] = ACTIONS(11),
    [aux_sym_text_token1] = ACTIONS(13),
    [aux_sym_text_token2] = ACTIONS(15),
    [sym_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_text_interpolation] = STATE(2),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [ts_builtin_sym_end] = ACTIONS(17),
    [sym_name] = ACTIONS(19),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(22),
    [aux_sym_function_static_declaration_token1] = ACTIONS(25),
    [aux_sym_global_declaration_token1] = ACTIONS(28),
    [aux_sym_namespace_definition_token1] = ACTIONS(31),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(34),
    [aux_sym__namespace_use_type_token1] = ACTIONS(37),
    [aux_sym__namespace_use_type_token2] = ACTIONS(40),
    [anon_sym_BSLASH] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(46),
    [anon_sym_RBRACE] = ACTIONS(17),
    [aux_sym_trait_declaration_token1] = ACTIONS(49),
    [aux_sym_interface_declaration_token1] = ACTIONS(52),
    [aux_sym_enum_declaration_token1] = ACTIONS(55),
    [aux_sym_enum_case_token1] = ACTIONS(58),
    [aux_sym_class_declaration_token1] = ACTIONS(60),
    [aux_sym_final_modifier_token1] = ACTIONS(63),
    [aux_sym_abstract_modifier_token1] = ACTIONS(66),
    [aux_sym_readonly_modifier_token1] = ACTIONS(69),
    [sym_var_modifier] = ACTIONS(72),
    [aux_sym_visibility_modifier_token1] = ACTIONS(75),
    [aux_sym_visibility_modifier_token2] = ACTIONS(75),
    [aux_sym_visibility_modifier_token3] = ACTIONS(75),
    [anon_sym_LPAREN2] = ACTIONS(78),
    [aux_sym__arrow_function_header_token1] = ACTIONS(81),
    [aux_sym_cast_type_token1] = ACTIONS(84),
    [aux_sym_echo_statement_token1] = ACTIONS(87),
    [aux_sym_exit_statement_token1] = ACTIONS(90),
    [anon_sym_unset] = ACTIONS(93),
    [aux_sym_declare_statement_token1] = ACTIONS(96),
    [aux_sym_declare_statement_token2] = ACTIONS(58),
    [sym_float] = ACTIONS(99),
    [aux_sym_try_statement_token1] = ACTIONS(102),
    [aux_sym_goto_statement_token1] = ACTIONS(105),
    [aux_sym_continue_statement_token1] = ACTIONS(108),
    [aux_sym_break_statement_token1] = ACTIONS(111),
    [sym_integer] = ACTIONS(99),
    [aux_sym_return_statement_token1] = ACTIONS(114),
    [aux_sym_throw_expression_token1] = ACTIONS(117),
    [aux_sym_while_statement_token1] = ACTIONS(120),
    [aux_sym_while_statement_token2] = ACTIONS(58),
    [aux_sym_do_statement_token1] = ACTIONS(123),
    [aux_sym_for_statement_token1] = ACTIONS(126),
    [aux_sym_for_statement_token2] = ACTIONS(58),
    [aux_sym_foreach_statement_token1] = ACTIONS(129),
    [aux_sym_foreach_statement_token2] = ACTIONS(58),
    [aux_sym_if_statement_token1] = ACTIONS(132),
    [aux_sym_if_statement_token2] = ACTIONS(58),
    [aux_sym_match_expression_token1] = ACTIONS(135),
    [aux_sym_match_default_expression_token1] = ACTIONS(58),
    [aux_sym_switch_statement_token1] = ACTIONS(138),
    [aux_sym_switch_block_token1] = ACTIONS(58),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(144),
    [anon_sym_BANG] = ACTIONS(144),
    [anon_sym_AT] = ACTIONS(147),
    [aux_sym_clone_expression_token1] = ACTIONS(150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(153),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(156),
    [anon_sym_DASH_DASH] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(159),
    [aux_sym__list_destructing_token1] = ACTIONS(162),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_self] = ACTIONS(168),
    [anon_sym_parent] = ACTIONS(168),
    [aux_sym__argument_name_token1] = ACTIONS(171),
    [aux_sym__argument_name_token2] = ACTIONS(174),
    [anon_sym_POUND_LBRACK] = ACTIONS(177),
    [aux_sym_encapsed_string_token1] = ACTIONS(180),
    [anon_sym_DQUOTE] = ACTIONS(180),
    [aux_sym_string_token1] = ACTIONS(183),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [anon_sym_LT_LT_LT] = ACTIONS(186),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [anon_sym_DOLLAR] = ACTIONS(192),
    [aux_sym_yield_expression_token1] = ACTIONS(195),
    [aux_sym_include_expression_token1] = ACTIONS(198),
    [aux_sym_include_once_expression_token1] = ACTIONS(201),
    [aux_sym_require_expression_token1] = ACTIONS(204),
    [aux_sym_require_once_expression_token1] = ACTIONS(207),
    [sym_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_text_interpolation] = STATE(3),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(230),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(238),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_text_interpolation] = STATE(4),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(340),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(342),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(342),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_text_interpolation] = STATE(5),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(3),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(344),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(346),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(346),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(346),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_text_interpolation] = STATE(6),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(4),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(348),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(350),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(350),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(350),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_text_interpolation] = STATE(7),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(19),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(22),
    [aux_sym_function_static_declaration_token1] = ACTIONS(25),
    [aux_sym_global_declaration_token1] = ACTIONS(28),
    [aux_sym_namespace_definition_token1] = ACTIONS(31),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(34),
    [aux_sym__namespace_use_type_token1] = ACTIONS(37),
    [aux_sym__namespace_use_type_token2] = ACTIONS(40),
    [anon_sym_BSLASH] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(46),
    [aux_sym_trait_declaration_token1] = ACTIONS(49),
    [aux_sym_interface_declaration_token1] = ACTIONS(52),
    [aux_sym_enum_declaration_token1] = ACTIONS(55),
    [aux_sym_class_declaration_token1] = ACTIONS(60),
    [aux_sym_final_modifier_token1] = ACTIONS(63),
    [aux_sym_abstract_modifier_token1] = ACTIONS(66),
    [aux_sym_readonly_modifier_token1] = ACTIONS(69),
    [sym_var_modifier] = ACTIONS(72),
    [aux_sym_visibility_modifier_token1] = ACTIONS(75),
    [aux_sym_visibility_modifier_token2] = ACTIONS(75),
    [aux_sym_visibility_modifier_token3] = ACTIONS(75),
    [anon_sym_LPAREN2] = ACTIONS(78),
    [aux_sym__arrow_function_header_token1] = ACTIONS(81),
    [aux_sym_cast_type_token1] = ACTIONS(84),
    [aux_sym_echo_statement_token1] = ACTIONS(87),
    [aux_sym_exit_statement_token1] = ACTIONS(90),
    [anon_sym_unset] = ACTIONS(93),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(99),
    [aux_sym_try_statement_token1] = ACTIONS(102),
    [aux_sym_goto_statement_token1] = ACTIONS(105),
    [aux_sym_continue_statement_token1] = ACTIONS(108),
    [aux_sym_break_statement_token1] = ACTIONS(111),
    [sym_integer] = ACTIONS(99),
    [aux_sym_return_statement_token1] = ACTIONS(114),
    [aux_sym_throw_expression_token1] = ACTIONS(117),
    [aux_sym_while_statement_token1] = ACTIONS(355),
    [aux_sym_do_statement_token1] = ACTIONS(123),
    [aux_sym_for_statement_token1] = ACTIONS(358),
    [aux_sym_foreach_statement_token1] = ACTIONS(361),
    [aux_sym_if_statement_token1] = ACTIONS(364),
    [aux_sym_if_statement_token2] = ACTIONS(58),
    [aux_sym_else_if_clause_token1] = ACTIONS(58),
    [aux_sym_else_clause_token1] = ACTIONS(58),
    [aux_sym_match_expression_token1] = ACTIONS(135),
    [aux_sym_switch_statement_token1] = ACTIONS(138),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(144),
    [anon_sym_BANG] = ACTIONS(144),
    [anon_sym_AT] = ACTIONS(147),
    [aux_sym_clone_expression_token1] = ACTIONS(150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(153),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(156),
    [anon_sym_DASH_DASH] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(159),
    [aux_sym__list_destructing_token1] = ACTIONS(162),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_self] = ACTIONS(168),
    [anon_sym_parent] = ACTIONS(168),
    [aux_sym__argument_name_token1] = ACTIONS(171),
    [aux_sym__argument_name_token2] = ACTIONS(174),
    [anon_sym_POUND_LBRACK] = ACTIONS(177),
    [aux_sym_encapsed_string_token1] = ACTIONS(180),
    [anon_sym_DQUOTE] = ACTIONS(180),
    [aux_sym_string_token1] = ACTIONS(183),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [anon_sym_LT_LT_LT] = ACTIONS(186),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [anon_sym_DOLLAR] = ACTIONS(192),
    [aux_sym_yield_expression_token1] = ACTIONS(195),
    [aux_sym_include_expression_token1] = ACTIONS(198),
    [aux_sym_include_once_expression_token1] = ACTIONS(201),
    [aux_sym_require_expression_token1] = ACTIONS(204),
    [aux_sym_require_once_expression_token1] = ACTIONS(207),
    [sym_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_text_interpolation] = STATE(8),
    [sym_statement] = STATE(2129),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_colon_block] = STATE(2658),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(2131),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(369),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [anon_sym_COLON] = ACTIONS(389),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(399),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(411),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(415),
    [aux_sym_foreach_statement_token1] = ACTIONS(417),
    [aux_sym_if_statement_token1] = ACTIONS(419),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(423),
  },
  [9] = {
    [sym_text_interpolation] = STATE(9),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(13),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_if_statement_token2] = ACTIONS(435),
    [aux_sym_else_if_clause_token1] = ACTIONS(435),
    [aux_sym_else_clause_token1] = ACTIONS(435),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_text_interpolation] = STATE(10),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_while_statement_token2] = ACTIONS(435),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_foreach_statement_token2] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_if_statement_token2] = ACTIONS(435),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_text_interpolation] = STATE(11),
    [sym_statement] = STATE(508),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_colon_block] = STATE(2672),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(497),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(389),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [12] = {
    [sym_text_interpolation] = STATE(12),
    [sym_statement] = STATE(508),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_colon_block] = STATE(2672),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(497),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(389),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [13] = {
    [sym_text_interpolation] = STATE(13),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_if_statement_token2] = ACTIONS(441),
    [aux_sym_else_if_clause_token1] = ACTIONS(441),
    [aux_sym_else_clause_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_text_interpolation] = STATE(14),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_while_statement_token2] = ACTIONS(441),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_foreach_statement_token2] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_if_statement_token2] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_text_interpolation] = STATE(15),
    [sym_statement] = STATE(2129),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_colon_block] = STATE(2658),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(2131),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(369),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [anon_sym_COLON] = ACTIONS(389),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(423),
  },
  [16] = {
    [sym_text_interpolation] = STATE(16),
    [sym_statement] = STATE(528),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(523),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(453),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [17] = {
    [sym_text_interpolation] = STATE(17),
    [sym_statement] = STATE(481),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(476),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [18] = {
    [sym_text_interpolation] = STATE(18),
    [sym_statement] = STATE(570),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(563),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(457),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [19] = {
    [sym_text_interpolation] = STATE(19),
    [sym_statement] = STATE(538),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(538),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [20] = {
    [sym_text_interpolation] = STATE(20),
    [sym_statement] = STATE(552),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(551),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(461),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [21] = {
    [sym_text_interpolation] = STATE(21),
    [sym_statement] = STATE(521),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(512),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [22] = {
    [sym_text_interpolation] = STATE(22),
    [sym_statement] = STATE(2183),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(2188),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(369),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [anon_sym_COLON] = ACTIONS(465),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(423),
  },
  [23] = {
    [sym_text_interpolation] = STATE(23),
    [sym_statement] = STATE(2190),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(2192),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(369),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [anon_sym_COLON] = ACTIONS(467),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(423),
  },
  [24] = {
    [sym_text_interpolation] = STATE(24),
    [sym_statement] = STATE(2246),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(2264),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(369),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [anon_sym_COLON] = ACTIONS(469),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(423),
  },
  [25] = {
    [sym_text_interpolation] = STATE(25),
    [sym_statement] = STATE(1972),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(1972),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(369),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(423),
  },
  [26] = {
    [sym_text_interpolation] = STATE(26),
    [sym_statement] = STATE(2099),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(2100),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(369),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [anon_sym_COLON] = ACTIONS(473),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(399),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(411),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(415),
    [aux_sym_foreach_statement_token1] = ACTIONS(417),
    [aux_sym_if_statement_token1] = ACTIONS(419),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(423),
  },
  [27] = {
    [sym_text_interpolation] = STATE(27),
    [sym_statement] = STATE(530),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(529),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [28] = {
    [sym_text_interpolation] = STATE(28),
    [sym_statement] = STATE(460),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(461),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(477),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [29] = {
    [sym_text_interpolation] = STATE(29),
    [sym_statement] = STATE(481),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(476),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [30] = {
    [sym_text_interpolation] = STATE(30),
    [sym_statement] = STATE(530),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(529),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [31] = {
    [sym_text_interpolation] = STATE(31),
    [sym_statement] = STATE(528),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(523),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(453),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [32] = {
    [sym_text_interpolation] = STATE(32),
    [sym_statement] = STATE(521),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(512),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [33] = {
    [sym_text_interpolation] = STATE(33),
    [sym_statement] = STATE(2170),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(2173),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(369),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [anon_sym_COLON] = ACTIONS(479),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(423),
  },
  [34] = {
    [sym_text_interpolation] = STATE(34),
    [sym_statement] = STATE(2013),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(2016),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(369),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [anon_sym_COLON] = ACTIONS(481),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(423),
  },
  [35] = {
    [sym_text_interpolation] = STATE(35),
    [sym_statement] = STATE(581),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(578),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [36] = {
    [sym_text_interpolation] = STATE(36),
    [sym_statement] = STATE(581),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(578),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [37] = {
    [sym_text_interpolation] = STATE(37),
    [sym_statement] = STATE(570),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(563),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(457),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [38] = {
    [sym_text_interpolation] = STATE(38),
    [sym_statement] = STATE(552),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(551),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(461),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [39] = {
    [sym_text_interpolation] = STATE(39),
    [sym_statement] = STATE(460),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(461),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(477),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [40] = {
    [sym_text_interpolation] = STATE(40),
    [sym_statement] = STATE(2246),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(2264),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(369),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [anon_sym_COLON] = ACTIONS(469),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(399),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(411),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(415),
    [aux_sym_foreach_statement_token1] = ACTIONS(417),
    [aux_sym_if_statement_token1] = ACTIONS(419),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(423),
  },
  [41] = {
    [sym_text_interpolation] = STATE(41),
    [sym_statement] = STATE(2190),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(2192),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(369),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [anon_sym_COLON] = ACTIONS(467),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(399),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(411),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(415),
    [aux_sym_foreach_statement_token1] = ACTIONS(417),
    [aux_sym_if_statement_token1] = ACTIONS(419),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(423),
  },
  [42] = {
    [sym_text_interpolation] = STATE(42),
    [sym_statement] = STATE(1972),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(1972),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(369),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(399),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(411),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(415),
    [aux_sym_foreach_statement_token1] = ACTIONS(417),
    [aux_sym_if_statement_token1] = ACTIONS(419),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(423),
  },
  [43] = {
    [sym_text_interpolation] = STATE(43),
    [sym_statement] = STATE(2170),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(2173),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(369),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [anon_sym_COLON] = ACTIONS(479),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(399),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(411),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(415),
    [aux_sym_foreach_statement_token1] = ACTIONS(417),
    [aux_sym_if_statement_token1] = ACTIONS(419),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(423),
  },
  [44] = {
    [sym_text_interpolation] = STATE(44),
    [sym_statement] = STATE(2101),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(2102),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(369),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [anon_sym_COLON] = ACTIONS(485),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(399),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(411),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(415),
    [aux_sym_foreach_statement_token1] = ACTIONS(417),
    [aux_sym_if_statement_token1] = ACTIONS(419),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(423),
  },
  [45] = {
    [sym_text_interpolation] = STATE(45),
    [sym_statement] = STATE(2183),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(2188),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(369),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [anon_sym_COLON] = ACTIONS(465),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(399),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(411),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(415),
    [aux_sym_foreach_statement_token1] = ACTIONS(417),
    [aux_sym_if_statement_token1] = ACTIONS(419),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(423),
  },
  [46] = {
    [sym_text_interpolation] = STATE(46),
    [sym_statement] = STATE(2112),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(2119),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(369),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(423),
  },
  [47] = {
    [sym_text_interpolation] = STATE(47),
    [sym_statement] = STATE(2101),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(2102),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(369),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [anon_sym_COLON] = ACTIONS(485),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(423),
  },
  [48] = {
    [sym_text_interpolation] = STATE(48),
    [sym_statement] = STATE(2112),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(2119),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(369),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(399),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(411),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(415),
    [aux_sym_foreach_statement_token1] = ACTIONS(417),
    [aux_sym_if_statement_token1] = ACTIONS(419),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(423),
  },
  [49] = {
    [sym_text_interpolation] = STATE(49),
    [sym_statement] = STATE(538),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(538),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [50] = {
    [sym_text_interpolation] = STATE(50),
    [sym_statement] = STATE(2099),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(2100),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(369),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [anon_sym_COLON] = ACTIONS(473),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(423),
  },
  [51] = {
    [sym_text_interpolation] = STATE(51),
    [sym_statement] = STATE(2013),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(2016),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(369),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [anon_sym_COLON] = ACTIONS(481),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(399),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(411),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(415),
    [aux_sym_foreach_statement_token1] = ACTIONS(417),
    [aux_sym_if_statement_token1] = ACTIONS(419),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(423),
  },
  [52] = {
    [sym_text_interpolation] = STATE(52),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(78),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(489),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_text_interpolation] = STATE(53),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(491),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_text_interpolation] = STATE(54),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(493),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_text_interpolation] = STATE(55),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(81),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(495),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_text_interpolation] = STATE(56),
    [sym_statement] = STATE(444),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_colon_block] = STATE(1618),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(497),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_text_interpolation] = STATE(57),
    [sym_statement] = STATE(558),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_colon_block] = STATE(2537),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(389),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_text_interpolation] = STATE(58),
    [sym_statement] = STATE(2217),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_colon_block] = STATE(2522),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [anon_sym_COLON] = ACTIONS(389),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(399),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(411),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(415),
    [aux_sym_foreach_statement_token1] = ACTIONS(417),
    [aux_sym_if_statement_token1] = ACTIONS(419),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_text_interpolation] = STATE(59),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(67),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [ts_builtin_sym_end] = ACTIONS(501),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_text_interpolation] = STATE(60),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(54),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(503),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_text_interpolation] = STATE(61),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(65),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [ts_builtin_sym_end] = ACTIONS(505),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_text_interpolation] = STATE(62),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(63),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(507),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_text_interpolation] = STATE(63),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(509),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_text_interpolation] = STATE(64),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(511),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_text_interpolation] = STATE(65),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [ts_builtin_sym_end] = ACTIONS(513),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_text_interpolation] = STATE(66),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(82),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(515),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_text_interpolation] = STATE(67),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [ts_builtin_sym_end] = ACTIONS(505),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_text_interpolation] = STATE(68),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(75),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(517),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_text_interpolation] = STATE(69),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(519),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_text_interpolation] = STATE(70),
    [sym_statement] = STATE(446),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_colon_block] = STATE(1618),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(497),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_text_interpolation] = STATE(71),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(76),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(521),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_text_interpolation] = STATE(72),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(79),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(523),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_text_interpolation] = STATE(73),
    [sym_statement] = STATE(1693),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_colon_block] = STATE(1661),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [anon_sym_COLON] = ACTIONS(497),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(399),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(411),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(415),
    [aux_sym_foreach_statement_token1] = ACTIONS(417),
    [aux_sym_if_statement_token1] = ACTIONS(419),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_text_interpolation] = STATE(74),
    [sym_statement] = STATE(2217),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_colon_block] = STATE(2522),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [anon_sym_COLON] = ACTIONS(389),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_text_interpolation] = STATE(75),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(525),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_text_interpolation] = STATE(76),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(527),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_text_interpolation] = STATE(77),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(98),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(529),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_text_interpolation] = STATE(78),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(531),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_text_interpolation] = STATE(79),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(533),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_text_interpolation] = STATE(80),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(64),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(535),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_text_interpolation] = STATE(81),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(537),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_text_interpolation] = STATE(82),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(539),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_text_interpolation] = STATE(83),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(541),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_text_interpolation] = STATE(84),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(100),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(543),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_text_interpolation] = STATE(85),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(545),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_text_interpolation] = STATE(86),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(85),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(547),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_text_interpolation] = STATE(87),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(83),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(549),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_text_interpolation] = STATE(88),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(551),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_text_interpolation] = STATE(89),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(553),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_text_interpolation] = STATE(90),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(99),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(555),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_text_interpolation] = STATE(91),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(53),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(557),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_text_interpolation] = STATE(92),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(88),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(559),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_text_interpolation] = STATE(93),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(561),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_text_interpolation] = STATE(94),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(89),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(563),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_text_interpolation] = STATE(95),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(565),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_text_interpolation] = STATE(96),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(567),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_text_interpolation] = STATE(97),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(101),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(569),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_text_interpolation] = STATE(98),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(571),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_text_interpolation] = STATE(99),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(573),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_text_interpolation] = STATE(100),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(575),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_text_interpolation] = STATE(101),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(577),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_text_interpolation] = STATE(102),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(105),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(579),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_text_interpolation] = STATE(103),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(69),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(581),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_text_interpolation] = STATE(104),
    [sym_statement] = STATE(558),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_colon_block] = STATE(2537),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(389),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_text_interpolation] = STATE(105),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(583),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_text_interpolation] = STATE(106),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(93),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(585),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_text_interpolation] = STATE(107),
    [sym_statement] = STATE(1681),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_colon_block] = STATE(1661),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [anon_sym_COLON] = ACTIONS(497),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(399),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(411),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(415),
    [aux_sym_foreach_statement_token1] = ACTIONS(417),
    [aux_sym_if_statement_token1] = ACTIONS(419),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_text_interpolation] = STATE(108),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(95),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(587),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_text_interpolation] = STATE(109),
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_program_repeat1] = STATE(96),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(589),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_text_interpolation] = STATE(110),
    [sym_statement] = STATE(2046),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_text_interpolation] = STATE(111),
    [sym_statement] = STATE(2630),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_text_interpolation] = STATE(112),
    [sym_statement] = STATE(554),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_text_interpolation] = STATE(113),
    [sym_statement] = STATE(2596),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_text_interpolation] = STATE(114),
    [sym_statement] = STATE(459),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_text_interpolation] = STATE(115),
    [sym_statement] = STATE(554),
    [sym_empty_statement] = STATE(457),
    [sym_function_static_declaration] = STATE(457),
    [sym_global_declaration] = STATE(457),
    [sym_namespace_definition] = STATE(457),
    [sym_namespace_use_declaration] = STATE(457),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(457),
    [sym_interface_declaration] = STATE(457),
    [sym_enum_declaration] = STATE(457),
    [sym_class_declaration] = STATE(457),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(457),
    [sym__const_declaration] = STATE(488),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(457),
    [sym__function_definition_header] = STATE(2329),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(457),
    [sym_exit_statement] = STATE(457),
    [sym_unset_statement] = STATE(457),
    [sym_declare_statement] = STATE(457),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_foreach_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(457),
    [sym_compound_statement] = STATE(457),
    [sym_named_label_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1347),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_class_declaration_repeat1] = STATE(1383),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_text_interpolation] = STATE(116),
    [sym_statement] = STATE(2022),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(399),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(411),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(415),
    [aux_sym_foreach_statement_token1] = ACTIONS(417),
    [aux_sym_if_statement_token1] = ACTIONS(419),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_text_interpolation] = STATE(117),
    [sym_statement] = STATE(2046),
    [sym_empty_statement] = STATE(2010),
    [sym_function_static_declaration] = STATE(2010),
    [sym_global_declaration] = STATE(2010),
    [sym_namespace_definition] = STATE(2010),
    [sym_namespace_use_declaration] = STATE(2010),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2010),
    [sym_interface_declaration] = STATE(2010),
    [sym_enum_declaration] = STATE(2010),
    [sym_class_declaration] = STATE(2010),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2010),
    [sym__const_declaration] = STATE(2011),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1453),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2010),
    [sym__function_definition_header] = STATE(2406),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_echo_statement] = STATE(2010),
    [sym_exit_statement] = STATE(2010),
    [sym_unset_statement] = STATE(2010),
    [sym_declare_statement] = STATE(2010),
    [sym_literal] = STATE(1159),
    [sym_try_statement] = STATE(2010),
    [sym_goto_statement] = STATE(2010),
    [sym_continue_statement] = STATE(2010),
    [sym_break_statement] = STATE(2010),
    [sym_return_statement] = STATE(2010),
    [sym_throw_expression] = STATE(1159),
    [sym_while_statement] = STATE(2010),
    [sym_do_statement] = STATE(2010),
    [sym_for_statement] = STATE(2010),
    [sym_foreach_statement] = STATE(2010),
    [sym_if_statement] = STATE(2010),
    [sym_match_expression] = STATE(1162),
    [sym_switch_statement] = STATE(2010),
    [sym_compound_statement] = STATE(2010),
    [sym_named_label_statement] = STATE(2010),
    [sym_expression_statement] = STATE(2010),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(367),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(371),
    [aux_sym_global_declaration_token1] = ACTIONS(373),
    [aux_sym_namespace_definition_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(377),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(381),
    [aux_sym_trait_declaration_token1] = ACTIONS(383),
    [aux_sym_interface_declaration_token1] = ACTIONS(385),
    [aux_sym_enum_declaration_token1] = ACTIONS(387),
    [aux_sym_class_declaration_token1] = ACTIONS(391),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(393),
    [aux_sym_exit_statement_token1] = ACTIONS(395),
    [anon_sym_unset] = ACTIONS(397),
    [aux_sym_declare_statement_token1] = ACTIONS(399),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(401),
    [aux_sym_goto_statement_token1] = ACTIONS(403),
    [aux_sym_continue_statement_token1] = ACTIONS(405),
    [aux_sym_break_statement_token1] = ACTIONS(407),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(409),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(411),
    [aux_sym_do_statement_token1] = ACTIONS(413),
    [aux_sym_for_statement_token1] = ACTIONS(415),
    [aux_sym_foreach_statement_token1] = ACTIONS(417),
    [aux_sym_if_statement_token1] = ACTIONS(419),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_text_interpolation] = STATE(118),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1048),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(1029),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1029),
    [sym_yield_expression] = STATE(1021),
    [sym_array_element_initializer] = STATE(1008),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(595),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(593),
    [anon_sym_COLON] = ACTIONS(593),
    [anon_sym_EQ_GT] = ACTIONS(593),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [anon_sym_RPAREN2] = ACTIONS(593),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(607),
    [anon_sym_QMARK] = ACTIONS(599),
    [anon_sym_PIPE] = ACTIONS(599),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_yield_expression_token2] = ACTIONS(649),
    [aux_sym_binary_expression_token1] = ACTIONS(599),
    [anon_sym_QMARK_QMARK] = ACTIONS(593),
    [anon_sym_STAR_STAR] = ACTIONS(593),
    [aux_sym_binary_expression_token2] = ACTIONS(599),
    [aux_sym_binary_expression_token3] = ACTIONS(599),
    [aux_sym_binary_expression_token4] = ACTIONS(599),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(593),
    [anon_sym_EQ_EQ] = ACTIONS(599),
    [anon_sym_BANG_EQ] = ACTIONS(599),
    [anon_sym_LT_GT] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(599),
    [anon_sym_GT] = ACTIONS(599),
    [anon_sym_LT_EQ] = ACTIONS(599),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_LT_EQ_GT] = ACTIONS(593),
    [anon_sym_LT_LT] = ACTIONS(599),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_STAR] = ACTIONS(599),
    [anon_sym_SLASH] = ACTIONS(599),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_text_interpolation] = STATE(119),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1156),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_variadic_unpacking] = STATE(1144),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_by_ref] = STATE(1144),
    [sym_yield_expression] = STATE(1162),
    [sym_array_element_initializer] = STATE(1154),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(661),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(593),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_EQ_GT] = ACTIONS(593),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(599),
    [anon_sym_PIPE] = ACTIONS(599),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(294),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_yield_expression_token2] = ACTIONS(665),
    [aux_sym_binary_expression_token1] = ACTIONS(599),
    [anon_sym_QMARK_QMARK] = ACTIONS(593),
    [anon_sym_STAR_STAR] = ACTIONS(593),
    [aux_sym_binary_expression_token2] = ACTIONS(599),
    [aux_sym_binary_expression_token3] = ACTIONS(599),
    [aux_sym_binary_expression_token4] = ACTIONS(599),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(593),
    [anon_sym_EQ_EQ] = ACTIONS(599),
    [anon_sym_BANG_EQ] = ACTIONS(599),
    [anon_sym_LT_GT] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(599),
    [anon_sym_GT] = ACTIONS(599),
    [anon_sym_LT_EQ] = ACTIONS(599),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_LT_EQ_GT] = ACTIONS(593),
    [anon_sym_LT_LT] = ACTIONS(599),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_STAR] = ACTIONS(599),
    [anon_sym_SLASH] = ACTIONS(599),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(593),
  },
  [120] = {
    [sym_text_interpolation] = STATE(120),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1160),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(1029),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1029),
    [sym_yield_expression] = STATE(1021),
    [sym_array_element_initializer] = STATE(1008),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(595),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(593),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(593),
    [anon_sym_EQ_GT] = ACTIONS(593),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [anon_sym_QMARK] = ACTIONS(599),
    [anon_sym_PIPE] = ACTIONS(599),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(593),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_yield_expression_token2] = ACTIONS(687),
    [aux_sym_binary_expression_token1] = ACTIONS(599),
    [anon_sym_QMARK_QMARK] = ACTIONS(593),
    [anon_sym_STAR_STAR] = ACTIONS(593),
    [aux_sym_binary_expression_token2] = ACTIONS(599),
    [aux_sym_binary_expression_token3] = ACTIONS(599),
    [aux_sym_binary_expression_token4] = ACTIONS(599),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(593),
    [anon_sym_EQ_EQ] = ACTIONS(599),
    [anon_sym_BANG_EQ] = ACTIONS(599),
    [anon_sym_LT_GT] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(599),
    [anon_sym_GT] = ACTIONS(599),
    [anon_sym_LT_EQ] = ACTIONS(599),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_LT_EQ_GT] = ACTIONS(593),
    [anon_sym_LT_LT] = ACTIONS(599),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_STAR] = ACTIONS(599),
    [anon_sym_SLASH] = ACTIONS(599),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_text_interpolation] = STATE(121),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(1029),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1029),
    [sym_yield_expression] = STATE(1021),
    [sym_array_element_initializer] = STATE(1008),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(595),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(593),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_EQ_GT] = ACTIONS(593),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(593),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [anon_sym_QMARK] = ACTIONS(599),
    [anon_sym_PIPE] = ACTIONS(599),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(703),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_yield_expression_token2] = ACTIONS(717),
    [aux_sym_binary_expression_token1] = ACTIONS(599),
    [anon_sym_QMARK_QMARK] = ACTIONS(593),
    [anon_sym_STAR_STAR] = ACTIONS(593),
    [aux_sym_binary_expression_token2] = ACTIONS(599),
    [aux_sym_binary_expression_token3] = ACTIONS(599),
    [aux_sym_binary_expression_token4] = ACTIONS(599),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(593),
    [anon_sym_EQ_EQ] = ACTIONS(599),
    [anon_sym_BANG_EQ] = ACTIONS(599),
    [anon_sym_LT_GT] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(599),
    [anon_sym_GT] = ACTIONS(599),
    [anon_sym_LT_EQ] = ACTIONS(599),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_LT_EQ_GT] = ACTIONS(593),
    [anon_sym_LT_LT] = ACTIONS(599),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_STAR] = ACTIONS(599),
    [anon_sym_SLASH] = ACTIONS(599),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_text_interpolation] = STATE(122),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_cast_type] = STATE(2534),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1292),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_text_interpolation] = STATE(123),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_cast_type] = STATE(2575),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1292),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_text_interpolation] = STATE(124),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_cast_type] = STATE(2643),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1292),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_text_interpolation] = STATE(125),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_cast_type] = STATE(2727),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1292),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_text_interpolation] = STATE(126),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_cast_type] = STATE(2639),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_text_interpolation] = STATE(127),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_cast_type] = STATE(2588),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1292),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_text_interpolation] = STATE(128),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_cast_type] = STATE(2551),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1292),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_text_interpolation] = STATE(129),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_cast_type] = STATE(2534),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_text_interpolation] = STATE(130),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_cast_type] = STATE(2651),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1292),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_text_interpolation] = STATE(131),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_cast_type] = STATE(2657),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1292),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_text_interpolation] = STATE(132),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_cast_type] = STATE(2570),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1292),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_text_interpolation] = STATE(133),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(692),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(692),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(692),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(692),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2027),
    [sym__array_destructing_element] = STATE(2028),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(1029),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(694),
    [sym__callable_variable] = STATE(679),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2390),
    [sym_yield_expression] = STATE(1021),
    [sym_array_element_initializer] = STATE(2083),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym__array_destructing_repeat1] = STATE(2034),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(733),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_RBRACK] = ACTIONS(735),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_text_interpolation] = STATE(134),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(692),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(692),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(692),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(692),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2027),
    [sym__array_destructing_element] = STATE(2028),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(1029),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(694),
    [sym__callable_variable] = STATE(679),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2390),
    [sym_yield_expression] = STATE(1021),
    [sym_array_element_initializer] = STATE(2083),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym__array_destructing_repeat1] = STATE(2034),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(733),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_RBRACK] = ACTIONS(737),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_text_interpolation] = STATE(135),
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_variadic_placeholder] = STATE(2698),
    [sym_argument] = STATE(2272),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(2493),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(1602),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(749),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(753),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_text_interpolation] = STATE(136),
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_variadic_placeholder] = STATE(2645),
    [sym_argument] = STATE(2241),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(2493),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(1602),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(767),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(753),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_text_interpolation] = STATE(137),
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_variadic_placeholder] = STATE(2624),
    [sym_argument] = STATE(2144),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(2493),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(1602),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(769),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(753),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_text_interpolation] = STATE(138),
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_variadic_placeholder] = STATE(2711),
    [sym_argument] = STATE(2295),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(2493),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(1602),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(771),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(753),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_text_interpolation] = STATE(139),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(692),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(692),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(692),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(692),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2027),
    [sym__array_destructing_element] = STATE(2028),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(1029),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(694),
    [sym__callable_variable] = STATE(679),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2390),
    [sym_yield_expression] = STATE(1021),
    [sym_array_element_initializer] = STATE(2083),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym__array_destructing_repeat1] = STATE(2034),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(733),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_RBRACK] = ACTIONS(773),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_text_interpolation] = STATE(140),
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_variadic_placeholder] = STATE(2518),
    [sym_argument] = STATE(2138),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(2493),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(1602),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(775),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(753),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_text_interpolation] = STATE(141),
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_variadic_placeholder] = STATE(2663),
    [sym_argument] = STATE(2252),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(2493),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(1602),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(777),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(753),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_text_interpolation] = STATE(142),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(692),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(692),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(692),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(692),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2027),
    [sym__array_destructing_element] = STATE(2028),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(1029),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(694),
    [sym__callable_variable] = STATE(679),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2390),
    [sym_yield_expression] = STATE(1021),
    [sym_array_element_initializer] = STATE(2030),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym__array_destructing_repeat1] = STATE(2034),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(779),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_RBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_text_interpolation] = STATE(143),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(692),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(692),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(692),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(692),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2027),
    [sym__array_destructing_element] = STATE(2028),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(1029),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(694),
    [sym__callable_variable] = STATE(679),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2390),
    [sym_yield_expression] = STATE(1021),
    [sym_array_element_initializer] = STATE(2083),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym__array_destructing_repeat1] = STATE(2034),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(733),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_RBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_text_interpolation] = STATE(144),
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(2493),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(1602),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(785),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_text_interpolation] = STATE(145),
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(2493),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(1602),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(787),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_text_interpolation] = STATE(146),
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(2493),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(1602),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(789),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_text_interpolation] = STATE(147),
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(2493),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(1602),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(791),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_text_interpolation] = STATE(148),
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(2493),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(1602),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(793),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_text_interpolation] = STATE(149),
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(2493),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(1602),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(795),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_text_interpolation] = STATE(150),
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(2493),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(1602),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(797),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_text_interpolation] = STATE(151),
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(2493),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(1602),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(799),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_text_interpolation] = STATE(152),
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(2493),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(1602),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(801),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_text_interpolation] = STATE(153),
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(2493),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(1602),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(803),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_text_interpolation] = STATE(154),
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(2493),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(1602),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(805),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_text_interpolation] = STATE(155),
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(2493),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(1602),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(807),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_text_interpolation] = STATE(156),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(1029),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1029),
    [sym_yield_expression] = STATE(1021),
    [sym_array_element_initializer] = STATE(2105),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(809),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(811),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_text_interpolation] = STATE(157),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(1029),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1029),
    [sym_yield_expression] = STATE(1021),
    [sym_array_element_initializer] = STATE(2083),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(813),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(815),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_text_interpolation] = STATE(158),
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(2493),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(1602),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_text_interpolation] = STATE(159),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(1029),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1029),
    [sym_yield_expression] = STATE(1021),
    [sym_array_element_initializer] = STATE(2030),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(817),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(819),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_text_interpolation] = STATE(160),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(1029),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1029),
    [sym_yield_expression] = STATE(1021),
    [sym_array_element_initializer] = STATE(2114),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(821),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(823),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_text_interpolation] = STATE(161),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_match_condition_list] = STATE(2631),
    [sym_match_conditional_expression] = STATE(2171),
    [sym_match_default_expression] = STATE(2171),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(825),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(827),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_text_interpolation] = STATE(162),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(1029),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1029),
    [sym_yield_expression] = STATE(1021),
    [sym_array_element_initializer] = STATE(2247),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(831),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_text_interpolation] = STATE(163),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(1029),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1029),
    [sym_yield_expression] = STATE(1021),
    [sym_array_element_initializer] = STATE(2247),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(833),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_text_interpolation] = STATE(164),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(1029),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1029),
    [sym_yield_expression] = STATE(1021),
    [sym_array_element_initializer] = STATE(2247),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(835),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_text_interpolation] = STATE(165),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_match_condition_list] = STATE(2631),
    [sym_match_conditional_expression] = STATE(2226),
    [sym_match_default_expression] = STATE(2226),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(837),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(839),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_text_interpolation] = STATE(166),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(1029),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1029),
    [sym_yield_expression] = STATE(1021),
    [sym_array_element_initializer] = STATE(2247),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(841),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_text_interpolation] = STATE(167),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(1029),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1029),
    [sym_yield_expression] = STATE(1021),
    [sym_array_element_initializer] = STATE(2247),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(843),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_text_interpolation] = STATE(168),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(1029),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1029),
    [sym_yield_expression] = STATE(1021),
    [sym_array_element_initializer] = STATE(2247),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(845),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_text_interpolation] = STATE(169),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(1029),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1029),
    [sym_yield_expression] = STATE(1021),
    [sym_array_element_initializer] = STATE(2247),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(847),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_text_interpolation] = STATE(170),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(1029),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1029),
    [sym_yield_expression] = STATE(1021),
    [sym_array_element_initializer] = STATE(2247),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(849),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_text_interpolation] = STATE(171),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(1029),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1029),
    [sym_yield_expression] = STATE(1021),
    [sym_array_element_initializer] = STATE(2247),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_text_interpolation] = STATE(172),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_match_condition_list] = STATE(2631),
    [sym_match_conditional_expression] = STATE(2399),
    [sym_match_default_expression] = STATE(2399),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(851),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_text_interpolation] = STATE(173),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_match_condition_list] = STATE(2631),
    [sym_match_conditional_expression] = STATE(2399),
    [sym_match_default_expression] = STATE(2399),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(853),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_text_interpolation] = STATE(174),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1284),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(688),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(688),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(688),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(688),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2027),
    [sym__array_destructing_element] = STATE(2475),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(690),
    [sym__callable_variable] = STATE(680),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2477),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(855),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(857),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_RBRACK] = ACTIONS(855),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_text_interpolation] = STATE(175),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1284),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(688),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(688),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(688),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(688),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2027),
    [sym__array_destructing_element] = STATE(2475),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(690),
    [sym__callable_variable] = STATE(680),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2477),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(855),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(857),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_RBRACK] = ACTIONS(861),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_text_interpolation] = STATE(176),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(678),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(1907),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(667),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2113),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym__list_destructing_repeat1] = STATE(2118),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(864),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(857),
    [anon_sym_RPAREN2] = ACTIONS(866),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_text_interpolation] = STATE(177),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1284),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(688),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(688),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(688),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(688),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2027),
    [sym__array_destructing_element] = STATE(2475),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(690),
    [sym__callable_variable] = STATE(680),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2477),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(855),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(857),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_RBRACK] = ACTIONS(868),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_text_interpolation] = STATE(178),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_match_condition_list] = STATE(2631),
    [sym_match_conditional_expression] = STATE(2399),
    [sym_match_default_expression] = STATE(2399),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(871),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_text_interpolation] = STATE(179),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(1029),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1029),
    [sym_yield_expression] = STATE(1021),
    [sym_array_element_initializer] = STATE(2247),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_text_interpolation] = STATE(180),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_match_condition_list] = STATE(2631),
    [sym_match_conditional_expression] = STATE(2399),
    [sym_match_default_expression] = STATE(2399),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(873),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_text_interpolation] = STATE(181),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_foreach_pair] = STATE(2684),
    [sym__foreach_value] = STATE(2684),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2385),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2653),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_text_interpolation] = STATE(182),
    [sym_reference_modifier] = STATE(227),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1269),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(2344),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(1575),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_text_interpolation] = STATE(183),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_foreach_pair] = STATE(2661),
    [sym__foreach_value] = STATE(2661),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2385),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2653),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_text_interpolation] = STATE(184),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_match_condition_list] = STATE(2631),
    [sym_match_conditional_expression] = STATE(2399),
    [sym_match_default_expression] = STATE(2399),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_text_interpolation] = STATE(185),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1322),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(691),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(691),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(691),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(691),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(689),
    [sym__callable_variable] = STATE(681),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2379),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(875),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(857),
    [anon_sym_RPAREN2] = ACTIONS(875),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_text_interpolation] = STATE(186),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_foreach_pair] = STATE(2685),
    [sym__foreach_value] = STATE(2685),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2385),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2653),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_text_interpolation] = STATE(187),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_foreach_pair] = STATE(2560),
    [sym__foreach_value] = STATE(2560),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2385),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2653),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_text_interpolation] = STATE(188),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2667),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(877),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_text_interpolation] = STATE(189),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2553),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(879),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_text_interpolation] = STATE(190),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2636),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(881),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_text_interpolation] = STATE(191),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(2056),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(423),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(423),
  },
  [192] = {
    [sym_text_interpolation] = STATE(192),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2637),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(883),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_text_interpolation] = STATE(193),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2535),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_text_interpolation] = STATE(194),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(2057),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(423),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(423),
  },
  [195] = {
    [sym_text_interpolation] = STATE(195),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2682),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(887),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_text_interpolation] = STATE(196),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2736),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(889),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_text_interpolation] = STATE(197),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2704),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(891),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_text_interpolation] = STATE(198),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1226),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(2062),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(423),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(423),
  },
  [199] = {
    [sym_text_interpolation] = STATE(199),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2674),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(893),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_text_interpolation] = STATE(200),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2581),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(895),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_text_interpolation] = STATE(201),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__foreach_value] = STATE(2676),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1310),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2385),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2653),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_text_interpolation] = STATE(202),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2729),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(897),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_text_interpolation] = STATE(203),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2578),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(899),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_text_interpolation] = STATE(204),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2726),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(901),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_text_interpolation] = STATE(205),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2608),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(903),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_text_interpolation] = STATE(206),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2671),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(905),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_text_interpolation] = STATE(207),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2655),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(907),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_text_interpolation] = STATE(208),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2592),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(909),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_text_interpolation] = STATE(209),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2687),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(911),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_text_interpolation] = STATE(210),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2689),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(913),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_text_interpolation] = STATE(211),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(498),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(439),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [212] = {
    [sym_text_interpolation] = STATE(212),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(527),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(439),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [213] = {
    [sym_text_interpolation] = STATE(213),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [sym__semicolon] = STATE(517),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(439),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [214] = {
    [sym_text_interpolation] = STATE(214),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2538),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(915),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_text_interpolation] = STATE(215),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2564),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(917),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_text_interpolation] = STATE(216),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2597),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(919),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_text_interpolation] = STATE(217),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2595),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(921),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_text_interpolation] = STATE(218),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2668),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(923),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_text_interpolation] = STATE(219),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2557),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(925),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_text_interpolation] = STATE(220),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2562),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(927),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_text_interpolation] = STATE(221),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2561),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(929),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_text_interpolation] = STATE(222),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__expressions] = STATE(2686),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(931),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_text_interpolation] = STATE(223),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym__expressions] = STATE(2071),
    [sym_sequence_expression] = STATE(2380),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1235),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_text_interpolation] = STATE(224),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1105),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_by_ref] = STATE(1149),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(933),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_text_interpolation] = STATE(225),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(2346),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(1580),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_text_interpolation] = STATE(226),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1017),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(935),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_text_interpolation] = STATE(227),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1262),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(2469),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(1612),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_text_interpolation] = STATE(228),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym__expressions] = STATE(2015),
    [sym_sequence_expression] = STATE(2380),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1235),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_text_interpolation] = STATE(229),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1054),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1017),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(935),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_text_interpolation] = STATE(230),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1145),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(706),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(706),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(706),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(706),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2244),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(695),
    [sym__callable_variable] = STATE(693),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2367),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_text_interpolation] = STATE(231),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1145),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1017),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(935),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_text_interpolation] = STATE(232),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1145),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1017),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_text_interpolation] = STATE(233),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1017),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_text_interpolation] = STATE(234),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_COLON] = ACTIONS(937),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_text_interpolation] = STATE(235),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(939),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_text_interpolation] = STATE(236),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1316),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_COLON] = ACTIONS(941),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_text_interpolation] = STATE(237),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1313),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(943),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_text_interpolation] = STATE(238),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1294),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_COLON] = ACTIONS(945),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_text_interpolation] = STATE(239),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(947),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_text_interpolation] = STATE(240),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(949),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_text_interpolation] = STATE(241),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1192),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_COLON] = ACTIONS(951),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_text_interpolation] = STATE(242),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1047),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(953),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_text_interpolation] = STATE(243),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_COLON] = ACTIONS(955),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_text_interpolation] = STATE(244),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1307),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(957),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_text_interpolation] = STATE(245),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1298),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(959),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_text_interpolation] = STATE(246),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1323),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(961),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_text_interpolation] = STATE(247),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1293),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [anon_sym_RPAREN2] = ACTIONS(963),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_text_interpolation] = STATE(248),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(965),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_text_interpolation] = STATE(249),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1108),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(967),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_text_interpolation] = STATE(250),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1258),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_EQ_GT] = ACTIONS(969),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_text_interpolation] = STATE(251),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_sequence_expression] = STATE(2362),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_text_interpolation] = STATE(252),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_sequence_expression] = STATE(2362),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1263),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_text_interpolation] = STATE(253),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1300),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [anon_sym_RPAREN2] = ACTIONS(971),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_text_interpolation] = STATE(254),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1194),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(973),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_text_interpolation] = STATE(255),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1258),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_EQ_GT] = ACTIONS(975),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_text_interpolation] = STATE(256),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1302),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(977),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_text_interpolation] = STATE(257),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1125),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(979),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_text_interpolation] = STATE(258),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(981),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_text_interpolation] = STATE(259),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_sequence_expression] = STATE(2421),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_text_interpolation] = STATE(260),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1208),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_text_interpolation] = STATE(261),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_text_interpolation] = STATE(262),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1103),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_text_interpolation] = STATE(263),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1174),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_text_interpolation] = STATE(264),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_text_interpolation] = STATE(265),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_text_interpolation] = STATE(266),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1253),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_text_interpolation] = STATE(267),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_text_interpolation] = STATE(268),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1204),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_text_interpolation] = STATE(269),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1244),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_text_interpolation] = STATE(270),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_text_interpolation] = STATE(271),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1279),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_text_interpolation] = STATE(272),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1287),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_text_interpolation] = STATE(273),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1261),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_text_interpolation] = STATE(274),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1203),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_text_interpolation] = STATE(275),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1183),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_text_interpolation] = STATE(276),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_text_interpolation] = STATE(277),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1179),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_text_interpolation] = STATE(278),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1087),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_text_interpolation] = STATE(279),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1106),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_text_interpolation] = STATE(280),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1107),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_text_interpolation] = STATE(281),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1089),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_text_interpolation] = STATE(282),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1109),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_text_interpolation] = STATE(283),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1110),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_text_interpolation] = STATE(284),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1111),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_text_interpolation] = STATE(285),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1112),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_text_interpolation] = STATE(286),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1113),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_text_interpolation] = STATE(287),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1114),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_text_interpolation] = STATE(288),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1115),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_text_interpolation] = STATE(289),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1116),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_text_interpolation] = STATE(290),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1117),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_text_interpolation] = STATE(291),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1118),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_text_interpolation] = STATE(292),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1119),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_text_interpolation] = STATE(293),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1120),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_text_interpolation] = STATE(294),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1121),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_text_interpolation] = STATE(295),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1122),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_text_interpolation] = STATE(296),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1123),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_text_interpolation] = STATE(297),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1077),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_text_interpolation] = STATE(298),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_text_interpolation] = STATE(299),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_text_interpolation] = STATE(300),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_text_interpolation] = STATE(301),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1126),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_text_interpolation] = STATE(302),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_text_interpolation] = STATE(303),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_text_interpolation] = STATE(304),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1217),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_text_interpolation] = STATE(305),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_text_interpolation] = STATE(306),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1191),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_text_interpolation] = STATE(307),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_text_interpolation] = STATE(308),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_text_interpolation] = STATE(309),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1178),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_text_interpolation] = STATE(310),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_text_interpolation] = STATE(311),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_text_interpolation] = STATE(312),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1205),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_text_interpolation] = STATE(313),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_text_interpolation] = STATE(314),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1184),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_text_interpolation] = STATE(315),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_text_interpolation] = STATE(316),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1193),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_text_interpolation] = STATE(317),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_text_interpolation] = STATE(318),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1187),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_text_interpolation] = STATE(319),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_text_interpolation] = STATE(320),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1216),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_text_interpolation] = STATE(321),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_text_interpolation] = STATE(322),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1186),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_text_interpolation] = STATE(323),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1283),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_text_interpolation] = STATE(324),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1207),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_text_interpolation] = STATE(325),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1231),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_text_interpolation] = STATE(326),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1206),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_text_interpolation] = STATE(327),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_text_interpolation] = STATE(328),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1196),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_text_interpolation] = STATE(329),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_text_interpolation] = STATE(330),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_text_interpolation] = STATE(331),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1088),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_text_interpolation] = STATE(332),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1086),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_text_interpolation] = STATE(333),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1177),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_text_interpolation] = STATE(334),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1315),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_text_interpolation] = STATE(335),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1292),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_text_interpolation] = STATE(336),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1176),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_text_interpolation] = STATE(337),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_text_interpolation] = STATE(338),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_text_interpolation] = STATE(339),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1270),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_text_interpolation] = STATE(340),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_text_interpolation] = STATE(341),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1304),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_text_interpolation] = STATE(342),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_text_interpolation] = STATE(343),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1297),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_text_interpolation] = STATE(344),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1060),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_text_interpolation] = STATE(345),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1311),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_text_interpolation] = STATE(346),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1012),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_text_interpolation] = STATE(347),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1011),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_text_interpolation] = STATE(348),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1314),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_text_interpolation] = STATE(349),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1192),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_text_interpolation] = STATE(350),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_text_interpolation] = STATE(351),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1289),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_text_interpolation] = STATE(352),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_text_interpolation] = STATE(353),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1275),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_text_interpolation] = STATE(354),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_text_interpolation] = STATE(355),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_text_interpolation] = STATE(356),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_text_interpolation] = STATE(357),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1278),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_text_interpolation] = STATE(358),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_text_interpolation] = STATE(359),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1218),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_text_interpolation] = STATE(360),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1286),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_text_interpolation] = STATE(361),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_text_interpolation] = STATE(362),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_text_interpolation] = STATE(363),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1068),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_text_interpolation] = STATE(364),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_text_interpolation] = STATE(365),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1085),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_text_interpolation] = STATE(366),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_text_interpolation] = STATE(367),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1258),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_text_interpolation] = STATE(368),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(670),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_text_interpolation] = STATE(369),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1238),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_text_interpolation] = STATE(370),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1083),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_text_interpolation] = STATE(371),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1073),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_text_interpolation] = STATE(372),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1011),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_text_interpolation] = STATE(373),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1012),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_text_interpolation] = STATE(374),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1069),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_text_interpolation] = STATE(375),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1062),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_text_interpolation] = STATE(376),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1059),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_text_interpolation] = STATE(377),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1058),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_text_interpolation] = STATE(378),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1057),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_text_interpolation] = STATE(379),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1067),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_text_interpolation] = STATE(380),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1082),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_text_interpolation] = STATE(381),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1065),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_text_interpolation] = STATE(382),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1081),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_text_interpolation] = STATE(383),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1150),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_text_interpolation] = STATE(384),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1151),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_text_interpolation] = STATE(385),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1152),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_text_interpolation] = STATE(386),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1131),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_text_interpolation] = STATE(387),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1056),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_text_interpolation] = STATE(388),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1076),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_text_interpolation] = STATE(389),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1064),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_text_interpolation] = STATE(390),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1049),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_text_interpolation] = STATE(391),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1050),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_text_interpolation] = STATE(392),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1051),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_text_interpolation] = STATE(393),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1053),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_text_interpolation] = STATE(394),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1171),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_text_interpolation] = STATE(395),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1055),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_text_interpolation] = STATE(396),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1011),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_text_interpolation] = STATE(397),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1080),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_text_interpolation] = STATE(398),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1061),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_text_interpolation] = STATE(399),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1012),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_text_interpolation] = STATE(400),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1161),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_text_interpolation] = STATE(401),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1063),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_text_interpolation] = STATE(402),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1158),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_text_interpolation] = STATE(403),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1079),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_text_interpolation] = STATE(404),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1147),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_text_interpolation] = STATE(405),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1166),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_text_interpolation] = STATE(406),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1143),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_text_interpolation] = STATE(407),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1052),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_text_interpolation] = STATE(408),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1132),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_text_interpolation] = STATE(409),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1140),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_text_interpolation] = STATE(410),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1075),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_text_interpolation] = STATE(411),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1104),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_text_interpolation] = STATE(412),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1101),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_text_interpolation] = STATE(413),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1169),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_text_interpolation] = STATE(414),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1100),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_text_interpolation] = STATE(415),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1133),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_text_interpolation] = STATE(416),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1099),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_text_interpolation] = STATE(417),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1170),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_text_interpolation] = STATE(418),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1072),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_text_interpolation] = STATE(419),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1098),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_text_interpolation] = STATE(420),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1127),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_text_interpolation] = STATE(421),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1097),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_text_interpolation] = STATE(422),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1071),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_text_interpolation] = STATE(423),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1096),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_text_interpolation] = STATE(424),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1095),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_text_interpolation] = STATE(425),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1094),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_text_interpolation] = STATE(426),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1277),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_text_interpolation] = STATE(427),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1070),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_text_interpolation] = STATE(428),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1092),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_text_interpolation] = STATE(429),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1276),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_text_interpolation] = STATE(430),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1155),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_text_interpolation] = STATE(431),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1153),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_text_interpolation] = STATE(432),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1091),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_text_interpolation] = STATE(433),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1090),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_text_interpolation] = STATE(434),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1066),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(635),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(640),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_text_interpolation] = STATE(435),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_match_expression] = STATE(1162),
    [sym_expression] = STATE(1172),
    [sym__unary_expression] = STATE(1163),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1162),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1162),
    [sym_reference_assignment_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_include_expression] = STATE(1162),
    [sym_include_once_expression] = STATE(1162),
    [sym_require_expression] = STATE(1162),
    [sym_require_once_expression] = STATE(1162),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_text_interpolation] = STATE(436),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_match_expression] = STATE(1021),
    [sym_expression] = STATE(1084),
    [sym__unary_expression] = STATE(1014),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1021),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(1021),
    [sym_reference_assignment_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_augmented_assignment_expression] = STATE(1021),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2336),
    [sym__array_destructing] = STATE(2336),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(673),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_include_expression] = STATE(1021),
    [sym_include_once_expression] = STATE(1021),
    [sym_require_expression] = STATE(1021),
    [sym_require_once_expression] = STATE(1021),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_text_interpolation] = STATE(437),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1672),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym__unary_expression] = STATE(1136),
    [sym_unary_op_expression] = STATE(1164),
    [sym_error_suppression_expression] = STATE(1136),
    [sym_clone_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_expression] = STATE(1164),
    [sym_cast_variable] = STATE(660),
    [sym__variable_member_access_expression] = STATE(672),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(666),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(669),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(659),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(642),
    [sym__new_variable] = STATE(656),
    [sym__callable_variable] = STATE(654),
    [sym_variable_name] = STATE(633),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [sym_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_text_interpolation] = STATE(438),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__unary_expression] = STATE(1027),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1027),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(621),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(621),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(621),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(621),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(620),
    [sym__callable_variable] = STATE(619),
    [sym_variable_name] = STATE(618),
    [sym_include_expression] = STATE(1027),
    [sym_include_once_expression] = STATE(1027),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_text_interpolation] = STATE(439),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__unary_expression] = STATE(1027),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1027),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(621),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(621),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(621),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(621),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(620),
    [sym__callable_variable] = STATE(619),
    [sym_variable_name] = STATE(618),
    [sym_include_expression] = STATE(1027),
    [sym_include_once_expression] = STATE(1027),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_text_interpolation] = STATE(440),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__unary_expression] = STATE(1027),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1027),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(676),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(675),
    [sym__callable_variable] = STATE(674),
    [sym_variable_name] = STATE(618),
    [sym_include_expression] = STATE(1027),
    [sym_include_once_expression] = STATE(1027),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(857),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_text_interpolation] = STATE(441),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1691),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym__unary_expression] = STATE(1027),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1027),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(621),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(621),
    [sym__variable_nullsafe_member_access_expression] = STATE(616),
    [sym_nullsafe_member_access_expression] = STATE(621),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(621),
    [sym_function_call_expression] = STATE(604),
    [sym__callable_expression] = STATE(2412),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2599),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1883),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(620),
    [sym__callable_variable] = STATE(619),
    [sym_variable_name] = STATE(618),
    [sym_include_expression] = STATE(1027),
    [sym_include_once_expression] = STATE(1027),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_text_interpolation] = STATE(442),
    [sym_catch_clause] = STATE(448),
    [sym_finally_clause] = STATE(448),
    [aux_sym_try_statement_repeat1] = STATE(443),
    [ts_builtin_sym_end] = ACTIONS(987),
    [sym_name] = ACTIONS(989),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(987),
    [aux_sym_function_static_declaration_token1] = ACTIONS(989),
    [aux_sym_global_declaration_token1] = ACTIONS(989),
    [aux_sym_namespace_definition_token1] = ACTIONS(989),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(989),
    [aux_sym__namespace_use_type_token1] = ACTIONS(989),
    [aux_sym__namespace_use_type_token2] = ACTIONS(989),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_RBRACE] = ACTIONS(987),
    [aux_sym_trait_declaration_token1] = ACTIONS(989),
    [aux_sym_interface_declaration_token1] = ACTIONS(989),
    [aux_sym_enum_declaration_token1] = ACTIONS(989),
    [aux_sym_enum_case_token1] = ACTIONS(989),
    [aux_sym_class_declaration_token1] = ACTIONS(989),
    [aux_sym_final_modifier_token1] = ACTIONS(989),
    [aux_sym_abstract_modifier_token1] = ACTIONS(989),
    [aux_sym_readonly_modifier_token1] = ACTIONS(989),
    [sym_var_modifier] = ACTIONS(989),
    [aux_sym_visibility_modifier_token1] = ACTIONS(989),
    [aux_sym_visibility_modifier_token2] = ACTIONS(989),
    [aux_sym_visibility_modifier_token3] = ACTIONS(989),
    [anon_sym_LPAREN2] = ACTIONS(987),
    [aux_sym__arrow_function_header_token1] = ACTIONS(989),
    [aux_sym_cast_type_token1] = ACTIONS(989),
    [aux_sym_echo_statement_token1] = ACTIONS(989),
    [aux_sym_exit_statement_token1] = ACTIONS(989),
    [anon_sym_unset] = ACTIONS(989),
    [aux_sym_declare_statement_token1] = ACTIONS(989),
    [aux_sym_declare_statement_token2] = ACTIONS(989),
    [sym_float] = ACTIONS(989),
    [aux_sym_try_statement_token1] = ACTIONS(989),
    [aux_sym_catch_clause_token1] = ACTIONS(991),
    [aux_sym_finally_clause_token1] = ACTIONS(993),
    [aux_sym_goto_statement_token1] = ACTIONS(989),
    [aux_sym_continue_statement_token1] = ACTIONS(989),
    [aux_sym_break_statement_token1] = ACTIONS(989),
    [sym_integer] = ACTIONS(989),
    [aux_sym_return_statement_token1] = ACTIONS(989),
    [aux_sym_throw_expression_token1] = ACTIONS(989),
    [aux_sym_while_statement_token1] = ACTIONS(989),
    [aux_sym_while_statement_token2] = ACTIONS(989),
    [aux_sym_do_statement_token1] = ACTIONS(989),
    [aux_sym_for_statement_token1] = ACTIONS(989),
    [aux_sym_for_statement_token2] = ACTIONS(989),
    [aux_sym_foreach_statement_token1] = ACTIONS(989),
    [aux_sym_foreach_statement_token2] = ACTIONS(989),
    [aux_sym_if_statement_token1] = ACTIONS(989),
    [aux_sym_if_statement_token2] = ACTIONS(989),
    [aux_sym_else_if_clause_token1] = ACTIONS(989),
    [aux_sym_else_clause_token1] = ACTIONS(989),
    [aux_sym_match_expression_token1] = ACTIONS(989),
    [aux_sym_match_default_expression_token1] = ACTIONS(989),
    [aux_sym_switch_statement_token1] = ACTIONS(989),
    [aux_sym_switch_block_token1] = ACTIONS(989),
    [anon_sym_PLUS] = ACTIONS(989),
    [anon_sym_DASH] = ACTIONS(989),
    [anon_sym_TILDE] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(987),
    [anon_sym_AT] = ACTIONS(987),
    [aux_sym_clone_expression_token1] = ACTIONS(989),
    [aux_sym_print_intrinsic_token1] = ACTIONS(989),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(989),
    [anon_sym_DASH_DASH] = ACTIONS(987),
    [anon_sym_PLUS_PLUS] = ACTIONS(987),
    [aux_sym__list_destructing_token1] = ACTIONS(989),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_self] = ACTIONS(989),
    [anon_sym_parent] = ACTIONS(989),
    [aux_sym__argument_name_token1] = ACTIONS(989),
    [aux_sym__argument_name_token2] = ACTIONS(989),
    [anon_sym_POUND_LBRACK] = ACTIONS(987),
    [aux_sym_encapsed_string_token1] = ACTIONS(987),
    [anon_sym_DQUOTE] = ACTIONS(987),
    [aux_sym_string_token1] = ACTIONS(987),
    [anon_sym_SQUOTE] = ACTIONS(987),
    [anon_sym_LT_LT_LT] = ACTIONS(987),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [aux_sym_yield_expression_token1] = ACTIONS(989),
    [aux_sym_include_expression_token1] = ACTIONS(989),
    [aux_sym_include_once_expression_token1] = ACTIONS(989),
    [aux_sym_require_expression_token1] = ACTIONS(989),
    [aux_sym_require_once_expression_token1] = ACTIONS(989),
    [sym_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_text_interpolation] = STATE(443),
    [sym_catch_clause] = STATE(448),
    [sym_finally_clause] = STATE(448),
    [aux_sym_try_statement_repeat1] = STATE(443),
    [ts_builtin_sym_end] = ACTIONS(995),
    [sym_name] = ACTIONS(997),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(995),
    [aux_sym_function_static_declaration_token1] = ACTIONS(997),
    [aux_sym_global_declaration_token1] = ACTIONS(997),
    [aux_sym_namespace_definition_token1] = ACTIONS(997),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(997),
    [aux_sym__namespace_use_type_token1] = ACTIONS(997),
    [aux_sym__namespace_use_type_token2] = ACTIONS(997),
    [anon_sym_BSLASH] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(995),
    [anon_sym_RBRACE] = ACTIONS(995),
    [aux_sym_trait_declaration_token1] = ACTIONS(997),
    [aux_sym_interface_declaration_token1] = ACTIONS(997),
    [aux_sym_enum_declaration_token1] = ACTIONS(997),
    [aux_sym_enum_case_token1] = ACTIONS(997),
    [aux_sym_class_declaration_token1] = ACTIONS(997),
    [aux_sym_final_modifier_token1] = ACTIONS(997),
    [aux_sym_abstract_modifier_token1] = ACTIONS(997),
    [aux_sym_readonly_modifier_token1] = ACTIONS(997),
    [sym_var_modifier] = ACTIONS(997),
    [aux_sym_visibility_modifier_token1] = ACTIONS(997),
    [aux_sym_visibility_modifier_token2] = ACTIONS(997),
    [aux_sym_visibility_modifier_token3] = ACTIONS(997),
    [anon_sym_LPAREN2] = ACTIONS(995),
    [aux_sym__arrow_function_header_token1] = ACTIONS(997),
    [aux_sym_cast_type_token1] = ACTIONS(997),
    [aux_sym_echo_statement_token1] = ACTIONS(997),
    [aux_sym_exit_statement_token1] = ACTIONS(997),
    [anon_sym_unset] = ACTIONS(997),
    [aux_sym_declare_statement_token1] = ACTIONS(997),
    [aux_sym_declare_statement_token2] = ACTIONS(997),
    [sym_float] = ACTIONS(997),
    [aux_sym_try_statement_token1] = ACTIONS(997),
    [aux_sym_catch_clause_token1] = ACTIONS(999),
    [aux_sym_finally_clause_token1] = ACTIONS(1002),
    [aux_sym_goto_statement_token1] = ACTIONS(997),
    [aux_sym_continue_statement_token1] = ACTIONS(997),
    [aux_sym_break_statement_token1] = ACTIONS(997),
    [sym_integer] = ACTIONS(997),
    [aux_sym_return_statement_token1] = ACTIONS(997),
    [aux_sym_throw_expression_token1] = ACTIONS(997),
    [aux_sym_while_statement_token1] = ACTIONS(997),
    [aux_sym_while_statement_token2] = ACTIONS(997),
    [aux_sym_do_statement_token1] = ACTIONS(997),
    [aux_sym_for_statement_token1] = ACTIONS(997),
    [aux_sym_for_statement_token2] = ACTIONS(997),
    [aux_sym_foreach_statement_token1] = ACTIONS(997),
    [aux_sym_foreach_statement_token2] = ACTIONS(997),
    [aux_sym_if_statement_token1] = ACTIONS(997),
    [aux_sym_if_statement_token2] = ACTIONS(997),
    [aux_sym_else_if_clause_token1] = ACTIONS(997),
    [aux_sym_else_clause_token1] = ACTIONS(997),
    [aux_sym_match_expression_token1] = ACTIONS(997),
    [aux_sym_match_default_expression_token1] = ACTIONS(997),
    [aux_sym_switch_statement_token1] = ACTIONS(997),
    [aux_sym_switch_block_token1] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(997),
    [anon_sym_DASH] = ACTIONS(997),
    [anon_sym_TILDE] = ACTIONS(995),
    [anon_sym_BANG] = ACTIONS(995),
    [anon_sym_AT] = ACTIONS(995),
    [aux_sym_clone_expression_token1] = ACTIONS(997),
    [aux_sym_print_intrinsic_token1] = ACTIONS(997),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(997),
    [anon_sym_DASH_DASH] = ACTIONS(995),
    [anon_sym_PLUS_PLUS] = ACTIONS(995),
    [aux_sym__list_destructing_token1] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(995),
    [anon_sym_self] = ACTIONS(997),
    [anon_sym_parent] = ACTIONS(997),
    [aux_sym__argument_name_token1] = ACTIONS(997),
    [aux_sym__argument_name_token2] = ACTIONS(997),
    [anon_sym_POUND_LBRACK] = ACTIONS(995),
    [aux_sym_encapsed_string_token1] = ACTIONS(995),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [aux_sym_string_token1] = ACTIONS(995),
    [anon_sym_SQUOTE] = ACTIONS(995),
    [anon_sym_LT_LT_LT] = ACTIONS(995),
    [anon_sym_BQUOTE] = ACTIONS(995),
    [anon_sym_DOLLAR] = ACTIONS(995),
    [aux_sym_yield_expression_token1] = ACTIONS(997),
    [aux_sym_include_expression_token1] = ACTIONS(997),
    [aux_sym_include_once_expression_token1] = ACTIONS(997),
    [aux_sym_require_expression_token1] = ACTIONS(997),
    [aux_sym_require_once_expression_token1] = ACTIONS(997),
    [sym_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_text_interpolation] = STATE(444),
    [sym_else_if_clause] = STATE(541),
    [sym_else_clause] = STATE(545),
    [aux_sym_if_statement_repeat1] = STATE(447),
    [ts_builtin_sym_end] = ACTIONS(1005),
    [sym_name] = ACTIONS(1007),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1005),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1007),
    [aux_sym_global_declaration_token1] = ACTIONS(1007),
    [aux_sym_namespace_definition_token1] = ACTIONS(1007),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1007),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1007),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1007),
    [anon_sym_BSLASH] = ACTIONS(1005),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_RBRACE] = ACTIONS(1005),
    [aux_sym_trait_declaration_token1] = ACTIONS(1007),
    [aux_sym_interface_declaration_token1] = ACTIONS(1007),
    [aux_sym_enum_declaration_token1] = ACTIONS(1007),
    [aux_sym_enum_case_token1] = ACTIONS(1007),
    [aux_sym_class_declaration_token1] = ACTIONS(1007),
    [aux_sym_final_modifier_token1] = ACTIONS(1007),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1007),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1007),
    [sym_var_modifier] = ACTIONS(1007),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1007),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1007),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1007),
    [anon_sym_LPAREN2] = ACTIONS(1005),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1007),
    [aux_sym_cast_type_token1] = ACTIONS(1007),
    [aux_sym_echo_statement_token1] = ACTIONS(1007),
    [aux_sym_exit_statement_token1] = ACTIONS(1007),
    [anon_sym_unset] = ACTIONS(1007),
    [aux_sym_declare_statement_token1] = ACTIONS(1007),
    [aux_sym_declare_statement_token2] = ACTIONS(1007),
    [sym_float] = ACTIONS(1007),
    [aux_sym_try_statement_token1] = ACTIONS(1007),
    [aux_sym_goto_statement_token1] = ACTIONS(1007),
    [aux_sym_continue_statement_token1] = ACTIONS(1007),
    [aux_sym_break_statement_token1] = ACTIONS(1007),
    [sym_integer] = ACTIONS(1007),
    [aux_sym_return_statement_token1] = ACTIONS(1007),
    [aux_sym_throw_expression_token1] = ACTIONS(1007),
    [aux_sym_while_statement_token1] = ACTIONS(1007),
    [aux_sym_while_statement_token2] = ACTIONS(1007),
    [aux_sym_do_statement_token1] = ACTIONS(1007),
    [aux_sym_for_statement_token1] = ACTIONS(1007),
    [aux_sym_for_statement_token2] = ACTIONS(1007),
    [aux_sym_foreach_statement_token1] = ACTIONS(1007),
    [aux_sym_foreach_statement_token2] = ACTIONS(1007),
    [aux_sym_if_statement_token1] = ACTIONS(1007),
    [aux_sym_if_statement_token2] = ACTIONS(1007),
    [aux_sym_else_if_clause_token1] = ACTIONS(1009),
    [aux_sym_else_clause_token1] = ACTIONS(1011),
    [aux_sym_match_expression_token1] = ACTIONS(1007),
    [aux_sym_match_default_expression_token1] = ACTIONS(1007),
    [aux_sym_switch_statement_token1] = ACTIONS(1007),
    [aux_sym_switch_block_token1] = ACTIONS(1007),
    [anon_sym_PLUS] = ACTIONS(1007),
    [anon_sym_DASH] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(1005),
    [anon_sym_BANG] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(1005),
    [aux_sym_clone_expression_token1] = ACTIONS(1007),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1007),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1007),
    [anon_sym_DASH_DASH] = ACTIONS(1005),
    [anon_sym_PLUS_PLUS] = ACTIONS(1005),
    [aux_sym__list_destructing_token1] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1005),
    [anon_sym_self] = ACTIONS(1007),
    [anon_sym_parent] = ACTIONS(1007),
    [aux_sym__argument_name_token1] = ACTIONS(1007),
    [aux_sym__argument_name_token2] = ACTIONS(1007),
    [anon_sym_POUND_LBRACK] = ACTIONS(1005),
    [aux_sym_encapsed_string_token1] = ACTIONS(1005),
    [anon_sym_DQUOTE] = ACTIONS(1005),
    [aux_sym_string_token1] = ACTIONS(1005),
    [anon_sym_SQUOTE] = ACTIONS(1005),
    [anon_sym_LT_LT_LT] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1005),
    [anon_sym_DOLLAR] = ACTIONS(1005),
    [aux_sym_yield_expression_token1] = ACTIONS(1007),
    [aux_sym_include_expression_token1] = ACTIONS(1007),
    [aux_sym_include_once_expression_token1] = ACTIONS(1007),
    [aux_sym_require_expression_token1] = ACTIONS(1007),
    [aux_sym_require_once_expression_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_text_interpolation] = STATE(445),
    [sym_else_if_clause] = STATE(541),
    [sym_else_clause] = STATE(561),
    [aux_sym_if_statement_repeat1] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(1013),
    [sym_name] = ACTIONS(1015),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1013),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1015),
    [aux_sym_global_declaration_token1] = ACTIONS(1015),
    [aux_sym_namespace_definition_token1] = ACTIONS(1015),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1015),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1015),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_RBRACE] = ACTIONS(1013),
    [aux_sym_trait_declaration_token1] = ACTIONS(1015),
    [aux_sym_interface_declaration_token1] = ACTIONS(1015),
    [aux_sym_enum_declaration_token1] = ACTIONS(1015),
    [aux_sym_enum_case_token1] = ACTIONS(1015),
    [aux_sym_class_declaration_token1] = ACTIONS(1015),
    [aux_sym_final_modifier_token1] = ACTIONS(1015),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1015),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1015),
    [sym_var_modifier] = ACTIONS(1015),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1015),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1015),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1015),
    [anon_sym_LPAREN2] = ACTIONS(1013),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1015),
    [aux_sym_cast_type_token1] = ACTIONS(1015),
    [aux_sym_echo_statement_token1] = ACTIONS(1015),
    [aux_sym_exit_statement_token1] = ACTIONS(1015),
    [anon_sym_unset] = ACTIONS(1015),
    [aux_sym_declare_statement_token1] = ACTIONS(1015),
    [aux_sym_declare_statement_token2] = ACTIONS(1015),
    [sym_float] = ACTIONS(1015),
    [aux_sym_try_statement_token1] = ACTIONS(1015),
    [aux_sym_goto_statement_token1] = ACTIONS(1015),
    [aux_sym_continue_statement_token1] = ACTIONS(1015),
    [aux_sym_break_statement_token1] = ACTIONS(1015),
    [sym_integer] = ACTIONS(1015),
    [aux_sym_return_statement_token1] = ACTIONS(1015),
    [aux_sym_throw_expression_token1] = ACTIONS(1015),
    [aux_sym_while_statement_token1] = ACTIONS(1015),
    [aux_sym_while_statement_token2] = ACTIONS(1015),
    [aux_sym_do_statement_token1] = ACTIONS(1015),
    [aux_sym_for_statement_token1] = ACTIONS(1015),
    [aux_sym_for_statement_token2] = ACTIONS(1015),
    [aux_sym_foreach_statement_token1] = ACTIONS(1015),
    [aux_sym_foreach_statement_token2] = ACTIONS(1015),
    [aux_sym_if_statement_token1] = ACTIONS(1015),
    [aux_sym_if_statement_token2] = ACTIONS(1015),
    [aux_sym_else_if_clause_token1] = ACTIONS(1017),
    [aux_sym_else_clause_token1] = ACTIONS(1020),
    [aux_sym_match_expression_token1] = ACTIONS(1015),
    [aux_sym_match_default_expression_token1] = ACTIONS(1015),
    [aux_sym_switch_statement_token1] = ACTIONS(1015),
    [aux_sym_switch_block_token1] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(1015),
    [anon_sym_DASH] = ACTIONS(1015),
    [anon_sym_TILDE] = ACTIONS(1013),
    [anon_sym_BANG] = ACTIONS(1013),
    [anon_sym_AT] = ACTIONS(1013),
    [aux_sym_clone_expression_token1] = ACTIONS(1015),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1015),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1015),
    [anon_sym_DASH_DASH] = ACTIONS(1013),
    [anon_sym_PLUS_PLUS] = ACTIONS(1013),
    [aux_sym__list_destructing_token1] = ACTIONS(1015),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_self] = ACTIONS(1015),
    [anon_sym_parent] = ACTIONS(1015),
    [aux_sym__argument_name_token1] = ACTIONS(1015),
    [aux_sym__argument_name_token2] = ACTIONS(1015),
    [anon_sym_POUND_LBRACK] = ACTIONS(1013),
    [aux_sym_encapsed_string_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1013),
    [aux_sym_string_token1] = ACTIONS(1013),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_LT_LT_LT] = ACTIONS(1013),
    [anon_sym_BQUOTE] = ACTIONS(1013),
    [anon_sym_DOLLAR] = ACTIONS(1013),
    [aux_sym_yield_expression_token1] = ACTIONS(1015),
    [aux_sym_include_expression_token1] = ACTIONS(1015),
    [aux_sym_include_once_expression_token1] = ACTIONS(1015),
    [aux_sym_require_expression_token1] = ACTIONS(1015),
    [aux_sym_require_once_expression_token1] = ACTIONS(1015),
    [sym_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_text_interpolation] = STATE(446),
    [sym_else_if_clause] = STATE(541),
    [sym_else_clause] = STATE(545),
    [aux_sym_if_statement_repeat1] = STATE(445),
    [ts_builtin_sym_end] = ACTIONS(1005),
    [sym_name] = ACTIONS(1007),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1005),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1007),
    [aux_sym_global_declaration_token1] = ACTIONS(1007),
    [aux_sym_namespace_definition_token1] = ACTIONS(1007),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1007),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1007),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1007),
    [anon_sym_BSLASH] = ACTIONS(1005),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_RBRACE] = ACTIONS(1005),
    [aux_sym_trait_declaration_token1] = ACTIONS(1007),
    [aux_sym_interface_declaration_token1] = ACTIONS(1007),
    [aux_sym_enum_declaration_token1] = ACTIONS(1007),
    [aux_sym_enum_case_token1] = ACTIONS(1007),
    [aux_sym_class_declaration_token1] = ACTIONS(1007),
    [aux_sym_final_modifier_token1] = ACTIONS(1007),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1007),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1007),
    [sym_var_modifier] = ACTIONS(1007),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1007),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1007),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1007),
    [anon_sym_LPAREN2] = ACTIONS(1005),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1007),
    [aux_sym_cast_type_token1] = ACTIONS(1007),
    [aux_sym_echo_statement_token1] = ACTIONS(1007),
    [aux_sym_exit_statement_token1] = ACTIONS(1007),
    [anon_sym_unset] = ACTIONS(1007),
    [aux_sym_declare_statement_token1] = ACTIONS(1007),
    [aux_sym_declare_statement_token2] = ACTIONS(1007),
    [sym_float] = ACTIONS(1007),
    [aux_sym_try_statement_token1] = ACTIONS(1007),
    [aux_sym_goto_statement_token1] = ACTIONS(1007),
    [aux_sym_continue_statement_token1] = ACTIONS(1007),
    [aux_sym_break_statement_token1] = ACTIONS(1007),
    [sym_integer] = ACTIONS(1007),
    [aux_sym_return_statement_token1] = ACTIONS(1007),
    [aux_sym_throw_expression_token1] = ACTIONS(1007),
    [aux_sym_while_statement_token1] = ACTIONS(1007),
    [aux_sym_while_statement_token2] = ACTIONS(1007),
    [aux_sym_do_statement_token1] = ACTIONS(1007),
    [aux_sym_for_statement_token1] = ACTIONS(1007),
    [aux_sym_for_statement_token2] = ACTIONS(1007),
    [aux_sym_foreach_statement_token1] = ACTIONS(1007),
    [aux_sym_foreach_statement_token2] = ACTIONS(1007),
    [aux_sym_if_statement_token1] = ACTIONS(1007),
    [aux_sym_if_statement_token2] = ACTIONS(1007),
    [aux_sym_else_if_clause_token1] = ACTIONS(1023),
    [aux_sym_else_clause_token1] = ACTIONS(1026),
    [aux_sym_match_expression_token1] = ACTIONS(1007),
    [aux_sym_match_default_expression_token1] = ACTIONS(1007),
    [aux_sym_switch_statement_token1] = ACTIONS(1007),
    [aux_sym_switch_block_token1] = ACTIONS(1007),
    [anon_sym_PLUS] = ACTIONS(1007),
    [anon_sym_DASH] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(1005),
    [anon_sym_BANG] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(1005),
    [aux_sym_clone_expression_token1] = ACTIONS(1007),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1007),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1007),
    [anon_sym_DASH_DASH] = ACTIONS(1005),
    [anon_sym_PLUS_PLUS] = ACTIONS(1005),
    [aux_sym__list_destructing_token1] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1005),
    [anon_sym_self] = ACTIONS(1007),
    [anon_sym_parent] = ACTIONS(1007),
    [aux_sym__argument_name_token1] = ACTIONS(1007),
    [aux_sym__argument_name_token2] = ACTIONS(1007),
    [anon_sym_POUND_LBRACK] = ACTIONS(1005),
    [aux_sym_encapsed_string_token1] = ACTIONS(1005),
    [anon_sym_DQUOTE] = ACTIONS(1005),
    [aux_sym_string_token1] = ACTIONS(1005),
    [anon_sym_SQUOTE] = ACTIONS(1005),
    [anon_sym_LT_LT_LT] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1005),
    [anon_sym_DOLLAR] = ACTIONS(1005),
    [aux_sym_yield_expression_token1] = ACTIONS(1007),
    [aux_sym_include_expression_token1] = ACTIONS(1007),
    [aux_sym_include_once_expression_token1] = ACTIONS(1007),
    [aux_sym_require_expression_token1] = ACTIONS(1007),
    [aux_sym_require_once_expression_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
  },
  [447] = {
    [sym_text_interpolation] = STATE(447),
    [sym_else_if_clause] = STATE(541),
    [sym_else_clause] = STATE(561),
    [aux_sym_if_statement_repeat1] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(1013),
    [sym_name] = ACTIONS(1015),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1013),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1015),
    [aux_sym_global_declaration_token1] = ACTIONS(1015),
    [aux_sym_namespace_definition_token1] = ACTIONS(1015),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1015),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1015),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_RBRACE] = ACTIONS(1013),
    [aux_sym_trait_declaration_token1] = ACTIONS(1015),
    [aux_sym_interface_declaration_token1] = ACTIONS(1015),
    [aux_sym_enum_declaration_token1] = ACTIONS(1015),
    [aux_sym_enum_case_token1] = ACTIONS(1015),
    [aux_sym_class_declaration_token1] = ACTIONS(1015),
    [aux_sym_final_modifier_token1] = ACTIONS(1015),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1015),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1015),
    [sym_var_modifier] = ACTIONS(1015),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1015),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1015),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1015),
    [anon_sym_LPAREN2] = ACTIONS(1013),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1015),
    [aux_sym_cast_type_token1] = ACTIONS(1015),
    [aux_sym_echo_statement_token1] = ACTIONS(1015),
    [aux_sym_exit_statement_token1] = ACTIONS(1015),
    [anon_sym_unset] = ACTIONS(1015),
    [aux_sym_declare_statement_token1] = ACTIONS(1015),
    [aux_sym_declare_statement_token2] = ACTIONS(1015),
    [sym_float] = ACTIONS(1015),
    [aux_sym_try_statement_token1] = ACTIONS(1015),
    [aux_sym_goto_statement_token1] = ACTIONS(1015),
    [aux_sym_continue_statement_token1] = ACTIONS(1015),
    [aux_sym_break_statement_token1] = ACTIONS(1015),
    [sym_integer] = ACTIONS(1015),
    [aux_sym_return_statement_token1] = ACTIONS(1015),
    [aux_sym_throw_expression_token1] = ACTIONS(1015),
    [aux_sym_while_statement_token1] = ACTIONS(1015),
    [aux_sym_while_statement_token2] = ACTIONS(1015),
    [aux_sym_do_statement_token1] = ACTIONS(1015),
    [aux_sym_for_statement_token1] = ACTIONS(1015),
    [aux_sym_for_statement_token2] = ACTIONS(1015),
    [aux_sym_foreach_statement_token1] = ACTIONS(1015),
    [aux_sym_foreach_statement_token2] = ACTIONS(1015),
    [aux_sym_if_statement_token1] = ACTIONS(1015),
    [aux_sym_if_statement_token2] = ACTIONS(1015),
    [aux_sym_else_if_clause_token1] = ACTIONS(1009),
    [aux_sym_else_clause_token1] = ACTIONS(1011),
    [aux_sym_match_expression_token1] = ACTIONS(1015),
    [aux_sym_match_default_expression_token1] = ACTIONS(1015),
    [aux_sym_switch_statement_token1] = ACTIONS(1015),
    [aux_sym_switch_block_token1] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(1015),
    [anon_sym_DASH] = ACTIONS(1015),
    [anon_sym_TILDE] = ACTIONS(1013),
    [anon_sym_BANG] = ACTIONS(1013),
    [anon_sym_AT] = ACTIONS(1013),
    [aux_sym_clone_expression_token1] = ACTIONS(1015),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1015),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1015),
    [anon_sym_DASH_DASH] = ACTIONS(1013),
    [anon_sym_PLUS_PLUS] = ACTIONS(1013),
    [aux_sym__list_destructing_token1] = ACTIONS(1015),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_self] = ACTIONS(1015),
    [anon_sym_parent] = ACTIONS(1015),
    [aux_sym__argument_name_token1] = ACTIONS(1015),
    [aux_sym__argument_name_token2] = ACTIONS(1015),
    [anon_sym_POUND_LBRACK] = ACTIONS(1013),
    [aux_sym_encapsed_string_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1013),
    [aux_sym_string_token1] = ACTIONS(1013),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_LT_LT_LT] = ACTIONS(1013),
    [anon_sym_BQUOTE] = ACTIONS(1013),
    [anon_sym_DOLLAR] = ACTIONS(1013),
    [aux_sym_yield_expression_token1] = ACTIONS(1015),
    [aux_sym_include_expression_token1] = ACTIONS(1015),
    [aux_sym_include_once_expression_token1] = ACTIONS(1015),
    [aux_sym_require_expression_token1] = ACTIONS(1015),
    [aux_sym_require_once_expression_token1] = ACTIONS(1015),
    [sym_comment] = ACTIONS(5),
  },
  [448] = {
    [sym_text_interpolation] = STATE(448),
    [ts_builtin_sym_end] = ACTIONS(1029),
    [sym_name] = ACTIONS(1031),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1029),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1031),
    [aux_sym_global_declaration_token1] = ACTIONS(1031),
    [aux_sym_namespace_definition_token1] = ACTIONS(1031),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1031),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1031),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1031),
    [anon_sym_BSLASH] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_RBRACE] = ACTIONS(1029),
    [aux_sym_trait_declaration_token1] = ACTIONS(1031),
    [aux_sym_interface_declaration_token1] = ACTIONS(1031),
    [aux_sym_enum_declaration_token1] = ACTIONS(1031),
    [aux_sym_enum_case_token1] = ACTIONS(1031),
    [aux_sym_class_declaration_token1] = ACTIONS(1031),
    [aux_sym_final_modifier_token1] = ACTIONS(1031),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1031),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1031),
    [sym_var_modifier] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1031),
    [anon_sym_LPAREN2] = ACTIONS(1029),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1031),
    [aux_sym_cast_type_token1] = ACTIONS(1031),
    [aux_sym_echo_statement_token1] = ACTIONS(1031),
    [aux_sym_exit_statement_token1] = ACTIONS(1031),
    [anon_sym_unset] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [aux_sym_declare_statement_token2] = ACTIONS(1031),
    [sym_float] = ACTIONS(1031),
    [aux_sym_try_statement_token1] = ACTIONS(1031),
    [aux_sym_catch_clause_token1] = ACTIONS(1031),
    [aux_sym_finally_clause_token1] = ACTIONS(1031),
    [aux_sym_goto_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [sym_integer] = ACTIONS(1031),
    [aux_sym_return_statement_token1] = ACTIONS(1031),
    [aux_sym_throw_expression_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token2] = ACTIONS(1031),
    [aux_sym_do_statement_token1] = ACTIONS(1031),
    [aux_sym_for_statement_token1] = ACTIONS(1031),
    [aux_sym_for_statement_token2] = ACTIONS(1031),
    [aux_sym_foreach_statement_token1] = ACTIONS(1031),
    [aux_sym_foreach_statement_token2] = ACTIONS(1031),
    [aux_sym_if_statement_token1] = ACTIONS(1031),
    [aux_sym_if_statement_token2] = ACTIONS(1031),
    [aux_sym_else_if_clause_token1] = ACTIONS(1031),
    [aux_sym_else_clause_token1] = ACTIONS(1031),
    [aux_sym_match_expression_token1] = ACTIONS(1031),
    [aux_sym_match_default_expression_token1] = ACTIONS(1031),
    [aux_sym_switch_statement_token1] = ACTIONS(1031),
    [aux_sym_switch_block_token1] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(1031),
    [anon_sym_DASH] = ACTIONS(1031),
    [anon_sym_TILDE] = ACTIONS(1029),
    [anon_sym_BANG] = ACTIONS(1029),
    [anon_sym_AT] = ACTIONS(1029),
    [aux_sym_clone_expression_token1] = ACTIONS(1031),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1031),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [aux_sym__list_destructing_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_self] = ACTIONS(1031),
    [anon_sym_parent] = ACTIONS(1031),
    [aux_sym__argument_name_token1] = ACTIONS(1031),
    [aux_sym__argument_name_token2] = ACTIONS(1031),
    [anon_sym_POUND_LBRACK] = ACTIONS(1029),
    [aux_sym_encapsed_string_token1] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [aux_sym_string_token1] = ACTIONS(1029),
    [anon_sym_SQUOTE] = ACTIONS(1029),
    [anon_sym_LT_LT_LT] = ACTIONS(1029),
    [anon_sym_BQUOTE] = ACTIONS(1029),
    [anon_sym_DOLLAR] = ACTIONS(1029),
    [aux_sym_yield_expression_token1] = ACTIONS(1031),
    [aux_sym_include_expression_token1] = ACTIONS(1031),
    [aux_sym_include_once_expression_token1] = ACTIONS(1031),
    [aux_sym_require_expression_token1] = ACTIONS(1031),
    [aux_sym_require_once_expression_token1] = ACTIONS(1031),
    [sym_comment] = ACTIONS(5),
  },
  [449] = {
    [sym_text_interpolation] = STATE(449),
    [ts_builtin_sym_end] = ACTIONS(1033),
    [sym_name] = ACTIONS(1035),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1033),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1035),
    [aux_sym_global_declaration_token1] = ACTIONS(1035),
    [aux_sym_namespace_definition_token1] = ACTIONS(1035),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1035),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1035),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1035),
    [anon_sym_BSLASH] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_RBRACE] = ACTIONS(1033),
    [aux_sym_trait_declaration_token1] = ACTIONS(1035),
    [aux_sym_interface_declaration_token1] = ACTIONS(1035),
    [aux_sym_enum_declaration_token1] = ACTIONS(1035),
    [aux_sym_enum_case_token1] = ACTIONS(1035),
    [aux_sym_class_declaration_token1] = ACTIONS(1035),
    [aux_sym_final_modifier_token1] = ACTIONS(1035),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1035),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1035),
    [sym_var_modifier] = ACTIONS(1035),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1035),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1035),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1035),
    [anon_sym_LPAREN2] = ACTIONS(1033),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1035),
    [aux_sym_cast_type_token1] = ACTIONS(1035),
    [aux_sym_echo_statement_token1] = ACTIONS(1035),
    [aux_sym_exit_statement_token1] = ACTIONS(1035),
    [anon_sym_unset] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [aux_sym_declare_statement_token2] = ACTIONS(1035),
    [sym_float] = ACTIONS(1035),
    [aux_sym_try_statement_token1] = ACTIONS(1035),
    [aux_sym_catch_clause_token1] = ACTIONS(1035),
    [aux_sym_finally_clause_token1] = ACTIONS(1035),
    [aux_sym_goto_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [sym_integer] = ACTIONS(1035),
    [aux_sym_return_statement_token1] = ACTIONS(1035),
    [aux_sym_throw_expression_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token2] = ACTIONS(1035),
    [aux_sym_do_statement_token1] = ACTIONS(1035),
    [aux_sym_for_statement_token1] = ACTIONS(1035),
    [aux_sym_for_statement_token2] = ACTIONS(1035),
    [aux_sym_foreach_statement_token1] = ACTIONS(1035),
    [aux_sym_foreach_statement_token2] = ACTIONS(1035),
    [aux_sym_if_statement_token1] = ACTIONS(1035),
    [aux_sym_if_statement_token2] = ACTIONS(1035),
    [aux_sym_else_if_clause_token1] = ACTIONS(1035),
    [aux_sym_else_clause_token1] = ACTIONS(1035),
    [aux_sym_match_expression_token1] = ACTIONS(1035),
    [aux_sym_match_default_expression_token1] = ACTIONS(1035),
    [aux_sym_switch_statement_token1] = ACTIONS(1035),
    [aux_sym_switch_block_token1] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(1035),
    [anon_sym_DASH] = ACTIONS(1035),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(1033),
    [aux_sym_clone_expression_token1] = ACTIONS(1035),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1035),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1035),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [aux_sym__list_destructing_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_self] = ACTIONS(1035),
    [anon_sym_parent] = ACTIONS(1035),
    [aux_sym__argument_name_token1] = ACTIONS(1035),
    [aux_sym__argument_name_token2] = ACTIONS(1035),
    [anon_sym_POUND_LBRACK] = ACTIONS(1033),
    [aux_sym_encapsed_string_token1] = ACTIONS(1033),
    [anon_sym_DQUOTE] = ACTIONS(1033),
    [aux_sym_string_token1] = ACTIONS(1033),
    [anon_sym_SQUOTE] = ACTIONS(1033),
    [anon_sym_LT_LT_LT] = ACTIONS(1033),
    [anon_sym_BQUOTE] = ACTIONS(1033),
    [anon_sym_DOLLAR] = ACTIONS(1033),
    [aux_sym_yield_expression_token1] = ACTIONS(1035),
    [aux_sym_include_expression_token1] = ACTIONS(1035),
    [aux_sym_include_once_expression_token1] = ACTIONS(1035),
    [aux_sym_require_expression_token1] = ACTIONS(1035),
    [aux_sym_require_once_expression_token1] = ACTIONS(1035),
    [sym_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_text_interpolation] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(1037),
    [sym_name] = ACTIONS(1039),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1037),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1039),
    [aux_sym_global_declaration_token1] = ACTIONS(1039),
    [aux_sym_namespace_definition_token1] = ACTIONS(1039),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1039),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1039),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1039),
    [anon_sym_BSLASH] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_RBRACE] = ACTIONS(1037),
    [aux_sym_trait_declaration_token1] = ACTIONS(1039),
    [aux_sym_interface_declaration_token1] = ACTIONS(1039),
    [aux_sym_enum_declaration_token1] = ACTIONS(1039),
    [aux_sym_enum_case_token1] = ACTIONS(1039),
    [aux_sym_class_declaration_token1] = ACTIONS(1039),
    [aux_sym_final_modifier_token1] = ACTIONS(1039),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1039),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1039),
    [sym_var_modifier] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1039),
    [anon_sym_LPAREN2] = ACTIONS(1037),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1039),
    [aux_sym_cast_type_token1] = ACTIONS(1039),
    [aux_sym_echo_statement_token1] = ACTIONS(1039),
    [aux_sym_exit_statement_token1] = ACTIONS(1039),
    [anon_sym_unset] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [aux_sym_declare_statement_token2] = ACTIONS(1039),
    [sym_float] = ACTIONS(1039),
    [aux_sym_try_statement_token1] = ACTIONS(1039),
    [aux_sym_catch_clause_token1] = ACTIONS(1039),
    [aux_sym_finally_clause_token1] = ACTIONS(1039),
    [aux_sym_goto_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [sym_integer] = ACTIONS(1039),
    [aux_sym_return_statement_token1] = ACTIONS(1039),
    [aux_sym_throw_expression_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token2] = ACTIONS(1039),
    [aux_sym_do_statement_token1] = ACTIONS(1039),
    [aux_sym_for_statement_token1] = ACTIONS(1039),
    [aux_sym_for_statement_token2] = ACTIONS(1039),
    [aux_sym_foreach_statement_token1] = ACTIONS(1039),
    [aux_sym_foreach_statement_token2] = ACTIONS(1039),
    [aux_sym_if_statement_token1] = ACTIONS(1039),
    [aux_sym_if_statement_token2] = ACTIONS(1039),
    [aux_sym_else_if_clause_token1] = ACTIONS(1039),
    [aux_sym_else_clause_token1] = ACTIONS(1039),
    [aux_sym_match_expression_token1] = ACTIONS(1039),
    [aux_sym_match_default_expression_token1] = ACTIONS(1039),
    [aux_sym_switch_statement_token1] = ACTIONS(1039),
    [aux_sym_switch_block_token1] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(1039),
    [anon_sym_DASH] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1037),
    [anon_sym_AT] = ACTIONS(1037),
    [aux_sym_clone_expression_token1] = ACTIONS(1039),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1039),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1037),
    [anon_sym_PLUS_PLUS] = ACTIONS(1037),
    [aux_sym__list_destructing_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_self] = ACTIONS(1039),
    [anon_sym_parent] = ACTIONS(1039),
    [aux_sym__argument_name_token1] = ACTIONS(1039),
    [aux_sym__argument_name_token2] = ACTIONS(1039),
    [anon_sym_POUND_LBRACK] = ACTIONS(1037),
    [aux_sym_encapsed_string_token1] = ACTIONS(1037),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [aux_sym_string_token1] = ACTIONS(1037),
    [anon_sym_SQUOTE] = ACTIONS(1037),
    [anon_sym_LT_LT_LT] = ACTIONS(1037),
    [anon_sym_BQUOTE] = ACTIONS(1037),
    [anon_sym_DOLLAR] = ACTIONS(1037),
    [aux_sym_yield_expression_token1] = ACTIONS(1039),
    [aux_sym_include_expression_token1] = ACTIONS(1039),
    [aux_sym_include_once_expression_token1] = ACTIONS(1039),
    [aux_sym_require_expression_token1] = ACTIONS(1039),
    [aux_sym_require_once_expression_token1] = ACTIONS(1039),
    [sym_comment] = ACTIONS(5),
  },
  [451] = {
    [sym_text_interpolation] = STATE(451),
    [ts_builtin_sym_end] = ACTIONS(1041),
    [sym_name] = ACTIONS(1043),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1041),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1043),
    [aux_sym_global_declaration_token1] = ACTIONS(1043),
    [aux_sym_namespace_definition_token1] = ACTIONS(1043),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1043),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1043),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1043),
    [anon_sym_BSLASH] = ACTIONS(1041),
    [anon_sym_LBRACE] = ACTIONS(1041),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [aux_sym_trait_declaration_token1] = ACTIONS(1043),
    [aux_sym_interface_declaration_token1] = ACTIONS(1043),
    [aux_sym_enum_declaration_token1] = ACTIONS(1043),
    [aux_sym_enum_case_token1] = ACTIONS(1043),
    [aux_sym_class_declaration_token1] = ACTIONS(1043),
    [aux_sym_final_modifier_token1] = ACTIONS(1043),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1043),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1043),
    [sym_var_modifier] = ACTIONS(1043),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1043),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1043),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1043),
    [anon_sym_LPAREN2] = ACTIONS(1041),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1043),
    [aux_sym_cast_type_token1] = ACTIONS(1043),
    [aux_sym_echo_statement_token1] = ACTIONS(1043),
    [aux_sym_exit_statement_token1] = ACTIONS(1043),
    [anon_sym_unset] = ACTIONS(1043),
    [aux_sym_declare_statement_token1] = ACTIONS(1043),
    [aux_sym_declare_statement_token2] = ACTIONS(1043),
    [sym_float] = ACTIONS(1043),
    [aux_sym_try_statement_token1] = ACTIONS(1043),
    [aux_sym_catch_clause_token1] = ACTIONS(1043),
    [aux_sym_finally_clause_token1] = ACTIONS(1043),
    [aux_sym_goto_statement_token1] = ACTIONS(1043),
    [aux_sym_continue_statement_token1] = ACTIONS(1043),
    [aux_sym_break_statement_token1] = ACTIONS(1043),
    [sym_integer] = ACTIONS(1043),
    [aux_sym_return_statement_token1] = ACTIONS(1043),
    [aux_sym_throw_expression_token1] = ACTIONS(1043),
    [aux_sym_while_statement_token1] = ACTIONS(1043),
    [aux_sym_while_statement_token2] = ACTIONS(1043),
    [aux_sym_do_statement_token1] = ACTIONS(1043),
    [aux_sym_for_statement_token1] = ACTIONS(1043),
    [aux_sym_for_statement_token2] = ACTIONS(1043),
    [aux_sym_foreach_statement_token1] = ACTIONS(1043),
    [aux_sym_foreach_statement_token2] = ACTIONS(1043),
    [aux_sym_if_statement_token1] = ACTIONS(1043),
    [aux_sym_if_statement_token2] = ACTIONS(1043),
    [aux_sym_else_if_clause_token1] = ACTIONS(1043),
    [aux_sym_else_clause_token1] = ACTIONS(1043),
    [aux_sym_match_expression_token1] = ACTIONS(1043),
    [aux_sym_match_default_expression_token1] = ACTIONS(1043),
    [aux_sym_switch_statement_token1] = ACTIONS(1043),
    [aux_sym_switch_block_token1] = ACTIONS(1043),
    [anon_sym_PLUS] = ACTIONS(1043),
    [anon_sym_DASH] = ACTIONS(1043),
    [anon_sym_TILDE] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(1041),
    [aux_sym_clone_expression_token1] = ACTIONS(1043),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1043),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1043),
    [anon_sym_DASH_DASH] = ACTIONS(1041),
    [anon_sym_PLUS_PLUS] = ACTIONS(1041),
    [aux_sym__list_destructing_token1] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(1041),
    [anon_sym_self] = ACTIONS(1043),
    [anon_sym_parent] = ACTIONS(1043),
    [aux_sym__argument_name_token1] = ACTIONS(1043),
    [aux_sym__argument_name_token2] = ACTIONS(1043),
    [anon_sym_POUND_LBRACK] = ACTIONS(1041),
    [aux_sym_encapsed_string_token1] = ACTIONS(1041),
    [anon_sym_DQUOTE] = ACTIONS(1041),
    [aux_sym_string_token1] = ACTIONS(1041),
    [anon_sym_SQUOTE] = ACTIONS(1041),
    [anon_sym_LT_LT_LT] = ACTIONS(1041),
    [anon_sym_BQUOTE] = ACTIONS(1041),
    [anon_sym_DOLLAR] = ACTIONS(1041),
    [aux_sym_yield_expression_token1] = ACTIONS(1043),
    [aux_sym_include_expression_token1] = ACTIONS(1043),
    [aux_sym_include_once_expression_token1] = ACTIONS(1043),
    [aux_sym_require_expression_token1] = ACTIONS(1043),
    [aux_sym_require_once_expression_token1] = ACTIONS(1043),
    [sym_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_text_interpolation] = STATE(452),
    [ts_builtin_sym_end] = ACTIONS(1045),
    [sym_name] = ACTIONS(1047),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1045),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1047),
    [aux_sym_global_declaration_token1] = ACTIONS(1047),
    [aux_sym_namespace_definition_token1] = ACTIONS(1047),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1047),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1047),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1047),
    [anon_sym_BSLASH] = ACTIONS(1045),
    [anon_sym_LBRACE] = ACTIONS(1045),
    [anon_sym_RBRACE] = ACTIONS(1045),
    [aux_sym_trait_declaration_token1] = ACTIONS(1047),
    [aux_sym_interface_declaration_token1] = ACTIONS(1047),
    [aux_sym_enum_declaration_token1] = ACTIONS(1047),
    [aux_sym_enum_case_token1] = ACTIONS(1047),
    [aux_sym_class_declaration_token1] = ACTIONS(1047),
    [aux_sym_final_modifier_token1] = ACTIONS(1047),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1047),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1047),
    [sym_var_modifier] = ACTIONS(1047),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1047),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1047),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1047),
    [anon_sym_LPAREN2] = ACTIONS(1045),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1047),
    [aux_sym_cast_type_token1] = ACTIONS(1047),
    [aux_sym_echo_statement_token1] = ACTIONS(1047),
    [aux_sym_exit_statement_token1] = ACTIONS(1047),
    [anon_sym_unset] = ACTIONS(1047),
    [aux_sym_declare_statement_token1] = ACTIONS(1047),
    [aux_sym_declare_statement_token2] = ACTIONS(1047),
    [sym_float] = ACTIONS(1047),
    [aux_sym_try_statement_token1] = ACTIONS(1047),
    [aux_sym_catch_clause_token1] = ACTIONS(1047),
    [aux_sym_finally_clause_token1] = ACTIONS(1047),
    [aux_sym_goto_statement_token1] = ACTIONS(1047),
    [aux_sym_continue_statement_token1] = ACTIONS(1047),
    [aux_sym_break_statement_token1] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1047),
    [aux_sym_return_statement_token1] = ACTIONS(1047),
    [aux_sym_throw_expression_token1] = ACTIONS(1047),
    [aux_sym_while_statement_token1] = ACTIONS(1047),
    [aux_sym_while_statement_token2] = ACTIONS(1047),
    [aux_sym_do_statement_token1] = ACTIONS(1047),
    [aux_sym_for_statement_token1] = ACTIONS(1047),
    [aux_sym_for_statement_token2] = ACTIONS(1047),
    [aux_sym_foreach_statement_token1] = ACTIONS(1047),
    [aux_sym_foreach_statement_token2] = ACTIONS(1047),
    [aux_sym_if_statement_token1] = ACTIONS(1047),
    [aux_sym_if_statement_token2] = ACTIONS(1047),
    [aux_sym_else_if_clause_token1] = ACTIONS(1047),
    [aux_sym_else_clause_token1] = ACTIONS(1047),
    [aux_sym_match_expression_token1] = ACTIONS(1047),
    [aux_sym_match_default_expression_token1] = ACTIONS(1047),
    [aux_sym_switch_statement_token1] = ACTIONS(1047),
    [aux_sym_switch_block_token1] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1045),
    [anon_sym_BANG] = ACTIONS(1045),
    [anon_sym_AT] = ACTIONS(1045),
    [aux_sym_clone_expression_token1] = ACTIONS(1047),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1047),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1047),
    [anon_sym_DASH_DASH] = ACTIONS(1045),
    [anon_sym_PLUS_PLUS] = ACTIONS(1045),
    [aux_sym__list_destructing_token1] = ACTIONS(1047),
    [anon_sym_LBRACK] = ACTIONS(1045),
    [anon_sym_self] = ACTIONS(1047),
    [anon_sym_parent] = ACTIONS(1047),
    [aux_sym__argument_name_token1] = ACTIONS(1047),
    [aux_sym__argument_name_token2] = ACTIONS(1047),
    [anon_sym_POUND_LBRACK] = ACTIONS(1045),
    [aux_sym_encapsed_string_token1] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [aux_sym_string_token1] = ACTIONS(1045),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_LT_LT_LT] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1045),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [aux_sym_yield_expression_token1] = ACTIONS(1047),
    [aux_sym_include_expression_token1] = ACTIONS(1047),
    [aux_sym_include_once_expression_token1] = ACTIONS(1047),
    [aux_sym_require_expression_token1] = ACTIONS(1047),
    [aux_sym_require_once_expression_token1] = ACTIONS(1047),
    [sym_comment] = ACTIONS(5),
  },
  [453] = {
    [sym_text_interpolation] = STATE(453),
    [ts_builtin_sym_end] = ACTIONS(1049),
    [sym_name] = ACTIONS(1051),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1049),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1051),
    [aux_sym_global_declaration_token1] = ACTIONS(1051),
    [aux_sym_namespace_definition_token1] = ACTIONS(1051),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1051),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1051),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1049),
    [anon_sym_LBRACE] = ACTIONS(1049),
    [anon_sym_RBRACE] = ACTIONS(1049),
    [aux_sym_trait_declaration_token1] = ACTIONS(1051),
    [aux_sym_interface_declaration_token1] = ACTIONS(1051),
    [aux_sym_enum_declaration_token1] = ACTIONS(1051),
    [aux_sym_enum_case_token1] = ACTIONS(1051),
    [aux_sym_class_declaration_token1] = ACTIONS(1051),
    [aux_sym_final_modifier_token1] = ACTIONS(1051),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1051),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1051),
    [sym_var_modifier] = ACTIONS(1051),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1051),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1051),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1051),
    [anon_sym_LPAREN2] = ACTIONS(1049),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1051),
    [aux_sym_cast_type_token1] = ACTIONS(1051),
    [aux_sym_echo_statement_token1] = ACTIONS(1051),
    [aux_sym_exit_statement_token1] = ACTIONS(1051),
    [anon_sym_unset] = ACTIONS(1051),
    [aux_sym_declare_statement_token1] = ACTIONS(1051),
    [aux_sym_declare_statement_token2] = ACTIONS(1051),
    [sym_float] = ACTIONS(1051),
    [aux_sym_try_statement_token1] = ACTIONS(1051),
    [aux_sym_catch_clause_token1] = ACTIONS(1051),
    [aux_sym_finally_clause_token1] = ACTIONS(1051),
    [aux_sym_goto_statement_token1] = ACTIONS(1051),
    [aux_sym_continue_statement_token1] = ACTIONS(1051),
    [aux_sym_break_statement_token1] = ACTIONS(1051),
    [sym_integer] = ACTIONS(1051),
    [aux_sym_return_statement_token1] = ACTIONS(1051),
    [aux_sym_throw_expression_token1] = ACTIONS(1051),
    [aux_sym_while_statement_token1] = ACTIONS(1051),
    [aux_sym_while_statement_token2] = ACTIONS(1051),
    [aux_sym_do_statement_token1] = ACTIONS(1051),
    [aux_sym_for_statement_token1] = ACTIONS(1051),
    [aux_sym_for_statement_token2] = ACTIONS(1051),
    [aux_sym_foreach_statement_token1] = ACTIONS(1051),
    [aux_sym_foreach_statement_token2] = ACTIONS(1051),
    [aux_sym_if_statement_token1] = ACTIONS(1051),
    [aux_sym_if_statement_token2] = ACTIONS(1051),
    [aux_sym_else_if_clause_token1] = ACTIONS(1051),
    [aux_sym_else_clause_token1] = ACTIONS(1051),
    [aux_sym_match_expression_token1] = ACTIONS(1051),
    [aux_sym_match_default_expression_token1] = ACTIONS(1051),
    [aux_sym_switch_statement_token1] = ACTIONS(1051),
    [aux_sym_switch_block_token1] = ACTIONS(1051),
    [anon_sym_PLUS] = ACTIONS(1051),
    [anon_sym_DASH] = ACTIONS(1051),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_AT] = ACTIONS(1049),
    [aux_sym_clone_expression_token1] = ACTIONS(1051),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1051),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1049),
    [aux_sym__list_destructing_token1] = ACTIONS(1051),
    [anon_sym_LBRACK] = ACTIONS(1049),
    [anon_sym_self] = ACTIONS(1051),
    [anon_sym_parent] = ACTIONS(1051),
    [aux_sym__argument_name_token1] = ACTIONS(1051),
    [aux_sym__argument_name_token2] = ACTIONS(1051),
    [anon_sym_POUND_LBRACK] = ACTIONS(1049),
    [aux_sym_encapsed_string_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1049),
    [aux_sym_string_token1] = ACTIONS(1049),
    [anon_sym_SQUOTE] = ACTIONS(1049),
    [anon_sym_LT_LT_LT] = ACTIONS(1049),
    [anon_sym_BQUOTE] = ACTIONS(1049),
    [anon_sym_DOLLAR] = ACTIONS(1049),
    [aux_sym_yield_expression_token1] = ACTIONS(1051),
    [aux_sym_include_expression_token1] = ACTIONS(1051),
    [aux_sym_include_once_expression_token1] = ACTIONS(1051),
    [aux_sym_require_expression_token1] = ACTIONS(1051),
    [aux_sym_require_once_expression_token1] = ACTIONS(1051),
    [sym_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_text_interpolation] = STATE(454),
    [sym_else_if_clause] = STATE(541),
    [aux_sym_if_statement_repeat1] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(1053),
    [sym_name] = ACTIONS(1055),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1053),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1055),
    [aux_sym_global_declaration_token1] = ACTIONS(1055),
    [aux_sym_namespace_definition_token1] = ACTIONS(1055),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1055),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1055),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1055),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_LBRACE] = ACTIONS(1053),
    [anon_sym_RBRACE] = ACTIONS(1053),
    [aux_sym_trait_declaration_token1] = ACTIONS(1055),
    [aux_sym_interface_declaration_token1] = ACTIONS(1055),
    [aux_sym_enum_declaration_token1] = ACTIONS(1055),
    [aux_sym_enum_case_token1] = ACTIONS(1055),
    [aux_sym_class_declaration_token1] = ACTIONS(1055),
    [aux_sym_final_modifier_token1] = ACTIONS(1055),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1055),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1055),
    [sym_var_modifier] = ACTIONS(1055),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1055),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1055),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1055),
    [anon_sym_LPAREN2] = ACTIONS(1053),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1055),
    [aux_sym_cast_type_token1] = ACTIONS(1055),
    [aux_sym_echo_statement_token1] = ACTIONS(1055),
    [aux_sym_exit_statement_token1] = ACTIONS(1055),
    [anon_sym_unset] = ACTIONS(1055),
    [aux_sym_declare_statement_token1] = ACTIONS(1055),
    [aux_sym_declare_statement_token2] = ACTIONS(1055),
    [sym_float] = ACTIONS(1055),
    [aux_sym_try_statement_token1] = ACTIONS(1055),
    [aux_sym_goto_statement_token1] = ACTIONS(1055),
    [aux_sym_continue_statement_token1] = ACTIONS(1055),
    [aux_sym_break_statement_token1] = ACTIONS(1055),
    [sym_integer] = ACTIONS(1055),
    [aux_sym_return_statement_token1] = ACTIONS(1055),
    [aux_sym_throw_expression_token1] = ACTIONS(1055),
    [aux_sym_while_statement_token1] = ACTIONS(1055),
    [aux_sym_while_statement_token2] = ACTIONS(1055),
    [aux_sym_do_statement_token1] = ACTIONS(1055),
    [aux_sym_for_statement_token1] = ACTIONS(1055),
    [aux_sym_for_statement_token2] = ACTIONS(1055),
    [aux_sym_foreach_statement_token1] = ACTIONS(1055),
    [aux_sym_foreach_statement_token2] = ACTIONS(1055),
    [aux_sym_if_statement_token1] = ACTIONS(1055),
    [aux_sym_if_statement_token2] = ACTIONS(1055),
    [aux_sym_else_if_clause_token1] = ACTIONS(1057),
    [aux_sym_else_clause_token1] = ACTIONS(1055),
    [aux_sym_match_expression_token1] = ACTIONS(1055),
    [aux_sym_match_default_expression_token1] = ACTIONS(1055),
    [aux_sym_switch_statement_token1] = ACTIONS(1055),
    [aux_sym_switch_block_token1] = ACTIONS(1055),
    [anon_sym_PLUS] = ACTIONS(1055),
    [anon_sym_DASH] = ACTIONS(1055),
    [anon_sym_TILDE] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(1053),
    [anon_sym_AT] = ACTIONS(1053),
    [aux_sym_clone_expression_token1] = ACTIONS(1055),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1055),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1055),
    [anon_sym_DASH_DASH] = ACTIONS(1053),
    [anon_sym_PLUS_PLUS] = ACTIONS(1053),
    [aux_sym__list_destructing_token1] = ACTIONS(1055),
    [anon_sym_LBRACK] = ACTIONS(1053),
    [anon_sym_self] = ACTIONS(1055),
    [anon_sym_parent] = ACTIONS(1055),
    [aux_sym__argument_name_token1] = ACTIONS(1055),
    [aux_sym__argument_name_token2] = ACTIONS(1055),
    [anon_sym_POUND_LBRACK] = ACTIONS(1053),
    [aux_sym_encapsed_string_token1] = ACTIONS(1053),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [aux_sym_string_token1] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_LT_LT_LT] = ACTIONS(1053),
    [anon_sym_BQUOTE] = ACTIONS(1053),
    [anon_sym_DOLLAR] = ACTIONS(1053),
    [aux_sym_yield_expression_token1] = ACTIONS(1055),
    [aux_sym_include_expression_token1] = ACTIONS(1055),
    [aux_sym_include_once_expression_token1] = ACTIONS(1055),
    [aux_sym_require_expression_token1] = ACTIONS(1055),
    [aux_sym_require_once_expression_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_text_interpolation] = STATE(455),
    [ts_builtin_sym_end] = ACTIONS(1060),
    [sym_name] = ACTIONS(1062),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1060),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1062),
    [aux_sym_global_declaration_token1] = ACTIONS(1062),
    [aux_sym_namespace_definition_token1] = ACTIONS(1062),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1062),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1062),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1062),
    [anon_sym_BSLASH] = ACTIONS(1060),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym_RBRACE] = ACTIONS(1060),
    [aux_sym_trait_declaration_token1] = ACTIONS(1062),
    [aux_sym_interface_declaration_token1] = ACTIONS(1062),
    [aux_sym_enum_declaration_token1] = ACTIONS(1062),
    [aux_sym_enum_case_token1] = ACTIONS(1062),
    [aux_sym_class_declaration_token1] = ACTIONS(1062),
    [aux_sym_final_modifier_token1] = ACTIONS(1062),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1062),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1062),
    [sym_var_modifier] = ACTIONS(1062),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1062),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1062),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1062),
    [anon_sym_LPAREN2] = ACTIONS(1060),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1062),
    [aux_sym_cast_type_token1] = ACTIONS(1062),
    [aux_sym_echo_statement_token1] = ACTIONS(1062),
    [aux_sym_exit_statement_token1] = ACTIONS(1062),
    [anon_sym_unset] = ACTIONS(1062),
    [aux_sym_declare_statement_token1] = ACTIONS(1062),
    [aux_sym_declare_statement_token2] = ACTIONS(1062),
    [sym_float] = ACTIONS(1062),
    [aux_sym_try_statement_token1] = ACTIONS(1062),
    [aux_sym_goto_statement_token1] = ACTIONS(1062),
    [aux_sym_continue_statement_token1] = ACTIONS(1062),
    [aux_sym_break_statement_token1] = ACTIONS(1062),
    [sym_integer] = ACTIONS(1062),
    [aux_sym_return_statement_token1] = ACTIONS(1062),
    [aux_sym_throw_expression_token1] = ACTIONS(1062),
    [aux_sym_while_statement_token1] = ACTIONS(1062),
    [aux_sym_while_statement_token2] = ACTIONS(1062),
    [aux_sym_do_statement_token1] = ACTIONS(1062),
    [aux_sym_for_statement_token1] = ACTIONS(1062),
    [aux_sym_for_statement_token2] = ACTIONS(1062),
    [aux_sym_foreach_statement_token1] = ACTIONS(1062),
    [aux_sym_foreach_statement_token2] = ACTIONS(1062),
    [aux_sym_if_statement_token1] = ACTIONS(1062),
    [aux_sym_if_statement_token2] = ACTIONS(1062),
    [aux_sym_else_if_clause_token1] = ACTIONS(1062),
    [aux_sym_else_clause_token1] = ACTIONS(1062),
    [aux_sym_match_expression_token1] = ACTIONS(1062),
    [aux_sym_match_default_expression_token1] = ACTIONS(1062),
    [aux_sym_switch_statement_token1] = ACTIONS(1062),
    [aux_sym_switch_block_token1] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1062),
    [anon_sym_DASH] = ACTIONS(1062),
    [anon_sym_TILDE] = ACTIONS(1060),
    [anon_sym_BANG] = ACTIONS(1060),
    [anon_sym_AT] = ACTIONS(1060),
    [aux_sym_clone_expression_token1] = ACTIONS(1062),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1062),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1062),
    [anon_sym_DASH_DASH] = ACTIONS(1060),
    [anon_sym_PLUS_PLUS] = ACTIONS(1060),
    [aux_sym__list_destructing_token1] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(1060),
    [anon_sym_self] = ACTIONS(1062),
    [anon_sym_parent] = ACTIONS(1062),
    [aux_sym__argument_name_token1] = ACTIONS(1062),
    [aux_sym__argument_name_token2] = ACTIONS(1062),
    [anon_sym_POUND_LBRACK] = ACTIONS(1060),
    [aux_sym_encapsed_string_token1] = ACTIONS(1060),
    [anon_sym_DQUOTE] = ACTIONS(1060),
    [aux_sym_string_token1] = ACTIONS(1060),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [anon_sym_LT_LT_LT] = ACTIONS(1060),
    [anon_sym_BQUOTE] = ACTIONS(1060),
    [anon_sym_DOLLAR] = ACTIONS(1060),
    [aux_sym_yield_expression_token1] = ACTIONS(1062),
    [aux_sym_include_expression_token1] = ACTIONS(1062),
    [aux_sym_include_once_expression_token1] = ACTIONS(1062),
    [aux_sym_require_expression_token1] = ACTIONS(1062),
    [aux_sym_require_once_expression_token1] = ACTIONS(1062),
    [sym_comment] = ACTIONS(5),
  },
  [456] = {
    [sym_text_interpolation] = STATE(456),
    [ts_builtin_sym_end] = ACTIONS(1064),
    [sym_name] = ACTIONS(1066),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1064),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1066),
    [aux_sym_global_declaration_token1] = ACTIONS(1066),
    [aux_sym_namespace_definition_token1] = ACTIONS(1066),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1066),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1066),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1066),
    [anon_sym_BSLASH] = ACTIONS(1064),
    [anon_sym_LBRACE] = ACTIONS(1064),
    [anon_sym_RBRACE] = ACTIONS(1064),
    [aux_sym_trait_declaration_token1] = ACTIONS(1066),
    [aux_sym_interface_declaration_token1] = ACTIONS(1066),
    [aux_sym_enum_declaration_token1] = ACTIONS(1066),
    [aux_sym_enum_case_token1] = ACTIONS(1066),
    [aux_sym_class_declaration_token1] = ACTIONS(1066),
    [aux_sym_final_modifier_token1] = ACTIONS(1066),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1066),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1066),
    [sym_var_modifier] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1066),
    [anon_sym_LPAREN2] = ACTIONS(1064),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1066),
    [aux_sym_cast_type_token1] = ACTIONS(1066),
    [aux_sym_echo_statement_token1] = ACTIONS(1066),
    [aux_sym_exit_statement_token1] = ACTIONS(1066),
    [anon_sym_unset] = ACTIONS(1066),
    [aux_sym_declare_statement_token1] = ACTIONS(1066),
    [aux_sym_declare_statement_token2] = ACTIONS(1066),
    [sym_float] = ACTIONS(1066),
    [aux_sym_try_statement_token1] = ACTIONS(1066),
    [aux_sym_goto_statement_token1] = ACTIONS(1066),
    [aux_sym_continue_statement_token1] = ACTIONS(1066),
    [aux_sym_break_statement_token1] = ACTIONS(1066),
    [sym_integer] = ACTIONS(1066),
    [aux_sym_return_statement_token1] = ACTIONS(1066),
    [aux_sym_throw_expression_token1] = ACTIONS(1066),
    [aux_sym_while_statement_token1] = ACTIONS(1066),
    [aux_sym_while_statement_token2] = ACTIONS(1066),
    [aux_sym_do_statement_token1] = ACTIONS(1066),
    [aux_sym_for_statement_token1] = ACTIONS(1066),
    [aux_sym_for_statement_token2] = ACTIONS(1066),
    [aux_sym_foreach_statement_token1] = ACTIONS(1066),
    [aux_sym_foreach_statement_token2] = ACTIONS(1066),
    [aux_sym_if_statement_token1] = ACTIONS(1066),
    [aux_sym_if_statement_token2] = ACTIONS(1066),
    [aux_sym_else_if_clause_token1] = ACTIONS(1066),
    [aux_sym_else_clause_token1] = ACTIONS(1066),
    [aux_sym_match_expression_token1] = ACTIONS(1066),
    [aux_sym_match_default_expression_token1] = ACTIONS(1066),
    [aux_sym_switch_statement_token1] = ACTIONS(1066),
    [aux_sym_switch_block_token1] = ACTIONS(1066),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_AT] = ACTIONS(1064),
    [aux_sym_clone_expression_token1] = ACTIONS(1066),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1066),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1066),
    [anon_sym_DASH_DASH] = ACTIONS(1064),
    [anon_sym_PLUS_PLUS] = ACTIONS(1064),
    [aux_sym__list_destructing_token1] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(1064),
    [anon_sym_self] = ACTIONS(1066),
    [anon_sym_parent] = ACTIONS(1066),
    [aux_sym__argument_name_token1] = ACTIONS(1066),
    [aux_sym__argument_name_token2] = ACTIONS(1066),
    [anon_sym_POUND_LBRACK] = ACTIONS(1064),
    [aux_sym_encapsed_string_token1] = ACTIONS(1064),
    [anon_sym_DQUOTE] = ACTIONS(1064),
    [aux_sym_string_token1] = ACTIONS(1064),
    [anon_sym_SQUOTE] = ACTIONS(1064),
    [anon_sym_LT_LT_LT] = ACTIONS(1064),
    [anon_sym_BQUOTE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1064),
    [aux_sym_yield_expression_token1] = ACTIONS(1066),
    [aux_sym_include_expression_token1] = ACTIONS(1066),
    [aux_sym_include_once_expression_token1] = ACTIONS(1066),
    [aux_sym_require_expression_token1] = ACTIONS(1066),
    [aux_sym_require_once_expression_token1] = ACTIONS(1066),
    [sym_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_text_interpolation] = STATE(457),
    [ts_builtin_sym_end] = ACTIONS(1068),
    [sym_name] = ACTIONS(1070),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1068),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1070),
    [aux_sym_global_declaration_token1] = ACTIONS(1070),
    [aux_sym_namespace_definition_token1] = ACTIONS(1070),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1070),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1070),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1070),
    [anon_sym_BSLASH] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(1068),
    [anon_sym_RBRACE] = ACTIONS(1068),
    [aux_sym_trait_declaration_token1] = ACTIONS(1070),
    [aux_sym_interface_declaration_token1] = ACTIONS(1070),
    [aux_sym_enum_declaration_token1] = ACTIONS(1070),
    [aux_sym_enum_case_token1] = ACTIONS(1070),
    [aux_sym_class_declaration_token1] = ACTIONS(1070),
    [aux_sym_final_modifier_token1] = ACTIONS(1070),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1070),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1070),
    [sym_var_modifier] = ACTIONS(1070),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1070),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1070),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1070),
    [anon_sym_LPAREN2] = ACTIONS(1068),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1070),
    [aux_sym_cast_type_token1] = ACTIONS(1070),
    [aux_sym_echo_statement_token1] = ACTIONS(1070),
    [aux_sym_exit_statement_token1] = ACTIONS(1070),
    [anon_sym_unset] = ACTIONS(1070),
    [aux_sym_declare_statement_token1] = ACTIONS(1070),
    [aux_sym_declare_statement_token2] = ACTIONS(1070),
    [sym_float] = ACTIONS(1070),
    [aux_sym_try_statement_token1] = ACTIONS(1070),
    [aux_sym_goto_statement_token1] = ACTIONS(1070),
    [aux_sym_continue_statement_token1] = ACTIONS(1070),
    [aux_sym_break_statement_token1] = ACTIONS(1070),
    [sym_integer] = ACTIONS(1070),
    [aux_sym_return_statement_token1] = ACTIONS(1070),
    [aux_sym_throw_expression_token1] = ACTIONS(1070),
    [aux_sym_while_statement_token1] = ACTIONS(1070),
    [aux_sym_while_statement_token2] = ACTIONS(1070),
    [aux_sym_do_statement_token1] = ACTIONS(1070),
    [aux_sym_for_statement_token1] = ACTIONS(1070),
    [aux_sym_for_statement_token2] = ACTIONS(1070),
    [aux_sym_foreach_statement_token1] = ACTIONS(1070),
    [aux_sym_foreach_statement_token2] = ACTIONS(1070),
    [aux_sym_if_statement_token1] = ACTIONS(1070),
    [aux_sym_if_statement_token2] = ACTIONS(1070),
    [aux_sym_else_if_clause_token1] = ACTIONS(1070),
    [aux_sym_else_clause_token1] = ACTIONS(1070),
    [aux_sym_match_expression_token1] = ACTIONS(1070),
    [aux_sym_match_default_expression_token1] = ACTIONS(1070),
    [aux_sym_switch_statement_token1] = ACTIONS(1070),
    [aux_sym_switch_block_token1] = ACTIONS(1070),
    [anon_sym_PLUS] = ACTIONS(1070),
    [anon_sym_DASH] = ACTIONS(1070),
    [anon_sym_TILDE] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(1068),
    [anon_sym_AT] = ACTIONS(1068),
    [aux_sym_clone_expression_token1] = ACTIONS(1070),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1070),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1070),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [aux_sym__list_destructing_token1] = ACTIONS(1070),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_self] = ACTIONS(1070),
    [anon_sym_parent] = ACTIONS(1070),
    [aux_sym__argument_name_token1] = ACTIONS(1070),
    [aux_sym__argument_name_token2] = ACTIONS(1070),
    [anon_sym_POUND_LBRACK] = ACTIONS(1068),
    [aux_sym_encapsed_string_token1] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(1068),
    [aux_sym_string_token1] = ACTIONS(1068),
    [anon_sym_SQUOTE] = ACTIONS(1068),
    [anon_sym_LT_LT_LT] = ACTIONS(1068),
    [anon_sym_BQUOTE] = ACTIONS(1068),
    [anon_sym_DOLLAR] = ACTIONS(1068),
    [aux_sym_yield_expression_token1] = ACTIONS(1070),
    [aux_sym_include_expression_token1] = ACTIONS(1070),
    [aux_sym_include_once_expression_token1] = ACTIONS(1070),
    [aux_sym_require_expression_token1] = ACTIONS(1070),
    [aux_sym_require_once_expression_token1] = ACTIONS(1070),
    [sym_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_text_interpolation] = STATE(458),
    [ts_builtin_sym_end] = ACTIONS(1072),
    [sym_name] = ACTIONS(1074),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1072),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1074),
    [aux_sym_global_declaration_token1] = ACTIONS(1074),
    [aux_sym_namespace_definition_token1] = ACTIONS(1074),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1074),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1074),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1074),
    [anon_sym_BSLASH] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1072),
    [anon_sym_RBRACE] = ACTIONS(1072),
    [aux_sym_trait_declaration_token1] = ACTIONS(1074),
    [aux_sym_interface_declaration_token1] = ACTIONS(1074),
    [aux_sym_enum_declaration_token1] = ACTIONS(1074),
    [aux_sym_enum_case_token1] = ACTIONS(1074),
    [aux_sym_class_declaration_token1] = ACTIONS(1074),
    [aux_sym_final_modifier_token1] = ACTIONS(1074),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1074),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1074),
    [sym_var_modifier] = ACTIONS(1074),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1074),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1074),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1074),
    [anon_sym_LPAREN2] = ACTIONS(1072),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1074),
    [aux_sym_cast_type_token1] = ACTIONS(1074),
    [aux_sym_echo_statement_token1] = ACTIONS(1074),
    [aux_sym_exit_statement_token1] = ACTIONS(1074),
    [anon_sym_unset] = ACTIONS(1074),
    [aux_sym_declare_statement_token1] = ACTIONS(1074),
    [aux_sym_declare_statement_token2] = ACTIONS(1074),
    [sym_float] = ACTIONS(1074),
    [aux_sym_try_statement_token1] = ACTIONS(1074),
    [aux_sym_goto_statement_token1] = ACTIONS(1074),
    [aux_sym_continue_statement_token1] = ACTIONS(1074),
    [aux_sym_break_statement_token1] = ACTIONS(1074),
    [sym_integer] = ACTIONS(1074),
    [aux_sym_return_statement_token1] = ACTIONS(1074),
    [aux_sym_throw_expression_token1] = ACTIONS(1074),
    [aux_sym_while_statement_token1] = ACTIONS(1074),
    [aux_sym_while_statement_token2] = ACTIONS(1074),
    [aux_sym_do_statement_token1] = ACTIONS(1074),
    [aux_sym_for_statement_token1] = ACTIONS(1074),
    [aux_sym_for_statement_token2] = ACTIONS(1074),
    [aux_sym_foreach_statement_token1] = ACTIONS(1074),
    [aux_sym_foreach_statement_token2] = ACTIONS(1074),
    [aux_sym_if_statement_token1] = ACTIONS(1074),
    [aux_sym_if_statement_token2] = ACTIONS(1074),
    [aux_sym_else_if_clause_token1] = ACTIONS(1074),
    [aux_sym_else_clause_token1] = ACTIONS(1074),
    [aux_sym_match_expression_token1] = ACTIONS(1074),
    [aux_sym_match_default_expression_token1] = ACTIONS(1074),
    [aux_sym_switch_statement_token1] = ACTIONS(1074),
    [aux_sym_switch_block_token1] = ACTIONS(1074),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_TILDE] = ACTIONS(1072),
    [anon_sym_BANG] = ACTIONS(1072),
    [anon_sym_AT] = ACTIONS(1072),
    [aux_sym_clone_expression_token1] = ACTIONS(1074),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1074),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1074),
    [anon_sym_DASH_DASH] = ACTIONS(1072),
    [anon_sym_PLUS_PLUS] = ACTIONS(1072),
    [aux_sym__list_destructing_token1] = ACTIONS(1074),
    [anon_sym_LBRACK] = ACTIONS(1072),
    [anon_sym_self] = ACTIONS(1074),
    [anon_sym_parent] = ACTIONS(1074),
    [aux_sym__argument_name_token1] = ACTIONS(1074),
    [aux_sym__argument_name_token2] = ACTIONS(1074),
    [anon_sym_POUND_LBRACK] = ACTIONS(1072),
    [aux_sym_encapsed_string_token1] = ACTIONS(1072),
    [anon_sym_DQUOTE] = ACTIONS(1072),
    [aux_sym_string_token1] = ACTIONS(1072),
    [anon_sym_SQUOTE] = ACTIONS(1072),
    [anon_sym_LT_LT_LT] = ACTIONS(1072),
    [anon_sym_BQUOTE] = ACTIONS(1072),
    [anon_sym_DOLLAR] = ACTIONS(1072),
    [aux_sym_yield_expression_token1] = ACTIONS(1074),
    [aux_sym_include_expression_token1] = ACTIONS(1074),
    [aux_sym_include_once_expression_token1] = ACTIONS(1074),
    [aux_sym_require_expression_token1] = ACTIONS(1074),
    [aux_sym_require_once_expression_token1] = ACTIONS(1074),
    [sym_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_text_interpolation] = STATE(459),
    [ts_builtin_sym_end] = ACTIONS(1076),
    [sym_name] = ACTIONS(1078),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1076),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1078),
    [aux_sym_global_declaration_token1] = ACTIONS(1078),
    [aux_sym_namespace_definition_token1] = ACTIONS(1078),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1078),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1078),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1078),
    [anon_sym_BSLASH] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1076),
    [anon_sym_RBRACE] = ACTIONS(1076),
    [aux_sym_trait_declaration_token1] = ACTIONS(1078),
    [aux_sym_interface_declaration_token1] = ACTIONS(1078),
    [aux_sym_enum_declaration_token1] = ACTIONS(1078),
    [aux_sym_enum_case_token1] = ACTIONS(1078),
    [aux_sym_class_declaration_token1] = ACTIONS(1078),
    [aux_sym_final_modifier_token1] = ACTIONS(1078),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1078),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1078),
    [sym_var_modifier] = ACTIONS(1078),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1078),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1078),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1078),
    [anon_sym_LPAREN2] = ACTIONS(1076),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1078),
    [aux_sym_cast_type_token1] = ACTIONS(1078),
    [aux_sym_echo_statement_token1] = ACTIONS(1078),
    [aux_sym_exit_statement_token1] = ACTIONS(1078),
    [anon_sym_unset] = ACTIONS(1078),
    [aux_sym_declare_statement_token1] = ACTIONS(1078),
    [aux_sym_declare_statement_token2] = ACTIONS(1078),
    [sym_float] = ACTIONS(1078),
    [aux_sym_try_statement_token1] = ACTIONS(1078),
    [aux_sym_goto_statement_token1] = ACTIONS(1078),
    [aux_sym_continue_statement_token1] = ACTIONS(1078),
    [aux_sym_break_statement_token1] = ACTIONS(1078),
    [sym_integer] = ACTIONS(1078),
    [aux_sym_return_statement_token1] = ACTIONS(1078),
    [aux_sym_throw_expression_token1] = ACTIONS(1078),
    [aux_sym_while_statement_token1] = ACTIONS(1078),
    [aux_sym_while_statement_token2] = ACTIONS(1078),
    [aux_sym_do_statement_token1] = ACTIONS(1078),
    [aux_sym_for_statement_token1] = ACTIONS(1078),
    [aux_sym_for_statement_token2] = ACTIONS(1078),
    [aux_sym_foreach_statement_token1] = ACTIONS(1078),
    [aux_sym_foreach_statement_token2] = ACTIONS(1078),
    [aux_sym_if_statement_token1] = ACTIONS(1078),
    [aux_sym_if_statement_token2] = ACTIONS(1078),
    [aux_sym_else_if_clause_token1] = ACTIONS(1078),
    [aux_sym_else_clause_token1] = ACTIONS(1078),
    [aux_sym_match_expression_token1] = ACTIONS(1078),
    [aux_sym_match_default_expression_token1] = ACTIONS(1078),
    [aux_sym_switch_statement_token1] = ACTIONS(1078),
    [aux_sym_switch_block_token1] = ACTIONS(1078),
    [anon_sym_PLUS] = ACTIONS(1078),
    [anon_sym_DASH] = ACTIONS(1078),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_AT] = ACTIONS(1076),
    [aux_sym_clone_expression_token1] = ACTIONS(1078),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1078),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1078),
    [anon_sym_DASH_DASH] = ACTIONS(1076),
    [anon_sym_PLUS_PLUS] = ACTIONS(1076),
    [aux_sym__list_destructing_token1] = ACTIONS(1078),
    [anon_sym_LBRACK] = ACTIONS(1076),
    [anon_sym_self] = ACTIONS(1078),
    [anon_sym_parent] = ACTIONS(1078),
    [aux_sym__argument_name_token1] = ACTIONS(1078),
    [aux_sym__argument_name_token2] = ACTIONS(1078),
    [anon_sym_POUND_LBRACK] = ACTIONS(1076),
    [aux_sym_encapsed_string_token1] = ACTIONS(1076),
    [anon_sym_DQUOTE] = ACTIONS(1076),
    [aux_sym_string_token1] = ACTIONS(1076),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [anon_sym_LT_LT_LT] = ACTIONS(1076),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [anon_sym_DOLLAR] = ACTIONS(1076),
    [aux_sym_yield_expression_token1] = ACTIONS(1078),
    [aux_sym_include_expression_token1] = ACTIONS(1078),
    [aux_sym_include_once_expression_token1] = ACTIONS(1078),
    [aux_sym_require_expression_token1] = ACTIONS(1078),
    [aux_sym_require_once_expression_token1] = ACTIONS(1078),
    [sym_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_text_interpolation] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(1080),
    [sym_name] = ACTIONS(1082),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1080),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1082),
    [aux_sym_global_declaration_token1] = ACTIONS(1082),
    [aux_sym_namespace_definition_token1] = ACTIONS(1082),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1082),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1082),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1082),
    [anon_sym_BSLASH] = ACTIONS(1080),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_RBRACE] = ACTIONS(1080),
    [aux_sym_trait_declaration_token1] = ACTIONS(1082),
    [aux_sym_interface_declaration_token1] = ACTIONS(1082),
    [aux_sym_enum_declaration_token1] = ACTIONS(1082),
    [aux_sym_enum_case_token1] = ACTIONS(1082),
    [aux_sym_class_declaration_token1] = ACTIONS(1082),
    [aux_sym_final_modifier_token1] = ACTIONS(1082),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1082),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1082),
    [sym_var_modifier] = ACTIONS(1082),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1082),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1082),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1082),
    [anon_sym_LPAREN2] = ACTIONS(1080),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1082),
    [aux_sym_cast_type_token1] = ACTIONS(1082),
    [aux_sym_echo_statement_token1] = ACTIONS(1082),
    [aux_sym_exit_statement_token1] = ACTIONS(1082),
    [anon_sym_unset] = ACTIONS(1082),
    [aux_sym_declare_statement_token1] = ACTIONS(1082),
    [aux_sym_declare_statement_token2] = ACTIONS(1082),
    [sym_float] = ACTIONS(1082),
    [aux_sym_try_statement_token1] = ACTIONS(1082),
    [aux_sym_goto_statement_token1] = ACTIONS(1082),
    [aux_sym_continue_statement_token1] = ACTIONS(1082),
    [aux_sym_break_statement_token1] = ACTIONS(1082),
    [sym_integer] = ACTIONS(1082),
    [aux_sym_return_statement_token1] = ACTIONS(1082),
    [aux_sym_throw_expression_token1] = ACTIONS(1082),
    [aux_sym_while_statement_token1] = ACTIONS(1082),
    [aux_sym_while_statement_token2] = ACTIONS(1082),
    [aux_sym_do_statement_token1] = ACTIONS(1082),
    [aux_sym_for_statement_token1] = ACTIONS(1082),
    [aux_sym_for_statement_token2] = ACTIONS(1082),
    [aux_sym_foreach_statement_token1] = ACTIONS(1082),
    [aux_sym_foreach_statement_token2] = ACTIONS(1082),
    [aux_sym_if_statement_token1] = ACTIONS(1082),
    [aux_sym_if_statement_token2] = ACTIONS(1082),
    [aux_sym_else_if_clause_token1] = ACTIONS(1082),
    [aux_sym_else_clause_token1] = ACTIONS(1082),
    [aux_sym_match_expression_token1] = ACTIONS(1082),
    [aux_sym_match_default_expression_token1] = ACTIONS(1082),
    [aux_sym_switch_statement_token1] = ACTIONS(1082),
    [aux_sym_switch_block_token1] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1082),
    [anon_sym_DASH] = ACTIONS(1082),
    [anon_sym_TILDE] = ACTIONS(1080),
    [anon_sym_BANG] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(1080),
    [aux_sym_clone_expression_token1] = ACTIONS(1082),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1082),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1082),
    [anon_sym_DASH_DASH] = ACTIONS(1080),
    [anon_sym_PLUS_PLUS] = ACTIONS(1080),
    [aux_sym__list_destructing_token1] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1080),
    [anon_sym_self] = ACTIONS(1082),
    [anon_sym_parent] = ACTIONS(1082),
    [aux_sym__argument_name_token1] = ACTIONS(1082),
    [aux_sym__argument_name_token2] = ACTIONS(1082),
    [anon_sym_POUND_LBRACK] = ACTIONS(1080),
    [aux_sym_encapsed_string_token1] = ACTIONS(1080),
    [anon_sym_DQUOTE] = ACTIONS(1080),
    [aux_sym_string_token1] = ACTIONS(1080),
    [anon_sym_SQUOTE] = ACTIONS(1080),
    [anon_sym_LT_LT_LT] = ACTIONS(1080),
    [anon_sym_BQUOTE] = ACTIONS(1080),
    [anon_sym_DOLLAR] = ACTIONS(1080),
    [aux_sym_yield_expression_token1] = ACTIONS(1082),
    [aux_sym_include_expression_token1] = ACTIONS(1082),
    [aux_sym_include_once_expression_token1] = ACTIONS(1082),
    [aux_sym_require_expression_token1] = ACTIONS(1082),
    [aux_sym_require_once_expression_token1] = ACTIONS(1082),
    [sym_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_text_interpolation] = STATE(461),
    [ts_builtin_sym_end] = ACTIONS(1084),
    [sym_name] = ACTIONS(1086),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1084),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1086),
    [aux_sym_global_declaration_token1] = ACTIONS(1086),
    [aux_sym_namespace_definition_token1] = ACTIONS(1086),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1086),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1086),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1086),
    [anon_sym_BSLASH] = ACTIONS(1084),
    [anon_sym_LBRACE] = ACTIONS(1084),
    [anon_sym_RBRACE] = ACTIONS(1084),
    [aux_sym_trait_declaration_token1] = ACTIONS(1086),
    [aux_sym_interface_declaration_token1] = ACTIONS(1086),
    [aux_sym_enum_declaration_token1] = ACTIONS(1086),
    [aux_sym_enum_case_token1] = ACTIONS(1086),
    [aux_sym_class_declaration_token1] = ACTIONS(1086),
    [aux_sym_final_modifier_token1] = ACTIONS(1086),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1086),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1086),
    [sym_var_modifier] = ACTIONS(1086),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1086),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1086),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1086),
    [anon_sym_LPAREN2] = ACTIONS(1084),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1086),
    [aux_sym_cast_type_token1] = ACTIONS(1086),
    [aux_sym_echo_statement_token1] = ACTIONS(1086),
    [aux_sym_exit_statement_token1] = ACTIONS(1086),
    [anon_sym_unset] = ACTIONS(1086),
    [aux_sym_declare_statement_token1] = ACTIONS(1086),
    [aux_sym_declare_statement_token2] = ACTIONS(1086),
    [sym_float] = ACTIONS(1086),
    [aux_sym_try_statement_token1] = ACTIONS(1086),
    [aux_sym_goto_statement_token1] = ACTIONS(1086),
    [aux_sym_continue_statement_token1] = ACTIONS(1086),
    [aux_sym_break_statement_token1] = ACTIONS(1086),
    [sym_integer] = ACTIONS(1086),
    [aux_sym_return_statement_token1] = ACTIONS(1086),
    [aux_sym_throw_expression_token1] = ACTIONS(1086),
    [aux_sym_while_statement_token1] = ACTIONS(1086),
    [aux_sym_while_statement_token2] = ACTIONS(1086),
    [aux_sym_do_statement_token1] = ACTIONS(1086),
    [aux_sym_for_statement_token1] = ACTIONS(1086),
    [aux_sym_for_statement_token2] = ACTIONS(1086),
    [aux_sym_foreach_statement_token1] = ACTIONS(1086),
    [aux_sym_foreach_statement_token2] = ACTIONS(1086),
    [aux_sym_if_statement_token1] = ACTIONS(1086),
    [aux_sym_if_statement_token2] = ACTIONS(1086),
    [aux_sym_else_if_clause_token1] = ACTIONS(1086),
    [aux_sym_else_clause_token1] = ACTIONS(1086),
    [aux_sym_match_expression_token1] = ACTIONS(1086),
    [aux_sym_match_default_expression_token1] = ACTIONS(1086),
    [aux_sym_switch_statement_token1] = ACTIONS(1086),
    [aux_sym_switch_block_token1] = ACTIONS(1086),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_AT] = ACTIONS(1084),
    [aux_sym_clone_expression_token1] = ACTIONS(1086),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1086),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1086),
    [anon_sym_DASH_DASH] = ACTIONS(1084),
    [anon_sym_PLUS_PLUS] = ACTIONS(1084),
    [aux_sym__list_destructing_token1] = ACTIONS(1086),
    [anon_sym_LBRACK] = ACTIONS(1084),
    [anon_sym_self] = ACTIONS(1086),
    [anon_sym_parent] = ACTIONS(1086),
    [aux_sym__argument_name_token1] = ACTIONS(1086),
    [aux_sym__argument_name_token2] = ACTIONS(1086),
    [anon_sym_POUND_LBRACK] = ACTIONS(1084),
    [aux_sym_encapsed_string_token1] = ACTIONS(1084),
    [anon_sym_DQUOTE] = ACTIONS(1084),
    [aux_sym_string_token1] = ACTIONS(1084),
    [anon_sym_SQUOTE] = ACTIONS(1084),
    [anon_sym_LT_LT_LT] = ACTIONS(1084),
    [anon_sym_BQUOTE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1084),
    [aux_sym_yield_expression_token1] = ACTIONS(1086),
    [aux_sym_include_expression_token1] = ACTIONS(1086),
    [aux_sym_include_once_expression_token1] = ACTIONS(1086),
    [aux_sym_require_expression_token1] = ACTIONS(1086),
    [aux_sym_require_once_expression_token1] = ACTIONS(1086),
    [sym_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_text_interpolation] = STATE(462),
    [ts_builtin_sym_end] = ACTIONS(1088),
    [sym_name] = ACTIONS(1090),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1088),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1090),
    [aux_sym_global_declaration_token1] = ACTIONS(1090),
    [aux_sym_namespace_definition_token1] = ACTIONS(1090),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1090),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1090),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1090),
    [anon_sym_BSLASH] = ACTIONS(1088),
    [anon_sym_LBRACE] = ACTIONS(1088),
    [anon_sym_RBRACE] = ACTIONS(1088),
    [aux_sym_trait_declaration_token1] = ACTIONS(1090),
    [aux_sym_interface_declaration_token1] = ACTIONS(1090),
    [aux_sym_enum_declaration_token1] = ACTIONS(1090),
    [aux_sym_enum_case_token1] = ACTIONS(1090),
    [aux_sym_class_declaration_token1] = ACTIONS(1090),
    [aux_sym_final_modifier_token1] = ACTIONS(1090),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1090),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1090),
    [sym_var_modifier] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1090),
    [anon_sym_LPAREN2] = ACTIONS(1088),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1090),
    [aux_sym_cast_type_token1] = ACTIONS(1090),
    [aux_sym_echo_statement_token1] = ACTIONS(1090),
    [aux_sym_exit_statement_token1] = ACTIONS(1090),
    [anon_sym_unset] = ACTIONS(1090),
    [aux_sym_declare_statement_token1] = ACTIONS(1090),
    [aux_sym_declare_statement_token2] = ACTIONS(1090),
    [sym_float] = ACTIONS(1090),
    [aux_sym_try_statement_token1] = ACTIONS(1090),
    [aux_sym_goto_statement_token1] = ACTIONS(1090),
    [aux_sym_continue_statement_token1] = ACTIONS(1090),
    [aux_sym_break_statement_token1] = ACTIONS(1090),
    [sym_integer] = ACTIONS(1090),
    [aux_sym_return_statement_token1] = ACTIONS(1090),
    [aux_sym_throw_expression_token1] = ACTIONS(1090),
    [aux_sym_while_statement_token1] = ACTIONS(1090),
    [aux_sym_while_statement_token2] = ACTIONS(1090),
    [aux_sym_do_statement_token1] = ACTIONS(1090),
    [aux_sym_for_statement_token1] = ACTIONS(1090),
    [aux_sym_for_statement_token2] = ACTIONS(1090),
    [aux_sym_foreach_statement_token1] = ACTIONS(1090),
    [aux_sym_foreach_statement_token2] = ACTIONS(1090),
    [aux_sym_if_statement_token1] = ACTIONS(1090),
    [aux_sym_if_statement_token2] = ACTIONS(1090),
    [aux_sym_else_if_clause_token1] = ACTIONS(1090),
    [aux_sym_else_clause_token1] = ACTIONS(1090),
    [aux_sym_match_expression_token1] = ACTIONS(1090),
    [aux_sym_match_default_expression_token1] = ACTIONS(1090),
    [aux_sym_switch_statement_token1] = ACTIONS(1090),
    [aux_sym_switch_block_token1] = ACTIONS(1090),
    [anon_sym_PLUS] = ACTIONS(1090),
    [anon_sym_DASH] = ACTIONS(1090),
    [anon_sym_TILDE] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_AT] = ACTIONS(1088),
    [aux_sym_clone_expression_token1] = ACTIONS(1090),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1090),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1088),
    [anon_sym_PLUS_PLUS] = ACTIONS(1088),
    [aux_sym__list_destructing_token1] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1088),
    [anon_sym_self] = ACTIONS(1090),
    [anon_sym_parent] = ACTIONS(1090),
    [aux_sym__argument_name_token1] = ACTIONS(1090),
    [aux_sym__argument_name_token2] = ACTIONS(1090),
    [anon_sym_POUND_LBRACK] = ACTIONS(1088),
    [aux_sym_encapsed_string_token1] = ACTIONS(1088),
    [anon_sym_DQUOTE] = ACTIONS(1088),
    [aux_sym_string_token1] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym_LT_LT_LT] = ACTIONS(1088),
    [anon_sym_BQUOTE] = ACTIONS(1088),
    [anon_sym_DOLLAR] = ACTIONS(1088),
    [aux_sym_yield_expression_token1] = ACTIONS(1090),
    [aux_sym_include_expression_token1] = ACTIONS(1090),
    [aux_sym_include_once_expression_token1] = ACTIONS(1090),
    [aux_sym_require_expression_token1] = ACTIONS(1090),
    [aux_sym_require_once_expression_token1] = ACTIONS(1090),
    [sym_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_text_interpolation] = STATE(463),
    [ts_builtin_sym_end] = ACTIONS(1092),
    [sym_name] = ACTIONS(1094),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1092),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1094),
    [aux_sym_global_declaration_token1] = ACTIONS(1094),
    [aux_sym_namespace_definition_token1] = ACTIONS(1094),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1094),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1094),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1094),
    [anon_sym_BSLASH] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1092),
    [anon_sym_RBRACE] = ACTIONS(1092),
    [aux_sym_trait_declaration_token1] = ACTIONS(1094),
    [aux_sym_interface_declaration_token1] = ACTIONS(1094),
    [aux_sym_enum_declaration_token1] = ACTIONS(1094),
    [aux_sym_enum_case_token1] = ACTIONS(1094),
    [aux_sym_class_declaration_token1] = ACTIONS(1094),
    [aux_sym_final_modifier_token1] = ACTIONS(1094),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1094),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1094),
    [sym_var_modifier] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1094),
    [anon_sym_LPAREN2] = ACTIONS(1092),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1094),
    [aux_sym_cast_type_token1] = ACTIONS(1094),
    [aux_sym_echo_statement_token1] = ACTIONS(1094),
    [aux_sym_exit_statement_token1] = ACTIONS(1094),
    [anon_sym_unset] = ACTIONS(1094),
    [aux_sym_declare_statement_token1] = ACTIONS(1094),
    [aux_sym_declare_statement_token2] = ACTIONS(1094),
    [sym_float] = ACTIONS(1094),
    [aux_sym_try_statement_token1] = ACTIONS(1094),
    [aux_sym_goto_statement_token1] = ACTIONS(1094),
    [aux_sym_continue_statement_token1] = ACTIONS(1094),
    [aux_sym_break_statement_token1] = ACTIONS(1094),
    [sym_integer] = ACTIONS(1094),
    [aux_sym_return_statement_token1] = ACTIONS(1094),
    [aux_sym_throw_expression_token1] = ACTIONS(1094),
    [aux_sym_while_statement_token1] = ACTIONS(1094),
    [aux_sym_while_statement_token2] = ACTIONS(1094),
    [aux_sym_do_statement_token1] = ACTIONS(1094),
    [aux_sym_for_statement_token1] = ACTIONS(1094),
    [aux_sym_for_statement_token2] = ACTIONS(1094),
    [aux_sym_foreach_statement_token1] = ACTIONS(1094),
    [aux_sym_foreach_statement_token2] = ACTIONS(1094),
    [aux_sym_if_statement_token1] = ACTIONS(1094),
    [aux_sym_if_statement_token2] = ACTIONS(1094),
    [aux_sym_else_if_clause_token1] = ACTIONS(1094),
    [aux_sym_else_clause_token1] = ACTIONS(1094),
    [aux_sym_match_expression_token1] = ACTIONS(1094),
    [aux_sym_match_default_expression_token1] = ACTIONS(1094),
    [aux_sym_switch_statement_token1] = ACTIONS(1094),
    [aux_sym_switch_block_token1] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_TILDE] = ACTIONS(1092),
    [anon_sym_BANG] = ACTIONS(1092),
    [anon_sym_AT] = ACTIONS(1092),
    [aux_sym_clone_expression_token1] = ACTIONS(1094),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1094),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1092),
    [aux_sym__list_destructing_token1] = ACTIONS(1094),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_self] = ACTIONS(1094),
    [anon_sym_parent] = ACTIONS(1094),
    [aux_sym__argument_name_token1] = ACTIONS(1094),
    [aux_sym__argument_name_token2] = ACTIONS(1094),
    [anon_sym_POUND_LBRACK] = ACTIONS(1092),
    [aux_sym_encapsed_string_token1] = ACTIONS(1092),
    [anon_sym_DQUOTE] = ACTIONS(1092),
    [aux_sym_string_token1] = ACTIONS(1092),
    [anon_sym_SQUOTE] = ACTIONS(1092),
    [anon_sym_LT_LT_LT] = ACTIONS(1092),
    [anon_sym_BQUOTE] = ACTIONS(1092),
    [anon_sym_DOLLAR] = ACTIONS(1092),
    [aux_sym_yield_expression_token1] = ACTIONS(1094),
    [aux_sym_include_expression_token1] = ACTIONS(1094),
    [aux_sym_include_once_expression_token1] = ACTIONS(1094),
    [aux_sym_require_expression_token1] = ACTIONS(1094),
    [aux_sym_require_once_expression_token1] = ACTIONS(1094),
    [sym_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_text_interpolation] = STATE(464),
    [ts_builtin_sym_end] = ACTIONS(1096),
    [sym_name] = ACTIONS(1098),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1096),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1098),
    [aux_sym_global_declaration_token1] = ACTIONS(1098),
    [aux_sym_namespace_definition_token1] = ACTIONS(1098),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1098),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1098),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1098),
    [anon_sym_BSLASH] = ACTIONS(1096),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym_RBRACE] = ACTIONS(1096),
    [aux_sym_trait_declaration_token1] = ACTIONS(1098),
    [aux_sym_interface_declaration_token1] = ACTIONS(1098),
    [aux_sym_enum_declaration_token1] = ACTIONS(1098),
    [aux_sym_enum_case_token1] = ACTIONS(1098),
    [aux_sym_class_declaration_token1] = ACTIONS(1098),
    [aux_sym_final_modifier_token1] = ACTIONS(1098),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1098),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1098),
    [sym_var_modifier] = ACTIONS(1098),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1098),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1098),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1098),
    [anon_sym_LPAREN2] = ACTIONS(1096),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1098),
    [aux_sym_cast_type_token1] = ACTIONS(1098),
    [aux_sym_echo_statement_token1] = ACTIONS(1098),
    [aux_sym_exit_statement_token1] = ACTIONS(1098),
    [anon_sym_unset] = ACTIONS(1098),
    [aux_sym_declare_statement_token1] = ACTIONS(1098),
    [aux_sym_declare_statement_token2] = ACTIONS(1098),
    [sym_float] = ACTIONS(1098),
    [aux_sym_try_statement_token1] = ACTIONS(1098),
    [aux_sym_goto_statement_token1] = ACTIONS(1098),
    [aux_sym_continue_statement_token1] = ACTIONS(1098),
    [aux_sym_break_statement_token1] = ACTIONS(1098),
    [sym_integer] = ACTIONS(1098),
    [aux_sym_return_statement_token1] = ACTIONS(1098),
    [aux_sym_throw_expression_token1] = ACTIONS(1098),
    [aux_sym_while_statement_token1] = ACTIONS(1098),
    [aux_sym_while_statement_token2] = ACTIONS(1098),
    [aux_sym_do_statement_token1] = ACTIONS(1098),
    [aux_sym_for_statement_token1] = ACTIONS(1098),
    [aux_sym_for_statement_token2] = ACTIONS(1098),
    [aux_sym_foreach_statement_token1] = ACTIONS(1098),
    [aux_sym_foreach_statement_token2] = ACTIONS(1098),
    [aux_sym_if_statement_token1] = ACTIONS(1098),
    [aux_sym_if_statement_token2] = ACTIONS(1098),
    [aux_sym_else_if_clause_token1] = ACTIONS(1098),
    [aux_sym_else_clause_token1] = ACTIONS(1098),
    [aux_sym_match_expression_token1] = ACTIONS(1098),
    [aux_sym_match_default_expression_token1] = ACTIONS(1098),
    [aux_sym_switch_statement_token1] = ACTIONS(1098),
    [aux_sym_switch_block_token1] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1098),
    [anon_sym_DASH] = ACTIONS(1098),
    [anon_sym_TILDE] = ACTIONS(1096),
    [anon_sym_BANG] = ACTIONS(1096),
    [anon_sym_AT] = ACTIONS(1096),
    [aux_sym_clone_expression_token1] = ACTIONS(1098),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1098),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1098),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [aux_sym__list_destructing_token1] = ACTIONS(1098),
    [anon_sym_LBRACK] = ACTIONS(1096),
    [anon_sym_self] = ACTIONS(1098),
    [anon_sym_parent] = ACTIONS(1098),
    [aux_sym__argument_name_token1] = ACTIONS(1098),
    [aux_sym__argument_name_token2] = ACTIONS(1098),
    [anon_sym_POUND_LBRACK] = ACTIONS(1096),
    [aux_sym_encapsed_string_token1] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(1096),
    [aux_sym_string_token1] = ACTIONS(1096),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [anon_sym_LT_LT_LT] = ACTIONS(1096),
    [anon_sym_BQUOTE] = ACTIONS(1096),
    [anon_sym_DOLLAR] = ACTIONS(1096),
    [aux_sym_yield_expression_token1] = ACTIONS(1098),
    [aux_sym_include_expression_token1] = ACTIONS(1098),
    [aux_sym_include_once_expression_token1] = ACTIONS(1098),
    [aux_sym_require_expression_token1] = ACTIONS(1098),
    [aux_sym_require_once_expression_token1] = ACTIONS(1098),
    [sym_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_text_interpolation] = STATE(465),
    [ts_builtin_sym_end] = ACTIONS(1100),
    [sym_name] = ACTIONS(1102),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1100),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1102),
    [aux_sym_global_declaration_token1] = ACTIONS(1102),
    [aux_sym_namespace_definition_token1] = ACTIONS(1102),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1102),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1102),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1102),
    [anon_sym_BSLASH] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1100),
    [anon_sym_RBRACE] = ACTIONS(1100),
    [aux_sym_trait_declaration_token1] = ACTIONS(1102),
    [aux_sym_interface_declaration_token1] = ACTIONS(1102),
    [aux_sym_enum_declaration_token1] = ACTIONS(1102),
    [aux_sym_enum_case_token1] = ACTIONS(1102),
    [aux_sym_class_declaration_token1] = ACTIONS(1102),
    [aux_sym_final_modifier_token1] = ACTIONS(1102),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1102),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1102),
    [sym_var_modifier] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1102),
    [anon_sym_LPAREN2] = ACTIONS(1100),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1102),
    [aux_sym_cast_type_token1] = ACTIONS(1102),
    [aux_sym_echo_statement_token1] = ACTIONS(1102),
    [aux_sym_exit_statement_token1] = ACTIONS(1102),
    [anon_sym_unset] = ACTIONS(1102),
    [aux_sym_declare_statement_token1] = ACTIONS(1102),
    [aux_sym_declare_statement_token2] = ACTIONS(1102),
    [sym_float] = ACTIONS(1102),
    [aux_sym_try_statement_token1] = ACTIONS(1102),
    [aux_sym_goto_statement_token1] = ACTIONS(1102),
    [aux_sym_continue_statement_token1] = ACTIONS(1102),
    [aux_sym_break_statement_token1] = ACTIONS(1102),
    [sym_integer] = ACTIONS(1102),
    [aux_sym_return_statement_token1] = ACTIONS(1102),
    [aux_sym_throw_expression_token1] = ACTIONS(1102),
    [aux_sym_while_statement_token1] = ACTIONS(1102),
    [aux_sym_while_statement_token2] = ACTIONS(1102),
    [aux_sym_do_statement_token1] = ACTIONS(1102),
    [aux_sym_for_statement_token1] = ACTIONS(1102),
    [aux_sym_for_statement_token2] = ACTIONS(1102),
    [aux_sym_foreach_statement_token1] = ACTIONS(1102),
    [aux_sym_foreach_statement_token2] = ACTIONS(1102),
    [aux_sym_if_statement_token1] = ACTIONS(1102),
    [aux_sym_if_statement_token2] = ACTIONS(1102),
    [aux_sym_else_if_clause_token1] = ACTIONS(1102),
    [aux_sym_else_clause_token1] = ACTIONS(1102),
    [aux_sym_match_expression_token1] = ACTIONS(1102),
    [aux_sym_match_default_expression_token1] = ACTIONS(1102),
    [aux_sym_switch_statement_token1] = ACTIONS(1102),
    [aux_sym_switch_block_token1] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_AT] = ACTIONS(1100),
    [aux_sym_clone_expression_token1] = ACTIONS(1102),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1102),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1102),
    [anon_sym_DASH_DASH] = ACTIONS(1100),
    [anon_sym_PLUS_PLUS] = ACTIONS(1100),
    [aux_sym__list_destructing_token1] = ACTIONS(1102),
    [anon_sym_LBRACK] = ACTIONS(1100),
    [anon_sym_self] = ACTIONS(1102),
    [anon_sym_parent] = ACTIONS(1102),
    [aux_sym__argument_name_token1] = ACTIONS(1102),
    [aux_sym__argument_name_token2] = ACTIONS(1102),
    [anon_sym_POUND_LBRACK] = ACTIONS(1100),
    [aux_sym_encapsed_string_token1] = ACTIONS(1100),
    [anon_sym_DQUOTE] = ACTIONS(1100),
    [aux_sym_string_token1] = ACTIONS(1100),
    [anon_sym_SQUOTE] = ACTIONS(1100),
    [anon_sym_LT_LT_LT] = ACTIONS(1100),
    [anon_sym_BQUOTE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1100),
    [aux_sym_yield_expression_token1] = ACTIONS(1102),
    [aux_sym_include_expression_token1] = ACTIONS(1102),
    [aux_sym_include_once_expression_token1] = ACTIONS(1102),
    [aux_sym_require_expression_token1] = ACTIONS(1102),
    [aux_sym_require_once_expression_token1] = ACTIONS(1102),
    [sym_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_text_interpolation] = STATE(466),
    [ts_builtin_sym_end] = ACTIONS(1104),
    [sym_name] = ACTIONS(1106),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1104),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1106),
    [aux_sym_global_declaration_token1] = ACTIONS(1106),
    [aux_sym_namespace_definition_token1] = ACTIONS(1106),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1106),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1106),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1106),
    [anon_sym_BSLASH] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_RBRACE] = ACTIONS(1104),
    [aux_sym_trait_declaration_token1] = ACTIONS(1106),
    [aux_sym_interface_declaration_token1] = ACTIONS(1106),
    [aux_sym_enum_declaration_token1] = ACTIONS(1106),
    [aux_sym_enum_case_token1] = ACTIONS(1106),
    [aux_sym_class_declaration_token1] = ACTIONS(1106),
    [aux_sym_final_modifier_token1] = ACTIONS(1106),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1106),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1106),
    [sym_var_modifier] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1106),
    [anon_sym_LPAREN2] = ACTIONS(1104),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1106),
    [aux_sym_cast_type_token1] = ACTIONS(1106),
    [aux_sym_echo_statement_token1] = ACTIONS(1106),
    [aux_sym_exit_statement_token1] = ACTIONS(1106),
    [anon_sym_unset] = ACTIONS(1106),
    [aux_sym_declare_statement_token1] = ACTIONS(1106),
    [aux_sym_declare_statement_token2] = ACTIONS(1106),
    [sym_float] = ACTIONS(1106),
    [aux_sym_try_statement_token1] = ACTIONS(1106),
    [aux_sym_goto_statement_token1] = ACTIONS(1106),
    [aux_sym_continue_statement_token1] = ACTIONS(1106),
    [aux_sym_break_statement_token1] = ACTIONS(1106),
    [sym_integer] = ACTIONS(1106),
    [aux_sym_return_statement_token1] = ACTIONS(1106),
    [aux_sym_throw_expression_token1] = ACTIONS(1106),
    [aux_sym_while_statement_token1] = ACTIONS(1106),
    [aux_sym_while_statement_token2] = ACTIONS(1106),
    [aux_sym_do_statement_token1] = ACTIONS(1106),
    [aux_sym_for_statement_token1] = ACTIONS(1106),
    [aux_sym_for_statement_token2] = ACTIONS(1106),
    [aux_sym_foreach_statement_token1] = ACTIONS(1106),
    [aux_sym_foreach_statement_token2] = ACTIONS(1106),
    [aux_sym_if_statement_token1] = ACTIONS(1106),
    [aux_sym_if_statement_token2] = ACTIONS(1106),
    [aux_sym_else_if_clause_token1] = ACTIONS(1106),
    [aux_sym_else_clause_token1] = ACTIONS(1106),
    [aux_sym_match_expression_token1] = ACTIONS(1106),
    [aux_sym_match_default_expression_token1] = ACTIONS(1106),
    [aux_sym_switch_statement_token1] = ACTIONS(1106),
    [aux_sym_switch_block_token1] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1106),
    [anon_sym_DASH] = ACTIONS(1106),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [aux_sym_clone_expression_token1] = ACTIONS(1106),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1106),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1104),
    [anon_sym_PLUS_PLUS] = ACTIONS(1104),
    [aux_sym__list_destructing_token1] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(1104),
    [anon_sym_self] = ACTIONS(1106),
    [anon_sym_parent] = ACTIONS(1106),
    [aux_sym__argument_name_token1] = ACTIONS(1106),
    [aux_sym__argument_name_token2] = ACTIONS(1106),
    [anon_sym_POUND_LBRACK] = ACTIONS(1104),
    [aux_sym_encapsed_string_token1] = ACTIONS(1104),
    [anon_sym_DQUOTE] = ACTIONS(1104),
    [aux_sym_string_token1] = ACTIONS(1104),
    [anon_sym_SQUOTE] = ACTIONS(1104),
    [anon_sym_LT_LT_LT] = ACTIONS(1104),
    [anon_sym_BQUOTE] = ACTIONS(1104),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [aux_sym_yield_expression_token1] = ACTIONS(1106),
    [aux_sym_include_expression_token1] = ACTIONS(1106),
    [aux_sym_include_once_expression_token1] = ACTIONS(1106),
    [aux_sym_require_expression_token1] = ACTIONS(1106),
    [aux_sym_require_once_expression_token1] = ACTIONS(1106),
    [sym_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_text_interpolation] = STATE(467),
    [ts_builtin_sym_end] = ACTIONS(1108),
    [sym_name] = ACTIONS(1110),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1108),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1110),
    [aux_sym_global_declaration_token1] = ACTIONS(1110),
    [aux_sym_namespace_definition_token1] = ACTIONS(1110),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1110),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1110),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1110),
    [anon_sym_BSLASH] = ACTIONS(1108),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_RBRACE] = ACTIONS(1108),
    [aux_sym_trait_declaration_token1] = ACTIONS(1110),
    [aux_sym_interface_declaration_token1] = ACTIONS(1110),
    [aux_sym_enum_declaration_token1] = ACTIONS(1110),
    [aux_sym_enum_case_token1] = ACTIONS(1110),
    [aux_sym_class_declaration_token1] = ACTIONS(1110),
    [aux_sym_final_modifier_token1] = ACTIONS(1110),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1110),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1110),
    [sym_var_modifier] = ACTIONS(1110),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1110),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1110),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1110),
    [anon_sym_LPAREN2] = ACTIONS(1108),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1110),
    [aux_sym_cast_type_token1] = ACTIONS(1110),
    [aux_sym_echo_statement_token1] = ACTIONS(1110),
    [aux_sym_exit_statement_token1] = ACTIONS(1110),
    [anon_sym_unset] = ACTIONS(1110),
    [aux_sym_declare_statement_token1] = ACTIONS(1110),
    [aux_sym_declare_statement_token2] = ACTIONS(1110),
    [sym_float] = ACTIONS(1110),
    [aux_sym_try_statement_token1] = ACTIONS(1110),
    [aux_sym_goto_statement_token1] = ACTIONS(1110),
    [aux_sym_continue_statement_token1] = ACTIONS(1110),
    [aux_sym_break_statement_token1] = ACTIONS(1110),
    [sym_integer] = ACTIONS(1110),
    [aux_sym_return_statement_token1] = ACTIONS(1110),
    [aux_sym_throw_expression_token1] = ACTIONS(1110),
    [aux_sym_while_statement_token1] = ACTIONS(1110),
    [aux_sym_while_statement_token2] = ACTIONS(1110),
    [aux_sym_do_statement_token1] = ACTIONS(1110),
    [aux_sym_for_statement_token1] = ACTIONS(1110),
    [aux_sym_for_statement_token2] = ACTIONS(1110),
    [aux_sym_foreach_statement_token1] = ACTIONS(1110),
    [aux_sym_foreach_statement_token2] = ACTIONS(1110),
    [aux_sym_if_statement_token1] = ACTIONS(1110),
    [aux_sym_if_statement_token2] = ACTIONS(1110),
    [aux_sym_else_if_clause_token1] = ACTIONS(1110),
    [aux_sym_else_clause_token1] = ACTIONS(1110),
    [aux_sym_match_expression_token1] = ACTIONS(1110),
    [aux_sym_match_default_expression_token1] = ACTIONS(1110),
    [aux_sym_switch_statement_token1] = ACTIONS(1110),
    [aux_sym_switch_block_token1] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_TILDE] = ACTIONS(1108),
    [anon_sym_BANG] = ACTIONS(1108),
    [anon_sym_AT] = ACTIONS(1108),
    [aux_sym_clone_expression_token1] = ACTIONS(1110),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1110),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1110),
    [anon_sym_DASH_DASH] = ACTIONS(1108),
    [anon_sym_PLUS_PLUS] = ACTIONS(1108),
    [aux_sym__list_destructing_token1] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1108),
    [anon_sym_self] = ACTIONS(1110),
    [anon_sym_parent] = ACTIONS(1110),
    [aux_sym__argument_name_token1] = ACTIONS(1110),
    [aux_sym__argument_name_token2] = ACTIONS(1110),
    [anon_sym_POUND_LBRACK] = ACTIONS(1108),
    [aux_sym_encapsed_string_token1] = ACTIONS(1108),
    [anon_sym_DQUOTE] = ACTIONS(1108),
    [aux_sym_string_token1] = ACTIONS(1108),
    [anon_sym_SQUOTE] = ACTIONS(1108),
    [anon_sym_LT_LT_LT] = ACTIONS(1108),
    [anon_sym_BQUOTE] = ACTIONS(1108),
    [anon_sym_DOLLAR] = ACTIONS(1108),
    [aux_sym_yield_expression_token1] = ACTIONS(1110),
    [aux_sym_include_expression_token1] = ACTIONS(1110),
    [aux_sym_include_once_expression_token1] = ACTIONS(1110),
    [aux_sym_require_expression_token1] = ACTIONS(1110),
    [aux_sym_require_once_expression_token1] = ACTIONS(1110),
    [sym_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_text_interpolation] = STATE(468),
    [ts_builtin_sym_end] = ACTIONS(1112),
    [sym_name] = ACTIONS(1114),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1112),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1114),
    [aux_sym_global_declaration_token1] = ACTIONS(1114),
    [aux_sym_namespace_definition_token1] = ACTIONS(1114),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1114),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1114),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1114),
    [anon_sym_BSLASH] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [aux_sym_trait_declaration_token1] = ACTIONS(1114),
    [aux_sym_interface_declaration_token1] = ACTIONS(1114),
    [aux_sym_enum_declaration_token1] = ACTIONS(1114),
    [aux_sym_enum_case_token1] = ACTIONS(1114),
    [aux_sym_class_declaration_token1] = ACTIONS(1114),
    [aux_sym_final_modifier_token1] = ACTIONS(1114),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1114),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1114),
    [sym_var_modifier] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1114),
    [anon_sym_LPAREN2] = ACTIONS(1112),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1114),
    [aux_sym_cast_type_token1] = ACTIONS(1114),
    [aux_sym_echo_statement_token1] = ACTIONS(1114),
    [aux_sym_exit_statement_token1] = ACTIONS(1114),
    [anon_sym_unset] = ACTIONS(1114),
    [aux_sym_declare_statement_token1] = ACTIONS(1114),
    [aux_sym_declare_statement_token2] = ACTIONS(1114),
    [sym_float] = ACTIONS(1114),
    [aux_sym_try_statement_token1] = ACTIONS(1114),
    [aux_sym_goto_statement_token1] = ACTIONS(1114),
    [aux_sym_continue_statement_token1] = ACTIONS(1114),
    [aux_sym_break_statement_token1] = ACTIONS(1114),
    [sym_integer] = ACTIONS(1114),
    [aux_sym_return_statement_token1] = ACTIONS(1114),
    [aux_sym_throw_expression_token1] = ACTIONS(1114),
    [aux_sym_while_statement_token1] = ACTIONS(1114),
    [aux_sym_while_statement_token2] = ACTIONS(1114),
    [aux_sym_do_statement_token1] = ACTIONS(1114),
    [aux_sym_for_statement_token1] = ACTIONS(1114),
    [aux_sym_for_statement_token2] = ACTIONS(1114),
    [aux_sym_foreach_statement_token1] = ACTIONS(1114),
    [aux_sym_foreach_statement_token2] = ACTIONS(1114),
    [aux_sym_if_statement_token1] = ACTIONS(1114),
    [aux_sym_if_statement_token2] = ACTIONS(1114),
    [aux_sym_else_if_clause_token1] = ACTIONS(1114),
    [aux_sym_else_clause_token1] = ACTIONS(1114),
    [aux_sym_match_expression_token1] = ACTIONS(1114),
    [aux_sym_match_default_expression_token1] = ACTIONS(1114),
    [aux_sym_switch_statement_token1] = ACTIONS(1114),
    [aux_sym_switch_block_token1] = ACTIONS(1114),
    [anon_sym_PLUS] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [aux_sym_clone_expression_token1] = ACTIONS(1114),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1114),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1114),
    [anon_sym_DASH_DASH] = ACTIONS(1112),
    [anon_sym_PLUS_PLUS] = ACTIONS(1112),
    [aux_sym__list_destructing_token1] = ACTIONS(1114),
    [anon_sym_LBRACK] = ACTIONS(1112),
    [anon_sym_self] = ACTIONS(1114),
    [anon_sym_parent] = ACTIONS(1114),
    [aux_sym__argument_name_token1] = ACTIONS(1114),
    [aux_sym__argument_name_token2] = ACTIONS(1114),
    [anon_sym_POUND_LBRACK] = ACTIONS(1112),
    [aux_sym_encapsed_string_token1] = ACTIONS(1112),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [aux_sym_string_token1] = ACTIONS(1112),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_LT_LT_LT] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [aux_sym_yield_expression_token1] = ACTIONS(1114),
    [aux_sym_include_expression_token1] = ACTIONS(1114),
    [aux_sym_include_once_expression_token1] = ACTIONS(1114),
    [aux_sym_require_expression_token1] = ACTIONS(1114),
    [aux_sym_require_once_expression_token1] = ACTIONS(1114),
    [sym_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_text_interpolation] = STATE(469),
    [ts_builtin_sym_end] = ACTIONS(1116),
    [sym_name] = ACTIONS(1118),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1116),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1118),
    [aux_sym_global_declaration_token1] = ACTIONS(1118),
    [aux_sym_namespace_definition_token1] = ACTIONS(1118),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1118),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1118),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1118),
    [anon_sym_BSLASH] = ACTIONS(1116),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_RBRACE] = ACTIONS(1116),
    [aux_sym_trait_declaration_token1] = ACTIONS(1118),
    [aux_sym_interface_declaration_token1] = ACTIONS(1118),
    [aux_sym_enum_declaration_token1] = ACTIONS(1118),
    [aux_sym_enum_case_token1] = ACTIONS(1118),
    [aux_sym_class_declaration_token1] = ACTIONS(1118),
    [aux_sym_final_modifier_token1] = ACTIONS(1118),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1118),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1118),
    [sym_var_modifier] = ACTIONS(1118),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1118),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1118),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1118),
    [anon_sym_LPAREN2] = ACTIONS(1116),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1118),
    [aux_sym_cast_type_token1] = ACTIONS(1118),
    [aux_sym_echo_statement_token1] = ACTIONS(1118),
    [aux_sym_exit_statement_token1] = ACTIONS(1118),
    [anon_sym_unset] = ACTIONS(1118),
    [aux_sym_declare_statement_token1] = ACTIONS(1118),
    [aux_sym_declare_statement_token2] = ACTIONS(1118),
    [sym_float] = ACTIONS(1118),
    [aux_sym_try_statement_token1] = ACTIONS(1118),
    [aux_sym_goto_statement_token1] = ACTIONS(1118),
    [aux_sym_continue_statement_token1] = ACTIONS(1118),
    [aux_sym_break_statement_token1] = ACTIONS(1118),
    [sym_integer] = ACTIONS(1118),
    [aux_sym_return_statement_token1] = ACTIONS(1118),
    [aux_sym_throw_expression_token1] = ACTIONS(1118),
    [aux_sym_while_statement_token1] = ACTIONS(1118),
    [aux_sym_while_statement_token2] = ACTIONS(1118),
    [aux_sym_do_statement_token1] = ACTIONS(1118),
    [aux_sym_for_statement_token1] = ACTIONS(1118),
    [aux_sym_for_statement_token2] = ACTIONS(1118),
    [aux_sym_foreach_statement_token1] = ACTIONS(1118),
    [aux_sym_foreach_statement_token2] = ACTIONS(1118),
    [aux_sym_if_statement_token1] = ACTIONS(1118),
    [aux_sym_if_statement_token2] = ACTIONS(1118),
    [aux_sym_else_if_clause_token1] = ACTIONS(1118),
    [aux_sym_else_clause_token1] = ACTIONS(1118),
    [aux_sym_match_expression_token1] = ACTIONS(1118),
    [aux_sym_match_default_expression_token1] = ACTIONS(1118),
    [aux_sym_switch_statement_token1] = ACTIONS(1118),
    [aux_sym_switch_block_token1] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_TILDE] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1116),
    [anon_sym_AT] = ACTIONS(1116),
    [aux_sym_clone_expression_token1] = ACTIONS(1118),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1118),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1118),
    [anon_sym_DASH_DASH] = ACTIONS(1116),
    [anon_sym_PLUS_PLUS] = ACTIONS(1116),
    [aux_sym__list_destructing_token1] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_self] = ACTIONS(1118),
    [anon_sym_parent] = ACTIONS(1118),
    [aux_sym__argument_name_token1] = ACTIONS(1118),
    [aux_sym__argument_name_token2] = ACTIONS(1118),
    [anon_sym_POUND_LBRACK] = ACTIONS(1116),
    [aux_sym_encapsed_string_token1] = ACTIONS(1116),
    [anon_sym_DQUOTE] = ACTIONS(1116),
    [aux_sym_string_token1] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1116),
    [anon_sym_LT_LT_LT] = ACTIONS(1116),
    [anon_sym_BQUOTE] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1116),
    [aux_sym_yield_expression_token1] = ACTIONS(1118),
    [aux_sym_include_expression_token1] = ACTIONS(1118),
    [aux_sym_include_once_expression_token1] = ACTIONS(1118),
    [aux_sym_require_expression_token1] = ACTIONS(1118),
    [aux_sym_require_once_expression_token1] = ACTIONS(1118),
    [sym_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_text_interpolation] = STATE(470),
    [ts_builtin_sym_end] = ACTIONS(1120),
    [sym_name] = ACTIONS(1122),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1120),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1122),
    [aux_sym_global_declaration_token1] = ACTIONS(1122),
    [aux_sym_namespace_definition_token1] = ACTIONS(1122),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1122),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1122),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1122),
    [anon_sym_BSLASH] = ACTIONS(1120),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(1120),
    [aux_sym_trait_declaration_token1] = ACTIONS(1122),
    [aux_sym_interface_declaration_token1] = ACTIONS(1122),
    [aux_sym_enum_declaration_token1] = ACTIONS(1122),
    [aux_sym_enum_case_token1] = ACTIONS(1122),
    [aux_sym_class_declaration_token1] = ACTIONS(1122),
    [aux_sym_final_modifier_token1] = ACTIONS(1122),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1122),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1122),
    [sym_var_modifier] = ACTIONS(1122),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1122),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1122),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1122),
    [anon_sym_LPAREN2] = ACTIONS(1120),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1122),
    [aux_sym_cast_type_token1] = ACTIONS(1122),
    [aux_sym_echo_statement_token1] = ACTIONS(1122),
    [aux_sym_exit_statement_token1] = ACTIONS(1122),
    [anon_sym_unset] = ACTIONS(1122),
    [aux_sym_declare_statement_token1] = ACTIONS(1122),
    [aux_sym_declare_statement_token2] = ACTIONS(1122),
    [sym_float] = ACTIONS(1122),
    [aux_sym_try_statement_token1] = ACTIONS(1122),
    [aux_sym_goto_statement_token1] = ACTIONS(1122),
    [aux_sym_continue_statement_token1] = ACTIONS(1122),
    [aux_sym_break_statement_token1] = ACTIONS(1122),
    [sym_integer] = ACTIONS(1122),
    [aux_sym_return_statement_token1] = ACTIONS(1122),
    [aux_sym_throw_expression_token1] = ACTIONS(1122),
    [aux_sym_while_statement_token1] = ACTIONS(1122),
    [aux_sym_while_statement_token2] = ACTIONS(1122),
    [aux_sym_do_statement_token1] = ACTIONS(1122),
    [aux_sym_for_statement_token1] = ACTIONS(1122),
    [aux_sym_for_statement_token2] = ACTIONS(1122),
    [aux_sym_foreach_statement_token1] = ACTIONS(1122),
    [aux_sym_foreach_statement_token2] = ACTIONS(1122),
    [aux_sym_if_statement_token1] = ACTIONS(1122),
    [aux_sym_if_statement_token2] = ACTIONS(1122),
    [aux_sym_else_if_clause_token1] = ACTIONS(1122),
    [aux_sym_else_clause_token1] = ACTIONS(1122),
    [aux_sym_match_expression_token1] = ACTIONS(1122),
    [aux_sym_match_default_expression_token1] = ACTIONS(1122),
    [aux_sym_switch_statement_token1] = ACTIONS(1122),
    [aux_sym_switch_block_token1] = ACTIONS(1122),
    [anon_sym_PLUS] = ACTIONS(1122),
    [anon_sym_DASH] = ACTIONS(1122),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_AT] = ACTIONS(1120),
    [aux_sym_clone_expression_token1] = ACTIONS(1122),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1122),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1122),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [aux_sym__list_destructing_token1] = ACTIONS(1122),
    [anon_sym_LBRACK] = ACTIONS(1120),
    [anon_sym_self] = ACTIONS(1122),
    [anon_sym_parent] = ACTIONS(1122),
    [aux_sym__argument_name_token1] = ACTIONS(1122),
    [aux_sym__argument_name_token2] = ACTIONS(1122),
    [anon_sym_POUND_LBRACK] = ACTIONS(1120),
    [aux_sym_encapsed_string_token1] = ACTIONS(1120),
    [anon_sym_DQUOTE] = ACTIONS(1120),
    [aux_sym_string_token1] = ACTIONS(1120),
    [anon_sym_SQUOTE] = ACTIONS(1120),
    [anon_sym_LT_LT_LT] = ACTIONS(1120),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1120),
    [aux_sym_yield_expression_token1] = ACTIONS(1122),
    [aux_sym_include_expression_token1] = ACTIONS(1122),
    [aux_sym_include_once_expression_token1] = ACTIONS(1122),
    [aux_sym_require_expression_token1] = ACTIONS(1122),
    [aux_sym_require_once_expression_token1] = ACTIONS(1122),
    [sym_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_text_interpolation] = STATE(471),
    [ts_builtin_sym_end] = ACTIONS(1124),
    [sym_name] = ACTIONS(1126),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1124),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1126),
    [aux_sym_global_declaration_token1] = ACTIONS(1126),
    [aux_sym_namespace_definition_token1] = ACTIONS(1126),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1126),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1126),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1126),
    [anon_sym_BSLASH] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1124),
    [anon_sym_RBRACE] = ACTIONS(1124),
    [aux_sym_trait_declaration_token1] = ACTIONS(1126),
    [aux_sym_interface_declaration_token1] = ACTIONS(1126),
    [aux_sym_enum_declaration_token1] = ACTIONS(1126),
    [aux_sym_enum_case_token1] = ACTIONS(1126),
    [aux_sym_class_declaration_token1] = ACTIONS(1126),
    [aux_sym_final_modifier_token1] = ACTIONS(1126),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1126),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1126),
    [sym_var_modifier] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1126),
    [anon_sym_LPAREN2] = ACTIONS(1124),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1126),
    [aux_sym_cast_type_token1] = ACTIONS(1126),
    [aux_sym_echo_statement_token1] = ACTIONS(1126),
    [aux_sym_exit_statement_token1] = ACTIONS(1126),
    [anon_sym_unset] = ACTIONS(1126),
    [aux_sym_declare_statement_token1] = ACTIONS(1126),
    [aux_sym_declare_statement_token2] = ACTIONS(1126),
    [sym_float] = ACTIONS(1126),
    [aux_sym_try_statement_token1] = ACTIONS(1126),
    [aux_sym_goto_statement_token1] = ACTIONS(1126),
    [aux_sym_continue_statement_token1] = ACTIONS(1126),
    [aux_sym_break_statement_token1] = ACTIONS(1126),
    [sym_integer] = ACTIONS(1126),
    [aux_sym_return_statement_token1] = ACTIONS(1126),
    [aux_sym_throw_expression_token1] = ACTIONS(1126),
    [aux_sym_while_statement_token1] = ACTIONS(1126),
    [aux_sym_while_statement_token2] = ACTIONS(1126),
    [aux_sym_do_statement_token1] = ACTIONS(1126),
    [aux_sym_for_statement_token1] = ACTIONS(1126),
    [aux_sym_for_statement_token2] = ACTIONS(1126),
    [aux_sym_foreach_statement_token1] = ACTIONS(1126),
    [aux_sym_foreach_statement_token2] = ACTIONS(1126),
    [aux_sym_if_statement_token1] = ACTIONS(1126),
    [aux_sym_if_statement_token2] = ACTIONS(1126),
    [aux_sym_else_if_clause_token1] = ACTIONS(1126),
    [aux_sym_else_clause_token1] = ACTIONS(1126),
    [aux_sym_match_expression_token1] = ACTIONS(1126),
    [aux_sym_match_default_expression_token1] = ACTIONS(1126),
    [aux_sym_switch_statement_token1] = ACTIONS(1126),
    [aux_sym_switch_block_token1] = ACTIONS(1126),
    [anon_sym_PLUS] = ACTIONS(1126),
    [anon_sym_DASH] = ACTIONS(1126),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_AT] = ACTIONS(1124),
    [aux_sym_clone_expression_token1] = ACTIONS(1126),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1126),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1126),
    [anon_sym_DASH_DASH] = ACTIONS(1124),
    [anon_sym_PLUS_PLUS] = ACTIONS(1124),
    [aux_sym__list_destructing_token1] = ACTIONS(1126),
    [anon_sym_LBRACK] = ACTIONS(1124),
    [anon_sym_self] = ACTIONS(1126),
    [anon_sym_parent] = ACTIONS(1126),
    [aux_sym__argument_name_token1] = ACTIONS(1126),
    [aux_sym__argument_name_token2] = ACTIONS(1126),
    [anon_sym_POUND_LBRACK] = ACTIONS(1124),
    [aux_sym_encapsed_string_token1] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1124),
    [aux_sym_string_token1] = ACTIONS(1124),
    [anon_sym_SQUOTE] = ACTIONS(1124),
    [anon_sym_LT_LT_LT] = ACTIONS(1124),
    [anon_sym_BQUOTE] = ACTIONS(1124),
    [anon_sym_DOLLAR] = ACTIONS(1124),
    [aux_sym_yield_expression_token1] = ACTIONS(1126),
    [aux_sym_include_expression_token1] = ACTIONS(1126),
    [aux_sym_include_once_expression_token1] = ACTIONS(1126),
    [aux_sym_require_expression_token1] = ACTIONS(1126),
    [aux_sym_require_once_expression_token1] = ACTIONS(1126),
    [sym_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_text_interpolation] = STATE(472),
    [ts_builtin_sym_end] = ACTIONS(1128),
    [sym_name] = ACTIONS(1130),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1128),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1130),
    [aux_sym_global_declaration_token1] = ACTIONS(1130),
    [aux_sym_namespace_definition_token1] = ACTIONS(1130),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1130),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1130),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1130),
    [anon_sym_BSLASH] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_RBRACE] = ACTIONS(1128),
    [aux_sym_trait_declaration_token1] = ACTIONS(1130),
    [aux_sym_interface_declaration_token1] = ACTIONS(1130),
    [aux_sym_enum_declaration_token1] = ACTIONS(1130),
    [aux_sym_enum_case_token1] = ACTIONS(1130),
    [aux_sym_class_declaration_token1] = ACTIONS(1130),
    [aux_sym_final_modifier_token1] = ACTIONS(1130),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1130),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1130),
    [sym_var_modifier] = ACTIONS(1130),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1130),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1130),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1130),
    [anon_sym_LPAREN2] = ACTIONS(1128),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1130),
    [aux_sym_cast_type_token1] = ACTIONS(1130),
    [aux_sym_echo_statement_token1] = ACTIONS(1130),
    [aux_sym_exit_statement_token1] = ACTIONS(1130),
    [anon_sym_unset] = ACTIONS(1130),
    [aux_sym_declare_statement_token1] = ACTIONS(1130),
    [aux_sym_declare_statement_token2] = ACTIONS(1130),
    [sym_float] = ACTIONS(1130),
    [aux_sym_try_statement_token1] = ACTIONS(1130),
    [aux_sym_goto_statement_token1] = ACTIONS(1130),
    [aux_sym_continue_statement_token1] = ACTIONS(1130),
    [aux_sym_break_statement_token1] = ACTIONS(1130),
    [sym_integer] = ACTIONS(1130),
    [aux_sym_return_statement_token1] = ACTIONS(1130),
    [aux_sym_throw_expression_token1] = ACTIONS(1130),
    [aux_sym_while_statement_token1] = ACTIONS(1130),
    [aux_sym_while_statement_token2] = ACTIONS(1130),
    [aux_sym_do_statement_token1] = ACTIONS(1130),
    [aux_sym_for_statement_token1] = ACTIONS(1130),
    [aux_sym_for_statement_token2] = ACTIONS(1130),
    [aux_sym_foreach_statement_token1] = ACTIONS(1130),
    [aux_sym_foreach_statement_token2] = ACTIONS(1130),
    [aux_sym_if_statement_token1] = ACTIONS(1130),
    [aux_sym_if_statement_token2] = ACTIONS(1130),
    [aux_sym_else_if_clause_token1] = ACTIONS(1130),
    [aux_sym_else_clause_token1] = ACTIONS(1130),
    [aux_sym_match_expression_token1] = ACTIONS(1130),
    [aux_sym_match_default_expression_token1] = ACTIONS(1130),
    [aux_sym_switch_statement_token1] = ACTIONS(1130),
    [aux_sym_switch_block_token1] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_TILDE] = ACTIONS(1128),
    [anon_sym_BANG] = ACTIONS(1128),
    [anon_sym_AT] = ACTIONS(1128),
    [aux_sym_clone_expression_token1] = ACTIONS(1130),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1130),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1130),
    [anon_sym_DASH_DASH] = ACTIONS(1128),
    [anon_sym_PLUS_PLUS] = ACTIONS(1128),
    [aux_sym__list_destructing_token1] = ACTIONS(1130),
    [anon_sym_LBRACK] = ACTIONS(1128),
    [anon_sym_self] = ACTIONS(1130),
    [anon_sym_parent] = ACTIONS(1130),
    [aux_sym__argument_name_token1] = ACTIONS(1130),
    [aux_sym__argument_name_token2] = ACTIONS(1130),
    [anon_sym_POUND_LBRACK] = ACTIONS(1128),
    [aux_sym_encapsed_string_token1] = ACTIONS(1128),
    [anon_sym_DQUOTE] = ACTIONS(1128),
    [aux_sym_string_token1] = ACTIONS(1128),
    [anon_sym_SQUOTE] = ACTIONS(1128),
    [anon_sym_LT_LT_LT] = ACTIONS(1128),
    [anon_sym_BQUOTE] = ACTIONS(1128),
    [anon_sym_DOLLAR] = ACTIONS(1128),
    [aux_sym_yield_expression_token1] = ACTIONS(1130),
    [aux_sym_include_expression_token1] = ACTIONS(1130),
    [aux_sym_include_once_expression_token1] = ACTIONS(1130),
    [aux_sym_require_expression_token1] = ACTIONS(1130),
    [aux_sym_require_once_expression_token1] = ACTIONS(1130),
    [sym_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_text_interpolation] = STATE(473),
    [ts_builtin_sym_end] = ACTIONS(1132),
    [sym_name] = ACTIONS(1134),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1132),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1134),
    [aux_sym_global_declaration_token1] = ACTIONS(1134),
    [aux_sym_namespace_definition_token1] = ACTIONS(1134),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1134),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1134),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1134),
    [anon_sym_BSLASH] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [aux_sym_trait_declaration_token1] = ACTIONS(1134),
    [aux_sym_interface_declaration_token1] = ACTIONS(1134),
    [aux_sym_enum_declaration_token1] = ACTIONS(1134),
    [aux_sym_enum_case_token1] = ACTIONS(1134),
    [aux_sym_class_declaration_token1] = ACTIONS(1134),
    [aux_sym_final_modifier_token1] = ACTIONS(1134),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1134),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1134),
    [sym_var_modifier] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1134),
    [anon_sym_LPAREN2] = ACTIONS(1132),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1134),
    [aux_sym_cast_type_token1] = ACTIONS(1134),
    [aux_sym_echo_statement_token1] = ACTIONS(1134),
    [aux_sym_exit_statement_token1] = ACTIONS(1134),
    [anon_sym_unset] = ACTIONS(1134),
    [aux_sym_declare_statement_token1] = ACTIONS(1134),
    [aux_sym_declare_statement_token2] = ACTIONS(1134),
    [sym_float] = ACTIONS(1134),
    [aux_sym_try_statement_token1] = ACTIONS(1134),
    [aux_sym_goto_statement_token1] = ACTIONS(1134),
    [aux_sym_continue_statement_token1] = ACTIONS(1134),
    [aux_sym_break_statement_token1] = ACTIONS(1134),
    [sym_integer] = ACTIONS(1134),
    [aux_sym_return_statement_token1] = ACTIONS(1134),
    [aux_sym_throw_expression_token1] = ACTIONS(1134),
    [aux_sym_while_statement_token1] = ACTIONS(1134),
    [aux_sym_while_statement_token2] = ACTIONS(1134),
    [aux_sym_do_statement_token1] = ACTIONS(1134),
    [aux_sym_for_statement_token1] = ACTIONS(1134),
    [aux_sym_for_statement_token2] = ACTIONS(1134),
    [aux_sym_foreach_statement_token1] = ACTIONS(1134),
    [aux_sym_foreach_statement_token2] = ACTIONS(1134),
    [aux_sym_if_statement_token1] = ACTIONS(1134),
    [aux_sym_if_statement_token2] = ACTIONS(1134),
    [aux_sym_else_if_clause_token1] = ACTIONS(1134),
    [aux_sym_else_clause_token1] = ACTIONS(1134),
    [aux_sym_match_expression_token1] = ACTIONS(1134),
    [aux_sym_match_default_expression_token1] = ACTIONS(1134),
    [aux_sym_switch_statement_token1] = ACTIONS(1134),
    [aux_sym_switch_block_token1] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_TILDE] = ACTIONS(1132),
    [anon_sym_BANG] = ACTIONS(1132),
    [anon_sym_AT] = ACTIONS(1132),
    [aux_sym_clone_expression_token1] = ACTIONS(1134),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1134),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1134),
    [anon_sym_DASH_DASH] = ACTIONS(1132),
    [anon_sym_PLUS_PLUS] = ACTIONS(1132),
    [aux_sym__list_destructing_token1] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_self] = ACTIONS(1134),
    [anon_sym_parent] = ACTIONS(1134),
    [aux_sym__argument_name_token1] = ACTIONS(1134),
    [aux_sym__argument_name_token2] = ACTIONS(1134),
    [anon_sym_POUND_LBRACK] = ACTIONS(1132),
    [aux_sym_encapsed_string_token1] = ACTIONS(1132),
    [anon_sym_DQUOTE] = ACTIONS(1132),
    [aux_sym_string_token1] = ACTIONS(1132),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [anon_sym_LT_LT_LT] = ACTIONS(1132),
    [anon_sym_BQUOTE] = ACTIONS(1132),
    [anon_sym_DOLLAR] = ACTIONS(1132),
    [aux_sym_yield_expression_token1] = ACTIONS(1134),
    [aux_sym_include_expression_token1] = ACTIONS(1134),
    [aux_sym_include_once_expression_token1] = ACTIONS(1134),
    [aux_sym_require_expression_token1] = ACTIONS(1134),
    [aux_sym_require_once_expression_token1] = ACTIONS(1134),
    [sym_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_text_interpolation] = STATE(474),
    [ts_builtin_sym_end] = ACTIONS(1136),
    [sym_name] = ACTIONS(1138),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1136),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1138),
    [aux_sym_global_declaration_token1] = ACTIONS(1138),
    [aux_sym_namespace_definition_token1] = ACTIONS(1138),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1138),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1138),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1138),
    [anon_sym_BSLASH] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [aux_sym_trait_declaration_token1] = ACTIONS(1138),
    [aux_sym_interface_declaration_token1] = ACTIONS(1138),
    [aux_sym_enum_declaration_token1] = ACTIONS(1138),
    [aux_sym_enum_case_token1] = ACTIONS(1138),
    [aux_sym_class_declaration_token1] = ACTIONS(1138),
    [aux_sym_final_modifier_token1] = ACTIONS(1138),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1138),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1138),
    [sym_var_modifier] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1138),
    [anon_sym_LPAREN2] = ACTIONS(1136),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1138),
    [aux_sym_cast_type_token1] = ACTIONS(1138),
    [aux_sym_echo_statement_token1] = ACTIONS(1138),
    [aux_sym_exit_statement_token1] = ACTIONS(1138),
    [anon_sym_unset] = ACTIONS(1138),
    [aux_sym_declare_statement_token1] = ACTIONS(1138),
    [aux_sym_declare_statement_token2] = ACTIONS(1138),
    [sym_float] = ACTIONS(1138),
    [aux_sym_try_statement_token1] = ACTIONS(1138),
    [aux_sym_goto_statement_token1] = ACTIONS(1138),
    [aux_sym_continue_statement_token1] = ACTIONS(1138),
    [aux_sym_break_statement_token1] = ACTIONS(1138),
    [sym_integer] = ACTIONS(1138),
    [aux_sym_return_statement_token1] = ACTIONS(1138),
    [aux_sym_throw_expression_token1] = ACTIONS(1138),
    [aux_sym_while_statement_token1] = ACTIONS(1138),
    [aux_sym_while_statement_token2] = ACTIONS(1138),
    [aux_sym_do_statement_token1] = ACTIONS(1138),
    [aux_sym_for_statement_token1] = ACTIONS(1138),
    [aux_sym_for_statement_token2] = ACTIONS(1138),
    [aux_sym_foreach_statement_token1] = ACTIONS(1138),
    [aux_sym_foreach_statement_token2] = ACTIONS(1138),
    [aux_sym_if_statement_token1] = ACTIONS(1138),
    [aux_sym_if_statement_token2] = ACTIONS(1138),
    [aux_sym_else_if_clause_token1] = ACTIONS(1138),
    [aux_sym_else_clause_token1] = ACTIONS(1138),
    [aux_sym_match_expression_token1] = ACTIONS(1138),
    [aux_sym_match_default_expression_token1] = ACTIONS(1138),
    [aux_sym_switch_statement_token1] = ACTIONS(1138),
    [aux_sym_switch_block_token1] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(1136),
    [aux_sym_clone_expression_token1] = ACTIONS(1138),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1138),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1138),
    [anon_sym_DASH_DASH] = ACTIONS(1136),
    [anon_sym_PLUS_PLUS] = ACTIONS(1136),
    [aux_sym__list_destructing_token1] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1136),
    [anon_sym_self] = ACTIONS(1138),
    [anon_sym_parent] = ACTIONS(1138),
    [aux_sym__argument_name_token1] = ACTIONS(1138),
    [aux_sym__argument_name_token2] = ACTIONS(1138),
    [anon_sym_POUND_LBRACK] = ACTIONS(1136),
    [aux_sym_encapsed_string_token1] = ACTIONS(1136),
    [anon_sym_DQUOTE] = ACTIONS(1136),
    [aux_sym_string_token1] = ACTIONS(1136),
    [anon_sym_SQUOTE] = ACTIONS(1136),
    [anon_sym_LT_LT_LT] = ACTIONS(1136),
    [anon_sym_BQUOTE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1136),
    [aux_sym_yield_expression_token1] = ACTIONS(1138),
    [aux_sym_include_expression_token1] = ACTIONS(1138),
    [aux_sym_include_once_expression_token1] = ACTIONS(1138),
    [aux_sym_require_expression_token1] = ACTIONS(1138),
    [aux_sym_require_once_expression_token1] = ACTIONS(1138),
    [sym_comment] = ACTIONS(5),
  },
  [475] = {
    [sym_text_interpolation] = STATE(475),
    [ts_builtin_sym_end] = ACTIONS(1140),
    [sym_name] = ACTIONS(1142),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1140),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1142),
    [aux_sym_global_declaration_token1] = ACTIONS(1142),
    [aux_sym_namespace_definition_token1] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1142),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1142),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1142),
    [anon_sym_BSLASH] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [aux_sym_trait_declaration_token1] = ACTIONS(1142),
    [aux_sym_interface_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_case_token1] = ACTIONS(1142),
    [aux_sym_class_declaration_token1] = ACTIONS(1142),
    [aux_sym_final_modifier_token1] = ACTIONS(1142),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1142),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1142),
    [sym_var_modifier] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1142),
    [anon_sym_LPAREN2] = ACTIONS(1140),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1142),
    [aux_sym_cast_type_token1] = ACTIONS(1142),
    [aux_sym_echo_statement_token1] = ACTIONS(1142),
    [aux_sym_exit_statement_token1] = ACTIONS(1142),
    [anon_sym_unset] = ACTIONS(1142),
    [aux_sym_declare_statement_token1] = ACTIONS(1142),
    [aux_sym_declare_statement_token2] = ACTIONS(1142),
    [sym_float] = ACTIONS(1142),
    [aux_sym_try_statement_token1] = ACTIONS(1142),
    [aux_sym_goto_statement_token1] = ACTIONS(1142),
    [aux_sym_continue_statement_token1] = ACTIONS(1142),
    [aux_sym_break_statement_token1] = ACTIONS(1142),
    [sym_integer] = ACTIONS(1142),
    [aux_sym_return_statement_token1] = ACTIONS(1142),
    [aux_sym_throw_expression_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token2] = ACTIONS(1142),
    [aux_sym_do_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token2] = ACTIONS(1142),
    [aux_sym_foreach_statement_token1] = ACTIONS(1142),
    [aux_sym_foreach_statement_token2] = ACTIONS(1142),
    [aux_sym_if_statement_token1] = ACTIONS(1142),
    [aux_sym_if_statement_token2] = ACTIONS(1142),
    [aux_sym_else_if_clause_token1] = ACTIONS(1142),
    [aux_sym_else_clause_token1] = ACTIONS(1142),
    [aux_sym_match_expression_token1] = ACTIONS(1142),
    [aux_sym_match_default_expression_token1] = ACTIONS(1142),
    [aux_sym_switch_statement_token1] = ACTIONS(1142),
    [aux_sym_switch_block_token1] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_AT] = ACTIONS(1140),
    [aux_sym_clone_expression_token1] = ACTIONS(1142),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1142),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1140),
    [anon_sym_PLUS_PLUS] = ACTIONS(1140),
    [aux_sym__list_destructing_token1] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [anon_sym_self] = ACTIONS(1142),
    [anon_sym_parent] = ACTIONS(1142),
    [aux_sym__argument_name_token1] = ACTIONS(1142),
    [aux_sym__argument_name_token2] = ACTIONS(1142),
    [anon_sym_POUND_LBRACK] = ACTIONS(1140),
    [aux_sym_encapsed_string_token1] = ACTIONS(1140),
    [anon_sym_DQUOTE] = ACTIONS(1140),
    [aux_sym_string_token1] = ACTIONS(1140),
    [anon_sym_SQUOTE] = ACTIONS(1140),
    [anon_sym_LT_LT_LT] = ACTIONS(1140),
    [anon_sym_BQUOTE] = ACTIONS(1140),
    [anon_sym_DOLLAR] = ACTIONS(1140),
    [aux_sym_yield_expression_token1] = ACTIONS(1142),
    [aux_sym_include_expression_token1] = ACTIONS(1142),
    [aux_sym_include_once_expression_token1] = ACTIONS(1142),
    [aux_sym_require_expression_token1] = ACTIONS(1142),
    [aux_sym_require_once_expression_token1] = ACTIONS(1142),
    [sym_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_text_interpolation] = STATE(476),
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_name] = ACTIONS(1146),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1144),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1146),
    [aux_sym_global_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_definition_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1146),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1146),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1146),
    [anon_sym_BSLASH] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [aux_sym_trait_declaration_token1] = ACTIONS(1146),
    [aux_sym_interface_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_case_token1] = ACTIONS(1146),
    [aux_sym_class_declaration_token1] = ACTIONS(1146),
    [aux_sym_final_modifier_token1] = ACTIONS(1146),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1146),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1146),
    [sym_var_modifier] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1146),
    [anon_sym_LPAREN2] = ACTIONS(1144),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1146),
    [aux_sym_cast_type_token1] = ACTIONS(1146),
    [aux_sym_echo_statement_token1] = ACTIONS(1146),
    [aux_sym_exit_statement_token1] = ACTIONS(1146),
    [anon_sym_unset] = ACTIONS(1146),
    [aux_sym_declare_statement_token1] = ACTIONS(1146),
    [aux_sym_declare_statement_token2] = ACTIONS(1146),
    [sym_float] = ACTIONS(1146),
    [aux_sym_try_statement_token1] = ACTIONS(1146),
    [aux_sym_goto_statement_token1] = ACTIONS(1146),
    [aux_sym_continue_statement_token1] = ACTIONS(1146),
    [aux_sym_break_statement_token1] = ACTIONS(1146),
    [sym_integer] = ACTIONS(1146),
    [aux_sym_return_statement_token1] = ACTIONS(1146),
    [aux_sym_throw_expression_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token2] = ACTIONS(1146),
    [aux_sym_do_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token2] = ACTIONS(1146),
    [aux_sym_foreach_statement_token1] = ACTIONS(1146),
    [aux_sym_foreach_statement_token2] = ACTIONS(1146),
    [aux_sym_if_statement_token1] = ACTIONS(1146),
    [aux_sym_if_statement_token2] = ACTIONS(1146),
    [aux_sym_else_if_clause_token1] = ACTIONS(1146),
    [aux_sym_else_clause_token1] = ACTIONS(1146),
    [aux_sym_match_expression_token1] = ACTIONS(1146),
    [aux_sym_match_default_expression_token1] = ACTIONS(1146),
    [aux_sym_switch_statement_token1] = ACTIONS(1146),
    [aux_sym_switch_block_token1] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(1144),
    [aux_sym_clone_expression_token1] = ACTIONS(1146),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1146),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [aux_sym__list_destructing_token1] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [anon_sym_self] = ACTIONS(1146),
    [anon_sym_parent] = ACTIONS(1146),
    [aux_sym__argument_name_token1] = ACTIONS(1146),
    [aux_sym__argument_name_token2] = ACTIONS(1146),
    [anon_sym_POUND_LBRACK] = ACTIONS(1144),
    [aux_sym_encapsed_string_token1] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1144),
    [aux_sym_string_token1] = ACTIONS(1144),
    [anon_sym_SQUOTE] = ACTIONS(1144),
    [anon_sym_LT_LT_LT] = ACTIONS(1144),
    [anon_sym_BQUOTE] = ACTIONS(1144),
    [anon_sym_DOLLAR] = ACTIONS(1144),
    [aux_sym_yield_expression_token1] = ACTIONS(1146),
    [aux_sym_include_expression_token1] = ACTIONS(1146),
    [aux_sym_include_once_expression_token1] = ACTIONS(1146),
    [aux_sym_require_expression_token1] = ACTIONS(1146),
    [aux_sym_require_once_expression_token1] = ACTIONS(1146),
    [sym_comment] = ACTIONS(5),
  },
  [477] = {
    [sym_text_interpolation] = STATE(477),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym_name] = ACTIONS(1150),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1148),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1150),
    [aux_sym_global_declaration_token1] = ACTIONS(1150),
    [aux_sym_namespace_definition_token1] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1150),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1150),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1150),
    [anon_sym_BSLASH] = ACTIONS(1148),
    [anon_sym_LBRACE] = ACTIONS(1148),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [aux_sym_trait_declaration_token1] = ACTIONS(1150),
    [aux_sym_interface_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_case_token1] = ACTIONS(1150),
    [aux_sym_class_declaration_token1] = ACTIONS(1150),
    [aux_sym_final_modifier_token1] = ACTIONS(1150),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1150),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1150),
    [sym_var_modifier] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1150),
    [anon_sym_LPAREN2] = ACTIONS(1148),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1150),
    [aux_sym_cast_type_token1] = ACTIONS(1150),
    [aux_sym_echo_statement_token1] = ACTIONS(1150),
    [aux_sym_exit_statement_token1] = ACTIONS(1150),
    [anon_sym_unset] = ACTIONS(1150),
    [aux_sym_declare_statement_token1] = ACTIONS(1150),
    [aux_sym_declare_statement_token2] = ACTIONS(1150),
    [sym_float] = ACTIONS(1150),
    [aux_sym_try_statement_token1] = ACTIONS(1150),
    [aux_sym_goto_statement_token1] = ACTIONS(1150),
    [aux_sym_continue_statement_token1] = ACTIONS(1150),
    [aux_sym_break_statement_token1] = ACTIONS(1150),
    [sym_integer] = ACTIONS(1150),
    [aux_sym_return_statement_token1] = ACTIONS(1150),
    [aux_sym_throw_expression_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token2] = ACTIONS(1150),
    [aux_sym_do_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token2] = ACTIONS(1150),
    [aux_sym_foreach_statement_token1] = ACTIONS(1150),
    [aux_sym_foreach_statement_token2] = ACTIONS(1150),
    [aux_sym_if_statement_token1] = ACTIONS(1150),
    [aux_sym_if_statement_token2] = ACTIONS(1150),
    [aux_sym_else_if_clause_token1] = ACTIONS(1150),
    [aux_sym_else_clause_token1] = ACTIONS(1150),
    [aux_sym_match_expression_token1] = ACTIONS(1150),
    [aux_sym_match_default_expression_token1] = ACTIONS(1150),
    [aux_sym_switch_statement_token1] = ACTIONS(1150),
    [aux_sym_switch_block_token1] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1150),
    [anon_sym_DASH] = ACTIONS(1150),
    [anon_sym_TILDE] = ACTIONS(1148),
    [anon_sym_BANG] = ACTIONS(1148),
    [anon_sym_AT] = ACTIONS(1148),
    [aux_sym_clone_expression_token1] = ACTIONS(1150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1150),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1150),
    [anon_sym_DASH_DASH] = ACTIONS(1148),
    [anon_sym_PLUS_PLUS] = ACTIONS(1148),
    [aux_sym__list_destructing_token1] = ACTIONS(1150),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_self] = ACTIONS(1150),
    [anon_sym_parent] = ACTIONS(1150),
    [aux_sym__argument_name_token1] = ACTIONS(1150),
    [aux_sym__argument_name_token2] = ACTIONS(1150),
    [anon_sym_POUND_LBRACK] = ACTIONS(1148),
    [aux_sym_encapsed_string_token1] = ACTIONS(1148),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [aux_sym_string_token1] = ACTIONS(1148),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [anon_sym_LT_LT_LT] = ACTIONS(1148),
    [anon_sym_BQUOTE] = ACTIONS(1148),
    [anon_sym_DOLLAR] = ACTIONS(1148),
    [aux_sym_yield_expression_token1] = ACTIONS(1150),
    [aux_sym_include_expression_token1] = ACTIONS(1150),
    [aux_sym_include_once_expression_token1] = ACTIONS(1150),
    [aux_sym_require_expression_token1] = ACTIONS(1150),
    [aux_sym_require_once_expression_token1] = ACTIONS(1150),
    [sym_comment] = ACTIONS(5),
  },
  [478] = {
    [sym_text_interpolation] = STATE(478),
    [ts_builtin_sym_end] = ACTIONS(1152),
    [sym_name] = ACTIONS(1154),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1152),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1154),
    [aux_sym_global_declaration_token1] = ACTIONS(1154),
    [aux_sym_namespace_definition_token1] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1154),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1154),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1154),
    [anon_sym_BSLASH] = ACTIONS(1152),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_RBRACE] = ACTIONS(1152),
    [aux_sym_trait_declaration_token1] = ACTIONS(1154),
    [aux_sym_interface_declaration_token1] = ACTIONS(1154),
    [aux_sym_enum_declaration_token1] = ACTIONS(1154),
    [aux_sym_enum_case_token1] = ACTIONS(1154),
    [aux_sym_class_declaration_token1] = ACTIONS(1154),
    [aux_sym_final_modifier_token1] = ACTIONS(1154),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1154),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1154),
    [sym_var_modifier] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1154),
    [anon_sym_LPAREN2] = ACTIONS(1152),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1154),
    [aux_sym_cast_type_token1] = ACTIONS(1154),
    [aux_sym_echo_statement_token1] = ACTIONS(1154),
    [aux_sym_exit_statement_token1] = ACTIONS(1154),
    [anon_sym_unset] = ACTIONS(1154),
    [aux_sym_declare_statement_token1] = ACTIONS(1154),
    [aux_sym_declare_statement_token2] = ACTIONS(1154),
    [sym_float] = ACTIONS(1154),
    [aux_sym_try_statement_token1] = ACTIONS(1154),
    [aux_sym_goto_statement_token1] = ACTIONS(1154),
    [aux_sym_continue_statement_token1] = ACTIONS(1154),
    [aux_sym_break_statement_token1] = ACTIONS(1154),
    [sym_integer] = ACTIONS(1154),
    [aux_sym_return_statement_token1] = ACTIONS(1154),
    [aux_sym_throw_expression_token1] = ACTIONS(1154),
    [aux_sym_while_statement_token1] = ACTIONS(1154),
    [aux_sym_while_statement_token2] = ACTIONS(1154),
    [aux_sym_do_statement_token1] = ACTIONS(1154),
    [aux_sym_for_statement_token1] = ACTIONS(1154),
    [aux_sym_for_statement_token2] = ACTIONS(1154),
    [aux_sym_foreach_statement_token1] = ACTIONS(1154),
    [aux_sym_foreach_statement_token2] = ACTIONS(1154),
    [aux_sym_if_statement_token1] = ACTIONS(1154),
    [aux_sym_if_statement_token2] = ACTIONS(1154),
    [aux_sym_else_if_clause_token1] = ACTIONS(1154),
    [aux_sym_else_clause_token1] = ACTIONS(1154),
    [aux_sym_match_expression_token1] = ACTIONS(1154),
    [aux_sym_match_default_expression_token1] = ACTIONS(1154),
    [aux_sym_switch_statement_token1] = ACTIONS(1154),
    [aux_sym_switch_block_token1] = ACTIONS(1154),
    [anon_sym_PLUS] = ACTIONS(1154),
    [anon_sym_DASH] = ACTIONS(1154),
    [anon_sym_TILDE] = ACTIONS(1152),
    [anon_sym_BANG] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(1152),
    [aux_sym_clone_expression_token1] = ACTIONS(1154),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1154),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1152),
    [aux_sym__list_destructing_token1] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(1152),
    [anon_sym_self] = ACTIONS(1154),
    [anon_sym_parent] = ACTIONS(1154),
    [aux_sym__argument_name_token1] = ACTIONS(1154),
    [aux_sym__argument_name_token2] = ACTIONS(1154),
    [anon_sym_POUND_LBRACK] = ACTIONS(1152),
    [aux_sym_encapsed_string_token1] = ACTIONS(1152),
    [anon_sym_DQUOTE] = ACTIONS(1152),
    [aux_sym_string_token1] = ACTIONS(1152),
    [anon_sym_SQUOTE] = ACTIONS(1152),
    [anon_sym_LT_LT_LT] = ACTIONS(1152),
    [anon_sym_BQUOTE] = ACTIONS(1152),
    [anon_sym_DOLLAR] = ACTIONS(1152),
    [aux_sym_yield_expression_token1] = ACTIONS(1154),
    [aux_sym_include_expression_token1] = ACTIONS(1154),
    [aux_sym_include_once_expression_token1] = ACTIONS(1154),
    [aux_sym_require_expression_token1] = ACTIONS(1154),
    [aux_sym_require_once_expression_token1] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
  },
  [479] = {
    [sym_text_interpolation] = STATE(479),
    [ts_builtin_sym_end] = ACTIONS(1156),
    [sym_name] = ACTIONS(1158),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1156),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1158),
    [aux_sym_global_declaration_token1] = ACTIONS(1158),
    [aux_sym_namespace_definition_token1] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1158),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1158),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1158),
    [anon_sym_BSLASH] = ACTIONS(1156),
    [anon_sym_LBRACE] = ACTIONS(1156),
    [anon_sym_RBRACE] = ACTIONS(1156),
    [aux_sym_trait_declaration_token1] = ACTIONS(1158),
    [aux_sym_interface_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_case_token1] = ACTIONS(1158),
    [aux_sym_class_declaration_token1] = ACTIONS(1158),
    [aux_sym_final_modifier_token1] = ACTIONS(1158),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1158),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1158),
    [sym_var_modifier] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1158),
    [anon_sym_LPAREN2] = ACTIONS(1156),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1158),
    [aux_sym_cast_type_token1] = ACTIONS(1158),
    [aux_sym_echo_statement_token1] = ACTIONS(1158),
    [aux_sym_exit_statement_token1] = ACTIONS(1158),
    [anon_sym_unset] = ACTIONS(1158),
    [aux_sym_declare_statement_token1] = ACTIONS(1158),
    [aux_sym_declare_statement_token2] = ACTIONS(1158),
    [sym_float] = ACTIONS(1158),
    [aux_sym_try_statement_token1] = ACTIONS(1158),
    [aux_sym_goto_statement_token1] = ACTIONS(1158),
    [aux_sym_continue_statement_token1] = ACTIONS(1158),
    [aux_sym_break_statement_token1] = ACTIONS(1158),
    [sym_integer] = ACTIONS(1158),
    [aux_sym_return_statement_token1] = ACTIONS(1158),
    [aux_sym_throw_expression_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token2] = ACTIONS(1158),
    [aux_sym_do_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token2] = ACTIONS(1158),
    [aux_sym_foreach_statement_token1] = ACTIONS(1158),
    [aux_sym_foreach_statement_token2] = ACTIONS(1158),
    [aux_sym_if_statement_token1] = ACTIONS(1158),
    [aux_sym_if_statement_token2] = ACTIONS(1158),
    [aux_sym_else_if_clause_token1] = ACTIONS(1158),
    [aux_sym_else_clause_token1] = ACTIONS(1158),
    [aux_sym_match_expression_token1] = ACTIONS(1158),
    [aux_sym_match_default_expression_token1] = ACTIONS(1158),
    [aux_sym_switch_statement_token1] = ACTIONS(1158),
    [aux_sym_switch_block_token1] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1158),
    [anon_sym_DASH] = ACTIONS(1158),
    [anon_sym_TILDE] = ACTIONS(1156),
    [anon_sym_BANG] = ACTIONS(1156),
    [anon_sym_AT] = ACTIONS(1156),
    [aux_sym_clone_expression_token1] = ACTIONS(1158),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1158),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1158),
    [anon_sym_DASH_DASH] = ACTIONS(1156),
    [anon_sym_PLUS_PLUS] = ACTIONS(1156),
    [aux_sym__list_destructing_token1] = ACTIONS(1158),
    [anon_sym_LBRACK] = ACTIONS(1156),
    [anon_sym_self] = ACTIONS(1158),
    [anon_sym_parent] = ACTIONS(1158),
    [aux_sym__argument_name_token1] = ACTIONS(1158),
    [aux_sym__argument_name_token2] = ACTIONS(1158),
    [anon_sym_POUND_LBRACK] = ACTIONS(1156),
    [aux_sym_encapsed_string_token1] = ACTIONS(1156),
    [anon_sym_DQUOTE] = ACTIONS(1156),
    [aux_sym_string_token1] = ACTIONS(1156),
    [anon_sym_SQUOTE] = ACTIONS(1156),
    [anon_sym_LT_LT_LT] = ACTIONS(1156),
    [anon_sym_BQUOTE] = ACTIONS(1156),
    [anon_sym_DOLLAR] = ACTIONS(1156),
    [aux_sym_yield_expression_token1] = ACTIONS(1158),
    [aux_sym_include_expression_token1] = ACTIONS(1158),
    [aux_sym_include_once_expression_token1] = ACTIONS(1158),
    [aux_sym_require_expression_token1] = ACTIONS(1158),
    [aux_sym_require_once_expression_token1] = ACTIONS(1158),
    [sym_comment] = ACTIONS(5),
  },
  [480] = {
    [sym_text_interpolation] = STATE(480),
    [ts_builtin_sym_end] = ACTIONS(1160),
    [sym_name] = ACTIONS(1162),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1160),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1162),
    [aux_sym_global_declaration_token1] = ACTIONS(1162),
    [aux_sym_namespace_definition_token1] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1162),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1162),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1162),
    [anon_sym_BSLASH] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(1160),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [aux_sym_trait_declaration_token1] = ACTIONS(1162),
    [aux_sym_interface_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_case_token1] = ACTIONS(1162),
    [aux_sym_class_declaration_token1] = ACTIONS(1162),
    [aux_sym_final_modifier_token1] = ACTIONS(1162),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1162),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1162),
    [sym_var_modifier] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1162),
    [anon_sym_LPAREN2] = ACTIONS(1160),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1162),
    [aux_sym_cast_type_token1] = ACTIONS(1162),
    [aux_sym_echo_statement_token1] = ACTIONS(1162),
    [aux_sym_exit_statement_token1] = ACTIONS(1162),
    [anon_sym_unset] = ACTIONS(1162),
    [aux_sym_declare_statement_token1] = ACTIONS(1162),
    [aux_sym_declare_statement_token2] = ACTIONS(1162),
    [sym_float] = ACTIONS(1162),
    [aux_sym_try_statement_token1] = ACTIONS(1162),
    [aux_sym_goto_statement_token1] = ACTIONS(1162),
    [aux_sym_continue_statement_token1] = ACTIONS(1162),
    [aux_sym_break_statement_token1] = ACTIONS(1162),
    [sym_integer] = ACTIONS(1162),
    [aux_sym_return_statement_token1] = ACTIONS(1162),
    [aux_sym_throw_expression_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token2] = ACTIONS(1162),
    [aux_sym_do_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token2] = ACTIONS(1162),
    [aux_sym_foreach_statement_token1] = ACTIONS(1162),
    [aux_sym_foreach_statement_token2] = ACTIONS(1162),
    [aux_sym_if_statement_token1] = ACTIONS(1162),
    [aux_sym_if_statement_token2] = ACTIONS(1162),
    [aux_sym_else_if_clause_token1] = ACTIONS(1162),
    [aux_sym_else_clause_token1] = ACTIONS(1162),
    [aux_sym_match_expression_token1] = ACTIONS(1162),
    [aux_sym_match_default_expression_token1] = ACTIONS(1162),
    [aux_sym_switch_statement_token1] = ACTIONS(1162),
    [aux_sym_switch_block_token1] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1162),
    [anon_sym_DASH] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(1160),
    [aux_sym_clone_expression_token1] = ACTIONS(1162),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1162),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1162),
    [anon_sym_DASH_DASH] = ACTIONS(1160),
    [anon_sym_PLUS_PLUS] = ACTIONS(1160),
    [aux_sym__list_destructing_token1] = ACTIONS(1162),
    [anon_sym_LBRACK] = ACTIONS(1160),
    [anon_sym_self] = ACTIONS(1162),
    [anon_sym_parent] = ACTIONS(1162),
    [aux_sym__argument_name_token1] = ACTIONS(1162),
    [aux_sym__argument_name_token2] = ACTIONS(1162),
    [anon_sym_POUND_LBRACK] = ACTIONS(1160),
    [aux_sym_encapsed_string_token1] = ACTIONS(1160),
    [anon_sym_DQUOTE] = ACTIONS(1160),
    [aux_sym_string_token1] = ACTIONS(1160),
    [anon_sym_SQUOTE] = ACTIONS(1160),
    [anon_sym_LT_LT_LT] = ACTIONS(1160),
    [anon_sym_BQUOTE] = ACTIONS(1160),
    [anon_sym_DOLLAR] = ACTIONS(1160),
    [aux_sym_yield_expression_token1] = ACTIONS(1162),
    [aux_sym_include_expression_token1] = ACTIONS(1162),
    [aux_sym_include_once_expression_token1] = ACTIONS(1162),
    [aux_sym_require_expression_token1] = ACTIONS(1162),
    [aux_sym_require_once_expression_token1] = ACTIONS(1162),
    [sym_comment] = ACTIONS(5),
  },
  [481] = {
    [sym_text_interpolation] = STATE(481),
    [ts_builtin_sym_end] = ACTIONS(1164),
    [sym_name] = ACTIONS(1166),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1164),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1166),
    [aux_sym_global_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_definition_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1166),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1166),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1166),
    [anon_sym_BSLASH] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [aux_sym_trait_declaration_token1] = ACTIONS(1166),
    [aux_sym_interface_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_case_token1] = ACTIONS(1166),
    [aux_sym_class_declaration_token1] = ACTIONS(1166),
    [aux_sym_final_modifier_token1] = ACTIONS(1166),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1166),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1166),
    [sym_var_modifier] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1166),
    [anon_sym_LPAREN2] = ACTIONS(1164),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1166),
    [aux_sym_cast_type_token1] = ACTIONS(1166),
    [aux_sym_echo_statement_token1] = ACTIONS(1166),
    [aux_sym_exit_statement_token1] = ACTIONS(1166),
    [anon_sym_unset] = ACTIONS(1166),
    [aux_sym_declare_statement_token1] = ACTIONS(1166),
    [aux_sym_declare_statement_token2] = ACTIONS(1166),
    [sym_float] = ACTIONS(1166),
    [aux_sym_try_statement_token1] = ACTIONS(1166),
    [aux_sym_goto_statement_token1] = ACTIONS(1166),
    [aux_sym_continue_statement_token1] = ACTIONS(1166),
    [aux_sym_break_statement_token1] = ACTIONS(1166),
    [sym_integer] = ACTIONS(1166),
    [aux_sym_return_statement_token1] = ACTIONS(1166),
    [aux_sym_throw_expression_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token2] = ACTIONS(1166),
    [aux_sym_do_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token2] = ACTIONS(1166),
    [aux_sym_foreach_statement_token1] = ACTIONS(1166),
    [aux_sym_foreach_statement_token2] = ACTIONS(1166),
    [aux_sym_if_statement_token1] = ACTIONS(1166),
    [aux_sym_if_statement_token2] = ACTIONS(1166),
    [aux_sym_else_if_clause_token1] = ACTIONS(1166),
    [aux_sym_else_clause_token1] = ACTIONS(1166),
    [aux_sym_match_expression_token1] = ACTIONS(1166),
    [aux_sym_match_default_expression_token1] = ACTIONS(1166),
    [aux_sym_switch_statement_token1] = ACTIONS(1166),
    [aux_sym_switch_block_token1] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1166),
    [anon_sym_TILDE] = ACTIONS(1164),
    [anon_sym_BANG] = ACTIONS(1164),
    [anon_sym_AT] = ACTIONS(1164),
    [aux_sym_clone_expression_token1] = ACTIONS(1166),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1166),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1166),
    [anon_sym_DASH_DASH] = ACTIONS(1164),
    [anon_sym_PLUS_PLUS] = ACTIONS(1164),
    [aux_sym__list_destructing_token1] = ACTIONS(1166),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_self] = ACTIONS(1166),
    [anon_sym_parent] = ACTIONS(1166),
    [aux_sym__argument_name_token1] = ACTIONS(1166),
    [aux_sym__argument_name_token2] = ACTIONS(1166),
    [anon_sym_POUND_LBRACK] = ACTIONS(1164),
    [aux_sym_encapsed_string_token1] = ACTIONS(1164),
    [anon_sym_DQUOTE] = ACTIONS(1164),
    [aux_sym_string_token1] = ACTIONS(1164),
    [anon_sym_SQUOTE] = ACTIONS(1164),
    [anon_sym_LT_LT_LT] = ACTIONS(1164),
    [anon_sym_BQUOTE] = ACTIONS(1164),
    [anon_sym_DOLLAR] = ACTIONS(1164),
    [aux_sym_yield_expression_token1] = ACTIONS(1166),
    [aux_sym_include_expression_token1] = ACTIONS(1166),
    [aux_sym_include_once_expression_token1] = ACTIONS(1166),
    [aux_sym_require_expression_token1] = ACTIONS(1166),
    [aux_sym_require_once_expression_token1] = ACTIONS(1166),
    [sym_comment] = ACTIONS(5),
  },
  [482] = {
    [sym_text_interpolation] = STATE(482),
    [ts_builtin_sym_end] = ACTIONS(1168),
    [sym_name] = ACTIONS(1170),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1168),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1170),
    [aux_sym_global_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_definition_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1170),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1170),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1170),
    [anon_sym_BSLASH] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1168),
    [anon_sym_RBRACE] = ACTIONS(1168),
    [aux_sym_trait_declaration_token1] = ACTIONS(1170),
    [aux_sym_interface_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_case_token1] = ACTIONS(1170),
    [aux_sym_class_declaration_token1] = ACTIONS(1170),
    [aux_sym_final_modifier_token1] = ACTIONS(1170),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1170),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1170),
    [sym_var_modifier] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1170),
    [anon_sym_LPAREN2] = ACTIONS(1168),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1170),
    [aux_sym_cast_type_token1] = ACTIONS(1170),
    [aux_sym_echo_statement_token1] = ACTIONS(1170),
    [aux_sym_exit_statement_token1] = ACTIONS(1170),
    [anon_sym_unset] = ACTIONS(1170),
    [aux_sym_declare_statement_token1] = ACTIONS(1170),
    [aux_sym_declare_statement_token2] = ACTIONS(1170),
    [sym_float] = ACTIONS(1170),
    [aux_sym_try_statement_token1] = ACTIONS(1170),
    [aux_sym_goto_statement_token1] = ACTIONS(1170),
    [aux_sym_continue_statement_token1] = ACTIONS(1170),
    [aux_sym_break_statement_token1] = ACTIONS(1170),
    [sym_integer] = ACTIONS(1170),
    [aux_sym_return_statement_token1] = ACTIONS(1170),
    [aux_sym_throw_expression_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token2] = ACTIONS(1170),
    [aux_sym_do_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token2] = ACTIONS(1170),
    [aux_sym_foreach_statement_token1] = ACTIONS(1170),
    [aux_sym_foreach_statement_token2] = ACTIONS(1170),
    [aux_sym_if_statement_token1] = ACTIONS(1170),
    [aux_sym_if_statement_token2] = ACTIONS(1170),
    [aux_sym_else_if_clause_token1] = ACTIONS(1170),
    [aux_sym_else_clause_token1] = ACTIONS(1170),
    [aux_sym_match_expression_token1] = ACTIONS(1170),
    [aux_sym_match_default_expression_token1] = ACTIONS(1170),
    [aux_sym_switch_statement_token1] = ACTIONS(1170),
    [aux_sym_switch_block_token1] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1168),
    [anon_sym_BANG] = ACTIONS(1168),
    [anon_sym_AT] = ACTIONS(1168),
    [aux_sym_clone_expression_token1] = ACTIONS(1170),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1170),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1170),
    [anon_sym_DASH_DASH] = ACTIONS(1168),
    [anon_sym_PLUS_PLUS] = ACTIONS(1168),
    [aux_sym__list_destructing_token1] = ACTIONS(1170),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_self] = ACTIONS(1170),
    [anon_sym_parent] = ACTIONS(1170),
    [aux_sym__argument_name_token1] = ACTIONS(1170),
    [aux_sym__argument_name_token2] = ACTIONS(1170),
    [anon_sym_POUND_LBRACK] = ACTIONS(1168),
    [aux_sym_encapsed_string_token1] = ACTIONS(1168),
    [anon_sym_DQUOTE] = ACTIONS(1168),
    [aux_sym_string_token1] = ACTIONS(1168),
    [anon_sym_SQUOTE] = ACTIONS(1168),
    [anon_sym_LT_LT_LT] = ACTIONS(1168),
    [anon_sym_BQUOTE] = ACTIONS(1168),
    [anon_sym_DOLLAR] = ACTIONS(1168),
    [aux_sym_yield_expression_token1] = ACTIONS(1170),
    [aux_sym_include_expression_token1] = ACTIONS(1170),
    [aux_sym_include_once_expression_token1] = ACTIONS(1170),
    [aux_sym_require_expression_token1] = ACTIONS(1170),
    [aux_sym_require_once_expression_token1] = ACTIONS(1170),
    [sym_comment] = ACTIONS(5),
  },
  [483] = {
    [sym_text_interpolation] = STATE(483),
    [ts_builtin_sym_end] = ACTIONS(1172),
    [sym_name] = ACTIONS(1174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1172),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1174),
    [aux_sym_global_declaration_token1] = ACTIONS(1174),
    [aux_sym_namespace_definition_token1] = ACTIONS(1174),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1174),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1174),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1174),
    [anon_sym_BSLASH] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1172),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [aux_sym_trait_declaration_token1] = ACTIONS(1174),
    [aux_sym_interface_declaration_token1] = ACTIONS(1174),
    [aux_sym_enum_declaration_token1] = ACTIONS(1174),
    [aux_sym_enum_case_token1] = ACTIONS(1174),
    [aux_sym_class_declaration_token1] = ACTIONS(1174),
    [aux_sym_final_modifier_token1] = ACTIONS(1174),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1174),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1174),
    [sym_var_modifier] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1174),
    [anon_sym_LPAREN2] = ACTIONS(1172),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1174),
    [aux_sym_cast_type_token1] = ACTIONS(1174),
    [aux_sym_echo_statement_token1] = ACTIONS(1174),
    [aux_sym_exit_statement_token1] = ACTIONS(1174),
    [anon_sym_unset] = ACTIONS(1174),
    [aux_sym_declare_statement_token1] = ACTIONS(1174),
    [aux_sym_declare_statement_token2] = ACTIONS(1174),
    [sym_float] = ACTIONS(1174),
    [aux_sym_try_statement_token1] = ACTIONS(1174),
    [aux_sym_goto_statement_token1] = ACTIONS(1174),
    [aux_sym_continue_statement_token1] = ACTIONS(1174),
    [aux_sym_break_statement_token1] = ACTIONS(1174),
    [sym_integer] = ACTIONS(1174),
    [aux_sym_return_statement_token1] = ACTIONS(1174),
    [aux_sym_throw_expression_token1] = ACTIONS(1174),
    [aux_sym_while_statement_token1] = ACTIONS(1174),
    [aux_sym_while_statement_token2] = ACTIONS(1174),
    [aux_sym_do_statement_token1] = ACTIONS(1174),
    [aux_sym_for_statement_token1] = ACTIONS(1174),
    [aux_sym_for_statement_token2] = ACTIONS(1174),
    [aux_sym_foreach_statement_token1] = ACTIONS(1174),
    [aux_sym_foreach_statement_token2] = ACTIONS(1174),
    [aux_sym_if_statement_token1] = ACTIONS(1174),
    [aux_sym_if_statement_token2] = ACTIONS(1174),
    [aux_sym_else_if_clause_token1] = ACTIONS(1174),
    [aux_sym_else_clause_token1] = ACTIONS(1174),
    [aux_sym_match_expression_token1] = ACTIONS(1174),
    [aux_sym_match_default_expression_token1] = ACTIONS(1174),
    [aux_sym_switch_statement_token1] = ACTIONS(1174),
    [aux_sym_switch_block_token1] = ACTIONS(1174),
    [anon_sym_PLUS] = ACTIONS(1174),
    [anon_sym_DASH] = ACTIONS(1174),
    [anon_sym_TILDE] = ACTIONS(1172),
    [anon_sym_BANG] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(1172),
    [aux_sym_clone_expression_token1] = ACTIONS(1174),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1174),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1174),
    [anon_sym_DASH_DASH] = ACTIONS(1172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1172),
    [aux_sym__list_destructing_token1] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_self] = ACTIONS(1174),
    [anon_sym_parent] = ACTIONS(1174),
    [aux_sym__argument_name_token1] = ACTIONS(1174),
    [aux_sym__argument_name_token2] = ACTIONS(1174),
    [anon_sym_POUND_LBRACK] = ACTIONS(1172),
    [aux_sym_encapsed_string_token1] = ACTIONS(1172),
    [anon_sym_DQUOTE] = ACTIONS(1172),
    [aux_sym_string_token1] = ACTIONS(1172),
    [anon_sym_SQUOTE] = ACTIONS(1172),
    [anon_sym_LT_LT_LT] = ACTIONS(1172),
    [anon_sym_BQUOTE] = ACTIONS(1172),
    [anon_sym_DOLLAR] = ACTIONS(1172),
    [aux_sym_yield_expression_token1] = ACTIONS(1174),
    [aux_sym_include_expression_token1] = ACTIONS(1174),
    [aux_sym_include_once_expression_token1] = ACTIONS(1174),
    [aux_sym_require_expression_token1] = ACTIONS(1174),
    [aux_sym_require_once_expression_token1] = ACTIONS(1174),
    [sym_comment] = ACTIONS(5),
  },
  [484] = {
    [sym_text_interpolation] = STATE(484),
    [ts_builtin_sym_end] = ACTIONS(1176),
    [sym_name] = ACTIONS(1178),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1178),
    [aux_sym_global_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_definition_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1178),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1178),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1178),
    [anon_sym_BSLASH] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym_RBRACE] = ACTIONS(1176),
    [aux_sym_trait_declaration_token1] = ACTIONS(1178),
    [aux_sym_interface_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_case_token1] = ACTIONS(1178),
    [aux_sym_class_declaration_token1] = ACTIONS(1178),
    [aux_sym_final_modifier_token1] = ACTIONS(1178),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1178),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1178),
    [sym_var_modifier] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1178),
    [anon_sym_LPAREN2] = ACTIONS(1176),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1178),
    [aux_sym_cast_type_token1] = ACTIONS(1178),
    [aux_sym_echo_statement_token1] = ACTIONS(1178),
    [aux_sym_exit_statement_token1] = ACTIONS(1178),
    [anon_sym_unset] = ACTIONS(1178),
    [aux_sym_declare_statement_token1] = ACTIONS(1178),
    [aux_sym_declare_statement_token2] = ACTIONS(1178),
    [sym_float] = ACTIONS(1178),
    [aux_sym_try_statement_token1] = ACTIONS(1178),
    [aux_sym_goto_statement_token1] = ACTIONS(1178),
    [aux_sym_continue_statement_token1] = ACTIONS(1178),
    [aux_sym_break_statement_token1] = ACTIONS(1178),
    [sym_integer] = ACTIONS(1178),
    [aux_sym_return_statement_token1] = ACTIONS(1178),
    [aux_sym_throw_expression_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token2] = ACTIONS(1178),
    [aux_sym_do_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token2] = ACTIONS(1178),
    [aux_sym_foreach_statement_token1] = ACTIONS(1178),
    [aux_sym_foreach_statement_token2] = ACTIONS(1178),
    [aux_sym_if_statement_token1] = ACTIONS(1178),
    [aux_sym_if_statement_token2] = ACTIONS(1178),
    [aux_sym_else_if_clause_token1] = ACTIONS(1178),
    [aux_sym_else_clause_token1] = ACTIONS(1178),
    [aux_sym_match_expression_token1] = ACTIONS(1178),
    [aux_sym_match_default_expression_token1] = ACTIONS(1178),
    [aux_sym_switch_statement_token1] = ACTIONS(1178),
    [aux_sym_switch_block_token1] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1178),
    [anon_sym_DASH] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1176),
    [anon_sym_BANG] = ACTIONS(1176),
    [anon_sym_AT] = ACTIONS(1176),
    [aux_sym_clone_expression_token1] = ACTIONS(1178),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1178),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1178),
    [anon_sym_DASH_DASH] = ACTIONS(1176),
    [anon_sym_PLUS_PLUS] = ACTIONS(1176),
    [aux_sym__list_destructing_token1] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_self] = ACTIONS(1178),
    [anon_sym_parent] = ACTIONS(1178),
    [aux_sym__argument_name_token1] = ACTIONS(1178),
    [aux_sym__argument_name_token2] = ACTIONS(1178),
    [anon_sym_POUND_LBRACK] = ACTIONS(1176),
    [aux_sym_encapsed_string_token1] = ACTIONS(1176),
    [anon_sym_DQUOTE] = ACTIONS(1176),
    [aux_sym_string_token1] = ACTIONS(1176),
    [anon_sym_SQUOTE] = ACTIONS(1176),
    [anon_sym_LT_LT_LT] = ACTIONS(1176),
    [anon_sym_BQUOTE] = ACTIONS(1176),
    [anon_sym_DOLLAR] = ACTIONS(1176),
    [aux_sym_yield_expression_token1] = ACTIONS(1178),
    [aux_sym_include_expression_token1] = ACTIONS(1178),
    [aux_sym_include_once_expression_token1] = ACTIONS(1178),
    [aux_sym_require_expression_token1] = ACTIONS(1178),
    [aux_sym_require_once_expression_token1] = ACTIONS(1178),
    [sym_comment] = ACTIONS(5),
  },
  [485] = {
    [sym_text_interpolation] = STATE(485),
    [ts_builtin_sym_end] = ACTIONS(1180),
    [sym_name] = ACTIONS(1182),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1180),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1182),
    [aux_sym_global_declaration_token1] = ACTIONS(1182),
    [aux_sym_namespace_definition_token1] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1182),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1182),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1182),
    [anon_sym_BSLASH] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_RBRACE] = ACTIONS(1180),
    [aux_sym_trait_declaration_token1] = ACTIONS(1182),
    [aux_sym_interface_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_case_token1] = ACTIONS(1182),
    [aux_sym_class_declaration_token1] = ACTIONS(1182),
    [aux_sym_final_modifier_token1] = ACTIONS(1182),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1182),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1182),
    [sym_var_modifier] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1182),
    [anon_sym_LPAREN2] = ACTIONS(1180),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1182),
    [aux_sym_cast_type_token1] = ACTIONS(1182),
    [aux_sym_echo_statement_token1] = ACTIONS(1182),
    [aux_sym_exit_statement_token1] = ACTIONS(1182),
    [anon_sym_unset] = ACTIONS(1182),
    [aux_sym_declare_statement_token1] = ACTIONS(1182),
    [aux_sym_declare_statement_token2] = ACTIONS(1182),
    [sym_float] = ACTIONS(1182),
    [aux_sym_try_statement_token1] = ACTIONS(1182),
    [aux_sym_goto_statement_token1] = ACTIONS(1182),
    [aux_sym_continue_statement_token1] = ACTIONS(1182),
    [aux_sym_break_statement_token1] = ACTIONS(1182),
    [sym_integer] = ACTIONS(1182),
    [aux_sym_return_statement_token1] = ACTIONS(1182),
    [aux_sym_throw_expression_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token2] = ACTIONS(1182),
    [aux_sym_do_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token2] = ACTIONS(1182),
    [aux_sym_foreach_statement_token1] = ACTIONS(1182),
    [aux_sym_foreach_statement_token2] = ACTIONS(1182),
    [aux_sym_if_statement_token1] = ACTIONS(1182),
    [aux_sym_if_statement_token2] = ACTIONS(1182),
    [aux_sym_else_if_clause_token1] = ACTIONS(1182),
    [aux_sym_else_clause_token1] = ACTIONS(1182),
    [aux_sym_match_expression_token1] = ACTIONS(1182),
    [aux_sym_match_default_expression_token1] = ACTIONS(1182),
    [aux_sym_switch_statement_token1] = ACTIONS(1182),
    [aux_sym_switch_block_token1] = ACTIONS(1182),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_AT] = ACTIONS(1180),
    [aux_sym_clone_expression_token1] = ACTIONS(1182),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1182),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1182),
    [anon_sym_DASH_DASH] = ACTIONS(1180),
    [anon_sym_PLUS_PLUS] = ACTIONS(1180),
    [aux_sym__list_destructing_token1] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_self] = ACTIONS(1182),
    [anon_sym_parent] = ACTIONS(1182),
    [aux_sym__argument_name_token1] = ACTIONS(1182),
    [aux_sym__argument_name_token2] = ACTIONS(1182),
    [anon_sym_POUND_LBRACK] = ACTIONS(1180),
    [aux_sym_encapsed_string_token1] = ACTIONS(1180),
    [anon_sym_DQUOTE] = ACTIONS(1180),
    [aux_sym_string_token1] = ACTIONS(1180),
    [anon_sym_SQUOTE] = ACTIONS(1180),
    [anon_sym_LT_LT_LT] = ACTIONS(1180),
    [anon_sym_BQUOTE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1180),
    [aux_sym_yield_expression_token1] = ACTIONS(1182),
    [aux_sym_include_expression_token1] = ACTIONS(1182),
    [aux_sym_include_once_expression_token1] = ACTIONS(1182),
    [aux_sym_require_expression_token1] = ACTIONS(1182),
    [aux_sym_require_once_expression_token1] = ACTIONS(1182),
    [sym_comment] = ACTIONS(5),
  },
  [486] = {
    [sym_text_interpolation] = STATE(486),
    [ts_builtin_sym_end] = ACTIONS(1184),
    [sym_name] = ACTIONS(1186),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1184),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1186),
    [aux_sym_global_declaration_token1] = ACTIONS(1186),
    [aux_sym_namespace_definition_token1] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1186),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1186),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1186),
    [anon_sym_BSLASH] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1184),
    [aux_sym_trait_declaration_token1] = ACTIONS(1186),
    [aux_sym_interface_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_case_token1] = ACTIONS(1186),
    [aux_sym_class_declaration_token1] = ACTIONS(1186),
    [aux_sym_final_modifier_token1] = ACTIONS(1186),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1186),
    [sym_var_modifier] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1186),
    [anon_sym_LPAREN2] = ACTIONS(1184),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1186),
    [aux_sym_cast_type_token1] = ACTIONS(1186),
    [aux_sym_echo_statement_token1] = ACTIONS(1186),
    [aux_sym_exit_statement_token1] = ACTIONS(1186),
    [anon_sym_unset] = ACTIONS(1186),
    [aux_sym_declare_statement_token1] = ACTIONS(1186),
    [aux_sym_declare_statement_token2] = ACTIONS(1186),
    [sym_float] = ACTIONS(1186),
    [aux_sym_try_statement_token1] = ACTIONS(1186),
    [aux_sym_goto_statement_token1] = ACTIONS(1186),
    [aux_sym_continue_statement_token1] = ACTIONS(1186),
    [aux_sym_break_statement_token1] = ACTIONS(1186),
    [sym_integer] = ACTIONS(1186),
    [aux_sym_return_statement_token1] = ACTIONS(1186),
    [aux_sym_throw_expression_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token2] = ACTIONS(1186),
    [aux_sym_do_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token2] = ACTIONS(1186),
    [aux_sym_foreach_statement_token1] = ACTIONS(1186),
    [aux_sym_foreach_statement_token2] = ACTIONS(1186),
    [aux_sym_if_statement_token1] = ACTIONS(1186),
    [aux_sym_if_statement_token2] = ACTIONS(1186),
    [aux_sym_else_if_clause_token1] = ACTIONS(1186),
    [aux_sym_else_clause_token1] = ACTIONS(1186),
    [aux_sym_match_expression_token1] = ACTIONS(1186),
    [aux_sym_match_default_expression_token1] = ACTIONS(1186),
    [aux_sym_switch_statement_token1] = ACTIONS(1186),
    [aux_sym_switch_block_token1] = ACTIONS(1186),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1184),
    [anon_sym_AT] = ACTIONS(1184),
    [aux_sym_clone_expression_token1] = ACTIONS(1186),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1186),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1186),
    [anon_sym_DASH_DASH] = ACTIONS(1184),
    [anon_sym_PLUS_PLUS] = ACTIONS(1184),
    [aux_sym__list_destructing_token1] = ACTIONS(1186),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_self] = ACTIONS(1186),
    [anon_sym_parent] = ACTIONS(1186),
    [aux_sym__argument_name_token1] = ACTIONS(1186),
    [aux_sym__argument_name_token2] = ACTIONS(1186),
    [anon_sym_POUND_LBRACK] = ACTIONS(1184),
    [aux_sym_encapsed_string_token1] = ACTIONS(1184),
    [anon_sym_DQUOTE] = ACTIONS(1184),
    [aux_sym_string_token1] = ACTIONS(1184),
    [anon_sym_SQUOTE] = ACTIONS(1184),
    [anon_sym_LT_LT_LT] = ACTIONS(1184),
    [anon_sym_BQUOTE] = ACTIONS(1184),
    [anon_sym_DOLLAR] = ACTIONS(1184),
    [aux_sym_yield_expression_token1] = ACTIONS(1186),
    [aux_sym_include_expression_token1] = ACTIONS(1186),
    [aux_sym_include_once_expression_token1] = ACTIONS(1186),
    [aux_sym_require_expression_token1] = ACTIONS(1186),
    [aux_sym_require_once_expression_token1] = ACTIONS(1186),
    [sym_comment] = ACTIONS(5),
  },
  [487] = {
    [sym_text_interpolation] = STATE(487),
    [ts_builtin_sym_end] = ACTIONS(1188),
    [sym_name] = ACTIONS(1190),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1188),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1190),
    [aux_sym_global_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_definition_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1190),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1190),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1190),
    [anon_sym_BSLASH] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [aux_sym_trait_declaration_token1] = ACTIONS(1190),
    [aux_sym_interface_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_case_token1] = ACTIONS(1190),
    [aux_sym_class_declaration_token1] = ACTIONS(1190),
    [aux_sym_final_modifier_token1] = ACTIONS(1190),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1190),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1190),
    [sym_var_modifier] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1190),
    [anon_sym_LPAREN2] = ACTIONS(1188),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1190),
    [aux_sym_cast_type_token1] = ACTIONS(1190),
    [aux_sym_echo_statement_token1] = ACTIONS(1190),
    [aux_sym_exit_statement_token1] = ACTIONS(1190),
    [anon_sym_unset] = ACTIONS(1190),
    [aux_sym_declare_statement_token1] = ACTIONS(1190),
    [aux_sym_declare_statement_token2] = ACTIONS(1190),
    [sym_float] = ACTIONS(1190),
    [aux_sym_try_statement_token1] = ACTIONS(1190),
    [aux_sym_goto_statement_token1] = ACTIONS(1190),
    [aux_sym_continue_statement_token1] = ACTIONS(1190),
    [aux_sym_break_statement_token1] = ACTIONS(1190),
    [sym_integer] = ACTIONS(1190),
    [aux_sym_return_statement_token1] = ACTIONS(1190),
    [aux_sym_throw_expression_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token2] = ACTIONS(1190),
    [aux_sym_do_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token2] = ACTIONS(1190),
    [aux_sym_foreach_statement_token1] = ACTIONS(1190),
    [aux_sym_foreach_statement_token2] = ACTIONS(1190),
    [aux_sym_if_statement_token1] = ACTIONS(1190),
    [aux_sym_if_statement_token2] = ACTIONS(1190),
    [aux_sym_else_if_clause_token1] = ACTIONS(1190),
    [aux_sym_else_clause_token1] = ACTIONS(1190),
    [aux_sym_match_expression_token1] = ACTIONS(1190),
    [aux_sym_match_default_expression_token1] = ACTIONS(1190),
    [aux_sym_switch_statement_token1] = ACTIONS(1190),
    [aux_sym_switch_block_token1] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [anon_sym_AT] = ACTIONS(1188),
    [aux_sym_clone_expression_token1] = ACTIONS(1190),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1190),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [aux_sym__list_destructing_token1] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_self] = ACTIONS(1190),
    [anon_sym_parent] = ACTIONS(1190),
    [aux_sym__argument_name_token1] = ACTIONS(1190),
    [aux_sym__argument_name_token2] = ACTIONS(1190),
    [anon_sym_POUND_LBRACK] = ACTIONS(1188),
    [aux_sym_encapsed_string_token1] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [aux_sym_string_token1] = ACTIONS(1188),
    [anon_sym_SQUOTE] = ACTIONS(1188),
    [anon_sym_LT_LT_LT] = ACTIONS(1188),
    [anon_sym_BQUOTE] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1188),
    [aux_sym_yield_expression_token1] = ACTIONS(1190),
    [aux_sym_include_expression_token1] = ACTIONS(1190),
    [aux_sym_include_once_expression_token1] = ACTIONS(1190),
    [aux_sym_require_expression_token1] = ACTIONS(1190),
    [aux_sym_require_once_expression_token1] = ACTIONS(1190),
    [sym_comment] = ACTIONS(5),
  },
  [488] = {
    [sym_text_interpolation] = STATE(488),
    [ts_builtin_sym_end] = ACTIONS(1192),
    [sym_name] = ACTIONS(1194),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1192),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1194),
    [aux_sym_global_declaration_token1] = ACTIONS(1194),
    [aux_sym_namespace_definition_token1] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1194),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1194),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1194),
    [anon_sym_BSLASH] = ACTIONS(1192),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [aux_sym_trait_declaration_token1] = ACTIONS(1194),
    [aux_sym_interface_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_case_token1] = ACTIONS(1194),
    [aux_sym_class_declaration_token1] = ACTIONS(1194),
    [aux_sym_final_modifier_token1] = ACTIONS(1194),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1194),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1194),
    [sym_var_modifier] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1194),
    [anon_sym_LPAREN2] = ACTIONS(1192),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1194),
    [aux_sym_cast_type_token1] = ACTIONS(1194),
    [aux_sym_echo_statement_token1] = ACTIONS(1194),
    [aux_sym_exit_statement_token1] = ACTIONS(1194),
    [anon_sym_unset] = ACTIONS(1194),
    [aux_sym_declare_statement_token1] = ACTIONS(1194),
    [aux_sym_declare_statement_token2] = ACTIONS(1194),
    [sym_float] = ACTIONS(1194),
    [aux_sym_try_statement_token1] = ACTIONS(1194),
    [aux_sym_goto_statement_token1] = ACTIONS(1194),
    [aux_sym_continue_statement_token1] = ACTIONS(1194),
    [aux_sym_break_statement_token1] = ACTIONS(1194),
    [sym_integer] = ACTIONS(1194),
    [aux_sym_return_statement_token1] = ACTIONS(1194),
    [aux_sym_throw_expression_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token2] = ACTIONS(1194),
    [aux_sym_do_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token2] = ACTIONS(1194),
    [aux_sym_foreach_statement_token1] = ACTIONS(1194),
    [aux_sym_foreach_statement_token2] = ACTIONS(1194),
    [aux_sym_if_statement_token1] = ACTIONS(1194),
    [aux_sym_if_statement_token2] = ACTIONS(1194),
    [aux_sym_else_if_clause_token1] = ACTIONS(1194),
    [aux_sym_else_clause_token1] = ACTIONS(1194),
    [aux_sym_match_expression_token1] = ACTIONS(1194),
    [aux_sym_match_default_expression_token1] = ACTIONS(1194),
    [aux_sym_switch_statement_token1] = ACTIONS(1194),
    [aux_sym_switch_block_token1] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_AT] = ACTIONS(1192),
    [aux_sym_clone_expression_token1] = ACTIONS(1194),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1194),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [aux_sym__list_destructing_token1] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_self] = ACTIONS(1194),
    [anon_sym_parent] = ACTIONS(1194),
    [aux_sym__argument_name_token1] = ACTIONS(1194),
    [aux_sym__argument_name_token2] = ACTIONS(1194),
    [anon_sym_POUND_LBRACK] = ACTIONS(1192),
    [aux_sym_encapsed_string_token1] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [aux_sym_string_token1] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_LT_LT_LT] = ACTIONS(1192),
    [anon_sym_BQUOTE] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1192),
    [aux_sym_yield_expression_token1] = ACTIONS(1194),
    [aux_sym_include_expression_token1] = ACTIONS(1194),
    [aux_sym_include_once_expression_token1] = ACTIONS(1194),
    [aux_sym_require_expression_token1] = ACTIONS(1194),
    [aux_sym_require_once_expression_token1] = ACTIONS(1194),
    [sym_comment] = ACTIONS(5),
  },
  [489] = {
    [sym_text_interpolation] = STATE(489),
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_name] = ACTIONS(1198),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1196),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1198),
    [aux_sym_global_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_definition_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1198),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1198),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1198),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [aux_sym_trait_declaration_token1] = ACTIONS(1198),
    [aux_sym_interface_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_case_token1] = ACTIONS(1198),
    [aux_sym_class_declaration_token1] = ACTIONS(1198),
    [aux_sym_final_modifier_token1] = ACTIONS(1198),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1198),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1198),
    [sym_var_modifier] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1198),
    [anon_sym_LPAREN2] = ACTIONS(1196),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1198),
    [aux_sym_cast_type_token1] = ACTIONS(1198),
    [aux_sym_echo_statement_token1] = ACTIONS(1198),
    [aux_sym_exit_statement_token1] = ACTIONS(1198),
    [anon_sym_unset] = ACTIONS(1198),
    [aux_sym_declare_statement_token1] = ACTIONS(1198),
    [aux_sym_declare_statement_token2] = ACTIONS(1198),
    [sym_float] = ACTIONS(1198),
    [aux_sym_try_statement_token1] = ACTIONS(1198),
    [aux_sym_goto_statement_token1] = ACTIONS(1198),
    [aux_sym_continue_statement_token1] = ACTIONS(1198),
    [aux_sym_break_statement_token1] = ACTIONS(1198),
    [sym_integer] = ACTIONS(1198),
    [aux_sym_return_statement_token1] = ACTIONS(1198),
    [aux_sym_throw_expression_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token2] = ACTIONS(1198),
    [aux_sym_do_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token2] = ACTIONS(1198),
    [aux_sym_foreach_statement_token1] = ACTIONS(1198),
    [aux_sym_foreach_statement_token2] = ACTIONS(1198),
    [aux_sym_if_statement_token1] = ACTIONS(1198),
    [aux_sym_if_statement_token2] = ACTIONS(1198),
    [aux_sym_else_if_clause_token1] = ACTIONS(1198),
    [aux_sym_else_clause_token1] = ACTIONS(1198),
    [aux_sym_match_expression_token1] = ACTIONS(1198),
    [aux_sym_match_default_expression_token1] = ACTIONS(1198),
    [aux_sym_switch_statement_token1] = ACTIONS(1198),
    [aux_sym_switch_block_token1] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [anon_sym_AT] = ACTIONS(1196),
    [aux_sym_clone_expression_token1] = ACTIONS(1198),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1198),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [aux_sym__list_destructing_token1] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_self] = ACTIONS(1198),
    [anon_sym_parent] = ACTIONS(1198),
    [aux_sym__argument_name_token1] = ACTIONS(1198),
    [aux_sym__argument_name_token2] = ACTIONS(1198),
    [anon_sym_POUND_LBRACK] = ACTIONS(1196),
    [aux_sym_encapsed_string_token1] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1196),
    [aux_sym_string_token1] = ACTIONS(1196),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [anon_sym_LT_LT_LT] = ACTIONS(1196),
    [anon_sym_BQUOTE] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1196),
    [aux_sym_yield_expression_token1] = ACTIONS(1198),
    [aux_sym_include_expression_token1] = ACTIONS(1198),
    [aux_sym_include_once_expression_token1] = ACTIONS(1198),
    [aux_sym_require_expression_token1] = ACTIONS(1198),
    [aux_sym_require_once_expression_token1] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
  },
  [490] = {
    [sym_text_interpolation] = STATE(490),
    [ts_builtin_sym_end] = ACTIONS(1200),
    [sym_name] = ACTIONS(1202),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1200),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1202),
    [aux_sym_global_declaration_token1] = ACTIONS(1202),
    [aux_sym_namespace_definition_token1] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1202),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1202),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1202),
    [anon_sym_BSLASH] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [aux_sym_trait_declaration_token1] = ACTIONS(1202),
    [aux_sym_interface_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_case_token1] = ACTIONS(1202),
    [aux_sym_class_declaration_token1] = ACTIONS(1202),
    [aux_sym_final_modifier_token1] = ACTIONS(1202),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1202),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1202),
    [sym_var_modifier] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1202),
    [anon_sym_LPAREN2] = ACTIONS(1200),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1202),
    [aux_sym_cast_type_token1] = ACTIONS(1202),
    [aux_sym_echo_statement_token1] = ACTIONS(1202),
    [aux_sym_exit_statement_token1] = ACTIONS(1202),
    [anon_sym_unset] = ACTIONS(1202),
    [aux_sym_declare_statement_token1] = ACTIONS(1202),
    [aux_sym_declare_statement_token2] = ACTIONS(1202),
    [sym_float] = ACTIONS(1202),
    [aux_sym_try_statement_token1] = ACTIONS(1202),
    [aux_sym_goto_statement_token1] = ACTIONS(1202),
    [aux_sym_continue_statement_token1] = ACTIONS(1202),
    [aux_sym_break_statement_token1] = ACTIONS(1202),
    [sym_integer] = ACTIONS(1202),
    [aux_sym_return_statement_token1] = ACTIONS(1202),
    [aux_sym_throw_expression_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token2] = ACTIONS(1202),
    [aux_sym_do_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token2] = ACTIONS(1202),
    [aux_sym_foreach_statement_token1] = ACTIONS(1202),
    [aux_sym_foreach_statement_token2] = ACTIONS(1202),
    [aux_sym_if_statement_token1] = ACTIONS(1202),
    [aux_sym_if_statement_token2] = ACTIONS(1202),
    [aux_sym_else_if_clause_token1] = ACTIONS(1202),
    [aux_sym_else_clause_token1] = ACTIONS(1202),
    [aux_sym_match_expression_token1] = ACTIONS(1202),
    [aux_sym_match_default_expression_token1] = ACTIONS(1202),
    [aux_sym_switch_statement_token1] = ACTIONS(1202),
    [aux_sym_switch_block_token1] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1200),
    [anon_sym_AT] = ACTIONS(1200),
    [aux_sym_clone_expression_token1] = ACTIONS(1202),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1202),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1202),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [aux_sym__list_destructing_token1] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_self] = ACTIONS(1202),
    [anon_sym_parent] = ACTIONS(1202),
    [aux_sym__argument_name_token1] = ACTIONS(1202),
    [aux_sym__argument_name_token2] = ACTIONS(1202),
    [anon_sym_POUND_LBRACK] = ACTIONS(1200),
    [aux_sym_encapsed_string_token1] = ACTIONS(1200),
    [anon_sym_DQUOTE] = ACTIONS(1200),
    [aux_sym_string_token1] = ACTIONS(1200),
    [anon_sym_SQUOTE] = ACTIONS(1200),
    [anon_sym_LT_LT_LT] = ACTIONS(1200),
    [anon_sym_BQUOTE] = ACTIONS(1200),
    [anon_sym_DOLLAR] = ACTIONS(1200),
    [aux_sym_yield_expression_token1] = ACTIONS(1202),
    [aux_sym_include_expression_token1] = ACTIONS(1202),
    [aux_sym_include_once_expression_token1] = ACTIONS(1202),
    [aux_sym_require_expression_token1] = ACTIONS(1202),
    [aux_sym_require_once_expression_token1] = ACTIONS(1202),
    [sym_comment] = ACTIONS(5),
  },
  [491] = {
    [sym_text_interpolation] = STATE(491),
    [ts_builtin_sym_end] = ACTIONS(1204),
    [sym_name] = ACTIONS(1206),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1206),
    [aux_sym_global_declaration_token1] = ACTIONS(1206),
    [aux_sym_namespace_definition_token1] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1206),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1206),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1206),
    [anon_sym_BSLASH] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_RBRACE] = ACTIONS(1204),
    [aux_sym_trait_declaration_token1] = ACTIONS(1206),
    [aux_sym_interface_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_case_token1] = ACTIONS(1206),
    [aux_sym_class_declaration_token1] = ACTIONS(1206),
    [aux_sym_final_modifier_token1] = ACTIONS(1206),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1206),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1206),
    [sym_var_modifier] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1206),
    [anon_sym_LPAREN2] = ACTIONS(1204),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1206),
    [aux_sym_cast_type_token1] = ACTIONS(1206),
    [aux_sym_echo_statement_token1] = ACTIONS(1206),
    [aux_sym_exit_statement_token1] = ACTIONS(1206),
    [anon_sym_unset] = ACTIONS(1206),
    [aux_sym_declare_statement_token1] = ACTIONS(1206),
    [aux_sym_declare_statement_token2] = ACTIONS(1206),
    [sym_float] = ACTIONS(1206),
    [aux_sym_try_statement_token1] = ACTIONS(1206),
    [aux_sym_goto_statement_token1] = ACTIONS(1206),
    [aux_sym_continue_statement_token1] = ACTIONS(1206),
    [aux_sym_break_statement_token1] = ACTIONS(1206),
    [sym_integer] = ACTIONS(1206),
    [aux_sym_return_statement_token1] = ACTIONS(1206),
    [aux_sym_throw_expression_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token2] = ACTIONS(1206),
    [aux_sym_do_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token2] = ACTIONS(1206),
    [aux_sym_foreach_statement_token1] = ACTIONS(1206),
    [aux_sym_foreach_statement_token2] = ACTIONS(1206),
    [aux_sym_if_statement_token1] = ACTIONS(1206),
    [aux_sym_if_statement_token2] = ACTIONS(1206),
    [aux_sym_else_if_clause_token1] = ACTIONS(1206),
    [aux_sym_else_clause_token1] = ACTIONS(1206),
    [aux_sym_match_expression_token1] = ACTIONS(1206),
    [aux_sym_match_default_expression_token1] = ACTIONS(1206),
    [aux_sym_switch_statement_token1] = ACTIONS(1206),
    [aux_sym_switch_block_token1] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1204),
    [anon_sym_AT] = ACTIONS(1204),
    [aux_sym_clone_expression_token1] = ACTIONS(1206),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1206),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1206),
    [anon_sym_DASH_DASH] = ACTIONS(1204),
    [anon_sym_PLUS_PLUS] = ACTIONS(1204),
    [aux_sym__list_destructing_token1] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1204),
    [anon_sym_self] = ACTIONS(1206),
    [anon_sym_parent] = ACTIONS(1206),
    [aux_sym__argument_name_token1] = ACTIONS(1206),
    [aux_sym__argument_name_token2] = ACTIONS(1206),
    [anon_sym_POUND_LBRACK] = ACTIONS(1204),
    [aux_sym_encapsed_string_token1] = ACTIONS(1204),
    [anon_sym_DQUOTE] = ACTIONS(1204),
    [aux_sym_string_token1] = ACTIONS(1204),
    [anon_sym_SQUOTE] = ACTIONS(1204),
    [anon_sym_LT_LT_LT] = ACTIONS(1204),
    [anon_sym_BQUOTE] = ACTIONS(1204),
    [anon_sym_DOLLAR] = ACTIONS(1204),
    [aux_sym_yield_expression_token1] = ACTIONS(1206),
    [aux_sym_include_expression_token1] = ACTIONS(1206),
    [aux_sym_include_once_expression_token1] = ACTIONS(1206),
    [aux_sym_require_expression_token1] = ACTIONS(1206),
    [aux_sym_require_once_expression_token1] = ACTIONS(1206),
    [sym_comment] = ACTIONS(5),
  },
  [492] = {
    [sym_text_interpolation] = STATE(492),
    [ts_builtin_sym_end] = ACTIONS(1208),
    [sym_name] = ACTIONS(1210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1208),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1210),
    [aux_sym_global_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_definition_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1210),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1210),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1210),
    [anon_sym_BSLASH] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [aux_sym_trait_declaration_token1] = ACTIONS(1210),
    [aux_sym_interface_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_case_token1] = ACTIONS(1210),
    [aux_sym_class_declaration_token1] = ACTIONS(1210),
    [aux_sym_final_modifier_token1] = ACTIONS(1210),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1210),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1210),
    [sym_var_modifier] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1210),
    [anon_sym_LPAREN2] = ACTIONS(1208),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1210),
    [aux_sym_cast_type_token1] = ACTIONS(1210),
    [aux_sym_echo_statement_token1] = ACTIONS(1210),
    [aux_sym_exit_statement_token1] = ACTIONS(1210),
    [anon_sym_unset] = ACTIONS(1210),
    [aux_sym_declare_statement_token1] = ACTIONS(1210),
    [aux_sym_declare_statement_token2] = ACTIONS(1210),
    [sym_float] = ACTIONS(1210),
    [aux_sym_try_statement_token1] = ACTIONS(1210),
    [aux_sym_goto_statement_token1] = ACTIONS(1210),
    [aux_sym_continue_statement_token1] = ACTIONS(1210),
    [aux_sym_break_statement_token1] = ACTIONS(1210),
    [sym_integer] = ACTIONS(1210),
    [aux_sym_return_statement_token1] = ACTIONS(1210),
    [aux_sym_throw_expression_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token2] = ACTIONS(1210),
    [aux_sym_do_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token2] = ACTIONS(1210),
    [aux_sym_foreach_statement_token1] = ACTIONS(1210),
    [aux_sym_foreach_statement_token2] = ACTIONS(1210),
    [aux_sym_if_statement_token1] = ACTIONS(1210),
    [aux_sym_if_statement_token2] = ACTIONS(1210),
    [aux_sym_else_if_clause_token1] = ACTIONS(1210),
    [aux_sym_else_clause_token1] = ACTIONS(1210),
    [aux_sym_match_expression_token1] = ACTIONS(1210),
    [aux_sym_match_default_expression_token1] = ACTIONS(1210),
    [aux_sym_switch_statement_token1] = ACTIONS(1210),
    [aux_sym_switch_block_token1] = ACTIONS(1210),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_AT] = ACTIONS(1208),
    [aux_sym_clone_expression_token1] = ACTIONS(1210),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1210),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1210),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [aux_sym__list_destructing_token1] = ACTIONS(1210),
    [anon_sym_LBRACK] = ACTIONS(1208),
    [anon_sym_self] = ACTIONS(1210),
    [anon_sym_parent] = ACTIONS(1210),
    [aux_sym__argument_name_token1] = ACTIONS(1210),
    [aux_sym__argument_name_token2] = ACTIONS(1210),
    [anon_sym_POUND_LBRACK] = ACTIONS(1208),
    [aux_sym_encapsed_string_token1] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [aux_sym_string_token1] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_LT_LT_LT] = ACTIONS(1208),
    [anon_sym_BQUOTE] = ACTIONS(1208),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [aux_sym_yield_expression_token1] = ACTIONS(1210),
    [aux_sym_include_expression_token1] = ACTIONS(1210),
    [aux_sym_include_once_expression_token1] = ACTIONS(1210),
    [aux_sym_require_expression_token1] = ACTIONS(1210),
    [aux_sym_require_once_expression_token1] = ACTIONS(1210),
    [sym_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_text_interpolation] = STATE(493),
    [ts_builtin_sym_end] = ACTIONS(1212),
    [sym_name] = ACTIONS(1214),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1214),
    [aux_sym_global_declaration_token1] = ACTIONS(1214),
    [aux_sym_namespace_definition_token1] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1214),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1214),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1214),
    [anon_sym_BSLASH] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_RBRACE] = ACTIONS(1212),
    [aux_sym_trait_declaration_token1] = ACTIONS(1214),
    [aux_sym_interface_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_case_token1] = ACTIONS(1214),
    [aux_sym_class_declaration_token1] = ACTIONS(1214),
    [aux_sym_final_modifier_token1] = ACTIONS(1214),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1214),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1214),
    [sym_var_modifier] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1214),
    [anon_sym_LPAREN2] = ACTIONS(1212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1214),
    [aux_sym_cast_type_token1] = ACTIONS(1214),
    [aux_sym_echo_statement_token1] = ACTIONS(1214),
    [aux_sym_exit_statement_token1] = ACTIONS(1214),
    [anon_sym_unset] = ACTIONS(1214),
    [aux_sym_declare_statement_token1] = ACTIONS(1214),
    [aux_sym_declare_statement_token2] = ACTIONS(1214),
    [sym_float] = ACTIONS(1214),
    [aux_sym_try_statement_token1] = ACTIONS(1214),
    [aux_sym_goto_statement_token1] = ACTIONS(1214),
    [aux_sym_continue_statement_token1] = ACTIONS(1214),
    [aux_sym_break_statement_token1] = ACTIONS(1214),
    [sym_integer] = ACTIONS(1214),
    [aux_sym_return_statement_token1] = ACTIONS(1214),
    [aux_sym_throw_expression_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token2] = ACTIONS(1214),
    [aux_sym_do_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token2] = ACTIONS(1214),
    [aux_sym_foreach_statement_token1] = ACTIONS(1214),
    [aux_sym_foreach_statement_token2] = ACTIONS(1214),
    [aux_sym_if_statement_token1] = ACTIONS(1214),
    [aux_sym_if_statement_token2] = ACTIONS(1214),
    [aux_sym_else_if_clause_token1] = ACTIONS(1214),
    [aux_sym_else_clause_token1] = ACTIONS(1214),
    [aux_sym_match_expression_token1] = ACTIONS(1214),
    [aux_sym_match_default_expression_token1] = ACTIONS(1214),
    [aux_sym_switch_statement_token1] = ACTIONS(1214),
    [aux_sym_switch_block_token1] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_BANG] = ACTIONS(1212),
    [anon_sym_AT] = ACTIONS(1212),
    [aux_sym_clone_expression_token1] = ACTIONS(1214),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1214),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1212),
    [aux_sym__list_destructing_token1] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_self] = ACTIONS(1214),
    [anon_sym_parent] = ACTIONS(1214),
    [aux_sym__argument_name_token1] = ACTIONS(1214),
    [aux_sym__argument_name_token2] = ACTIONS(1214),
    [anon_sym_POUND_LBRACK] = ACTIONS(1212),
    [aux_sym_encapsed_string_token1] = ACTIONS(1212),
    [anon_sym_DQUOTE] = ACTIONS(1212),
    [aux_sym_string_token1] = ACTIONS(1212),
    [anon_sym_SQUOTE] = ACTIONS(1212),
    [anon_sym_LT_LT_LT] = ACTIONS(1212),
    [anon_sym_BQUOTE] = ACTIONS(1212),
    [anon_sym_DOLLAR] = ACTIONS(1212),
    [aux_sym_yield_expression_token1] = ACTIONS(1214),
    [aux_sym_include_expression_token1] = ACTIONS(1214),
    [aux_sym_include_once_expression_token1] = ACTIONS(1214),
    [aux_sym_require_expression_token1] = ACTIONS(1214),
    [aux_sym_require_once_expression_token1] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_text_interpolation] = STATE(494),
    [ts_builtin_sym_end] = ACTIONS(1216),
    [sym_name] = ACTIONS(1218),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1216),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1218),
    [aux_sym_global_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_definition_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1218),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1218),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1218),
    [anon_sym_BSLASH] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_RBRACE] = ACTIONS(1216),
    [aux_sym_trait_declaration_token1] = ACTIONS(1218),
    [aux_sym_interface_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_case_token1] = ACTIONS(1218),
    [aux_sym_class_declaration_token1] = ACTIONS(1218),
    [aux_sym_final_modifier_token1] = ACTIONS(1218),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1218),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1218),
    [sym_var_modifier] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1218),
    [anon_sym_LPAREN2] = ACTIONS(1216),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1218),
    [aux_sym_cast_type_token1] = ACTIONS(1218),
    [aux_sym_echo_statement_token1] = ACTIONS(1218),
    [aux_sym_exit_statement_token1] = ACTIONS(1218),
    [anon_sym_unset] = ACTIONS(1218),
    [aux_sym_declare_statement_token1] = ACTIONS(1218),
    [aux_sym_declare_statement_token2] = ACTIONS(1218),
    [sym_float] = ACTIONS(1218),
    [aux_sym_try_statement_token1] = ACTIONS(1218),
    [aux_sym_goto_statement_token1] = ACTIONS(1218),
    [aux_sym_continue_statement_token1] = ACTIONS(1218),
    [aux_sym_break_statement_token1] = ACTIONS(1218),
    [sym_integer] = ACTIONS(1218),
    [aux_sym_return_statement_token1] = ACTIONS(1218),
    [aux_sym_throw_expression_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token2] = ACTIONS(1218),
    [aux_sym_do_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token2] = ACTIONS(1218),
    [aux_sym_foreach_statement_token1] = ACTIONS(1218),
    [aux_sym_foreach_statement_token2] = ACTIONS(1218),
    [aux_sym_if_statement_token1] = ACTIONS(1218),
    [aux_sym_if_statement_token2] = ACTIONS(1218),
    [aux_sym_else_if_clause_token1] = ACTIONS(1218),
    [aux_sym_else_clause_token1] = ACTIONS(1218),
    [aux_sym_match_expression_token1] = ACTIONS(1218),
    [aux_sym_match_default_expression_token1] = ACTIONS(1218),
    [aux_sym_switch_statement_token1] = ACTIONS(1218),
    [aux_sym_switch_block_token1] = ACTIONS(1218),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_AT] = ACTIONS(1216),
    [aux_sym_clone_expression_token1] = ACTIONS(1218),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1218),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1218),
    [anon_sym_DASH_DASH] = ACTIONS(1216),
    [anon_sym_PLUS_PLUS] = ACTIONS(1216),
    [aux_sym__list_destructing_token1] = ACTIONS(1218),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [anon_sym_self] = ACTIONS(1218),
    [anon_sym_parent] = ACTIONS(1218),
    [aux_sym__argument_name_token1] = ACTIONS(1218),
    [aux_sym__argument_name_token2] = ACTIONS(1218),
    [anon_sym_POUND_LBRACK] = ACTIONS(1216),
    [aux_sym_encapsed_string_token1] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1216),
    [aux_sym_string_token1] = ACTIONS(1216),
    [anon_sym_SQUOTE] = ACTIONS(1216),
    [anon_sym_LT_LT_LT] = ACTIONS(1216),
    [anon_sym_BQUOTE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1216),
    [aux_sym_yield_expression_token1] = ACTIONS(1218),
    [aux_sym_include_expression_token1] = ACTIONS(1218),
    [aux_sym_include_once_expression_token1] = ACTIONS(1218),
    [aux_sym_require_expression_token1] = ACTIONS(1218),
    [aux_sym_require_once_expression_token1] = ACTIONS(1218),
    [sym_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_text_interpolation] = STATE(495),
    [ts_builtin_sym_end] = ACTIONS(1220),
    [sym_name] = ACTIONS(1222),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1220),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1222),
    [aux_sym_global_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_definition_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1222),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1222),
    [anon_sym_BSLASH] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1220),
    [anon_sym_RBRACE] = ACTIONS(1220),
    [aux_sym_trait_declaration_token1] = ACTIONS(1222),
    [aux_sym_interface_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_case_token1] = ACTIONS(1222),
    [aux_sym_class_declaration_token1] = ACTIONS(1222),
    [aux_sym_final_modifier_token1] = ACTIONS(1222),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1222),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1222),
    [sym_var_modifier] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1222),
    [anon_sym_LPAREN2] = ACTIONS(1220),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1222),
    [aux_sym_cast_type_token1] = ACTIONS(1222),
    [aux_sym_echo_statement_token1] = ACTIONS(1222),
    [aux_sym_exit_statement_token1] = ACTIONS(1222),
    [anon_sym_unset] = ACTIONS(1222),
    [aux_sym_declare_statement_token1] = ACTIONS(1222),
    [aux_sym_declare_statement_token2] = ACTIONS(1222),
    [sym_float] = ACTIONS(1222),
    [aux_sym_try_statement_token1] = ACTIONS(1222),
    [aux_sym_goto_statement_token1] = ACTIONS(1222),
    [aux_sym_continue_statement_token1] = ACTIONS(1222),
    [aux_sym_break_statement_token1] = ACTIONS(1222),
    [sym_integer] = ACTIONS(1222),
    [aux_sym_return_statement_token1] = ACTIONS(1222),
    [aux_sym_throw_expression_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token2] = ACTIONS(1222),
    [aux_sym_do_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token2] = ACTIONS(1222),
    [aux_sym_foreach_statement_token1] = ACTIONS(1222),
    [aux_sym_foreach_statement_token2] = ACTIONS(1222),
    [aux_sym_if_statement_token1] = ACTIONS(1222),
    [aux_sym_if_statement_token2] = ACTIONS(1222),
    [aux_sym_else_if_clause_token1] = ACTIONS(1222),
    [aux_sym_else_clause_token1] = ACTIONS(1222),
    [aux_sym_match_expression_token1] = ACTIONS(1222),
    [aux_sym_match_default_expression_token1] = ACTIONS(1222),
    [aux_sym_switch_statement_token1] = ACTIONS(1222),
    [aux_sym_switch_block_token1] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1220),
    [anon_sym_BANG] = ACTIONS(1220),
    [anon_sym_AT] = ACTIONS(1220),
    [aux_sym_clone_expression_token1] = ACTIONS(1222),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1222),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [aux_sym__list_destructing_token1] = ACTIONS(1222),
    [anon_sym_LBRACK] = ACTIONS(1220),
    [anon_sym_self] = ACTIONS(1222),
    [anon_sym_parent] = ACTIONS(1222),
    [aux_sym__argument_name_token1] = ACTIONS(1222),
    [aux_sym__argument_name_token2] = ACTIONS(1222),
    [anon_sym_POUND_LBRACK] = ACTIONS(1220),
    [aux_sym_encapsed_string_token1] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [aux_sym_string_token1] = ACTIONS(1220),
    [anon_sym_SQUOTE] = ACTIONS(1220),
    [anon_sym_LT_LT_LT] = ACTIONS(1220),
    [anon_sym_BQUOTE] = ACTIONS(1220),
    [anon_sym_DOLLAR] = ACTIONS(1220),
    [aux_sym_yield_expression_token1] = ACTIONS(1222),
    [aux_sym_include_expression_token1] = ACTIONS(1222),
    [aux_sym_include_once_expression_token1] = ACTIONS(1222),
    [aux_sym_require_expression_token1] = ACTIONS(1222),
    [aux_sym_require_once_expression_token1] = ACTIONS(1222),
    [sym_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_text_interpolation] = STATE(496),
    [ts_builtin_sym_end] = ACTIONS(1224),
    [sym_name] = ACTIONS(1226),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1224),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1226),
    [aux_sym_global_declaration_token1] = ACTIONS(1226),
    [aux_sym_namespace_definition_token1] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1226),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1226),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1226),
    [anon_sym_BSLASH] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_RBRACE] = ACTIONS(1224),
    [aux_sym_trait_declaration_token1] = ACTIONS(1226),
    [aux_sym_interface_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_case_token1] = ACTIONS(1226),
    [aux_sym_class_declaration_token1] = ACTIONS(1226),
    [aux_sym_final_modifier_token1] = ACTIONS(1226),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1226),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1226),
    [sym_var_modifier] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1226),
    [anon_sym_LPAREN2] = ACTIONS(1224),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1226),
    [aux_sym_cast_type_token1] = ACTIONS(1226),
    [aux_sym_echo_statement_token1] = ACTIONS(1226),
    [aux_sym_exit_statement_token1] = ACTIONS(1226),
    [anon_sym_unset] = ACTIONS(1226),
    [aux_sym_declare_statement_token1] = ACTIONS(1226),
    [aux_sym_declare_statement_token2] = ACTIONS(1226),
    [sym_float] = ACTIONS(1226),
    [aux_sym_try_statement_token1] = ACTIONS(1226),
    [aux_sym_goto_statement_token1] = ACTIONS(1226),
    [aux_sym_continue_statement_token1] = ACTIONS(1226),
    [aux_sym_break_statement_token1] = ACTIONS(1226),
    [sym_integer] = ACTIONS(1226),
    [aux_sym_return_statement_token1] = ACTIONS(1226),
    [aux_sym_throw_expression_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token2] = ACTIONS(1226),
    [aux_sym_do_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token2] = ACTIONS(1226),
    [aux_sym_foreach_statement_token1] = ACTIONS(1226),
    [aux_sym_foreach_statement_token2] = ACTIONS(1226),
    [aux_sym_if_statement_token1] = ACTIONS(1226),
    [aux_sym_if_statement_token2] = ACTIONS(1226),
    [aux_sym_else_if_clause_token1] = ACTIONS(1226),
    [aux_sym_else_clause_token1] = ACTIONS(1226),
    [aux_sym_match_expression_token1] = ACTIONS(1226),
    [aux_sym_match_default_expression_token1] = ACTIONS(1226),
    [aux_sym_switch_statement_token1] = ACTIONS(1226),
    [aux_sym_switch_block_token1] = ACTIONS(1226),
    [anon_sym_PLUS] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_AT] = ACTIONS(1224),
    [aux_sym_clone_expression_token1] = ACTIONS(1226),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1226),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1226),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [aux_sym__list_destructing_token1] = ACTIONS(1226),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_self] = ACTIONS(1226),
    [anon_sym_parent] = ACTIONS(1226),
    [aux_sym__argument_name_token1] = ACTIONS(1226),
    [aux_sym__argument_name_token2] = ACTIONS(1226),
    [anon_sym_POUND_LBRACK] = ACTIONS(1224),
    [aux_sym_encapsed_string_token1] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [aux_sym_string_token1] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1224),
    [anon_sym_LT_LT_LT] = ACTIONS(1224),
    [anon_sym_BQUOTE] = ACTIONS(1224),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [aux_sym_yield_expression_token1] = ACTIONS(1226),
    [aux_sym_include_expression_token1] = ACTIONS(1226),
    [aux_sym_include_once_expression_token1] = ACTIONS(1226),
    [aux_sym_require_expression_token1] = ACTIONS(1226),
    [aux_sym_require_once_expression_token1] = ACTIONS(1226),
    [sym_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_text_interpolation] = STATE(497),
    [ts_builtin_sym_end] = ACTIONS(1228),
    [sym_name] = ACTIONS(1230),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1228),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1230),
    [aux_sym_global_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_definition_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1230),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1230),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1230),
    [anon_sym_BSLASH] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1228),
    [anon_sym_RBRACE] = ACTIONS(1228),
    [aux_sym_trait_declaration_token1] = ACTIONS(1230),
    [aux_sym_interface_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_case_token1] = ACTIONS(1230),
    [aux_sym_class_declaration_token1] = ACTIONS(1230),
    [aux_sym_final_modifier_token1] = ACTIONS(1230),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1230),
    [sym_var_modifier] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1230),
    [anon_sym_LPAREN2] = ACTIONS(1228),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1230),
    [aux_sym_cast_type_token1] = ACTIONS(1230),
    [aux_sym_echo_statement_token1] = ACTIONS(1230),
    [aux_sym_exit_statement_token1] = ACTIONS(1230),
    [anon_sym_unset] = ACTIONS(1230),
    [aux_sym_declare_statement_token1] = ACTIONS(1230),
    [aux_sym_declare_statement_token2] = ACTIONS(1230),
    [sym_float] = ACTIONS(1230),
    [aux_sym_try_statement_token1] = ACTIONS(1230),
    [aux_sym_goto_statement_token1] = ACTIONS(1230),
    [aux_sym_continue_statement_token1] = ACTIONS(1230),
    [aux_sym_break_statement_token1] = ACTIONS(1230),
    [sym_integer] = ACTIONS(1230),
    [aux_sym_return_statement_token1] = ACTIONS(1230),
    [aux_sym_throw_expression_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token2] = ACTIONS(1230),
    [aux_sym_do_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token2] = ACTIONS(1230),
    [aux_sym_foreach_statement_token1] = ACTIONS(1230),
    [aux_sym_foreach_statement_token2] = ACTIONS(1230),
    [aux_sym_if_statement_token1] = ACTIONS(1230),
    [aux_sym_if_statement_token2] = ACTIONS(1230),
    [aux_sym_else_if_clause_token1] = ACTIONS(1230),
    [aux_sym_else_clause_token1] = ACTIONS(1230),
    [aux_sym_match_expression_token1] = ACTIONS(1230),
    [aux_sym_match_default_expression_token1] = ACTIONS(1230),
    [aux_sym_switch_statement_token1] = ACTIONS(1230),
    [aux_sym_switch_block_token1] = ACTIONS(1230),
    [anon_sym_PLUS] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1228),
    [anon_sym_BANG] = ACTIONS(1228),
    [anon_sym_AT] = ACTIONS(1228),
    [aux_sym_clone_expression_token1] = ACTIONS(1230),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1230),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1230),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [aux_sym__list_destructing_token1] = ACTIONS(1230),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_self] = ACTIONS(1230),
    [anon_sym_parent] = ACTIONS(1230),
    [aux_sym__argument_name_token1] = ACTIONS(1230),
    [aux_sym__argument_name_token2] = ACTIONS(1230),
    [anon_sym_POUND_LBRACK] = ACTIONS(1228),
    [aux_sym_encapsed_string_token1] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [aux_sym_string_token1] = ACTIONS(1228),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [anon_sym_LT_LT_LT] = ACTIONS(1228),
    [anon_sym_BQUOTE] = ACTIONS(1228),
    [anon_sym_DOLLAR] = ACTIONS(1228),
    [aux_sym_yield_expression_token1] = ACTIONS(1230),
    [aux_sym_include_expression_token1] = ACTIONS(1230),
    [aux_sym_include_once_expression_token1] = ACTIONS(1230),
    [aux_sym_require_expression_token1] = ACTIONS(1230),
    [aux_sym_require_once_expression_token1] = ACTIONS(1230),
    [sym_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_text_interpolation] = STATE(498),
    [ts_builtin_sym_end] = ACTIONS(1232),
    [sym_name] = ACTIONS(1234),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1232),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1234),
    [aux_sym_global_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_definition_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1234),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1234),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1234),
    [anon_sym_BSLASH] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_RBRACE] = ACTIONS(1232),
    [aux_sym_trait_declaration_token1] = ACTIONS(1234),
    [aux_sym_interface_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_case_token1] = ACTIONS(1234),
    [aux_sym_class_declaration_token1] = ACTIONS(1234),
    [aux_sym_final_modifier_token1] = ACTIONS(1234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1234),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1234),
    [sym_var_modifier] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1234),
    [anon_sym_LPAREN2] = ACTIONS(1232),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1234),
    [aux_sym_cast_type_token1] = ACTIONS(1234),
    [aux_sym_echo_statement_token1] = ACTIONS(1234),
    [aux_sym_exit_statement_token1] = ACTIONS(1234),
    [anon_sym_unset] = ACTIONS(1234),
    [aux_sym_declare_statement_token1] = ACTIONS(1234),
    [aux_sym_declare_statement_token2] = ACTIONS(1234),
    [sym_float] = ACTIONS(1234),
    [aux_sym_try_statement_token1] = ACTIONS(1234),
    [aux_sym_goto_statement_token1] = ACTIONS(1234),
    [aux_sym_continue_statement_token1] = ACTIONS(1234),
    [aux_sym_break_statement_token1] = ACTIONS(1234),
    [sym_integer] = ACTIONS(1234),
    [aux_sym_return_statement_token1] = ACTIONS(1234),
    [aux_sym_throw_expression_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token2] = ACTIONS(1234),
    [aux_sym_do_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token2] = ACTIONS(1234),
    [aux_sym_foreach_statement_token1] = ACTIONS(1234),
    [aux_sym_foreach_statement_token2] = ACTIONS(1234),
    [aux_sym_if_statement_token1] = ACTIONS(1234),
    [aux_sym_if_statement_token2] = ACTIONS(1234),
    [aux_sym_else_if_clause_token1] = ACTIONS(1234),
    [aux_sym_else_clause_token1] = ACTIONS(1234),
    [aux_sym_match_expression_token1] = ACTIONS(1234),
    [aux_sym_match_default_expression_token1] = ACTIONS(1234),
    [aux_sym_switch_statement_token1] = ACTIONS(1234),
    [aux_sym_switch_block_token1] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_AT] = ACTIONS(1232),
    [aux_sym_clone_expression_token1] = ACTIONS(1234),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1234),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1234),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [aux_sym__list_destructing_token1] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(1232),
    [anon_sym_self] = ACTIONS(1234),
    [anon_sym_parent] = ACTIONS(1234),
    [aux_sym__argument_name_token1] = ACTIONS(1234),
    [aux_sym__argument_name_token2] = ACTIONS(1234),
    [anon_sym_POUND_LBRACK] = ACTIONS(1232),
    [aux_sym_encapsed_string_token1] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [aux_sym_string_token1] = ACTIONS(1232),
    [anon_sym_SQUOTE] = ACTIONS(1232),
    [anon_sym_LT_LT_LT] = ACTIONS(1232),
    [anon_sym_BQUOTE] = ACTIONS(1232),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [aux_sym_yield_expression_token1] = ACTIONS(1234),
    [aux_sym_include_expression_token1] = ACTIONS(1234),
    [aux_sym_include_once_expression_token1] = ACTIONS(1234),
    [aux_sym_require_expression_token1] = ACTIONS(1234),
    [aux_sym_require_once_expression_token1] = ACTIONS(1234),
    [sym_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_text_interpolation] = STATE(499),
    [ts_builtin_sym_end] = ACTIONS(1236),
    [sym_name] = ACTIONS(1238),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1236),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1238),
    [aux_sym_global_declaration_token1] = ACTIONS(1238),
    [aux_sym_namespace_definition_token1] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1238),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1238),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1238),
    [anon_sym_BSLASH] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_RBRACE] = ACTIONS(1236),
    [aux_sym_trait_declaration_token1] = ACTIONS(1238),
    [aux_sym_interface_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_case_token1] = ACTIONS(1238),
    [aux_sym_class_declaration_token1] = ACTIONS(1238),
    [aux_sym_final_modifier_token1] = ACTIONS(1238),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1238),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1238),
    [sym_var_modifier] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1238),
    [anon_sym_LPAREN2] = ACTIONS(1236),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1238),
    [aux_sym_cast_type_token1] = ACTIONS(1238),
    [aux_sym_echo_statement_token1] = ACTIONS(1238),
    [aux_sym_exit_statement_token1] = ACTIONS(1238),
    [anon_sym_unset] = ACTIONS(1238),
    [aux_sym_declare_statement_token1] = ACTIONS(1238),
    [aux_sym_declare_statement_token2] = ACTIONS(1238),
    [sym_float] = ACTIONS(1238),
    [aux_sym_try_statement_token1] = ACTIONS(1238),
    [aux_sym_goto_statement_token1] = ACTIONS(1238),
    [aux_sym_continue_statement_token1] = ACTIONS(1238),
    [aux_sym_break_statement_token1] = ACTIONS(1238),
    [sym_integer] = ACTIONS(1238),
    [aux_sym_return_statement_token1] = ACTIONS(1238),
    [aux_sym_throw_expression_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token2] = ACTIONS(1238),
    [aux_sym_do_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token2] = ACTIONS(1238),
    [aux_sym_foreach_statement_token1] = ACTIONS(1238),
    [aux_sym_foreach_statement_token2] = ACTIONS(1238),
    [aux_sym_if_statement_token1] = ACTIONS(1238),
    [aux_sym_if_statement_token2] = ACTIONS(1238),
    [aux_sym_else_if_clause_token1] = ACTIONS(1238),
    [aux_sym_else_clause_token1] = ACTIONS(1238),
    [aux_sym_match_expression_token1] = ACTIONS(1238),
    [aux_sym_match_default_expression_token1] = ACTIONS(1238),
    [aux_sym_switch_statement_token1] = ACTIONS(1238),
    [aux_sym_switch_block_token1] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_AT] = ACTIONS(1236),
    [aux_sym_clone_expression_token1] = ACTIONS(1238),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1238),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1238),
    [anon_sym_DASH_DASH] = ACTIONS(1236),
    [anon_sym_PLUS_PLUS] = ACTIONS(1236),
    [aux_sym__list_destructing_token1] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_self] = ACTIONS(1238),
    [anon_sym_parent] = ACTIONS(1238),
    [aux_sym__argument_name_token1] = ACTIONS(1238),
    [aux_sym__argument_name_token2] = ACTIONS(1238),
    [anon_sym_POUND_LBRACK] = ACTIONS(1236),
    [aux_sym_encapsed_string_token1] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1236),
    [aux_sym_string_token1] = ACTIONS(1236),
    [anon_sym_SQUOTE] = ACTIONS(1236),
    [anon_sym_LT_LT_LT] = ACTIONS(1236),
    [anon_sym_BQUOTE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1236),
    [aux_sym_yield_expression_token1] = ACTIONS(1238),
    [aux_sym_include_expression_token1] = ACTIONS(1238),
    [aux_sym_include_once_expression_token1] = ACTIONS(1238),
    [aux_sym_require_expression_token1] = ACTIONS(1238),
    [aux_sym_require_once_expression_token1] = ACTIONS(1238),
    [sym_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_text_interpolation] = STATE(500),
    [ts_builtin_sym_end] = ACTIONS(1240),
    [sym_name] = ACTIONS(1242),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1240),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1242),
    [aux_sym_global_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_definition_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1242),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1242),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1242),
    [anon_sym_BSLASH] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [aux_sym_trait_declaration_token1] = ACTIONS(1242),
    [aux_sym_interface_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_case_token1] = ACTIONS(1242),
    [aux_sym_class_declaration_token1] = ACTIONS(1242),
    [aux_sym_final_modifier_token1] = ACTIONS(1242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1242),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1242),
    [sym_var_modifier] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1242),
    [anon_sym_LPAREN2] = ACTIONS(1240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1242),
    [aux_sym_cast_type_token1] = ACTIONS(1242),
    [aux_sym_echo_statement_token1] = ACTIONS(1242),
    [aux_sym_exit_statement_token1] = ACTIONS(1242),
    [anon_sym_unset] = ACTIONS(1242),
    [aux_sym_declare_statement_token1] = ACTIONS(1242),
    [aux_sym_declare_statement_token2] = ACTIONS(1242),
    [sym_float] = ACTIONS(1242),
    [aux_sym_try_statement_token1] = ACTIONS(1242),
    [aux_sym_goto_statement_token1] = ACTIONS(1242),
    [aux_sym_continue_statement_token1] = ACTIONS(1242),
    [aux_sym_break_statement_token1] = ACTIONS(1242),
    [sym_integer] = ACTIONS(1242),
    [aux_sym_return_statement_token1] = ACTIONS(1242),
    [aux_sym_throw_expression_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token2] = ACTIONS(1242),
    [aux_sym_do_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token2] = ACTIONS(1242),
    [aux_sym_foreach_statement_token1] = ACTIONS(1242),
    [aux_sym_foreach_statement_token2] = ACTIONS(1242),
    [aux_sym_if_statement_token1] = ACTIONS(1242),
    [aux_sym_if_statement_token2] = ACTIONS(1242),
    [aux_sym_else_if_clause_token1] = ACTIONS(1242),
    [aux_sym_else_clause_token1] = ACTIONS(1242),
    [aux_sym_match_expression_token1] = ACTIONS(1242),
    [aux_sym_match_default_expression_token1] = ACTIONS(1242),
    [aux_sym_switch_statement_token1] = ACTIONS(1242),
    [aux_sym_switch_block_token1] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_AT] = ACTIONS(1240),
    [aux_sym_clone_expression_token1] = ACTIONS(1242),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1242),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1242),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [aux_sym__list_destructing_token1] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1240),
    [anon_sym_self] = ACTIONS(1242),
    [anon_sym_parent] = ACTIONS(1242),
    [aux_sym__argument_name_token1] = ACTIONS(1242),
    [aux_sym__argument_name_token2] = ACTIONS(1242),
    [anon_sym_POUND_LBRACK] = ACTIONS(1240),
    [aux_sym_encapsed_string_token1] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [aux_sym_string_token1] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [anon_sym_LT_LT_LT] = ACTIONS(1240),
    [anon_sym_BQUOTE] = ACTIONS(1240),
    [anon_sym_DOLLAR] = ACTIONS(1240),
    [aux_sym_yield_expression_token1] = ACTIONS(1242),
    [aux_sym_include_expression_token1] = ACTIONS(1242),
    [aux_sym_include_once_expression_token1] = ACTIONS(1242),
    [aux_sym_require_expression_token1] = ACTIONS(1242),
    [aux_sym_require_once_expression_token1] = ACTIONS(1242),
    [sym_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_text_interpolation] = STATE(501),
    [ts_builtin_sym_end] = ACTIONS(1244),
    [sym_name] = ACTIONS(1246),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1244),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1246),
    [aux_sym_global_declaration_token1] = ACTIONS(1246),
    [aux_sym_namespace_definition_token1] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1246),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1246),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1246),
    [anon_sym_BSLASH] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_RBRACE] = ACTIONS(1244),
    [aux_sym_trait_declaration_token1] = ACTIONS(1246),
    [aux_sym_interface_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_case_token1] = ACTIONS(1246),
    [aux_sym_class_declaration_token1] = ACTIONS(1246),
    [aux_sym_final_modifier_token1] = ACTIONS(1246),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1246),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1246),
    [sym_var_modifier] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1246),
    [anon_sym_LPAREN2] = ACTIONS(1244),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1246),
    [aux_sym_cast_type_token1] = ACTIONS(1246),
    [aux_sym_echo_statement_token1] = ACTIONS(1246),
    [aux_sym_exit_statement_token1] = ACTIONS(1246),
    [anon_sym_unset] = ACTIONS(1246),
    [aux_sym_declare_statement_token1] = ACTIONS(1246),
    [aux_sym_declare_statement_token2] = ACTIONS(1246),
    [sym_float] = ACTIONS(1246),
    [aux_sym_try_statement_token1] = ACTIONS(1246),
    [aux_sym_goto_statement_token1] = ACTIONS(1246),
    [aux_sym_continue_statement_token1] = ACTIONS(1246),
    [aux_sym_break_statement_token1] = ACTIONS(1246),
    [sym_integer] = ACTIONS(1246),
    [aux_sym_return_statement_token1] = ACTIONS(1246),
    [aux_sym_throw_expression_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token2] = ACTIONS(1246),
    [aux_sym_do_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token2] = ACTIONS(1246),
    [aux_sym_foreach_statement_token1] = ACTIONS(1246),
    [aux_sym_foreach_statement_token2] = ACTIONS(1246),
    [aux_sym_if_statement_token1] = ACTIONS(1246),
    [aux_sym_if_statement_token2] = ACTIONS(1246),
    [aux_sym_else_if_clause_token1] = ACTIONS(1246),
    [aux_sym_else_clause_token1] = ACTIONS(1246),
    [aux_sym_match_expression_token1] = ACTIONS(1246),
    [aux_sym_match_default_expression_token1] = ACTIONS(1246),
    [aux_sym_switch_statement_token1] = ACTIONS(1246),
    [aux_sym_switch_block_token1] = ACTIONS(1246),
    [anon_sym_PLUS] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1244),
    [anon_sym_BANG] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1244),
    [aux_sym_clone_expression_token1] = ACTIONS(1246),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1246),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1246),
    [anon_sym_DASH_DASH] = ACTIONS(1244),
    [anon_sym_PLUS_PLUS] = ACTIONS(1244),
    [aux_sym__list_destructing_token1] = ACTIONS(1246),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [anon_sym_self] = ACTIONS(1246),
    [anon_sym_parent] = ACTIONS(1246),
    [aux_sym__argument_name_token1] = ACTIONS(1246),
    [aux_sym__argument_name_token2] = ACTIONS(1246),
    [anon_sym_POUND_LBRACK] = ACTIONS(1244),
    [aux_sym_encapsed_string_token1] = ACTIONS(1244),
    [anon_sym_DQUOTE] = ACTIONS(1244),
    [aux_sym_string_token1] = ACTIONS(1244),
    [anon_sym_SQUOTE] = ACTIONS(1244),
    [anon_sym_LT_LT_LT] = ACTIONS(1244),
    [anon_sym_BQUOTE] = ACTIONS(1244),
    [anon_sym_DOLLAR] = ACTIONS(1244),
    [aux_sym_yield_expression_token1] = ACTIONS(1246),
    [aux_sym_include_expression_token1] = ACTIONS(1246),
    [aux_sym_include_once_expression_token1] = ACTIONS(1246),
    [aux_sym_require_expression_token1] = ACTIONS(1246),
    [aux_sym_require_once_expression_token1] = ACTIONS(1246),
    [sym_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_text_interpolation] = STATE(502),
    [ts_builtin_sym_end] = ACTIONS(1248),
    [sym_name] = ACTIONS(1250),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1248),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1250),
    [aux_sym_global_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_definition_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1250),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1250),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1250),
    [anon_sym_BSLASH] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [aux_sym_trait_declaration_token1] = ACTIONS(1250),
    [aux_sym_interface_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_case_token1] = ACTIONS(1250),
    [aux_sym_class_declaration_token1] = ACTIONS(1250),
    [aux_sym_final_modifier_token1] = ACTIONS(1250),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1250),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1250),
    [sym_var_modifier] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1250),
    [anon_sym_LPAREN2] = ACTIONS(1248),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1250),
    [aux_sym_cast_type_token1] = ACTIONS(1250),
    [aux_sym_echo_statement_token1] = ACTIONS(1250),
    [aux_sym_exit_statement_token1] = ACTIONS(1250),
    [anon_sym_unset] = ACTIONS(1250),
    [aux_sym_declare_statement_token1] = ACTIONS(1250),
    [aux_sym_declare_statement_token2] = ACTIONS(1250),
    [sym_float] = ACTIONS(1250),
    [aux_sym_try_statement_token1] = ACTIONS(1250),
    [aux_sym_goto_statement_token1] = ACTIONS(1250),
    [aux_sym_continue_statement_token1] = ACTIONS(1250),
    [aux_sym_break_statement_token1] = ACTIONS(1250),
    [sym_integer] = ACTIONS(1250),
    [aux_sym_return_statement_token1] = ACTIONS(1250),
    [aux_sym_throw_expression_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token2] = ACTIONS(1250),
    [aux_sym_do_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token2] = ACTIONS(1250),
    [aux_sym_foreach_statement_token1] = ACTIONS(1250),
    [aux_sym_foreach_statement_token2] = ACTIONS(1250),
    [aux_sym_if_statement_token1] = ACTIONS(1250),
    [aux_sym_if_statement_token2] = ACTIONS(1250),
    [aux_sym_else_if_clause_token1] = ACTIONS(1250),
    [aux_sym_else_clause_token1] = ACTIONS(1250),
    [aux_sym_match_expression_token1] = ACTIONS(1250),
    [aux_sym_match_default_expression_token1] = ACTIONS(1250),
    [aux_sym_switch_statement_token1] = ACTIONS(1250),
    [aux_sym_switch_block_token1] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(1248),
    [anon_sym_AT] = ACTIONS(1248),
    [aux_sym_clone_expression_token1] = ACTIONS(1250),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1250),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1250),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [aux_sym__list_destructing_token1] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_self] = ACTIONS(1250),
    [anon_sym_parent] = ACTIONS(1250),
    [aux_sym__argument_name_token1] = ACTIONS(1250),
    [aux_sym__argument_name_token2] = ACTIONS(1250),
    [anon_sym_POUND_LBRACK] = ACTIONS(1248),
    [aux_sym_encapsed_string_token1] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [aux_sym_string_token1] = ACTIONS(1248),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [anon_sym_LT_LT_LT] = ACTIONS(1248),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [anon_sym_DOLLAR] = ACTIONS(1248),
    [aux_sym_yield_expression_token1] = ACTIONS(1250),
    [aux_sym_include_expression_token1] = ACTIONS(1250),
    [aux_sym_include_once_expression_token1] = ACTIONS(1250),
    [aux_sym_require_expression_token1] = ACTIONS(1250),
    [aux_sym_require_once_expression_token1] = ACTIONS(1250),
    [sym_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_text_interpolation] = STATE(503),
    [ts_builtin_sym_end] = ACTIONS(1252),
    [sym_name] = ACTIONS(1254),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1252),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1254),
    [aux_sym_global_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_definition_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1254),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1254),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1254),
    [anon_sym_BSLASH] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_RBRACE] = ACTIONS(1252),
    [aux_sym_trait_declaration_token1] = ACTIONS(1254),
    [aux_sym_interface_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_case_token1] = ACTIONS(1254),
    [aux_sym_class_declaration_token1] = ACTIONS(1254),
    [aux_sym_final_modifier_token1] = ACTIONS(1254),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1254),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1254),
    [sym_var_modifier] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1254),
    [anon_sym_LPAREN2] = ACTIONS(1252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1254),
    [aux_sym_cast_type_token1] = ACTIONS(1254),
    [aux_sym_echo_statement_token1] = ACTIONS(1254),
    [aux_sym_exit_statement_token1] = ACTIONS(1254),
    [anon_sym_unset] = ACTIONS(1254),
    [aux_sym_declare_statement_token1] = ACTIONS(1254),
    [aux_sym_declare_statement_token2] = ACTIONS(1254),
    [sym_float] = ACTIONS(1254),
    [aux_sym_try_statement_token1] = ACTIONS(1254),
    [aux_sym_goto_statement_token1] = ACTIONS(1254),
    [aux_sym_continue_statement_token1] = ACTIONS(1254),
    [aux_sym_break_statement_token1] = ACTIONS(1254),
    [sym_integer] = ACTIONS(1254),
    [aux_sym_return_statement_token1] = ACTIONS(1254),
    [aux_sym_throw_expression_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token2] = ACTIONS(1254),
    [aux_sym_do_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token2] = ACTIONS(1254),
    [aux_sym_foreach_statement_token1] = ACTIONS(1254),
    [aux_sym_foreach_statement_token2] = ACTIONS(1254),
    [aux_sym_if_statement_token1] = ACTIONS(1254),
    [aux_sym_if_statement_token2] = ACTIONS(1254),
    [aux_sym_else_if_clause_token1] = ACTIONS(1254),
    [aux_sym_else_clause_token1] = ACTIONS(1254),
    [aux_sym_match_expression_token1] = ACTIONS(1254),
    [aux_sym_match_default_expression_token1] = ACTIONS(1254),
    [aux_sym_switch_statement_token1] = ACTIONS(1254),
    [aux_sym_switch_block_token1] = ACTIONS(1254),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1252),
    [anon_sym_AT] = ACTIONS(1252),
    [aux_sym_clone_expression_token1] = ACTIONS(1254),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1254),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1254),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [aux_sym__list_destructing_token1] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(1252),
    [anon_sym_self] = ACTIONS(1254),
    [anon_sym_parent] = ACTIONS(1254),
    [aux_sym__argument_name_token1] = ACTIONS(1254),
    [aux_sym__argument_name_token2] = ACTIONS(1254),
    [anon_sym_POUND_LBRACK] = ACTIONS(1252),
    [aux_sym_encapsed_string_token1] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [aux_sym_string_token1] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1252),
    [anon_sym_LT_LT_LT] = ACTIONS(1252),
    [anon_sym_BQUOTE] = ACTIONS(1252),
    [anon_sym_DOLLAR] = ACTIONS(1252),
    [aux_sym_yield_expression_token1] = ACTIONS(1254),
    [aux_sym_include_expression_token1] = ACTIONS(1254),
    [aux_sym_include_once_expression_token1] = ACTIONS(1254),
    [aux_sym_require_expression_token1] = ACTIONS(1254),
    [aux_sym_require_once_expression_token1] = ACTIONS(1254),
    [sym_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_text_interpolation] = STATE(504),
    [ts_builtin_sym_end] = ACTIONS(1256),
    [sym_name] = ACTIONS(1258),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1256),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1258),
    [aux_sym_global_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_definition_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1258),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1258),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1258),
    [anon_sym_BSLASH] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1256),
    [anon_sym_RBRACE] = ACTIONS(1256),
    [aux_sym_trait_declaration_token1] = ACTIONS(1258),
    [aux_sym_interface_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_case_token1] = ACTIONS(1258),
    [aux_sym_class_declaration_token1] = ACTIONS(1258),
    [aux_sym_final_modifier_token1] = ACTIONS(1258),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1258),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1258),
    [sym_var_modifier] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1258),
    [anon_sym_LPAREN2] = ACTIONS(1256),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1258),
    [aux_sym_cast_type_token1] = ACTIONS(1258),
    [aux_sym_echo_statement_token1] = ACTIONS(1258),
    [aux_sym_exit_statement_token1] = ACTIONS(1258),
    [anon_sym_unset] = ACTIONS(1258),
    [aux_sym_declare_statement_token1] = ACTIONS(1258),
    [aux_sym_declare_statement_token2] = ACTIONS(1258),
    [sym_float] = ACTIONS(1258),
    [aux_sym_try_statement_token1] = ACTIONS(1258),
    [aux_sym_goto_statement_token1] = ACTIONS(1258),
    [aux_sym_continue_statement_token1] = ACTIONS(1258),
    [aux_sym_break_statement_token1] = ACTIONS(1258),
    [sym_integer] = ACTIONS(1258),
    [aux_sym_return_statement_token1] = ACTIONS(1258),
    [aux_sym_throw_expression_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token2] = ACTIONS(1258),
    [aux_sym_do_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token2] = ACTIONS(1258),
    [aux_sym_foreach_statement_token1] = ACTIONS(1258),
    [aux_sym_foreach_statement_token2] = ACTIONS(1258),
    [aux_sym_if_statement_token1] = ACTIONS(1258),
    [aux_sym_if_statement_token2] = ACTIONS(1258),
    [aux_sym_else_if_clause_token1] = ACTIONS(1258),
    [aux_sym_else_clause_token1] = ACTIONS(1258),
    [aux_sym_match_expression_token1] = ACTIONS(1258),
    [aux_sym_match_default_expression_token1] = ACTIONS(1258),
    [aux_sym_switch_statement_token1] = ACTIONS(1258),
    [aux_sym_switch_block_token1] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_AT] = ACTIONS(1256),
    [aux_sym_clone_expression_token1] = ACTIONS(1258),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1258),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [aux_sym__list_destructing_token1] = ACTIONS(1258),
    [anon_sym_LBRACK] = ACTIONS(1256),
    [anon_sym_self] = ACTIONS(1258),
    [anon_sym_parent] = ACTIONS(1258),
    [aux_sym__argument_name_token1] = ACTIONS(1258),
    [aux_sym__argument_name_token2] = ACTIONS(1258),
    [anon_sym_POUND_LBRACK] = ACTIONS(1256),
    [aux_sym_encapsed_string_token1] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1256),
    [aux_sym_string_token1] = ACTIONS(1256),
    [anon_sym_SQUOTE] = ACTIONS(1256),
    [anon_sym_LT_LT_LT] = ACTIONS(1256),
    [anon_sym_BQUOTE] = ACTIONS(1256),
    [anon_sym_DOLLAR] = ACTIONS(1256),
    [aux_sym_yield_expression_token1] = ACTIONS(1258),
    [aux_sym_include_expression_token1] = ACTIONS(1258),
    [aux_sym_include_once_expression_token1] = ACTIONS(1258),
    [aux_sym_require_expression_token1] = ACTIONS(1258),
    [aux_sym_require_once_expression_token1] = ACTIONS(1258),
    [sym_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_text_interpolation] = STATE(505),
    [ts_builtin_sym_end] = ACTIONS(1260),
    [sym_name] = ACTIONS(1262),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1260),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1262),
    [aux_sym_global_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_definition_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1262),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1262),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1262),
    [anon_sym_BSLASH] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_RBRACE] = ACTIONS(1260),
    [aux_sym_trait_declaration_token1] = ACTIONS(1262),
    [aux_sym_interface_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_case_token1] = ACTIONS(1262),
    [aux_sym_class_declaration_token1] = ACTIONS(1262),
    [aux_sym_final_modifier_token1] = ACTIONS(1262),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1262),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1262),
    [sym_var_modifier] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1262),
    [anon_sym_LPAREN2] = ACTIONS(1260),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1262),
    [aux_sym_cast_type_token1] = ACTIONS(1262),
    [aux_sym_echo_statement_token1] = ACTIONS(1262),
    [aux_sym_exit_statement_token1] = ACTIONS(1262),
    [anon_sym_unset] = ACTIONS(1262),
    [aux_sym_declare_statement_token1] = ACTIONS(1262),
    [aux_sym_declare_statement_token2] = ACTIONS(1262),
    [sym_float] = ACTIONS(1262),
    [aux_sym_try_statement_token1] = ACTIONS(1262),
    [aux_sym_goto_statement_token1] = ACTIONS(1262),
    [aux_sym_continue_statement_token1] = ACTIONS(1262),
    [aux_sym_break_statement_token1] = ACTIONS(1262),
    [sym_integer] = ACTIONS(1262),
    [aux_sym_return_statement_token1] = ACTIONS(1262),
    [aux_sym_throw_expression_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token2] = ACTIONS(1262),
    [aux_sym_do_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token2] = ACTIONS(1262),
    [aux_sym_foreach_statement_token1] = ACTIONS(1262),
    [aux_sym_foreach_statement_token2] = ACTIONS(1262),
    [aux_sym_if_statement_token1] = ACTIONS(1262),
    [aux_sym_if_statement_token2] = ACTIONS(1262),
    [aux_sym_else_if_clause_token1] = ACTIONS(1262),
    [aux_sym_else_clause_token1] = ACTIONS(1262),
    [aux_sym_match_expression_token1] = ACTIONS(1262),
    [aux_sym_match_default_expression_token1] = ACTIONS(1262),
    [aux_sym_switch_statement_token1] = ACTIONS(1262),
    [aux_sym_switch_block_token1] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1260),
    [anon_sym_AT] = ACTIONS(1260),
    [aux_sym_clone_expression_token1] = ACTIONS(1262),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1262),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1262),
    [anon_sym_DASH_DASH] = ACTIONS(1260),
    [anon_sym_PLUS_PLUS] = ACTIONS(1260),
    [aux_sym__list_destructing_token1] = ACTIONS(1262),
    [anon_sym_LBRACK] = ACTIONS(1260),
    [anon_sym_self] = ACTIONS(1262),
    [anon_sym_parent] = ACTIONS(1262),
    [aux_sym__argument_name_token1] = ACTIONS(1262),
    [aux_sym__argument_name_token2] = ACTIONS(1262),
    [anon_sym_POUND_LBRACK] = ACTIONS(1260),
    [aux_sym_encapsed_string_token1] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [aux_sym_string_token1] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1260),
    [anon_sym_LT_LT_LT] = ACTIONS(1260),
    [anon_sym_BQUOTE] = ACTIONS(1260),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [aux_sym_yield_expression_token1] = ACTIONS(1262),
    [aux_sym_include_expression_token1] = ACTIONS(1262),
    [aux_sym_include_once_expression_token1] = ACTIONS(1262),
    [aux_sym_require_expression_token1] = ACTIONS(1262),
    [aux_sym_require_once_expression_token1] = ACTIONS(1262),
    [sym_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_text_interpolation] = STATE(506),
    [ts_builtin_sym_end] = ACTIONS(1264),
    [sym_name] = ACTIONS(1266),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1264),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1266),
    [aux_sym_global_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_definition_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1266),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1266),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1266),
    [anon_sym_BSLASH] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [anon_sym_RBRACE] = ACTIONS(1264),
    [aux_sym_trait_declaration_token1] = ACTIONS(1266),
    [aux_sym_interface_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_case_token1] = ACTIONS(1266),
    [aux_sym_class_declaration_token1] = ACTIONS(1266),
    [aux_sym_final_modifier_token1] = ACTIONS(1266),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1266),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1266),
    [sym_var_modifier] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1266),
    [anon_sym_LPAREN2] = ACTIONS(1264),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1266),
    [aux_sym_cast_type_token1] = ACTIONS(1266),
    [aux_sym_echo_statement_token1] = ACTIONS(1266),
    [aux_sym_exit_statement_token1] = ACTIONS(1266),
    [anon_sym_unset] = ACTIONS(1266),
    [aux_sym_declare_statement_token1] = ACTIONS(1266),
    [aux_sym_declare_statement_token2] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [aux_sym_try_statement_token1] = ACTIONS(1266),
    [aux_sym_goto_statement_token1] = ACTIONS(1266),
    [aux_sym_continue_statement_token1] = ACTIONS(1266),
    [aux_sym_break_statement_token1] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [aux_sym_return_statement_token1] = ACTIONS(1266),
    [aux_sym_throw_expression_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token2] = ACTIONS(1266),
    [aux_sym_do_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token2] = ACTIONS(1266),
    [aux_sym_foreach_statement_token1] = ACTIONS(1266),
    [aux_sym_foreach_statement_token2] = ACTIONS(1266),
    [aux_sym_if_statement_token1] = ACTIONS(1266),
    [aux_sym_if_statement_token2] = ACTIONS(1266),
    [aux_sym_else_if_clause_token1] = ACTIONS(1266),
    [aux_sym_else_clause_token1] = ACTIONS(1266),
    [aux_sym_match_expression_token1] = ACTIONS(1266),
    [aux_sym_match_default_expression_token1] = ACTIONS(1266),
    [aux_sym_switch_statement_token1] = ACTIONS(1266),
    [aux_sym_switch_block_token1] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AT] = ACTIONS(1264),
    [aux_sym_clone_expression_token1] = ACTIONS(1266),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1266),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1266),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [aux_sym__list_destructing_token1] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [anon_sym_self] = ACTIONS(1266),
    [anon_sym_parent] = ACTIONS(1266),
    [aux_sym__argument_name_token1] = ACTIONS(1266),
    [aux_sym__argument_name_token2] = ACTIONS(1266),
    [anon_sym_POUND_LBRACK] = ACTIONS(1264),
    [aux_sym_encapsed_string_token1] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [aux_sym_string_token1] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1264),
    [anon_sym_LT_LT_LT] = ACTIONS(1264),
    [anon_sym_BQUOTE] = ACTIONS(1264),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [aux_sym_yield_expression_token1] = ACTIONS(1266),
    [aux_sym_include_expression_token1] = ACTIONS(1266),
    [aux_sym_include_once_expression_token1] = ACTIONS(1266),
    [aux_sym_require_expression_token1] = ACTIONS(1266),
    [aux_sym_require_once_expression_token1] = ACTIONS(1266),
    [sym_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_text_interpolation] = STATE(507),
    [ts_builtin_sym_end] = ACTIONS(1268),
    [sym_name] = ACTIONS(1270),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1268),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1270),
    [aux_sym_global_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_definition_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1270),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1270),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1270),
    [anon_sym_BSLASH] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_RBRACE] = ACTIONS(1268),
    [aux_sym_trait_declaration_token1] = ACTIONS(1270),
    [aux_sym_interface_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_case_token1] = ACTIONS(1270),
    [aux_sym_class_declaration_token1] = ACTIONS(1270),
    [aux_sym_final_modifier_token1] = ACTIONS(1270),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1270),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1270),
    [sym_var_modifier] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1270),
    [anon_sym_LPAREN2] = ACTIONS(1268),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1270),
    [aux_sym_cast_type_token1] = ACTIONS(1270),
    [aux_sym_echo_statement_token1] = ACTIONS(1270),
    [aux_sym_exit_statement_token1] = ACTIONS(1270),
    [anon_sym_unset] = ACTIONS(1270),
    [aux_sym_declare_statement_token1] = ACTIONS(1270),
    [aux_sym_declare_statement_token2] = ACTIONS(1270),
    [sym_float] = ACTIONS(1270),
    [aux_sym_try_statement_token1] = ACTIONS(1270),
    [aux_sym_goto_statement_token1] = ACTIONS(1270),
    [aux_sym_continue_statement_token1] = ACTIONS(1270),
    [aux_sym_break_statement_token1] = ACTIONS(1270),
    [sym_integer] = ACTIONS(1270),
    [aux_sym_return_statement_token1] = ACTIONS(1270),
    [aux_sym_throw_expression_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token2] = ACTIONS(1270),
    [aux_sym_do_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token2] = ACTIONS(1270),
    [aux_sym_foreach_statement_token1] = ACTIONS(1270),
    [aux_sym_foreach_statement_token2] = ACTIONS(1270),
    [aux_sym_if_statement_token1] = ACTIONS(1270),
    [aux_sym_if_statement_token2] = ACTIONS(1270),
    [aux_sym_else_if_clause_token1] = ACTIONS(1270),
    [aux_sym_else_clause_token1] = ACTIONS(1270),
    [aux_sym_match_expression_token1] = ACTIONS(1270),
    [aux_sym_match_default_expression_token1] = ACTIONS(1270),
    [aux_sym_switch_statement_token1] = ACTIONS(1270),
    [aux_sym_switch_block_token1] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1268),
    [anon_sym_BANG] = ACTIONS(1268),
    [anon_sym_AT] = ACTIONS(1268),
    [aux_sym_clone_expression_token1] = ACTIONS(1270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1270),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1270),
    [anon_sym_DASH_DASH] = ACTIONS(1268),
    [anon_sym_PLUS_PLUS] = ACTIONS(1268),
    [aux_sym__list_destructing_token1] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1268),
    [anon_sym_self] = ACTIONS(1270),
    [anon_sym_parent] = ACTIONS(1270),
    [aux_sym__argument_name_token1] = ACTIONS(1270),
    [aux_sym__argument_name_token2] = ACTIONS(1270),
    [anon_sym_POUND_LBRACK] = ACTIONS(1268),
    [aux_sym_encapsed_string_token1] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [aux_sym_string_token1] = ACTIONS(1268),
    [anon_sym_SQUOTE] = ACTIONS(1268),
    [anon_sym_LT_LT_LT] = ACTIONS(1268),
    [anon_sym_BQUOTE] = ACTIONS(1268),
    [anon_sym_DOLLAR] = ACTIONS(1268),
    [aux_sym_yield_expression_token1] = ACTIONS(1270),
    [aux_sym_include_expression_token1] = ACTIONS(1270),
    [aux_sym_include_once_expression_token1] = ACTIONS(1270),
    [aux_sym_require_expression_token1] = ACTIONS(1270),
    [aux_sym_require_once_expression_token1] = ACTIONS(1270),
    [sym_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_text_interpolation] = STATE(508),
    [ts_builtin_sym_end] = ACTIONS(1272),
    [sym_name] = ACTIONS(1274),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1272),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1274),
    [aux_sym_global_declaration_token1] = ACTIONS(1274),
    [aux_sym_namespace_definition_token1] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1274),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1274),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1274),
    [anon_sym_BSLASH] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1272),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [aux_sym_trait_declaration_token1] = ACTIONS(1274),
    [aux_sym_interface_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_case_token1] = ACTIONS(1274),
    [aux_sym_class_declaration_token1] = ACTIONS(1274),
    [aux_sym_final_modifier_token1] = ACTIONS(1274),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1274),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1274),
    [sym_var_modifier] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1274),
    [anon_sym_LPAREN2] = ACTIONS(1272),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1274),
    [aux_sym_cast_type_token1] = ACTIONS(1274),
    [aux_sym_echo_statement_token1] = ACTIONS(1274),
    [aux_sym_exit_statement_token1] = ACTIONS(1274),
    [anon_sym_unset] = ACTIONS(1274),
    [aux_sym_declare_statement_token1] = ACTIONS(1274),
    [aux_sym_declare_statement_token2] = ACTIONS(1274),
    [sym_float] = ACTIONS(1274),
    [aux_sym_try_statement_token1] = ACTIONS(1274),
    [aux_sym_goto_statement_token1] = ACTIONS(1274),
    [aux_sym_continue_statement_token1] = ACTIONS(1274),
    [aux_sym_break_statement_token1] = ACTIONS(1274),
    [sym_integer] = ACTIONS(1274),
    [aux_sym_return_statement_token1] = ACTIONS(1274),
    [aux_sym_throw_expression_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token2] = ACTIONS(1274),
    [aux_sym_do_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token2] = ACTIONS(1274),
    [aux_sym_foreach_statement_token1] = ACTIONS(1274),
    [aux_sym_foreach_statement_token2] = ACTIONS(1274),
    [aux_sym_if_statement_token1] = ACTIONS(1274),
    [aux_sym_if_statement_token2] = ACTIONS(1274),
    [aux_sym_else_if_clause_token1] = ACTIONS(1274),
    [aux_sym_else_clause_token1] = ACTIONS(1274),
    [aux_sym_match_expression_token1] = ACTIONS(1274),
    [aux_sym_match_default_expression_token1] = ACTIONS(1274),
    [aux_sym_switch_statement_token1] = ACTIONS(1274),
    [aux_sym_switch_block_token1] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_AT] = ACTIONS(1272),
    [aux_sym_clone_expression_token1] = ACTIONS(1274),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1274),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1272),
    [aux_sym__list_destructing_token1] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_self] = ACTIONS(1274),
    [anon_sym_parent] = ACTIONS(1274),
    [aux_sym__argument_name_token1] = ACTIONS(1274),
    [aux_sym__argument_name_token2] = ACTIONS(1274),
    [anon_sym_POUND_LBRACK] = ACTIONS(1272),
    [aux_sym_encapsed_string_token1] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1272),
    [aux_sym_string_token1] = ACTIONS(1272),
    [anon_sym_SQUOTE] = ACTIONS(1272),
    [anon_sym_LT_LT_LT] = ACTIONS(1272),
    [anon_sym_BQUOTE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1272),
    [aux_sym_yield_expression_token1] = ACTIONS(1274),
    [aux_sym_include_expression_token1] = ACTIONS(1274),
    [aux_sym_include_once_expression_token1] = ACTIONS(1274),
    [aux_sym_require_expression_token1] = ACTIONS(1274),
    [aux_sym_require_once_expression_token1] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_text_interpolation] = STATE(509),
    [ts_builtin_sym_end] = ACTIONS(1033),
    [sym_name] = ACTIONS(1035),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1033),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1035),
    [aux_sym_global_declaration_token1] = ACTIONS(1035),
    [aux_sym_namespace_definition_token1] = ACTIONS(1035),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1035),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1035),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1035),
    [anon_sym_BSLASH] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_RBRACE] = ACTIONS(1033),
    [aux_sym_trait_declaration_token1] = ACTIONS(1035),
    [aux_sym_interface_declaration_token1] = ACTIONS(1035),
    [aux_sym_enum_declaration_token1] = ACTIONS(1035),
    [aux_sym_enum_case_token1] = ACTIONS(1035),
    [aux_sym_class_declaration_token1] = ACTIONS(1035),
    [aux_sym_final_modifier_token1] = ACTIONS(1035),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1035),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1035),
    [sym_var_modifier] = ACTIONS(1035),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1035),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1035),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1035),
    [anon_sym_LPAREN2] = ACTIONS(1033),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1035),
    [aux_sym_cast_type_token1] = ACTIONS(1035),
    [aux_sym_echo_statement_token1] = ACTIONS(1035),
    [aux_sym_exit_statement_token1] = ACTIONS(1035),
    [anon_sym_unset] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [aux_sym_declare_statement_token2] = ACTIONS(1035),
    [sym_float] = ACTIONS(1035),
    [aux_sym_try_statement_token1] = ACTIONS(1035),
    [aux_sym_goto_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [sym_integer] = ACTIONS(1035),
    [aux_sym_return_statement_token1] = ACTIONS(1035),
    [aux_sym_throw_expression_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token2] = ACTIONS(1035),
    [aux_sym_do_statement_token1] = ACTIONS(1035),
    [aux_sym_for_statement_token1] = ACTIONS(1035),
    [aux_sym_for_statement_token2] = ACTIONS(1035),
    [aux_sym_foreach_statement_token1] = ACTIONS(1035),
    [aux_sym_foreach_statement_token2] = ACTIONS(1035),
    [aux_sym_if_statement_token1] = ACTIONS(1035),
    [aux_sym_if_statement_token2] = ACTIONS(1035),
    [aux_sym_else_if_clause_token1] = ACTIONS(1035),
    [aux_sym_else_clause_token1] = ACTIONS(1035),
    [aux_sym_match_expression_token1] = ACTIONS(1035),
    [aux_sym_match_default_expression_token1] = ACTIONS(1035),
    [aux_sym_switch_statement_token1] = ACTIONS(1035),
    [aux_sym_switch_block_token1] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(1035),
    [anon_sym_DASH] = ACTIONS(1035),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(1033),
    [aux_sym_clone_expression_token1] = ACTIONS(1035),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1035),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1035),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [aux_sym__list_destructing_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_self] = ACTIONS(1035),
    [anon_sym_parent] = ACTIONS(1035),
    [aux_sym__argument_name_token1] = ACTIONS(1035),
    [aux_sym__argument_name_token2] = ACTIONS(1035),
    [anon_sym_POUND_LBRACK] = ACTIONS(1033),
    [aux_sym_encapsed_string_token1] = ACTIONS(1033),
    [anon_sym_DQUOTE] = ACTIONS(1033),
    [aux_sym_string_token1] = ACTIONS(1033),
    [anon_sym_SQUOTE] = ACTIONS(1033),
    [anon_sym_LT_LT_LT] = ACTIONS(1033),
    [anon_sym_BQUOTE] = ACTIONS(1033),
    [anon_sym_DOLLAR] = ACTIONS(1033),
    [aux_sym_yield_expression_token1] = ACTIONS(1035),
    [aux_sym_include_expression_token1] = ACTIONS(1035),
    [aux_sym_include_once_expression_token1] = ACTIONS(1035),
    [aux_sym_require_expression_token1] = ACTIONS(1035),
    [aux_sym_require_once_expression_token1] = ACTIONS(1035),
    [sym_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_text_interpolation] = STATE(510),
    [ts_builtin_sym_end] = ACTIONS(1276),
    [sym_name] = ACTIONS(1278),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1276),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1278),
    [aux_sym_global_declaration_token1] = ACTIONS(1278),
    [aux_sym_namespace_definition_token1] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1278),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1278),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1278),
    [anon_sym_BSLASH] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1276),
    [anon_sym_RBRACE] = ACTIONS(1276),
    [aux_sym_trait_declaration_token1] = ACTIONS(1278),
    [aux_sym_interface_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_case_token1] = ACTIONS(1278),
    [aux_sym_class_declaration_token1] = ACTIONS(1278),
    [aux_sym_final_modifier_token1] = ACTIONS(1278),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1278),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1278),
    [sym_var_modifier] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1278),
    [anon_sym_LPAREN2] = ACTIONS(1276),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1278),
    [aux_sym_cast_type_token1] = ACTIONS(1278),
    [aux_sym_echo_statement_token1] = ACTIONS(1278),
    [aux_sym_exit_statement_token1] = ACTIONS(1278),
    [anon_sym_unset] = ACTIONS(1278),
    [aux_sym_declare_statement_token1] = ACTIONS(1278),
    [aux_sym_declare_statement_token2] = ACTIONS(1278),
    [sym_float] = ACTIONS(1278),
    [aux_sym_try_statement_token1] = ACTIONS(1278),
    [aux_sym_goto_statement_token1] = ACTIONS(1278),
    [aux_sym_continue_statement_token1] = ACTIONS(1278),
    [aux_sym_break_statement_token1] = ACTIONS(1278),
    [sym_integer] = ACTIONS(1278),
    [aux_sym_return_statement_token1] = ACTIONS(1278),
    [aux_sym_throw_expression_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token2] = ACTIONS(1278),
    [aux_sym_do_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token2] = ACTIONS(1278),
    [aux_sym_foreach_statement_token1] = ACTIONS(1278),
    [aux_sym_foreach_statement_token2] = ACTIONS(1278),
    [aux_sym_if_statement_token1] = ACTIONS(1278),
    [aux_sym_if_statement_token2] = ACTIONS(1278),
    [aux_sym_else_if_clause_token1] = ACTIONS(1278),
    [aux_sym_else_clause_token1] = ACTIONS(1278),
    [aux_sym_match_expression_token1] = ACTIONS(1278),
    [aux_sym_match_default_expression_token1] = ACTIONS(1278),
    [aux_sym_switch_statement_token1] = ACTIONS(1278),
    [aux_sym_switch_block_token1] = ACTIONS(1278),
    [anon_sym_PLUS] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1276),
    [anon_sym_BANG] = ACTIONS(1276),
    [anon_sym_AT] = ACTIONS(1276),
    [aux_sym_clone_expression_token1] = ACTIONS(1278),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1278),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1278),
    [anon_sym_DASH_DASH] = ACTIONS(1276),
    [anon_sym_PLUS_PLUS] = ACTIONS(1276),
    [aux_sym__list_destructing_token1] = ACTIONS(1278),
    [anon_sym_LBRACK] = ACTIONS(1276),
    [anon_sym_self] = ACTIONS(1278),
    [anon_sym_parent] = ACTIONS(1278),
    [aux_sym__argument_name_token1] = ACTIONS(1278),
    [aux_sym__argument_name_token2] = ACTIONS(1278),
    [anon_sym_POUND_LBRACK] = ACTIONS(1276),
    [aux_sym_encapsed_string_token1] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1276),
    [aux_sym_string_token1] = ACTIONS(1276),
    [anon_sym_SQUOTE] = ACTIONS(1276),
    [anon_sym_LT_LT_LT] = ACTIONS(1276),
    [anon_sym_BQUOTE] = ACTIONS(1276),
    [anon_sym_DOLLAR] = ACTIONS(1276),
    [aux_sym_yield_expression_token1] = ACTIONS(1278),
    [aux_sym_include_expression_token1] = ACTIONS(1278),
    [aux_sym_include_once_expression_token1] = ACTIONS(1278),
    [aux_sym_require_expression_token1] = ACTIONS(1278),
    [aux_sym_require_once_expression_token1] = ACTIONS(1278),
    [sym_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_text_interpolation] = STATE(511),
    [ts_builtin_sym_end] = ACTIONS(1280),
    [sym_name] = ACTIONS(1282),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1280),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1282),
    [aux_sym_global_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_definition_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1282),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1282),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1282),
    [anon_sym_BSLASH] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1280),
    [anon_sym_RBRACE] = ACTIONS(1280),
    [aux_sym_trait_declaration_token1] = ACTIONS(1282),
    [aux_sym_interface_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_case_token1] = ACTIONS(1282),
    [aux_sym_class_declaration_token1] = ACTIONS(1282),
    [aux_sym_final_modifier_token1] = ACTIONS(1282),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1282),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1282),
    [sym_var_modifier] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1282),
    [anon_sym_LPAREN2] = ACTIONS(1280),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1282),
    [aux_sym_cast_type_token1] = ACTIONS(1282),
    [aux_sym_echo_statement_token1] = ACTIONS(1282),
    [aux_sym_exit_statement_token1] = ACTIONS(1282),
    [anon_sym_unset] = ACTIONS(1282),
    [aux_sym_declare_statement_token1] = ACTIONS(1282),
    [aux_sym_declare_statement_token2] = ACTIONS(1282),
    [sym_float] = ACTIONS(1282),
    [aux_sym_try_statement_token1] = ACTIONS(1282),
    [aux_sym_goto_statement_token1] = ACTIONS(1282),
    [aux_sym_continue_statement_token1] = ACTIONS(1282),
    [aux_sym_break_statement_token1] = ACTIONS(1282),
    [sym_integer] = ACTIONS(1282),
    [aux_sym_return_statement_token1] = ACTIONS(1282),
    [aux_sym_throw_expression_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token2] = ACTIONS(1282),
    [aux_sym_do_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token2] = ACTIONS(1282),
    [aux_sym_foreach_statement_token1] = ACTIONS(1282),
    [aux_sym_foreach_statement_token2] = ACTIONS(1282),
    [aux_sym_if_statement_token1] = ACTIONS(1282),
    [aux_sym_if_statement_token2] = ACTIONS(1282),
    [aux_sym_else_if_clause_token1] = ACTIONS(1282),
    [aux_sym_else_clause_token1] = ACTIONS(1282),
    [aux_sym_match_expression_token1] = ACTIONS(1282),
    [aux_sym_match_default_expression_token1] = ACTIONS(1282),
    [aux_sym_switch_statement_token1] = ACTIONS(1282),
    [aux_sym_switch_block_token1] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_AT] = ACTIONS(1280),
    [aux_sym_clone_expression_token1] = ACTIONS(1282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1282),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1282),
    [anon_sym_DASH_DASH] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1280),
    [aux_sym__list_destructing_token1] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1280),
    [anon_sym_self] = ACTIONS(1282),
    [anon_sym_parent] = ACTIONS(1282),
    [aux_sym__argument_name_token1] = ACTIONS(1282),
    [aux_sym__argument_name_token2] = ACTIONS(1282),
    [anon_sym_POUND_LBRACK] = ACTIONS(1280),
    [aux_sym_encapsed_string_token1] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [aux_sym_string_token1] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1280),
    [anon_sym_LT_LT_LT] = ACTIONS(1280),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [aux_sym_yield_expression_token1] = ACTIONS(1282),
    [aux_sym_include_expression_token1] = ACTIONS(1282),
    [aux_sym_include_once_expression_token1] = ACTIONS(1282),
    [aux_sym_require_expression_token1] = ACTIONS(1282),
    [aux_sym_require_once_expression_token1] = ACTIONS(1282),
    [sym_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_text_interpolation] = STATE(512),
    [ts_builtin_sym_end] = ACTIONS(1284),
    [sym_name] = ACTIONS(1286),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1284),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1286),
    [aux_sym_global_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_definition_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1286),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1286),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1286),
    [anon_sym_BSLASH] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_RBRACE] = ACTIONS(1284),
    [aux_sym_trait_declaration_token1] = ACTIONS(1286),
    [aux_sym_interface_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_case_token1] = ACTIONS(1286),
    [aux_sym_class_declaration_token1] = ACTIONS(1286),
    [aux_sym_final_modifier_token1] = ACTIONS(1286),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1286),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1286),
    [sym_var_modifier] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(1284),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1286),
    [aux_sym_cast_type_token1] = ACTIONS(1286),
    [aux_sym_echo_statement_token1] = ACTIONS(1286),
    [aux_sym_exit_statement_token1] = ACTIONS(1286),
    [anon_sym_unset] = ACTIONS(1286),
    [aux_sym_declare_statement_token1] = ACTIONS(1286),
    [aux_sym_declare_statement_token2] = ACTIONS(1286),
    [sym_float] = ACTIONS(1286),
    [aux_sym_try_statement_token1] = ACTIONS(1286),
    [aux_sym_goto_statement_token1] = ACTIONS(1286),
    [aux_sym_continue_statement_token1] = ACTIONS(1286),
    [aux_sym_break_statement_token1] = ACTIONS(1286),
    [sym_integer] = ACTIONS(1286),
    [aux_sym_return_statement_token1] = ACTIONS(1286),
    [aux_sym_throw_expression_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token2] = ACTIONS(1286),
    [aux_sym_do_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token2] = ACTIONS(1286),
    [aux_sym_foreach_statement_token1] = ACTIONS(1286),
    [aux_sym_foreach_statement_token2] = ACTIONS(1286),
    [aux_sym_if_statement_token1] = ACTIONS(1286),
    [aux_sym_if_statement_token2] = ACTIONS(1286),
    [aux_sym_else_if_clause_token1] = ACTIONS(1286),
    [aux_sym_else_clause_token1] = ACTIONS(1286),
    [aux_sym_match_expression_token1] = ACTIONS(1286),
    [aux_sym_match_default_expression_token1] = ACTIONS(1286),
    [aux_sym_switch_statement_token1] = ACTIONS(1286),
    [aux_sym_switch_block_token1] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_AT] = ACTIONS(1284),
    [aux_sym_clone_expression_token1] = ACTIONS(1286),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1286),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [aux_sym__list_destructing_token1] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1284),
    [anon_sym_self] = ACTIONS(1286),
    [anon_sym_parent] = ACTIONS(1286),
    [aux_sym__argument_name_token1] = ACTIONS(1286),
    [aux_sym__argument_name_token2] = ACTIONS(1286),
    [anon_sym_POUND_LBRACK] = ACTIONS(1284),
    [aux_sym_encapsed_string_token1] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [aux_sym_string_token1] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [anon_sym_LT_LT_LT] = ACTIONS(1284),
    [anon_sym_BQUOTE] = ACTIONS(1284),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [aux_sym_yield_expression_token1] = ACTIONS(1286),
    [aux_sym_include_expression_token1] = ACTIONS(1286),
    [aux_sym_include_once_expression_token1] = ACTIONS(1286),
    [aux_sym_require_expression_token1] = ACTIONS(1286),
    [aux_sym_require_once_expression_token1] = ACTIONS(1286),
    [sym_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_text_interpolation] = STATE(513),
    [ts_builtin_sym_end] = ACTIONS(1288),
    [sym_name] = ACTIONS(1290),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1288),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1290),
    [aux_sym_global_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_definition_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1290),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1290),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1290),
    [anon_sym_BSLASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1288),
    [anon_sym_RBRACE] = ACTIONS(1288),
    [aux_sym_trait_declaration_token1] = ACTIONS(1290),
    [aux_sym_interface_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_case_token1] = ACTIONS(1290),
    [aux_sym_class_declaration_token1] = ACTIONS(1290),
    [aux_sym_final_modifier_token1] = ACTIONS(1290),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1290),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1290),
    [sym_var_modifier] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1290),
    [anon_sym_LPAREN2] = ACTIONS(1288),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1290),
    [aux_sym_cast_type_token1] = ACTIONS(1290),
    [aux_sym_echo_statement_token1] = ACTIONS(1290),
    [aux_sym_exit_statement_token1] = ACTIONS(1290),
    [anon_sym_unset] = ACTIONS(1290),
    [aux_sym_declare_statement_token1] = ACTIONS(1290),
    [aux_sym_declare_statement_token2] = ACTIONS(1290),
    [sym_float] = ACTIONS(1290),
    [aux_sym_try_statement_token1] = ACTIONS(1290),
    [aux_sym_goto_statement_token1] = ACTIONS(1290),
    [aux_sym_continue_statement_token1] = ACTIONS(1290),
    [aux_sym_break_statement_token1] = ACTIONS(1290),
    [sym_integer] = ACTIONS(1290),
    [aux_sym_return_statement_token1] = ACTIONS(1290),
    [aux_sym_throw_expression_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token2] = ACTIONS(1290),
    [aux_sym_do_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token2] = ACTIONS(1290),
    [aux_sym_foreach_statement_token1] = ACTIONS(1290),
    [aux_sym_foreach_statement_token2] = ACTIONS(1290),
    [aux_sym_if_statement_token1] = ACTIONS(1290),
    [aux_sym_if_statement_token2] = ACTIONS(1290),
    [aux_sym_else_if_clause_token1] = ACTIONS(1290),
    [aux_sym_else_clause_token1] = ACTIONS(1290),
    [aux_sym_match_expression_token1] = ACTIONS(1290),
    [aux_sym_match_default_expression_token1] = ACTIONS(1290),
    [aux_sym_switch_statement_token1] = ACTIONS(1290),
    [aux_sym_switch_block_token1] = ACTIONS(1290),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1288),
    [aux_sym_clone_expression_token1] = ACTIONS(1290),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1290),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1290),
    [anon_sym_DASH_DASH] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1288),
    [aux_sym__list_destructing_token1] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1288),
    [anon_sym_self] = ACTIONS(1290),
    [anon_sym_parent] = ACTIONS(1290),
    [aux_sym__argument_name_token1] = ACTIONS(1290),
    [aux_sym__argument_name_token2] = ACTIONS(1290),
    [anon_sym_POUND_LBRACK] = ACTIONS(1288),
    [aux_sym_encapsed_string_token1] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [aux_sym_string_token1] = ACTIONS(1288),
    [anon_sym_SQUOTE] = ACTIONS(1288),
    [anon_sym_LT_LT_LT] = ACTIONS(1288),
    [anon_sym_BQUOTE] = ACTIONS(1288),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [aux_sym_yield_expression_token1] = ACTIONS(1290),
    [aux_sym_include_expression_token1] = ACTIONS(1290),
    [aux_sym_include_once_expression_token1] = ACTIONS(1290),
    [aux_sym_require_expression_token1] = ACTIONS(1290),
    [aux_sym_require_once_expression_token1] = ACTIONS(1290),
    [sym_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_text_interpolation] = STATE(514),
    [ts_builtin_sym_end] = ACTIONS(1292),
    [sym_name] = ACTIONS(1294),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1292),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1294),
    [aux_sym_global_declaration_token1] = ACTIONS(1294),
    [aux_sym_namespace_definition_token1] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1294),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1294),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1294),
    [anon_sym_BSLASH] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_RBRACE] = ACTIONS(1292),
    [aux_sym_trait_declaration_token1] = ACTIONS(1294),
    [aux_sym_interface_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_case_token1] = ACTIONS(1294),
    [aux_sym_class_declaration_token1] = ACTIONS(1294),
    [aux_sym_final_modifier_token1] = ACTIONS(1294),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1294),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1294),
    [sym_var_modifier] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1294),
    [anon_sym_LPAREN2] = ACTIONS(1292),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1294),
    [aux_sym_cast_type_token1] = ACTIONS(1294),
    [aux_sym_echo_statement_token1] = ACTIONS(1294),
    [aux_sym_exit_statement_token1] = ACTIONS(1294),
    [anon_sym_unset] = ACTIONS(1294),
    [aux_sym_declare_statement_token1] = ACTIONS(1294),
    [aux_sym_declare_statement_token2] = ACTIONS(1294),
    [sym_float] = ACTIONS(1294),
    [aux_sym_try_statement_token1] = ACTIONS(1294),
    [aux_sym_goto_statement_token1] = ACTIONS(1294),
    [aux_sym_continue_statement_token1] = ACTIONS(1294),
    [aux_sym_break_statement_token1] = ACTIONS(1294),
    [sym_integer] = ACTIONS(1294),
    [aux_sym_return_statement_token1] = ACTIONS(1294),
    [aux_sym_throw_expression_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token2] = ACTIONS(1294),
    [aux_sym_do_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token2] = ACTIONS(1294),
    [aux_sym_foreach_statement_token1] = ACTIONS(1294),
    [aux_sym_foreach_statement_token2] = ACTIONS(1294),
    [aux_sym_if_statement_token1] = ACTIONS(1294),
    [aux_sym_if_statement_token2] = ACTIONS(1294),
    [aux_sym_else_if_clause_token1] = ACTIONS(1294),
    [aux_sym_else_clause_token1] = ACTIONS(1294),
    [aux_sym_match_expression_token1] = ACTIONS(1294),
    [aux_sym_match_default_expression_token1] = ACTIONS(1294),
    [aux_sym_switch_statement_token1] = ACTIONS(1294),
    [aux_sym_switch_block_token1] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1292),
    [anon_sym_BANG] = ACTIONS(1292),
    [anon_sym_AT] = ACTIONS(1292),
    [aux_sym_clone_expression_token1] = ACTIONS(1294),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1294),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1292),
    [anon_sym_PLUS_PLUS] = ACTIONS(1292),
    [aux_sym__list_destructing_token1] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1292),
    [anon_sym_self] = ACTIONS(1294),
    [anon_sym_parent] = ACTIONS(1294),
    [aux_sym__argument_name_token1] = ACTIONS(1294),
    [aux_sym__argument_name_token2] = ACTIONS(1294),
    [anon_sym_POUND_LBRACK] = ACTIONS(1292),
    [aux_sym_encapsed_string_token1] = ACTIONS(1292),
    [anon_sym_DQUOTE] = ACTIONS(1292),
    [aux_sym_string_token1] = ACTIONS(1292),
    [anon_sym_SQUOTE] = ACTIONS(1292),
    [anon_sym_LT_LT_LT] = ACTIONS(1292),
    [anon_sym_BQUOTE] = ACTIONS(1292),
    [anon_sym_DOLLAR] = ACTIONS(1292),
    [aux_sym_yield_expression_token1] = ACTIONS(1294),
    [aux_sym_include_expression_token1] = ACTIONS(1294),
    [aux_sym_include_once_expression_token1] = ACTIONS(1294),
    [aux_sym_require_expression_token1] = ACTIONS(1294),
    [aux_sym_require_once_expression_token1] = ACTIONS(1294),
    [sym_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_text_interpolation] = STATE(515),
    [ts_builtin_sym_end] = ACTIONS(1296),
    [sym_name] = ACTIONS(1298),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1296),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1298),
    [aux_sym_global_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_definition_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1298),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1298),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1298),
    [anon_sym_BSLASH] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_RBRACE] = ACTIONS(1296),
    [aux_sym_trait_declaration_token1] = ACTIONS(1298),
    [aux_sym_interface_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_case_token1] = ACTIONS(1298),
    [aux_sym_class_declaration_token1] = ACTIONS(1298),
    [aux_sym_final_modifier_token1] = ACTIONS(1298),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1298),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1298),
    [sym_var_modifier] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1298),
    [anon_sym_LPAREN2] = ACTIONS(1296),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1298),
    [aux_sym_cast_type_token1] = ACTIONS(1298),
    [aux_sym_echo_statement_token1] = ACTIONS(1298),
    [aux_sym_exit_statement_token1] = ACTIONS(1298),
    [anon_sym_unset] = ACTIONS(1298),
    [aux_sym_declare_statement_token1] = ACTIONS(1298),
    [aux_sym_declare_statement_token2] = ACTIONS(1298),
    [sym_float] = ACTIONS(1298),
    [aux_sym_try_statement_token1] = ACTIONS(1298),
    [aux_sym_goto_statement_token1] = ACTIONS(1298),
    [aux_sym_continue_statement_token1] = ACTIONS(1298),
    [aux_sym_break_statement_token1] = ACTIONS(1298),
    [sym_integer] = ACTIONS(1298),
    [aux_sym_return_statement_token1] = ACTIONS(1298),
    [aux_sym_throw_expression_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token2] = ACTIONS(1298),
    [aux_sym_do_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token2] = ACTIONS(1298),
    [aux_sym_foreach_statement_token1] = ACTIONS(1298),
    [aux_sym_foreach_statement_token2] = ACTIONS(1298),
    [aux_sym_if_statement_token1] = ACTIONS(1298),
    [aux_sym_if_statement_token2] = ACTIONS(1298),
    [aux_sym_else_if_clause_token1] = ACTIONS(1298),
    [aux_sym_else_clause_token1] = ACTIONS(1298),
    [aux_sym_match_expression_token1] = ACTIONS(1298),
    [aux_sym_match_default_expression_token1] = ACTIONS(1298),
    [aux_sym_switch_statement_token1] = ACTIONS(1298),
    [aux_sym_switch_block_token1] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [aux_sym_clone_expression_token1] = ACTIONS(1298),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1298),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1296),
    [anon_sym_PLUS_PLUS] = ACTIONS(1296),
    [aux_sym__list_destructing_token1] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(1296),
    [anon_sym_self] = ACTIONS(1298),
    [anon_sym_parent] = ACTIONS(1298),
    [aux_sym__argument_name_token1] = ACTIONS(1298),
    [aux_sym__argument_name_token2] = ACTIONS(1298),
    [anon_sym_POUND_LBRACK] = ACTIONS(1296),
    [aux_sym_encapsed_string_token1] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1296),
    [aux_sym_string_token1] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1296),
    [anon_sym_LT_LT_LT] = ACTIONS(1296),
    [anon_sym_BQUOTE] = ACTIONS(1296),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [aux_sym_yield_expression_token1] = ACTIONS(1298),
    [aux_sym_include_expression_token1] = ACTIONS(1298),
    [aux_sym_include_once_expression_token1] = ACTIONS(1298),
    [aux_sym_require_expression_token1] = ACTIONS(1298),
    [aux_sym_require_once_expression_token1] = ACTIONS(1298),
    [sym_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_text_interpolation] = STATE(516),
    [ts_builtin_sym_end] = ACTIONS(1300),
    [sym_name] = ACTIONS(1302),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1300),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1302),
    [aux_sym_global_declaration_token1] = ACTIONS(1302),
    [aux_sym_namespace_definition_token1] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1302),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1302),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1302),
    [anon_sym_BSLASH] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_RBRACE] = ACTIONS(1300),
    [aux_sym_trait_declaration_token1] = ACTIONS(1302),
    [aux_sym_interface_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_case_token1] = ACTIONS(1302),
    [aux_sym_class_declaration_token1] = ACTIONS(1302),
    [aux_sym_final_modifier_token1] = ACTIONS(1302),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1302),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1302),
    [sym_var_modifier] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1302),
    [anon_sym_LPAREN2] = ACTIONS(1300),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1302),
    [aux_sym_cast_type_token1] = ACTIONS(1302),
    [aux_sym_echo_statement_token1] = ACTIONS(1302),
    [aux_sym_exit_statement_token1] = ACTIONS(1302),
    [anon_sym_unset] = ACTIONS(1302),
    [aux_sym_declare_statement_token1] = ACTIONS(1302),
    [aux_sym_declare_statement_token2] = ACTIONS(1302),
    [sym_float] = ACTIONS(1302),
    [aux_sym_try_statement_token1] = ACTIONS(1302),
    [aux_sym_goto_statement_token1] = ACTIONS(1302),
    [aux_sym_continue_statement_token1] = ACTIONS(1302),
    [aux_sym_break_statement_token1] = ACTIONS(1302),
    [sym_integer] = ACTIONS(1302),
    [aux_sym_return_statement_token1] = ACTIONS(1302),
    [aux_sym_throw_expression_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token2] = ACTIONS(1302),
    [aux_sym_do_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token2] = ACTIONS(1302),
    [aux_sym_foreach_statement_token1] = ACTIONS(1302),
    [aux_sym_foreach_statement_token2] = ACTIONS(1302),
    [aux_sym_if_statement_token1] = ACTIONS(1302),
    [aux_sym_if_statement_token2] = ACTIONS(1302),
    [aux_sym_else_if_clause_token1] = ACTIONS(1302),
    [aux_sym_else_clause_token1] = ACTIONS(1302),
    [aux_sym_match_expression_token1] = ACTIONS(1302),
    [aux_sym_match_default_expression_token1] = ACTIONS(1302),
    [aux_sym_switch_statement_token1] = ACTIONS(1302),
    [aux_sym_switch_block_token1] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_AT] = ACTIONS(1300),
    [aux_sym_clone_expression_token1] = ACTIONS(1302),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [aux_sym__list_destructing_token1] = ACTIONS(1302),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_self] = ACTIONS(1302),
    [anon_sym_parent] = ACTIONS(1302),
    [aux_sym__argument_name_token1] = ACTIONS(1302),
    [aux_sym__argument_name_token2] = ACTIONS(1302),
    [anon_sym_POUND_LBRACK] = ACTIONS(1300),
    [aux_sym_encapsed_string_token1] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [aux_sym_string_token1] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_LT_LT_LT] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(1300),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [aux_sym_yield_expression_token1] = ACTIONS(1302),
    [aux_sym_include_expression_token1] = ACTIONS(1302),
    [aux_sym_include_once_expression_token1] = ACTIONS(1302),
    [aux_sym_require_expression_token1] = ACTIONS(1302),
    [aux_sym_require_once_expression_token1] = ACTIONS(1302),
    [sym_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_text_interpolation] = STATE(517),
    [ts_builtin_sym_end] = ACTIONS(1304),
    [sym_name] = ACTIONS(1306),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1304),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1306),
    [aux_sym_global_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_definition_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1306),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1306),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1306),
    [anon_sym_BSLASH] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [aux_sym_trait_declaration_token1] = ACTIONS(1306),
    [aux_sym_interface_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_case_token1] = ACTIONS(1306),
    [aux_sym_class_declaration_token1] = ACTIONS(1306),
    [aux_sym_final_modifier_token1] = ACTIONS(1306),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1306),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1306),
    [sym_var_modifier] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1304),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1306),
    [aux_sym_cast_type_token1] = ACTIONS(1306),
    [aux_sym_echo_statement_token1] = ACTIONS(1306),
    [aux_sym_exit_statement_token1] = ACTIONS(1306),
    [anon_sym_unset] = ACTIONS(1306),
    [aux_sym_declare_statement_token1] = ACTIONS(1306),
    [aux_sym_declare_statement_token2] = ACTIONS(1306),
    [sym_float] = ACTIONS(1306),
    [aux_sym_try_statement_token1] = ACTIONS(1306),
    [aux_sym_goto_statement_token1] = ACTIONS(1306),
    [aux_sym_continue_statement_token1] = ACTIONS(1306),
    [aux_sym_break_statement_token1] = ACTIONS(1306),
    [sym_integer] = ACTIONS(1306),
    [aux_sym_return_statement_token1] = ACTIONS(1306),
    [aux_sym_throw_expression_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token2] = ACTIONS(1306),
    [aux_sym_do_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token2] = ACTIONS(1306),
    [aux_sym_foreach_statement_token1] = ACTIONS(1306),
    [aux_sym_foreach_statement_token2] = ACTIONS(1306),
    [aux_sym_if_statement_token1] = ACTIONS(1306),
    [aux_sym_if_statement_token2] = ACTIONS(1306),
    [aux_sym_else_if_clause_token1] = ACTIONS(1306),
    [aux_sym_else_clause_token1] = ACTIONS(1306),
    [aux_sym_match_expression_token1] = ACTIONS(1306),
    [aux_sym_match_default_expression_token1] = ACTIONS(1306),
    [aux_sym_switch_statement_token1] = ACTIONS(1306),
    [aux_sym_switch_block_token1] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(1304),
    [aux_sym_clone_expression_token1] = ACTIONS(1306),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1306),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [aux_sym__list_destructing_token1] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_self] = ACTIONS(1306),
    [anon_sym_parent] = ACTIONS(1306),
    [aux_sym__argument_name_token1] = ACTIONS(1306),
    [aux_sym__argument_name_token2] = ACTIONS(1306),
    [anon_sym_POUND_LBRACK] = ACTIONS(1304),
    [aux_sym_encapsed_string_token1] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [aux_sym_string_token1] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_LT_LT_LT] = ACTIONS(1304),
    [anon_sym_BQUOTE] = ACTIONS(1304),
    [anon_sym_DOLLAR] = ACTIONS(1304),
    [aux_sym_yield_expression_token1] = ACTIONS(1306),
    [aux_sym_include_expression_token1] = ACTIONS(1306),
    [aux_sym_include_once_expression_token1] = ACTIONS(1306),
    [aux_sym_require_expression_token1] = ACTIONS(1306),
    [aux_sym_require_once_expression_token1] = ACTIONS(1306),
    [sym_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_text_interpolation] = STATE(518),
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_name] = ACTIONS(1310),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1308),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1310),
    [aux_sym_global_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_definition_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1310),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1310),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1310),
    [anon_sym_BSLASH] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [aux_sym_trait_declaration_token1] = ACTIONS(1310),
    [aux_sym_interface_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_case_token1] = ACTIONS(1310),
    [aux_sym_class_declaration_token1] = ACTIONS(1310),
    [aux_sym_final_modifier_token1] = ACTIONS(1310),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1310),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1310),
    [sym_var_modifier] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1310),
    [aux_sym_cast_type_token1] = ACTIONS(1310),
    [aux_sym_echo_statement_token1] = ACTIONS(1310),
    [aux_sym_exit_statement_token1] = ACTIONS(1310),
    [anon_sym_unset] = ACTIONS(1310),
    [aux_sym_declare_statement_token1] = ACTIONS(1310),
    [aux_sym_declare_statement_token2] = ACTIONS(1310),
    [sym_float] = ACTIONS(1310),
    [aux_sym_try_statement_token1] = ACTIONS(1310),
    [aux_sym_goto_statement_token1] = ACTIONS(1310),
    [aux_sym_continue_statement_token1] = ACTIONS(1310),
    [aux_sym_break_statement_token1] = ACTIONS(1310),
    [sym_integer] = ACTIONS(1310),
    [aux_sym_return_statement_token1] = ACTIONS(1310),
    [aux_sym_throw_expression_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token2] = ACTIONS(1310),
    [aux_sym_do_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token2] = ACTIONS(1310),
    [aux_sym_foreach_statement_token1] = ACTIONS(1310),
    [aux_sym_foreach_statement_token2] = ACTIONS(1310),
    [aux_sym_if_statement_token1] = ACTIONS(1310),
    [aux_sym_if_statement_token2] = ACTIONS(1310),
    [aux_sym_else_if_clause_token1] = ACTIONS(1310),
    [aux_sym_else_clause_token1] = ACTIONS(1310),
    [aux_sym_match_expression_token1] = ACTIONS(1310),
    [aux_sym_match_default_expression_token1] = ACTIONS(1310),
    [aux_sym_switch_statement_token1] = ACTIONS(1310),
    [aux_sym_switch_block_token1] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_AT] = ACTIONS(1308),
    [aux_sym_clone_expression_token1] = ACTIONS(1310),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1310),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [aux_sym__list_destructing_token1] = ACTIONS(1310),
    [anon_sym_LBRACK] = ACTIONS(1308),
    [anon_sym_self] = ACTIONS(1310),
    [anon_sym_parent] = ACTIONS(1310),
    [aux_sym__argument_name_token1] = ACTIONS(1310),
    [aux_sym__argument_name_token2] = ACTIONS(1310),
    [anon_sym_POUND_LBRACK] = ACTIONS(1308),
    [aux_sym_encapsed_string_token1] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [aux_sym_string_token1] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_LT_LT_LT] = ACTIONS(1308),
    [anon_sym_BQUOTE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1308),
    [aux_sym_yield_expression_token1] = ACTIONS(1310),
    [aux_sym_include_expression_token1] = ACTIONS(1310),
    [aux_sym_include_once_expression_token1] = ACTIONS(1310),
    [aux_sym_require_expression_token1] = ACTIONS(1310),
    [aux_sym_require_once_expression_token1] = ACTIONS(1310),
    [sym_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_text_interpolation] = STATE(519),
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_name] = ACTIONS(1314),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1312),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1314),
    [aux_sym_global_declaration_token1] = ACTIONS(1314),
    [aux_sym_namespace_definition_token1] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1314),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1314),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1314),
    [anon_sym_BSLASH] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [aux_sym_trait_declaration_token1] = ACTIONS(1314),
    [aux_sym_interface_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_case_token1] = ACTIONS(1314),
    [aux_sym_class_declaration_token1] = ACTIONS(1314),
    [aux_sym_final_modifier_token1] = ACTIONS(1314),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1314),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1314),
    [sym_var_modifier] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1314),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1314),
    [aux_sym_cast_type_token1] = ACTIONS(1314),
    [aux_sym_echo_statement_token1] = ACTIONS(1314),
    [aux_sym_exit_statement_token1] = ACTIONS(1314),
    [anon_sym_unset] = ACTIONS(1314),
    [aux_sym_declare_statement_token1] = ACTIONS(1314),
    [aux_sym_declare_statement_token2] = ACTIONS(1314),
    [sym_float] = ACTIONS(1314),
    [aux_sym_try_statement_token1] = ACTIONS(1314),
    [aux_sym_goto_statement_token1] = ACTIONS(1314),
    [aux_sym_continue_statement_token1] = ACTIONS(1314),
    [aux_sym_break_statement_token1] = ACTIONS(1314),
    [sym_integer] = ACTIONS(1314),
    [aux_sym_return_statement_token1] = ACTIONS(1314),
    [aux_sym_throw_expression_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token2] = ACTIONS(1314),
    [aux_sym_do_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token2] = ACTIONS(1314),
    [aux_sym_foreach_statement_token1] = ACTIONS(1314),
    [aux_sym_foreach_statement_token2] = ACTIONS(1314),
    [aux_sym_if_statement_token1] = ACTIONS(1314),
    [aux_sym_if_statement_token2] = ACTIONS(1314),
    [aux_sym_else_if_clause_token1] = ACTIONS(1314),
    [aux_sym_else_clause_token1] = ACTIONS(1314),
    [aux_sym_match_expression_token1] = ACTIONS(1314),
    [aux_sym_match_default_expression_token1] = ACTIONS(1314),
    [aux_sym_switch_statement_token1] = ACTIONS(1314),
    [aux_sym_switch_block_token1] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_AT] = ACTIONS(1312),
    [aux_sym_clone_expression_token1] = ACTIONS(1314),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1314),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1314),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [aux_sym__list_destructing_token1] = ACTIONS(1314),
    [anon_sym_LBRACK] = ACTIONS(1312),
    [anon_sym_self] = ACTIONS(1314),
    [anon_sym_parent] = ACTIONS(1314),
    [aux_sym__argument_name_token1] = ACTIONS(1314),
    [aux_sym__argument_name_token2] = ACTIONS(1314),
    [anon_sym_POUND_LBRACK] = ACTIONS(1312),
    [aux_sym_encapsed_string_token1] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [aux_sym_string_token1] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_LT_LT_LT] = ACTIONS(1312),
    [anon_sym_BQUOTE] = ACTIONS(1312),
    [anon_sym_DOLLAR] = ACTIONS(1312),
    [aux_sym_yield_expression_token1] = ACTIONS(1314),
    [aux_sym_include_expression_token1] = ACTIONS(1314),
    [aux_sym_include_once_expression_token1] = ACTIONS(1314),
    [aux_sym_require_expression_token1] = ACTIONS(1314),
    [aux_sym_require_once_expression_token1] = ACTIONS(1314),
    [sym_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_text_interpolation] = STATE(520),
    [ts_builtin_sym_end] = ACTIONS(1316),
    [sym_name] = ACTIONS(1318),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1316),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1318),
    [aux_sym_global_declaration_token1] = ACTIONS(1318),
    [aux_sym_namespace_definition_token1] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1318),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1318),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1318),
    [anon_sym_BSLASH] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_RBRACE] = ACTIONS(1316),
    [aux_sym_trait_declaration_token1] = ACTIONS(1318),
    [aux_sym_interface_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_case_token1] = ACTIONS(1318),
    [aux_sym_class_declaration_token1] = ACTIONS(1318),
    [aux_sym_final_modifier_token1] = ACTIONS(1318),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1318),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1318),
    [sym_var_modifier] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1318),
    [anon_sym_LPAREN2] = ACTIONS(1316),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1318),
    [aux_sym_cast_type_token1] = ACTIONS(1318),
    [aux_sym_echo_statement_token1] = ACTIONS(1318),
    [aux_sym_exit_statement_token1] = ACTIONS(1318),
    [anon_sym_unset] = ACTIONS(1318),
    [aux_sym_declare_statement_token1] = ACTIONS(1318),
    [aux_sym_declare_statement_token2] = ACTIONS(1318),
    [sym_float] = ACTIONS(1318),
    [aux_sym_try_statement_token1] = ACTIONS(1318),
    [aux_sym_goto_statement_token1] = ACTIONS(1318),
    [aux_sym_continue_statement_token1] = ACTIONS(1318),
    [aux_sym_break_statement_token1] = ACTIONS(1318),
    [sym_integer] = ACTIONS(1318),
    [aux_sym_return_statement_token1] = ACTIONS(1318),
    [aux_sym_throw_expression_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token2] = ACTIONS(1318),
    [aux_sym_do_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token2] = ACTIONS(1318),
    [aux_sym_foreach_statement_token1] = ACTIONS(1318),
    [aux_sym_foreach_statement_token2] = ACTIONS(1318),
    [aux_sym_if_statement_token1] = ACTIONS(1318),
    [aux_sym_if_statement_token2] = ACTIONS(1318),
    [aux_sym_else_if_clause_token1] = ACTIONS(1318),
    [aux_sym_else_clause_token1] = ACTIONS(1318),
    [aux_sym_match_expression_token1] = ACTIONS(1318),
    [aux_sym_match_default_expression_token1] = ACTIONS(1318),
    [aux_sym_switch_statement_token1] = ACTIONS(1318),
    [aux_sym_switch_block_token1] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [anon_sym_AT] = ACTIONS(1316),
    [aux_sym_clone_expression_token1] = ACTIONS(1318),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1318),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [aux_sym__list_destructing_token1] = ACTIONS(1318),
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_self] = ACTIONS(1318),
    [anon_sym_parent] = ACTIONS(1318),
    [aux_sym__argument_name_token1] = ACTIONS(1318),
    [aux_sym__argument_name_token2] = ACTIONS(1318),
    [anon_sym_POUND_LBRACK] = ACTIONS(1316),
    [aux_sym_encapsed_string_token1] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [aux_sym_string_token1] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [anon_sym_LT_LT_LT] = ACTIONS(1316),
    [anon_sym_BQUOTE] = ACTIONS(1316),
    [anon_sym_DOLLAR] = ACTIONS(1316),
    [aux_sym_yield_expression_token1] = ACTIONS(1318),
    [aux_sym_include_expression_token1] = ACTIONS(1318),
    [aux_sym_include_once_expression_token1] = ACTIONS(1318),
    [aux_sym_require_expression_token1] = ACTIONS(1318),
    [aux_sym_require_once_expression_token1] = ACTIONS(1318),
    [sym_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_text_interpolation] = STATE(521),
    [ts_builtin_sym_end] = ACTIONS(1320),
    [sym_name] = ACTIONS(1322),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1320),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1322),
    [aux_sym_global_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_definition_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1322),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1322),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1322),
    [anon_sym_BSLASH] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [aux_sym_trait_declaration_token1] = ACTIONS(1322),
    [aux_sym_interface_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_case_token1] = ACTIONS(1322),
    [aux_sym_class_declaration_token1] = ACTIONS(1322),
    [aux_sym_final_modifier_token1] = ACTIONS(1322),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1322),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1322),
    [sym_var_modifier] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1322),
    [anon_sym_LPAREN2] = ACTIONS(1320),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1322),
    [aux_sym_cast_type_token1] = ACTIONS(1322),
    [aux_sym_echo_statement_token1] = ACTIONS(1322),
    [aux_sym_exit_statement_token1] = ACTIONS(1322),
    [anon_sym_unset] = ACTIONS(1322),
    [aux_sym_declare_statement_token1] = ACTIONS(1322),
    [aux_sym_declare_statement_token2] = ACTIONS(1322),
    [sym_float] = ACTIONS(1322),
    [aux_sym_try_statement_token1] = ACTIONS(1322),
    [aux_sym_goto_statement_token1] = ACTIONS(1322),
    [aux_sym_continue_statement_token1] = ACTIONS(1322),
    [aux_sym_break_statement_token1] = ACTIONS(1322),
    [sym_integer] = ACTIONS(1322),
    [aux_sym_return_statement_token1] = ACTIONS(1322),
    [aux_sym_throw_expression_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token2] = ACTIONS(1322),
    [aux_sym_do_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token2] = ACTIONS(1322),
    [aux_sym_foreach_statement_token1] = ACTIONS(1322),
    [aux_sym_foreach_statement_token2] = ACTIONS(1322),
    [aux_sym_if_statement_token1] = ACTIONS(1322),
    [aux_sym_if_statement_token2] = ACTIONS(1322),
    [aux_sym_else_if_clause_token1] = ACTIONS(1322),
    [aux_sym_else_clause_token1] = ACTIONS(1322),
    [aux_sym_match_expression_token1] = ACTIONS(1322),
    [aux_sym_match_default_expression_token1] = ACTIONS(1322),
    [aux_sym_switch_statement_token1] = ACTIONS(1322),
    [aux_sym_switch_block_token1] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_AT] = ACTIONS(1320),
    [aux_sym_clone_expression_token1] = ACTIONS(1322),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1322),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [aux_sym__list_destructing_token1] = ACTIONS(1322),
    [anon_sym_LBRACK] = ACTIONS(1320),
    [anon_sym_self] = ACTIONS(1322),
    [anon_sym_parent] = ACTIONS(1322),
    [aux_sym__argument_name_token1] = ACTIONS(1322),
    [aux_sym__argument_name_token2] = ACTIONS(1322),
    [anon_sym_POUND_LBRACK] = ACTIONS(1320),
    [aux_sym_encapsed_string_token1] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [aux_sym_string_token1] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_LT_LT_LT] = ACTIONS(1320),
    [anon_sym_BQUOTE] = ACTIONS(1320),
    [anon_sym_DOLLAR] = ACTIONS(1320),
    [aux_sym_yield_expression_token1] = ACTIONS(1322),
    [aux_sym_include_expression_token1] = ACTIONS(1322),
    [aux_sym_include_once_expression_token1] = ACTIONS(1322),
    [aux_sym_require_expression_token1] = ACTIONS(1322),
    [aux_sym_require_once_expression_token1] = ACTIONS(1322),
    [sym_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_text_interpolation] = STATE(522),
    [ts_builtin_sym_end] = ACTIONS(1324),
    [sym_name] = ACTIONS(1326),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1324),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1326),
    [aux_sym_global_declaration_token1] = ACTIONS(1326),
    [aux_sym_namespace_definition_token1] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1326),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1326),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1326),
    [anon_sym_BSLASH] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [aux_sym_trait_declaration_token1] = ACTIONS(1326),
    [aux_sym_interface_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_case_token1] = ACTIONS(1326),
    [aux_sym_class_declaration_token1] = ACTIONS(1326),
    [aux_sym_final_modifier_token1] = ACTIONS(1326),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1326),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1326),
    [sym_var_modifier] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1326),
    [anon_sym_LPAREN2] = ACTIONS(1324),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1326),
    [aux_sym_cast_type_token1] = ACTIONS(1326),
    [aux_sym_echo_statement_token1] = ACTIONS(1326),
    [aux_sym_exit_statement_token1] = ACTIONS(1326),
    [anon_sym_unset] = ACTIONS(1326),
    [aux_sym_declare_statement_token1] = ACTIONS(1326),
    [aux_sym_declare_statement_token2] = ACTIONS(1326),
    [sym_float] = ACTIONS(1326),
    [aux_sym_try_statement_token1] = ACTIONS(1326),
    [aux_sym_goto_statement_token1] = ACTIONS(1326),
    [aux_sym_continue_statement_token1] = ACTIONS(1326),
    [aux_sym_break_statement_token1] = ACTIONS(1326),
    [sym_integer] = ACTIONS(1326),
    [aux_sym_return_statement_token1] = ACTIONS(1326),
    [aux_sym_throw_expression_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token2] = ACTIONS(1326),
    [aux_sym_do_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token2] = ACTIONS(1326),
    [aux_sym_foreach_statement_token1] = ACTIONS(1326),
    [aux_sym_foreach_statement_token2] = ACTIONS(1326),
    [aux_sym_if_statement_token1] = ACTIONS(1326),
    [aux_sym_if_statement_token2] = ACTIONS(1326),
    [aux_sym_else_if_clause_token1] = ACTIONS(1326),
    [aux_sym_else_clause_token1] = ACTIONS(1326),
    [aux_sym_match_expression_token1] = ACTIONS(1326),
    [aux_sym_match_default_expression_token1] = ACTIONS(1326),
    [aux_sym_switch_statement_token1] = ACTIONS(1326),
    [aux_sym_switch_block_token1] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_AT] = ACTIONS(1324),
    [aux_sym_clone_expression_token1] = ACTIONS(1326),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1326),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [aux_sym__list_destructing_token1] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1324),
    [anon_sym_self] = ACTIONS(1326),
    [anon_sym_parent] = ACTIONS(1326),
    [aux_sym__argument_name_token1] = ACTIONS(1326),
    [aux_sym__argument_name_token2] = ACTIONS(1326),
    [anon_sym_POUND_LBRACK] = ACTIONS(1324),
    [aux_sym_encapsed_string_token1] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [aux_sym_string_token1] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_LT_LT_LT] = ACTIONS(1324),
    [anon_sym_BQUOTE] = ACTIONS(1324),
    [anon_sym_DOLLAR] = ACTIONS(1324),
    [aux_sym_yield_expression_token1] = ACTIONS(1326),
    [aux_sym_include_expression_token1] = ACTIONS(1326),
    [aux_sym_include_once_expression_token1] = ACTIONS(1326),
    [aux_sym_require_expression_token1] = ACTIONS(1326),
    [aux_sym_require_once_expression_token1] = ACTIONS(1326),
    [sym_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_text_interpolation] = STATE(523),
    [ts_builtin_sym_end] = ACTIONS(1328),
    [sym_name] = ACTIONS(1330),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1328),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1330),
    [aux_sym_global_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_definition_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1330),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1330),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1330),
    [anon_sym_BSLASH] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [aux_sym_trait_declaration_token1] = ACTIONS(1330),
    [aux_sym_interface_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_case_token1] = ACTIONS(1330),
    [aux_sym_class_declaration_token1] = ACTIONS(1330),
    [aux_sym_final_modifier_token1] = ACTIONS(1330),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1330),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1330),
    [sym_var_modifier] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1330),
    [anon_sym_LPAREN2] = ACTIONS(1328),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1330),
    [aux_sym_cast_type_token1] = ACTIONS(1330),
    [aux_sym_echo_statement_token1] = ACTIONS(1330),
    [aux_sym_exit_statement_token1] = ACTIONS(1330),
    [anon_sym_unset] = ACTIONS(1330),
    [aux_sym_declare_statement_token1] = ACTIONS(1330),
    [aux_sym_declare_statement_token2] = ACTIONS(1330),
    [sym_float] = ACTIONS(1330),
    [aux_sym_try_statement_token1] = ACTIONS(1330),
    [aux_sym_goto_statement_token1] = ACTIONS(1330),
    [aux_sym_continue_statement_token1] = ACTIONS(1330),
    [aux_sym_break_statement_token1] = ACTIONS(1330),
    [sym_integer] = ACTIONS(1330),
    [aux_sym_return_statement_token1] = ACTIONS(1330),
    [aux_sym_throw_expression_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token2] = ACTIONS(1330),
    [aux_sym_do_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token2] = ACTIONS(1330),
    [aux_sym_foreach_statement_token1] = ACTIONS(1330),
    [aux_sym_foreach_statement_token2] = ACTIONS(1330),
    [aux_sym_if_statement_token1] = ACTIONS(1330),
    [aux_sym_if_statement_token2] = ACTIONS(1330),
    [aux_sym_else_if_clause_token1] = ACTIONS(1330),
    [aux_sym_else_clause_token1] = ACTIONS(1330),
    [aux_sym_match_expression_token1] = ACTIONS(1330),
    [aux_sym_match_default_expression_token1] = ACTIONS(1330),
    [aux_sym_switch_statement_token1] = ACTIONS(1330),
    [aux_sym_switch_block_token1] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_AT] = ACTIONS(1328),
    [aux_sym_clone_expression_token1] = ACTIONS(1330),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1330),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [aux_sym__list_destructing_token1] = ACTIONS(1330),
    [anon_sym_LBRACK] = ACTIONS(1328),
    [anon_sym_self] = ACTIONS(1330),
    [anon_sym_parent] = ACTIONS(1330),
    [aux_sym__argument_name_token1] = ACTIONS(1330),
    [aux_sym__argument_name_token2] = ACTIONS(1330),
    [anon_sym_POUND_LBRACK] = ACTIONS(1328),
    [aux_sym_encapsed_string_token1] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [aux_sym_string_token1] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_LT_LT_LT] = ACTIONS(1328),
    [anon_sym_BQUOTE] = ACTIONS(1328),
    [anon_sym_DOLLAR] = ACTIONS(1328),
    [aux_sym_yield_expression_token1] = ACTIONS(1330),
    [aux_sym_include_expression_token1] = ACTIONS(1330),
    [aux_sym_include_once_expression_token1] = ACTIONS(1330),
    [aux_sym_require_expression_token1] = ACTIONS(1330),
    [aux_sym_require_once_expression_token1] = ACTIONS(1330),
    [sym_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_text_interpolation] = STATE(524),
    [ts_builtin_sym_end] = ACTIONS(1332),
    [sym_name] = ACTIONS(1334),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1332),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1334),
    [aux_sym_global_declaration_token1] = ACTIONS(1334),
    [aux_sym_namespace_definition_token1] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1334),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1334),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1334),
    [anon_sym_BSLASH] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [aux_sym_trait_declaration_token1] = ACTIONS(1334),
    [aux_sym_interface_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_case_token1] = ACTIONS(1334),
    [aux_sym_class_declaration_token1] = ACTIONS(1334),
    [aux_sym_final_modifier_token1] = ACTIONS(1334),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1334),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1334),
    [sym_var_modifier] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1334),
    [anon_sym_LPAREN2] = ACTIONS(1332),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1334),
    [aux_sym_cast_type_token1] = ACTIONS(1334),
    [aux_sym_echo_statement_token1] = ACTIONS(1334),
    [aux_sym_exit_statement_token1] = ACTIONS(1334),
    [anon_sym_unset] = ACTIONS(1334),
    [aux_sym_declare_statement_token1] = ACTIONS(1334),
    [aux_sym_declare_statement_token2] = ACTIONS(1334),
    [sym_float] = ACTIONS(1334),
    [aux_sym_try_statement_token1] = ACTIONS(1334),
    [aux_sym_goto_statement_token1] = ACTIONS(1334),
    [aux_sym_continue_statement_token1] = ACTIONS(1334),
    [aux_sym_break_statement_token1] = ACTIONS(1334),
    [sym_integer] = ACTIONS(1334),
    [aux_sym_return_statement_token1] = ACTIONS(1334),
    [aux_sym_throw_expression_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token2] = ACTIONS(1334),
    [aux_sym_do_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token2] = ACTIONS(1334),
    [aux_sym_foreach_statement_token1] = ACTIONS(1334),
    [aux_sym_foreach_statement_token2] = ACTIONS(1334),
    [aux_sym_if_statement_token1] = ACTIONS(1334),
    [aux_sym_if_statement_token2] = ACTIONS(1334),
    [aux_sym_else_if_clause_token1] = ACTIONS(1334),
    [aux_sym_else_clause_token1] = ACTIONS(1334),
    [aux_sym_match_expression_token1] = ACTIONS(1334),
    [aux_sym_match_default_expression_token1] = ACTIONS(1334),
    [aux_sym_switch_statement_token1] = ACTIONS(1334),
    [aux_sym_switch_block_token1] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_AT] = ACTIONS(1332),
    [aux_sym_clone_expression_token1] = ACTIONS(1334),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1334),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [aux_sym__list_destructing_token1] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1332),
    [anon_sym_self] = ACTIONS(1334),
    [anon_sym_parent] = ACTIONS(1334),
    [aux_sym__argument_name_token1] = ACTIONS(1334),
    [aux_sym__argument_name_token2] = ACTIONS(1334),
    [anon_sym_POUND_LBRACK] = ACTIONS(1332),
    [aux_sym_encapsed_string_token1] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [aux_sym_string_token1] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_LT_LT_LT] = ACTIONS(1332),
    [anon_sym_BQUOTE] = ACTIONS(1332),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [aux_sym_yield_expression_token1] = ACTIONS(1334),
    [aux_sym_include_expression_token1] = ACTIONS(1334),
    [aux_sym_include_once_expression_token1] = ACTIONS(1334),
    [aux_sym_require_expression_token1] = ACTIONS(1334),
    [aux_sym_require_once_expression_token1] = ACTIONS(1334),
    [sym_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_text_interpolation] = STATE(525),
    [ts_builtin_sym_end] = ACTIONS(1336),
    [sym_name] = ACTIONS(1338),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1336),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1338),
    [aux_sym_global_declaration_token1] = ACTIONS(1338),
    [aux_sym_namespace_definition_token1] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1338),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1338),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1338),
    [anon_sym_BSLASH] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_RBRACE] = ACTIONS(1336),
    [aux_sym_trait_declaration_token1] = ACTIONS(1338),
    [aux_sym_interface_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_case_token1] = ACTIONS(1338),
    [aux_sym_class_declaration_token1] = ACTIONS(1338),
    [aux_sym_final_modifier_token1] = ACTIONS(1338),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1338),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1338),
    [sym_var_modifier] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1338),
    [anon_sym_LPAREN2] = ACTIONS(1336),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1338),
    [aux_sym_cast_type_token1] = ACTIONS(1338),
    [aux_sym_echo_statement_token1] = ACTIONS(1338),
    [aux_sym_exit_statement_token1] = ACTIONS(1338),
    [anon_sym_unset] = ACTIONS(1338),
    [aux_sym_declare_statement_token1] = ACTIONS(1338),
    [aux_sym_declare_statement_token2] = ACTIONS(1338),
    [sym_float] = ACTIONS(1338),
    [aux_sym_try_statement_token1] = ACTIONS(1338),
    [aux_sym_goto_statement_token1] = ACTIONS(1338),
    [aux_sym_continue_statement_token1] = ACTIONS(1338),
    [aux_sym_break_statement_token1] = ACTIONS(1338),
    [sym_integer] = ACTIONS(1338),
    [aux_sym_return_statement_token1] = ACTIONS(1338),
    [aux_sym_throw_expression_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token2] = ACTIONS(1338),
    [aux_sym_do_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token2] = ACTIONS(1338),
    [aux_sym_foreach_statement_token1] = ACTIONS(1338),
    [aux_sym_foreach_statement_token2] = ACTIONS(1338),
    [aux_sym_if_statement_token1] = ACTIONS(1338),
    [aux_sym_if_statement_token2] = ACTIONS(1338),
    [aux_sym_else_if_clause_token1] = ACTIONS(1338),
    [aux_sym_else_clause_token1] = ACTIONS(1338),
    [aux_sym_match_expression_token1] = ACTIONS(1338),
    [aux_sym_match_default_expression_token1] = ACTIONS(1338),
    [aux_sym_switch_statement_token1] = ACTIONS(1338),
    [aux_sym_switch_block_token1] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_AT] = ACTIONS(1336),
    [aux_sym_clone_expression_token1] = ACTIONS(1338),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1338),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [aux_sym__list_destructing_token1] = ACTIONS(1338),
    [anon_sym_LBRACK] = ACTIONS(1336),
    [anon_sym_self] = ACTIONS(1338),
    [anon_sym_parent] = ACTIONS(1338),
    [aux_sym__argument_name_token1] = ACTIONS(1338),
    [aux_sym__argument_name_token2] = ACTIONS(1338),
    [anon_sym_POUND_LBRACK] = ACTIONS(1336),
    [aux_sym_encapsed_string_token1] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [aux_sym_string_token1] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_LT_LT_LT] = ACTIONS(1336),
    [anon_sym_BQUOTE] = ACTIONS(1336),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [aux_sym_yield_expression_token1] = ACTIONS(1338),
    [aux_sym_include_expression_token1] = ACTIONS(1338),
    [aux_sym_include_once_expression_token1] = ACTIONS(1338),
    [aux_sym_require_expression_token1] = ACTIONS(1338),
    [aux_sym_require_once_expression_token1] = ACTIONS(1338),
    [sym_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_text_interpolation] = STATE(526),
    [ts_builtin_sym_end] = ACTIONS(1340),
    [sym_name] = ACTIONS(1342),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1340),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1342),
    [aux_sym_global_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_definition_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1342),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1342),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1342),
    [anon_sym_BSLASH] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [aux_sym_trait_declaration_token1] = ACTIONS(1342),
    [aux_sym_interface_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_case_token1] = ACTIONS(1342),
    [aux_sym_class_declaration_token1] = ACTIONS(1342),
    [aux_sym_final_modifier_token1] = ACTIONS(1342),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1342),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1342),
    [sym_var_modifier] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1342),
    [anon_sym_LPAREN2] = ACTIONS(1340),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1342),
    [aux_sym_cast_type_token1] = ACTIONS(1342),
    [aux_sym_echo_statement_token1] = ACTIONS(1342),
    [aux_sym_exit_statement_token1] = ACTIONS(1342),
    [anon_sym_unset] = ACTIONS(1342),
    [aux_sym_declare_statement_token1] = ACTIONS(1342),
    [aux_sym_declare_statement_token2] = ACTIONS(1342),
    [sym_float] = ACTIONS(1342),
    [aux_sym_try_statement_token1] = ACTIONS(1342),
    [aux_sym_goto_statement_token1] = ACTIONS(1342),
    [aux_sym_continue_statement_token1] = ACTIONS(1342),
    [aux_sym_break_statement_token1] = ACTIONS(1342),
    [sym_integer] = ACTIONS(1342),
    [aux_sym_return_statement_token1] = ACTIONS(1342),
    [aux_sym_throw_expression_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token2] = ACTIONS(1342),
    [aux_sym_do_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token2] = ACTIONS(1342),
    [aux_sym_foreach_statement_token1] = ACTIONS(1342),
    [aux_sym_foreach_statement_token2] = ACTIONS(1342),
    [aux_sym_if_statement_token1] = ACTIONS(1342),
    [aux_sym_if_statement_token2] = ACTIONS(1342),
    [aux_sym_else_if_clause_token1] = ACTIONS(1342),
    [aux_sym_else_clause_token1] = ACTIONS(1342),
    [aux_sym_match_expression_token1] = ACTIONS(1342),
    [aux_sym_match_default_expression_token1] = ACTIONS(1342),
    [aux_sym_switch_statement_token1] = ACTIONS(1342),
    [aux_sym_switch_block_token1] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_AT] = ACTIONS(1340),
    [aux_sym_clone_expression_token1] = ACTIONS(1342),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1342),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [aux_sym__list_destructing_token1] = ACTIONS(1342),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_self] = ACTIONS(1342),
    [anon_sym_parent] = ACTIONS(1342),
    [aux_sym__argument_name_token1] = ACTIONS(1342),
    [aux_sym__argument_name_token2] = ACTIONS(1342),
    [anon_sym_POUND_LBRACK] = ACTIONS(1340),
    [aux_sym_encapsed_string_token1] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [aux_sym_string_token1] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_LT_LT_LT] = ACTIONS(1340),
    [anon_sym_BQUOTE] = ACTIONS(1340),
    [anon_sym_DOLLAR] = ACTIONS(1340),
    [aux_sym_yield_expression_token1] = ACTIONS(1342),
    [aux_sym_include_expression_token1] = ACTIONS(1342),
    [aux_sym_include_once_expression_token1] = ACTIONS(1342),
    [aux_sym_require_expression_token1] = ACTIONS(1342),
    [aux_sym_require_once_expression_token1] = ACTIONS(1342),
    [sym_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_text_interpolation] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(1344),
    [sym_name] = ACTIONS(1346),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1344),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1346),
    [aux_sym_global_declaration_token1] = ACTIONS(1346),
    [aux_sym_namespace_definition_token1] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1346),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1346),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1346),
    [anon_sym_BSLASH] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [aux_sym_trait_declaration_token1] = ACTIONS(1346),
    [aux_sym_interface_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_case_token1] = ACTIONS(1346),
    [aux_sym_class_declaration_token1] = ACTIONS(1346),
    [aux_sym_final_modifier_token1] = ACTIONS(1346),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1346),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1346),
    [sym_var_modifier] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1346),
    [anon_sym_LPAREN2] = ACTIONS(1344),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1346),
    [aux_sym_cast_type_token1] = ACTIONS(1346),
    [aux_sym_echo_statement_token1] = ACTIONS(1346),
    [aux_sym_exit_statement_token1] = ACTIONS(1346),
    [anon_sym_unset] = ACTIONS(1346),
    [aux_sym_declare_statement_token1] = ACTIONS(1346),
    [aux_sym_declare_statement_token2] = ACTIONS(1346),
    [sym_float] = ACTIONS(1346),
    [aux_sym_try_statement_token1] = ACTIONS(1346),
    [aux_sym_goto_statement_token1] = ACTIONS(1346),
    [aux_sym_continue_statement_token1] = ACTIONS(1346),
    [aux_sym_break_statement_token1] = ACTIONS(1346),
    [sym_integer] = ACTIONS(1346),
    [aux_sym_return_statement_token1] = ACTIONS(1346),
    [aux_sym_throw_expression_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token2] = ACTIONS(1346),
    [aux_sym_do_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token2] = ACTIONS(1346),
    [aux_sym_foreach_statement_token1] = ACTIONS(1346),
    [aux_sym_foreach_statement_token2] = ACTIONS(1346),
    [aux_sym_if_statement_token1] = ACTIONS(1346),
    [aux_sym_if_statement_token2] = ACTIONS(1346),
    [aux_sym_else_if_clause_token1] = ACTIONS(1346),
    [aux_sym_else_clause_token1] = ACTIONS(1346),
    [aux_sym_match_expression_token1] = ACTIONS(1346),
    [aux_sym_match_default_expression_token1] = ACTIONS(1346),
    [aux_sym_switch_statement_token1] = ACTIONS(1346),
    [aux_sym_switch_block_token1] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_AT] = ACTIONS(1344),
    [aux_sym_clone_expression_token1] = ACTIONS(1346),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1346),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [aux_sym__list_destructing_token1] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(1344),
    [anon_sym_self] = ACTIONS(1346),
    [anon_sym_parent] = ACTIONS(1346),
    [aux_sym__argument_name_token1] = ACTIONS(1346),
    [aux_sym__argument_name_token2] = ACTIONS(1346),
    [anon_sym_POUND_LBRACK] = ACTIONS(1344),
    [aux_sym_encapsed_string_token1] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [aux_sym_string_token1] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_LT_LT_LT] = ACTIONS(1344),
    [anon_sym_BQUOTE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [aux_sym_yield_expression_token1] = ACTIONS(1346),
    [aux_sym_include_expression_token1] = ACTIONS(1346),
    [aux_sym_include_once_expression_token1] = ACTIONS(1346),
    [aux_sym_require_expression_token1] = ACTIONS(1346),
    [aux_sym_require_once_expression_token1] = ACTIONS(1346),
    [sym_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_text_interpolation] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(1348),
    [sym_name] = ACTIONS(1350),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1348),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1350),
    [aux_sym_global_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_definition_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1350),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1350),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1350),
    [anon_sym_BSLASH] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [aux_sym_trait_declaration_token1] = ACTIONS(1350),
    [aux_sym_interface_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_case_token1] = ACTIONS(1350),
    [aux_sym_class_declaration_token1] = ACTIONS(1350),
    [aux_sym_final_modifier_token1] = ACTIONS(1350),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1350),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1350),
    [sym_var_modifier] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1350),
    [anon_sym_LPAREN2] = ACTIONS(1348),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1350),
    [aux_sym_cast_type_token1] = ACTIONS(1350),
    [aux_sym_echo_statement_token1] = ACTIONS(1350),
    [aux_sym_exit_statement_token1] = ACTIONS(1350),
    [anon_sym_unset] = ACTIONS(1350),
    [aux_sym_declare_statement_token1] = ACTIONS(1350),
    [aux_sym_declare_statement_token2] = ACTIONS(1350),
    [sym_float] = ACTIONS(1350),
    [aux_sym_try_statement_token1] = ACTIONS(1350),
    [aux_sym_goto_statement_token1] = ACTIONS(1350),
    [aux_sym_continue_statement_token1] = ACTIONS(1350),
    [aux_sym_break_statement_token1] = ACTIONS(1350),
    [sym_integer] = ACTIONS(1350),
    [aux_sym_return_statement_token1] = ACTIONS(1350),
    [aux_sym_throw_expression_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token2] = ACTIONS(1350),
    [aux_sym_do_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token2] = ACTIONS(1350),
    [aux_sym_foreach_statement_token1] = ACTIONS(1350),
    [aux_sym_foreach_statement_token2] = ACTIONS(1350),
    [aux_sym_if_statement_token1] = ACTIONS(1350),
    [aux_sym_if_statement_token2] = ACTIONS(1350),
    [aux_sym_else_if_clause_token1] = ACTIONS(1350),
    [aux_sym_else_clause_token1] = ACTIONS(1350),
    [aux_sym_match_expression_token1] = ACTIONS(1350),
    [aux_sym_match_default_expression_token1] = ACTIONS(1350),
    [aux_sym_switch_statement_token1] = ACTIONS(1350),
    [aux_sym_switch_block_token1] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_AT] = ACTIONS(1348),
    [aux_sym_clone_expression_token1] = ACTIONS(1350),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1350),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [aux_sym__list_destructing_token1] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1348),
    [anon_sym_self] = ACTIONS(1350),
    [anon_sym_parent] = ACTIONS(1350),
    [aux_sym__argument_name_token1] = ACTIONS(1350),
    [aux_sym__argument_name_token2] = ACTIONS(1350),
    [anon_sym_POUND_LBRACK] = ACTIONS(1348),
    [aux_sym_encapsed_string_token1] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [aux_sym_string_token1] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_LT_LT_LT] = ACTIONS(1348),
    [anon_sym_BQUOTE] = ACTIONS(1348),
    [anon_sym_DOLLAR] = ACTIONS(1348),
    [aux_sym_yield_expression_token1] = ACTIONS(1350),
    [aux_sym_include_expression_token1] = ACTIONS(1350),
    [aux_sym_include_once_expression_token1] = ACTIONS(1350),
    [aux_sym_require_expression_token1] = ACTIONS(1350),
    [aux_sym_require_once_expression_token1] = ACTIONS(1350),
    [sym_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_text_interpolation] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(1352),
    [sym_name] = ACTIONS(1354),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1352),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1354),
    [aux_sym_global_declaration_token1] = ACTIONS(1354),
    [aux_sym_namespace_definition_token1] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1354),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1354),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1354),
    [anon_sym_BSLASH] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_RBRACE] = ACTIONS(1352),
    [aux_sym_trait_declaration_token1] = ACTIONS(1354),
    [aux_sym_interface_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_case_token1] = ACTIONS(1354),
    [aux_sym_class_declaration_token1] = ACTIONS(1354),
    [aux_sym_final_modifier_token1] = ACTIONS(1354),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1354),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1354),
    [sym_var_modifier] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1354),
    [anon_sym_LPAREN2] = ACTIONS(1352),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1354),
    [aux_sym_cast_type_token1] = ACTIONS(1354),
    [aux_sym_echo_statement_token1] = ACTIONS(1354),
    [aux_sym_exit_statement_token1] = ACTIONS(1354),
    [anon_sym_unset] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_declare_statement_token2] = ACTIONS(1354),
    [sym_float] = ACTIONS(1354),
    [aux_sym_try_statement_token1] = ACTIONS(1354),
    [aux_sym_goto_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [sym_integer] = ACTIONS(1354),
    [aux_sym_return_statement_token1] = ACTIONS(1354),
    [aux_sym_throw_expression_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token2] = ACTIONS(1354),
    [aux_sym_do_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token2] = ACTIONS(1354),
    [aux_sym_foreach_statement_token1] = ACTIONS(1354),
    [aux_sym_foreach_statement_token2] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token2] = ACTIONS(1354),
    [aux_sym_else_if_clause_token1] = ACTIONS(1354),
    [aux_sym_else_clause_token1] = ACTIONS(1354),
    [aux_sym_match_expression_token1] = ACTIONS(1354),
    [aux_sym_match_default_expression_token1] = ACTIONS(1354),
    [aux_sym_switch_statement_token1] = ACTIONS(1354),
    [aux_sym_switch_block_token1] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1352),
    [anon_sym_AT] = ACTIONS(1352),
    [aux_sym_clone_expression_token1] = ACTIONS(1354),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1354),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [aux_sym__list_destructing_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_self] = ACTIONS(1354),
    [anon_sym_parent] = ACTIONS(1354),
    [aux_sym__argument_name_token1] = ACTIONS(1354),
    [aux_sym__argument_name_token2] = ACTIONS(1354),
    [anon_sym_POUND_LBRACK] = ACTIONS(1352),
    [aux_sym_encapsed_string_token1] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [aux_sym_string_token1] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_LT_LT_LT] = ACTIONS(1352),
    [anon_sym_BQUOTE] = ACTIONS(1352),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [aux_sym_yield_expression_token1] = ACTIONS(1354),
    [aux_sym_include_expression_token1] = ACTIONS(1354),
    [aux_sym_include_once_expression_token1] = ACTIONS(1354),
    [aux_sym_require_expression_token1] = ACTIONS(1354),
    [aux_sym_require_once_expression_token1] = ACTIONS(1354),
    [sym_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_text_interpolation] = STATE(530),
    [ts_builtin_sym_end] = ACTIONS(1356),
    [sym_name] = ACTIONS(1358),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1358),
    [aux_sym_global_declaration_token1] = ACTIONS(1358),
    [aux_sym_namespace_definition_token1] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1358),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1358),
    [anon_sym_BSLASH] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_RBRACE] = ACTIONS(1356),
    [aux_sym_trait_declaration_token1] = ACTIONS(1358),
    [aux_sym_interface_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_case_token1] = ACTIONS(1358),
    [aux_sym_class_declaration_token1] = ACTIONS(1358),
    [aux_sym_final_modifier_token1] = ACTIONS(1358),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1358),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1358),
    [sym_var_modifier] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(1356),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1358),
    [aux_sym_cast_type_token1] = ACTIONS(1358),
    [aux_sym_echo_statement_token1] = ACTIONS(1358),
    [aux_sym_exit_statement_token1] = ACTIONS(1358),
    [anon_sym_unset] = ACTIONS(1358),
    [aux_sym_declare_statement_token1] = ACTIONS(1358),
    [aux_sym_declare_statement_token2] = ACTIONS(1358),
    [sym_float] = ACTIONS(1358),
    [aux_sym_try_statement_token1] = ACTIONS(1358),
    [aux_sym_goto_statement_token1] = ACTIONS(1358),
    [aux_sym_continue_statement_token1] = ACTIONS(1358),
    [aux_sym_break_statement_token1] = ACTIONS(1358),
    [sym_integer] = ACTIONS(1358),
    [aux_sym_return_statement_token1] = ACTIONS(1358),
    [aux_sym_throw_expression_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token2] = ACTIONS(1358),
    [aux_sym_do_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token2] = ACTIONS(1358),
    [aux_sym_foreach_statement_token1] = ACTIONS(1358),
    [aux_sym_foreach_statement_token2] = ACTIONS(1358),
    [aux_sym_if_statement_token1] = ACTIONS(1358),
    [aux_sym_if_statement_token2] = ACTIONS(1358),
    [aux_sym_else_if_clause_token1] = ACTIONS(1358),
    [aux_sym_else_clause_token1] = ACTIONS(1358),
    [aux_sym_match_expression_token1] = ACTIONS(1358),
    [aux_sym_match_default_expression_token1] = ACTIONS(1358),
    [aux_sym_switch_statement_token1] = ACTIONS(1358),
    [aux_sym_switch_block_token1] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_AT] = ACTIONS(1356),
    [aux_sym_clone_expression_token1] = ACTIONS(1358),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1358),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [aux_sym__list_destructing_token1] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(1356),
    [anon_sym_self] = ACTIONS(1358),
    [anon_sym_parent] = ACTIONS(1358),
    [aux_sym__argument_name_token1] = ACTIONS(1358),
    [aux_sym__argument_name_token2] = ACTIONS(1358),
    [anon_sym_POUND_LBRACK] = ACTIONS(1356),
    [aux_sym_encapsed_string_token1] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [aux_sym_string_token1] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_LT_LT_LT] = ACTIONS(1356),
    [anon_sym_BQUOTE] = ACTIONS(1356),
    [anon_sym_DOLLAR] = ACTIONS(1356),
    [aux_sym_yield_expression_token1] = ACTIONS(1358),
    [aux_sym_include_expression_token1] = ACTIONS(1358),
    [aux_sym_include_once_expression_token1] = ACTIONS(1358),
    [aux_sym_require_expression_token1] = ACTIONS(1358),
    [aux_sym_require_once_expression_token1] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_text_interpolation] = STATE(531),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym_name] = ACTIONS(1362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1362),
    [aux_sym_global_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_definition_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1362),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1362),
    [anon_sym_BSLASH] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [aux_sym_trait_declaration_token1] = ACTIONS(1362),
    [aux_sym_interface_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_case_token1] = ACTIONS(1362),
    [aux_sym_class_declaration_token1] = ACTIONS(1362),
    [aux_sym_final_modifier_token1] = ACTIONS(1362),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1362),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1362),
    [sym_var_modifier] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1362),
    [anon_sym_LPAREN2] = ACTIONS(1360),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1362),
    [aux_sym_cast_type_token1] = ACTIONS(1362),
    [aux_sym_echo_statement_token1] = ACTIONS(1362),
    [aux_sym_exit_statement_token1] = ACTIONS(1362),
    [anon_sym_unset] = ACTIONS(1362),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [aux_sym_declare_statement_token2] = ACTIONS(1362),
    [sym_float] = ACTIONS(1362),
    [aux_sym_try_statement_token1] = ACTIONS(1362),
    [aux_sym_goto_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [sym_integer] = ACTIONS(1362),
    [aux_sym_return_statement_token1] = ACTIONS(1362),
    [aux_sym_throw_expression_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token2] = ACTIONS(1362),
    [aux_sym_do_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token2] = ACTIONS(1362),
    [aux_sym_foreach_statement_token1] = ACTIONS(1362),
    [aux_sym_foreach_statement_token2] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token2] = ACTIONS(1362),
    [aux_sym_else_if_clause_token1] = ACTIONS(1362),
    [aux_sym_else_clause_token1] = ACTIONS(1362),
    [aux_sym_match_expression_token1] = ACTIONS(1362),
    [aux_sym_match_default_expression_token1] = ACTIONS(1362),
    [aux_sym_switch_statement_token1] = ACTIONS(1362),
    [aux_sym_switch_block_token1] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_AT] = ACTIONS(1360),
    [aux_sym_clone_expression_token1] = ACTIONS(1362),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1362),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [aux_sym__list_destructing_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_self] = ACTIONS(1362),
    [anon_sym_parent] = ACTIONS(1362),
    [aux_sym__argument_name_token1] = ACTIONS(1362),
    [aux_sym__argument_name_token2] = ACTIONS(1362),
    [anon_sym_POUND_LBRACK] = ACTIONS(1360),
    [aux_sym_encapsed_string_token1] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [aux_sym_string_token1] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_LT_LT_LT] = ACTIONS(1360),
    [anon_sym_BQUOTE] = ACTIONS(1360),
    [anon_sym_DOLLAR] = ACTIONS(1360),
    [aux_sym_yield_expression_token1] = ACTIONS(1362),
    [aux_sym_include_expression_token1] = ACTIONS(1362),
    [aux_sym_include_once_expression_token1] = ACTIONS(1362),
    [aux_sym_require_expression_token1] = ACTIONS(1362),
    [aux_sym_require_once_expression_token1] = ACTIONS(1362),
    [sym_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_text_interpolation] = STATE(532),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym_name] = ACTIONS(1366),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1366),
    [aux_sym_global_declaration_token1] = ACTIONS(1366),
    [aux_sym_namespace_definition_token1] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1366),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1366),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1366),
    [anon_sym_BSLASH] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_RBRACE] = ACTIONS(1364),
    [aux_sym_trait_declaration_token1] = ACTIONS(1366),
    [aux_sym_interface_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_case_token1] = ACTIONS(1366),
    [aux_sym_class_declaration_token1] = ACTIONS(1366),
    [aux_sym_final_modifier_token1] = ACTIONS(1366),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1366),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1366),
    [sym_var_modifier] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1366),
    [anon_sym_LPAREN2] = ACTIONS(1364),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1366),
    [aux_sym_cast_type_token1] = ACTIONS(1366),
    [aux_sym_echo_statement_token1] = ACTIONS(1366),
    [aux_sym_exit_statement_token1] = ACTIONS(1366),
    [anon_sym_unset] = ACTIONS(1366),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [aux_sym_declare_statement_token2] = ACTIONS(1366),
    [sym_float] = ACTIONS(1366),
    [aux_sym_try_statement_token1] = ACTIONS(1366),
    [aux_sym_goto_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [sym_integer] = ACTIONS(1366),
    [aux_sym_return_statement_token1] = ACTIONS(1366),
    [aux_sym_throw_expression_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token2] = ACTIONS(1366),
    [aux_sym_do_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token2] = ACTIONS(1366),
    [aux_sym_foreach_statement_token1] = ACTIONS(1366),
    [aux_sym_foreach_statement_token2] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token2] = ACTIONS(1366),
    [aux_sym_else_if_clause_token1] = ACTIONS(1366),
    [aux_sym_else_clause_token1] = ACTIONS(1366),
    [aux_sym_match_expression_token1] = ACTIONS(1366),
    [aux_sym_match_default_expression_token1] = ACTIONS(1366),
    [aux_sym_switch_statement_token1] = ACTIONS(1366),
    [aux_sym_switch_block_token1] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_AT] = ACTIONS(1364),
    [aux_sym_clone_expression_token1] = ACTIONS(1366),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1366),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [aux_sym__list_destructing_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [anon_sym_self] = ACTIONS(1366),
    [anon_sym_parent] = ACTIONS(1366),
    [aux_sym__argument_name_token1] = ACTIONS(1366),
    [aux_sym__argument_name_token2] = ACTIONS(1366),
    [anon_sym_POUND_LBRACK] = ACTIONS(1364),
    [aux_sym_encapsed_string_token1] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [aux_sym_string_token1] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_LT_LT_LT] = ACTIONS(1364),
    [anon_sym_BQUOTE] = ACTIONS(1364),
    [anon_sym_DOLLAR] = ACTIONS(1364),
    [aux_sym_yield_expression_token1] = ACTIONS(1366),
    [aux_sym_include_expression_token1] = ACTIONS(1366),
    [aux_sym_include_once_expression_token1] = ACTIONS(1366),
    [aux_sym_require_expression_token1] = ACTIONS(1366),
    [aux_sym_require_once_expression_token1] = ACTIONS(1366),
    [sym_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_text_interpolation] = STATE(533),
    [ts_builtin_sym_end] = ACTIONS(1368),
    [sym_name] = ACTIONS(1370),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1368),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1370),
    [aux_sym_global_declaration_token1] = ACTIONS(1370),
    [aux_sym_namespace_definition_token1] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1370),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1370),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1370),
    [anon_sym_BSLASH] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_RBRACE] = ACTIONS(1368),
    [aux_sym_trait_declaration_token1] = ACTIONS(1370),
    [aux_sym_interface_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_case_token1] = ACTIONS(1370),
    [aux_sym_class_declaration_token1] = ACTIONS(1370),
    [aux_sym_final_modifier_token1] = ACTIONS(1370),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1370),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1370),
    [sym_var_modifier] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1370),
    [anon_sym_LPAREN2] = ACTIONS(1368),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1370),
    [aux_sym_cast_type_token1] = ACTIONS(1370),
    [aux_sym_echo_statement_token1] = ACTIONS(1370),
    [aux_sym_exit_statement_token1] = ACTIONS(1370),
    [anon_sym_unset] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_declare_statement_token2] = ACTIONS(1370),
    [sym_float] = ACTIONS(1370),
    [aux_sym_try_statement_token1] = ACTIONS(1370),
    [aux_sym_goto_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [sym_integer] = ACTIONS(1370),
    [aux_sym_return_statement_token1] = ACTIONS(1370),
    [aux_sym_throw_expression_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token2] = ACTIONS(1370),
    [aux_sym_do_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token2] = ACTIONS(1370),
    [aux_sym_foreach_statement_token1] = ACTIONS(1370),
    [aux_sym_foreach_statement_token2] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token2] = ACTIONS(1370),
    [aux_sym_else_if_clause_token1] = ACTIONS(1370),
    [aux_sym_else_clause_token1] = ACTIONS(1370),
    [aux_sym_match_expression_token1] = ACTIONS(1370),
    [aux_sym_match_default_expression_token1] = ACTIONS(1370),
    [aux_sym_switch_statement_token1] = ACTIONS(1370),
    [aux_sym_switch_block_token1] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_AT] = ACTIONS(1368),
    [aux_sym_clone_expression_token1] = ACTIONS(1370),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1370),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [aux_sym__list_destructing_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1368),
    [anon_sym_self] = ACTIONS(1370),
    [anon_sym_parent] = ACTIONS(1370),
    [aux_sym__argument_name_token1] = ACTIONS(1370),
    [aux_sym__argument_name_token2] = ACTIONS(1370),
    [anon_sym_POUND_LBRACK] = ACTIONS(1368),
    [aux_sym_encapsed_string_token1] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [aux_sym_string_token1] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_LT_LT_LT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(1368),
    [anon_sym_DOLLAR] = ACTIONS(1368),
    [aux_sym_yield_expression_token1] = ACTIONS(1370),
    [aux_sym_include_expression_token1] = ACTIONS(1370),
    [aux_sym_include_once_expression_token1] = ACTIONS(1370),
    [aux_sym_require_expression_token1] = ACTIONS(1370),
    [aux_sym_require_once_expression_token1] = ACTIONS(1370),
    [sym_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_text_interpolation] = STATE(534),
    [ts_builtin_sym_end] = ACTIONS(1372),
    [sym_name] = ACTIONS(1374),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1372),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1374),
    [aux_sym_global_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_definition_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1374),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1374),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1374),
    [anon_sym_BSLASH] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_RBRACE] = ACTIONS(1372),
    [aux_sym_trait_declaration_token1] = ACTIONS(1374),
    [aux_sym_interface_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_case_token1] = ACTIONS(1374),
    [aux_sym_class_declaration_token1] = ACTIONS(1374),
    [aux_sym_final_modifier_token1] = ACTIONS(1374),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1374),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1374),
    [sym_var_modifier] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(1372),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1374),
    [aux_sym_cast_type_token1] = ACTIONS(1374),
    [aux_sym_echo_statement_token1] = ACTIONS(1374),
    [aux_sym_exit_statement_token1] = ACTIONS(1374),
    [anon_sym_unset] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [aux_sym_declare_statement_token2] = ACTIONS(1374),
    [sym_float] = ACTIONS(1374),
    [aux_sym_try_statement_token1] = ACTIONS(1374),
    [aux_sym_goto_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [sym_integer] = ACTIONS(1374),
    [aux_sym_return_statement_token1] = ACTIONS(1374),
    [aux_sym_throw_expression_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token2] = ACTIONS(1374),
    [aux_sym_do_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token2] = ACTIONS(1374),
    [aux_sym_foreach_statement_token1] = ACTIONS(1374),
    [aux_sym_foreach_statement_token2] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token2] = ACTIONS(1374),
    [aux_sym_else_if_clause_token1] = ACTIONS(1374),
    [aux_sym_else_clause_token1] = ACTIONS(1374),
    [aux_sym_match_expression_token1] = ACTIONS(1374),
    [aux_sym_match_default_expression_token1] = ACTIONS(1374),
    [aux_sym_switch_statement_token1] = ACTIONS(1374),
    [aux_sym_switch_block_token1] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_AT] = ACTIONS(1372),
    [aux_sym_clone_expression_token1] = ACTIONS(1374),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1374),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [aux_sym__list_destructing_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_self] = ACTIONS(1374),
    [anon_sym_parent] = ACTIONS(1374),
    [aux_sym__argument_name_token1] = ACTIONS(1374),
    [aux_sym__argument_name_token2] = ACTIONS(1374),
    [anon_sym_POUND_LBRACK] = ACTIONS(1372),
    [aux_sym_encapsed_string_token1] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [aux_sym_string_token1] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_LT_LT_LT] = ACTIONS(1372),
    [anon_sym_BQUOTE] = ACTIONS(1372),
    [anon_sym_DOLLAR] = ACTIONS(1372),
    [aux_sym_yield_expression_token1] = ACTIONS(1374),
    [aux_sym_include_expression_token1] = ACTIONS(1374),
    [aux_sym_include_once_expression_token1] = ACTIONS(1374),
    [aux_sym_require_expression_token1] = ACTIONS(1374),
    [aux_sym_require_once_expression_token1] = ACTIONS(1374),
    [sym_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_text_interpolation] = STATE(535),
    [ts_builtin_sym_end] = ACTIONS(1376),
    [sym_name] = ACTIONS(1378),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1376),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1378),
    [aux_sym_global_declaration_token1] = ACTIONS(1378),
    [aux_sym_namespace_definition_token1] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1378),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1378),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1378),
    [anon_sym_BSLASH] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_RBRACE] = ACTIONS(1376),
    [aux_sym_trait_declaration_token1] = ACTIONS(1378),
    [aux_sym_interface_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_case_token1] = ACTIONS(1378),
    [aux_sym_class_declaration_token1] = ACTIONS(1378),
    [aux_sym_final_modifier_token1] = ACTIONS(1378),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1378),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1378),
    [sym_var_modifier] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1378),
    [anon_sym_LPAREN2] = ACTIONS(1376),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1378),
    [aux_sym_cast_type_token1] = ACTIONS(1378),
    [aux_sym_echo_statement_token1] = ACTIONS(1378),
    [aux_sym_exit_statement_token1] = ACTIONS(1378),
    [anon_sym_unset] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_declare_statement_token2] = ACTIONS(1378),
    [sym_float] = ACTIONS(1378),
    [aux_sym_try_statement_token1] = ACTIONS(1378),
    [aux_sym_goto_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [sym_integer] = ACTIONS(1378),
    [aux_sym_return_statement_token1] = ACTIONS(1378),
    [aux_sym_throw_expression_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token2] = ACTIONS(1378),
    [aux_sym_do_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token2] = ACTIONS(1378),
    [aux_sym_foreach_statement_token1] = ACTIONS(1378),
    [aux_sym_foreach_statement_token2] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token2] = ACTIONS(1378),
    [aux_sym_else_if_clause_token1] = ACTIONS(1378),
    [aux_sym_else_clause_token1] = ACTIONS(1378),
    [aux_sym_match_expression_token1] = ACTIONS(1378),
    [aux_sym_match_default_expression_token1] = ACTIONS(1378),
    [aux_sym_switch_statement_token1] = ACTIONS(1378),
    [aux_sym_switch_block_token1] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_AT] = ACTIONS(1376),
    [aux_sym_clone_expression_token1] = ACTIONS(1378),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1378),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [aux_sym__list_destructing_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1376),
    [anon_sym_self] = ACTIONS(1378),
    [anon_sym_parent] = ACTIONS(1378),
    [aux_sym__argument_name_token1] = ACTIONS(1378),
    [aux_sym__argument_name_token2] = ACTIONS(1378),
    [anon_sym_POUND_LBRACK] = ACTIONS(1376),
    [aux_sym_encapsed_string_token1] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [aux_sym_string_token1] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_LT_LT_LT] = ACTIONS(1376),
    [anon_sym_BQUOTE] = ACTIONS(1376),
    [anon_sym_DOLLAR] = ACTIONS(1376),
    [aux_sym_yield_expression_token1] = ACTIONS(1378),
    [aux_sym_include_expression_token1] = ACTIONS(1378),
    [aux_sym_include_once_expression_token1] = ACTIONS(1378),
    [aux_sym_require_expression_token1] = ACTIONS(1378),
    [aux_sym_require_once_expression_token1] = ACTIONS(1378),
    [sym_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_text_interpolation] = STATE(536),
    [ts_builtin_sym_end] = ACTIONS(1380),
    [sym_name] = ACTIONS(1382),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1380),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1382),
    [aux_sym_global_declaration_token1] = ACTIONS(1382),
    [aux_sym_namespace_definition_token1] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1382),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1382),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1382),
    [anon_sym_BSLASH] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_RBRACE] = ACTIONS(1380),
    [aux_sym_trait_declaration_token1] = ACTIONS(1382),
    [aux_sym_interface_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_case_token1] = ACTIONS(1382),
    [aux_sym_class_declaration_token1] = ACTIONS(1382),
    [aux_sym_final_modifier_token1] = ACTIONS(1382),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1382),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1382),
    [sym_var_modifier] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1382),
    [anon_sym_LPAREN2] = ACTIONS(1380),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1382),
    [aux_sym_cast_type_token1] = ACTIONS(1382),
    [aux_sym_echo_statement_token1] = ACTIONS(1382),
    [aux_sym_exit_statement_token1] = ACTIONS(1382),
    [anon_sym_unset] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1382),
    [aux_sym_declare_statement_token2] = ACTIONS(1382),
    [sym_float] = ACTIONS(1382),
    [aux_sym_try_statement_token1] = ACTIONS(1382),
    [aux_sym_goto_statement_token1] = ACTIONS(1382),
    [aux_sym_continue_statement_token1] = ACTIONS(1382),
    [aux_sym_break_statement_token1] = ACTIONS(1382),
    [sym_integer] = ACTIONS(1382),
    [aux_sym_return_statement_token1] = ACTIONS(1382),
    [aux_sym_throw_expression_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token2] = ACTIONS(1382),
    [aux_sym_do_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token2] = ACTIONS(1382),
    [aux_sym_foreach_statement_token1] = ACTIONS(1382),
    [aux_sym_foreach_statement_token2] = ACTIONS(1382),
    [aux_sym_if_statement_token1] = ACTIONS(1382),
    [aux_sym_if_statement_token2] = ACTIONS(1382),
    [aux_sym_else_if_clause_token1] = ACTIONS(1382),
    [aux_sym_else_clause_token1] = ACTIONS(1382),
    [aux_sym_match_expression_token1] = ACTIONS(1382),
    [aux_sym_match_default_expression_token1] = ACTIONS(1382),
    [aux_sym_switch_statement_token1] = ACTIONS(1382),
    [aux_sym_switch_block_token1] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_AT] = ACTIONS(1380),
    [aux_sym_clone_expression_token1] = ACTIONS(1382),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1382),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [aux_sym__list_destructing_token1] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1380),
    [anon_sym_self] = ACTIONS(1382),
    [anon_sym_parent] = ACTIONS(1382),
    [aux_sym__argument_name_token1] = ACTIONS(1382),
    [aux_sym__argument_name_token2] = ACTIONS(1382),
    [anon_sym_POUND_LBRACK] = ACTIONS(1380),
    [aux_sym_encapsed_string_token1] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [aux_sym_string_token1] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_LT_LT_LT] = ACTIONS(1380),
    [anon_sym_BQUOTE] = ACTIONS(1380),
    [anon_sym_DOLLAR] = ACTIONS(1380),
    [aux_sym_yield_expression_token1] = ACTIONS(1382),
    [aux_sym_include_expression_token1] = ACTIONS(1382),
    [aux_sym_include_once_expression_token1] = ACTIONS(1382),
    [aux_sym_require_expression_token1] = ACTIONS(1382),
    [aux_sym_require_once_expression_token1] = ACTIONS(1382),
    [sym_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_text_interpolation] = STATE(537),
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym_name] = ACTIONS(1386),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1384),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1386),
    [aux_sym_global_declaration_token1] = ACTIONS(1386),
    [aux_sym_namespace_definition_token1] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1386),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1386),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1386),
    [anon_sym_BSLASH] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [aux_sym_trait_declaration_token1] = ACTIONS(1386),
    [aux_sym_interface_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_case_token1] = ACTIONS(1386),
    [aux_sym_class_declaration_token1] = ACTIONS(1386),
    [aux_sym_final_modifier_token1] = ACTIONS(1386),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1386),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1386),
    [sym_var_modifier] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(1384),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1386),
    [aux_sym_cast_type_token1] = ACTIONS(1386),
    [aux_sym_echo_statement_token1] = ACTIONS(1386),
    [aux_sym_exit_statement_token1] = ACTIONS(1386),
    [anon_sym_unset] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [aux_sym_declare_statement_token2] = ACTIONS(1386),
    [sym_float] = ACTIONS(1386),
    [aux_sym_try_statement_token1] = ACTIONS(1386),
    [aux_sym_goto_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [sym_integer] = ACTIONS(1386),
    [aux_sym_return_statement_token1] = ACTIONS(1386),
    [aux_sym_throw_expression_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token2] = ACTIONS(1386),
    [aux_sym_do_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token2] = ACTIONS(1386),
    [aux_sym_foreach_statement_token1] = ACTIONS(1386),
    [aux_sym_foreach_statement_token2] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token2] = ACTIONS(1386),
    [aux_sym_else_if_clause_token1] = ACTIONS(1386),
    [aux_sym_else_clause_token1] = ACTIONS(1386),
    [aux_sym_match_expression_token1] = ACTIONS(1386),
    [aux_sym_match_default_expression_token1] = ACTIONS(1386),
    [aux_sym_switch_statement_token1] = ACTIONS(1386),
    [aux_sym_switch_block_token1] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_AT] = ACTIONS(1384),
    [aux_sym_clone_expression_token1] = ACTIONS(1386),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1386),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [aux_sym__list_destructing_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_self] = ACTIONS(1386),
    [anon_sym_parent] = ACTIONS(1386),
    [aux_sym__argument_name_token1] = ACTIONS(1386),
    [aux_sym__argument_name_token2] = ACTIONS(1386),
    [anon_sym_POUND_LBRACK] = ACTIONS(1384),
    [aux_sym_encapsed_string_token1] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [aux_sym_string_token1] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_LT_LT_LT] = ACTIONS(1384),
    [anon_sym_BQUOTE] = ACTIONS(1384),
    [anon_sym_DOLLAR] = ACTIONS(1384),
    [aux_sym_yield_expression_token1] = ACTIONS(1386),
    [aux_sym_include_expression_token1] = ACTIONS(1386),
    [aux_sym_include_once_expression_token1] = ACTIONS(1386),
    [aux_sym_require_expression_token1] = ACTIONS(1386),
    [aux_sym_require_once_expression_token1] = ACTIONS(1386),
    [sym_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_text_interpolation] = STATE(538),
    [ts_builtin_sym_end] = ACTIONS(1388),
    [sym_name] = ACTIONS(1390),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1388),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1390),
    [aux_sym_global_declaration_token1] = ACTIONS(1390),
    [aux_sym_namespace_definition_token1] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1390),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1390),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1390),
    [anon_sym_BSLASH] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_RBRACE] = ACTIONS(1388),
    [aux_sym_trait_declaration_token1] = ACTIONS(1390),
    [aux_sym_interface_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_case_token1] = ACTIONS(1390),
    [aux_sym_class_declaration_token1] = ACTIONS(1390),
    [aux_sym_final_modifier_token1] = ACTIONS(1390),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1390),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1390),
    [sym_var_modifier] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1390),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1390),
    [aux_sym_cast_type_token1] = ACTIONS(1390),
    [aux_sym_echo_statement_token1] = ACTIONS(1390),
    [aux_sym_exit_statement_token1] = ACTIONS(1390),
    [anon_sym_unset] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1390),
    [aux_sym_declare_statement_token2] = ACTIONS(1390),
    [sym_float] = ACTIONS(1390),
    [aux_sym_try_statement_token1] = ACTIONS(1390),
    [aux_sym_goto_statement_token1] = ACTIONS(1390),
    [aux_sym_continue_statement_token1] = ACTIONS(1390),
    [aux_sym_break_statement_token1] = ACTIONS(1390),
    [sym_integer] = ACTIONS(1390),
    [aux_sym_return_statement_token1] = ACTIONS(1390),
    [aux_sym_throw_expression_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token2] = ACTIONS(1390),
    [aux_sym_do_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token2] = ACTIONS(1390),
    [aux_sym_foreach_statement_token1] = ACTIONS(1390),
    [aux_sym_foreach_statement_token2] = ACTIONS(1390),
    [aux_sym_if_statement_token1] = ACTIONS(1390),
    [aux_sym_if_statement_token2] = ACTIONS(1390),
    [aux_sym_else_if_clause_token1] = ACTIONS(1390),
    [aux_sym_else_clause_token1] = ACTIONS(1390),
    [aux_sym_match_expression_token1] = ACTIONS(1390),
    [aux_sym_match_default_expression_token1] = ACTIONS(1390),
    [aux_sym_switch_statement_token1] = ACTIONS(1390),
    [aux_sym_switch_block_token1] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_AT] = ACTIONS(1388),
    [aux_sym_clone_expression_token1] = ACTIONS(1390),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1390),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [aux_sym__list_destructing_token1] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1388),
    [anon_sym_self] = ACTIONS(1390),
    [anon_sym_parent] = ACTIONS(1390),
    [aux_sym__argument_name_token1] = ACTIONS(1390),
    [aux_sym__argument_name_token2] = ACTIONS(1390),
    [anon_sym_POUND_LBRACK] = ACTIONS(1388),
    [aux_sym_encapsed_string_token1] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [aux_sym_string_token1] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_LT_LT_LT] = ACTIONS(1388),
    [anon_sym_BQUOTE] = ACTIONS(1388),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [aux_sym_yield_expression_token1] = ACTIONS(1390),
    [aux_sym_include_expression_token1] = ACTIONS(1390),
    [aux_sym_include_once_expression_token1] = ACTIONS(1390),
    [aux_sym_require_expression_token1] = ACTIONS(1390),
    [aux_sym_require_once_expression_token1] = ACTIONS(1390),
    [sym_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_text_interpolation] = STATE(539),
    [ts_builtin_sym_end] = ACTIONS(1392),
    [sym_name] = ACTIONS(1394),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1392),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1394),
    [aux_sym_global_declaration_token1] = ACTIONS(1394),
    [aux_sym_namespace_definition_token1] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1394),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1394),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1394),
    [anon_sym_BSLASH] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_RBRACE] = ACTIONS(1392),
    [aux_sym_trait_declaration_token1] = ACTIONS(1394),
    [aux_sym_interface_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_case_token1] = ACTIONS(1394),
    [aux_sym_class_declaration_token1] = ACTIONS(1394),
    [aux_sym_final_modifier_token1] = ACTIONS(1394),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1394),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1394),
    [sym_var_modifier] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1392),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1394),
    [aux_sym_cast_type_token1] = ACTIONS(1394),
    [aux_sym_echo_statement_token1] = ACTIONS(1394),
    [aux_sym_exit_statement_token1] = ACTIONS(1394),
    [anon_sym_unset] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1394),
    [aux_sym_declare_statement_token2] = ACTIONS(1394),
    [sym_float] = ACTIONS(1394),
    [aux_sym_try_statement_token1] = ACTIONS(1394),
    [aux_sym_goto_statement_token1] = ACTIONS(1394),
    [aux_sym_continue_statement_token1] = ACTIONS(1394),
    [aux_sym_break_statement_token1] = ACTIONS(1394),
    [sym_integer] = ACTIONS(1394),
    [aux_sym_return_statement_token1] = ACTIONS(1394),
    [aux_sym_throw_expression_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token2] = ACTIONS(1394),
    [aux_sym_do_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token2] = ACTIONS(1394),
    [aux_sym_foreach_statement_token1] = ACTIONS(1394),
    [aux_sym_foreach_statement_token2] = ACTIONS(1394),
    [aux_sym_if_statement_token1] = ACTIONS(1394),
    [aux_sym_if_statement_token2] = ACTIONS(1394),
    [aux_sym_else_if_clause_token1] = ACTIONS(1394),
    [aux_sym_else_clause_token1] = ACTIONS(1394),
    [aux_sym_match_expression_token1] = ACTIONS(1394),
    [aux_sym_match_default_expression_token1] = ACTIONS(1394),
    [aux_sym_switch_statement_token1] = ACTIONS(1394),
    [aux_sym_switch_block_token1] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_AT] = ACTIONS(1392),
    [aux_sym_clone_expression_token1] = ACTIONS(1394),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1394),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [aux_sym__list_destructing_token1] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1392),
    [anon_sym_self] = ACTIONS(1394),
    [anon_sym_parent] = ACTIONS(1394),
    [aux_sym__argument_name_token1] = ACTIONS(1394),
    [aux_sym__argument_name_token2] = ACTIONS(1394),
    [anon_sym_POUND_LBRACK] = ACTIONS(1392),
    [aux_sym_encapsed_string_token1] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [aux_sym_string_token1] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_LT_LT_LT] = ACTIONS(1392),
    [anon_sym_BQUOTE] = ACTIONS(1392),
    [anon_sym_DOLLAR] = ACTIONS(1392),
    [aux_sym_yield_expression_token1] = ACTIONS(1394),
    [aux_sym_include_expression_token1] = ACTIONS(1394),
    [aux_sym_include_once_expression_token1] = ACTIONS(1394),
    [aux_sym_require_expression_token1] = ACTIONS(1394),
    [aux_sym_require_once_expression_token1] = ACTIONS(1394),
    [sym_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_text_interpolation] = STATE(540),
    [ts_builtin_sym_end] = ACTIONS(1396),
    [sym_name] = ACTIONS(1398),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1396),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1398),
    [aux_sym_global_declaration_token1] = ACTIONS(1398),
    [aux_sym_namespace_definition_token1] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1398),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1398),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1398),
    [anon_sym_BSLASH] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_RBRACE] = ACTIONS(1396),
    [aux_sym_trait_declaration_token1] = ACTIONS(1398),
    [aux_sym_interface_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_case_token1] = ACTIONS(1398),
    [aux_sym_class_declaration_token1] = ACTIONS(1398),
    [aux_sym_final_modifier_token1] = ACTIONS(1398),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1398),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1398),
    [sym_var_modifier] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1398),
    [aux_sym_cast_type_token1] = ACTIONS(1398),
    [aux_sym_echo_statement_token1] = ACTIONS(1398),
    [aux_sym_exit_statement_token1] = ACTIONS(1398),
    [anon_sym_unset] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [aux_sym_declare_statement_token2] = ACTIONS(1398),
    [sym_float] = ACTIONS(1398),
    [aux_sym_try_statement_token1] = ACTIONS(1398),
    [aux_sym_goto_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [sym_integer] = ACTIONS(1398),
    [aux_sym_return_statement_token1] = ACTIONS(1398),
    [aux_sym_throw_expression_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token2] = ACTIONS(1398),
    [aux_sym_do_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token2] = ACTIONS(1398),
    [aux_sym_foreach_statement_token1] = ACTIONS(1398),
    [aux_sym_foreach_statement_token2] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token2] = ACTIONS(1398),
    [aux_sym_else_if_clause_token1] = ACTIONS(1398),
    [aux_sym_else_clause_token1] = ACTIONS(1398),
    [aux_sym_match_expression_token1] = ACTIONS(1398),
    [aux_sym_match_default_expression_token1] = ACTIONS(1398),
    [aux_sym_switch_statement_token1] = ACTIONS(1398),
    [aux_sym_switch_block_token1] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_AT] = ACTIONS(1396),
    [aux_sym_clone_expression_token1] = ACTIONS(1398),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1398),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [aux_sym__list_destructing_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1396),
    [anon_sym_self] = ACTIONS(1398),
    [anon_sym_parent] = ACTIONS(1398),
    [aux_sym__argument_name_token1] = ACTIONS(1398),
    [aux_sym__argument_name_token2] = ACTIONS(1398),
    [anon_sym_POUND_LBRACK] = ACTIONS(1396),
    [aux_sym_encapsed_string_token1] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [aux_sym_string_token1] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_LT_LT_LT] = ACTIONS(1396),
    [anon_sym_BQUOTE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1396),
    [aux_sym_yield_expression_token1] = ACTIONS(1398),
    [aux_sym_include_expression_token1] = ACTIONS(1398),
    [aux_sym_include_once_expression_token1] = ACTIONS(1398),
    [aux_sym_require_expression_token1] = ACTIONS(1398),
    [aux_sym_require_once_expression_token1] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_text_interpolation] = STATE(541),
    [ts_builtin_sym_end] = ACTIONS(1400),
    [sym_name] = ACTIONS(1402),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1400),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1402),
    [aux_sym_global_declaration_token1] = ACTIONS(1402),
    [aux_sym_namespace_definition_token1] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1402),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1402),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1402),
    [anon_sym_BSLASH] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [aux_sym_trait_declaration_token1] = ACTIONS(1402),
    [aux_sym_interface_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_case_token1] = ACTIONS(1402),
    [aux_sym_class_declaration_token1] = ACTIONS(1402),
    [aux_sym_final_modifier_token1] = ACTIONS(1402),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1402),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1402),
    [sym_var_modifier] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1402),
    [aux_sym_cast_type_token1] = ACTIONS(1402),
    [aux_sym_echo_statement_token1] = ACTIONS(1402),
    [aux_sym_exit_statement_token1] = ACTIONS(1402),
    [anon_sym_unset] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1402),
    [aux_sym_declare_statement_token2] = ACTIONS(1402),
    [sym_float] = ACTIONS(1402),
    [aux_sym_try_statement_token1] = ACTIONS(1402),
    [aux_sym_goto_statement_token1] = ACTIONS(1402),
    [aux_sym_continue_statement_token1] = ACTIONS(1402),
    [aux_sym_break_statement_token1] = ACTIONS(1402),
    [sym_integer] = ACTIONS(1402),
    [aux_sym_return_statement_token1] = ACTIONS(1402),
    [aux_sym_throw_expression_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token2] = ACTIONS(1402),
    [aux_sym_do_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token2] = ACTIONS(1402),
    [aux_sym_foreach_statement_token1] = ACTIONS(1402),
    [aux_sym_foreach_statement_token2] = ACTIONS(1402),
    [aux_sym_if_statement_token1] = ACTIONS(1402),
    [aux_sym_if_statement_token2] = ACTIONS(1402),
    [aux_sym_else_if_clause_token1] = ACTIONS(1402),
    [aux_sym_else_clause_token1] = ACTIONS(1402),
    [aux_sym_match_expression_token1] = ACTIONS(1402),
    [aux_sym_match_default_expression_token1] = ACTIONS(1402),
    [aux_sym_switch_statement_token1] = ACTIONS(1402),
    [aux_sym_switch_block_token1] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1400),
    [aux_sym_clone_expression_token1] = ACTIONS(1402),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1402),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [aux_sym__list_destructing_token1] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_self] = ACTIONS(1402),
    [anon_sym_parent] = ACTIONS(1402),
    [aux_sym__argument_name_token1] = ACTIONS(1402),
    [aux_sym__argument_name_token2] = ACTIONS(1402),
    [anon_sym_POUND_LBRACK] = ACTIONS(1400),
    [aux_sym_encapsed_string_token1] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [aux_sym_string_token1] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_LT_LT_LT] = ACTIONS(1400),
    [anon_sym_BQUOTE] = ACTIONS(1400),
    [anon_sym_DOLLAR] = ACTIONS(1400),
    [aux_sym_yield_expression_token1] = ACTIONS(1402),
    [aux_sym_include_expression_token1] = ACTIONS(1402),
    [aux_sym_include_once_expression_token1] = ACTIONS(1402),
    [aux_sym_require_expression_token1] = ACTIONS(1402),
    [aux_sym_require_once_expression_token1] = ACTIONS(1402),
    [sym_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_text_interpolation] = STATE(542),
    [ts_builtin_sym_end] = ACTIONS(1404),
    [sym_name] = ACTIONS(1406),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1404),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1406),
    [aux_sym_global_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_definition_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1406),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1406),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1406),
    [anon_sym_BSLASH] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [aux_sym_trait_declaration_token1] = ACTIONS(1406),
    [aux_sym_interface_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_case_token1] = ACTIONS(1406),
    [aux_sym_class_declaration_token1] = ACTIONS(1406),
    [aux_sym_final_modifier_token1] = ACTIONS(1406),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1406),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1406),
    [sym_var_modifier] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1406),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1406),
    [aux_sym_cast_type_token1] = ACTIONS(1406),
    [aux_sym_echo_statement_token1] = ACTIONS(1406),
    [aux_sym_exit_statement_token1] = ACTIONS(1406),
    [anon_sym_unset] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [aux_sym_declare_statement_token2] = ACTIONS(1406),
    [sym_float] = ACTIONS(1406),
    [aux_sym_try_statement_token1] = ACTIONS(1406),
    [aux_sym_goto_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [sym_integer] = ACTIONS(1406),
    [aux_sym_return_statement_token1] = ACTIONS(1406),
    [aux_sym_throw_expression_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token2] = ACTIONS(1406),
    [aux_sym_do_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token2] = ACTIONS(1406),
    [aux_sym_foreach_statement_token1] = ACTIONS(1406),
    [aux_sym_foreach_statement_token2] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token2] = ACTIONS(1406),
    [aux_sym_else_if_clause_token1] = ACTIONS(1406),
    [aux_sym_else_clause_token1] = ACTIONS(1406),
    [aux_sym_match_expression_token1] = ACTIONS(1406),
    [aux_sym_match_default_expression_token1] = ACTIONS(1406),
    [aux_sym_switch_statement_token1] = ACTIONS(1406),
    [aux_sym_switch_block_token1] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_AT] = ACTIONS(1404),
    [aux_sym_clone_expression_token1] = ACTIONS(1406),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1406),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [aux_sym__list_destructing_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_self] = ACTIONS(1406),
    [anon_sym_parent] = ACTIONS(1406),
    [aux_sym__argument_name_token1] = ACTIONS(1406),
    [aux_sym__argument_name_token2] = ACTIONS(1406),
    [anon_sym_POUND_LBRACK] = ACTIONS(1404),
    [aux_sym_encapsed_string_token1] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [aux_sym_string_token1] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_LT_LT_LT] = ACTIONS(1404),
    [anon_sym_BQUOTE] = ACTIONS(1404),
    [anon_sym_DOLLAR] = ACTIONS(1404),
    [aux_sym_yield_expression_token1] = ACTIONS(1406),
    [aux_sym_include_expression_token1] = ACTIONS(1406),
    [aux_sym_include_once_expression_token1] = ACTIONS(1406),
    [aux_sym_require_expression_token1] = ACTIONS(1406),
    [aux_sym_require_once_expression_token1] = ACTIONS(1406),
    [sym_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_text_interpolation] = STATE(543),
    [ts_builtin_sym_end] = ACTIONS(1408),
    [sym_name] = ACTIONS(1410),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1408),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1410),
    [aux_sym_global_declaration_token1] = ACTIONS(1410),
    [aux_sym_namespace_definition_token1] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1410),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1410),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1410),
    [anon_sym_BSLASH] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [aux_sym_trait_declaration_token1] = ACTIONS(1410),
    [aux_sym_interface_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_case_token1] = ACTIONS(1410),
    [aux_sym_class_declaration_token1] = ACTIONS(1410),
    [aux_sym_final_modifier_token1] = ACTIONS(1410),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1410),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1410),
    [sym_var_modifier] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1408),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1410),
    [aux_sym_cast_type_token1] = ACTIONS(1410),
    [aux_sym_echo_statement_token1] = ACTIONS(1410),
    [aux_sym_exit_statement_token1] = ACTIONS(1410),
    [anon_sym_unset] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1410),
    [aux_sym_declare_statement_token2] = ACTIONS(1410),
    [sym_float] = ACTIONS(1410),
    [aux_sym_try_statement_token1] = ACTIONS(1410),
    [aux_sym_goto_statement_token1] = ACTIONS(1410),
    [aux_sym_continue_statement_token1] = ACTIONS(1410),
    [aux_sym_break_statement_token1] = ACTIONS(1410),
    [sym_integer] = ACTIONS(1410),
    [aux_sym_return_statement_token1] = ACTIONS(1410),
    [aux_sym_throw_expression_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token2] = ACTIONS(1410),
    [aux_sym_do_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token2] = ACTIONS(1410),
    [aux_sym_foreach_statement_token1] = ACTIONS(1410),
    [aux_sym_foreach_statement_token2] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_if_statement_token2] = ACTIONS(1410),
    [aux_sym_else_if_clause_token1] = ACTIONS(1410),
    [aux_sym_else_clause_token1] = ACTIONS(1410),
    [aux_sym_match_expression_token1] = ACTIONS(1410),
    [aux_sym_match_default_expression_token1] = ACTIONS(1410),
    [aux_sym_switch_statement_token1] = ACTIONS(1410),
    [aux_sym_switch_block_token1] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_AT] = ACTIONS(1408),
    [aux_sym_clone_expression_token1] = ACTIONS(1410),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1410),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [aux_sym__list_destructing_token1] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_self] = ACTIONS(1410),
    [anon_sym_parent] = ACTIONS(1410),
    [aux_sym__argument_name_token1] = ACTIONS(1410),
    [aux_sym__argument_name_token2] = ACTIONS(1410),
    [anon_sym_POUND_LBRACK] = ACTIONS(1408),
    [aux_sym_encapsed_string_token1] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [aux_sym_string_token1] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_LT_LT_LT] = ACTIONS(1408),
    [anon_sym_BQUOTE] = ACTIONS(1408),
    [anon_sym_DOLLAR] = ACTIONS(1408),
    [aux_sym_yield_expression_token1] = ACTIONS(1410),
    [aux_sym_include_expression_token1] = ACTIONS(1410),
    [aux_sym_include_once_expression_token1] = ACTIONS(1410),
    [aux_sym_require_expression_token1] = ACTIONS(1410),
    [aux_sym_require_once_expression_token1] = ACTIONS(1410),
    [sym_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_text_interpolation] = STATE(544),
    [ts_builtin_sym_end] = ACTIONS(1412),
    [sym_name] = ACTIONS(1414),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1412),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1414),
    [aux_sym_global_declaration_token1] = ACTIONS(1414),
    [aux_sym_namespace_definition_token1] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1414),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1414),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1414),
    [anon_sym_BSLASH] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_RBRACE] = ACTIONS(1412),
    [aux_sym_trait_declaration_token1] = ACTIONS(1414),
    [aux_sym_interface_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_case_token1] = ACTIONS(1414),
    [aux_sym_class_declaration_token1] = ACTIONS(1414),
    [aux_sym_final_modifier_token1] = ACTIONS(1414),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1414),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1414),
    [sym_var_modifier] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1414),
    [aux_sym_cast_type_token1] = ACTIONS(1414),
    [aux_sym_echo_statement_token1] = ACTIONS(1414),
    [aux_sym_exit_statement_token1] = ACTIONS(1414),
    [anon_sym_unset] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1414),
    [aux_sym_declare_statement_token2] = ACTIONS(1414),
    [sym_float] = ACTIONS(1414),
    [aux_sym_try_statement_token1] = ACTIONS(1414),
    [aux_sym_goto_statement_token1] = ACTIONS(1414),
    [aux_sym_continue_statement_token1] = ACTIONS(1414),
    [aux_sym_break_statement_token1] = ACTIONS(1414),
    [sym_integer] = ACTIONS(1414),
    [aux_sym_return_statement_token1] = ACTIONS(1414),
    [aux_sym_throw_expression_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token2] = ACTIONS(1414),
    [aux_sym_do_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token2] = ACTIONS(1414),
    [aux_sym_foreach_statement_token1] = ACTIONS(1414),
    [aux_sym_foreach_statement_token2] = ACTIONS(1414),
    [aux_sym_if_statement_token1] = ACTIONS(1414),
    [aux_sym_if_statement_token2] = ACTIONS(1414),
    [aux_sym_else_if_clause_token1] = ACTIONS(1414),
    [aux_sym_else_clause_token1] = ACTIONS(1414),
    [aux_sym_match_expression_token1] = ACTIONS(1414),
    [aux_sym_match_default_expression_token1] = ACTIONS(1414),
    [aux_sym_switch_statement_token1] = ACTIONS(1414),
    [aux_sym_switch_block_token1] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_AT] = ACTIONS(1412),
    [aux_sym_clone_expression_token1] = ACTIONS(1414),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1414),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [aux_sym__list_destructing_token1] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1412),
    [anon_sym_self] = ACTIONS(1414),
    [anon_sym_parent] = ACTIONS(1414),
    [aux_sym__argument_name_token1] = ACTIONS(1414),
    [aux_sym__argument_name_token2] = ACTIONS(1414),
    [anon_sym_POUND_LBRACK] = ACTIONS(1412),
    [aux_sym_encapsed_string_token1] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [aux_sym_string_token1] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_LT_LT_LT] = ACTIONS(1412),
    [anon_sym_BQUOTE] = ACTIONS(1412),
    [anon_sym_DOLLAR] = ACTIONS(1412),
    [aux_sym_yield_expression_token1] = ACTIONS(1414),
    [aux_sym_include_expression_token1] = ACTIONS(1414),
    [aux_sym_include_once_expression_token1] = ACTIONS(1414),
    [aux_sym_require_expression_token1] = ACTIONS(1414),
    [aux_sym_require_once_expression_token1] = ACTIONS(1414),
    [sym_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_text_interpolation] = STATE(545),
    [ts_builtin_sym_end] = ACTIONS(1416),
    [sym_name] = ACTIONS(1418),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1416),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1418),
    [aux_sym_global_declaration_token1] = ACTIONS(1418),
    [aux_sym_namespace_definition_token1] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1418),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1418),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_RBRACE] = ACTIONS(1416),
    [aux_sym_trait_declaration_token1] = ACTIONS(1418),
    [aux_sym_interface_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_case_token1] = ACTIONS(1418),
    [aux_sym_class_declaration_token1] = ACTIONS(1418),
    [aux_sym_final_modifier_token1] = ACTIONS(1418),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1418),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1418),
    [sym_var_modifier] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1418),
    [aux_sym_cast_type_token1] = ACTIONS(1418),
    [aux_sym_echo_statement_token1] = ACTIONS(1418),
    [aux_sym_exit_statement_token1] = ACTIONS(1418),
    [anon_sym_unset] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_declare_statement_token2] = ACTIONS(1418),
    [sym_float] = ACTIONS(1418),
    [aux_sym_try_statement_token1] = ACTIONS(1418),
    [aux_sym_goto_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [sym_integer] = ACTIONS(1418),
    [aux_sym_return_statement_token1] = ACTIONS(1418),
    [aux_sym_throw_expression_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token2] = ACTIONS(1418),
    [aux_sym_do_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token2] = ACTIONS(1418),
    [aux_sym_foreach_statement_token1] = ACTIONS(1418),
    [aux_sym_foreach_statement_token2] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token2] = ACTIONS(1418),
    [aux_sym_else_if_clause_token1] = ACTIONS(1418),
    [aux_sym_else_clause_token1] = ACTIONS(1418),
    [aux_sym_match_expression_token1] = ACTIONS(1418),
    [aux_sym_match_default_expression_token1] = ACTIONS(1418),
    [aux_sym_switch_statement_token1] = ACTIONS(1418),
    [aux_sym_switch_block_token1] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [aux_sym_clone_expression_token1] = ACTIONS(1418),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1418),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [aux_sym__list_destructing_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_self] = ACTIONS(1418),
    [anon_sym_parent] = ACTIONS(1418),
    [aux_sym__argument_name_token1] = ACTIONS(1418),
    [aux_sym__argument_name_token2] = ACTIONS(1418),
    [anon_sym_POUND_LBRACK] = ACTIONS(1416),
    [aux_sym_encapsed_string_token1] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [aux_sym_string_token1] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_LT_LT_LT] = ACTIONS(1416),
    [anon_sym_BQUOTE] = ACTIONS(1416),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [aux_sym_yield_expression_token1] = ACTIONS(1418),
    [aux_sym_include_expression_token1] = ACTIONS(1418),
    [aux_sym_include_once_expression_token1] = ACTIONS(1418),
    [aux_sym_require_expression_token1] = ACTIONS(1418),
    [aux_sym_require_once_expression_token1] = ACTIONS(1418),
    [sym_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_text_interpolation] = STATE(546),
    [ts_builtin_sym_end] = ACTIONS(1420),
    [sym_name] = ACTIONS(1422),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1422),
    [aux_sym_global_declaration_token1] = ACTIONS(1422),
    [aux_sym_namespace_definition_token1] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1422),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1422),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1422),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [aux_sym_trait_declaration_token1] = ACTIONS(1422),
    [aux_sym_interface_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_case_token1] = ACTIONS(1422),
    [aux_sym_class_declaration_token1] = ACTIONS(1422),
    [aux_sym_final_modifier_token1] = ACTIONS(1422),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1422),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1422),
    [sym_var_modifier] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1420),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1422),
    [aux_sym_cast_type_token1] = ACTIONS(1422),
    [aux_sym_echo_statement_token1] = ACTIONS(1422),
    [aux_sym_exit_statement_token1] = ACTIONS(1422),
    [anon_sym_unset] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1422),
    [aux_sym_declare_statement_token2] = ACTIONS(1422),
    [sym_float] = ACTIONS(1422),
    [aux_sym_try_statement_token1] = ACTIONS(1422),
    [aux_sym_goto_statement_token1] = ACTIONS(1422),
    [aux_sym_continue_statement_token1] = ACTIONS(1422),
    [aux_sym_break_statement_token1] = ACTIONS(1422),
    [sym_integer] = ACTIONS(1422),
    [aux_sym_return_statement_token1] = ACTIONS(1422),
    [aux_sym_throw_expression_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token2] = ACTIONS(1422),
    [aux_sym_do_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token2] = ACTIONS(1422),
    [aux_sym_foreach_statement_token1] = ACTIONS(1422),
    [aux_sym_foreach_statement_token2] = ACTIONS(1422),
    [aux_sym_if_statement_token1] = ACTIONS(1422),
    [aux_sym_if_statement_token2] = ACTIONS(1422),
    [aux_sym_else_if_clause_token1] = ACTIONS(1422),
    [aux_sym_else_clause_token1] = ACTIONS(1422),
    [aux_sym_match_expression_token1] = ACTIONS(1422),
    [aux_sym_match_default_expression_token1] = ACTIONS(1422),
    [aux_sym_switch_statement_token1] = ACTIONS(1422),
    [aux_sym_switch_block_token1] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_AT] = ACTIONS(1420),
    [aux_sym_clone_expression_token1] = ACTIONS(1422),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1422),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [aux_sym__list_destructing_token1] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_self] = ACTIONS(1422),
    [anon_sym_parent] = ACTIONS(1422),
    [aux_sym__argument_name_token1] = ACTIONS(1422),
    [aux_sym__argument_name_token2] = ACTIONS(1422),
    [anon_sym_POUND_LBRACK] = ACTIONS(1420),
    [aux_sym_encapsed_string_token1] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [aux_sym_string_token1] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_LT_LT_LT] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1420),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [aux_sym_yield_expression_token1] = ACTIONS(1422),
    [aux_sym_include_expression_token1] = ACTIONS(1422),
    [aux_sym_include_once_expression_token1] = ACTIONS(1422),
    [aux_sym_require_expression_token1] = ACTIONS(1422),
    [aux_sym_require_once_expression_token1] = ACTIONS(1422),
    [sym_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_text_interpolation] = STATE(547),
    [ts_builtin_sym_end] = ACTIONS(1037),
    [sym_name] = ACTIONS(1039),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1037),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1039),
    [aux_sym_global_declaration_token1] = ACTIONS(1039),
    [aux_sym_namespace_definition_token1] = ACTIONS(1039),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1039),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1039),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1039),
    [anon_sym_BSLASH] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_RBRACE] = ACTIONS(1037),
    [aux_sym_trait_declaration_token1] = ACTIONS(1039),
    [aux_sym_interface_declaration_token1] = ACTIONS(1039),
    [aux_sym_enum_declaration_token1] = ACTIONS(1039),
    [aux_sym_enum_case_token1] = ACTIONS(1039),
    [aux_sym_class_declaration_token1] = ACTIONS(1039),
    [aux_sym_final_modifier_token1] = ACTIONS(1039),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1039),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1039),
    [sym_var_modifier] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1039),
    [anon_sym_LPAREN2] = ACTIONS(1037),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1039),
    [aux_sym_cast_type_token1] = ACTIONS(1039),
    [aux_sym_echo_statement_token1] = ACTIONS(1039),
    [aux_sym_exit_statement_token1] = ACTIONS(1039),
    [anon_sym_unset] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [aux_sym_declare_statement_token2] = ACTIONS(1039),
    [sym_float] = ACTIONS(1039),
    [aux_sym_try_statement_token1] = ACTIONS(1039),
    [aux_sym_goto_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [sym_integer] = ACTIONS(1039),
    [aux_sym_return_statement_token1] = ACTIONS(1039),
    [aux_sym_throw_expression_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token2] = ACTIONS(1039),
    [aux_sym_do_statement_token1] = ACTIONS(1039),
    [aux_sym_for_statement_token1] = ACTIONS(1039),
    [aux_sym_for_statement_token2] = ACTIONS(1039),
    [aux_sym_foreach_statement_token1] = ACTIONS(1039),
    [aux_sym_foreach_statement_token2] = ACTIONS(1039),
    [aux_sym_if_statement_token1] = ACTIONS(1039),
    [aux_sym_if_statement_token2] = ACTIONS(1039),
    [aux_sym_else_if_clause_token1] = ACTIONS(1039),
    [aux_sym_else_clause_token1] = ACTIONS(1039),
    [aux_sym_match_expression_token1] = ACTIONS(1039),
    [aux_sym_match_default_expression_token1] = ACTIONS(1039),
    [aux_sym_switch_statement_token1] = ACTIONS(1039),
    [aux_sym_switch_block_token1] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(1039),
    [anon_sym_DASH] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1037),
    [anon_sym_AT] = ACTIONS(1037),
    [aux_sym_clone_expression_token1] = ACTIONS(1039),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1039),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1037),
    [anon_sym_PLUS_PLUS] = ACTIONS(1037),
    [aux_sym__list_destructing_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_self] = ACTIONS(1039),
    [anon_sym_parent] = ACTIONS(1039),
    [aux_sym__argument_name_token1] = ACTIONS(1039),
    [aux_sym__argument_name_token2] = ACTIONS(1039),
    [anon_sym_POUND_LBRACK] = ACTIONS(1037),
    [aux_sym_encapsed_string_token1] = ACTIONS(1037),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [aux_sym_string_token1] = ACTIONS(1037),
    [anon_sym_SQUOTE] = ACTIONS(1037),
    [anon_sym_LT_LT_LT] = ACTIONS(1037),
    [anon_sym_BQUOTE] = ACTIONS(1037),
    [anon_sym_DOLLAR] = ACTIONS(1037),
    [aux_sym_yield_expression_token1] = ACTIONS(1039),
    [aux_sym_include_expression_token1] = ACTIONS(1039),
    [aux_sym_include_once_expression_token1] = ACTIONS(1039),
    [aux_sym_require_expression_token1] = ACTIONS(1039),
    [aux_sym_require_once_expression_token1] = ACTIONS(1039),
    [sym_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_text_interpolation] = STATE(548),
    [ts_builtin_sym_end] = ACTIONS(1424),
    [sym_name] = ACTIONS(1426),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1424),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1426),
    [aux_sym_global_declaration_token1] = ACTIONS(1426),
    [aux_sym_namespace_definition_token1] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1426),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1426),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1426),
    [anon_sym_BSLASH] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [aux_sym_trait_declaration_token1] = ACTIONS(1426),
    [aux_sym_interface_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_case_token1] = ACTIONS(1426),
    [aux_sym_class_declaration_token1] = ACTIONS(1426),
    [aux_sym_final_modifier_token1] = ACTIONS(1426),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1426),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1426),
    [sym_var_modifier] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1426),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1426),
    [aux_sym_cast_type_token1] = ACTIONS(1426),
    [aux_sym_echo_statement_token1] = ACTIONS(1426),
    [aux_sym_exit_statement_token1] = ACTIONS(1426),
    [anon_sym_unset] = ACTIONS(1426),
    [aux_sym_declare_statement_token1] = ACTIONS(1426),
    [aux_sym_declare_statement_token2] = ACTIONS(1426),
    [sym_float] = ACTIONS(1426),
    [aux_sym_try_statement_token1] = ACTIONS(1426),
    [aux_sym_goto_statement_token1] = ACTIONS(1426),
    [aux_sym_continue_statement_token1] = ACTIONS(1426),
    [aux_sym_break_statement_token1] = ACTIONS(1426),
    [sym_integer] = ACTIONS(1426),
    [aux_sym_return_statement_token1] = ACTIONS(1426),
    [aux_sym_throw_expression_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token2] = ACTIONS(1426),
    [aux_sym_do_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token2] = ACTIONS(1426),
    [aux_sym_foreach_statement_token1] = ACTIONS(1426),
    [aux_sym_foreach_statement_token2] = ACTIONS(1426),
    [aux_sym_if_statement_token1] = ACTIONS(1426),
    [aux_sym_if_statement_token2] = ACTIONS(1426),
    [aux_sym_else_if_clause_token1] = ACTIONS(1426),
    [aux_sym_else_clause_token1] = ACTIONS(1426),
    [aux_sym_match_expression_token1] = ACTIONS(1426),
    [aux_sym_match_default_expression_token1] = ACTIONS(1426),
    [aux_sym_switch_statement_token1] = ACTIONS(1426),
    [aux_sym_switch_block_token1] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_AT] = ACTIONS(1424),
    [aux_sym_clone_expression_token1] = ACTIONS(1426),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1426),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [aux_sym__list_destructing_token1] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [anon_sym_self] = ACTIONS(1426),
    [anon_sym_parent] = ACTIONS(1426),
    [aux_sym__argument_name_token1] = ACTIONS(1426),
    [aux_sym__argument_name_token2] = ACTIONS(1426),
    [anon_sym_POUND_LBRACK] = ACTIONS(1424),
    [aux_sym_encapsed_string_token1] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [aux_sym_string_token1] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_LT_LT_LT] = ACTIONS(1424),
    [anon_sym_BQUOTE] = ACTIONS(1424),
    [anon_sym_DOLLAR] = ACTIONS(1424),
    [aux_sym_yield_expression_token1] = ACTIONS(1426),
    [aux_sym_include_expression_token1] = ACTIONS(1426),
    [aux_sym_include_once_expression_token1] = ACTIONS(1426),
    [aux_sym_require_expression_token1] = ACTIONS(1426),
    [aux_sym_require_once_expression_token1] = ACTIONS(1426),
    [sym_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_text_interpolation] = STATE(549),
    [ts_builtin_sym_end] = ACTIONS(1428),
    [sym_name] = ACTIONS(1430),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1428),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1430),
    [aux_sym_global_declaration_token1] = ACTIONS(1430),
    [aux_sym_namespace_definition_token1] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1430),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1430),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1430),
    [anon_sym_BSLASH] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_RBRACE] = ACTIONS(1428),
    [aux_sym_trait_declaration_token1] = ACTIONS(1430),
    [aux_sym_interface_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_case_token1] = ACTIONS(1430),
    [aux_sym_class_declaration_token1] = ACTIONS(1430),
    [aux_sym_final_modifier_token1] = ACTIONS(1430),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1430),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1430),
    [sym_var_modifier] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1428),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1430),
    [aux_sym_cast_type_token1] = ACTIONS(1430),
    [aux_sym_echo_statement_token1] = ACTIONS(1430),
    [aux_sym_exit_statement_token1] = ACTIONS(1430),
    [anon_sym_unset] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1430),
    [aux_sym_declare_statement_token2] = ACTIONS(1430),
    [sym_float] = ACTIONS(1430),
    [aux_sym_try_statement_token1] = ACTIONS(1430),
    [aux_sym_goto_statement_token1] = ACTIONS(1430),
    [aux_sym_continue_statement_token1] = ACTIONS(1430),
    [aux_sym_break_statement_token1] = ACTIONS(1430),
    [sym_integer] = ACTIONS(1430),
    [aux_sym_return_statement_token1] = ACTIONS(1430),
    [aux_sym_throw_expression_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token2] = ACTIONS(1430),
    [aux_sym_do_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token2] = ACTIONS(1430),
    [aux_sym_foreach_statement_token1] = ACTIONS(1430),
    [aux_sym_foreach_statement_token2] = ACTIONS(1430),
    [aux_sym_if_statement_token1] = ACTIONS(1430),
    [aux_sym_if_statement_token2] = ACTIONS(1430),
    [aux_sym_else_if_clause_token1] = ACTIONS(1430),
    [aux_sym_else_clause_token1] = ACTIONS(1430),
    [aux_sym_match_expression_token1] = ACTIONS(1430),
    [aux_sym_match_default_expression_token1] = ACTIONS(1430),
    [aux_sym_switch_statement_token1] = ACTIONS(1430),
    [aux_sym_switch_block_token1] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_AT] = ACTIONS(1428),
    [aux_sym_clone_expression_token1] = ACTIONS(1430),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1430),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [aux_sym__list_destructing_token1] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1428),
    [anon_sym_self] = ACTIONS(1430),
    [anon_sym_parent] = ACTIONS(1430),
    [aux_sym__argument_name_token1] = ACTIONS(1430),
    [aux_sym__argument_name_token2] = ACTIONS(1430),
    [anon_sym_POUND_LBRACK] = ACTIONS(1428),
    [aux_sym_encapsed_string_token1] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [aux_sym_string_token1] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_LT_LT_LT] = ACTIONS(1428),
    [anon_sym_BQUOTE] = ACTIONS(1428),
    [anon_sym_DOLLAR] = ACTIONS(1428),
    [aux_sym_yield_expression_token1] = ACTIONS(1430),
    [aux_sym_include_expression_token1] = ACTIONS(1430),
    [aux_sym_include_once_expression_token1] = ACTIONS(1430),
    [aux_sym_require_expression_token1] = ACTIONS(1430),
    [aux_sym_require_once_expression_token1] = ACTIONS(1430),
    [sym_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_text_interpolation] = STATE(550),
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_name] = ACTIONS(1434),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1432),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1434),
    [aux_sym_global_declaration_token1] = ACTIONS(1434),
    [aux_sym_namespace_definition_token1] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1434),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1434),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1434),
    [anon_sym_BSLASH] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [aux_sym_trait_declaration_token1] = ACTIONS(1434),
    [aux_sym_interface_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_case_token1] = ACTIONS(1434),
    [aux_sym_class_declaration_token1] = ACTIONS(1434),
    [aux_sym_final_modifier_token1] = ACTIONS(1434),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1434),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1434),
    [sym_var_modifier] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1432),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1434),
    [aux_sym_cast_type_token1] = ACTIONS(1434),
    [aux_sym_echo_statement_token1] = ACTIONS(1434),
    [aux_sym_exit_statement_token1] = ACTIONS(1434),
    [anon_sym_unset] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1434),
    [aux_sym_declare_statement_token2] = ACTIONS(1434),
    [sym_float] = ACTIONS(1434),
    [aux_sym_try_statement_token1] = ACTIONS(1434),
    [aux_sym_goto_statement_token1] = ACTIONS(1434),
    [aux_sym_continue_statement_token1] = ACTIONS(1434),
    [aux_sym_break_statement_token1] = ACTIONS(1434),
    [sym_integer] = ACTIONS(1434),
    [aux_sym_return_statement_token1] = ACTIONS(1434),
    [aux_sym_throw_expression_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token2] = ACTIONS(1434),
    [aux_sym_do_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token2] = ACTIONS(1434),
    [aux_sym_foreach_statement_token1] = ACTIONS(1434),
    [aux_sym_foreach_statement_token2] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_if_statement_token2] = ACTIONS(1434),
    [aux_sym_else_if_clause_token1] = ACTIONS(1434),
    [aux_sym_else_clause_token1] = ACTIONS(1434),
    [aux_sym_match_expression_token1] = ACTIONS(1434),
    [aux_sym_match_default_expression_token1] = ACTIONS(1434),
    [aux_sym_switch_statement_token1] = ACTIONS(1434),
    [aux_sym_switch_block_token1] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_AT] = ACTIONS(1432),
    [aux_sym_clone_expression_token1] = ACTIONS(1434),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1434),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [aux_sym__list_destructing_token1] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1432),
    [anon_sym_self] = ACTIONS(1434),
    [anon_sym_parent] = ACTIONS(1434),
    [aux_sym__argument_name_token1] = ACTIONS(1434),
    [aux_sym__argument_name_token2] = ACTIONS(1434),
    [anon_sym_POUND_LBRACK] = ACTIONS(1432),
    [aux_sym_encapsed_string_token1] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_LT_LT_LT] = ACTIONS(1432),
    [anon_sym_BQUOTE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1432),
    [aux_sym_yield_expression_token1] = ACTIONS(1434),
    [aux_sym_include_expression_token1] = ACTIONS(1434),
    [aux_sym_include_once_expression_token1] = ACTIONS(1434),
    [aux_sym_require_expression_token1] = ACTIONS(1434),
    [aux_sym_require_once_expression_token1] = ACTIONS(1434),
    [sym_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_text_interpolation] = STATE(551),
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_name] = ACTIONS(1438),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1436),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1438),
    [aux_sym_global_declaration_token1] = ACTIONS(1438),
    [aux_sym_namespace_definition_token1] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1438),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1438),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1438),
    [anon_sym_BSLASH] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [aux_sym_trait_declaration_token1] = ACTIONS(1438),
    [aux_sym_interface_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_case_token1] = ACTIONS(1438),
    [aux_sym_class_declaration_token1] = ACTIONS(1438),
    [aux_sym_final_modifier_token1] = ACTIONS(1438),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1438),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1438),
    [sym_var_modifier] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1436),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1438),
    [aux_sym_cast_type_token1] = ACTIONS(1438),
    [aux_sym_echo_statement_token1] = ACTIONS(1438),
    [aux_sym_exit_statement_token1] = ACTIONS(1438),
    [anon_sym_unset] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1438),
    [aux_sym_declare_statement_token2] = ACTIONS(1438),
    [sym_float] = ACTIONS(1438),
    [aux_sym_try_statement_token1] = ACTIONS(1438),
    [aux_sym_goto_statement_token1] = ACTIONS(1438),
    [aux_sym_continue_statement_token1] = ACTIONS(1438),
    [aux_sym_break_statement_token1] = ACTIONS(1438),
    [sym_integer] = ACTIONS(1438),
    [aux_sym_return_statement_token1] = ACTIONS(1438),
    [aux_sym_throw_expression_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token2] = ACTIONS(1438),
    [aux_sym_do_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token2] = ACTIONS(1438),
    [aux_sym_foreach_statement_token1] = ACTIONS(1438),
    [aux_sym_foreach_statement_token2] = ACTIONS(1438),
    [aux_sym_if_statement_token1] = ACTIONS(1438),
    [aux_sym_if_statement_token2] = ACTIONS(1438),
    [aux_sym_else_if_clause_token1] = ACTIONS(1438),
    [aux_sym_else_clause_token1] = ACTIONS(1438),
    [aux_sym_match_expression_token1] = ACTIONS(1438),
    [aux_sym_match_default_expression_token1] = ACTIONS(1438),
    [aux_sym_switch_statement_token1] = ACTIONS(1438),
    [aux_sym_switch_block_token1] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1436),
    [aux_sym_clone_expression_token1] = ACTIONS(1438),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1438),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1438),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [aux_sym__list_destructing_token1] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_self] = ACTIONS(1438),
    [anon_sym_parent] = ACTIONS(1438),
    [aux_sym__argument_name_token1] = ACTIONS(1438),
    [aux_sym__argument_name_token2] = ACTIONS(1438),
    [anon_sym_POUND_LBRACK] = ACTIONS(1436),
    [aux_sym_encapsed_string_token1] = ACTIONS(1436),
    [anon_sym_DQUOTE] = ACTIONS(1436),
    [aux_sym_string_token1] = ACTIONS(1436),
    [anon_sym_SQUOTE] = ACTIONS(1436),
    [anon_sym_LT_LT_LT] = ACTIONS(1436),
    [anon_sym_BQUOTE] = ACTIONS(1436),
    [anon_sym_DOLLAR] = ACTIONS(1436),
    [aux_sym_yield_expression_token1] = ACTIONS(1438),
    [aux_sym_include_expression_token1] = ACTIONS(1438),
    [aux_sym_include_once_expression_token1] = ACTIONS(1438),
    [aux_sym_require_expression_token1] = ACTIONS(1438),
    [aux_sym_require_once_expression_token1] = ACTIONS(1438),
    [sym_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_text_interpolation] = STATE(552),
    [ts_builtin_sym_end] = ACTIONS(1440),
    [sym_name] = ACTIONS(1442),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1440),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1442),
    [aux_sym_global_declaration_token1] = ACTIONS(1442),
    [aux_sym_namespace_definition_token1] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1442),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1442),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1442),
    [anon_sym_BSLASH] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [aux_sym_trait_declaration_token1] = ACTIONS(1442),
    [aux_sym_interface_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_case_token1] = ACTIONS(1442),
    [aux_sym_class_declaration_token1] = ACTIONS(1442),
    [aux_sym_final_modifier_token1] = ACTIONS(1442),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1442),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1442),
    [sym_var_modifier] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1442),
    [anon_sym_LPAREN2] = ACTIONS(1440),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1442),
    [aux_sym_cast_type_token1] = ACTIONS(1442),
    [aux_sym_echo_statement_token1] = ACTIONS(1442),
    [aux_sym_exit_statement_token1] = ACTIONS(1442),
    [anon_sym_unset] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_declare_statement_token2] = ACTIONS(1442),
    [sym_float] = ACTIONS(1442),
    [aux_sym_try_statement_token1] = ACTIONS(1442),
    [aux_sym_goto_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [sym_integer] = ACTIONS(1442),
    [aux_sym_return_statement_token1] = ACTIONS(1442),
    [aux_sym_throw_expression_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token2] = ACTIONS(1442),
    [aux_sym_do_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token2] = ACTIONS(1442),
    [aux_sym_foreach_statement_token1] = ACTIONS(1442),
    [aux_sym_foreach_statement_token2] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token2] = ACTIONS(1442),
    [aux_sym_else_if_clause_token1] = ACTIONS(1442),
    [aux_sym_else_clause_token1] = ACTIONS(1442),
    [aux_sym_match_expression_token1] = ACTIONS(1442),
    [aux_sym_match_default_expression_token1] = ACTIONS(1442),
    [aux_sym_switch_statement_token1] = ACTIONS(1442),
    [aux_sym_switch_block_token1] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(1440),
    [aux_sym_clone_expression_token1] = ACTIONS(1442),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1442),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1442),
    [anon_sym_DASH_DASH] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(1440),
    [aux_sym__list_destructing_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1440),
    [anon_sym_self] = ACTIONS(1442),
    [anon_sym_parent] = ACTIONS(1442),
    [aux_sym__argument_name_token1] = ACTIONS(1442),
    [aux_sym__argument_name_token2] = ACTIONS(1442),
    [anon_sym_POUND_LBRACK] = ACTIONS(1440),
    [aux_sym_encapsed_string_token1] = ACTIONS(1440),
    [anon_sym_DQUOTE] = ACTIONS(1440),
    [aux_sym_string_token1] = ACTIONS(1440),
    [anon_sym_SQUOTE] = ACTIONS(1440),
    [anon_sym_LT_LT_LT] = ACTIONS(1440),
    [anon_sym_BQUOTE] = ACTIONS(1440),
    [anon_sym_DOLLAR] = ACTIONS(1440),
    [aux_sym_yield_expression_token1] = ACTIONS(1442),
    [aux_sym_include_expression_token1] = ACTIONS(1442),
    [aux_sym_include_once_expression_token1] = ACTIONS(1442),
    [aux_sym_require_expression_token1] = ACTIONS(1442),
    [aux_sym_require_once_expression_token1] = ACTIONS(1442),
    [sym_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_text_interpolation] = STATE(553),
    [ts_builtin_sym_end] = ACTIONS(1444),
    [sym_name] = ACTIONS(1446),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1444),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1446),
    [aux_sym_global_declaration_token1] = ACTIONS(1446),
    [aux_sym_namespace_definition_token1] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1446),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1446),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1446),
    [anon_sym_BSLASH] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_RBRACE] = ACTIONS(1444),
    [aux_sym_trait_declaration_token1] = ACTIONS(1446),
    [aux_sym_interface_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_case_token1] = ACTIONS(1446),
    [aux_sym_class_declaration_token1] = ACTIONS(1446),
    [aux_sym_final_modifier_token1] = ACTIONS(1446),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1446),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1446),
    [sym_var_modifier] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1446),
    [anon_sym_LPAREN2] = ACTIONS(1444),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1446),
    [aux_sym_cast_type_token1] = ACTIONS(1446),
    [aux_sym_echo_statement_token1] = ACTIONS(1446),
    [aux_sym_exit_statement_token1] = ACTIONS(1446),
    [anon_sym_unset] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [aux_sym_declare_statement_token2] = ACTIONS(1446),
    [sym_float] = ACTIONS(1446),
    [aux_sym_try_statement_token1] = ACTIONS(1446),
    [aux_sym_goto_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [sym_integer] = ACTIONS(1446),
    [aux_sym_return_statement_token1] = ACTIONS(1446),
    [aux_sym_throw_expression_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token2] = ACTIONS(1446),
    [aux_sym_do_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token2] = ACTIONS(1446),
    [aux_sym_foreach_statement_token1] = ACTIONS(1446),
    [aux_sym_foreach_statement_token2] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token2] = ACTIONS(1446),
    [aux_sym_else_if_clause_token1] = ACTIONS(1446),
    [aux_sym_else_clause_token1] = ACTIONS(1446),
    [aux_sym_match_expression_token1] = ACTIONS(1446),
    [aux_sym_match_default_expression_token1] = ACTIONS(1446),
    [aux_sym_switch_statement_token1] = ACTIONS(1446),
    [aux_sym_switch_block_token1] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1444),
    [anon_sym_BANG] = ACTIONS(1444),
    [anon_sym_AT] = ACTIONS(1444),
    [aux_sym_clone_expression_token1] = ACTIONS(1446),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1446),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1444),
    [anon_sym_PLUS_PLUS] = ACTIONS(1444),
    [aux_sym__list_destructing_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_self] = ACTIONS(1446),
    [anon_sym_parent] = ACTIONS(1446),
    [aux_sym__argument_name_token1] = ACTIONS(1446),
    [aux_sym__argument_name_token2] = ACTIONS(1446),
    [anon_sym_POUND_LBRACK] = ACTIONS(1444),
    [aux_sym_encapsed_string_token1] = ACTIONS(1444),
    [anon_sym_DQUOTE] = ACTIONS(1444),
    [aux_sym_string_token1] = ACTIONS(1444),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [anon_sym_LT_LT_LT] = ACTIONS(1444),
    [anon_sym_BQUOTE] = ACTIONS(1444),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [aux_sym_yield_expression_token1] = ACTIONS(1446),
    [aux_sym_include_expression_token1] = ACTIONS(1446),
    [aux_sym_include_once_expression_token1] = ACTIONS(1446),
    [aux_sym_require_expression_token1] = ACTIONS(1446),
    [aux_sym_require_once_expression_token1] = ACTIONS(1446),
    [sym_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_text_interpolation] = STATE(554),
    [ts_builtin_sym_end] = ACTIONS(1448),
    [sym_name] = ACTIONS(1450),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1448),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1450),
    [aux_sym_global_declaration_token1] = ACTIONS(1450),
    [aux_sym_namespace_definition_token1] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1450),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1450),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1450),
    [anon_sym_BSLASH] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [aux_sym_trait_declaration_token1] = ACTIONS(1450),
    [aux_sym_interface_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_case_token1] = ACTIONS(1450),
    [aux_sym_class_declaration_token1] = ACTIONS(1450),
    [aux_sym_final_modifier_token1] = ACTIONS(1450),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1450),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1450),
    [sym_var_modifier] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1450),
    [anon_sym_LPAREN2] = ACTIONS(1448),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1450),
    [aux_sym_cast_type_token1] = ACTIONS(1450),
    [aux_sym_echo_statement_token1] = ACTIONS(1450),
    [aux_sym_exit_statement_token1] = ACTIONS(1450),
    [anon_sym_unset] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1450),
    [aux_sym_declare_statement_token2] = ACTIONS(1450),
    [sym_float] = ACTIONS(1450),
    [aux_sym_try_statement_token1] = ACTIONS(1450),
    [aux_sym_goto_statement_token1] = ACTIONS(1450),
    [aux_sym_continue_statement_token1] = ACTIONS(1450),
    [aux_sym_break_statement_token1] = ACTIONS(1450),
    [sym_integer] = ACTIONS(1450),
    [aux_sym_return_statement_token1] = ACTIONS(1450),
    [aux_sym_throw_expression_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token2] = ACTIONS(1450),
    [aux_sym_do_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token2] = ACTIONS(1450),
    [aux_sym_foreach_statement_token1] = ACTIONS(1450),
    [aux_sym_foreach_statement_token2] = ACTIONS(1450),
    [aux_sym_if_statement_token1] = ACTIONS(1450),
    [aux_sym_if_statement_token2] = ACTIONS(1450),
    [aux_sym_else_if_clause_token1] = ACTIONS(1450),
    [aux_sym_else_clause_token1] = ACTIONS(1450),
    [aux_sym_match_expression_token1] = ACTIONS(1450),
    [aux_sym_match_default_expression_token1] = ACTIONS(1450),
    [aux_sym_switch_statement_token1] = ACTIONS(1450),
    [aux_sym_switch_block_token1] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_AT] = ACTIONS(1448),
    [aux_sym_clone_expression_token1] = ACTIONS(1450),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1450),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1450),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [aux_sym__list_destructing_token1] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [anon_sym_self] = ACTIONS(1450),
    [anon_sym_parent] = ACTIONS(1450),
    [aux_sym__argument_name_token1] = ACTIONS(1450),
    [aux_sym__argument_name_token2] = ACTIONS(1450),
    [anon_sym_POUND_LBRACK] = ACTIONS(1448),
    [aux_sym_encapsed_string_token1] = ACTIONS(1448),
    [anon_sym_DQUOTE] = ACTIONS(1448),
    [aux_sym_string_token1] = ACTIONS(1448),
    [anon_sym_SQUOTE] = ACTIONS(1448),
    [anon_sym_LT_LT_LT] = ACTIONS(1448),
    [anon_sym_BQUOTE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1448),
    [aux_sym_yield_expression_token1] = ACTIONS(1450),
    [aux_sym_include_expression_token1] = ACTIONS(1450),
    [aux_sym_include_once_expression_token1] = ACTIONS(1450),
    [aux_sym_require_expression_token1] = ACTIONS(1450),
    [aux_sym_require_once_expression_token1] = ACTIONS(1450),
    [sym_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_text_interpolation] = STATE(555),
    [ts_builtin_sym_end] = ACTIONS(1452),
    [sym_name] = ACTIONS(1454),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1452),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1454),
    [aux_sym_global_declaration_token1] = ACTIONS(1454),
    [aux_sym_namespace_definition_token1] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1454),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1454),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1454),
    [anon_sym_BSLASH] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [aux_sym_trait_declaration_token1] = ACTIONS(1454),
    [aux_sym_interface_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_case_token1] = ACTIONS(1454),
    [aux_sym_class_declaration_token1] = ACTIONS(1454),
    [aux_sym_final_modifier_token1] = ACTIONS(1454),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1454),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1454),
    [sym_var_modifier] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1454),
    [anon_sym_LPAREN2] = ACTIONS(1452),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1454),
    [aux_sym_cast_type_token1] = ACTIONS(1454),
    [aux_sym_echo_statement_token1] = ACTIONS(1454),
    [aux_sym_exit_statement_token1] = ACTIONS(1454),
    [anon_sym_unset] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1454),
    [aux_sym_declare_statement_token2] = ACTIONS(1454),
    [sym_float] = ACTIONS(1454),
    [aux_sym_try_statement_token1] = ACTIONS(1454),
    [aux_sym_goto_statement_token1] = ACTIONS(1454),
    [aux_sym_continue_statement_token1] = ACTIONS(1454),
    [aux_sym_break_statement_token1] = ACTIONS(1454),
    [sym_integer] = ACTIONS(1454),
    [aux_sym_return_statement_token1] = ACTIONS(1454),
    [aux_sym_throw_expression_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token2] = ACTIONS(1454),
    [aux_sym_do_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token2] = ACTIONS(1454),
    [aux_sym_foreach_statement_token1] = ACTIONS(1454),
    [aux_sym_foreach_statement_token2] = ACTIONS(1454),
    [aux_sym_if_statement_token1] = ACTIONS(1454),
    [aux_sym_if_statement_token2] = ACTIONS(1454),
    [aux_sym_else_if_clause_token1] = ACTIONS(1454),
    [aux_sym_else_clause_token1] = ACTIONS(1454),
    [aux_sym_match_expression_token1] = ACTIONS(1454),
    [aux_sym_match_default_expression_token1] = ACTIONS(1454),
    [aux_sym_switch_statement_token1] = ACTIONS(1454),
    [aux_sym_switch_block_token1] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(1452),
    [aux_sym_clone_expression_token1] = ACTIONS(1454),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1454),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1454),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [aux_sym__list_destructing_token1] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_self] = ACTIONS(1454),
    [anon_sym_parent] = ACTIONS(1454),
    [aux_sym__argument_name_token1] = ACTIONS(1454),
    [aux_sym__argument_name_token2] = ACTIONS(1454),
    [anon_sym_POUND_LBRACK] = ACTIONS(1452),
    [aux_sym_encapsed_string_token1] = ACTIONS(1452),
    [anon_sym_DQUOTE] = ACTIONS(1452),
    [aux_sym_string_token1] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1452),
    [anon_sym_LT_LT_LT] = ACTIONS(1452),
    [anon_sym_BQUOTE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1452),
    [aux_sym_yield_expression_token1] = ACTIONS(1454),
    [aux_sym_include_expression_token1] = ACTIONS(1454),
    [aux_sym_include_once_expression_token1] = ACTIONS(1454),
    [aux_sym_require_expression_token1] = ACTIONS(1454),
    [aux_sym_require_once_expression_token1] = ACTIONS(1454),
    [sym_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_text_interpolation] = STATE(556),
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym_name] = ACTIONS(1386),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1384),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1386),
    [aux_sym_global_declaration_token1] = ACTIONS(1386),
    [aux_sym_namespace_definition_token1] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1386),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1386),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1386),
    [anon_sym_BSLASH] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [aux_sym_trait_declaration_token1] = ACTIONS(1386),
    [aux_sym_interface_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_case_token1] = ACTIONS(1386),
    [aux_sym_class_declaration_token1] = ACTIONS(1386),
    [aux_sym_final_modifier_token1] = ACTIONS(1386),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1386),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1386),
    [sym_var_modifier] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(1384),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1386),
    [aux_sym_cast_type_token1] = ACTIONS(1386),
    [aux_sym_echo_statement_token1] = ACTIONS(1386),
    [aux_sym_exit_statement_token1] = ACTIONS(1386),
    [anon_sym_unset] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [aux_sym_declare_statement_token2] = ACTIONS(1386),
    [sym_float] = ACTIONS(1386),
    [aux_sym_try_statement_token1] = ACTIONS(1386),
    [aux_sym_goto_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [sym_integer] = ACTIONS(1386),
    [aux_sym_return_statement_token1] = ACTIONS(1386),
    [aux_sym_throw_expression_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token2] = ACTIONS(1386),
    [aux_sym_do_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token2] = ACTIONS(1386),
    [aux_sym_foreach_statement_token1] = ACTIONS(1386),
    [aux_sym_foreach_statement_token2] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token2] = ACTIONS(1386),
    [aux_sym_else_if_clause_token1] = ACTIONS(1386),
    [aux_sym_else_clause_token1] = ACTIONS(1386),
    [aux_sym_match_expression_token1] = ACTIONS(1386),
    [aux_sym_match_default_expression_token1] = ACTIONS(1386),
    [aux_sym_switch_statement_token1] = ACTIONS(1386),
    [aux_sym_switch_block_token1] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_AT] = ACTIONS(1384),
    [aux_sym_clone_expression_token1] = ACTIONS(1386),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1386),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [aux_sym__list_destructing_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_self] = ACTIONS(1386),
    [anon_sym_parent] = ACTIONS(1386),
    [aux_sym__argument_name_token1] = ACTIONS(1386),
    [aux_sym__argument_name_token2] = ACTIONS(1386),
    [anon_sym_POUND_LBRACK] = ACTIONS(1384),
    [aux_sym_encapsed_string_token1] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [aux_sym_string_token1] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_LT_LT_LT] = ACTIONS(1384),
    [anon_sym_BQUOTE] = ACTIONS(1384),
    [anon_sym_DOLLAR] = ACTIONS(1384),
    [aux_sym_yield_expression_token1] = ACTIONS(1386),
    [aux_sym_include_expression_token1] = ACTIONS(1386),
    [aux_sym_include_once_expression_token1] = ACTIONS(1386),
    [aux_sym_require_expression_token1] = ACTIONS(1386),
    [aux_sym_require_once_expression_token1] = ACTIONS(1386),
    [sym_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_text_interpolation] = STATE(557),
    [ts_builtin_sym_end] = ACTIONS(1456),
    [sym_name] = ACTIONS(1458),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1456),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1458),
    [aux_sym_global_declaration_token1] = ACTIONS(1458),
    [aux_sym_namespace_definition_token1] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1458),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1458),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1458),
    [anon_sym_BSLASH] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_RBRACE] = ACTIONS(1456),
    [aux_sym_trait_declaration_token1] = ACTIONS(1458),
    [aux_sym_interface_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_case_token1] = ACTIONS(1458),
    [aux_sym_class_declaration_token1] = ACTIONS(1458),
    [aux_sym_final_modifier_token1] = ACTIONS(1458),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1458),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1458),
    [sym_var_modifier] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(1456),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1458),
    [aux_sym_cast_type_token1] = ACTIONS(1458),
    [aux_sym_echo_statement_token1] = ACTIONS(1458),
    [aux_sym_exit_statement_token1] = ACTIONS(1458),
    [anon_sym_unset] = ACTIONS(1458),
    [aux_sym_declare_statement_token1] = ACTIONS(1458),
    [aux_sym_declare_statement_token2] = ACTIONS(1458),
    [sym_float] = ACTIONS(1458),
    [aux_sym_try_statement_token1] = ACTIONS(1458),
    [aux_sym_goto_statement_token1] = ACTIONS(1458),
    [aux_sym_continue_statement_token1] = ACTIONS(1458),
    [aux_sym_break_statement_token1] = ACTIONS(1458),
    [sym_integer] = ACTIONS(1458),
    [aux_sym_return_statement_token1] = ACTIONS(1458),
    [aux_sym_throw_expression_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token2] = ACTIONS(1458),
    [aux_sym_do_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token2] = ACTIONS(1458),
    [aux_sym_foreach_statement_token1] = ACTIONS(1458),
    [aux_sym_foreach_statement_token2] = ACTIONS(1458),
    [aux_sym_if_statement_token1] = ACTIONS(1458),
    [aux_sym_if_statement_token2] = ACTIONS(1458),
    [aux_sym_else_if_clause_token1] = ACTIONS(1458),
    [aux_sym_else_clause_token1] = ACTIONS(1458),
    [aux_sym_match_expression_token1] = ACTIONS(1458),
    [aux_sym_match_default_expression_token1] = ACTIONS(1458),
    [aux_sym_switch_statement_token1] = ACTIONS(1458),
    [aux_sym_switch_block_token1] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1456),
    [anon_sym_AT] = ACTIONS(1456),
    [aux_sym_clone_expression_token1] = ACTIONS(1458),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1458),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1458),
    [anon_sym_DASH_DASH] = ACTIONS(1456),
    [anon_sym_PLUS_PLUS] = ACTIONS(1456),
    [aux_sym__list_destructing_token1] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_self] = ACTIONS(1458),
    [anon_sym_parent] = ACTIONS(1458),
    [aux_sym__argument_name_token1] = ACTIONS(1458),
    [aux_sym__argument_name_token2] = ACTIONS(1458),
    [anon_sym_POUND_LBRACK] = ACTIONS(1456),
    [aux_sym_encapsed_string_token1] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [aux_sym_string_token1] = ACTIONS(1456),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_LT_LT_LT] = ACTIONS(1456),
    [anon_sym_BQUOTE] = ACTIONS(1456),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [aux_sym_yield_expression_token1] = ACTIONS(1458),
    [aux_sym_include_expression_token1] = ACTIONS(1458),
    [aux_sym_include_once_expression_token1] = ACTIONS(1458),
    [aux_sym_require_expression_token1] = ACTIONS(1458),
    [aux_sym_require_once_expression_token1] = ACTIONS(1458),
    [sym_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_text_interpolation] = STATE(558),
    [ts_builtin_sym_end] = ACTIONS(1460),
    [sym_name] = ACTIONS(1462),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1460),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1462),
    [aux_sym_global_declaration_token1] = ACTIONS(1462),
    [aux_sym_namespace_definition_token1] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1462),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1462),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1460),
    [aux_sym_trait_declaration_token1] = ACTIONS(1462),
    [aux_sym_interface_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_case_token1] = ACTIONS(1462),
    [aux_sym_class_declaration_token1] = ACTIONS(1462),
    [aux_sym_final_modifier_token1] = ACTIONS(1462),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1462),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1462),
    [sym_var_modifier] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1462),
    [anon_sym_LPAREN2] = ACTIONS(1460),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1462),
    [aux_sym_cast_type_token1] = ACTIONS(1462),
    [aux_sym_echo_statement_token1] = ACTIONS(1462),
    [aux_sym_exit_statement_token1] = ACTIONS(1462),
    [anon_sym_unset] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_declare_statement_token2] = ACTIONS(1462),
    [sym_float] = ACTIONS(1462),
    [aux_sym_try_statement_token1] = ACTIONS(1462),
    [aux_sym_goto_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [sym_integer] = ACTIONS(1462),
    [aux_sym_return_statement_token1] = ACTIONS(1462),
    [aux_sym_throw_expression_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token2] = ACTIONS(1462),
    [aux_sym_do_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token2] = ACTIONS(1462),
    [aux_sym_foreach_statement_token1] = ACTIONS(1462),
    [aux_sym_foreach_statement_token2] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token2] = ACTIONS(1462),
    [aux_sym_else_if_clause_token1] = ACTIONS(1462),
    [aux_sym_else_clause_token1] = ACTIONS(1462),
    [aux_sym_match_expression_token1] = ACTIONS(1462),
    [aux_sym_match_default_expression_token1] = ACTIONS(1462),
    [aux_sym_switch_statement_token1] = ACTIONS(1462),
    [aux_sym_switch_block_token1] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1460),
    [aux_sym_clone_expression_token1] = ACTIONS(1462),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1462),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1462),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [aux_sym__list_destructing_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_self] = ACTIONS(1462),
    [anon_sym_parent] = ACTIONS(1462),
    [aux_sym__argument_name_token1] = ACTIONS(1462),
    [aux_sym__argument_name_token2] = ACTIONS(1462),
    [anon_sym_POUND_LBRACK] = ACTIONS(1460),
    [aux_sym_encapsed_string_token1] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [aux_sym_string_token1] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_LT_LT_LT] = ACTIONS(1460),
    [anon_sym_BQUOTE] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [aux_sym_yield_expression_token1] = ACTIONS(1462),
    [aux_sym_include_expression_token1] = ACTIONS(1462),
    [aux_sym_include_once_expression_token1] = ACTIONS(1462),
    [aux_sym_require_expression_token1] = ACTIONS(1462),
    [aux_sym_require_once_expression_token1] = ACTIONS(1462),
    [sym_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_text_interpolation] = STATE(559),
    [ts_builtin_sym_end] = ACTIONS(1464),
    [sym_name] = ACTIONS(1466),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1464),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1466),
    [aux_sym_global_declaration_token1] = ACTIONS(1466),
    [aux_sym_namespace_definition_token1] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1466),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1466),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1466),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_RBRACE] = ACTIONS(1464),
    [aux_sym_trait_declaration_token1] = ACTIONS(1466),
    [aux_sym_interface_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_case_token1] = ACTIONS(1466),
    [aux_sym_class_declaration_token1] = ACTIONS(1466),
    [aux_sym_final_modifier_token1] = ACTIONS(1466),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1466),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1466),
    [sym_var_modifier] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(1464),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1466),
    [aux_sym_cast_type_token1] = ACTIONS(1466),
    [aux_sym_echo_statement_token1] = ACTIONS(1466),
    [aux_sym_exit_statement_token1] = ACTIONS(1466),
    [anon_sym_unset] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1466),
    [aux_sym_declare_statement_token2] = ACTIONS(1466),
    [sym_float] = ACTIONS(1466),
    [aux_sym_try_statement_token1] = ACTIONS(1466),
    [aux_sym_goto_statement_token1] = ACTIONS(1466),
    [aux_sym_continue_statement_token1] = ACTIONS(1466),
    [aux_sym_break_statement_token1] = ACTIONS(1466),
    [sym_integer] = ACTIONS(1466),
    [aux_sym_return_statement_token1] = ACTIONS(1466),
    [aux_sym_throw_expression_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token2] = ACTIONS(1466),
    [aux_sym_do_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token2] = ACTIONS(1466),
    [aux_sym_foreach_statement_token1] = ACTIONS(1466),
    [aux_sym_foreach_statement_token2] = ACTIONS(1466),
    [aux_sym_if_statement_token1] = ACTIONS(1466),
    [aux_sym_if_statement_token2] = ACTIONS(1466),
    [aux_sym_else_if_clause_token1] = ACTIONS(1466),
    [aux_sym_else_clause_token1] = ACTIONS(1466),
    [aux_sym_match_expression_token1] = ACTIONS(1466),
    [aux_sym_match_default_expression_token1] = ACTIONS(1466),
    [aux_sym_switch_statement_token1] = ACTIONS(1466),
    [aux_sym_switch_block_token1] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1464),
    [aux_sym_clone_expression_token1] = ACTIONS(1466),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1466),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1466),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [aux_sym__list_destructing_token1] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1464),
    [anon_sym_self] = ACTIONS(1466),
    [anon_sym_parent] = ACTIONS(1466),
    [aux_sym__argument_name_token1] = ACTIONS(1466),
    [aux_sym__argument_name_token2] = ACTIONS(1466),
    [anon_sym_POUND_LBRACK] = ACTIONS(1464),
    [aux_sym_encapsed_string_token1] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [aux_sym_string_token1] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_LT_LT_LT] = ACTIONS(1464),
    [anon_sym_BQUOTE] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [aux_sym_yield_expression_token1] = ACTIONS(1466),
    [aux_sym_include_expression_token1] = ACTIONS(1466),
    [aux_sym_include_once_expression_token1] = ACTIONS(1466),
    [aux_sym_require_expression_token1] = ACTIONS(1466),
    [aux_sym_require_once_expression_token1] = ACTIONS(1466),
    [sym_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_text_interpolation] = STATE(560),
    [ts_builtin_sym_end] = ACTIONS(1468),
    [sym_name] = ACTIONS(1470),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1468),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1470),
    [aux_sym_global_declaration_token1] = ACTIONS(1470),
    [aux_sym_namespace_definition_token1] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1470),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1470),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1470),
    [anon_sym_BSLASH] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_RBRACE] = ACTIONS(1468),
    [aux_sym_trait_declaration_token1] = ACTIONS(1470),
    [aux_sym_interface_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_case_token1] = ACTIONS(1470),
    [aux_sym_class_declaration_token1] = ACTIONS(1470),
    [aux_sym_final_modifier_token1] = ACTIONS(1470),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1470),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1470),
    [sym_var_modifier] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1470),
    [anon_sym_LPAREN2] = ACTIONS(1468),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1470),
    [aux_sym_cast_type_token1] = ACTIONS(1470),
    [aux_sym_echo_statement_token1] = ACTIONS(1470),
    [aux_sym_exit_statement_token1] = ACTIONS(1470),
    [anon_sym_unset] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1470),
    [aux_sym_declare_statement_token2] = ACTIONS(1470),
    [sym_float] = ACTIONS(1470),
    [aux_sym_try_statement_token1] = ACTIONS(1470),
    [aux_sym_goto_statement_token1] = ACTIONS(1470),
    [aux_sym_continue_statement_token1] = ACTIONS(1470),
    [aux_sym_break_statement_token1] = ACTIONS(1470),
    [sym_integer] = ACTIONS(1470),
    [aux_sym_return_statement_token1] = ACTIONS(1470),
    [aux_sym_throw_expression_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token2] = ACTIONS(1470),
    [aux_sym_do_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token2] = ACTIONS(1470),
    [aux_sym_foreach_statement_token1] = ACTIONS(1470),
    [aux_sym_foreach_statement_token2] = ACTIONS(1470),
    [aux_sym_if_statement_token1] = ACTIONS(1470),
    [aux_sym_if_statement_token2] = ACTIONS(1470),
    [aux_sym_else_if_clause_token1] = ACTIONS(1470),
    [aux_sym_else_clause_token1] = ACTIONS(1470),
    [aux_sym_match_expression_token1] = ACTIONS(1470),
    [aux_sym_match_default_expression_token1] = ACTIONS(1470),
    [aux_sym_switch_statement_token1] = ACTIONS(1470),
    [aux_sym_switch_block_token1] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(1468),
    [aux_sym_clone_expression_token1] = ACTIONS(1470),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1470),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1470),
    [anon_sym_DASH_DASH] = ACTIONS(1468),
    [anon_sym_PLUS_PLUS] = ACTIONS(1468),
    [aux_sym__list_destructing_token1] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_self] = ACTIONS(1470),
    [anon_sym_parent] = ACTIONS(1470),
    [aux_sym__argument_name_token1] = ACTIONS(1470),
    [aux_sym__argument_name_token2] = ACTIONS(1470),
    [anon_sym_POUND_LBRACK] = ACTIONS(1468),
    [aux_sym_encapsed_string_token1] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [aux_sym_string_token1] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_LT_LT_LT] = ACTIONS(1468),
    [anon_sym_BQUOTE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [aux_sym_yield_expression_token1] = ACTIONS(1470),
    [aux_sym_include_expression_token1] = ACTIONS(1470),
    [aux_sym_include_once_expression_token1] = ACTIONS(1470),
    [aux_sym_require_expression_token1] = ACTIONS(1470),
    [aux_sym_require_once_expression_token1] = ACTIONS(1470),
    [sym_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_text_interpolation] = STATE(561),
    [ts_builtin_sym_end] = ACTIONS(1472),
    [sym_name] = ACTIONS(1474),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1472),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1474),
    [aux_sym_global_declaration_token1] = ACTIONS(1474),
    [aux_sym_namespace_definition_token1] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1474),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1474),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1474),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_RBRACE] = ACTIONS(1472),
    [aux_sym_trait_declaration_token1] = ACTIONS(1474),
    [aux_sym_interface_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_case_token1] = ACTIONS(1474),
    [aux_sym_class_declaration_token1] = ACTIONS(1474),
    [aux_sym_final_modifier_token1] = ACTIONS(1474),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1474),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1474),
    [sym_var_modifier] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1474),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1474),
    [aux_sym_cast_type_token1] = ACTIONS(1474),
    [aux_sym_echo_statement_token1] = ACTIONS(1474),
    [aux_sym_exit_statement_token1] = ACTIONS(1474),
    [anon_sym_unset] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1474),
    [aux_sym_declare_statement_token2] = ACTIONS(1474),
    [sym_float] = ACTIONS(1474),
    [aux_sym_try_statement_token1] = ACTIONS(1474),
    [aux_sym_goto_statement_token1] = ACTIONS(1474),
    [aux_sym_continue_statement_token1] = ACTIONS(1474),
    [aux_sym_break_statement_token1] = ACTIONS(1474),
    [sym_integer] = ACTIONS(1474),
    [aux_sym_return_statement_token1] = ACTIONS(1474),
    [aux_sym_throw_expression_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token2] = ACTIONS(1474),
    [aux_sym_do_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token2] = ACTIONS(1474),
    [aux_sym_foreach_statement_token1] = ACTIONS(1474),
    [aux_sym_foreach_statement_token2] = ACTIONS(1474),
    [aux_sym_if_statement_token1] = ACTIONS(1474),
    [aux_sym_if_statement_token2] = ACTIONS(1474),
    [aux_sym_else_if_clause_token1] = ACTIONS(1474),
    [aux_sym_else_clause_token1] = ACTIONS(1474),
    [aux_sym_match_expression_token1] = ACTIONS(1474),
    [aux_sym_match_default_expression_token1] = ACTIONS(1474),
    [aux_sym_switch_statement_token1] = ACTIONS(1474),
    [aux_sym_switch_block_token1] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [aux_sym_clone_expression_token1] = ACTIONS(1474),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1474),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1474),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [aux_sym__list_destructing_token1] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1472),
    [anon_sym_self] = ACTIONS(1474),
    [anon_sym_parent] = ACTIONS(1474),
    [aux_sym__argument_name_token1] = ACTIONS(1474),
    [aux_sym__argument_name_token2] = ACTIONS(1474),
    [anon_sym_POUND_LBRACK] = ACTIONS(1472),
    [aux_sym_encapsed_string_token1] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [aux_sym_string_token1] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_LT_LT_LT] = ACTIONS(1472),
    [anon_sym_BQUOTE] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [aux_sym_yield_expression_token1] = ACTIONS(1474),
    [aux_sym_include_expression_token1] = ACTIONS(1474),
    [aux_sym_include_once_expression_token1] = ACTIONS(1474),
    [aux_sym_require_expression_token1] = ACTIONS(1474),
    [aux_sym_require_once_expression_token1] = ACTIONS(1474),
    [sym_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_text_interpolation] = STATE(562),
    [ts_builtin_sym_end] = ACTIONS(1476),
    [sym_name] = ACTIONS(1478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1476),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1478),
    [aux_sym_global_declaration_token1] = ACTIONS(1478),
    [aux_sym_namespace_definition_token1] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1478),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1478),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1478),
    [anon_sym_BSLASH] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [aux_sym_trait_declaration_token1] = ACTIONS(1478),
    [aux_sym_interface_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_case_token1] = ACTIONS(1478),
    [aux_sym_class_declaration_token1] = ACTIONS(1478),
    [aux_sym_final_modifier_token1] = ACTIONS(1478),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1478),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1478),
    [sym_var_modifier] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1478),
    [anon_sym_LPAREN2] = ACTIONS(1476),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1478),
    [aux_sym_cast_type_token1] = ACTIONS(1478),
    [aux_sym_echo_statement_token1] = ACTIONS(1478),
    [aux_sym_exit_statement_token1] = ACTIONS(1478),
    [anon_sym_unset] = ACTIONS(1478),
    [aux_sym_declare_statement_token1] = ACTIONS(1478),
    [aux_sym_declare_statement_token2] = ACTIONS(1478),
    [sym_float] = ACTIONS(1478),
    [aux_sym_try_statement_token1] = ACTIONS(1478),
    [aux_sym_goto_statement_token1] = ACTIONS(1478),
    [aux_sym_continue_statement_token1] = ACTIONS(1478),
    [aux_sym_break_statement_token1] = ACTIONS(1478),
    [sym_integer] = ACTIONS(1478),
    [aux_sym_return_statement_token1] = ACTIONS(1478),
    [aux_sym_throw_expression_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token2] = ACTIONS(1478),
    [aux_sym_do_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token2] = ACTIONS(1478),
    [aux_sym_foreach_statement_token1] = ACTIONS(1478),
    [aux_sym_foreach_statement_token2] = ACTIONS(1478),
    [aux_sym_if_statement_token1] = ACTIONS(1478),
    [aux_sym_if_statement_token2] = ACTIONS(1478),
    [aux_sym_else_if_clause_token1] = ACTIONS(1478),
    [aux_sym_else_clause_token1] = ACTIONS(1478),
    [aux_sym_match_expression_token1] = ACTIONS(1478),
    [aux_sym_match_default_expression_token1] = ACTIONS(1478),
    [aux_sym_switch_statement_token1] = ACTIONS(1478),
    [aux_sym_switch_block_token1] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [aux_sym_clone_expression_token1] = ACTIONS(1478),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1478),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1478),
    [anon_sym_DASH_DASH] = ACTIONS(1476),
    [anon_sym_PLUS_PLUS] = ACTIONS(1476),
    [aux_sym__list_destructing_token1] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_self] = ACTIONS(1478),
    [anon_sym_parent] = ACTIONS(1478),
    [aux_sym__argument_name_token1] = ACTIONS(1478),
    [aux_sym__argument_name_token2] = ACTIONS(1478),
    [anon_sym_POUND_LBRACK] = ACTIONS(1476),
    [aux_sym_encapsed_string_token1] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [aux_sym_string_token1] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_LT_LT_LT] = ACTIONS(1476),
    [anon_sym_BQUOTE] = ACTIONS(1476),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [aux_sym_yield_expression_token1] = ACTIONS(1478),
    [aux_sym_include_expression_token1] = ACTIONS(1478),
    [aux_sym_include_once_expression_token1] = ACTIONS(1478),
    [aux_sym_require_expression_token1] = ACTIONS(1478),
    [aux_sym_require_once_expression_token1] = ACTIONS(1478),
    [sym_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_text_interpolation] = STATE(563),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [sym_name] = ACTIONS(1482),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1482),
    [aux_sym_global_declaration_token1] = ACTIONS(1482),
    [aux_sym_namespace_definition_token1] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1482),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1482),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [aux_sym_trait_declaration_token1] = ACTIONS(1482),
    [aux_sym_interface_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_case_token1] = ACTIONS(1482),
    [aux_sym_class_declaration_token1] = ACTIONS(1482),
    [aux_sym_final_modifier_token1] = ACTIONS(1482),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1482),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1482),
    [sym_var_modifier] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1482),
    [anon_sym_LPAREN2] = ACTIONS(1480),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1482),
    [aux_sym_cast_type_token1] = ACTIONS(1482),
    [aux_sym_echo_statement_token1] = ACTIONS(1482),
    [aux_sym_exit_statement_token1] = ACTIONS(1482),
    [anon_sym_unset] = ACTIONS(1482),
    [aux_sym_declare_statement_token1] = ACTIONS(1482),
    [aux_sym_declare_statement_token2] = ACTIONS(1482),
    [sym_float] = ACTIONS(1482),
    [aux_sym_try_statement_token1] = ACTIONS(1482),
    [aux_sym_goto_statement_token1] = ACTIONS(1482),
    [aux_sym_continue_statement_token1] = ACTIONS(1482),
    [aux_sym_break_statement_token1] = ACTIONS(1482),
    [sym_integer] = ACTIONS(1482),
    [aux_sym_return_statement_token1] = ACTIONS(1482),
    [aux_sym_throw_expression_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token2] = ACTIONS(1482),
    [aux_sym_do_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token2] = ACTIONS(1482),
    [aux_sym_foreach_statement_token1] = ACTIONS(1482),
    [aux_sym_foreach_statement_token2] = ACTIONS(1482),
    [aux_sym_if_statement_token1] = ACTIONS(1482),
    [aux_sym_if_statement_token2] = ACTIONS(1482),
    [aux_sym_else_if_clause_token1] = ACTIONS(1482),
    [aux_sym_else_clause_token1] = ACTIONS(1482),
    [aux_sym_match_expression_token1] = ACTIONS(1482),
    [aux_sym_match_default_expression_token1] = ACTIONS(1482),
    [aux_sym_switch_statement_token1] = ACTIONS(1482),
    [aux_sym_switch_block_token1] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [aux_sym_clone_expression_token1] = ACTIONS(1482),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1482),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1482),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [aux_sym__list_destructing_token1] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_self] = ACTIONS(1482),
    [anon_sym_parent] = ACTIONS(1482),
    [aux_sym__argument_name_token1] = ACTIONS(1482),
    [aux_sym__argument_name_token2] = ACTIONS(1482),
    [anon_sym_POUND_LBRACK] = ACTIONS(1480),
    [aux_sym_encapsed_string_token1] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [aux_sym_string_token1] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_LT_LT_LT] = ACTIONS(1480),
    [anon_sym_BQUOTE] = ACTIONS(1480),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [aux_sym_yield_expression_token1] = ACTIONS(1482),
    [aux_sym_include_expression_token1] = ACTIONS(1482),
    [aux_sym_include_once_expression_token1] = ACTIONS(1482),
    [aux_sym_require_expression_token1] = ACTIONS(1482),
    [aux_sym_require_once_expression_token1] = ACTIONS(1482),
    [sym_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_text_interpolation] = STATE(564),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_name] = ACTIONS(1486),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1486),
    [aux_sym_global_declaration_token1] = ACTIONS(1486),
    [aux_sym_namespace_definition_token1] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1486),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1486),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [aux_sym_trait_declaration_token1] = ACTIONS(1486),
    [aux_sym_interface_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_case_token1] = ACTIONS(1486),
    [aux_sym_class_declaration_token1] = ACTIONS(1486),
    [aux_sym_final_modifier_token1] = ACTIONS(1486),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1486),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1486),
    [sym_var_modifier] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1486),
    [anon_sym_LPAREN2] = ACTIONS(1484),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1486),
    [aux_sym_cast_type_token1] = ACTIONS(1486),
    [aux_sym_echo_statement_token1] = ACTIONS(1486),
    [aux_sym_exit_statement_token1] = ACTIONS(1486),
    [anon_sym_unset] = ACTIONS(1486),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [aux_sym_declare_statement_token2] = ACTIONS(1486),
    [sym_float] = ACTIONS(1486),
    [aux_sym_try_statement_token1] = ACTIONS(1486),
    [aux_sym_goto_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [sym_integer] = ACTIONS(1486),
    [aux_sym_return_statement_token1] = ACTIONS(1486),
    [aux_sym_throw_expression_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token2] = ACTIONS(1486),
    [aux_sym_do_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token2] = ACTIONS(1486),
    [aux_sym_foreach_statement_token1] = ACTIONS(1486),
    [aux_sym_foreach_statement_token2] = ACTIONS(1486),
    [aux_sym_if_statement_token1] = ACTIONS(1486),
    [aux_sym_if_statement_token2] = ACTIONS(1486),
    [aux_sym_else_if_clause_token1] = ACTIONS(1486),
    [aux_sym_else_clause_token1] = ACTIONS(1486),
    [aux_sym_match_expression_token1] = ACTIONS(1486),
    [aux_sym_match_default_expression_token1] = ACTIONS(1486),
    [aux_sym_switch_statement_token1] = ACTIONS(1486),
    [aux_sym_switch_block_token1] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [aux_sym_clone_expression_token1] = ACTIONS(1486),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1486),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1486),
    [anon_sym_DASH_DASH] = ACTIONS(1484),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [aux_sym__list_destructing_token1] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_self] = ACTIONS(1486),
    [anon_sym_parent] = ACTIONS(1486),
    [aux_sym__argument_name_token1] = ACTIONS(1486),
    [aux_sym__argument_name_token2] = ACTIONS(1486),
    [anon_sym_POUND_LBRACK] = ACTIONS(1484),
    [aux_sym_encapsed_string_token1] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [aux_sym_string_token1] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_LT_LT_LT] = ACTIONS(1484),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [aux_sym_yield_expression_token1] = ACTIONS(1486),
    [aux_sym_include_expression_token1] = ACTIONS(1486),
    [aux_sym_include_once_expression_token1] = ACTIONS(1486),
    [aux_sym_require_expression_token1] = ACTIONS(1486),
    [aux_sym_require_once_expression_token1] = ACTIONS(1486),
    [sym_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_text_interpolation] = STATE(565),
    [ts_builtin_sym_end] = ACTIONS(1488),
    [sym_name] = ACTIONS(1490),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1490),
    [aux_sym_global_declaration_token1] = ACTIONS(1490),
    [aux_sym_namespace_definition_token1] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1490),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1490),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1490),
    [anon_sym_BSLASH] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_RBRACE] = ACTIONS(1488),
    [aux_sym_trait_declaration_token1] = ACTIONS(1490),
    [aux_sym_interface_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_case_token1] = ACTIONS(1490),
    [aux_sym_class_declaration_token1] = ACTIONS(1490),
    [aux_sym_final_modifier_token1] = ACTIONS(1490),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1490),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1490),
    [sym_var_modifier] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1490),
    [anon_sym_LPAREN2] = ACTIONS(1488),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1490),
    [aux_sym_cast_type_token1] = ACTIONS(1490),
    [aux_sym_echo_statement_token1] = ACTIONS(1490),
    [aux_sym_exit_statement_token1] = ACTIONS(1490),
    [anon_sym_unset] = ACTIONS(1490),
    [aux_sym_declare_statement_token1] = ACTIONS(1490),
    [aux_sym_declare_statement_token2] = ACTIONS(1490),
    [sym_float] = ACTIONS(1490),
    [aux_sym_try_statement_token1] = ACTIONS(1490),
    [aux_sym_goto_statement_token1] = ACTIONS(1490),
    [aux_sym_continue_statement_token1] = ACTIONS(1490),
    [aux_sym_break_statement_token1] = ACTIONS(1490),
    [sym_integer] = ACTIONS(1490),
    [aux_sym_return_statement_token1] = ACTIONS(1490),
    [aux_sym_throw_expression_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token2] = ACTIONS(1490),
    [aux_sym_do_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token2] = ACTIONS(1490),
    [aux_sym_foreach_statement_token1] = ACTIONS(1490),
    [aux_sym_foreach_statement_token2] = ACTIONS(1490),
    [aux_sym_if_statement_token1] = ACTIONS(1490),
    [aux_sym_if_statement_token2] = ACTIONS(1490),
    [aux_sym_else_if_clause_token1] = ACTIONS(1490),
    [aux_sym_else_clause_token1] = ACTIONS(1490),
    [aux_sym_match_expression_token1] = ACTIONS(1490),
    [aux_sym_match_default_expression_token1] = ACTIONS(1490),
    [aux_sym_switch_statement_token1] = ACTIONS(1490),
    [aux_sym_switch_block_token1] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_AT] = ACTIONS(1488),
    [aux_sym_clone_expression_token1] = ACTIONS(1490),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1490),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1490),
    [anon_sym_DASH_DASH] = ACTIONS(1488),
    [anon_sym_PLUS_PLUS] = ACTIONS(1488),
    [aux_sym__list_destructing_token1] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [anon_sym_self] = ACTIONS(1490),
    [anon_sym_parent] = ACTIONS(1490),
    [aux_sym__argument_name_token1] = ACTIONS(1490),
    [aux_sym__argument_name_token2] = ACTIONS(1490),
    [anon_sym_POUND_LBRACK] = ACTIONS(1488),
    [aux_sym_encapsed_string_token1] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [aux_sym_string_token1] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1488),
    [anon_sym_LT_LT_LT] = ACTIONS(1488),
    [anon_sym_BQUOTE] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1488),
    [aux_sym_yield_expression_token1] = ACTIONS(1490),
    [aux_sym_include_expression_token1] = ACTIONS(1490),
    [aux_sym_include_once_expression_token1] = ACTIONS(1490),
    [aux_sym_require_expression_token1] = ACTIONS(1490),
    [aux_sym_require_once_expression_token1] = ACTIONS(1490),
    [sym_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_text_interpolation] = STATE(566),
    [ts_builtin_sym_end] = ACTIONS(1492),
    [sym_name] = ACTIONS(1494),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1494),
    [aux_sym_global_declaration_token1] = ACTIONS(1494),
    [aux_sym_namespace_definition_token1] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1494),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1494),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1494),
    [anon_sym_BSLASH] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [aux_sym_trait_declaration_token1] = ACTIONS(1494),
    [aux_sym_interface_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_case_token1] = ACTIONS(1494),
    [aux_sym_class_declaration_token1] = ACTIONS(1494),
    [aux_sym_final_modifier_token1] = ACTIONS(1494),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1494),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1494),
    [sym_var_modifier] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1494),
    [anon_sym_LPAREN2] = ACTIONS(1492),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1494),
    [aux_sym_cast_type_token1] = ACTIONS(1494),
    [aux_sym_echo_statement_token1] = ACTIONS(1494),
    [aux_sym_exit_statement_token1] = ACTIONS(1494),
    [anon_sym_unset] = ACTIONS(1494),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [aux_sym_declare_statement_token2] = ACTIONS(1494),
    [sym_float] = ACTIONS(1494),
    [aux_sym_try_statement_token1] = ACTIONS(1494),
    [aux_sym_goto_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [sym_integer] = ACTIONS(1494),
    [aux_sym_return_statement_token1] = ACTIONS(1494),
    [aux_sym_throw_expression_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token2] = ACTIONS(1494),
    [aux_sym_do_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token2] = ACTIONS(1494),
    [aux_sym_foreach_statement_token1] = ACTIONS(1494),
    [aux_sym_foreach_statement_token2] = ACTIONS(1494),
    [aux_sym_if_statement_token1] = ACTIONS(1494),
    [aux_sym_if_statement_token2] = ACTIONS(1494),
    [aux_sym_else_if_clause_token1] = ACTIONS(1494),
    [aux_sym_else_clause_token1] = ACTIONS(1494),
    [aux_sym_match_expression_token1] = ACTIONS(1494),
    [aux_sym_match_default_expression_token1] = ACTIONS(1494),
    [aux_sym_switch_statement_token1] = ACTIONS(1494),
    [aux_sym_switch_block_token1] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(1492),
    [aux_sym_clone_expression_token1] = ACTIONS(1494),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1494),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1494),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [aux_sym__list_destructing_token1] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_self] = ACTIONS(1494),
    [anon_sym_parent] = ACTIONS(1494),
    [aux_sym__argument_name_token1] = ACTIONS(1494),
    [aux_sym__argument_name_token2] = ACTIONS(1494),
    [anon_sym_POUND_LBRACK] = ACTIONS(1492),
    [aux_sym_encapsed_string_token1] = ACTIONS(1492),
    [anon_sym_DQUOTE] = ACTIONS(1492),
    [aux_sym_string_token1] = ACTIONS(1492),
    [anon_sym_SQUOTE] = ACTIONS(1492),
    [anon_sym_LT_LT_LT] = ACTIONS(1492),
    [anon_sym_BQUOTE] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [aux_sym_yield_expression_token1] = ACTIONS(1494),
    [aux_sym_include_expression_token1] = ACTIONS(1494),
    [aux_sym_include_once_expression_token1] = ACTIONS(1494),
    [aux_sym_require_expression_token1] = ACTIONS(1494),
    [aux_sym_require_once_expression_token1] = ACTIONS(1494),
    [sym_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_text_interpolation] = STATE(567),
    [ts_builtin_sym_end] = ACTIONS(1496),
    [sym_name] = ACTIONS(1498),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1498),
    [aux_sym_global_declaration_token1] = ACTIONS(1498),
    [aux_sym_namespace_definition_token1] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1498),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1498),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1498),
    [anon_sym_BSLASH] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1496),
    [anon_sym_RBRACE] = ACTIONS(1496),
    [aux_sym_trait_declaration_token1] = ACTIONS(1498),
    [aux_sym_interface_declaration_token1] = ACTIONS(1498),
    [aux_sym_enum_declaration_token1] = ACTIONS(1498),
    [aux_sym_enum_case_token1] = ACTIONS(1498),
    [aux_sym_class_declaration_token1] = ACTIONS(1498),
    [aux_sym_final_modifier_token1] = ACTIONS(1498),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1498),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1498),
    [sym_var_modifier] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1498),
    [anon_sym_LPAREN2] = ACTIONS(1496),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1498),
    [aux_sym_cast_type_token1] = ACTIONS(1498),
    [aux_sym_echo_statement_token1] = ACTIONS(1498),
    [aux_sym_exit_statement_token1] = ACTIONS(1498),
    [anon_sym_unset] = ACTIONS(1498),
    [aux_sym_declare_statement_token1] = ACTIONS(1498),
    [aux_sym_declare_statement_token2] = ACTIONS(1498),
    [sym_float] = ACTIONS(1498),
    [aux_sym_try_statement_token1] = ACTIONS(1498),
    [aux_sym_goto_statement_token1] = ACTIONS(1498),
    [aux_sym_continue_statement_token1] = ACTIONS(1498),
    [aux_sym_break_statement_token1] = ACTIONS(1498),
    [sym_integer] = ACTIONS(1498),
    [aux_sym_return_statement_token1] = ACTIONS(1498),
    [aux_sym_throw_expression_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token2] = ACTIONS(1498),
    [aux_sym_do_statement_token1] = ACTIONS(1498),
    [aux_sym_for_statement_token1] = ACTIONS(1498),
    [aux_sym_for_statement_token2] = ACTIONS(1498),
    [aux_sym_foreach_statement_token1] = ACTIONS(1498),
    [aux_sym_foreach_statement_token2] = ACTIONS(1498),
    [aux_sym_if_statement_token1] = ACTIONS(1498),
    [aux_sym_if_statement_token2] = ACTIONS(1498),
    [aux_sym_else_if_clause_token1] = ACTIONS(1498),
    [aux_sym_else_clause_token1] = ACTIONS(1498),
    [aux_sym_match_expression_token1] = ACTIONS(1498),
    [aux_sym_match_default_expression_token1] = ACTIONS(1498),
    [aux_sym_switch_statement_token1] = ACTIONS(1498),
    [aux_sym_switch_block_token1] = ACTIONS(1498),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1496),
    [anon_sym_BANG] = ACTIONS(1496),
    [anon_sym_AT] = ACTIONS(1496),
    [aux_sym_clone_expression_token1] = ACTIONS(1498),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1498),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1496),
    [aux_sym__list_destructing_token1] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [anon_sym_self] = ACTIONS(1498),
    [anon_sym_parent] = ACTIONS(1498),
    [aux_sym__argument_name_token1] = ACTIONS(1498),
    [aux_sym__argument_name_token2] = ACTIONS(1498),
    [anon_sym_POUND_LBRACK] = ACTIONS(1496),
    [aux_sym_encapsed_string_token1] = ACTIONS(1496),
    [anon_sym_DQUOTE] = ACTIONS(1496),
    [aux_sym_string_token1] = ACTIONS(1496),
    [anon_sym_SQUOTE] = ACTIONS(1496),
    [anon_sym_LT_LT_LT] = ACTIONS(1496),
    [anon_sym_BQUOTE] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1496),
    [aux_sym_yield_expression_token1] = ACTIONS(1498),
    [aux_sym_include_expression_token1] = ACTIONS(1498),
    [aux_sym_include_once_expression_token1] = ACTIONS(1498),
    [aux_sym_require_expression_token1] = ACTIONS(1498),
    [aux_sym_require_once_expression_token1] = ACTIONS(1498),
    [sym_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_text_interpolation] = STATE(568),
    [ts_builtin_sym_end] = ACTIONS(1500),
    [sym_name] = ACTIONS(1502),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1502),
    [aux_sym_global_declaration_token1] = ACTIONS(1502),
    [aux_sym_namespace_definition_token1] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1502),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1502),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1502),
    [anon_sym_BSLASH] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_RBRACE] = ACTIONS(1500),
    [aux_sym_trait_declaration_token1] = ACTIONS(1502),
    [aux_sym_interface_declaration_token1] = ACTIONS(1502),
    [aux_sym_enum_declaration_token1] = ACTIONS(1502),
    [aux_sym_enum_case_token1] = ACTIONS(1502),
    [aux_sym_class_declaration_token1] = ACTIONS(1502),
    [aux_sym_final_modifier_token1] = ACTIONS(1502),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1502),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1502),
    [sym_var_modifier] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1502),
    [anon_sym_LPAREN2] = ACTIONS(1500),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1502),
    [aux_sym_cast_type_token1] = ACTIONS(1502),
    [aux_sym_echo_statement_token1] = ACTIONS(1502),
    [aux_sym_exit_statement_token1] = ACTIONS(1502),
    [anon_sym_unset] = ACTIONS(1502),
    [aux_sym_declare_statement_token1] = ACTIONS(1502),
    [aux_sym_declare_statement_token2] = ACTIONS(1502),
    [sym_float] = ACTIONS(1502),
    [aux_sym_try_statement_token1] = ACTIONS(1502),
    [aux_sym_goto_statement_token1] = ACTIONS(1502),
    [aux_sym_continue_statement_token1] = ACTIONS(1502),
    [aux_sym_break_statement_token1] = ACTIONS(1502),
    [sym_integer] = ACTIONS(1502),
    [aux_sym_return_statement_token1] = ACTIONS(1502),
    [aux_sym_throw_expression_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token2] = ACTIONS(1502),
    [aux_sym_do_statement_token1] = ACTIONS(1502),
    [aux_sym_for_statement_token1] = ACTIONS(1502),
    [aux_sym_for_statement_token2] = ACTIONS(1502),
    [aux_sym_foreach_statement_token1] = ACTIONS(1502),
    [aux_sym_foreach_statement_token2] = ACTIONS(1502),
    [aux_sym_if_statement_token1] = ACTIONS(1502),
    [aux_sym_if_statement_token2] = ACTIONS(1502),
    [aux_sym_else_if_clause_token1] = ACTIONS(1502),
    [aux_sym_else_clause_token1] = ACTIONS(1502),
    [aux_sym_match_expression_token1] = ACTIONS(1502),
    [aux_sym_match_default_expression_token1] = ACTIONS(1502),
    [aux_sym_switch_statement_token1] = ACTIONS(1502),
    [aux_sym_switch_block_token1] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1500),
    [anon_sym_BANG] = ACTIONS(1500),
    [anon_sym_AT] = ACTIONS(1500),
    [aux_sym_clone_expression_token1] = ACTIONS(1502),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1502),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1502),
    [anon_sym_DASH_DASH] = ACTIONS(1500),
    [anon_sym_PLUS_PLUS] = ACTIONS(1500),
    [aux_sym__list_destructing_token1] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [anon_sym_self] = ACTIONS(1502),
    [anon_sym_parent] = ACTIONS(1502),
    [aux_sym__argument_name_token1] = ACTIONS(1502),
    [aux_sym__argument_name_token2] = ACTIONS(1502),
    [anon_sym_POUND_LBRACK] = ACTIONS(1500),
    [aux_sym_encapsed_string_token1] = ACTIONS(1500),
    [anon_sym_DQUOTE] = ACTIONS(1500),
    [aux_sym_string_token1] = ACTIONS(1500),
    [anon_sym_SQUOTE] = ACTIONS(1500),
    [anon_sym_LT_LT_LT] = ACTIONS(1500),
    [anon_sym_BQUOTE] = ACTIONS(1500),
    [anon_sym_DOLLAR] = ACTIONS(1500),
    [aux_sym_yield_expression_token1] = ACTIONS(1502),
    [aux_sym_include_expression_token1] = ACTIONS(1502),
    [aux_sym_include_once_expression_token1] = ACTIONS(1502),
    [aux_sym_require_expression_token1] = ACTIONS(1502),
    [aux_sym_require_once_expression_token1] = ACTIONS(1502),
    [sym_comment] = ACTIONS(5),
  },
  [569] = {
    [sym_text_interpolation] = STATE(569),
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym_name] = ACTIONS(1506),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1506),
    [aux_sym_global_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_definition_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1506),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1506),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1506),
    [anon_sym_BSLASH] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1504),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [aux_sym_trait_declaration_token1] = ACTIONS(1506),
    [aux_sym_interface_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_case_token1] = ACTIONS(1506),
    [aux_sym_class_declaration_token1] = ACTIONS(1506),
    [aux_sym_final_modifier_token1] = ACTIONS(1506),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1506),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1506),
    [sym_var_modifier] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1506),
    [anon_sym_LPAREN2] = ACTIONS(1504),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1506),
    [aux_sym_cast_type_token1] = ACTIONS(1506),
    [aux_sym_echo_statement_token1] = ACTIONS(1506),
    [aux_sym_exit_statement_token1] = ACTIONS(1506),
    [anon_sym_unset] = ACTIONS(1506),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [aux_sym_declare_statement_token2] = ACTIONS(1506),
    [sym_float] = ACTIONS(1506),
    [aux_sym_try_statement_token1] = ACTIONS(1506),
    [aux_sym_goto_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [sym_integer] = ACTIONS(1506),
    [aux_sym_return_statement_token1] = ACTIONS(1506),
    [aux_sym_throw_expression_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token2] = ACTIONS(1506),
    [aux_sym_do_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token2] = ACTIONS(1506),
    [aux_sym_foreach_statement_token1] = ACTIONS(1506),
    [aux_sym_foreach_statement_token2] = ACTIONS(1506),
    [aux_sym_if_statement_token1] = ACTIONS(1506),
    [aux_sym_if_statement_token2] = ACTIONS(1506),
    [aux_sym_else_if_clause_token1] = ACTIONS(1506),
    [aux_sym_else_clause_token1] = ACTIONS(1506),
    [aux_sym_match_expression_token1] = ACTIONS(1506),
    [aux_sym_match_default_expression_token1] = ACTIONS(1506),
    [aux_sym_switch_statement_token1] = ACTIONS(1506),
    [aux_sym_switch_block_token1] = ACTIONS(1506),
    [anon_sym_PLUS] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_AT] = ACTIONS(1504),
    [aux_sym_clone_expression_token1] = ACTIONS(1506),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1506),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1504),
    [anon_sym_PLUS_PLUS] = ACTIONS(1504),
    [aux_sym__list_destructing_token1] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_self] = ACTIONS(1506),
    [anon_sym_parent] = ACTIONS(1506),
    [aux_sym__argument_name_token1] = ACTIONS(1506),
    [aux_sym__argument_name_token2] = ACTIONS(1506),
    [anon_sym_POUND_LBRACK] = ACTIONS(1504),
    [aux_sym_encapsed_string_token1] = ACTIONS(1504),
    [anon_sym_DQUOTE] = ACTIONS(1504),
    [aux_sym_string_token1] = ACTIONS(1504),
    [anon_sym_SQUOTE] = ACTIONS(1504),
    [anon_sym_LT_LT_LT] = ACTIONS(1504),
    [anon_sym_BQUOTE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1504),
    [aux_sym_yield_expression_token1] = ACTIONS(1506),
    [aux_sym_include_expression_token1] = ACTIONS(1506),
    [aux_sym_include_once_expression_token1] = ACTIONS(1506),
    [aux_sym_require_expression_token1] = ACTIONS(1506),
    [aux_sym_require_once_expression_token1] = ACTIONS(1506),
    [sym_comment] = ACTIONS(5),
  },
  [570] = {
    [sym_text_interpolation] = STATE(570),
    [ts_builtin_sym_end] = ACTIONS(1508),
    [sym_name] = ACTIONS(1510),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1510),
    [aux_sym_global_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_definition_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1510),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1510),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1510),
    [anon_sym_BSLASH] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1508),
    [anon_sym_RBRACE] = ACTIONS(1508),
    [aux_sym_trait_declaration_token1] = ACTIONS(1510),
    [aux_sym_interface_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_case_token1] = ACTIONS(1510),
    [aux_sym_class_declaration_token1] = ACTIONS(1510),
    [aux_sym_final_modifier_token1] = ACTIONS(1510),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1510),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1510),
    [sym_var_modifier] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1510),
    [anon_sym_LPAREN2] = ACTIONS(1508),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1510),
    [aux_sym_cast_type_token1] = ACTIONS(1510),
    [aux_sym_echo_statement_token1] = ACTIONS(1510),
    [aux_sym_exit_statement_token1] = ACTIONS(1510),
    [anon_sym_unset] = ACTIONS(1510),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [aux_sym_declare_statement_token2] = ACTIONS(1510),
    [sym_float] = ACTIONS(1510),
    [aux_sym_try_statement_token1] = ACTIONS(1510),
    [aux_sym_goto_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [sym_integer] = ACTIONS(1510),
    [aux_sym_return_statement_token1] = ACTIONS(1510),
    [aux_sym_throw_expression_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token2] = ACTIONS(1510),
    [aux_sym_do_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token2] = ACTIONS(1510),
    [aux_sym_foreach_statement_token1] = ACTIONS(1510),
    [aux_sym_foreach_statement_token2] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token2] = ACTIONS(1510),
    [aux_sym_else_if_clause_token1] = ACTIONS(1510),
    [aux_sym_else_clause_token1] = ACTIONS(1510),
    [aux_sym_match_expression_token1] = ACTIONS(1510),
    [aux_sym_match_default_expression_token1] = ACTIONS(1510),
    [aux_sym_switch_statement_token1] = ACTIONS(1510),
    [aux_sym_switch_block_token1] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1508),
    [anon_sym_BANG] = ACTIONS(1508),
    [anon_sym_AT] = ACTIONS(1508),
    [aux_sym_clone_expression_token1] = ACTIONS(1510),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1510),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [aux_sym__list_destructing_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_self] = ACTIONS(1510),
    [anon_sym_parent] = ACTIONS(1510),
    [aux_sym__argument_name_token1] = ACTIONS(1510),
    [aux_sym__argument_name_token2] = ACTIONS(1510),
    [anon_sym_POUND_LBRACK] = ACTIONS(1508),
    [aux_sym_encapsed_string_token1] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1508),
    [aux_sym_string_token1] = ACTIONS(1508),
    [anon_sym_SQUOTE] = ACTIONS(1508),
    [anon_sym_LT_LT_LT] = ACTIONS(1508),
    [anon_sym_BQUOTE] = ACTIONS(1508),
    [anon_sym_DOLLAR] = ACTIONS(1508),
    [aux_sym_yield_expression_token1] = ACTIONS(1510),
    [aux_sym_include_expression_token1] = ACTIONS(1510),
    [aux_sym_include_once_expression_token1] = ACTIONS(1510),
    [aux_sym_require_expression_token1] = ACTIONS(1510),
    [aux_sym_require_once_expression_token1] = ACTIONS(1510),
    [sym_comment] = ACTIONS(5),
  },
  [571] = {
    [sym_text_interpolation] = STATE(571),
    [ts_builtin_sym_end] = ACTIONS(1512),
    [sym_name] = ACTIONS(1514),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1512),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1514),
    [aux_sym_global_declaration_token1] = ACTIONS(1514),
    [aux_sym_namespace_definition_token1] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1514),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1514),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1514),
    [anon_sym_BSLASH] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym_RBRACE] = ACTIONS(1512),
    [aux_sym_trait_declaration_token1] = ACTIONS(1514),
    [aux_sym_interface_declaration_token1] = ACTIONS(1514),
    [aux_sym_enum_declaration_token1] = ACTIONS(1514),
    [aux_sym_enum_case_token1] = ACTIONS(1514),
    [aux_sym_class_declaration_token1] = ACTIONS(1514),
    [aux_sym_final_modifier_token1] = ACTIONS(1514),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1514),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1514),
    [sym_var_modifier] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1514),
    [anon_sym_LPAREN2] = ACTIONS(1512),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1514),
    [aux_sym_cast_type_token1] = ACTIONS(1514),
    [aux_sym_echo_statement_token1] = ACTIONS(1514),
    [aux_sym_exit_statement_token1] = ACTIONS(1514),
    [anon_sym_unset] = ACTIONS(1514),
    [aux_sym_declare_statement_token1] = ACTIONS(1514),
    [aux_sym_declare_statement_token2] = ACTIONS(1514),
    [sym_float] = ACTIONS(1514),
    [aux_sym_try_statement_token1] = ACTIONS(1514),
    [aux_sym_goto_statement_token1] = ACTIONS(1514),
    [aux_sym_continue_statement_token1] = ACTIONS(1514),
    [aux_sym_break_statement_token1] = ACTIONS(1514),
    [sym_integer] = ACTIONS(1514),
    [aux_sym_return_statement_token1] = ACTIONS(1514),
    [aux_sym_throw_expression_token1] = ACTIONS(1514),
    [aux_sym_while_statement_token1] = ACTIONS(1514),
    [aux_sym_while_statement_token2] = ACTIONS(1514),
    [aux_sym_do_statement_token1] = ACTIONS(1514),
    [aux_sym_for_statement_token1] = ACTIONS(1514),
    [aux_sym_for_statement_token2] = ACTIONS(1514),
    [aux_sym_foreach_statement_token1] = ACTIONS(1514),
    [aux_sym_foreach_statement_token2] = ACTIONS(1514),
    [aux_sym_if_statement_token1] = ACTIONS(1514),
    [aux_sym_if_statement_token2] = ACTIONS(1514),
    [aux_sym_else_if_clause_token1] = ACTIONS(1514),
    [aux_sym_else_clause_token1] = ACTIONS(1514),
    [aux_sym_match_expression_token1] = ACTIONS(1514),
    [aux_sym_match_default_expression_token1] = ACTIONS(1514),
    [aux_sym_switch_statement_token1] = ACTIONS(1514),
    [aux_sym_switch_block_token1] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1512),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_AT] = ACTIONS(1512),
    [aux_sym_clone_expression_token1] = ACTIONS(1514),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1514),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1514),
    [anon_sym_DASH_DASH] = ACTIONS(1512),
    [anon_sym_PLUS_PLUS] = ACTIONS(1512),
    [aux_sym__list_destructing_token1] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_self] = ACTIONS(1514),
    [anon_sym_parent] = ACTIONS(1514),
    [aux_sym__argument_name_token1] = ACTIONS(1514),
    [aux_sym__argument_name_token2] = ACTIONS(1514),
    [anon_sym_POUND_LBRACK] = ACTIONS(1512),
    [aux_sym_encapsed_string_token1] = ACTIONS(1512),
    [anon_sym_DQUOTE] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_LT_LT_LT] = ACTIONS(1512),
    [anon_sym_BQUOTE] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [aux_sym_yield_expression_token1] = ACTIONS(1514),
    [aux_sym_include_expression_token1] = ACTIONS(1514),
    [aux_sym_include_once_expression_token1] = ACTIONS(1514),
    [aux_sym_require_expression_token1] = ACTIONS(1514),
    [aux_sym_require_once_expression_token1] = ACTIONS(1514),
    [sym_comment] = ACTIONS(5),
  },
  [572] = {
    [sym_text_interpolation] = STATE(572),
    [ts_builtin_sym_end] = ACTIONS(1516),
    [sym_name] = ACTIONS(1518),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1518),
    [aux_sym_global_declaration_token1] = ACTIONS(1518),
    [aux_sym_namespace_definition_token1] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1518),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1518),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1518),
    [anon_sym_BSLASH] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym_RBRACE] = ACTIONS(1516),
    [aux_sym_trait_declaration_token1] = ACTIONS(1518),
    [aux_sym_interface_declaration_token1] = ACTIONS(1518),
    [aux_sym_enum_declaration_token1] = ACTIONS(1518),
    [aux_sym_enum_case_token1] = ACTIONS(1518),
    [aux_sym_class_declaration_token1] = ACTIONS(1518),
    [aux_sym_final_modifier_token1] = ACTIONS(1518),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1518),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1518),
    [sym_var_modifier] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1518),
    [anon_sym_LPAREN2] = ACTIONS(1516),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1518),
    [aux_sym_cast_type_token1] = ACTIONS(1518),
    [aux_sym_echo_statement_token1] = ACTIONS(1518),
    [aux_sym_exit_statement_token1] = ACTIONS(1518),
    [anon_sym_unset] = ACTIONS(1518),
    [aux_sym_declare_statement_token1] = ACTIONS(1518),
    [aux_sym_declare_statement_token2] = ACTIONS(1518),
    [sym_float] = ACTIONS(1518),
    [aux_sym_try_statement_token1] = ACTIONS(1518),
    [aux_sym_goto_statement_token1] = ACTIONS(1518),
    [aux_sym_continue_statement_token1] = ACTIONS(1518),
    [aux_sym_break_statement_token1] = ACTIONS(1518),
    [sym_integer] = ACTIONS(1518),
    [aux_sym_return_statement_token1] = ACTIONS(1518),
    [aux_sym_throw_expression_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token2] = ACTIONS(1518),
    [aux_sym_do_statement_token1] = ACTIONS(1518),
    [aux_sym_for_statement_token1] = ACTIONS(1518),
    [aux_sym_for_statement_token2] = ACTIONS(1518),
    [aux_sym_foreach_statement_token1] = ACTIONS(1518),
    [aux_sym_foreach_statement_token2] = ACTIONS(1518),
    [aux_sym_if_statement_token1] = ACTIONS(1518),
    [aux_sym_if_statement_token2] = ACTIONS(1518),
    [aux_sym_else_if_clause_token1] = ACTIONS(1518),
    [aux_sym_else_clause_token1] = ACTIONS(1518),
    [aux_sym_match_expression_token1] = ACTIONS(1518),
    [aux_sym_match_default_expression_token1] = ACTIONS(1518),
    [aux_sym_switch_statement_token1] = ACTIONS(1518),
    [aux_sym_switch_block_token1] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1516),
    [aux_sym_clone_expression_token1] = ACTIONS(1518),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1518),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [aux_sym__list_destructing_token1] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_self] = ACTIONS(1518),
    [anon_sym_parent] = ACTIONS(1518),
    [aux_sym__argument_name_token1] = ACTIONS(1518),
    [aux_sym__argument_name_token2] = ACTIONS(1518),
    [anon_sym_POUND_LBRACK] = ACTIONS(1516),
    [aux_sym_encapsed_string_token1] = ACTIONS(1516),
    [anon_sym_DQUOTE] = ACTIONS(1516),
    [aux_sym_string_token1] = ACTIONS(1516),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [anon_sym_LT_LT_LT] = ACTIONS(1516),
    [anon_sym_BQUOTE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1516),
    [aux_sym_yield_expression_token1] = ACTIONS(1518),
    [aux_sym_include_expression_token1] = ACTIONS(1518),
    [aux_sym_include_once_expression_token1] = ACTIONS(1518),
    [aux_sym_require_expression_token1] = ACTIONS(1518),
    [aux_sym_require_once_expression_token1] = ACTIONS(1518),
    [sym_comment] = ACTIONS(5),
  },
  [573] = {
    [sym_text_interpolation] = STATE(573),
    [ts_builtin_sym_end] = ACTIONS(1520),
    [sym_name] = ACTIONS(1522),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1520),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1522),
    [aux_sym_global_declaration_token1] = ACTIONS(1522),
    [aux_sym_namespace_definition_token1] = ACTIONS(1522),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1522),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1522),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1522),
    [anon_sym_BSLASH] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1520),
    [anon_sym_RBRACE] = ACTIONS(1520),
    [aux_sym_trait_declaration_token1] = ACTIONS(1522),
    [aux_sym_interface_declaration_token1] = ACTIONS(1522),
    [aux_sym_enum_declaration_token1] = ACTIONS(1522),
    [aux_sym_enum_case_token1] = ACTIONS(1522),
    [aux_sym_class_declaration_token1] = ACTIONS(1522),
    [aux_sym_final_modifier_token1] = ACTIONS(1522),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1522),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1522),
    [sym_var_modifier] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1522),
    [anon_sym_LPAREN2] = ACTIONS(1520),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1522),
    [aux_sym_cast_type_token1] = ACTIONS(1522),
    [aux_sym_echo_statement_token1] = ACTIONS(1522),
    [aux_sym_exit_statement_token1] = ACTIONS(1522),
    [anon_sym_unset] = ACTIONS(1522),
    [aux_sym_declare_statement_token1] = ACTIONS(1522),
    [aux_sym_declare_statement_token2] = ACTIONS(1522),
    [sym_float] = ACTIONS(1522),
    [aux_sym_try_statement_token1] = ACTIONS(1522),
    [aux_sym_goto_statement_token1] = ACTIONS(1522),
    [aux_sym_continue_statement_token1] = ACTIONS(1522),
    [aux_sym_break_statement_token1] = ACTIONS(1522),
    [sym_integer] = ACTIONS(1522),
    [aux_sym_return_statement_token1] = ACTIONS(1522),
    [aux_sym_throw_expression_token1] = ACTIONS(1522),
    [aux_sym_while_statement_token1] = ACTIONS(1522),
    [aux_sym_while_statement_token2] = ACTIONS(1522),
    [aux_sym_do_statement_token1] = ACTIONS(1522),
    [aux_sym_for_statement_token1] = ACTIONS(1522),
    [aux_sym_for_statement_token2] = ACTIONS(1522),
    [aux_sym_foreach_statement_token1] = ACTIONS(1522),
    [aux_sym_foreach_statement_token2] = ACTIONS(1522),
    [aux_sym_if_statement_token1] = ACTIONS(1522),
    [aux_sym_if_statement_token2] = ACTIONS(1522),
    [aux_sym_else_if_clause_token1] = ACTIONS(1522),
    [aux_sym_else_clause_token1] = ACTIONS(1522),
    [aux_sym_match_expression_token1] = ACTIONS(1522),
    [aux_sym_match_default_expression_token1] = ACTIONS(1522),
    [aux_sym_switch_statement_token1] = ACTIONS(1522),
    [aux_sym_switch_block_token1] = ACTIONS(1522),
    [anon_sym_PLUS] = ACTIONS(1522),
    [anon_sym_DASH] = ACTIONS(1522),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_AT] = ACTIONS(1520),
    [aux_sym_clone_expression_token1] = ACTIONS(1522),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1522),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1520),
    [anon_sym_PLUS_PLUS] = ACTIONS(1520),
    [aux_sym__list_destructing_token1] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1520),
    [anon_sym_self] = ACTIONS(1522),
    [anon_sym_parent] = ACTIONS(1522),
    [aux_sym__argument_name_token1] = ACTIONS(1522),
    [aux_sym__argument_name_token2] = ACTIONS(1522),
    [anon_sym_POUND_LBRACK] = ACTIONS(1520),
    [aux_sym_encapsed_string_token1] = ACTIONS(1520),
    [anon_sym_DQUOTE] = ACTIONS(1520),
    [aux_sym_string_token1] = ACTIONS(1520),
    [anon_sym_SQUOTE] = ACTIONS(1520),
    [anon_sym_LT_LT_LT] = ACTIONS(1520),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1520),
    [aux_sym_yield_expression_token1] = ACTIONS(1522),
    [aux_sym_include_expression_token1] = ACTIONS(1522),
    [aux_sym_include_once_expression_token1] = ACTIONS(1522),
    [aux_sym_require_expression_token1] = ACTIONS(1522),
    [aux_sym_require_once_expression_token1] = ACTIONS(1522),
    [sym_comment] = ACTIONS(5),
  },
  [574] = {
    [sym_text_interpolation] = STATE(574),
    [ts_builtin_sym_end] = ACTIONS(1524),
    [sym_name] = ACTIONS(1526),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1524),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1526),
    [aux_sym_global_declaration_token1] = ACTIONS(1526),
    [aux_sym_namespace_definition_token1] = ACTIONS(1526),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1526),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1526),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1526),
    [anon_sym_BSLASH] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_RBRACE] = ACTIONS(1524),
    [aux_sym_trait_declaration_token1] = ACTIONS(1526),
    [aux_sym_interface_declaration_token1] = ACTIONS(1526),
    [aux_sym_enum_declaration_token1] = ACTIONS(1526),
    [aux_sym_enum_case_token1] = ACTIONS(1526),
    [aux_sym_class_declaration_token1] = ACTIONS(1526),
    [aux_sym_final_modifier_token1] = ACTIONS(1526),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1526),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1526),
    [sym_var_modifier] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1526),
    [anon_sym_LPAREN2] = ACTIONS(1524),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1526),
    [aux_sym_cast_type_token1] = ACTIONS(1526),
    [aux_sym_echo_statement_token1] = ACTIONS(1526),
    [aux_sym_exit_statement_token1] = ACTIONS(1526),
    [anon_sym_unset] = ACTIONS(1526),
    [aux_sym_declare_statement_token1] = ACTIONS(1526),
    [aux_sym_declare_statement_token2] = ACTIONS(1526),
    [sym_float] = ACTIONS(1526),
    [aux_sym_try_statement_token1] = ACTIONS(1526),
    [aux_sym_goto_statement_token1] = ACTIONS(1526),
    [aux_sym_continue_statement_token1] = ACTIONS(1526),
    [aux_sym_break_statement_token1] = ACTIONS(1526),
    [sym_integer] = ACTIONS(1526),
    [aux_sym_return_statement_token1] = ACTIONS(1526),
    [aux_sym_throw_expression_token1] = ACTIONS(1526),
    [aux_sym_while_statement_token1] = ACTIONS(1526),
    [aux_sym_while_statement_token2] = ACTIONS(1526),
    [aux_sym_do_statement_token1] = ACTIONS(1526),
    [aux_sym_for_statement_token1] = ACTIONS(1526),
    [aux_sym_for_statement_token2] = ACTIONS(1526),
    [aux_sym_foreach_statement_token1] = ACTIONS(1526),
    [aux_sym_foreach_statement_token2] = ACTIONS(1526),
    [aux_sym_if_statement_token1] = ACTIONS(1526),
    [aux_sym_if_statement_token2] = ACTIONS(1526),
    [aux_sym_else_if_clause_token1] = ACTIONS(1526),
    [aux_sym_else_clause_token1] = ACTIONS(1526),
    [aux_sym_match_expression_token1] = ACTIONS(1526),
    [aux_sym_match_default_expression_token1] = ACTIONS(1526),
    [aux_sym_switch_statement_token1] = ACTIONS(1526),
    [aux_sym_switch_block_token1] = ACTIONS(1526),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_TILDE] = ACTIONS(1524),
    [anon_sym_BANG] = ACTIONS(1524),
    [anon_sym_AT] = ACTIONS(1524),
    [aux_sym_clone_expression_token1] = ACTIONS(1526),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1526),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1524),
    [anon_sym_PLUS_PLUS] = ACTIONS(1524),
    [aux_sym__list_destructing_token1] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_self] = ACTIONS(1526),
    [anon_sym_parent] = ACTIONS(1526),
    [aux_sym__argument_name_token1] = ACTIONS(1526),
    [aux_sym__argument_name_token2] = ACTIONS(1526),
    [anon_sym_POUND_LBRACK] = ACTIONS(1524),
    [aux_sym_encapsed_string_token1] = ACTIONS(1524),
    [anon_sym_DQUOTE] = ACTIONS(1524),
    [aux_sym_string_token1] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1524),
    [anon_sym_LT_LT_LT] = ACTIONS(1524),
    [anon_sym_BQUOTE] = ACTIONS(1524),
    [anon_sym_DOLLAR] = ACTIONS(1524),
    [aux_sym_yield_expression_token1] = ACTIONS(1526),
    [aux_sym_include_expression_token1] = ACTIONS(1526),
    [aux_sym_include_once_expression_token1] = ACTIONS(1526),
    [aux_sym_require_expression_token1] = ACTIONS(1526),
    [aux_sym_require_once_expression_token1] = ACTIONS(1526),
    [sym_comment] = ACTIONS(5),
  },
  [575] = {
    [sym_text_interpolation] = STATE(575),
    [ts_builtin_sym_end] = ACTIONS(1528),
    [sym_name] = ACTIONS(1530),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1528),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1530),
    [aux_sym_global_declaration_token1] = ACTIONS(1530),
    [aux_sym_namespace_definition_token1] = ACTIONS(1530),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1530),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1530),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1530),
    [anon_sym_BSLASH] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(1528),
    [aux_sym_trait_declaration_token1] = ACTIONS(1530),
    [aux_sym_interface_declaration_token1] = ACTIONS(1530),
    [aux_sym_enum_declaration_token1] = ACTIONS(1530),
    [aux_sym_enum_case_token1] = ACTIONS(1530),
    [aux_sym_class_declaration_token1] = ACTIONS(1530),
    [aux_sym_final_modifier_token1] = ACTIONS(1530),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1530),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1530),
    [sym_var_modifier] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1530),
    [anon_sym_LPAREN2] = ACTIONS(1528),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1530),
    [aux_sym_cast_type_token1] = ACTIONS(1530),
    [aux_sym_echo_statement_token1] = ACTIONS(1530),
    [aux_sym_exit_statement_token1] = ACTIONS(1530),
    [anon_sym_unset] = ACTIONS(1530),
    [aux_sym_declare_statement_token1] = ACTIONS(1530),
    [aux_sym_declare_statement_token2] = ACTIONS(1530),
    [sym_float] = ACTIONS(1530),
    [aux_sym_try_statement_token1] = ACTIONS(1530),
    [aux_sym_goto_statement_token1] = ACTIONS(1530),
    [aux_sym_continue_statement_token1] = ACTIONS(1530),
    [aux_sym_break_statement_token1] = ACTIONS(1530),
    [sym_integer] = ACTIONS(1530),
    [aux_sym_return_statement_token1] = ACTIONS(1530),
    [aux_sym_throw_expression_token1] = ACTIONS(1530),
    [aux_sym_while_statement_token1] = ACTIONS(1530),
    [aux_sym_while_statement_token2] = ACTIONS(1530),
    [aux_sym_do_statement_token1] = ACTIONS(1530),
    [aux_sym_for_statement_token1] = ACTIONS(1530),
    [aux_sym_for_statement_token2] = ACTIONS(1530),
    [aux_sym_foreach_statement_token1] = ACTIONS(1530),
    [aux_sym_foreach_statement_token2] = ACTIONS(1530),
    [aux_sym_if_statement_token1] = ACTIONS(1530),
    [aux_sym_if_statement_token2] = ACTIONS(1530),
    [aux_sym_else_if_clause_token1] = ACTIONS(1530),
    [aux_sym_else_clause_token1] = ACTIONS(1530),
    [aux_sym_match_expression_token1] = ACTIONS(1530),
    [aux_sym_match_default_expression_token1] = ACTIONS(1530),
    [aux_sym_switch_statement_token1] = ACTIONS(1530),
    [aux_sym_switch_block_token1] = ACTIONS(1530),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1530),
    [anon_sym_TILDE] = ACTIONS(1528),
    [anon_sym_BANG] = ACTIONS(1528),
    [anon_sym_AT] = ACTIONS(1528),
    [aux_sym_clone_expression_token1] = ACTIONS(1530),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1530),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1530),
    [anon_sym_DASH_DASH] = ACTIONS(1528),
    [anon_sym_PLUS_PLUS] = ACTIONS(1528),
    [aux_sym__list_destructing_token1] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(1528),
    [anon_sym_self] = ACTIONS(1530),
    [anon_sym_parent] = ACTIONS(1530),
    [aux_sym__argument_name_token1] = ACTIONS(1530),
    [aux_sym__argument_name_token2] = ACTIONS(1530),
    [anon_sym_POUND_LBRACK] = ACTIONS(1528),
    [aux_sym_encapsed_string_token1] = ACTIONS(1528),
    [anon_sym_DQUOTE] = ACTIONS(1528),
    [aux_sym_string_token1] = ACTIONS(1528),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [anon_sym_LT_LT_LT] = ACTIONS(1528),
    [anon_sym_BQUOTE] = ACTIONS(1528),
    [anon_sym_DOLLAR] = ACTIONS(1528),
    [aux_sym_yield_expression_token1] = ACTIONS(1530),
    [aux_sym_include_expression_token1] = ACTIONS(1530),
    [aux_sym_include_once_expression_token1] = ACTIONS(1530),
    [aux_sym_require_expression_token1] = ACTIONS(1530),
    [aux_sym_require_once_expression_token1] = ACTIONS(1530),
    [sym_comment] = ACTIONS(5),
  },
  [576] = {
    [sym_text_interpolation] = STATE(576),
    [ts_builtin_sym_end] = ACTIONS(1532),
    [sym_name] = ACTIONS(1534),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1532),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1534),
    [aux_sym_global_declaration_token1] = ACTIONS(1534),
    [aux_sym_namespace_definition_token1] = ACTIONS(1534),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1534),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1534),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1534),
    [anon_sym_BSLASH] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1532),
    [anon_sym_RBRACE] = ACTIONS(1532),
    [aux_sym_trait_declaration_token1] = ACTIONS(1534),
    [aux_sym_interface_declaration_token1] = ACTIONS(1534),
    [aux_sym_enum_declaration_token1] = ACTIONS(1534),
    [aux_sym_enum_case_token1] = ACTIONS(1534),
    [aux_sym_class_declaration_token1] = ACTIONS(1534),
    [aux_sym_final_modifier_token1] = ACTIONS(1534),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1534),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1534),
    [sym_var_modifier] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1534),
    [anon_sym_LPAREN2] = ACTIONS(1532),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1534),
    [aux_sym_cast_type_token1] = ACTIONS(1534),
    [aux_sym_echo_statement_token1] = ACTIONS(1534),
    [aux_sym_exit_statement_token1] = ACTIONS(1534),
    [anon_sym_unset] = ACTIONS(1534),
    [aux_sym_declare_statement_token1] = ACTIONS(1534),
    [aux_sym_declare_statement_token2] = ACTIONS(1534),
    [sym_float] = ACTIONS(1534),
    [aux_sym_try_statement_token1] = ACTIONS(1534),
    [aux_sym_goto_statement_token1] = ACTIONS(1534),
    [aux_sym_continue_statement_token1] = ACTIONS(1534),
    [aux_sym_break_statement_token1] = ACTIONS(1534),
    [sym_integer] = ACTIONS(1534),
    [aux_sym_return_statement_token1] = ACTIONS(1534),
    [aux_sym_throw_expression_token1] = ACTIONS(1534),
    [aux_sym_while_statement_token1] = ACTIONS(1534),
    [aux_sym_while_statement_token2] = ACTIONS(1534),
    [aux_sym_do_statement_token1] = ACTIONS(1534),
    [aux_sym_for_statement_token1] = ACTIONS(1534),
    [aux_sym_for_statement_token2] = ACTIONS(1534),
    [aux_sym_foreach_statement_token1] = ACTIONS(1534),
    [aux_sym_foreach_statement_token2] = ACTIONS(1534),
    [aux_sym_if_statement_token1] = ACTIONS(1534),
    [aux_sym_if_statement_token2] = ACTIONS(1534),
    [aux_sym_else_if_clause_token1] = ACTIONS(1534),
    [aux_sym_else_clause_token1] = ACTIONS(1534),
    [aux_sym_match_expression_token1] = ACTIONS(1534),
    [aux_sym_match_default_expression_token1] = ACTIONS(1534),
    [aux_sym_switch_statement_token1] = ACTIONS(1534),
    [aux_sym_switch_block_token1] = ACTIONS(1534),
    [anon_sym_PLUS] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1532),
    [anon_sym_BANG] = ACTIONS(1532),
    [anon_sym_AT] = ACTIONS(1532),
    [aux_sym_clone_expression_token1] = ACTIONS(1534),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1534),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1534),
    [anon_sym_DASH_DASH] = ACTIONS(1532),
    [anon_sym_PLUS_PLUS] = ACTIONS(1532),
    [aux_sym__list_destructing_token1] = ACTIONS(1534),
    [anon_sym_LBRACK] = ACTIONS(1532),
    [anon_sym_self] = ACTIONS(1534),
    [anon_sym_parent] = ACTIONS(1534),
    [aux_sym__argument_name_token1] = ACTIONS(1534),
    [aux_sym__argument_name_token2] = ACTIONS(1534),
    [anon_sym_POUND_LBRACK] = ACTIONS(1532),
    [aux_sym_encapsed_string_token1] = ACTIONS(1532),
    [anon_sym_DQUOTE] = ACTIONS(1532),
    [aux_sym_string_token1] = ACTIONS(1532),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [anon_sym_LT_LT_LT] = ACTIONS(1532),
    [anon_sym_BQUOTE] = ACTIONS(1532),
    [anon_sym_DOLLAR] = ACTIONS(1532),
    [aux_sym_yield_expression_token1] = ACTIONS(1534),
    [aux_sym_include_expression_token1] = ACTIONS(1534),
    [aux_sym_include_once_expression_token1] = ACTIONS(1534),
    [aux_sym_require_expression_token1] = ACTIONS(1534),
    [aux_sym_require_once_expression_token1] = ACTIONS(1534),
    [sym_comment] = ACTIONS(5),
  },
  [577] = {
    [sym_text_interpolation] = STATE(577),
    [ts_builtin_sym_end] = ACTIONS(1536),
    [sym_name] = ACTIONS(1538),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1536),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1538),
    [aux_sym_global_declaration_token1] = ACTIONS(1538),
    [aux_sym_namespace_definition_token1] = ACTIONS(1538),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1538),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1538),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1538),
    [anon_sym_BSLASH] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [aux_sym_trait_declaration_token1] = ACTIONS(1538),
    [aux_sym_interface_declaration_token1] = ACTIONS(1538),
    [aux_sym_enum_declaration_token1] = ACTIONS(1538),
    [aux_sym_enum_case_token1] = ACTIONS(1538),
    [aux_sym_class_declaration_token1] = ACTIONS(1538),
    [aux_sym_final_modifier_token1] = ACTIONS(1538),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1538),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1538),
    [sym_var_modifier] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1538),
    [anon_sym_LPAREN2] = ACTIONS(1536),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1538),
    [aux_sym_cast_type_token1] = ACTIONS(1538),
    [aux_sym_echo_statement_token1] = ACTIONS(1538),
    [aux_sym_exit_statement_token1] = ACTIONS(1538),
    [anon_sym_unset] = ACTIONS(1538),
    [aux_sym_declare_statement_token1] = ACTIONS(1538),
    [aux_sym_declare_statement_token2] = ACTIONS(1538),
    [sym_float] = ACTIONS(1538),
    [aux_sym_try_statement_token1] = ACTIONS(1538),
    [aux_sym_goto_statement_token1] = ACTIONS(1538),
    [aux_sym_continue_statement_token1] = ACTIONS(1538),
    [aux_sym_break_statement_token1] = ACTIONS(1538),
    [sym_integer] = ACTIONS(1538),
    [aux_sym_return_statement_token1] = ACTIONS(1538),
    [aux_sym_throw_expression_token1] = ACTIONS(1538),
    [aux_sym_while_statement_token1] = ACTIONS(1538),
    [aux_sym_while_statement_token2] = ACTIONS(1538),
    [aux_sym_do_statement_token1] = ACTIONS(1538),
    [aux_sym_for_statement_token1] = ACTIONS(1538),
    [aux_sym_for_statement_token2] = ACTIONS(1538),
    [aux_sym_foreach_statement_token1] = ACTIONS(1538),
    [aux_sym_foreach_statement_token2] = ACTIONS(1538),
    [aux_sym_if_statement_token1] = ACTIONS(1538),
    [aux_sym_if_statement_token2] = ACTIONS(1538),
    [aux_sym_else_if_clause_token1] = ACTIONS(1538),
    [aux_sym_else_clause_token1] = ACTIONS(1538),
    [aux_sym_match_expression_token1] = ACTIONS(1538),
    [aux_sym_match_default_expression_token1] = ACTIONS(1538),
    [aux_sym_switch_statement_token1] = ACTIONS(1538),
    [aux_sym_switch_block_token1] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_AT] = ACTIONS(1536),
    [aux_sym_clone_expression_token1] = ACTIONS(1538),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1538),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1538),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [aux_sym__list_destructing_token1] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_self] = ACTIONS(1538),
    [anon_sym_parent] = ACTIONS(1538),
    [aux_sym__argument_name_token1] = ACTIONS(1538),
    [aux_sym__argument_name_token2] = ACTIONS(1538),
    [anon_sym_POUND_LBRACK] = ACTIONS(1536),
    [aux_sym_encapsed_string_token1] = ACTIONS(1536),
    [anon_sym_DQUOTE] = ACTIONS(1536),
    [aux_sym_string_token1] = ACTIONS(1536),
    [anon_sym_SQUOTE] = ACTIONS(1536),
    [anon_sym_LT_LT_LT] = ACTIONS(1536),
    [anon_sym_BQUOTE] = ACTIONS(1536),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [aux_sym_yield_expression_token1] = ACTIONS(1538),
    [aux_sym_include_expression_token1] = ACTIONS(1538),
    [aux_sym_include_once_expression_token1] = ACTIONS(1538),
    [aux_sym_require_expression_token1] = ACTIONS(1538),
    [aux_sym_require_once_expression_token1] = ACTIONS(1538),
    [sym_comment] = ACTIONS(5),
  },
  [578] = {
    [sym_text_interpolation] = STATE(578),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym_name] = ACTIONS(1542),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1542),
    [aux_sym_global_declaration_token1] = ACTIONS(1542),
    [aux_sym_namespace_definition_token1] = ACTIONS(1542),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1542),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1542),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1542),
    [anon_sym_BSLASH] = ACTIONS(1540),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [aux_sym_trait_declaration_token1] = ACTIONS(1542),
    [aux_sym_interface_declaration_token1] = ACTIONS(1542),
    [aux_sym_enum_declaration_token1] = ACTIONS(1542),
    [aux_sym_enum_case_token1] = ACTIONS(1542),
    [aux_sym_class_declaration_token1] = ACTIONS(1542),
    [aux_sym_final_modifier_token1] = ACTIONS(1542),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1542),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1542),
    [sym_var_modifier] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1542),
    [anon_sym_LPAREN2] = ACTIONS(1540),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1542),
    [aux_sym_cast_type_token1] = ACTIONS(1542),
    [aux_sym_echo_statement_token1] = ACTIONS(1542),
    [aux_sym_exit_statement_token1] = ACTIONS(1542),
    [anon_sym_unset] = ACTIONS(1542),
    [aux_sym_declare_statement_token1] = ACTIONS(1542),
    [aux_sym_declare_statement_token2] = ACTIONS(1542),
    [sym_float] = ACTIONS(1542),
    [aux_sym_try_statement_token1] = ACTIONS(1542),
    [aux_sym_goto_statement_token1] = ACTIONS(1542),
    [aux_sym_continue_statement_token1] = ACTIONS(1542),
    [aux_sym_break_statement_token1] = ACTIONS(1542),
    [sym_integer] = ACTIONS(1542),
    [aux_sym_return_statement_token1] = ACTIONS(1542),
    [aux_sym_throw_expression_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token2] = ACTIONS(1542),
    [aux_sym_do_statement_token1] = ACTIONS(1542),
    [aux_sym_for_statement_token1] = ACTIONS(1542),
    [aux_sym_for_statement_token2] = ACTIONS(1542),
    [aux_sym_foreach_statement_token1] = ACTIONS(1542),
    [aux_sym_foreach_statement_token2] = ACTIONS(1542),
    [aux_sym_if_statement_token1] = ACTIONS(1542),
    [aux_sym_if_statement_token2] = ACTIONS(1542),
    [aux_sym_else_if_clause_token1] = ACTIONS(1542),
    [aux_sym_else_clause_token1] = ACTIONS(1542),
    [aux_sym_match_expression_token1] = ACTIONS(1542),
    [aux_sym_match_default_expression_token1] = ACTIONS(1542),
    [aux_sym_switch_statement_token1] = ACTIONS(1542),
    [aux_sym_switch_block_token1] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(1540),
    [aux_sym_clone_expression_token1] = ACTIONS(1542),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1542),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1542),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_PLUS_PLUS] = ACTIONS(1540),
    [aux_sym__list_destructing_token1] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [anon_sym_self] = ACTIONS(1542),
    [anon_sym_parent] = ACTIONS(1542),
    [aux_sym__argument_name_token1] = ACTIONS(1542),
    [aux_sym__argument_name_token2] = ACTIONS(1542),
    [anon_sym_POUND_LBRACK] = ACTIONS(1540),
    [aux_sym_encapsed_string_token1] = ACTIONS(1540),
    [anon_sym_DQUOTE] = ACTIONS(1540),
    [aux_sym_string_token1] = ACTIONS(1540),
    [anon_sym_SQUOTE] = ACTIONS(1540),
    [anon_sym_LT_LT_LT] = ACTIONS(1540),
    [anon_sym_BQUOTE] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1540),
    [aux_sym_yield_expression_token1] = ACTIONS(1542),
    [aux_sym_include_expression_token1] = ACTIONS(1542),
    [aux_sym_include_once_expression_token1] = ACTIONS(1542),
    [aux_sym_require_expression_token1] = ACTIONS(1542),
    [aux_sym_require_once_expression_token1] = ACTIONS(1542),
    [sym_comment] = ACTIONS(5),
  },
  [579] = {
    [sym_text_interpolation] = STATE(579),
    [ts_builtin_sym_end] = ACTIONS(1544),
    [sym_name] = ACTIONS(1546),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1544),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1546),
    [aux_sym_global_declaration_token1] = ACTIONS(1546),
    [aux_sym_namespace_definition_token1] = ACTIONS(1546),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1546),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1546),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1546),
    [anon_sym_BSLASH] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_RBRACE] = ACTIONS(1544),
    [aux_sym_trait_declaration_token1] = ACTIONS(1546),
    [aux_sym_interface_declaration_token1] = ACTIONS(1546),
    [aux_sym_enum_declaration_token1] = ACTIONS(1546),
    [aux_sym_enum_case_token1] = ACTIONS(1546),
    [aux_sym_class_declaration_token1] = ACTIONS(1546),
    [aux_sym_final_modifier_token1] = ACTIONS(1546),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1546),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1546),
    [sym_var_modifier] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1546),
    [anon_sym_LPAREN2] = ACTIONS(1544),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1546),
    [aux_sym_cast_type_token1] = ACTIONS(1546),
    [aux_sym_echo_statement_token1] = ACTIONS(1546),
    [aux_sym_exit_statement_token1] = ACTIONS(1546),
    [anon_sym_unset] = ACTIONS(1546),
    [aux_sym_declare_statement_token1] = ACTIONS(1546),
    [aux_sym_declare_statement_token2] = ACTIONS(1546),
    [sym_float] = ACTIONS(1546),
    [aux_sym_try_statement_token1] = ACTIONS(1546),
    [aux_sym_goto_statement_token1] = ACTIONS(1546),
    [aux_sym_continue_statement_token1] = ACTIONS(1546),
    [aux_sym_break_statement_token1] = ACTIONS(1546),
    [sym_integer] = ACTIONS(1546),
    [aux_sym_return_statement_token1] = ACTIONS(1546),
    [aux_sym_throw_expression_token1] = ACTIONS(1546),
    [aux_sym_while_statement_token1] = ACTIONS(1546),
    [aux_sym_while_statement_token2] = ACTIONS(1546),
    [aux_sym_do_statement_token1] = ACTIONS(1546),
    [aux_sym_for_statement_token1] = ACTIONS(1546),
    [aux_sym_for_statement_token2] = ACTIONS(1546),
    [aux_sym_foreach_statement_token1] = ACTIONS(1546),
    [aux_sym_foreach_statement_token2] = ACTIONS(1546),
    [aux_sym_if_statement_token1] = ACTIONS(1546),
    [aux_sym_if_statement_token2] = ACTIONS(1546),
    [aux_sym_else_if_clause_token1] = ACTIONS(1546),
    [aux_sym_else_clause_token1] = ACTIONS(1546),
    [aux_sym_match_expression_token1] = ACTIONS(1546),
    [aux_sym_match_default_expression_token1] = ACTIONS(1546),
    [aux_sym_switch_statement_token1] = ACTIONS(1546),
    [aux_sym_switch_block_token1] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_TILDE] = ACTIONS(1544),
    [anon_sym_BANG] = ACTIONS(1544),
    [anon_sym_AT] = ACTIONS(1544),
    [aux_sym_clone_expression_token1] = ACTIONS(1546),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1546),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1546),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [aux_sym__list_destructing_token1] = ACTIONS(1546),
    [anon_sym_LBRACK] = ACTIONS(1544),
    [anon_sym_self] = ACTIONS(1546),
    [anon_sym_parent] = ACTIONS(1546),
    [aux_sym__argument_name_token1] = ACTIONS(1546),
    [aux_sym__argument_name_token2] = ACTIONS(1546),
    [anon_sym_POUND_LBRACK] = ACTIONS(1544),
    [aux_sym_encapsed_string_token1] = ACTIONS(1544),
    [anon_sym_DQUOTE] = ACTIONS(1544),
    [aux_sym_string_token1] = ACTIONS(1544),
    [anon_sym_SQUOTE] = ACTIONS(1544),
    [anon_sym_LT_LT_LT] = ACTIONS(1544),
    [anon_sym_BQUOTE] = ACTIONS(1544),
    [anon_sym_DOLLAR] = ACTIONS(1544),
    [aux_sym_yield_expression_token1] = ACTIONS(1546),
    [aux_sym_include_expression_token1] = ACTIONS(1546),
    [aux_sym_include_once_expression_token1] = ACTIONS(1546),
    [aux_sym_require_expression_token1] = ACTIONS(1546),
    [aux_sym_require_once_expression_token1] = ACTIONS(1546),
    [sym_comment] = ACTIONS(5),
  },
  [580] = {
    [sym_text_interpolation] = STATE(580),
    [ts_builtin_sym_end] = ACTIONS(1548),
    [sym_name] = ACTIONS(1550),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1548),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1550),
    [aux_sym_global_declaration_token1] = ACTIONS(1550),
    [aux_sym_namespace_definition_token1] = ACTIONS(1550),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1550),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1550),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1550),
    [anon_sym_BSLASH] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [aux_sym_trait_declaration_token1] = ACTIONS(1550),
    [aux_sym_interface_declaration_token1] = ACTIONS(1550),
    [aux_sym_enum_declaration_token1] = ACTIONS(1550),
    [aux_sym_enum_case_token1] = ACTIONS(1550),
    [aux_sym_class_declaration_token1] = ACTIONS(1550),
    [aux_sym_final_modifier_token1] = ACTIONS(1550),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1550),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1550),
    [sym_var_modifier] = ACTIONS(1550),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1550),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1550),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1550),
    [anon_sym_LPAREN2] = ACTIONS(1548),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1550),
    [aux_sym_cast_type_token1] = ACTIONS(1550),
    [aux_sym_echo_statement_token1] = ACTIONS(1550),
    [aux_sym_exit_statement_token1] = ACTIONS(1550),
    [anon_sym_unset] = ACTIONS(1550),
    [aux_sym_declare_statement_token1] = ACTIONS(1550),
    [aux_sym_declare_statement_token2] = ACTIONS(1550),
    [sym_float] = ACTIONS(1550),
    [aux_sym_try_statement_token1] = ACTIONS(1550),
    [aux_sym_goto_statement_token1] = ACTIONS(1550),
    [aux_sym_continue_statement_token1] = ACTIONS(1550),
    [aux_sym_break_statement_token1] = ACTIONS(1550),
    [sym_integer] = ACTIONS(1550),
    [aux_sym_return_statement_token1] = ACTIONS(1550),
    [aux_sym_throw_expression_token1] = ACTIONS(1550),
    [aux_sym_while_statement_token1] = ACTIONS(1550),
    [aux_sym_while_statement_token2] = ACTIONS(1550),
    [aux_sym_do_statement_token1] = ACTIONS(1550),
    [aux_sym_for_statement_token1] = ACTIONS(1550),
    [aux_sym_for_statement_token2] = ACTIONS(1550),
    [aux_sym_foreach_statement_token1] = ACTIONS(1550),
    [aux_sym_foreach_statement_token2] = ACTIONS(1550),
    [aux_sym_if_statement_token1] = ACTIONS(1550),
    [aux_sym_if_statement_token2] = ACTIONS(1550),
    [aux_sym_else_if_clause_token1] = ACTIONS(1550),
    [aux_sym_else_clause_token1] = ACTIONS(1550),
    [aux_sym_match_expression_token1] = ACTIONS(1550),
    [aux_sym_match_default_expression_token1] = ACTIONS(1550),
    [aux_sym_switch_statement_token1] = ACTIONS(1550),
    [aux_sym_switch_block_token1] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1550),
    [anon_sym_DASH] = ACTIONS(1550),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(1548),
    [aux_sym_clone_expression_token1] = ACTIONS(1550),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1550),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1550),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [aux_sym__list_destructing_token1] = ACTIONS(1550),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_self] = ACTIONS(1550),
    [anon_sym_parent] = ACTIONS(1550),
    [aux_sym__argument_name_token1] = ACTIONS(1550),
    [aux_sym__argument_name_token2] = ACTIONS(1550),
    [anon_sym_POUND_LBRACK] = ACTIONS(1548),
    [aux_sym_encapsed_string_token1] = ACTIONS(1548),
    [anon_sym_DQUOTE] = ACTIONS(1548),
    [aux_sym_string_token1] = ACTIONS(1548),
    [anon_sym_SQUOTE] = ACTIONS(1548),
    [anon_sym_LT_LT_LT] = ACTIONS(1548),
    [anon_sym_BQUOTE] = ACTIONS(1548),
    [anon_sym_DOLLAR] = ACTIONS(1548),
    [aux_sym_yield_expression_token1] = ACTIONS(1550),
    [aux_sym_include_expression_token1] = ACTIONS(1550),
    [aux_sym_include_once_expression_token1] = ACTIONS(1550),
    [aux_sym_require_expression_token1] = ACTIONS(1550),
    [aux_sym_require_once_expression_token1] = ACTIONS(1550),
    [sym_comment] = ACTIONS(5),
  },
  [581] = {
    [sym_text_interpolation] = STATE(581),
    [ts_builtin_sym_end] = ACTIONS(1552),
    [sym_name] = ACTIONS(1554),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1552),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1554),
    [aux_sym_global_declaration_token1] = ACTIONS(1554),
    [aux_sym_namespace_definition_token1] = ACTIONS(1554),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1554),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1554),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1554),
    [anon_sym_BSLASH] = ACTIONS(1552),
    [anon_sym_LBRACE] = ACTIONS(1552),
    [anon_sym_RBRACE] = ACTIONS(1552),
    [aux_sym_trait_declaration_token1] = ACTIONS(1554),
    [aux_sym_interface_declaration_token1] = ACTIONS(1554),
    [aux_sym_enum_declaration_token1] = ACTIONS(1554),
    [aux_sym_enum_case_token1] = ACTIONS(1554),
    [aux_sym_class_declaration_token1] = ACTIONS(1554),
    [aux_sym_final_modifier_token1] = ACTIONS(1554),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1554),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1554),
    [sym_var_modifier] = ACTIONS(1554),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1554),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1554),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1554),
    [anon_sym_LPAREN2] = ACTIONS(1552),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1554),
    [aux_sym_cast_type_token1] = ACTIONS(1554),
    [aux_sym_echo_statement_token1] = ACTIONS(1554),
    [aux_sym_exit_statement_token1] = ACTIONS(1554),
    [anon_sym_unset] = ACTIONS(1554),
    [aux_sym_declare_statement_token1] = ACTIONS(1554),
    [aux_sym_declare_statement_token2] = ACTIONS(1554),
    [sym_float] = ACTIONS(1554),
    [aux_sym_try_statement_token1] = ACTIONS(1554),
    [aux_sym_goto_statement_token1] = ACTIONS(1554),
    [aux_sym_continue_statement_token1] = ACTIONS(1554),
    [aux_sym_break_statement_token1] = ACTIONS(1554),
    [sym_integer] = ACTIONS(1554),
    [aux_sym_return_statement_token1] = ACTIONS(1554),
    [aux_sym_throw_expression_token1] = ACTIONS(1554),
    [aux_sym_while_statement_token1] = ACTIONS(1554),
    [aux_sym_while_statement_token2] = ACTIONS(1554),
    [aux_sym_do_statement_token1] = ACTIONS(1554),
    [aux_sym_for_statement_token1] = ACTIONS(1554),
    [aux_sym_for_statement_token2] = ACTIONS(1554),
    [aux_sym_foreach_statement_token1] = ACTIONS(1554),
    [aux_sym_foreach_statement_token2] = ACTIONS(1554),
    [aux_sym_if_statement_token1] = ACTIONS(1554),
    [aux_sym_if_statement_token2] = ACTIONS(1554),
    [aux_sym_else_if_clause_token1] = ACTIONS(1554),
    [aux_sym_else_clause_token1] = ACTIONS(1554),
    [aux_sym_match_expression_token1] = ACTIONS(1554),
    [aux_sym_match_default_expression_token1] = ACTIONS(1554),
    [aux_sym_switch_statement_token1] = ACTIONS(1554),
    [aux_sym_switch_block_token1] = ACTIONS(1554),
    [anon_sym_PLUS] = ACTIONS(1554),
    [anon_sym_DASH] = ACTIONS(1554),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_AT] = ACTIONS(1552),
    [aux_sym_clone_expression_token1] = ACTIONS(1554),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1554),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1554),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [aux_sym__list_destructing_token1] = ACTIONS(1554),
    [anon_sym_LBRACK] = ACTIONS(1552),
    [anon_sym_self] = ACTIONS(1554),
    [anon_sym_parent] = ACTIONS(1554),
    [aux_sym__argument_name_token1] = ACTIONS(1554),
    [aux_sym__argument_name_token2] = ACTIONS(1554),
    [anon_sym_POUND_LBRACK] = ACTIONS(1552),
    [aux_sym_encapsed_string_token1] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [aux_sym_string_token1] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1552),
    [anon_sym_LT_LT_LT] = ACTIONS(1552),
    [anon_sym_BQUOTE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1552),
    [aux_sym_yield_expression_token1] = ACTIONS(1554),
    [aux_sym_include_expression_token1] = ACTIONS(1554),
    [aux_sym_include_once_expression_token1] = ACTIONS(1554),
    [aux_sym_require_expression_token1] = ACTIONS(1554),
    [aux_sym_require_once_expression_token1] = ACTIONS(1554),
    [sym_comment] = ACTIONS(5),
  },
  [582] = {
    [sym_text_interpolation] = STATE(582),
    [sym_qualified_name] = STATE(931),
    [sym__name] = STATE(1704),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1159),
    [sym__anonymous_function_header] = STATE(2331),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1159),
    [sym_literal] = STATE(1159),
    [sym_throw_expression] = STATE(1159),
    [sym_primary_expression] = STATE(1168),
    [sym_parenthesized_expression] = STATE(940),
    [sym_class_constant_access_expression] = STATE(1007),
    [sym_print_intrinsic] = STATE(1159),
    [sym_object_creation_expression] = STATE(1159),
    [sym__new_non_dereferencable_expression] = STATE(1175),
    [sym__new_dereferencable_expression] = STATE(975),
    [sym_update_expression] = STATE(1159),
    [sym_cast_variable] = STATE(900),
    [sym__variable_member_access_expression] = STATE(910),
    [sym_member_access_expression] = STATE(900),
    [sym__variable_nullsafe_member_access_expression] = STATE(895),
    [sym_nullsafe_member_access_expression] = STATE(900),
    [sym__variable_scoped_property_access_expression] = STATE(903),
    [sym_scoped_property_access_expression] = STATE(900),
    [sym_function_call_expression] = STATE(865),
    [sym__callable_expression] = STATE(2305),
    [sym_scoped_call_expression] = STATE(865),
    [sym__scope_resolution_qualifier] = STATE(2505),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(865),
    [sym_nullsafe_member_call_expression] = STATE(865),
    [sym__variable_subscript_expression] = STATE(915),
    [sym__dereferencable_subscript_expression] = STATE(865),
    [sym__dereferencable_expression] = STATE(1913),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(984),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(991),
    [sym_string] = STATE(991),
    [sym_heredoc] = STATE(991),
    [sym_nowdoc] = STATE(991),
    [sym_shell_command_expression] = STATE(1159),
    [sym_boolean] = STATE(1135),
    [sym_null] = STATE(1135),
    [sym__string] = STATE(994),
    [sym_dynamic_variable_name] = STATE(867),
    [sym__simple_variable] = STATE(869),
    [sym__new_variable] = STATE(913),
    [sym__callable_variable] = STATE(866),
    [sym_variable_name] = STATE(867),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(1556),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(1558),
    [sym_comment] = ACTIONS(5),
  },
  [583] = {
    [sym_text_interpolation] = STATE(583),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1686),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1013),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_variable] = STATE(749),
    [sym__variable_member_access_expression] = STATE(757),
    [sym_member_access_expression] = STATE(749),
    [sym__variable_nullsafe_member_access_expression] = STATE(758),
    [sym_nullsafe_member_access_expression] = STATE(749),
    [sym__variable_scoped_property_access_expression] = STATE(759),
    [sym_scoped_property_access_expression] = STATE(749),
    [sym_function_call_expression] = STATE(730),
    [sym__callable_expression] = STATE(2342),
    [sym_scoped_call_expression] = STATE(730),
    [sym__scope_resolution_qualifier] = STATE(2705),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(730),
    [sym_nullsafe_member_call_expression] = STATE(730),
    [sym__variable_subscript_expression] = STATE(762),
    [sym__dereferencable_subscript_expression] = STATE(730),
    [sym__dereferencable_expression] = STATE(1944),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(726),
    [sym__simple_variable] = STATE(735),
    [sym__new_variable] = STATE(753),
    [sym__callable_variable] = STATE(736),
    [sym_variable_name] = STATE(726),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(1560),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [sym_comment] = ACTIONS(5),
  },
  [584] = {
    [sym_text_interpolation] = STATE(584),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1686),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1013),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_variable] = STATE(749),
    [sym__variable_member_access_expression] = STATE(757),
    [sym_member_access_expression] = STATE(749),
    [sym__variable_nullsafe_member_access_expression] = STATE(758),
    [sym_nullsafe_member_access_expression] = STATE(749),
    [sym__variable_scoped_property_access_expression] = STATE(759),
    [sym_scoped_property_access_expression] = STATE(749),
    [sym_function_call_expression] = STATE(730),
    [sym__callable_expression] = STATE(2342),
    [sym_scoped_call_expression] = STATE(730),
    [sym__scope_resolution_qualifier] = STATE(2705),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(730),
    [sym_nullsafe_member_call_expression] = STATE(730),
    [sym__variable_subscript_expression] = STATE(762),
    [sym__dereferencable_subscript_expression] = STATE(730),
    [sym__dereferencable_expression] = STATE(1944),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(726),
    [sym__simple_variable] = STATE(735),
    [sym__new_variable] = STATE(753),
    [sym__callable_variable] = STATE(736),
    [sym_variable_name] = STATE(726),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(1560),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [sym_comment] = ACTIONS(5),
  },
  [585] = {
    [sym_text_interpolation] = STATE(585),
    [sym_qualified_name] = STATE(808),
    [sym__name] = STATE(1686),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2372),
    [sym_anonymous_function] = STATE(1022),
    [sym__anonymous_function_header] = STATE(2407),
    [sym__arrow_function_header] = STATE(2585),
    [sym_arrow_function] = STATE(1022),
    [sym_literal] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1013),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(855),
    [sym_print_intrinsic] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym__new_non_dereferencable_expression] = STATE(1038),
    [sym__new_dereferencable_expression] = STATE(797),
    [sym_update_expression] = STATE(1022),
    [sym_cast_variable] = STATE(749),
    [sym__variable_member_access_expression] = STATE(757),
    [sym_member_access_expression] = STATE(749),
    [sym__variable_nullsafe_member_access_expression] = STATE(758),
    [sym_nullsafe_member_access_expression] = STATE(749),
    [sym__variable_scoped_property_access_expression] = STATE(759),
    [sym_scoped_property_access_expression] = STATE(749),
    [sym_function_call_expression] = STATE(730),
    [sym__callable_expression] = STATE(2342),
    [sym_scoped_call_expression] = STATE(730),
    [sym__scope_resolution_qualifier] = STATE(2705),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(730),
    [sym_nullsafe_member_call_expression] = STATE(730),
    [sym__variable_subscript_expression] = STATE(762),
    [sym__dereferencable_subscript_expression] = STATE(730),
    [sym__dereferencable_expression] = STATE(1944),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(780),
    [sym_attribute_group] = STATE(1372),
    [sym_attribute_list] = STATE(1937),
    [sym_encapsed_string] = STATE(779),
    [sym_string] = STATE(779),
    [sym_heredoc] = STATE(779),
    [sym_nowdoc] = STATE(779),
    [sym_shell_command_expression] = STATE(1022),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(778),
    [sym_dynamic_variable_name] = STATE(726),
    [sym__simple_variable] = STATE(735),
    [sym__new_variable] = STATE(753),
    [sym__callable_variable] = STATE(736),
    [sym_variable_name] = STATE(726),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1364),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(1560),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [sym_comment] = ACTIONS(5),
  },
  [586] = {
    [sym_text_interpolation] = STATE(586),
    [sym_name] = ACTIONS(1564),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1566),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1564),
    [aux_sym_global_declaration_token1] = ACTIONS(1564),
    [aux_sym_namespace_definition_token1] = ACTIONS(1564),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1564),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1564),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1564),
    [anon_sym_BSLASH] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1566),
    [aux_sym_trait_declaration_token1] = ACTIONS(1564),
    [aux_sym_interface_declaration_token1] = ACTIONS(1564),
    [aux_sym_enum_declaration_token1] = ACTIONS(1564),
    [anon_sym_COLON] = ACTIONS(1566),
    [aux_sym_class_declaration_token1] = ACTIONS(1564),
    [aux_sym_final_modifier_token1] = ACTIONS(1564),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1564),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1564),
    [sym_var_modifier] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1564),
    [anon_sym_LPAREN2] = ACTIONS(1566),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1564),
    [aux_sym_cast_type_token1] = ACTIONS(1564),
    [aux_sym_echo_statement_token1] = ACTIONS(1564),
    [aux_sym_exit_statement_token1] = ACTIONS(1564),
    [anon_sym_unset] = ACTIONS(1564),
    [aux_sym_declare_statement_token1] = ACTIONS(1564),
    [sym_float] = ACTIONS(1564),
    [aux_sym_try_statement_token1] = ACTIONS(1564),
    [aux_sym_goto_statement_token1] = ACTIONS(1564),
    [aux_sym_continue_statement_token1] = ACTIONS(1564),
    [aux_sym_break_statement_token1] = ACTIONS(1564),
    [sym_integer] = ACTIONS(1564),
    [aux_sym_return_statement_token1] = ACTIONS(1564),
    [aux_sym_throw_expression_token1] = ACTIONS(1564),
    [aux_sym_while_statement_token1] = ACTIONS(1564),
    [aux_sym_do_statement_token1] = ACTIONS(1564),
    [aux_sym_for_statement_token1] = ACTIONS(1564),
    [aux_sym_foreach_statement_token1] = ACTIONS(1564),
    [aux_sym_if_statement_token1] = ACTIONS(1564),
    [aux_sym_match_expression_token1] = ACTIONS(1564),
    [aux_sym_switch_statement_token1] = ACTIONS(1564),
    [anon_sym_PLUS] = ACTIONS(1564),
    [anon_sym_DASH] = ACTIONS(1564),
    [anon_sym_TILDE] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_AT] = ACTIONS(1566),
    [aux_sym_clone_expression_token1] = ACTIONS(1564),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1564),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1564),
    [anon_sym_DASH_DASH] = ACTIONS(1566),
    [anon_sym_PLUS_PLUS] = ACTIONS(1566),
    [aux_sym__list_destructing_token1] = ACTIONS(1564),
    [anon_sym_LBRACK] = ACTIONS(1566),
    [anon_sym_self] = ACTIONS(1564),
    [anon_sym_parent] = ACTIONS(1564),
    [aux_sym__argument_name_token1] = ACTIONS(1564),
    [aux_sym__argument_name_token2] = ACTIONS(1564),
    [anon_sym_POUND_LBRACK] = ACTIONS(1566),
    [aux_sym_encapsed_string_token1] = ACTIONS(1566),
    [anon_sym_DQUOTE] = ACTIONS(1566),
    [aux_sym_string_token1] = ACTIONS(1566),
    [anon_sym_SQUOTE] = ACTIONS(1566),
    [anon_sym_LT_LT_LT] = ACTIONS(1566),
    [anon_sym_BQUOTE] = ACTIONS(1566),
    [anon_sym_DOLLAR] = ACTIONS(1566),
    [aux_sym_yield_expression_token1] = ACTIONS(1564),
    [aux_sym_include_expression_token1] = ACTIONS(1564),
    [aux_sym_include_once_expression_token1] = ACTIONS(1564),
    [aux_sym_require_expression_token1] = ACTIONS(1564),
    [aux_sym_require_once_expression_token1] = ACTIONS(1564),
    [sym_comment] = ACTIONS(5),
  },
  [587] = {
    [sym_text_interpolation] = STATE(587),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1568),
    [anon_sym_AMP] = ACTIONS(1570),
    [anon_sym_COMMA] = ACTIONS(1568),
    [anon_sym_EQ] = ACTIONS(1570),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [aux_sym_base_clause_token1] = ACTIONS(1568),
    [anon_sym_COLON] = ACTIONS(1570),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1568),
    [anon_sym_EQ_GT] = ACTIONS(1568),
    [anon_sym_LPAREN2] = ACTIONS(1568),
    [anon_sym_RPAREN2] = ACTIONS(1568),
    [anon_sym_QMARK] = ACTIONS(1570),
    [anon_sym_PIPE] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_COLON_COLON] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1568),
    [anon_sym_STAR_EQ] = ACTIONS(1568),
    [anon_sym_SLASH_EQ] = ACTIONS(1568),
    [anon_sym_PERCENT_EQ] = ACTIONS(1568),
    [anon_sym_PLUS_EQ] = ACTIONS(1568),
    [anon_sym_DASH_EQ] = ACTIONS(1568),
    [anon_sym_DOT_EQ] = ACTIONS(1568),
    [anon_sym_LT_LT_EQ] = ACTIONS(1568),
    [anon_sym_GT_GT_EQ] = ACTIONS(1568),
    [anon_sym_AMP_EQ] = ACTIONS(1568),
    [anon_sym_CARET_EQ] = ACTIONS(1568),
    [anon_sym_PIPE_EQ] = ACTIONS(1568),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1568),
    [anon_sym_DASH_GT] = ACTIONS(1568),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1568),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_RBRACK] = ACTIONS(1568),
    [aux_sym_binary_expression_token1] = ACTIONS(1568),
    [anon_sym_QMARK_QMARK] = ACTIONS(1570),
    [anon_sym_STAR_STAR] = ACTIONS(1570),
    [aux_sym_binary_expression_token2] = ACTIONS(1568),
    [aux_sym_binary_expression_token3] = ACTIONS(1568),
    [aux_sym_binary_expression_token4] = ACTIONS(1568),
    [anon_sym_PIPE_PIPE] = ACTIONS(1568),
    [anon_sym_AMP_AMP] = ACTIONS(1568),
    [anon_sym_CARET] = ACTIONS(1570),
    [anon_sym_EQ_EQ] = ACTIONS(1570),
    [anon_sym_BANG_EQ] = ACTIONS(1570),
    [anon_sym_LT_GT] = ACTIONS(1568),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1568),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(1570),
    [anon_sym_GT] = ACTIONS(1570),
    [anon_sym_LT_EQ] = ACTIONS(1570),
    [anon_sym_GT_EQ] = ACTIONS(1568),
    [anon_sym_LT_EQ_GT] = ACTIONS(1568),
    [anon_sym_LT_LT] = ACTIONS(1570),
    [anon_sym_GT_GT] = ACTIONS(1570),
    [anon_sym_DOT] = ACTIONS(1570),
    [anon_sym_STAR] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(1570),
    [anon_sym_PERCENT] = ACTIONS(1570),
    [sym_comment] = ACTIONS(1572),
  },
  [588] = {
    [sym_text_interpolation] = STATE(588),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1574),
    [anon_sym_AMP] = ACTIONS(1576),
    [anon_sym_COMMA] = ACTIONS(1574),
    [anon_sym_EQ] = ACTIONS(1576),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1574),
    [anon_sym_LBRACE] = ACTIONS(1574),
    [anon_sym_RBRACE] = ACTIONS(1574),
    [aux_sym_base_clause_token1] = ACTIONS(1574),
    [anon_sym_COLON] = ACTIONS(1576),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1574),
    [anon_sym_EQ_GT] = ACTIONS(1574),
    [anon_sym_LPAREN2] = ACTIONS(1574),
    [anon_sym_RPAREN2] = ACTIONS(1574),
    [anon_sym_QMARK] = ACTIONS(1576),
    [anon_sym_PIPE] = ACTIONS(1576),
    [anon_sym_PLUS] = ACTIONS(1576),
    [anon_sym_DASH] = ACTIONS(1576),
    [anon_sym_COLON_COLON] = ACTIONS(1574),
    [anon_sym_DASH_DASH] = ACTIONS(1574),
    [anon_sym_PLUS_PLUS] = ACTIONS(1574),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1574),
    [anon_sym_STAR_EQ] = ACTIONS(1574),
    [anon_sym_SLASH_EQ] = ACTIONS(1574),
    [anon_sym_PERCENT_EQ] = ACTIONS(1574),
    [anon_sym_PLUS_EQ] = ACTIONS(1574),
    [anon_sym_DASH_EQ] = ACTIONS(1574),
    [anon_sym_DOT_EQ] = ACTIONS(1574),
    [anon_sym_LT_LT_EQ] = ACTIONS(1574),
    [anon_sym_GT_GT_EQ] = ACTIONS(1574),
    [anon_sym_AMP_EQ] = ACTIONS(1574),
    [anon_sym_CARET_EQ] = ACTIONS(1574),
    [anon_sym_PIPE_EQ] = ACTIONS(1574),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1574),
    [anon_sym_DASH_GT] = ACTIONS(1574),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1574),
    [anon_sym_RBRACK] = ACTIONS(1574),
    [aux_sym_binary_expression_token1] = ACTIONS(1574),
    [anon_sym_QMARK_QMARK] = ACTIONS(1576),
    [anon_sym_STAR_STAR] = ACTIONS(1576),
    [aux_sym_binary_expression_token2] = ACTIONS(1574),
    [aux_sym_binary_expression_token3] = ACTIONS(1574),
    [aux_sym_binary_expression_token4] = ACTIONS(1574),
    [anon_sym_PIPE_PIPE] = ACTIONS(1574),
    [anon_sym_AMP_AMP] = ACTIONS(1574),
    [anon_sym_CARET] = ACTIONS(1576),
    [anon_sym_EQ_EQ] = ACTIONS(1576),
    [anon_sym_BANG_EQ] = ACTIONS(1576),
    [anon_sym_LT_GT] = ACTIONS(1574),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1574),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1574),
    [anon_sym_LT] = ACTIONS(1576),
    [anon_sym_GT] = ACTIONS(1576),
    [anon_sym_LT_EQ] = ACTIONS(1576),
    [anon_sym_GT_EQ] = ACTIONS(1574),
    [anon_sym_LT_EQ_GT] = ACTIONS(1574),
    [anon_sym_LT_LT] = ACTIONS(1576),
    [anon_sym_GT_GT] = ACTIONS(1576),
    [anon_sym_DOT] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(1576),
    [anon_sym_SLASH] = ACTIONS(1576),
    [anon_sym_PERCENT] = ACTIONS(1576),
    [sym_comment] = ACTIONS(1572),
  },
  [589] = {
    [sym_text_interpolation] = STATE(589),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1578),
    [anon_sym_AMP] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1578),
    [anon_sym_EQ] = ACTIONS(1580),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1578),
    [anon_sym_RBRACE] = ACTIONS(1578),
    [aux_sym_base_clause_token1] = ACTIONS(1578),
    [anon_sym_COLON] = ACTIONS(1580),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1578),
    [anon_sym_EQ_GT] = ACTIONS(1578),
    [anon_sym_LPAREN2] = ACTIONS(1578),
    [anon_sym_RPAREN2] = ACTIONS(1578),
    [anon_sym_QMARK] = ACTIONS(1580),
    [anon_sym_PIPE] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1580),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_COLON_COLON] = ACTIONS(1578),
    [anon_sym_DASH_DASH] = ACTIONS(1578),
    [anon_sym_PLUS_PLUS] = ACTIONS(1578),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1578),
    [anon_sym_STAR_EQ] = ACTIONS(1578),
    [anon_sym_SLASH_EQ] = ACTIONS(1578),
    [anon_sym_PERCENT_EQ] = ACTIONS(1578),
    [anon_sym_PLUS_EQ] = ACTIONS(1578),
    [anon_sym_DASH_EQ] = ACTIONS(1578),
    [anon_sym_DOT_EQ] = ACTIONS(1578),
    [anon_sym_LT_LT_EQ] = ACTIONS(1578),
    [anon_sym_GT_GT_EQ] = ACTIONS(1578),
    [anon_sym_AMP_EQ] = ACTIONS(1578),
    [anon_sym_CARET_EQ] = ACTIONS(1578),
    [anon_sym_PIPE_EQ] = ACTIONS(1578),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1578),
    [anon_sym_DASH_GT] = ACTIONS(1578),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_RBRACK] = ACTIONS(1578),
    [aux_sym_binary_expression_token1] = ACTIONS(1578),
    [anon_sym_QMARK_QMARK] = ACTIONS(1580),
    [anon_sym_STAR_STAR] = ACTIONS(1580),
    [aux_sym_binary_expression_token2] = ACTIONS(1578),
    [aux_sym_binary_expression_token3] = ACTIONS(1578),
    [aux_sym_binary_expression_token4] = ACTIONS(1578),
    [anon_sym_PIPE_PIPE] = ACTIONS(1578),
    [anon_sym_AMP_AMP] = ACTIONS(1578),
    [anon_sym_CARET] = ACTIONS(1580),
    [anon_sym_EQ_EQ] = ACTIONS(1580),
    [anon_sym_BANG_EQ] = ACTIONS(1580),
    [anon_sym_LT_GT] = ACTIONS(1578),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1578),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_GT] = ACTIONS(1580),
    [anon_sym_LT_EQ] = ACTIONS(1580),
    [anon_sym_GT_EQ] = ACTIONS(1578),
    [anon_sym_LT_EQ_GT] = ACTIONS(1578),
    [anon_sym_LT_LT] = ACTIONS(1580),
    [anon_sym_GT_GT] = ACTIONS(1580),
    [anon_sym_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1580),
    [anon_sym_SLASH] = ACTIONS(1580),
    [anon_sym_PERCENT] = ACTIONS(1580),
    [sym_comment] = ACTIONS(1572),
  },
  [590] = {
    [sym_text_interpolation] = STATE(590),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1582),
    [anon_sym_AMP] = ACTIONS(1584),
    [anon_sym_COMMA] = ACTIONS(1582),
    [anon_sym_EQ] = ACTIONS(1584),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_RBRACE] = ACTIONS(1582),
    [aux_sym_base_clause_token1] = ACTIONS(1582),
    [anon_sym_COLON] = ACTIONS(1584),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1582),
    [anon_sym_EQ_GT] = ACTIONS(1582),
    [anon_sym_LPAREN2] = ACTIONS(1582),
    [anon_sym_RPAREN2] = ACTIONS(1582),
    [anon_sym_QMARK] = ACTIONS(1584),
    [anon_sym_PIPE] = ACTIONS(1584),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_COLON_COLON] = ACTIONS(1582),
    [anon_sym_DASH_DASH] = ACTIONS(1582),
    [anon_sym_PLUS_PLUS] = ACTIONS(1582),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1582),
    [anon_sym_STAR_EQ] = ACTIONS(1582),
    [anon_sym_SLASH_EQ] = ACTIONS(1582),
    [anon_sym_PERCENT_EQ] = ACTIONS(1582),
    [anon_sym_PLUS_EQ] = ACTIONS(1582),
    [anon_sym_DASH_EQ] = ACTIONS(1582),
    [anon_sym_DOT_EQ] = ACTIONS(1582),
    [anon_sym_LT_LT_EQ] = ACTIONS(1582),
    [anon_sym_GT_GT_EQ] = ACTIONS(1582),
    [anon_sym_AMP_EQ] = ACTIONS(1582),
    [anon_sym_CARET_EQ] = ACTIONS(1582),
    [anon_sym_PIPE_EQ] = ACTIONS(1582),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1582),
    [anon_sym_DASH_GT] = ACTIONS(1582),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_RBRACK] = ACTIONS(1582),
    [aux_sym_binary_expression_token1] = ACTIONS(1582),
    [anon_sym_QMARK_QMARK] = ACTIONS(1584),
    [anon_sym_STAR_STAR] = ACTIONS(1584),
    [aux_sym_binary_expression_token2] = ACTIONS(1582),
    [aux_sym_binary_expression_token3] = ACTIONS(1582),
    [aux_sym_binary_expression_token4] = ACTIONS(1582),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_AMP_AMP] = ACTIONS(1582),
    [anon_sym_CARET] = ACTIONS(1584),
    [anon_sym_EQ_EQ] = ACTIONS(1584),
    [anon_sym_BANG_EQ] = ACTIONS(1584),
    [anon_sym_LT_GT] = ACTIONS(1582),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_GT] = ACTIONS(1584),
    [anon_sym_LT_EQ] = ACTIONS(1584),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_LT_EQ_GT] = ACTIONS(1582),
    [anon_sym_LT_LT] = ACTIONS(1584),
    [anon_sym_GT_GT] = ACTIONS(1584),
    [anon_sym_DOT] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1584),
    [anon_sym_SLASH] = ACTIONS(1584),
    [anon_sym_PERCENT] = ACTIONS(1584),
    [sym_comment] = ACTIONS(1572),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    STATE(591), 1,
      sym_text_interpolation,
    STATE(602), 1,
      sym_arguments,
    ACTIONS(1588), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1586), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [79] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    STATE(592), 1,
      sym_text_interpolation,
    STATE(600), 1,
      sym_arguments,
    ACTIONS(1594), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1592), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [158] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(593), 1,
      sym_text_interpolation,
    ACTIONS(1598), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1596), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [232] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(594), 1,
      sym_text_interpolation,
    ACTIONS(1602), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1600), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [306] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(595), 1,
      sym_text_interpolation,
    ACTIONS(1606), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [380] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(596), 1,
      sym_text_interpolation,
    ACTIONS(1610), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [454] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(597), 1,
      sym_text_interpolation,
    ACTIONS(1614), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1612), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [528] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(598), 1,
      sym_text_interpolation,
    ACTIONS(1618), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1616), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [602] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1600), 1,
      anon_sym_LPAREN2,
    STATE(599), 1,
      sym_text_interpolation,
    ACTIONS(1622), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1620), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [678] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(600), 1,
      sym_text_interpolation,
    ACTIONS(1626), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1624), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [752] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(601), 1,
      sym_text_interpolation,
    ACTIONS(1630), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1628), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [826] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(602), 1,
      sym_text_interpolation,
    ACTIONS(1634), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1632), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [900] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(603), 1,
      sym_text_interpolation,
    ACTIONS(1638), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1636), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [974] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(604), 1,
      sym_text_interpolation,
    ACTIONS(1642), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1640), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1048] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(605), 1,
      sym_text_interpolation,
    ACTIONS(1646), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1644), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1122] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(606), 1,
      sym_text_interpolation,
    ACTIONS(1650), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1648), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1196] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(607), 1,
      sym_text_interpolation,
    ACTIONS(1654), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1652), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1270] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(608), 1,
      sym_text_interpolation,
    ACTIONS(1658), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1656), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1344] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(609), 1,
      sym_text_interpolation,
    ACTIONS(1662), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1660), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1418] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(610), 1,
      sym_text_interpolation,
    ACTIONS(1666), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1664), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1492] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(611), 1,
      sym_text_interpolation,
    ACTIONS(1670), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1668), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1566] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(612), 1,
      sym_text_interpolation,
    ACTIONS(1674), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1672), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1640] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(613), 1,
      sym_text_interpolation,
    ACTIONS(1678), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1676), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1714] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(614), 1,
      sym_text_interpolation,
    ACTIONS(1682), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1680), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1788] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(615), 1,
      sym_text_interpolation,
    ACTIONS(1686), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1684), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1862] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(616), 1,
      sym_text_interpolation,
    ACTIONS(1678), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1676), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1936] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    STATE(617), 1,
      sym_text_interpolation,
    ACTIONS(1666), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1664), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2012] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(618), 1,
      sym_text_interpolation,
    ACTIONS(1690), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1688), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2086] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_EQ,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    STATE(619), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1704), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1692), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2170] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_EQ,
    STATE(620), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1704), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1692), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2251] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1704), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1692), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2332] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(622), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1692), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2413] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_LPAREN2,
    STATE(623), 1,
      sym_text_interpolation,
    STATE(630), 1,
      sym_arguments,
    ACTIONS(1588), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1586), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2488] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_LPAREN2,
    STATE(624), 1,
      sym_text_interpolation,
    STATE(626), 1,
      sym_arguments,
    ACTIONS(1594), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1592), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2563] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(625), 1,
      sym_text_interpolation,
    ACTIONS(1610), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2633] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(626), 1,
      sym_text_interpolation,
    ACTIONS(1626), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1624), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2703] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(627), 1,
      sym_text_interpolation,
    ACTIONS(1618), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1616), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2773] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(628), 1,
      sym_text_interpolation,
    ACTIONS(1650), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1648), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2843] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(629), 1,
      sym_text_interpolation,
    ACTIONS(1662), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1660), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2913] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(630), 1,
      sym_text_interpolation,
    ACTIONS(1634), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1632), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2983] = 39,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(1714), 1,
      anon_sym_RBRACE,
    ACTIONS(1716), 1,
      anon_sym_LPAREN2,
    ACTIONS(1718), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(616), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(631), 1,
      sym_text_interpolation,
    STATE(641), 1,
      aux_sym_use_list_repeat1,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1691), 1,
      sym__name,
    STATE(1692), 1,
      sym_class_constant_access_expression,
    STATE(1747), 1,
      sym__new_dereferencable_expression,
    STATE(1857), 1,
      sym__dereferencable_expression,
    STATE(1930), 1,
      sym__new_variable,
    STATE(2412), 1,
      sym__callable_expression,
    STATE(2599), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1748), 2,
      sym_array_creation_expression,
      sym__string,
    STATE(1996), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1717), 3,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym__callable_variable,
    STATE(779), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1935), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(604), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [3121] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(632), 1,
      sym_text_interpolation,
    ACTIONS(1570), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1568), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3191] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(633), 1,
      sym_text_interpolation,
    ACTIONS(1690), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1688), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3261] = 39,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(1716), 1,
      anon_sym_LPAREN2,
    ACTIONS(1718), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1720), 1,
      anon_sym_RBRACE,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(616), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(631), 1,
      aux_sym_use_list_repeat1,
    STATE(634), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1691), 1,
      sym__name,
    STATE(1692), 1,
      sym_class_constant_access_expression,
    STATE(1747), 1,
      sym__new_dereferencable_expression,
    STATE(1857), 1,
      sym__dereferencable_expression,
    STATE(1930), 1,
      sym__new_variable,
    STATE(2412), 1,
      sym__callable_expression,
    STATE(2599), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1748), 2,
      sym_array_creation_expression,
      sym__string,
    STATE(1996), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1717), 3,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym__callable_variable,
    STATE(779), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1935), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(604), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [3399] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(635), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1692), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3477] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(636), 1,
      sym_text_interpolation,
    ACTIONS(1630), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1628), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3547] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(637), 1,
      sym_text_interpolation,
    ACTIONS(1658), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1656), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3617] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(638), 1,
      sym_text_interpolation,
    ACTIONS(1576), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1574), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3687] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(639), 1,
      sym_text_interpolation,
    ACTIONS(1584), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1582), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3757] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(640), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1692), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3835] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1722), 1,
      sym_name,
    ACTIONS(1728), 1,
      anon_sym_BSLASH,
    ACTIONS(1731), 1,
      anon_sym_RBRACE,
    ACTIONS(1733), 1,
      anon_sym_LPAREN2,
    ACTIONS(1736), 1,
      aux_sym_cast_type_token1,
    ACTIONS(1739), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1742), 1,
      anon_sym_LBRACK,
    ACTIONS(1751), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1754), 1,
      anon_sym_DOLLAR,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(616), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1691), 1,
      sym__name,
    STATE(1692), 1,
      sym_class_constant_access_expression,
    STATE(1747), 1,
      sym__new_dereferencable_expression,
    STATE(1857), 1,
      sym__dereferencable_expression,
    STATE(1930), 1,
      sym__new_variable,
    STATE(2412), 1,
      sym__callable_expression,
    STATE(2599), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(1745), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(1748), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(641), 2,
      sym_text_interpolation,
      aux_sym_use_list_repeat1,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1748), 2,
      sym_array_creation_expression,
      sym__string,
    STATE(1996), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(1725), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1717), 3,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym__callable_variable,
    STATE(779), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1935), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(604), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [3971] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    STATE(642), 1,
      sym_text_interpolation,
    ACTIONS(1666), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1664), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4043] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    ACTIONS(1757), 1,
      anon_sym_EQ,
    STATE(643), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1759), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1692), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4123] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1600), 1,
      anon_sym_LPAREN2,
    STATE(644), 1,
      sym_text_interpolation,
    ACTIONS(1622), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1620), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4195] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(645), 1,
      sym_text_interpolation,
    ACTIONS(1654), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1652), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4265] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(646), 1,
      sym_text_interpolation,
    ACTIONS(1646), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1644), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4335] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(647), 1,
      sym_text_interpolation,
    ACTIONS(1602), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1600), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4405] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(648), 1,
      sym_text_interpolation,
    ACTIONS(1674), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1672), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4475] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(649), 1,
      sym_text_interpolation,
    ACTIONS(1580), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1578), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4545] = 41,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(308), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_LPAREN2,
    ACTIONS(1718), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1761), 1,
      sym_name,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(616), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(650), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1552), 1,
      sym__callable_variable,
    STATE(1590), 1,
      sym__new_variable,
    STATE(1691), 1,
      sym__name,
    STATE(1747), 1,
      sym__new_dereferencable_expression,
    STATE(1857), 1,
      sym__dereferencable_expression,
    STATE(1935), 1,
      sym_class_constant_access_expression,
    STATE(2205), 1,
      sym_by_ref,
    STATE(2206), 1,
      sym__list_destructing,
    STATE(2412), 1,
      sym__callable_expression,
    STATE(2599), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1748), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(779), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1579), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(604), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [4687] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(651), 1,
      sym_text_interpolation,
    ACTIONS(1670), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1668), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4757] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    ACTIONS(1763), 1,
      anon_sym_EQ,
    STATE(652), 1,
      sym_text_interpolation,
    ACTIONS(1765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1767), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1692), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4837] = 41,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(308), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_LPAREN2,
    ACTIONS(1718), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1761), 1,
      sym_name,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(616), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(653), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1604), 1,
      sym__callable_variable,
    STATE(1639), 1,
      sym__new_variable,
    STATE(1691), 1,
      sym__name,
    STATE(1747), 1,
      sym__new_dereferencable_expression,
    STATE(1857), 1,
      sym__dereferencable_expression,
    STATE(1935), 1,
      sym_class_constant_access_expression,
    STATE(2394), 1,
      sym_by_ref,
    STATE(2395), 1,
      sym__list_destructing,
    STATE(2412), 1,
      sym__callable_expression,
    STATE(2599), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1748), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(779), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1644), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(604), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [4979] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_EQ,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_text_interpolation,
    ACTIONS(1765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1704), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1692), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5059] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(655), 1,
      sym_text_interpolation,
    ACTIONS(1642), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1640), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5129] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_EQ,
    STATE(656), 1,
      sym_text_interpolation,
    ACTIONS(1765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1704), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1692), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5206] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_EQ,
    STATE(657), 1,
      sym_text_interpolation,
    ACTIONS(1765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1767), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1692), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5283] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(658), 1,
      sym_text_interpolation,
    ACTIONS(1682), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1680), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5352] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(659), 1,
      sym_text_interpolation,
    ACTIONS(1666), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1664), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5421] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_EQ,
    STATE(660), 1,
      sym_text_interpolation,
    ACTIONS(1765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1704), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1692), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5498] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(661), 1,
      sym_text_interpolation,
    ACTIONS(1638), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1636), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5567] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(662), 1,
      sym_text_interpolation,
    ACTIONS(1614), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1612), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5636] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(663), 1,
      sym_text_interpolation,
    ACTIONS(1686), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1684), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5705] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_EQ,
    STATE(664), 1,
      sym_text_interpolation,
    ACTIONS(1765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1767), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1692), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5782] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(665), 1,
      sym_text_interpolation,
    ACTIONS(1598), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1596), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5851] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(666), 1,
      sym_text_interpolation,
    ACTIONS(1678), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1676), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5920] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(1769), 1,
      anon_sym_RPAREN2,
    STATE(667), 1,
      sym_text_interpolation,
    STATE(2238), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1692), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6005] = 40,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(859), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_LPAREN2,
    ACTIONS(1718), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1761), 1,
      sym_name,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(616), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(668), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1565), 1,
      sym__callable_variable,
    STATE(1691), 1,
      sym__name,
    STATE(1697), 1,
      sym__new_variable,
    STATE(1747), 1,
      sym__new_dereferencable_expression,
    STATE(1857), 1,
      sym__dereferencable_expression,
    STATE(1935), 1,
      sym_class_constant_access_expression,
    STATE(2412), 1,
      sym__callable_expression,
    STATE(2438), 1,
      sym__array_destructing,
    STATE(2447), 1,
      sym_by_ref,
    STATE(2599), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1748), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(779), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1702), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(604), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [6144] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(669), 1,
      sym_text_interpolation,
    ACTIONS(1606), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6213] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    ACTIONS(1771), 1,
      anon_sym_EQ,
    STATE(670), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1773), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1692), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6292] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_EQ,
    STATE(671), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1759), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1692), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6369] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(672), 1,
      sym_text_interpolation,
    ACTIONS(1678), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1676), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6438] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1759), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1692), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6515] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_EQ,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    STATE(674), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1692), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1704), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6594] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_EQ,
    STATE(675), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1692), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1704), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6670] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_EQ,
    STATE(676), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1692), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1704), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6746] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(1769), 1,
      anon_sym_RPAREN2,
    STATE(677), 1,
      sym_text_interpolation,
    STATE(2238), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1692), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6828] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(1769), 1,
      anon_sym_RPAREN2,
    STATE(678), 1,
      sym_text_interpolation,
    STATE(2238), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1692), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6910] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    ACTIONS(1757), 1,
      anon_sym_EQ,
    STATE(679), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1775), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1692), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1759), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6990] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(680), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1778), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1692), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7070] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(681), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1780), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1692), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7150] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_EQ,
    STATE(682), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1773), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1692), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7226] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_EQ,
    STATE(683), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1773), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1692), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7302] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_LPAREN2,
    ACTIONS(1718), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1761), 1,
      sym_name,
    ACTIONS(1782), 1,
      anon_sym_RPAREN2,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(616), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(684), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1606), 1,
      sym__callable_variable,
    STATE(1651), 1,
      sym__new_variable,
    STATE(1691), 1,
      sym__name,
    STATE(1747), 1,
      sym__new_dereferencable_expression,
    STATE(1857), 1,
      sym__dereferencable_expression,
    STATE(1935), 1,
      sym_class_constant_access_expression,
    STATE(2412), 1,
      sym__callable_expression,
    STATE(2599), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1748), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(779), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1658), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(604), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [7435] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_LPAREN2,
    ACTIONS(1718), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1761), 1,
      sym_name,
    ACTIONS(1784), 1,
      anon_sym_RPAREN2,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(616), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(685), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1606), 1,
      sym__callable_variable,
    STATE(1651), 1,
      sym__new_variable,
    STATE(1691), 1,
      sym__name,
    STATE(1747), 1,
      sym__new_dereferencable_expression,
    STATE(1857), 1,
      sym__dereferencable_expression,
    STATE(1935), 1,
      sym_class_constant_access_expression,
    STATE(2412), 1,
      sym__callable_expression,
    STATE(2599), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1748), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(779), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1658), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(604), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [7568] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_LPAREN2,
    ACTIONS(1718), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1761), 1,
      sym_name,
    ACTIONS(1786), 1,
      anon_sym_RPAREN2,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(616), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(686), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1606), 1,
      sym__callable_variable,
    STATE(1651), 1,
      sym__new_variable,
    STATE(1691), 1,
      sym__name,
    STATE(1747), 1,
      sym__new_dereferencable_expression,
    STATE(1857), 1,
      sym__dereferencable_expression,
    STATE(1935), 1,
      sym_class_constant_access_expression,
    STATE(2412), 1,
      sym__callable_expression,
    STATE(2599), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1748), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(779), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1658), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(604), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [7701] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_LPAREN2,
    ACTIONS(1718), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1761), 1,
      sym_name,
    ACTIONS(1788), 1,
      anon_sym_RPAREN2,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(616), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(687), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1606), 1,
      sym__callable_variable,
    STATE(1651), 1,
      sym__new_variable,
    STATE(1691), 1,
      sym__name,
    STATE(1747), 1,
      sym__new_dereferencable_expression,
    STATE(1857), 1,
      sym__dereferencable_expression,
    STATE(1935), 1,
      sym_class_constant_access_expression,
    STATE(2412), 1,
      sym__callable_expression,
    STATE(2599), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1748), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(779), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1658), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(604), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [7834] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(688), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1778), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1692), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7911] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(689), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1780), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1692), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7988] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(690), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1778), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1692), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8065] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(691), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1780), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1692), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8142] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_EQ,
    STATE(692), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1775), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1692), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1759), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8219] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    ACTIONS(1757), 1,
      anon_sym_EQ,
    STATE(693), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1790), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1692), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1759), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8298] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_EQ,
    STATE(694), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1775), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1692), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1759), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8375] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_EQ,
    STATE(695), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1790), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1692), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1759), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8451] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_LPAREN2,
    ACTIONS(1718), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1761), 1,
      sym_name,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(616), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(696), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(717), 1,
      sym__callable_variable,
    STATE(747), 1,
      sym__new_variable,
    STATE(1691), 1,
      sym__name,
    STATE(1747), 1,
      sym__new_dereferencable_expression,
    STATE(1857), 1,
      sym__dereferencable_expression,
    STATE(1935), 1,
      sym_class_constant_access_expression,
    STATE(2412), 1,
      sym__callable_expression,
    STATE(2599), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1748), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(739), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(779), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(604), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8581] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1797), 1,
      anon_sym_BSLASH,
    STATE(697), 1,
      sym_text_interpolation,
    STATE(2437), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1793), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1795), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8651] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_LPAREN2,
    ACTIONS(1718), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1761), 1,
      sym_name,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(616), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(698), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1606), 1,
      sym__callable_variable,
    STATE(1651), 1,
      sym__new_variable,
    STATE(1691), 1,
      sym__name,
    STATE(1747), 1,
      sym__new_dereferencable_expression,
    STATE(1857), 1,
      sym__dereferencable_expression,
    STATE(1935), 1,
      sym_class_constant_access_expression,
    STATE(2412), 1,
      sym__callable_expression,
    STATE(2599), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1748), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(779), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1658), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(604), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8781] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1718), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1761), 1,
      sym_name,
    ACTIONS(1800), 1,
      anon_sym_LPAREN2,
    ACTIONS(1802), 1,
      anon_sym_DOLLAR,
    STATE(699), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(956), 1,
      sym__simple_variable,
    STATE(958), 1,
      sym__variable_subscript_expression,
    STATE(963), 1,
      sym__variable_scoped_property_access_expression,
    STATE(967), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(969), 1,
      sym__variable_member_access_expression,
    STATE(985), 1,
      sym__callable_variable,
    STATE(1030), 1,
      sym__new_variable,
    STATE(1698), 1,
      sym__name,
    STATE(1747), 1,
      sym__new_dereferencable_expression,
    STATE(1935), 1,
      sym_class_constant_access_expression,
    STATE(1939), 1,
      sym__dereferencable_expression,
    STATE(2324), 1,
      sym__callable_expression,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    STATE(2728), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(957), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1748), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(779), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1026), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(959), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8911] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1718), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1761), 1,
      sym_name,
    ACTIONS(1800), 1,
      anon_sym_LPAREN2,
    ACTIONS(1802), 1,
      anon_sym_DOLLAR,
    STATE(700), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(956), 1,
      sym__simple_variable,
    STATE(958), 1,
      sym__variable_subscript_expression,
    STATE(963), 1,
      sym__variable_scoped_property_access_expression,
    STATE(967), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(969), 1,
      sym__variable_member_access_expression,
    STATE(993), 1,
      sym__callable_variable,
    STATE(1034), 1,
      sym__new_variable,
    STATE(1698), 1,
      sym__name,
    STATE(1747), 1,
      sym__new_dereferencable_expression,
    STATE(1935), 1,
      sym_class_constant_access_expression,
    STATE(1939), 1,
      sym__dereferencable_expression,
    STATE(2324), 1,
      sym__callable_expression,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    STATE(2728), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(957), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1748), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(779), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1039), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(959), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9041] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1718), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1761), 1,
      sym_name,
    ACTIONS(1804), 1,
      anon_sym_LPAREN2,
    ACTIONS(1806), 1,
      anon_sym_DOLLAR,
    STATE(701), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(810), 1,
      sym__variable_member_access_expression,
    STATE(815), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(816), 1,
      sym__variable_scoped_property_access_expression,
    STATE(818), 1,
      sym__variable_subscript_expression,
    STATE(819), 1,
      sym__simple_variable,
    STATE(835), 1,
      sym__callable_variable,
    STATE(852), 1,
      sym__new_variable,
    STATE(1668), 1,
      sym__name,
    STATE(1747), 1,
      sym__new_dereferencable_expression,
    STATE(1910), 1,
      sym__dereferencable_expression,
    STATE(1935), 1,
      sym_class_constant_access_expression,
    STATE(2365), 1,
      sym__callable_expression,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2679), 1,
      sym__scope_resolution_qualifier,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(775), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1748), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(779), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(857), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(817), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9171] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_LPAREN2,
    ACTIONS(1718), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1761), 1,
      sym_name,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(616), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(702), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1549), 1,
      sym__callable_variable,
    STATE(1587), 1,
      sym__new_variable,
    STATE(1691), 1,
      sym__name,
    STATE(1747), 1,
      sym__new_dereferencable_expression,
    STATE(1857), 1,
      sym__dereferencable_expression,
    STATE(1935), 1,
      sym_class_constant_access_expression,
    STATE(2412), 1,
      sym__callable_expression,
    STATE(2599), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1748), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(779), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1585), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(604), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9301] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_LPAREN2,
    ACTIONS(1718), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1761), 1,
      sym_name,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(616), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(703), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1559), 1,
      sym__callable_variable,
    STATE(1570), 1,
      sym__new_variable,
    STATE(1691), 1,
      sym__name,
    STATE(1747), 1,
      sym__new_dereferencable_expression,
    STATE(1857), 1,
      sym__dereferencable_expression,
    STATE(1935), 1,
      sym_class_constant_access_expression,
    STATE(2412), 1,
      sym__callable_expression,
    STATE(2599), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1748), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(779), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1578), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(604), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9431] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1718), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1761), 1,
      sym_name,
    ACTIONS(1800), 1,
      anon_sym_LPAREN2,
    ACTIONS(1802), 1,
      anon_sym_DOLLAR,
    STATE(704), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(918), 1,
      sym__callable_variable,
    STATE(956), 1,
      sym__simple_variable,
    STATE(958), 1,
      sym__variable_subscript_expression,
    STATE(963), 1,
      sym__variable_scoped_property_access_expression,
    STATE(967), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(969), 1,
      sym__variable_member_access_expression,
    STATE(1009), 1,
      sym__new_variable,
    STATE(1698), 1,
      sym__name,
    STATE(1747), 1,
      sym__new_dereferencable_expression,
    STATE(1935), 1,
      sym_class_constant_access_expression,
    STATE(1939), 1,
      sym__dereferencable_expression,
    STATE(2324), 1,
      sym__callable_expression,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    STATE(2728), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(957), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1748), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(779), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1019), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(959), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9561] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(1560), 1,
      anon_sym_LPAREN2,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1718), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1761), 1,
      sym_name,
    STATE(705), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(717), 1,
      sym__callable_variable,
    STATE(735), 1,
      sym__simple_variable,
    STATE(747), 1,
      sym__new_variable,
    STATE(757), 1,
      sym__variable_member_access_expression,
    STATE(758), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(759), 1,
      sym__variable_scoped_property_access_expression,
    STATE(762), 1,
      sym__variable_subscript_expression,
    STATE(1686), 1,
      sym__name,
    STATE(1747), 1,
      sym__new_dereferencable_expression,
    STATE(1935), 1,
      sym_class_constant_access_expression,
    STATE(1944), 1,
      sym__dereferencable_expression,
    STATE(2342), 1,
      sym__callable_expression,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    STATE(2705), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(726), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1748), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(739), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(779), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(730), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9691] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_EQ,
    STATE(706), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1790), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1692), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1759), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1694), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9767] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1718), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1761), 1,
      sym_name,
    ACTIONS(1804), 1,
      anon_sym_LPAREN2,
    ACTIONS(1806), 1,
      anon_sym_DOLLAR,
    STATE(707), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(802), 1,
      sym__callable_variable,
    STATE(810), 1,
      sym__variable_member_access_expression,
    STATE(815), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(816), 1,
      sym__variable_scoped_property_access_expression,
    STATE(818), 1,
      sym__variable_subscript_expression,
    STATE(819), 1,
      sym__simple_variable,
    STATE(861), 1,
      sym__new_variable,
    STATE(1668), 1,
      sym__name,
    STATE(1747), 1,
      sym__new_dereferencable_expression,
    STATE(1910), 1,
      sym__dereferencable_expression,
    STATE(1935), 1,
      sym_class_constant_access_expression,
    STATE(2365), 1,
      sym__callable_expression,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2679), 1,
      sym__scope_resolution_qualifier,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(775), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1748), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(779), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(851), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(817), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9897] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(1558), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1718), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1761), 1,
      sym_name,
    ACTIONS(1808), 1,
      anon_sym_LPAREN2,
    STATE(708), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(869), 1,
      sym__simple_variable,
    STATE(878), 1,
      sym__callable_variable,
    STATE(895), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(903), 1,
      sym__variable_scoped_property_access_expression,
    STATE(907), 1,
      sym__new_variable,
    STATE(910), 1,
      sym__variable_member_access_expression,
    STATE(915), 1,
      sym__variable_subscript_expression,
    STATE(1704), 1,
      sym__name,
    STATE(1747), 1,
      sym__new_dereferencable_expression,
    STATE(1913), 1,
      sym__dereferencable_expression,
    STATE(1935), 1,
      sym_class_constant_access_expression,
    STATE(2305), 1,
      sym__callable_expression,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2648), 1,
      sym__scope_resolution_qualifier,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(867), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1748), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(779), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(906), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(865), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [10027] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_LPAREN2,
    ACTIONS(1718), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1761), 1,
      sym_name,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(616), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(709), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(756), 1,
      sym__callable_variable,
    STATE(830), 1,
      sym__new_variable,
    STATE(1691), 1,
      sym__name,
    STATE(1747), 1,
      sym__new_dereferencable_expression,
    STATE(1857), 1,
      sym__dereferencable_expression,
    STATE(1935), 1,
      sym_class_constant_access_expression,
    STATE(2412), 1,
      sym__callable_expression,
    STATE(2599), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1748), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(779), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(831), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(604), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [10157] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1718), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1761), 1,
      sym_name,
    ACTIONS(1804), 1,
      anon_sym_LPAREN2,
    ACTIONS(1806), 1,
      anon_sym_DOLLAR,
    STATE(710), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(756), 1,
      sym__callable_variable,
    STATE(810), 1,
      sym__variable_member_access_expression,
    STATE(815), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(816), 1,
      sym__variable_scoped_property_access_expression,
    STATE(818), 1,
      sym__variable_subscript_expression,
    STATE(819), 1,
      sym__simple_variable,
    STATE(830), 1,
      sym__new_variable,
    STATE(1668), 1,
      sym__name,
    STATE(1747), 1,
      sym__new_dereferencable_expression,
    STATE(1910), 1,
      sym__dereferencable_expression,
    STATE(1935), 1,
      sym_class_constant_access_expression,
    STATE(2365), 1,
      sym__callable_expression,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2679), 1,
      sym__scope_resolution_qualifier,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(775), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1748), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(779), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(831), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(817), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [10287] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(711), 1,
      sym_text_interpolation,
    ACTIONS(1810), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1812), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10351] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(712), 1,
      sym_text_interpolation,
    ACTIONS(1814), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(1662), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10417] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      anon_sym_LPAREN2,
    STATE(713), 1,
      sym_text_interpolation,
    STATE(727), 1,
      sym_arguments,
    ACTIONS(1588), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10482] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1820), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1822), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(1824), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(1832), 1,
      anon_sym_DOLLAR,
    STATE(714), 1,
      sym_text_interpolation,
    STATE(1138), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1476), 1,
      sym__types,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1592), 1,
      sym_property_element,
    STATE(1833), 1,
      sym__function_definition_header,
    STATE(1834), 1,
      sym_variable_name,
    STATE(2267), 1,
      sym_type,
    STATE(2614), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1530), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [10591] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(715), 1,
      sym_text_interpolation,
    ACTIONS(1326), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1324), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10652] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(716), 1,
      sym_text_interpolation,
    ACTIONS(1646), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10713] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    STATE(717), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10778] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(718), 1,
      sym_text_interpolation,
    ACTIONS(1162), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1160), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10839] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      anon_sym_LPAREN2,
    STATE(719), 1,
      sym_text_interpolation,
    STATE(728), 1,
      sym_arguments,
    ACTIONS(1594), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10904] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1820), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1822), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(1824), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(1832), 1,
      anon_sym_DOLLAR,
    STATE(720), 1,
      sym_text_interpolation,
    STATE(1138), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1476), 1,
      sym__types,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1591), 1,
      sym_property_element,
    STATE(1791), 1,
      sym__function_definition_header,
    STATE(1834), 1,
      sym_variable_name,
    STATE(2081), 1,
      sym_type,
    STATE(2614), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1530), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [11013] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(721), 1,
      sym_text_interpolation,
    ACTIONS(1650), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11073] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(722), 1,
      sym_text_interpolation,
    ACTIONS(1630), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1628), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11133] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(723), 1,
      sym_text_interpolation,
    ACTIONS(1576), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11193] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(724), 1,
      sym_text_interpolation,
    ACTIONS(1658), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11253] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(725), 1,
      sym_text_interpolation,
    ACTIONS(1580), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11313] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(726), 1,
      sym_text_interpolation,
    ACTIONS(1690), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11373] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(727), 1,
      sym_text_interpolation,
    ACTIONS(1634), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11433] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(728), 1,
      sym_text_interpolation,
    ACTIONS(1626), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11493] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(729), 1,
      sym_text_interpolation,
    ACTIONS(1618), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11553] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(730), 1,
      sym_text_interpolation,
    ACTIONS(1642), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11613] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(731), 1,
      sym_text_interpolation,
    ACTIONS(1584), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11673] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(732), 1,
      sym_text_interpolation,
    ACTIONS(1602), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11733] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(733), 1,
      sym_text_interpolation,
    ACTIONS(1654), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11793] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(734), 1,
      sym_text_interpolation,
    ACTIONS(1570), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11853] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    STATE(735), 1,
      sym_text_interpolation,
    ACTIONS(1666), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11915] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    STATE(736), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1694), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11981] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(737), 1,
      sym_text_interpolation,
    ACTIONS(1814), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(1662), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12043] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(738), 1,
      sym_text_interpolation,
    ACTIONS(1662), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12103] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(739), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12165] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(740), 1,
      sym_text_interpolation,
    ACTIONS(1662), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12225] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(741), 1,
      sym_text_interpolation,
    ACTIONS(1674), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12285] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(742), 1,
      sym_text_interpolation,
    STATE(2408), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1644), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1694), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12351] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(743), 1,
      sym_text_interpolation,
    ACTIONS(1610), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12411] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(744), 1,
      sym_text_interpolation,
    ACTIONS(1646), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12471] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(745), 1,
      sym_text_interpolation,
    ACTIONS(1670), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12531] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1600), 1,
      anon_sym_LPAREN2,
    STATE(746), 1,
      sym_text_interpolation,
    ACTIONS(1622), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1620), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12593] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(747), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12655] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(748), 1,
      sym_text_interpolation,
    ACTIONS(1638), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12714] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(749), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1694), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12777] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1600), 1,
      anon_sym_LPAREN2,
    STATE(750), 1,
      sym_text_interpolation,
    ACTIONS(1839), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12838] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_LPAREN2,
    STATE(751), 1,
      sym_text_interpolation,
    STATE(771), 1,
      sym_arguments,
    ACTIONS(1588), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12901] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(752), 1,
      sym_text_interpolation,
    ACTIONS(1598), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12960] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(753), 1,
      sym_text_interpolation,
    ACTIONS(1702), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1694), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13023] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_LPAREN2,
    STATE(754), 1,
      sym_text_interpolation,
    ACTIONS(1845), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1843), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13084] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(755), 1,
      sym_text_interpolation,
    ACTIONS(1686), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13143] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    STATE(756), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1849), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1847), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13206] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(757), 1,
      sym_text_interpolation,
    ACTIONS(1678), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13265] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(758), 1,
      sym_text_interpolation,
    ACTIONS(1678), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13324] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(759), 1,
      sym_text_interpolation,
    ACTIONS(1606), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13383] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_LPAREN2,
    STATE(760), 1,
      sym_text_interpolation,
    STATE(770), 1,
      sym_arguments,
    ACTIONS(1594), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13446] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(761), 1,
      sym_text_interpolation,
    ACTIONS(1614), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13505] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(762), 1,
      sym_text_interpolation,
    ACTIONS(1666), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13564] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(763), 1,
      sym_text_interpolation,
    ACTIONS(1682), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13623] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(764), 1,
      sym_text_interpolation,
    ACTIONS(1650), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13681] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(765), 1,
      sym_text_interpolation,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13739] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(766), 1,
      sym_text_interpolation,
    ACTIONS(1584), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13797] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(767), 1,
      sym_text_interpolation,
    ACTIONS(1654), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13855] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(768), 1,
      sym_text_interpolation,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13913] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(769), 1,
      sym_text_interpolation,
    ACTIONS(1618), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13971] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(770), 1,
      sym_text_interpolation,
    ACTIONS(1626), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14029] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(771), 1,
      sym_text_interpolation,
    ACTIONS(1634), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14087] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1600), 1,
      anon_sym_LPAREN2,
    STATE(772), 1,
      sym_text_interpolation,
    ACTIONS(1622), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1620), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14147] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(773), 1,
      sym_text_interpolation,
    ACTIONS(1035), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1033), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14205] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(774), 1,
      sym_text_interpolation,
    ACTIONS(1580), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14263] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(775), 1,
      sym_text_interpolation,
    ACTIONS(1690), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14321] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(776), 1,
      sym_text_interpolation,
    ACTIONS(1598), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14379] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(777), 1,
      sym_text_interpolation,
    ACTIONS(1686), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14437] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(778), 1,
      sym_text_interpolation,
    ACTIONS(1855), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1853), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1851), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14497] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(779), 1,
      sym_text_interpolation,
    ACTIONS(1859), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14555] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(780), 1,
      sym_text_interpolation,
    ACTIONS(1855), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1694), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14615] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(781), 1,
      sym_text_interpolation,
    ACTIONS(1658), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14673] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(782), 1,
      sym_text_interpolation,
    ACTIONS(1863), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1861), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14731] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(783), 1,
      sym_text_interpolation,
    ACTIONS(1630), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1628), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14789] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(784), 1,
      sym_text_interpolation,
    ACTIONS(1670), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14847] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(785), 1,
      sym_text_interpolation,
    ACTIONS(1867), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1865), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14905] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(786), 1,
      sym_text_interpolation,
    ACTIONS(1871), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1869), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14963] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(787), 1,
      sym_text_interpolation,
    ACTIONS(1875), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1873), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15021] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(788), 1,
      sym_text_interpolation,
    ACTIONS(1674), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15079] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(789), 1,
      sym_text_interpolation,
    ACTIONS(1879), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1877), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15137] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(790), 1,
      sym_text_interpolation,
    ACTIONS(1883), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1881), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15195] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(791), 1,
      sym_text_interpolation,
    ACTIONS(1887), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1885), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15253] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(792), 1,
      sym_text_interpolation,
    ACTIONS(1602), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15311] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(793), 1,
      sym_text_interpolation,
    ACTIONS(1891), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1889), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15369] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(794), 1,
      sym_text_interpolation,
    ACTIONS(1895), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1893), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15427] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(795), 1,
      sym_text_interpolation,
    ACTIONS(1899), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15485] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(796), 1,
      sym_text_interpolation,
    ACTIONS(1903), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1901), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15543] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_LPAREN2,
    STATE(797), 1,
      sym_text_interpolation,
    ACTIONS(1911), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1907), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1905), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15605] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1919), 1,
      anon_sym_DASH_GT,
    ACTIONS(1921), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(1923), 1,
      anon_sym_LBRACK,
    STATE(798), 1,
      sym_text_interpolation,
    ACTIONS(1915), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1913), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15671] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(799), 1,
      sym_text_interpolation,
    ACTIONS(1927), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1925), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15729] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(800), 1,
      sym_text_interpolation,
    ACTIONS(1931), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1929), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15787] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    STATE(801), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1694), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15849] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    STATE(802), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1935), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1933), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15911] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1944), 1,
      anon_sym_EQ,
    STATE(803), 1,
      sym_text_interpolation,
    ACTIONS(1941), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1939), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 29,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15973] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(804), 1,
      sym_text_interpolation,
    ACTIONS(1638), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16031] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(805), 1,
      sym_text_interpolation,
    ACTIONS(1948), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1946), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16089] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(806), 1,
      sym_text_interpolation,
    ACTIONS(1952), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1950), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16147] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(807), 1,
      sym_text_interpolation,
    ACTIONS(1956), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1954), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16205] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(808), 1,
      sym_text_interpolation,
    ACTIONS(1958), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1694), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16265] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(809), 1,
      sym_text_interpolation,
    ACTIONS(1962), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1960), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16323] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(810), 1,
      sym_text_interpolation,
    ACTIONS(1678), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16381] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(811), 1,
      sym_text_interpolation,
    ACTIONS(1966), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1964), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16439] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(812), 1,
      sym_text_interpolation,
    ACTIONS(1970), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1968), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16497] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(813), 1,
      sym_text_interpolation,
    ACTIONS(1974), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1972), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16555] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(814), 1,
      sym_text_interpolation,
    ACTIONS(1978), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1976), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16613] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(815), 1,
      sym_text_interpolation,
    ACTIONS(1678), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16671] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(816), 1,
      sym_text_interpolation,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16729] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(817), 1,
      sym_text_interpolation,
    ACTIONS(1642), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16787] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(818), 1,
      sym_text_interpolation,
    ACTIONS(1666), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16845] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    STATE(819), 1,
      sym_text_interpolation,
    ACTIONS(1666), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16905] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(820), 1,
      sym_text_interpolation,
    ACTIONS(1982), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1980), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16963] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(821), 1,
      sym_text_interpolation,
    ACTIONS(1986), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1984), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17021] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(822), 1,
      sym_text_interpolation,
    ACTIONS(1990), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1988), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17079] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(823), 1,
      sym_text_interpolation,
    ACTIONS(1039), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1037), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17137] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(824), 1,
      sym_text_interpolation,
    ACTIONS(1564), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1566), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17195] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(825), 1,
      sym_text_interpolation,
    ACTIONS(1994), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1992), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17253] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(826), 1,
      sym_text_interpolation,
    ACTIONS(1998), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1996), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17311] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(827), 1,
      sym_text_interpolation,
    ACTIONS(2002), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2000), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17369] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(828), 1,
      sym_text_interpolation,
    ACTIONS(2006), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2004), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17427] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(829), 1,
      sym_text_interpolation,
    ACTIONS(1939), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17485] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(830), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1849), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1847), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17545] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(831), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1849), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1847), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17605] = 28,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(2010), 1,
      anon_sym_COMMA,
    ACTIONS(2012), 1,
      anon_sym_BSLASH,
    ACTIONS(2014), 1,
      anon_sym_LPAREN2,
    ACTIONS(2016), 1,
      anon_sym_RPAREN2,
    ACTIONS(2018), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2020), 1,
      anon_sym_QMARK,
    ACTIONS(2022), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    STATE(832), 1,
      sym_text_interpolation,
    STATE(1137), 1,
      sym_attribute_list,
    STATE(1225), 1,
      sym_visibility_modifier,
    STATE(1338), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1341), 1,
      sym_attribute_group,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1583), 1,
      sym__types,
    STATE(1767), 1,
      sym_type,
    STATE(2068), 1,
      sym_reference_modifier,
    STATE(2089), 1,
      sym_variable_name,
    STATE(2647), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1530), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2076), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [17709] = 28,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(2012), 1,
      anon_sym_BSLASH,
    ACTIONS(2014), 1,
      anon_sym_LPAREN2,
    ACTIONS(2018), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2020), 1,
      anon_sym_QMARK,
    ACTIONS(2022), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    ACTIONS(2026), 1,
      anon_sym_COMMA,
    ACTIONS(2028), 1,
      anon_sym_RPAREN2,
    STATE(833), 1,
      sym_text_interpolation,
    STATE(1137), 1,
      sym_attribute_list,
    STATE(1225), 1,
      sym_visibility_modifier,
    STATE(1338), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1341), 1,
      sym_attribute_group,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1583), 1,
      sym__types,
    STATE(1767), 1,
      sym_type,
    STATE(2068), 1,
      sym_reference_modifier,
    STATE(2089), 1,
      sym_variable_name,
    STATE(2647), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1530), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2103), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [17813] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(834), 1,
      sym_text_interpolation,
    ACTIONS(2032), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2030), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17871] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    STATE(835), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17933] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(836), 1,
      sym_text_interpolation,
    ACTIONS(2036), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2034), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17991] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(837), 1,
      sym_text_interpolation,
    ACTIONS(2040), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2038), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18049] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(838), 1,
      sym_text_interpolation,
    ACTIONS(2044), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2042), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18107] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(839), 1,
      sym_text_interpolation,
    ACTIONS(2048), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2046), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18165] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(840), 1,
      sym_text_interpolation,
    ACTIONS(2052), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2050), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18223] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(841), 1,
      sym_text_interpolation,
    ACTIONS(2056), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2054), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18281] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(842), 1,
      sym_text_interpolation,
    ACTIONS(2060), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2058), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18339] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(843), 1,
      sym_text_interpolation,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18397] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(844), 1,
      sym_text_interpolation,
    ACTIONS(2064), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2062), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18455] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(845), 1,
      sym_text_interpolation,
    ACTIONS(2068), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2066), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18513] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(846), 1,
      sym_text_interpolation,
    ACTIONS(1576), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18571] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(847), 1,
      sym_text_interpolation,
    ACTIONS(1682), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18629] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(848), 1,
      sym_text_interpolation,
    ACTIONS(1662), 12,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18686] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(849), 1,
      sym_text_interpolation,
    STATE(2408), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1646), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18747] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1797), 1,
      anon_sym_BSLASH,
    STATE(850), 1,
      sym_text_interpolation,
    STATE(2437), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1793), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1795), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18808] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(851), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1935), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1933), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18867] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(852), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18926] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(2012), 1,
      anon_sym_BSLASH,
    ACTIONS(2014), 1,
      anon_sym_LPAREN2,
    ACTIONS(2018), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2020), 1,
      anon_sym_QMARK,
    ACTIONS(2022), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    ACTIONS(2070), 1,
      anon_sym_RPAREN2,
    STATE(853), 1,
      sym_text_interpolation,
    STATE(1137), 1,
      sym_attribute_list,
    STATE(1225), 1,
      sym_visibility_modifier,
    STATE(1338), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1341), 1,
      sym_attribute_group,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1583), 1,
      sym__types,
    STATE(1767), 1,
      sym_type,
    STATE(2068), 1,
      sym_reference_modifier,
    STATE(2089), 1,
      sym_variable_name,
    STATE(2647), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1530), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2317), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [19027] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(2012), 1,
      anon_sym_BSLASH,
    ACTIONS(2014), 1,
      anon_sym_LPAREN2,
    ACTIONS(2018), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2020), 1,
      anon_sym_QMARK,
    ACTIONS(2022), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    ACTIONS(2072), 1,
      anon_sym_RPAREN2,
    STATE(854), 1,
      sym_text_interpolation,
    STATE(1137), 1,
      sym_attribute_list,
    STATE(1225), 1,
      sym_visibility_modifier,
    STATE(1338), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1341), 1,
      sym_attribute_group,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1583), 1,
      sym__types,
    STATE(1767), 1,
      sym_type,
    STATE(2068), 1,
      sym_reference_modifier,
    STATE(2089), 1,
      sym_variable_name,
    STATE(2647), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1530), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2317), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [19128] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(855), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1694), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19187] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1797), 1,
      anon_sym_BSLASH,
    STATE(856), 1,
      sym_text_interpolation,
    STATE(2437), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1793), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1795), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19248] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(857), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19307] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2074), 1,
      anon_sym_LPAREN2,
    STATE(858), 1,
      sym_text_interpolation,
    STATE(889), 1,
      sym_arguments,
    ACTIONS(1594), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19368] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2074), 1,
      anon_sym_LPAREN2,
    STATE(859), 1,
      sym_text_interpolation,
    STATE(891), 1,
      sym_arguments,
    ACTIONS(1588), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19429] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(2012), 1,
      anon_sym_BSLASH,
    ACTIONS(2014), 1,
      anon_sym_LPAREN2,
    ACTIONS(2018), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2020), 1,
      anon_sym_QMARK,
    ACTIONS(2022), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    ACTIONS(2076), 1,
      anon_sym_RPAREN2,
    STATE(860), 1,
      sym_text_interpolation,
    STATE(1137), 1,
      sym_attribute_list,
    STATE(1225), 1,
      sym_visibility_modifier,
    STATE(1338), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1341), 1,
      sym_attribute_group,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1583), 1,
      sym__types,
    STATE(1767), 1,
      sym_type,
    STATE(2068), 1,
      sym_reference_modifier,
    STATE(2089), 1,
      sym_variable_name,
    STATE(2647), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1530), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2317), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [19530] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(861), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1935), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1933), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19589] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(2012), 1,
      anon_sym_BSLASH,
    ACTIONS(2014), 1,
      anon_sym_LPAREN2,
    ACTIONS(2018), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2020), 1,
      anon_sym_QMARK,
    ACTIONS(2022), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    ACTIONS(2078), 1,
      anon_sym_RPAREN2,
    STATE(862), 1,
      sym_text_interpolation,
    STATE(1137), 1,
      sym_attribute_list,
    STATE(1225), 1,
      sym_visibility_modifier,
    STATE(1338), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1341), 1,
      sym_attribute_group,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1583), 1,
      sym__types,
    STATE(1767), 1,
      sym_type,
    STATE(2068), 1,
      sym_reference_modifier,
    STATE(2089), 1,
      sym_variable_name,
    STATE(2647), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1530), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2317), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [19690] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(863), 1,
      sym_text_interpolation,
    ACTIONS(1662), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19746] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(864), 1,
      sym_text_interpolation,
    ACTIONS(1580), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19802] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(865), 1,
      sym_text_interpolation,
    ACTIONS(1642), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19858] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    STATE(866), 1,
      sym_text_interpolation,
    ACTIONS(1765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1694), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19920] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(867), 1,
      sym_text_interpolation,
    ACTIONS(1690), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19976] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(868), 1,
      sym_text_interpolation,
    ACTIONS(1646), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20032] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    STATE(869), 1,
      sym_text_interpolation,
    ACTIONS(1666), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20090] = 35,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1802), 1,
      anon_sym_DOLLAR,
    ACTIONS(2080), 1,
      sym_name,
    ACTIONS(2082), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2084), 1,
      anon_sym_BSLASH,
    ACTIONS(2086), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2088), 1,
      anon_sym_LPAREN2,
    STATE(870), 1,
      sym_text_interpolation,
    STATE(963), 1,
      sym__variable_scoped_property_access_expression,
    STATE(967), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(969), 1,
      sym__variable_member_access_expression,
    STATE(971), 1,
      sym_anonymous_class,
    STATE(974), 1,
      sym__new_variable,
    STATE(1042), 1,
      sym__reserved_identifier,
    STATE(1044), 1,
      sym__class_name_reference,
    STATE(1045), 1,
      sym__name,
    STATE(1078), 1,
      sym_parenthesized_expression,
    STATE(1335), 1,
      sym__modifier,
    STATE(1364), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1372), 1,
      sym_attribute_group,
    STATE(1393), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1395), 1,
      sym_attribute_list,
    STATE(2567), 1,
      sym_namespace_name,
    ACTIONS(2090), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(957), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(958), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    STATE(1043), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [20206] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(871), 1,
      sym_text_interpolation,
    STATE(2408), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1644), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1694), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20268] = 35,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1806), 1,
      anon_sym_DOLLAR,
    ACTIONS(2092), 1,
      sym_name,
    ACTIONS(2094), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2096), 1,
      anon_sym_BSLASH,
    ACTIONS(2098), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2100), 1,
      anon_sym_LPAREN2,
    STATE(793), 1,
      sym_anonymous_class,
    STATE(798), 1,
      sym__new_variable,
    STATE(810), 1,
      sym__variable_member_access_expression,
    STATE(815), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(816), 1,
      sym__variable_scoped_property_access_expression,
    STATE(872), 1,
      sym_text_interpolation,
    STATE(909), 1,
      sym__name,
    STATE(911), 1,
      sym__class_name_reference,
    STATE(914), 1,
      sym__reserved_identifier,
    STATE(939), 1,
      sym_parenthesized_expression,
    STATE(1335), 1,
      sym__modifier,
    STATE(1364), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1372), 1,
      sym_attribute_group,
    STATE(1385), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1386), 1,
      sym_attribute_list,
    STATE(2654), 1,
      sym_namespace_name,
    ACTIONS(2102), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(775), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(818), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    STATE(912), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [20384] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_RPAREN2,
    ACTIONS(1944), 1,
      anon_sym_EQ,
    STATE(873), 1,
      sym_text_interpolation,
    ACTIONS(1939), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20444] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(874), 1,
      sym_text_interpolation,
    ACTIONS(1658), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20500] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(875), 1,
      sym_text_interpolation,
    ACTIONS(1630), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1628), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20556] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(876), 1,
      sym_text_interpolation,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20612] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(877), 1,
      sym_text_interpolation,
    ACTIONS(1576), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20668] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    STATE(878), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20728] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1600), 1,
      anon_sym_LPAREN2,
    STATE(879), 1,
      sym_text_interpolation,
    ACTIONS(1622), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1620), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20786] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(2012), 1,
      anon_sym_BSLASH,
    ACTIONS(2014), 1,
      anon_sym_LPAREN2,
    ACTIONS(2018), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2020), 1,
      anon_sym_QMARK,
    ACTIONS(2022), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    STATE(880), 1,
      sym_text_interpolation,
    STATE(1137), 1,
      sym_attribute_list,
    STATE(1225), 1,
      sym_visibility_modifier,
    STATE(1338), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1341), 1,
      sym_attribute_group,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1583), 1,
      sym__types,
    STATE(1767), 1,
      sym_type,
    STATE(2068), 1,
      sym_reference_modifier,
    STATE(2089), 1,
      sym_variable_name,
    STATE(2647), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1530), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2317), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [20884] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(881), 1,
      sym_text_interpolation,
    ACTIONS(1602), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20940] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(882), 1,
      sym_text_interpolation,
    ACTIONS(2106), 18,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2104), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [20996] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(883), 1,
      sym_text_interpolation,
    ACTIONS(1674), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21052] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(884), 1,
      sym_text_interpolation,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21108] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(885), 1,
      sym_text_interpolation,
    ACTIONS(1654), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21164] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(886), 1,
      sym_text_interpolation,
    ACTIONS(1584), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21220] = 35,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      sym_name,
    ACTIONS(2094), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2098), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2108), 1,
      anon_sym_LPAREN2,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(616), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(793), 1,
      sym_anonymous_class,
    STATE(887), 1,
      sym_text_interpolation,
    STATE(939), 1,
      sym_parenthesized_expression,
    STATE(1335), 1,
      sym__modifier,
    STATE(1364), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1372), 1,
      sym_attribute_group,
    STATE(1385), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1386), 1,
      sym_attribute_list,
    STATE(1790), 1,
      sym__new_variable,
    STATE(2473), 1,
      sym__class_name_reference,
    STATE(2483), 1,
      sym__name,
    STATE(2614), 1,
      sym_namespace_name,
    ACTIONS(2102), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(610), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [21336] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(888), 1,
      sym_text_interpolation,
    ACTIONS(1618), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21392] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(889), 1,
      sym_text_interpolation,
    ACTIONS(1626), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21448] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(890), 1,
      sym_text_interpolation,
    ACTIONS(1670), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21504] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(891), 1,
      sym_text_interpolation,
    ACTIONS(1634), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21560] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(892), 1,
      sym_text_interpolation,
    ACTIONS(1650), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21616] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(893), 1,
      sym_text_interpolation,
    ACTIONS(1810), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1812), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21671] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(894), 1,
      sym_text_interpolation,
    ACTIONS(1638), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21726] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(895), 1,
      sym_text_interpolation,
    ACTIONS(1678), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21781] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(896), 1,
      sym_text_interpolation,
    ACTIONS(1598), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21836] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(897), 1,
      sym_text_interpolation,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21891] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(898), 1,
      sym_text_interpolation,
    ACTIONS(1686), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21946] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1944), 1,
      anon_sym_EQ,
    STATE(899), 1,
      sym_text_interpolation,
    ACTIONS(1939), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22003] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(900), 1,
      sym_text_interpolation,
    ACTIONS(1765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1694), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22062] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(901), 1,
      sym_text_interpolation,
    ACTIONS(1810), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1812), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22117] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LPAREN2,
    STATE(902), 1,
      sym_text_interpolation,
    STATE(945), 1,
      sym_arguments,
    ACTIONS(1588), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22176] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(903), 1,
      sym_text_interpolation,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22231] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LPAREN2,
    STATE(904), 1,
      sym_text_interpolation,
    STATE(983), 1,
      sym_arguments,
    ACTIONS(1594), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22290] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(905), 1,
      sym_text_interpolation,
    ACTIONS(2114), 17,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2112), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [22345] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(906), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22402] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(907), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22459] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(908), 1,
      sym_text_interpolation,
    ACTIONS(1682), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22514] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_COLON_COLON,
    STATE(909), 1,
      sym_text_interpolation,
    ACTIONS(1915), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1913), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22571] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(910), 1,
      sym_text_interpolation,
    ACTIONS(1678), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22626] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_LPAREN2,
    STATE(836), 1,
      sym_arguments,
    STATE(911), 1,
      sym_text_interpolation,
    ACTIONS(2118), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2116), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22685] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(912), 1,
      sym_text_interpolation,
    ACTIONS(2120), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1958), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22740] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(913), 1,
      sym_text_interpolation,
    ACTIONS(1765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1694), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22799] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(914), 1,
      sym_text_interpolation,
    ACTIONS(1646), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22854] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(915), 1,
      sym_text_interpolation,
    ACTIONS(1666), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22909] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(916), 1,
      sym_text_interpolation,
    ACTIONS(1879), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1877), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22963] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(917), 1,
      sym_text_interpolation,
    ACTIONS(1326), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1324), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23017] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    STATE(918), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23075] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(919), 1,
      sym_text_interpolation,
    ACTIONS(1682), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23129] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(920), 1,
      sym_text_interpolation,
    ACTIONS(2040), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2038), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23183] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(921), 1,
      sym_text_interpolation,
    ACTIONS(1162), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1160), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23237] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(922), 1,
      sym_text_interpolation,
    ACTIONS(1576), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23291] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(923), 1,
      sym_text_interpolation,
    ACTIONS(1952), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1950), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23345] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(924), 1,
      sym_text_interpolation,
    ACTIONS(1931), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1929), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23399] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(925), 1,
      sym_text_interpolation,
    ACTIONS(2048), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2046), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23453] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(926), 1,
      sym_text_interpolation,
    ACTIONS(1610), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23507] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(927), 1,
      sym_text_interpolation,
    ACTIONS(1630), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1628), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23561] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(928), 1,
      sym_text_interpolation,
    ACTIONS(1658), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23615] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(929), 1,
      sym_text_interpolation,
    ACTIONS(1927), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1925), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23669] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(930), 1,
      sym_text_interpolation,
    STATE(2408), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1646), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23727] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(931), 1,
      sym_text_interpolation,
    ACTIONS(1958), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1694), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23783] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(932), 1,
      sym_text_interpolation,
    ACTIONS(2056), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2054), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23837] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(933), 1,
      sym_text_interpolation,
    ACTIONS(2060), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2058), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23891] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(934), 1,
      sym_text_interpolation,
    ACTIONS(2044), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2042), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23945] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(935), 1,
      sym_text_interpolation,
    ACTIONS(1982), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1980), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23999] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(936), 1,
      sym_text_interpolation,
    ACTIONS(2052), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2050), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24053] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(937), 1,
      sym_text_interpolation,
    ACTIONS(1978), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1976), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24107] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(938), 1,
      sym_text_interpolation,
    ACTIONS(1903), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1901), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24161] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(939), 1,
      sym_text_interpolation,
    ACTIONS(1915), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1913), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24215] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    STATE(940), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1694), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24273] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(941), 1,
      sym_text_interpolation,
    ACTIONS(1899), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24327] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(942), 1,
      sym_text_interpolation,
    ACTIONS(1986), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1984), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24381] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(943), 1,
      sym_text_interpolation,
    ACTIONS(1895), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1893), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24435] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(2122), 1,
      anon_sym_COLON,
    STATE(944), 1,
      sym_text_interpolation,
    STATE(2408), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1644), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1694), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24497] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(945), 1,
      sym_text_interpolation,
    ACTIONS(1634), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24551] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(946), 1,
      sym_text_interpolation,
    ACTIONS(1974), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1972), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24605] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(947), 1,
      sym_text_interpolation,
    ACTIONS(1970), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1968), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24659] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(948), 1,
      sym_text_interpolation,
    ACTIONS(1966), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1964), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24713] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(949), 1,
      sym_text_interpolation,
    ACTIONS(2064), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2062), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24767] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1944), 1,
      anon_sym_EQ,
    STATE(950), 1,
      sym_text_interpolation,
    ACTIONS(1939), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 28,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24823] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(2124), 1,
      anon_sym_COLON,
    STATE(951), 1,
      sym_text_interpolation,
    STATE(2408), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1644), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1694), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24885] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(952), 1,
      sym_text_interpolation,
    ACTIONS(1962), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1960), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24939] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(953), 1,
      sym_text_interpolation,
    ACTIONS(1584), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24993] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(954), 1,
      sym_text_interpolation,
    ACTIONS(1654), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25047] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(955), 1,
      sym_text_interpolation,
    ACTIONS(2068), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2066), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25101] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    STATE(956), 1,
      sym_text_interpolation,
    ACTIONS(1666), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25157] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(957), 1,
      sym_text_interpolation,
    ACTIONS(1690), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25211] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(958), 1,
      sym_text_interpolation,
    ACTIONS(1666), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25265] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(959), 1,
      sym_text_interpolation,
    ACTIONS(1642), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25319] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(960), 1,
      sym_text_interpolation,
    ACTIONS(1875), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1873), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25373] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(961), 1,
      sym_text_interpolation,
    ACTIONS(1867), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1865), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25427] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(962), 1,
      sym_text_interpolation,
    ACTIONS(2002), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2000), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25481] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(963), 1,
      sym_text_interpolation,
    ACTIONS(1606), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25535] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(964), 1,
      sym_text_interpolation,
    ACTIONS(1998), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1996), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25589] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(965), 1,
      sym_text_interpolation,
    ACTIONS(1614), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25643] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(966), 1,
      sym_text_interpolation,
    ACTIONS(1994), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1992), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25697] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(967), 1,
      sym_text_interpolation,
    ACTIONS(1678), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25751] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(968), 1,
      sym_text_interpolation,
    ACTIONS(1883), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1881), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25805] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(969), 1,
      sym_text_interpolation,
    ACTIONS(1678), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25859] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(970), 1,
      sym_text_interpolation,
    ACTIONS(1618), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25913] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(971), 1,
      sym_text_interpolation,
    ACTIONS(1891), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1889), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25967] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(972), 1,
      sym_text_interpolation,
    ACTIONS(1646), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26021] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(973), 1,
      sym_text_interpolation,
    ACTIONS(1887), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1885), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26075] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2126), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2128), 1,
      anon_sym_DASH_GT,
    ACTIONS(2130), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(2132), 1,
      anon_sym_LBRACK,
    STATE(974), 1,
      sym_text_interpolation,
    ACTIONS(1915), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1913), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26137] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_LPAREN2,
    STATE(975), 1,
      sym_text_interpolation,
    ACTIONS(1911), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1907), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1905), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26195] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(976), 1,
      sym_text_interpolation,
    ACTIONS(1863), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1861), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26249] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(977), 1,
      sym_text_interpolation,
    ACTIONS(1602), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26303] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(978), 1,
      sym_text_interpolation,
    ACTIONS(1871), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1869), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26357] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(979), 1,
      sym_text_interpolation,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26411] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(980), 1,
      sym_text_interpolation,
    ACTIONS(2036), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2034), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26465] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_LPAREN2,
    STATE(981), 1,
      sym_text_interpolation,
    ACTIONS(1845), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1843), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26521] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(2134), 1,
      anon_sym_COLON,
    STATE(982), 1,
      sym_text_interpolation,
    STATE(2408), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1644), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1694), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26583] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(983), 1,
      sym_text_interpolation,
    ACTIONS(1626), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26637] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(984), 1,
      sym_text_interpolation,
    ACTIONS(1855), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1694), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26693] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    STATE(985), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1935), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1933), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26751] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(986), 1,
      sym_text_interpolation,
    ACTIONS(1674), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26805] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(987), 1,
      sym_text_interpolation,
    ACTIONS(1948), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1946), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26859] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(988), 1,
      sym_text_interpolation,
    ACTIONS(1650), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26913] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(989), 1,
      sym_text_interpolation,
    ACTIONS(1580), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26967] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(990), 1,
      sym_text_interpolation,
    ACTIONS(1956), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1954), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27021] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(991), 1,
      sym_text_interpolation,
    ACTIONS(1859), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27075] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(992), 1,
      sym_text_interpolation,
    ACTIONS(1670), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27129] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    STATE(993), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1849), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1847), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27187] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(994), 1,
      sym_text_interpolation,
    ACTIONS(1855), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1853), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1851), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27243] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1600), 1,
      anon_sym_LPAREN2,
    STATE(995), 1,
      sym_text_interpolation,
    ACTIONS(1622), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1620), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27299] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(996), 1,
      sym_text_interpolation,
    ACTIONS(2032), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2030), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27353] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(997), 1,
      sym_text_interpolation,
    ACTIONS(1598), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27407] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(998), 1,
      sym_text_interpolation,
    ACTIONS(1662), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27461] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(999), 1,
      sym_text_interpolation,
    ACTIONS(1939), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27515] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1600), 1,
      anon_sym_LPAREN2,
    STATE(1000), 1,
      sym_text_interpolation,
    ACTIONS(1839), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27571] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1001), 1,
      sym_text_interpolation,
    ACTIONS(1564), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1566), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27625] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1002), 1,
      sym_text_interpolation,
    ACTIONS(1686), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27679] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1003), 1,
      sym_text_interpolation,
    ACTIONS(1990), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1988), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27733] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1004), 1,
      sym_text_interpolation,
    ACTIONS(1564), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1566), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27787] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1005), 1,
      sym_text_interpolation,
    ACTIONS(1638), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27841] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1006), 1,
      sym_text_interpolation,
    ACTIONS(2006), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2004), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27895] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1007), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1694), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27950] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1008), 1,
      sym_text_interpolation,
    ACTIONS(2138), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2136), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28003] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1009), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28058] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1010), 1,
      sym_text_interpolation,
    ACTIONS(2142), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2140), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28111] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1011), 1,
      sym_text_interpolation,
    ACTIONS(2146), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2144), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28164] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1012), 1,
      sym_text_interpolation,
    ACTIONS(2150), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2148), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28217] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1013), 1,
      sym_text_interpolation,
    ACTIONS(2154), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2152), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28270] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2160), 1,
      aux_sym_binary_expression_token1,
    STATE(1014), 1,
      sym_text_interpolation,
    ACTIONS(2158), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2156), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28325] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1015), 1,
      sym_text_interpolation,
    ACTIONS(2164), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2162), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28378] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1016), 1,
      sym_text_interpolation,
    ACTIONS(2168), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2166), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28431] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1017), 1,
      sym_text_interpolation,
    ACTIONS(2172), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2170), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28484] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1018), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28537] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1019), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28592] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1020), 1,
      sym_text_interpolation,
    ACTIONS(2180), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2178), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28645] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1021), 1,
      sym_text_interpolation,
    ACTIONS(2158), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2156), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28698] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1022), 1,
      sym_text_interpolation,
    ACTIONS(1694), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28751] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1023), 1,
      sym_text_interpolation,
    ACTIONS(2184), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2182), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28804] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1024), 1,
      sym_text_interpolation,
    ACTIONS(2188), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28857] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1025), 1,
      sym_text_interpolation,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28910] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1026), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1935), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1933), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28965] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1027), 1,
      sym_text_interpolation,
    ACTIONS(2196), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29018] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1028), 1,
      sym_text_interpolation,
    ACTIONS(2200), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2198), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29071] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1029), 1,
      sym_text_interpolation,
    ACTIONS(2204), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2202), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29124] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1030), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1935), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1933), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29179] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1031), 1,
      sym_text_interpolation,
    ACTIONS(2208), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2206), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29232] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1944), 1,
      anon_sym_EQ,
    STATE(1032), 1,
      sym_text_interpolation,
    ACTIONS(2210), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1939), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 25,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29289] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1797), 1,
      anon_sym_BSLASH,
    STATE(1033), 1,
      sym_text_interpolation,
    STATE(2437), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1793), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1795), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29346] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1034), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1849), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1847), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29401] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1035), 1,
      sym_text_interpolation,
    ACTIONS(2214), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29454] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1036), 1,
      sym_text_interpolation,
    ACTIONS(1853), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1851), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29507] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1037), 1,
      sym_text_interpolation,
    ACTIONS(2218), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2216), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29560] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1038), 1,
      sym_text_interpolation,
    ACTIONS(1907), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1905), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29613] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1039), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1849), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1847), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29668] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1040), 1,
      sym_text_interpolation,
    ACTIONS(2222), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29721] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1041), 1,
      sym_text_interpolation,
    ACTIONS(1662), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29773] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1042), 1,
      sym_text_interpolation,
    ACTIONS(1646), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29825] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1043), 1,
      sym_text_interpolation,
    ACTIONS(2120), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1958), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29877] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LPAREN2,
    STATE(980), 1,
      sym_arguments,
    STATE(1044), 1,
      sym_text_interpolation,
    ACTIONS(2118), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2116), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29932] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2126), 1,
      anon_sym_COLON_COLON,
    STATE(1045), 1,
      sym_text_interpolation,
    ACTIONS(1915), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1913), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29985] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1046), 1,
      sym_text_interpolation,
    ACTIONS(1810), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1812), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30036] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    STATE(1047), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2224), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30118] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2260), 1,
      anon_sym_EQ_GT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    STATE(1048), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2202), 6,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [30208] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    STATE(1049), 1,
      sym_text_interpolation,
    ACTIONS(2176), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 13,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [30282] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    STATE(1050), 1,
      sym_text_interpolation,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 24,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [30338] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_QMARK,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    STATE(1051), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30420] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    STATE(1052), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 25,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30472] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    STATE(1053), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 25,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30524] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    STATE(1054), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [30612] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    STATE(1055), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30694] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    STATE(1056), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2268), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30776] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    STATE(1057), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2270), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [30864] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    STATE(1058), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2272), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [30952] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    STATE(1059), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [31040] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    STATE(1060), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2276), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [31128] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    STATE(1061), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 9,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31212] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    STATE(1062), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [31300] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_QMARK,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    STATE(1063), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 12,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [31378] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    STATE(1064), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 14,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [31448] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    STATE(1065), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2280), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [31536] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    STATE(1066), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 20,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [31596] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    STATE(1067), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2282), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31678] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    STATE(1068), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31760] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    STATE(1069), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2288), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [31848] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    STATE(1070), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 22,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [31906] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    STATE(1071), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 19,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [31968] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    STATE(1072), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2176), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2174), 18,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [32034] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    STATE(1073), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [32122] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1074), 1,
      sym_text_interpolation,
    ACTIONS(1564), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1566), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32172] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    STATE(1075), 1,
      sym_text_interpolation,
    ACTIONS(2176), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 14,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [32244] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    STATE(1076), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [32332] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2296), 1,
      anon_sym_QMARK,
    STATE(1077), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2294), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32414] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1078), 1,
      sym_text_interpolation,
    ACTIONS(1915), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1913), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32464] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_QMARK,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    STATE(1079), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 13,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [32540] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    STATE(1080), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 8,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [32626] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1081), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2270), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [32713] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1082), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2276), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [32800] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    STATE(1083), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32851] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    STATE(1084), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [32910] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    STATE(1085), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [32967] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    STATE(1086), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [33028] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    STATE(1087), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2176), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2174), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [33093] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    STATE(1088), 1,
      sym_text_interpolation,
    ACTIONS(2176), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [33164] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1089), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2276), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [33251] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_QMARK,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1090), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [33326] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_QMARK,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1091), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [33403] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1092), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33486] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1093), 1,
      sym_text_interpolation,
    ACTIONS(2142), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2140), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33535] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1094), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [33620] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1095), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33701] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    STATE(1096), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33752] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_QMARK,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1097), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33833] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    STATE(1098), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [33888] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1099), 1,
      sym_text_interpolation,
    ACTIONS(2176), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [33961] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    STATE(1100), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2176), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [34030] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1101), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [34117] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1102), 1,
      sym_text_interpolation,
    ACTIONS(2222), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34166] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1103), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2280), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [34253] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1104), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2280), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [34340] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1105), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [34427] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1106), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [34514] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1107), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [34583] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1108), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2224), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34664] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1109), 1,
      sym_text_interpolation,
    ACTIONS(2176), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [34737] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1110), 1,
      sym_text_interpolation,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [34792] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_QMARK,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1111), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34873] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    STATE(1112), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34924] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1113), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35005] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1114), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 7,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [35090] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1115), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35173] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_QMARK,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1116), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [35250] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_QMARK,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1117), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [35325] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1118), 1,
      sym_text_interpolation,
    ACTIONS(2176), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [35396] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1119), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2176), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2174), 17,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35461] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1120), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 18,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [35522] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1121), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [35579] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1122), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 19,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [35638] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    STATE(1123), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35689] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1124), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35738] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1125), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2224), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35819] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1126), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2268), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35900] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1127), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2268), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35981] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1128), 1,
      sym_text_interpolation,
    ACTIONS(1035), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1033), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36030] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1129), 1,
      sym_text_interpolation,
    ACTIONS(2184), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2182), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36079] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1130), 1,
      sym_text_interpolation,
    ACTIONS(1039), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1037), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36128] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1131), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2282), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36209] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1132), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36290] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_QMARK,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1133), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2294), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36371] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1134), 1,
      sym_text_interpolation,
    STATE(1335), 1,
      sym__modifier,
    STATE(1390), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1450), 1,
      sym__const_declaration,
    ACTIONS(2380), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2378), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [36428] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1135), 1,
      sym_text_interpolation,
    ACTIONS(1853), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1851), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36477] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1136), 1,
      sym_text_interpolation,
    ACTIONS(2196), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36526] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(2012), 1,
      anon_sym_BSLASH,
    ACTIONS(2014), 1,
      anon_sym_LPAREN2,
    ACTIONS(2020), 1,
      anon_sym_QMARK,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    ACTIONS(2382), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1137), 1,
      sym_text_interpolation,
    STATE(1236), 1,
      sym_visibility_modifier,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1583), 1,
      sym__types,
    STATE(1798), 1,
      sym_type,
    STATE(2180), 1,
      sym_reference_modifier,
    STATE(2184), 1,
      sym_variable_name,
    STATE(2647), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1530), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [36607] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2386), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2391), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2394), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2397), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2400), 1,
      sym_var_modifier,
    STATE(1335), 1,
      sym__modifier,
    STATE(1138), 2,
      sym_text_interpolation,
      aux_sym_class_declaration_repeat1,
    ACTIONS(2389), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2403), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2384), 17,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [36672] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1139), 1,
      sym_text_interpolation,
    ACTIONS(2214), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36721] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1140), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2270), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [36808] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1141), 1,
      sym_text_interpolation,
    ACTIONS(2208), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2206), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36857] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1142), 1,
      sym_text_interpolation,
    ACTIONS(2200), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2198), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36906] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1143), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2272), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [36993] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1144), 1,
      sym_text_interpolation,
    ACTIONS(2204), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2202), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37042] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1145), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [37129] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1146), 1,
      sym_text_interpolation,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37178] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1147), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [37265] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1148), 1,
      sym_text_interpolation,
    ACTIONS(2180), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2178), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37314] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1149), 1,
      sym_text_interpolation,
    ACTIONS(2172), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2170), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37363] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1150), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2272), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [37450] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1151), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [37537] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1152), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [37624] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1153), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2282), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37705] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1154), 1,
      sym_text_interpolation,
    ACTIONS(2138), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2136), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37754] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1155), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37835] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    ACTIONS(2406), 1,
      anon_sym_EQ_GT,
    STATE(1156), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2202), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_binary_expression_token1,
  [37924] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1157), 1,
      sym_text_interpolation,
    ACTIONS(2164), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2162), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37973] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1158), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [38060] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1159), 1,
      sym_text_interpolation,
    ACTIONS(1694), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38109] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    ACTIONS(2408), 1,
      anon_sym_EQ_GT,
    STATE(1160), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2202), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [38198] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1161), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2288), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [38285] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1162), 1,
      sym_text_interpolation,
    ACTIONS(2158), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2156), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38334] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token1,
    STATE(1163), 1,
      sym_text_interpolation,
    ACTIONS(2158), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2156), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38385] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1164), 1,
      sym_text_interpolation,
    ACTIONS(2218), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2216), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38434] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1165), 1,
      sym_text_interpolation,
    STATE(1335), 1,
      sym__modifier,
    STATE(1390), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1451), 1,
      sym__const_declaration,
    ACTIONS(2380), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2378), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [38491] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1166), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2288), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [38578] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1167), 1,
      sym_text_interpolation,
    ACTIONS(2168), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2166), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38627] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1168), 1,
      sym_text_interpolation,
    ACTIONS(2154), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2152), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38676] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1169), 1,
      sym_text_interpolation,
    ACTIONS(2150), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2148), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38725] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1170), 1,
      sym_text_interpolation,
    ACTIONS(2146), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2144), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38774] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1171), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [38861] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1172), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [38948] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1173), 1,
      sym_text_interpolation,
    ACTIONS(2188), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38997] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_QMARK,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1174), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2294), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39078] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1175), 1,
      sym_text_interpolation,
    ACTIONS(1907), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1905), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [39127] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1176), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2270), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [39213] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1177), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2280), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [39299] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1178), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 11,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [39373] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1179), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2282), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39453] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1180), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2268), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39533] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1181), 1,
      sym_text_interpolation,
    ACTIONS(2176), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [39603] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1182), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2276), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [39689] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1183), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 17,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [39749] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1184), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39829] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1185), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2288), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [39915] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1186), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39995] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    STATE(1187), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 23,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [40045] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1188), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 18,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [40103] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1189), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [40189] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1190), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2176), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2174), 16,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40253] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1191), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [40333] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1192), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [40419] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1193), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2294), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [40499] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1194), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2224), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [40579] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1195), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [40665] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1196), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [40733] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      anon_sym_EQ_GT,
    STATE(1197), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2202), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40821] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1198), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [40907] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1199), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [40993] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1200), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 10,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [41069] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1201), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2272), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [41155] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1202), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [41237] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1203), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 20,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [41293] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    STATE(1204), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 23,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [41343] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1205), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 6,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [41427] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1206), 1,
      sym_text_interpolation,
    ACTIONS(2176), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 11,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [41499] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1207), 1,
      sym_text_interpolation,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 22,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [41553] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1208), 1,
      sym_text_interpolation,
    STATE(2304), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2454), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41642] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1209), 1,
      sym_text_interpolation,
    STATE(2308), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2458), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41731] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1210), 1,
      sym_text_interpolation,
    STATE(2341), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2460), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41820] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1211), 1,
      sym_text_interpolation,
    STATE(2326), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2462), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41909] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(951), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1212), 1,
      sym_text_interpolation,
    ACTIONS(2200), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2198), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [41958] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1213), 1,
      sym_text_interpolation,
    STATE(2348), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42047] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(951), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1214), 1,
      sym_text_interpolation,
    ACTIONS(2208), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2206), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [42096] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1215), 1,
      sym_text_interpolation,
    STATE(2363), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2466), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42185] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1216), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2468), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [42270] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1217), 1,
      sym_text_interpolation,
    STATE(2340), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42359] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1218), 1,
      sym_text_interpolation,
    STATE(2306), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2472), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42448] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(572), 1,
      sym__semicolon,
    STATE(1219), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42534] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    ACTIONS(2474), 1,
      anon_sym_COMMA,
    ACTIONS(2476), 1,
      anon_sym_EQ_GT,
    STATE(1220), 1,
      sym_text_interpolation,
    STATE(1953), 1,
      aux_sym_match_condition_list_repeat1,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42622] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2478), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1221), 1,
      sym_text_interpolation,
    STATE(1476), 1,
      sym__types,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1598), 1,
      sym_type,
    STATE(1777), 1,
      sym_const_element,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2656), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1530), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [42694] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2478), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1222), 1,
      sym_text_interpolation,
    STATE(1476), 1,
      sym__types,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1595), 1,
      sym_type,
    STATE(1789), 1,
      sym_const_element,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2656), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1530), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [42766] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    ACTIONS(2480), 1,
      anon_sym_EQ_GT,
    STATE(1223), 1,
      sym_text_interpolation,
    ACTIONS(2202), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42852] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    ACTIONS(2484), 1,
      anon_sym_COMMA,
    STATE(1224), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2482), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42938] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    STATE(1225), 1,
      sym_text_interpolation,
    STATE(1295), 1,
      sym_readonly_modifier,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1680), 1,
      sym__types,
    STATE(1890), 1,
      sym_type,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1797), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1530), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [43012] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1226), 1,
      sym_text_interpolation,
    STATE(2137), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43098] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1227), 1,
      sym_text_interpolation,
    STATE(2069), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43184] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1228), 1,
      sym_text_interpolation,
    STATE(2133), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43270] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2486), 1,
      anon_sym_EQ_GT,
    STATE(1229), 1,
      sym_text_interpolation,
    ACTIONS(2202), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43356] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1230), 1,
      sym_text_interpolation,
    STATE(2128), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43442] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1231), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2488), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43526] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2478), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1232), 1,
      sym_text_interpolation,
    STATE(1476), 1,
      sym__types,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1566), 1,
      sym_type,
    STATE(1731), 1,
      sym_const_element,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2656), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1530), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [43598] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(568), 1,
      sym__semicolon,
    STATE(1233), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43684] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    ACTIONS(2490), 1,
      anon_sym_EQ_GT,
    STATE(1234), 1,
      sym_text_interpolation,
    ACTIONS(2202), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43770] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    ACTIONS(2484), 1,
      anon_sym_COMMA,
    STATE(1235), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2492), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43856] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    STATE(1236), 1,
      sym_text_interpolation,
    STATE(1318), 1,
      sym_readonly_modifier,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1680), 1,
      sym__types,
    STATE(1858), 1,
      sym_type,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1830), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1530), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [43930] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2478), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1237), 1,
      sym_text_interpolation,
    STATE(1476), 1,
      sym__types,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1603), 1,
      sym_type,
    STATE(1821), 1,
      sym_const_element,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2656), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1530), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [44002] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1238), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2494), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44086] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(566), 1,
      sym__semicolon,
    STATE(1239), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44172] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1240), 1,
      sym_text_interpolation,
    STATE(1715), 1,
      sym__semicolon,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44258] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(577), 1,
      sym__semicolon,
    STATE(1241), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44344] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1242), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2498), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44427] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1243), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2500), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44510] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1244), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2502), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44593] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    ACTIONS(2492), 1,
      anon_sym_SEMI,
    ACTIONS(2504), 1,
      anon_sym_COMMA,
    STATE(1245), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44678] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2506), 1,
      anon_sym_EQ_GT,
    ACTIONS(2508), 1,
      anon_sym_RPAREN2,
    STATE(1246), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44763] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2514), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2516), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2518), 1,
      anon_sym_RBRACE,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    STATE(714), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1134), 1,
      sym_final_modifier,
    STATE(1247), 1,
      sym_text_interpolation,
    STATE(1255), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1364), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      sym_attribute_list,
    STATE(1372), 1,
      sym_attribute_group,
    STATE(1427), 1,
      sym__member_declaration,
    STATE(1429), 1,
      sym__class_const_declaration,
    STATE(1433), 1,
      sym__const_declaration,
    STATE(1807), 1,
      sym__function_definition_header,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1435), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1333), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [44852] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2514), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2516), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    ACTIONS(2530), 1,
      anon_sym_RBRACE,
    STATE(714), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1134), 1,
      sym_final_modifier,
    STATE(1247), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1248), 1,
      sym_text_interpolation,
    STATE(1335), 1,
      sym__modifier,
    STATE(1364), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      sym_attribute_list,
    STATE(1372), 1,
      sym_attribute_group,
    STATE(1427), 1,
      sym__member_declaration,
    STATE(1429), 1,
      sym__class_const_declaration,
    STATE(1433), 1,
      sym__const_declaration,
    STATE(1807), 1,
      sym__function_definition_header,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1435), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1333), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [44941] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2514), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2516), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    ACTIONS(2532), 1,
      anon_sym_RBRACE,
    STATE(714), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1134), 1,
      sym_final_modifier,
    STATE(1249), 1,
      sym_text_interpolation,
    STATE(1250), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1364), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      sym_attribute_list,
    STATE(1372), 1,
      sym_attribute_group,
    STATE(1427), 1,
      sym__member_declaration,
    STATE(1429), 1,
      sym__class_const_declaration,
    STATE(1433), 1,
      sym__const_declaration,
    STATE(1807), 1,
      sym__function_definition_header,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1435), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1333), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [45030] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2514), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2516), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    ACTIONS(2534), 1,
      anon_sym_RBRACE,
    STATE(714), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1134), 1,
      sym_final_modifier,
    STATE(1250), 1,
      sym_text_interpolation,
    STATE(1255), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1364), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      sym_attribute_list,
    STATE(1372), 1,
      sym_attribute_group,
    STATE(1427), 1,
      sym__member_declaration,
    STATE(1429), 1,
      sym__class_const_declaration,
    STATE(1433), 1,
      sym__const_declaration,
    STATE(1807), 1,
      sym__function_definition_header,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1435), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1333), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [45119] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1251), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2536), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45202] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2514), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2516), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    ACTIONS(2538), 1,
      anon_sym_RBRACE,
    STATE(714), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1134), 1,
      sym_final_modifier,
    STATE(1252), 1,
      sym_text_interpolation,
    STATE(1266), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1364), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      sym_attribute_list,
    STATE(1372), 1,
      sym_attribute_group,
    STATE(1427), 1,
      sym__member_declaration,
    STATE(1429), 1,
      sym__class_const_declaration,
    STATE(1433), 1,
      sym__const_declaration,
    STATE(1807), 1,
      sym__function_definition_header,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1435), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1333), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [45291] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1253), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2540), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45374] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1254), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45457] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2544), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2547), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2550), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2553), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2556), 1,
      anon_sym_RBRACE,
    ACTIONS(2558), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2561), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2564), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2567), 1,
      sym_var_modifier,
    ACTIONS(2573), 1,
      anon_sym_POUND_LBRACK,
    STATE(714), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1134), 1,
      sym_final_modifier,
    STATE(1335), 1,
      sym__modifier,
    STATE(1364), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      sym_attribute_list,
    STATE(1372), 1,
      sym_attribute_group,
    STATE(1427), 1,
      sym__member_declaration,
    STATE(1429), 1,
      sym__class_const_declaration,
    STATE(1433), 1,
      sym__const_declaration,
    STATE(1807), 1,
      sym__function_definition_header,
    STATE(1255), 2,
      sym_text_interpolation,
      aux_sym_declaration_list_repeat1,
    ACTIONS(2570), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1435), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1333), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [45544] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    STATE(1256), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2576), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45627] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1257), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2578), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45710] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1258), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2580), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45793] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1259), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2582), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45876] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    STATE(1260), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2584), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45959] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1261), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2586), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46042] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1262), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2588), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46125] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    ACTIONS(2482), 1,
      anon_sym_SEMI,
    ACTIONS(2504), 1,
      anon_sym_COMMA,
    STATE(1263), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46210] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1264), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2590), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46293] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2492), 1,
      anon_sym_RPAREN2,
    ACTIONS(2592), 1,
      anon_sym_COMMA,
    STATE(1265), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46378] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2514), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2516), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    ACTIONS(2594), 1,
      anon_sym_RBRACE,
    STATE(714), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1134), 1,
      sym_final_modifier,
    STATE(1255), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1266), 1,
      sym_text_interpolation,
    STATE(1335), 1,
      sym__modifier,
    STATE(1364), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      sym_attribute_list,
    STATE(1372), 1,
      sym_attribute_group,
    STATE(1427), 1,
      sym__member_declaration,
    STATE(1429), 1,
      sym__class_const_declaration,
    STATE(1433), 1,
      sym__const_declaration,
    STATE(1807), 1,
      sym__function_definition_header,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1435), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1333), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [46467] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1267), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2596), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46550] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_RPAREN2,
    ACTIONS(2592), 1,
      anon_sym_COMMA,
    STATE(1268), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46635] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1269), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2598), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46718] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2600), 1,
      anon_sym_RBRACE,
    STATE(1270), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46800] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2602), 1,
      anon_sym_RBRACE,
    STATE(1271), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46882] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2604), 1,
      anon_sym_RPAREN2,
    STATE(1272), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46964] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2606), 1,
      anon_sym_EQ_GT,
    STATE(1273), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47046] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2608), 1,
      anon_sym_RPAREN2,
    STATE(1274), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47128] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2610), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1275), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47210] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_RBRACE,
    STATE(1276), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47292] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2614), 1,
      anon_sym_RBRACE,
    STATE(1277), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47374] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2616), 1,
      anon_sym_RBRACE,
    STATE(1278), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47456] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2618), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1279), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47538] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    ACTIONS(2620), 1,
      anon_sym_RBRACK,
    STATE(1280), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47620] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    ACTIONS(2622), 1,
      anon_sym_RBRACK,
    STATE(1281), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47702] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2624), 1,
      anon_sym_RBRACE,
    STATE(1282), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47784] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2626), 1,
      anon_sym_RBRACE,
    STATE(1283), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47866] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2628), 1,
      anon_sym_EQ_GT,
    STATE(1284), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47948] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2630), 1,
      anon_sym_RBRACE,
    STATE(1285), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48030] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2632), 1,
      anon_sym_RPAREN2,
    STATE(1286), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48112] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2634), 1,
      anon_sym_RBRACE,
    STATE(1287), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48194] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2636), 1,
      anon_sym_RBRACE,
    STATE(1288), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48276] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2638), 1,
      anon_sym_RBRACE,
    STATE(1289), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48358] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2640), 1,
      anon_sym_RBRACE,
    STATE(1290), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48440] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2642), 1,
      anon_sym_RBRACE,
    STATE(1291), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48522] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2644), 1,
      anon_sym_RPAREN2,
    STATE(1292), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48604] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2646), 1,
      anon_sym_RPAREN2,
    STATE(1293), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48686] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2648), 1,
      anon_sym_COLON,
    STATE(1294), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48768] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    STATE(1295), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1680), 1,
      sym__types,
    STATE(1864), 1,
      sym_type,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1826), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1530), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [48836] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    ACTIONS(2650), 1,
      anon_sym_RBRACK,
    STATE(1296), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48918] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2652), 1,
      anon_sym_RBRACE,
    STATE(1297), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49000] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    ACTIONS(2654), 1,
      anon_sym_RBRACK,
    STATE(1298), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49082] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2656), 1,
      anon_sym_COLON,
    STATE(1299), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49164] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2658), 1,
      anon_sym_RPAREN2,
    STATE(1300), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49246] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    ACTIONS(2660), 1,
      anon_sym_RBRACK,
    STATE(1301), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49328] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    ACTIONS(2662), 1,
      anon_sym_RBRACK,
    STATE(1302), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49410] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    ACTIONS(2664), 1,
      anon_sym_RBRACK,
    STATE(1303), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49492] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2666), 1,
      anon_sym_RBRACE,
    STATE(1304), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49574] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2668), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1305), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49656] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2674), 1,
      anon_sym_LPAREN,
    STATE(1306), 1,
      sym_text_interpolation,
    ACTIONS(2672), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2670), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [49702] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    ACTIONS(2676), 1,
      anon_sym_RBRACK,
    STATE(1307), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49784] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2678), 1,
      anon_sym_RBRACE,
    STATE(1308), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49866] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2680), 1,
      anon_sym_RBRACE,
    STATE(1309), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49948] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2508), 1,
      anon_sym_RPAREN2,
    STATE(1310), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50030] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2682), 1,
      anon_sym_RBRACE,
    STATE(1311), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50112] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    ACTIONS(2684), 1,
      anon_sym_RBRACK,
    STATE(1312), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50194] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    ACTIONS(2686), 1,
      anon_sym_RBRACK,
    STATE(1313), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50276] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2688), 1,
      anon_sym_RBRACE,
    STATE(1314), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50358] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2690), 1,
      anon_sym_RBRACE,
    STATE(1315), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50440] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2692), 1,
      anon_sym_COLON,
    STATE(1316), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50522] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2694), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1317), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50604] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    STATE(1318), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1680), 1,
      sym__types,
    STATE(1924), 1,
      sym_type,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1812), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1530), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50672] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2696), 1,
      anon_sym_RPAREN2,
    STATE(1319), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50754] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    ACTIONS(2698), 1,
      anon_sym_RBRACK,
    STATE(1320), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50836] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2700), 1,
      anon_sym_COLON,
    STATE(1321), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50918] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2242), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2702), 1,
      anon_sym_EQ_GT,
    STATE(1322), 1,
      sym_text_interpolation,
    ACTIONS(2232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51000] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_GT_EQ,
    ACTIONS(2354), 1,
      anon_sym_AMP,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_PIPE,
    ACTIONS(2364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2376), 1,
      anon_sym_CARET,
    ACTIONS(2704), 1,
      anon_sym_RBRACK,
    STATE(1323), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51082] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2514), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    ACTIONS(2706), 1,
      anon_sym_RBRACE,
    ACTIONS(2708), 1,
      aux_sym_enum_case_token1,
    STATE(1324), 1,
      sym_text_interpolation,
    STATE(1326), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1364), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1372), 1,
      sym_attribute_group,
    STATE(1375), 1,
      sym_attribute_list,
    STATE(1379), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1446), 1,
      sym__enum_member_declaration,
    STATE(1807), 1,
      sym__function_definition_header,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1449), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51163] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1325), 1,
      sym_text_interpolation,
    ACTIONS(2712), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2710), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51206] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2514), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    ACTIONS(2708), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2714), 1,
      anon_sym_RBRACE,
    STATE(1326), 1,
      sym_text_interpolation,
    STATE(1327), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1364), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1372), 1,
      sym_attribute_group,
    STATE(1375), 1,
      sym_attribute_list,
    STATE(1379), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1446), 1,
      sym__enum_member_declaration,
    STATE(1807), 1,
      sym__function_definition_header,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1449), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51287] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2719), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2722), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2725), 1,
      anon_sym_RBRACE,
    ACTIONS(2727), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2730), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2733), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2736), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2739), 1,
      sym_var_modifier,
    ACTIONS(2745), 1,
      anon_sym_POUND_LBRACK,
    STATE(1335), 1,
      sym__modifier,
    STATE(1364), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1372), 1,
      sym_attribute_group,
    STATE(1375), 1,
      sym_attribute_list,
    STATE(1379), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1446), 1,
      sym__enum_member_declaration,
    STATE(1807), 1,
      sym__function_definition_header,
    STATE(1327), 2,
      sym_text_interpolation,
      aux_sym_enum_declaration_list_repeat1,
    ACTIONS(2742), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1449), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51366] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1328), 1,
      sym_text_interpolation,
    ACTIONS(1814), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2748), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51409] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2514), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    ACTIONS(2708), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2750), 1,
      anon_sym_RBRACE,
    STATE(1329), 1,
      sym_text_interpolation,
    STATE(1332), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1364), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1372), 1,
      sym_attribute_group,
    STATE(1375), 1,
      sym_attribute_list,
    STATE(1379), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1446), 1,
      sym__enum_member_declaration,
    STATE(1807), 1,
      sym__function_definition_header,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1449), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51490] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1330), 1,
      sym_text_interpolation,
    ACTIONS(2754), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2752), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51533] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1331), 1,
      sym_text_interpolation,
    ACTIONS(2758), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2756), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51576] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2514), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    ACTIONS(2708), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2760), 1,
      anon_sym_RBRACE,
    STATE(1327), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1332), 1,
      sym_text_interpolation,
    STATE(1335), 1,
      sym__modifier,
    STATE(1364), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1372), 1,
      sym_attribute_group,
    STATE(1375), 1,
      sym_attribute_list,
    STATE(1379), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1446), 1,
      sym__enum_member_declaration,
    STATE(1807), 1,
      sym__function_definition_header,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1449), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51657] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1333), 1,
      sym_text_interpolation,
    ACTIONS(2380), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2378), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51699] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1334), 1,
      sym_text_interpolation,
    ACTIONS(2764), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2762), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51741] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1335), 1,
      sym_text_interpolation,
    ACTIONS(2768), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2766), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51783] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2770), 1,
      sym_bottom_type,
    STATE(1336), 1,
      sym_text_interpolation,
    STATE(1476), 1,
      sym__types,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(2448), 1,
      sym_type,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1530), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51844] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2772), 1,
      sym_name,
    ACTIONS(2776), 1,
      anon_sym_LPAREN2,
    ACTIONS(2778), 1,
      anon_sym_QMARK,
    ACTIONS(2780), 1,
      sym_bottom_type,
    STATE(1337), 1,
      sym_text_interpolation,
    STATE(1546), 1,
      sym__types,
    STATE(1766), 1,
      sym_qualified_name,
    STATE(2199), 1,
      sym_type,
    STATE(2699), 1,
      sym_namespace_name,
    STATE(1772), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(2029), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(2774), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51905] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2022), 1,
      anon_sym_POUND_LBRACK,
    STATE(1338), 1,
      sym_text_interpolation,
    STATE(1339), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1341), 1,
      sym_attribute_group,
    ACTIONS(2784), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2782), 17,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51950] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_POUND_LBRACK,
    STATE(1341), 1,
      sym_attribute_group,
    STATE(1339), 2,
      sym_text_interpolation,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2788), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2786), 17,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51993] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1340), 1,
      sym_text_interpolation,
    ACTIONS(2795), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2793), 17,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52030] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1341), 1,
      sym_text_interpolation,
    ACTIONS(2799), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2797), 17,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52067] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1342), 1,
      sym_text_interpolation,
    ACTIONS(2803), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2801), 17,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52104] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1343), 1,
      sym_text_interpolation,
    ACTIONS(2807), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2805), 17,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52141] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    STATE(1344), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(2095), 1,
      sym__types,
    STATE(2610), 1,
      sym_intersection_type,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52191] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2809), 1,
      anon_sym_LPAREN2,
    STATE(1345), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1506), 1,
      sym__types,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52241] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(2012), 1,
      anon_sym_BSLASH,
    ACTIONS(2020), 1,
      anon_sym_QMARK,
    ACTIONS(2809), 1,
      anon_sym_LPAREN2,
    STATE(1346), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1526), 1,
      sym__types,
    STATE(2647), 1,
      sym_namespace_name,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52291] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    ACTIONS(2811), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2813), 1,
      aux_sym_trait_declaration_token1,
    ACTIONS(2815), 1,
      aux_sym_interface_declaration_token1,
    ACTIONS(2817), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2819), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2821), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1347), 1,
      sym_text_interpolation,
    STATE(1384), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1495), 1,
      sym_static_modifier,
    STATE(2414), 1,
      sym__function_definition_header,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1333), 4,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_visibility_modifier,
  [52357] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2772), 1,
      sym_name,
    ACTIONS(2778), 1,
      anon_sym_QMARK,
    ACTIONS(2823), 1,
      anon_sym_LPAREN2,
    STATE(1348), 1,
      sym_text_interpolation,
    STATE(1766), 1,
      sym_qualified_name,
    STATE(1849), 1,
      sym__types,
    STATE(2699), 1,
      sym_namespace_name,
    STATE(1772), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2774), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52407] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2809), 1,
      anon_sym_LPAREN2,
    STATE(1349), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1526), 1,
      sym__types,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52457] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    ACTIONS(2811), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2821), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(2825), 1,
      aux_sym_trait_declaration_token1,
    ACTIONS(2827), 1,
      aux_sym_interface_declaration_token1,
    ACTIONS(2829), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2831), 1,
      aux_sym_class_declaration_token1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1350), 1,
      sym_text_interpolation,
    STATE(1392), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1495), 1,
      sym_static_modifier,
    STATE(2431), 1,
      sym__function_definition_header,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1333), 4,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_visibility_modifier,
  [52523] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    STATE(1351), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(2095), 1,
      sym__types,
    STATE(2573), 1,
      sym_intersection_type,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52573] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    STATE(1352), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(2095), 1,
      sym__types,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2723), 1,
      sym_intersection_type,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52623] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(2012), 1,
      anon_sym_BSLASH,
    ACTIONS(2020), 1,
      anon_sym_QMARK,
    ACTIONS(2809), 1,
      anon_sym_LPAREN2,
    STATE(1353), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1506), 1,
      sym__types,
    STATE(2647), 1,
      sym_namespace_name,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52673] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1802), 1,
      anon_sym_DOLLAR,
    ACTIONS(2080), 1,
      sym_name,
    ACTIONS(2084), 1,
      anon_sym_BSLASH,
    ACTIONS(2088), 1,
      anon_sym_LPAREN2,
    STATE(963), 1,
      sym__variable_scoped_property_access_expression,
    STATE(967), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(969), 1,
      sym__variable_member_access_expression,
    STATE(974), 1,
      sym__new_variable,
    STATE(1042), 1,
      sym__reserved_identifier,
    STATE(1045), 1,
      sym__name,
    STATE(1078), 1,
      sym_parenthesized_expression,
    STATE(1124), 1,
      sym__class_name_reference,
    STATE(1354), 1,
      sym_text_interpolation,
    STATE(2567), 1,
      sym_namespace_name,
    STATE(957), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(958), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    STATE(1043), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52739] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    STATE(1355), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(2095), 1,
      sym__types,
    STATE(2572), 1,
      sym_intersection_type,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52789] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    STATE(1356), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(2095), 1,
      sym__types,
    STATE(2546), 1,
      sym_intersection_type,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52839] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2772), 1,
      sym_name,
    ACTIONS(2778), 1,
      anon_sym_QMARK,
    ACTIONS(2823), 1,
      anon_sym_LPAREN2,
    STATE(1357), 1,
      sym_text_interpolation,
    STATE(1766), 1,
      sym_qualified_name,
    STATE(1932), 1,
      sym__types,
    STATE(2699), 1,
      sym_namespace_name,
    STATE(1772), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2774), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52889] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_DOLLAR,
    ACTIONS(2092), 1,
      sym_name,
    ACTIONS(2096), 1,
      anon_sym_BSLASH,
    ACTIONS(2100), 1,
      anon_sym_LPAREN2,
    STATE(798), 1,
      sym__new_variable,
    STATE(810), 1,
      sym__variable_member_access_expression,
    STATE(815), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(816), 1,
      sym__variable_scoped_property_access_expression,
    STATE(909), 1,
      sym__name,
    STATE(914), 1,
      sym__reserved_identifier,
    STATE(939), 1,
      sym_parenthesized_expression,
    STATE(1018), 1,
      sym__class_name_reference,
    STATE(1358), 1,
      sym_text_interpolation,
    STATE(2654), 1,
      sym_namespace_name,
    STATE(775), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(818), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    STATE(912), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52955] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(2012), 1,
      anon_sym_BSLASH,
    ACTIONS(2020), 1,
      anon_sym_QMARK,
    STATE(1359), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1521), 1,
      sym__types,
    STATE(2647), 1,
      sym_namespace_name,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53002] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    STATE(1360), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1503), 1,
      sym__types,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53049] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2788), 1,
      anon_sym_AMP,
    ACTIONS(2833), 1,
      anon_sym_POUND_LBRACK,
    STATE(1372), 1,
      sym_attribute_group,
    STATE(1361), 2,
      sym_text_interpolation,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2786), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [53088] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    STATE(1362), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1521), 1,
      sym__types,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53135] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2772), 1,
      sym_name,
    ACTIONS(2778), 1,
      anon_sym_QMARK,
    STATE(1363), 1,
      sym_text_interpolation,
    STATE(1766), 1,
      sym_qualified_name,
    STATE(1851), 1,
      sym__types,
    STATE(2699), 1,
      sym_namespace_name,
    STATE(1772), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2774), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53182] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2784), 1,
      anon_sym_AMP,
    STATE(1361), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1364), 1,
      sym_text_interpolation,
    STATE(1372), 1,
      sym_attribute_group,
    ACTIONS(2782), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [53223] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2772), 1,
      sym_name,
    ACTIONS(2778), 1,
      anon_sym_QMARK,
    STATE(1365), 1,
      sym_text_interpolation,
    STATE(1766), 1,
      sym_qualified_name,
    STATE(1929), 1,
      sym__types,
    STATE(2699), 1,
      sym_namespace_name,
    STATE(1772), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2774), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53270] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(2012), 1,
      anon_sym_BSLASH,
    ACTIONS(2020), 1,
      anon_sym_QMARK,
    STATE(1366), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1503), 1,
      sym__types,
    STATE(2647), 1,
      sym_namespace_name,
    STATE(1493), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53317] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_DOLLAR,
    ACTIONS(2836), 1,
      anon_sym_COLON_COLON,
    STATE(1367), 1,
      sym_text_interpolation,
    STATE(1774), 1,
      sym_static_variable_declaration,
    STATE(1947), 1,
      sym_variable_name,
    ACTIONS(1660), 4,
      anon_sym_LPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1814), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [53359] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_DOLLAR,
    ACTIONS(2836), 1,
      anon_sym_COLON_COLON,
    STATE(1368), 1,
      sym_text_interpolation,
    STATE(1719), 1,
      sym_static_variable_declaration,
    STATE(1947), 1,
      sym_variable_name,
    ACTIONS(1660), 4,
      anon_sym_LPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1814), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [53401] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1369), 1,
      sym_text_interpolation,
    ACTIONS(2807), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2805), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [53434] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2514), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2516), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    STATE(720), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1165), 1,
      sym_final_modifier,
    STATE(1335), 1,
      sym__modifier,
    STATE(1370), 1,
      sym_text_interpolation,
    STATE(1452), 1,
      sym__const_declaration,
    STATE(1832), 1,
      sym__function_definition_header,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1333), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53491] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1371), 1,
      sym_text_interpolation,
    ACTIONS(2795), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2793), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [53524] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1372), 1,
      sym_text_interpolation,
    ACTIONS(2799), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2797), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [53557] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1373), 1,
      sym_text_interpolation,
    ACTIONS(1386), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_cast_type_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      aux_sym_else_clause_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1384), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [53590] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1374), 1,
      sym_text_interpolation,
    ACTIONS(2803), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2801), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [53623] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2514), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    ACTIONS(2838), 1,
      aux_sym_enum_case_token1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1375), 1,
      sym_text_interpolation,
    STATE(1380), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1832), 1,
      sym__function_definition_header,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53675] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    STATE(1376), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1496), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53715] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2772), 1,
      sym_name,
    STATE(1377), 1,
      sym_text_interpolation,
    STATE(1766), 1,
      sym_qualified_name,
    STATE(2699), 1,
      sym_namespace_name,
    STATE(1796), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(2774), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53755] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(2012), 1,
      anon_sym_BSLASH,
    STATE(1378), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(2647), 1,
      sym_namespace_name,
    STATE(1496), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53795] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2514), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    STATE(1138), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1379), 1,
      sym_text_interpolation,
    STATE(1833), 1,
      sym__function_definition_header,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53844] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2514), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    STATE(1138), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1380), 1,
      sym_text_interpolation,
    STATE(1791), 1,
      sym__function_definition_header,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53893] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(611), 1,
      sym_integer,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2840), 1,
      sym_float,
    ACTIONS(2842), 1,
      aux_sym__argument_name_token1,
    ACTIONS(2844), 1,
      aux_sym__argument_name_token2,
    STATE(1381), 1,
      sym_text_interpolation,
    STATE(2670), 1,
      sym_literal,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1036), 3,
      sym_boolean,
      sym_null,
      sym__string,
    STATE(779), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [53940] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    ACTIONS(2846), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2848), 1,
      aux_sym_class_declaration_token1,
    STATE(1138), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1382), 1,
      sym_text_interpolation,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53989] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    ACTIONS(2850), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2852), 1,
      aux_sym_class_declaration_token1,
    STATE(1138), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1383), 1,
      sym_text_interpolation,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54038] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    ACTIONS(2854), 1,
      aux_sym_class_declaration_token1,
    STATE(1138), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1384), 1,
      sym_text_interpolation,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54084] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    ACTIONS(2856), 1,
      aux_sym_class_declaration_token1,
    STATE(1138), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1385), 1,
      sym_text_interpolation,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54130] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    ACTIONS(2858), 1,
      aux_sym_class_declaration_token1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1386), 1,
      sym_text_interpolation,
    STATE(1389), 1,
      aux_sym_class_declaration_repeat1,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54176] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2860), 1,
      anon_sym_LBRACE,
    ACTIONS(2866), 1,
      anon_sym_BSLASHu,
    ACTIONS(2869), 1,
      sym__new_line,
    ACTIONS(2872), 1,
      anon_sym_DOLLAR,
    ACTIONS(2875), 1,
      sym_heredoc_end,
    STATE(1399), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1504), 1,
      sym_variable_name,
    STATE(1605), 1,
      sym_dynamic_variable_name,
    STATE(1609), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2863), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1387), 2,
      sym_text_interpolation,
      aux_sym_heredoc_body_repeat1,
    STATE(1594), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1608), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [54226] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    ACTIONS(2877), 1,
      aux_sym_class_declaration_token1,
    STATE(1138), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1388), 1,
      sym_text_interpolation,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54272] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    ACTIONS(2879), 1,
      aux_sym_class_declaration_token1,
    STATE(1138), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1389), 1,
      sym_text_interpolation,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54318] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    ACTIONS(2850), 1,
      aux_sym__namespace_use_type_token2,
    STATE(1138), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1390), 1,
      sym_text_interpolation,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54364] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2881), 1,
      anon_sym_LBRACE,
    ACTIONS(2885), 1,
      anon_sym_BSLASHu,
    ACTIONS(2887), 1,
      sym__new_line,
    ACTIONS(2890), 1,
      anon_sym_DOLLAR,
    ACTIONS(2892), 1,
      sym_heredoc_end,
    STATE(1387), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1391), 1,
      sym_text_interpolation,
    STATE(1399), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1504), 1,
      sym_variable_name,
    STATE(1605), 1,
      sym_dynamic_variable_name,
    STATE(1609), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2883), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1594), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1608), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [54416] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    ACTIONS(2894), 1,
      aux_sym_class_declaration_token1,
    STATE(1138), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1392), 1,
      sym_text_interpolation,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54462] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    ACTIONS(2896), 1,
      aux_sym_class_declaration_token1,
    STATE(1138), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1393), 1,
      sym_text_interpolation,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54508] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1394), 1,
      sym_text_interpolation,
    ACTIONS(2898), 6,
      aux_sym_function_static_declaration_token1,
      aux_sym_cast_type_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1731), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [54538] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2520), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2524), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2526), 1,
      sym_var_modifier,
    ACTIONS(2900), 1,
      aux_sym_class_declaration_token1,
    STATE(1335), 1,
      sym__modifier,
    STATE(1388), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1395), 1,
      sym_text_interpolation,
    ACTIONS(2528), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1333), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54584] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2902), 1,
      anon_sym_LBRACE,
    ACTIONS(2908), 1,
      anon_sym_BSLASHu,
    ACTIONS(2913), 1,
      anon_sym_DOLLAR,
    STATE(1504), 1,
      sym_variable_name,
    STATE(1605), 1,
      sym_dynamic_variable_name,
    STATE(1609), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2905), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2911), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1396), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1594), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1608), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [54629] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2881), 1,
      anon_sym_LBRACE,
    ACTIONS(2885), 1,
      anon_sym_BSLASHu,
    ACTIONS(2890), 1,
      anon_sym_DOLLAR,
    STATE(1396), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1397), 1,
      sym_text_interpolation,
    STATE(1504), 1,
      sym_variable_name,
    STATE(1605), 1,
      sym_dynamic_variable_name,
    STATE(1609), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2875), 2,
      sym_heredoc_end,
      sym__new_line,
    ACTIONS(2883), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1594), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1608), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [54676] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2881), 1,
      anon_sym_LBRACE,
    ACTIONS(2885), 1,
      anon_sym_BSLASHu,
    ACTIONS(2890), 1,
      anon_sym_DOLLAR,
    ACTIONS(2916), 1,
      sym__new_line,
    STATE(1391), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1398), 1,
      sym_text_interpolation,
    STATE(1399), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1504), 1,
      sym_variable_name,
    STATE(1605), 1,
      sym_dynamic_variable_name,
    STATE(1609), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2883), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1594), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1608), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [54725] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2881), 1,
      anon_sym_LBRACE,
    ACTIONS(2885), 1,
      anon_sym_BSLASHu,
    ACTIONS(2890), 1,
      anon_sym_DOLLAR,
    STATE(1396), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1399), 1,
      sym_text_interpolation,
    STATE(1504), 1,
      sym_variable_name,
    STATE(1605), 1,
      sym_dynamic_variable_name,
    STATE(1609), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2883), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2918), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1594), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1608), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [54772] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2920), 1,
      anon_sym_LBRACE,
    ACTIONS(2924), 1,
      anon_sym_BSLASHu,
    ACTIONS(2926), 1,
      anon_sym_BQUOTE,
    ACTIONS(2928), 1,
      anon_sym_DOLLAR,
    STATE(1400), 1,
      sym_text_interpolation,
    STATE(1407), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1534), 1,
      sym_variable_name,
    STATE(1650), 1,
      sym__simple_string_member_access_expression,
    STATE(1675), 1,
      sym_dynamic_variable_name,
    ACTIONS(2922), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1647), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1700), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54818] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1401), 1,
      sym_text_interpolation,
    ACTIONS(2930), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54844] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2932), 1,
      anon_sym_LBRACE,
    ACTIONS(2936), 1,
      anon_sym_BSLASHu,
    ACTIONS(2938), 1,
      anon_sym_DQUOTE,
    ACTIONS(2940), 1,
      anon_sym_DOLLAR,
    STATE(1402), 1,
      sym_text_interpolation,
    STATE(1422), 1,
      aux_sym__interpolated_string_body,
    STATE(1540), 1,
      sym_variable_name,
    STATE(1678), 1,
      sym_dynamic_variable_name,
    STATE(1701), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2934), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1695), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1706), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54890] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1403), 1,
      sym_text_interpolation,
    ACTIONS(2942), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54916] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1404), 1,
      sym_text_interpolation,
    ACTIONS(2944), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54942] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1405), 1,
      sym_text_interpolation,
    ACTIONS(2946), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54968] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1406), 1,
      sym_text_interpolation,
    ACTIONS(2948), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54994] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2920), 1,
      anon_sym_LBRACE,
    ACTIONS(2924), 1,
      anon_sym_BSLASHu,
    ACTIONS(2928), 1,
      anon_sym_DOLLAR,
    ACTIONS(2950), 1,
      anon_sym_BQUOTE,
    STATE(1407), 1,
      sym_text_interpolation,
    STATE(1420), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1534), 1,
      sym_variable_name,
    STATE(1650), 1,
      sym__simple_string_member_access_expression,
    STATE(1675), 1,
      sym_dynamic_variable_name,
    ACTIONS(2922), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1647), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1700), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55040] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1408), 1,
      sym_text_interpolation,
    ACTIONS(2952), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55066] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2932), 1,
      anon_sym_LBRACE,
    ACTIONS(2936), 1,
      anon_sym_BSLASHu,
    ACTIONS(2940), 1,
      anon_sym_DOLLAR,
    ACTIONS(2954), 1,
      anon_sym_DQUOTE,
    STATE(1409), 1,
      sym_text_interpolation,
    STATE(1419), 1,
      aux_sym__interpolated_string_body,
    STATE(1540), 1,
      sym_variable_name,
    STATE(1678), 1,
      sym_dynamic_variable_name,
    STATE(1701), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2934), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1695), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1706), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55112] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1410), 1,
      sym_text_interpolation,
    ACTIONS(2956), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55138] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1411), 1,
      sym_text_interpolation,
    ACTIONS(2958), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55164] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2920), 1,
      anon_sym_LBRACE,
    ACTIONS(2924), 1,
      anon_sym_BSLASHu,
    ACTIONS(2928), 1,
      anon_sym_DOLLAR,
    ACTIONS(2960), 1,
      anon_sym_BQUOTE,
    STATE(1412), 1,
      sym_text_interpolation,
    STATE(1413), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1534), 1,
      sym_variable_name,
    STATE(1650), 1,
      sym__simple_string_member_access_expression,
    STATE(1675), 1,
      sym_dynamic_variable_name,
    ACTIONS(2922), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1647), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1700), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55210] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2920), 1,
      anon_sym_LBRACE,
    ACTIONS(2924), 1,
      anon_sym_BSLASHu,
    ACTIONS(2928), 1,
      anon_sym_DOLLAR,
    ACTIONS(2962), 1,
      anon_sym_BQUOTE,
    STATE(1413), 1,
      sym_text_interpolation,
    STATE(1420), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1534), 1,
      sym_variable_name,
    STATE(1650), 1,
      sym__simple_string_member_access_expression,
    STATE(1675), 1,
      sym_dynamic_variable_name,
    ACTIONS(2922), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1647), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1700), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55256] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1414), 1,
      sym_text_interpolation,
    ACTIONS(2964), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55282] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2080), 1,
      sym_name,
    STATE(1042), 1,
      sym__reserved_identifier,
    STATE(1415), 1,
      sym_text_interpolation,
    STATE(1753), 1,
      sym_namespace_use_clause,
    STATE(1945), 1,
      sym__name,
    STATE(1999), 1,
      sym__namespace_use_group,
    STATE(2662), 1,
      sym_namespace_name,
    ACTIONS(2966), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    STATE(1043), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55326] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2932), 1,
      anon_sym_LBRACE,
    ACTIONS(2936), 1,
      anon_sym_BSLASHu,
    ACTIONS(2940), 1,
      anon_sym_DOLLAR,
    ACTIONS(2968), 1,
      anon_sym_DQUOTE,
    STATE(1409), 1,
      aux_sym__interpolated_string_body,
    STATE(1416), 1,
      sym_text_interpolation,
    STATE(1540), 1,
      sym_variable_name,
    STATE(1678), 1,
      sym_dynamic_variable_name,
    STATE(1701), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2934), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1695), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1706), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55372] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1417), 1,
      sym_text_interpolation,
    ACTIONS(2970), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55398] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2080), 1,
      sym_name,
    STATE(1042), 1,
      sym__reserved_identifier,
    STATE(1418), 1,
      sym_text_interpolation,
    STATE(1776), 1,
      sym_namespace_use_clause,
    STATE(1945), 1,
      sym__name,
    STATE(2058), 1,
      sym__namespace_use_group,
    STATE(2662), 1,
      sym_namespace_name,
    ACTIONS(2966), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    STATE(1043), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55442] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2972), 1,
      anon_sym_LBRACE,
    ACTIONS(2978), 1,
      anon_sym_BSLASHu,
    ACTIONS(2981), 1,
      anon_sym_DQUOTE,
    ACTIONS(2983), 1,
      anon_sym_DOLLAR,
    STATE(1540), 1,
      sym_variable_name,
    STATE(1678), 1,
      sym_dynamic_variable_name,
    STATE(1701), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2975), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1419), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body,
    STATE(1695), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1706), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55486] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2986), 1,
      anon_sym_LBRACE,
    ACTIONS(2992), 1,
      anon_sym_BSLASHu,
    ACTIONS(2995), 1,
      anon_sym_BQUOTE,
    ACTIONS(2997), 1,
      anon_sym_DOLLAR,
    STATE(1534), 1,
      sym_variable_name,
    STATE(1650), 1,
      sym__simple_string_member_access_expression,
    STATE(1675), 1,
      sym_dynamic_variable_name,
    ACTIONS(2989), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1420), 2,
      sym_text_interpolation,
      aux_sym__interpolated_execution_operator_body,
    STATE(1647), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1700), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55530] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1421), 1,
      sym_text_interpolation,
    ACTIONS(3000), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55556] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2932), 1,
      anon_sym_LBRACE,
    ACTIONS(2936), 1,
      anon_sym_BSLASHu,
    ACTIONS(2940), 1,
      anon_sym_DOLLAR,
    ACTIONS(3002), 1,
      anon_sym_DQUOTE,
    STATE(1419), 1,
      aux_sym__interpolated_string_body,
    STATE(1422), 1,
      sym_text_interpolation,
    STATE(1540), 1,
      sym_variable_name,
    STATE(1678), 1,
      sym_dynamic_variable_name,
    STATE(1701), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2934), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1695), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1706), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55602] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1423), 1,
      sym_text_interpolation,
    ACTIONS(3004), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55628] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1424), 1,
      sym_text_interpolation,
    STATE(2026), 1,
      sym__name,
    STATE(2279), 1,
      sym_namespace_use_clause,
    STATE(2614), 1,
      sym_namespace_name,
    ACTIONS(3006), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55669] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1425), 1,
      sym_text_interpolation,
    ACTIONS(3008), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55694] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1426), 1,
      sym_text_interpolation,
    ACTIONS(3010), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55719] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1427), 1,
      sym_text_interpolation,
    ACTIONS(3012), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55744] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1428), 1,
      sym_text_interpolation,
    ACTIONS(3014), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55769] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1429), 1,
      sym_text_interpolation,
    ACTIONS(3016), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55794] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1430), 1,
      sym_text_interpolation,
    STATE(2026), 1,
      sym__name,
    STATE(2482), 1,
      sym_namespace_use_clause,
    STATE(2614), 1,
      sym_namespace_name,
    ACTIONS(3006), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55835] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2885), 1,
      anon_sym_BSLASHu,
    ACTIONS(3018), 1,
      anon_sym_LBRACE,
    ACTIONS(3020), 1,
      anon_sym_DOLLAR,
    STATE(1397), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1431), 1,
      sym_text_interpolation,
    STATE(1504), 1,
      sym_variable_name,
    STATE(1605), 1,
      sym_dynamic_variable_name,
    STATE(1609), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2883), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1594), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1608), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [55878] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1432), 1,
      sym_text_interpolation,
    ACTIONS(3022), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55903] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1433), 1,
      sym_text_interpolation,
    ACTIONS(3024), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55928] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1434), 1,
      sym_text_interpolation,
    ACTIONS(3026), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55953] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1435), 1,
      sym_text_interpolation,
    ACTIONS(3028), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55978] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1436), 1,
      sym_text_interpolation,
    ACTIONS(3030), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56003] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1437), 1,
      sym_text_interpolation,
    ACTIONS(3032), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56028] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1438), 1,
      sym_text_interpolation,
    ACTIONS(3034), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56053] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1439), 1,
      sym_text_interpolation,
    ACTIONS(3036), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56078] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2080), 1,
      sym_name,
    STATE(1042), 1,
      sym__reserved_identifier,
    STATE(1440), 1,
      sym_text_interpolation,
    STATE(1945), 1,
      sym__name,
    STATE(2164), 1,
      sym_namespace_use_clause,
    STATE(2699), 1,
      sym_namespace_name,
    ACTIONS(3038), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    STATE(1043), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56119] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1441), 1,
      sym_text_interpolation,
    ACTIONS(3040), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56144] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(1442), 1,
      sym_text_interpolation,
    STATE(2408), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1644), 11,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [56173] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1443), 1,
      sym_text_interpolation,
    ACTIONS(3042), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56198] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1444), 1,
      sym_text_interpolation,
    ACTIONS(3044), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56223] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(1445), 1,
      sym_text_interpolation,
    STATE(2408), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3046), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3048), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56254] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1446), 1,
      sym_text_interpolation,
    ACTIONS(3050), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56279] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1447), 1,
      sym_text_interpolation,
    ACTIONS(3052), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56304] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1448), 1,
      sym_text_interpolation,
    ACTIONS(3054), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56329] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1449), 1,
      sym_text_interpolation,
    ACTIONS(3056), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56354] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1450), 1,
      sym_text_interpolation,
    ACTIONS(3058), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56379] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1451), 1,
      sym_text_interpolation,
    ACTIONS(3060), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56404] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1452), 1,
      sym_text_interpolation,
    ACTIONS(3062), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56429] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3064), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3066), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1453), 1,
      sym_text_interpolation,
    ACTIONS(2380), 10,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [56457] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(3068), 1,
      sym_name,
    ACTIONS(3070), 1,
      anon_sym_RBRACE,
    STATE(1364), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1372), 1,
      sym_attribute_group,
    STATE(1454), 1,
      sym_text_interpolation,
    STATE(1458), 1,
      aux_sym_property_hook_list_repeat1,
    STATE(1813), 1,
      sym_attribute_list,
    STATE(1815), 1,
      sym_property_hook,
    STATE(2117), 1,
      sym_final_modifier,
    STATE(2527), 1,
      sym_reference_modifier,
  [56503] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3072), 1,
      sym_name,
    ACTIONS(3076), 1,
      anon_sym_LBRACE,
    STATE(592), 1,
      sym__member_name,
    STATE(605), 1,
      sym__reserved_identifier,
    STATE(1455), 1,
      sym_text_interpolation,
    STATE(594), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3074), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56541] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      sym_name,
    ACTIONS(3078), 1,
      anon_sym_RBRACK,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1456), 1,
      sym_text_interpolation,
    STATE(1928), 1,
      sym__name,
    STATE(2361), 1,
      sym_attribute,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56581] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(3068), 1,
      sym_name,
    ACTIONS(3080), 1,
      anon_sym_RBRACE,
    STATE(1364), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1372), 1,
      sym_attribute_group,
    STATE(1454), 1,
      aux_sym_property_hook_list_repeat1,
    STATE(1457), 1,
      sym_text_interpolation,
    STATE(1813), 1,
      sym_attribute_list,
    STATE(1815), 1,
      sym_property_hook,
    STATE(2117), 1,
      sym_final_modifier,
    STATE(2527), 1,
      sym_reference_modifier,
  [56627] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3082), 1,
      sym_name,
    ACTIONS(3085), 1,
      anon_sym_AMP,
    ACTIONS(3088), 1,
      anon_sym_RBRACE,
    ACTIONS(3090), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(3093), 1,
      anon_sym_POUND_LBRACK,
    STATE(1364), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1372), 1,
      sym_attribute_group,
    STATE(1813), 1,
      sym_attribute_list,
    STATE(1815), 1,
      sym_property_hook,
    STATE(2117), 1,
      sym_final_modifier,
    STATE(2527), 1,
      sym_reference_modifier,
    STATE(1458), 2,
      sym_text_interpolation,
      aux_sym_property_hook_list_repeat1,
  [56671] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3096), 1,
      sym_name,
    ACTIONS(3100), 1,
      anon_sym_LBRACE,
    STATE(719), 1,
      sym__member_name,
    STATE(744), 1,
      sym__reserved_identifier,
    STATE(1459), 1,
      sym_text_interpolation,
    STATE(726), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(732), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56709] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3102), 1,
      sym_name,
    ACTIONS(3106), 1,
      anon_sym_LBRACE,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(746), 1,
      sym__simple_variable,
    STATE(750), 1,
      sym__identifier,
    STATE(1460), 1,
      sym_text_interpolation,
    STATE(2354), 1,
      sym__member_name,
    STATE(726), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3104), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56749] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3096), 1,
      sym_name,
    ACTIONS(3100), 1,
      anon_sym_LBRACE,
    STATE(713), 1,
      sym__member_name,
    STATE(744), 1,
      sym__reserved_identifier,
    STATE(1461), 1,
      sym_text_interpolation,
    STATE(726), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(732), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56787] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1802), 1,
      anon_sym_DOLLAR,
    ACTIONS(3108), 1,
      sym_name,
    ACTIONS(3112), 1,
      anon_sym_LBRACE,
    STATE(902), 1,
      sym__member_name,
    STATE(972), 1,
      sym__reserved_identifier,
    STATE(1462), 1,
      sym_text_interpolation,
    STATE(957), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(977), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56825] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1802), 1,
      anon_sym_DOLLAR,
    ACTIONS(3108), 1,
      sym_name,
    ACTIONS(3112), 1,
      anon_sym_LBRACE,
    STATE(904), 1,
      sym__member_name,
    STATE(972), 1,
      sym__reserved_identifier,
    STATE(1463), 1,
      sym_text_interpolation,
    STATE(957), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(977), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56863] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1802), 1,
      anon_sym_DOLLAR,
    ACTIONS(3108), 1,
      sym_name,
    ACTIONS(3112), 1,
      anon_sym_LBRACE,
    STATE(972), 1,
      sym__reserved_identifier,
    STATE(1005), 1,
      sym__member_name,
    STATE(1464), 1,
      sym_text_interpolation,
    STATE(957), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(977), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56901] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(3068), 1,
      sym_name,
    ACTIONS(3114), 1,
      anon_sym_RBRACE,
    STATE(1364), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1372), 1,
      sym_attribute_group,
    STATE(1465), 1,
      sym_text_interpolation,
    STATE(1483), 1,
      aux_sym_property_hook_list_repeat1,
    STATE(1813), 1,
      sym_attribute_list,
    STATE(1815), 1,
      sym_property_hook,
    STATE(2117), 1,
      sym_final_modifier,
    STATE(2527), 1,
      sym_reference_modifier,
  [56947] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1802), 1,
      anon_sym_DOLLAR,
    ACTIONS(3108), 1,
      sym_name,
    ACTIONS(3112), 1,
      anon_sym_LBRACE,
    STATE(972), 1,
      sym__reserved_identifier,
    STATE(1002), 1,
      sym__member_name,
    STATE(1466), 1,
      sym_text_interpolation,
    STATE(957), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(977), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56985] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      sym_name,
    ACTIONS(3116), 1,
      anon_sym_RBRACK,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1467), 1,
      sym_text_interpolation,
    STATE(1928), 1,
      sym__name,
    STATE(2361), 1,
      sym_attribute,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57025] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3118), 1,
      sym_name,
    ACTIONS(3122), 1,
      anon_sym_LBRACE,
    STATE(624), 1,
      sym__member_name,
    STATE(646), 1,
      sym__reserved_identifier,
    STATE(1468), 1,
      sym_text_interpolation,
    STATE(633), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(647), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3120), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57063] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1558), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3124), 1,
      sym_name,
    ACTIONS(3128), 1,
      anon_sym_LBRACE,
    STATE(859), 1,
      sym__member_name,
    STATE(868), 1,
      sym__reserved_identifier,
    STATE(1469), 1,
      sym_text_interpolation,
    STATE(867), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(881), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3126), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57101] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3072), 1,
      sym_name,
    ACTIONS(3076), 1,
      anon_sym_LBRACE,
    STATE(591), 1,
      sym__member_name,
    STATE(605), 1,
      sym__reserved_identifier,
    STATE(1470), 1,
      sym_text_interpolation,
    STATE(594), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3074), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57139] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3118), 1,
      sym_name,
    ACTIONS(3122), 1,
      anon_sym_LBRACE,
    STATE(623), 1,
      sym__member_name,
    STATE(646), 1,
      sym__reserved_identifier,
    STATE(1471), 1,
      sym_text_interpolation,
    STATE(633), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(647), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3120), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57177] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3076), 1,
      anon_sym_LBRACE,
    ACTIONS(3102), 1,
      sym_name,
    STATE(603), 1,
      sym__member_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1472), 1,
      sym_text_interpolation,
    STATE(594), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3104), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57215] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3108), 1,
      sym_name,
    ACTIONS(3130), 1,
      anon_sym_LBRACE,
    STATE(644), 1,
      sym__simple_variable,
    STATE(972), 1,
      sym__reserved_identifier,
    STATE(1000), 1,
      sym__identifier,
    STATE(1473), 1,
      sym_text_interpolation,
    STATE(2484), 1,
      sym__member_name,
    STATE(633), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57255] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      sym_name,
    ACTIONS(3132), 1,
      anon_sym_RBRACK,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1474), 1,
      sym_text_interpolation,
    STATE(1928), 1,
      sym__name,
    STATE(2361), 1,
      sym_attribute,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57295] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1558), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3124), 1,
      sym_name,
    ACTIONS(3128), 1,
      anon_sym_LBRACE,
    STATE(858), 1,
      sym__member_name,
    STATE(868), 1,
      sym__reserved_identifier,
    STATE(1475), 1,
      sym_text_interpolation,
    STATE(867), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(881), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3126), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57333] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3139), 1,
      anon_sym_AMP,
    ACTIONS(3146), 1,
      anon_sym_PIPE,
    STATE(1476), 1,
      sym_text_interpolation,
    STATE(1513), 1,
      aux_sym_union_type_repeat1,
    STATE(1518), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1527), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3141), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3134), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [57369] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3102), 1,
      sym_name,
    ACTIONS(3106), 1,
      anon_sym_LBRACE,
    STATE(599), 1,
      sym__simple_variable,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(750), 1,
      sym__identifier,
    STATE(1477), 1,
      sym_text_interpolation,
    STATE(2489), 1,
      sym__member_name,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3104), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57409] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1558), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3102), 1,
      sym_name,
    ACTIONS(3106), 1,
      anon_sym_LBRACE,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(750), 1,
      sym__identifier,
    STATE(879), 1,
      sym__simple_variable,
    STATE(1478), 1,
      sym_text_interpolation,
    STATE(2316), 1,
      sym__member_name,
    STATE(867), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3104), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57449] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3076), 1,
      anon_sym_LBRACE,
    ACTIONS(3102), 1,
      sym_name,
    STATE(615), 1,
      sym__member_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1479), 1,
      sym_text_interpolation,
    STATE(594), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3104), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57487] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      sym_name,
    ACTIONS(3148), 1,
      anon_sym_RBRACK,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1480), 1,
      sym_text_interpolation,
    STATE(1928), 1,
      sym__name,
    STATE(2361), 1,
      sym_attribute,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57527] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1802), 1,
      anon_sym_DOLLAR,
    ACTIONS(3102), 1,
      sym_name,
    ACTIONS(3106), 1,
      anon_sym_LBRACE,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(750), 1,
      sym__identifier,
    STATE(995), 1,
      sym__simple_variable,
    STATE(1481), 1,
      sym_text_interpolation,
    STATE(2332), 1,
      sym__member_name,
    STATE(957), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3104), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57567] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3076), 1,
      anon_sym_LBRACE,
    ACTIONS(3102), 1,
      sym_name,
    STATE(591), 1,
      sym__member_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1482), 1,
      sym_text_interpolation,
    STATE(594), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3104), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57605] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(3068), 1,
      sym_name,
    ACTIONS(3150), 1,
      anon_sym_RBRACE,
    STATE(1364), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1372), 1,
      sym_attribute_group,
    STATE(1458), 1,
      aux_sym_property_hook_list_repeat1,
    STATE(1483), 1,
      sym_text_interpolation,
    STATE(1813), 1,
      sym_attribute_list,
    STATE(1815), 1,
      sym_property_hook,
    STATE(2117), 1,
      sym_final_modifier,
    STATE(2527), 1,
      sym_reference_modifier,
  [57651] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3076), 1,
      anon_sym_LBRACE,
    ACTIONS(3102), 1,
      sym_name,
    STATE(592), 1,
      sym__member_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1484), 1,
      sym_text_interpolation,
    STATE(594), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3104), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57689] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1558), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3108), 1,
      sym_name,
    ACTIONS(3130), 1,
      anon_sym_LBRACE,
    STATE(879), 1,
      sym__simple_variable,
    STATE(972), 1,
      sym__reserved_identifier,
    STATE(1000), 1,
      sym__identifier,
    STATE(1485), 1,
      sym_text_interpolation,
    STATE(2316), 1,
      sym__member_name,
    STATE(867), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57729] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_DOLLAR,
    ACTIONS(3102), 1,
      sym_name,
    ACTIONS(3106), 1,
      anon_sym_LBRACE,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(750), 1,
      sym__identifier,
    STATE(772), 1,
      sym__simple_variable,
    STATE(1486), 1,
      sym_text_interpolation,
    STATE(2374), 1,
      sym__member_name,
    STATE(775), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3104), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57769] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_DOLLAR,
    ACTIONS(3102), 1,
      sym_name,
    ACTIONS(3152), 1,
      anon_sym_LBRACE,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(777), 1,
      sym__member_name,
    STATE(1487), 1,
      sym_text_interpolation,
    STATE(775), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(792), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3104), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57807] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_DOLLAR,
    ACTIONS(3102), 1,
      sym_name,
    ACTIONS(3152), 1,
      anon_sym_LBRACE,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(804), 1,
      sym__member_name,
    STATE(1488), 1,
      sym_text_interpolation,
    STATE(775), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(792), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3104), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57845] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_DOLLAR,
    ACTIONS(3102), 1,
      sym_name,
    ACTIONS(3152), 1,
      anon_sym_LBRACE,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(760), 1,
      sym__member_name,
    STATE(1489), 1,
      sym_text_interpolation,
    STATE(775), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(792), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3104), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57883] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_DOLLAR,
    ACTIONS(3102), 1,
      sym_name,
    ACTIONS(3152), 1,
      anon_sym_LBRACE,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(751), 1,
      sym__member_name,
    STATE(1490), 1,
      sym_text_interpolation,
    STATE(775), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(792), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3104), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57921] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1491), 1,
      sym_text_interpolation,
    ACTIONS(1958), 11,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [57944] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1492), 1,
      sym_text_interpolation,
    ACTIONS(3154), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3156), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [57969] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1493), 1,
      sym_text_interpolation,
    ACTIONS(3158), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3160), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [57994] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(324), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3162), 1,
      sym_integer,
    STATE(1494), 1,
      sym_text_interpolation,
    STATE(1992), 1,
      sym__string,
    ACTIONS(320), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(322), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(991), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [58027] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3164), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3166), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1495), 1,
      sym_text_interpolation,
    ACTIONS(2380), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [58054] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1496), 1,
      sym_text_interpolation,
    ACTIONS(3168), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3170), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58079] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1497), 1,
      sym_text_interpolation,
    STATE(1928), 1,
      sym__name,
    STATE(2037), 1,
      sym_attribute,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58116] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(324), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3172), 1,
      sym_integer,
    STATE(1498), 1,
      sym_text_interpolation,
    STATE(1965), 1,
      sym__string,
    ACTIONS(320), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(322), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(991), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [58149] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1499), 1,
      sym_text_interpolation,
    STATE(1928), 1,
      sym__name,
    STATE(2084), 1,
      sym_attribute,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58186] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1500), 1,
      sym_text_interpolation,
    ACTIONS(3046), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3048), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58211] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1501), 1,
      sym_text_interpolation,
    STATE(1928), 1,
      sym__name,
    STATE(2361), 1,
      sym_attribute,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58248] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3178), 1,
      anon_sym_PIPE,
    STATE(1502), 1,
      sym_text_interpolation,
    STATE(1512), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3174), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3176), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [58276] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1503), 1,
      sym_text_interpolation,
    ACTIONS(3180), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3182), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [58300] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3184), 1,
      anon_sym_DASH_GT,
    ACTIONS(3186), 1,
      anon_sym_LBRACK,
    ACTIONS(3188), 1,
      sym_encapsed_string_chars_after_variable_heredoc,
    STATE(1504), 1,
      sym_text_interpolation,
    ACTIONS(1690), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1688), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [58330] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2080), 1,
      sym_name,
    STATE(1042), 1,
      sym__reserved_identifier,
    STATE(1505), 1,
      sym_text_interpolation,
    STATE(1572), 1,
      sym__name,
    STATE(2699), 1,
      sym_namespace_name,
    STATE(1043), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58364] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1506), 1,
      sym_text_interpolation,
    ACTIONS(3190), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3192), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58388] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1507), 1,
      sym_text_interpolation,
    ACTIONS(3194), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3196), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58412] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2080), 1,
      sym_name,
    STATE(1042), 1,
      sym__reserved_identifier,
    STATE(1508), 1,
      sym_text_interpolation,
    STATE(1917), 1,
      sym__name,
    STATE(2593), 1,
      sym_namespace_name,
    STATE(1043), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58446] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1509), 1,
      sym_text_interpolation,
    STATE(2079), 1,
      sym__name,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58480] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2080), 1,
      sym_name,
    STATE(1042), 1,
      sym__reserved_identifier,
    STATE(1510), 1,
      sym_text_interpolation,
    STATE(1917), 1,
      sym__name,
    STATE(2699), 1,
      sym_namespace_name,
    STATE(1043), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58514] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1511), 1,
      sym_text_interpolation,
    STATE(1885), 1,
      sym__name,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58548] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3178), 1,
      anon_sym_PIPE,
    STATE(1512), 1,
      sym_text_interpolation,
    STATE(1514), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3198), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3200), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [58576] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3206), 1,
      anon_sym_PIPE,
    STATE(1513), 1,
      sym_text_interpolation,
    STATE(1522), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3202), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3204), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [58604] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3208), 1,
      anon_sym_PIPE,
    STATE(1514), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3190), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3192), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [58630] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1515), 1,
      sym_text_interpolation,
    STATE(2082), 1,
      sym__name,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58664] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_COLON,
    ACTIONS(2836), 1,
      anon_sym_COLON_COLON,
    STATE(1516), 1,
      sym_text_interpolation,
    ACTIONS(1814), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1660), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58692] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_AMP,
    STATE(1517), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3180), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3182), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [58718] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3178), 1,
      anon_sym_PIPE,
    STATE(1514), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1518), 1,
      sym_text_interpolation,
    ACTIONS(3214), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3216), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [58746] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(3102), 1,
      sym_name,
    ACTIONS(3218), 1,
      anon_sym_LPAREN2,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1519), 1,
      sym_text_interpolation,
    STATE(1547), 1,
      sym_reference_modifier,
    STATE(1784), 1,
      sym_formal_parameters,
    STATE(2356), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58782] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1520), 1,
      sym_text_interpolation,
    ACTIONS(1656), 5,
      sym_encapsed_string_chars_heredoc,
      sym_encapsed_string_chars_after_variable_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
    ACTIONS(1658), 5,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
  [58806] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1521), 1,
      sym_text_interpolation,
    ACTIONS(3220), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3222), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58830] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3224), 1,
      anon_sym_PIPE,
    STATE(1522), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3220), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3222), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [58856] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1523), 1,
      sym_text_interpolation,
    STATE(2203), 1,
      sym__name,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1491), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58890] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2080), 1,
      sym_name,
    STATE(1042), 1,
      sym__reserved_identifier,
    STATE(1524), 1,
      sym_text_interpolation,
    STATE(1941), 1,
      sym__name,
    STATE(2699), 1,
      sym_namespace_name,
    STATE(1043), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58924] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(3102), 1,
      sym_name,
    ACTIONS(3218), 1,
      anon_sym_LPAREN2,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1525), 1,
      sym_text_interpolation,
    STATE(1544), 1,
      sym_reference_modifier,
    STATE(1730), 1,
      sym_formal_parameters,
    STATE(2356), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58960] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1526), 1,
      sym_text_interpolation,
    ACTIONS(3227), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3230), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58984] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3139), 1,
      anon_sym_AMP,
    STATE(1517), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1527), 1,
      sym_text_interpolation,
    ACTIONS(3233), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3235), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [59012] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_EQ,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(1528), 1,
      sym_text_interpolation,
    STATE(2408), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3048), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3046), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [59041] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LBRACE,
    ACTIONS(3239), 1,
      anon_sym_EQ_GT,
    ACTIONS(3241), 1,
      anon_sym_LPAREN2,
    STATE(1529), 1,
      sym_text_interpolation,
    STATE(1568), 1,
      sym_formal_parameters,
    STATE(1714), 1,
      sym__property_hook_body,
    STATE(1754), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59076] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1530), 1,
      sym_text_interpolation,
    ACTIONS(3243), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3245), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [59099] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2836), 1,
      anon_sym_COLON_COLON,
    STATE(1531), 1,
      sym_text_interpolation,
    ACTIONS(1814), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1660), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59124] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LBRACE,
    ACTIONS(3239), 1,
      anon_sym_EQ_GT,
    ACTIONS(3241), 1,
      anon_sym_LPAREN2,
    STATE(1532), 1,
      sym_text_interpolation,
    STATE(1601), 1,
      sym_formal_parameters,
    STATE(1728), 1,
      sym__property_hook_body,
    STATE(1754), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59159] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LBRACE,
    ACTIONS(3239), 1,
      anon_sym_EQ_GT,
    ACTIONS(3241), 1,
      anon_sym_LPAREN2,
    STATE(1533), 1,
      sym_text_interpolation,
    STATE(1593), 1,
      sym_formal_parameters,
    STATE(1754), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    STATE(1761), 1,
      sym__property_hook_body,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59194] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_BSLASHu,
    ACTIONS(3247), 1,
      anon_sym_DASH_GT,
    ACTIONS(3249), 1,
      anon_sym_LBRACK,
    ACTIONS(3251), 1,
      sym_execution_string_chars_after_variable,
    STATE(1534), 1,
      sym_text_interpolation,
    ACTIONS(1688), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [59223] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LBRACE,
    ACTIONS(3239), 1,
      anon_sym_EQ_GT,
    ACTIONS(3241), 1,
      anon_sym_LPAREN2,
    STATE(1535), 1,
      sym_text_interpolation,
    STATE(1569), 1,
      sym_formal_parameters,
    STATE(1735), 1,
      sym__property_hook_body,
    STATE(1754), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59258] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LBRACE,
    ACTIONS(3239), 1,
      anon_sym_EQ_GT,
    ACTIONS(3241), 1,
      anon_sym_LPAREN2,
    STATE(1536), 1,
      sym_text_interpolation,
    STATE(1600), 1,
      sym_formal_parameters,
    STATE(1754), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    STATE(1795), 1,
      sym__property_hook_body,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59293] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LBRACE,
    ACTIONS(3239), 1,
      anon_sym_EQ_GT,
    ACTIONS(3241), 1,
      anon_sym_LPAREN2,
    STATE(1537), 1,
      sym_text_interpolation,
    STATE(1574), 1,
      sym_formal_parameters,
    STATE(1737), 1,
      sym__property_hook_body,
    STATE(1754), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59328] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_BSLASHu,
    STATE(1538), 1,
      sym_text_interpolation,
    ACTIONS(1656), 8,
      sym_execution_string_chars,
      sym_execution_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [59351] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LBRACE,
    ACTIONS(3239), 1,
      anon_sym_EQ_GT,
    ACTIONS(3241), 1,
      anon_sym_LPAREN2,
    STATE(1539), 1,
      sym_text_interpolation,
    STATE(1599), 1,
      sym_formal_parameters,
    STATE(1713), 1,
      sym__property_hook_body,
    STATE(1754), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59386] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_BSLASHu,
    ACTIONS(3253), 1,
      anon_sym_DASH_GT,
    ACTIONS(3255), 1,
      anon_sym_LBRACK,
    ACTIONS(3257), 1,
      sym_encapsed_string_chars_after_variable,
    STATE(1540), 1,
      sym_text_interpolation,
    ACTIONS(1688), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [59415] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_BSLASHu,
    STATE(1541), 1,
      sym_text_interpolation,
    ACTIONS(1656), 8,
      sym_encapsed_string_chars,
      sym_encapsed_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [59438] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LBRACE,
    ACTIONS(3239), 1,
      anon_sym_EQ_GT,
    ACTIONS(3241), 1,
      anon_sym_LPAREN2,
    STATE(1542), 1,
      sym_text_interpolation,
    STATE(1584), 1,
      sym_formal_parameters,
    STATE(1744), 1,
      sym__property_hook_body,
    STATE(1754), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59473] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_COLON,
    ACTIONS(2836), 1,
      anon_sym_COLON_COLON,
    STATE(1543), 1,
      sym_text_interpolation,
    ACTIONS(1660), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59497] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3102), 1,
      sym_name,
    ACTIONS(3218), 1,
      anon_sym_LPAREN2,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1544), 1,
      sym_text_interpolation,
    STATE(1768), 1,
      sym_formal_parameters,
    STATE(2427), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59527] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(941), 1,
      sym_declaration_list,
    STATE(1545), 1,
      sym_text_interpolation,
    STATE(1645), 1,
      sym_arguments,
    STATE(1876), 1,
      sym_base_clause,
    STATE(2381), 1,
      sym_class_interface_clause,
  [59561] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3265), 1,
      anon_sym_AMP,
    ACTIONS(3267), 1,
      anon_sym_PIPE,
    STATE(1546), 1,
      sym_text_interpolation,
    STATE(1802), 1,
      aux_sym_union_type_repeat1,
    STATE(1805), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1831), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3141), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59591] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3102), 1,
      sym_name,
    ACTIONS(3218), 1,
      anon_sym_LPAREN2,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1547), 1,
      sym_text_interpolation,
    STATE(1818), 1,
      sym_formal_parameters,
    STATE(2427), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59621] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(936), 1,
      sym_declaration_list,
    STATE(1548), 1,
      sym_text_interpolation,
    STATE(1674), 1,
      sym_arguments,
    STATE(1845), 1,
      sym_base_clause,
    STATE(2420), 1,
      sym_class_interface_clause,
  [59655] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    ACTIONS(3269), 1,
      anon_sym_COMMA,
    ACTIONS(3271), 1,
      anon_sym_RPAREN2,
    STATE(1549), 1,
      sym_text_interpolation,
    STATE(2211), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59683] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(3102), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1550), 1,
      sym_text_interpolation,
    STATE(1694), 1,
      sym_reference_modifier,
    STATE(2417), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59713] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(3273), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1551), 1,
      sym_text_interpolation,
    STATE(2408), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1644), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59739] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    ACTIONS(3275), 1,
      anon_sym_RPAREN2,
    STATE(1552), 1,
      sym_text_interpolation,
    STATE(2033), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59767] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(996), 1,
      sym_declaration_list,
    STATE(1553), 1,
      sym_text_interpolation,
    STATE(1648), 1,
      sym_arguments,
    STATE(1908), 1,
      sym_base_clause,
    STATE(2470), 1,
      sym_class_interface_clause,
  [59801] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(997), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3277), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3280), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(995), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1554), 2,
      sym_text_interpolation,
      aux_sym_try_statement_repeat1,
    STATE(1814), 2,
      sym_catch_clause,
      sym_finally_clause,
  [59829] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(943), 1,
      sym_declaration_list,
    STATE(1555), 1,
      sym_text_interpolation,
    STATE(1646), 1,
      sym_arguments,
    STATE(1877), 1,
      sym_base_clause,
    STATE(2384), 1,
      sym_class_interface_clause,
  [59863] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(795), 1,
      sym_declaration_list,
    STATE(1556), 1,
      sym_text_interpolation,
    STATE(1664), 1,
      sym_arguments,
    STATE(1860), 1,
      sym_base_clause,
    STATE(2467), 1,
      sym_class_interface_clause,
  [59897] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(989), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3285), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3287), 1,
      aux_sym_finally_clause_token1,
    STATE(1554), 1,
      aux_sym_try_statement_repeat1,
    STATE(1557), 1,
      sym_text_interpolation,
    ACTIONS(987), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1814), 2,
      sym_catch_clause,
      sym_finally_clause,
  [59927] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(794), 1,
      sym_declaration_list,
    STATE(1558), 1,
      sym_text_interpolation,
    STATE(1682), 1,
      sym_arguments,
    STATE(1861), 1,
      sym_base_clause,
    STATE(2468), 1,
      sym_class_interface_clause,
  [59961] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    ACTIONS(3289), 1,
      anon_sym_COMMA,
    ACTIONS(3291), 1,
      anon_sym_RPAREN2,
    STATE(1559), 1,
      sym_text_interpolation,
    STATE(2165), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59989] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(834), 1,
      sym_declaration_list,
    STATE(1560), 1,
      sym_text_interpolation,
    STATE(1652), 1,
      sym_arguments,
    STATE(1873), 1,
      sym_base_clause,
    STATE(2500), 1,
      sym_class_interface_clause,
  [60023] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(840), 1,
      sym_declaration_list,
    STATE(1561), 1,
      sym_text_interpolation,
    STATE(1624), 1,
      sym_arguments,
    STATE(1844), 1,
      sym_base_clause,
    STATE(2413), 1,
      sym_class_interface_clause,
  [60057] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1562), 1,
      sym_text_interpolation,
    ACTIONS(3293), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3295), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60078] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1563), 1,
      sym_text_interpolation,
    ACTIONS(1658), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1656), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60099] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1564), 1,
      sym_text_interpolation,
    ACTIONS(3297), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3299), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60120] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    STATE(1565), 1,
      sym_text_interpolation,
    ACTIONS(3301), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60143] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3102), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1566), 1,
      sym_text_interpolation,
    STATE(1769), 1,
      sym_const_element,
    STATE(2656), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60170] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    ACTIONS(3305), 1,
      anon_sym_DASH,
    STATE(1567), 1,
      sym_text_interpolation,
    STATE(2543), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3303), 2,
      sym_integer,
      sym_name,
    STATE(2659), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [60197] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LBRACE,
    ACTIONS(3239), 1,
      anon_sym_EQ_GT,
    STATE(1568), 1,
      sym_text_interpolation,
    STATE(1732), 1,
      sym__property_hook_body,
    STATE(1754), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60226] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LBRACE,
    ACTIONS(3239), 1,
      anon_sym_EQ_GT,
    STATE(1569), 1,
      sym_text_interpolation,
    STATE(1727), 1,
      sym__property_hook_body,
    STATE(1754), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60255] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3289), 1,
      anon_sym_COMMA,
    ACTIONS(3291), 1,
      anon_sym_RPAREN2,
    STATE(1570), 1,
      sym_text_interpolation,
    STATE(2165), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60280] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_COMMA,
    ACTIONS(3309), 1,
      anon_sym_LBRACE,
    STATE(1571), 1,
      sym_text_interpolation,
    STATE(1745), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1444), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60307] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3311), 1,
      anon_sym_COMMA,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1572), 1,
      sym_text_interpolation,
    STATE(1582), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1405), 2,
      sym_use_list,
      sym__semicolon,
  [60334] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_COMMA,
    ACTIONS(3309), 1,
      anon_sym_LBRACE,
    STATE(1573), 1,
      sym_text_interpolation,
    STATE(1589), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1443), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60361] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LBRACE,
    ACTIONS(3239), 1,
      anon_sym_EQ_GT,
    STATE(1574), 1,
      sym_text_interpolation,
    STATE(1716), 1,
      sym__property_hook_body,
    STATE(1754), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60390] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1575), 1,
      sym_text_interpolation,
    ACTIONS(2598), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1644), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60411] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1576), 1,
      sym_text_interpolation,
    ACTIONS(2114), 3,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2112), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [60432] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3102), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1577), 1,
      sym_text_interpolation,
    STATE(2195), 1,
      sym_const_element,
    STATE(2656), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60459] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3289), 1,
      anon_sym_COMMA,
    ACTIONS(3291), 1,
      anon_sym_RPAREN2,
    STATE(1578), 1,
      sym_text_interpolation,
    STATE(2165), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60484] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3275), 1,
      anon_sym_RPAREN2,
    STATE(1579), 1,
      sym_text_interpolation,
    STATE(2033), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60509] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1580), 1,
      sym_text_interpolation,
    ACTIONS(2596), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1644), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60530] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1581), 1,
      sym_text_interpolation,
    ACTIONS(3315), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(2911), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60551] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3311), 1,
      anon_sym_COMMA,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1582), 1,
      sym_text_interpolation,
    STATE(1736), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1410), 2,
      sym_use_list,
      sym__semicolon,
  [60578] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3317), 1,
      anon_sym_AMP,
    ACTIONS(3323), 1,
      anon_sym_PIPE,
    STATE(1583), 1,
      sym_text_interpolation,
    STATE(1723), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1724), 1,
      aux_sym_union_type_repeat1,
    STATE(1887), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3141), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [60607] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LBRACE,
    ACTIONS(3239), 1,
      anon_sym_EQ_GT,
    STATE(1584), 1,
      sym_text_interpolation,
    STATE(1749), 1,
      sym__property_hook_body,
    STATE(1754), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60636] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3269), 1,
      anon_sym_COMMA,
    ACTIONS(3271), 1,
      anon_sym_RPAREN2,
    STATE(1585), 1,
      sym_text_interpolation,
    STATE(2211), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60661] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1586), 1,
      sym_text_interpolation,
    ACTIONS(3325), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3327), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60682] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3269), 1,
      anon_sym_COMMA,
    ACTIONS(3271), 1,
      anon_sym_RPAREN2,
    STATE(1587), 1,
      sym_text_interpolation,
    STATE(2211), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60707] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(1588), 1,
      sym_text_interpolation,
    STATE(2408), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3048), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [60730] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_COMMA,
    ACTIONS(3309), 1,
      anon_sym_LBRACE,
    STATE(1589), 1,
      sym_text_interpolation,
    STATE(1745), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1439), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60757] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3275), 1,
      anon_sym_RPAREN2,
    STATE(1590), 1,
      sym_text_interpolation,
    STATE(2033), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60782] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_COMMA,
    ACTIONS(3309), 1,
      anon_sym_LBRACE,
    STATE(1571), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1591), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1425), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60809] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_COMMA,
    ACTIONS(3309), 1,
      anon_sym_LBRACE,
    STATE(1592), 1,
      sym_text_interpolation,
    STATE(1611), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1434), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60836] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LBRACE,
    ACTIONS(3239), 1,
      anon_sym_EQ_GT,
    STATE(1593), 1,
      sym_text_interpolation,
    STATE(1739), 1,
      sym__property_hook_body,
    STATE(1754), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60865] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1594), 1,
      sym_text_interpolation,
    ACTIONS(3329), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3331), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60886] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3102), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1595), 1,
      sym_text_interpolation,
    STATE(1822), 1,
      sym_const_element,
    STATE(2656), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60913] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_COMMA,
    ACTIONS(3309), 1,
      anon_sym_LBRACE,
    STATE(1596), 1,
      sym_text_interpolation,
    STATE(1745), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1432), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60940] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    ACTIONS(3305), 1,
      anon_sym_DASH,
    STATE(1597), 1,
      sym_text_interpolation,
    STATE(2660), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3303), 2,
      sym_integer,
      sym_name,
    STATE(2659), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [60967] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3102), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1598), 1,
      sym_text_interpolation,
    STATE(1800), 1,
      sym_const_element,
    STATE(2656), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60994] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LBRACE,
    ACTIONS(3239), 1,
      anon_sym_EQ_GT,
    STATE(1599), 1,
      sym_text_interpolation,
    STATE(1742), 1,
      sym__property_hook_body,
    STATE(1754), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61023] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LBRACE,
    ACTIONS(3239), 1,
      anon_sym_EQ_GT,
    STATE(1600), 1,
      sym_text_interpolation,
    STATE(1741), 1,
      sym__property_hook_body,
    STATE(1754), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61052] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LBRACE,
    ACTIONS(3239), 1,
      anon_sym_EQ_GT,
    STATE(1601), 1,
      sym_text_interpolation,
    STATE(1740), 1,
      sym__property_hook_body,
    STATE(1754), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61081] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1602), 1,
      sym_text_interpolation,
    ACTIONS(2498), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1644), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61102] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3102), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1603), 1,
      sym_text_interpolation,
    STATE(1759), 1,
      sym_const_element,
    STATE(2656), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61129] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    STATE(1604), 1,
      sym_text_interpolation,
    ACTIONS(3333), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61152] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1605), 1,
      sym_text_interpolation,
    ACTIONS(1690), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1688), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [61173] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    STATE(1606), 1,
      sym_text_interpolation,
    ACTIONS(3335), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61196] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1607), 1,
      sym_text_interpolation,
    ACTIONS(1630), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1628), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [61217] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1608), 1,
      sym_text_interpolation,
    ACTIONS(3337), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3339), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [61238] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1609), 1,
      sym_text_interpolation,
    ACTIONS(3341), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3343), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [61259] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3347), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3350), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3345), 2,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
    STATE(1610), 2,
      sym_text_interpolation,
      aux_sym_switch_block_repeat1,
    STATE(1880), 2,
      sym_case_statement,
      sym_default_statement,
  [61284] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_COMMA,
    ACTIONS(3309), 1,
      anon_sym_LBRACE,
    STATE(1611), 1,
      sym_text_interpolation,
    STATE(1745), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1437), 2,
      sym_property_hook_list,
      sym__semicolon,
  [61311] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1612), 1,
      sym_text_interpolation,
    ACTIONS(2588), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1644), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61332] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    ACTIONS(3305), 1,
      anon_sym_DASH,
    STATE(1613), 1,
      sym_text_interpolation,
    STATE(2709), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3303), 2,
      sym_integer,
      sym_name,
    STATE(2659), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [61359] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2836), 1,
      anon_sym_COLON_COLON,
    STATE(1614), 1,
      sym_text_interpolation,
    ACTIONS(1660), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61380] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1615), 1,
      sym_text_interpolation,
    ACTIONS(1670), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1668), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [61401] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_COMMA,
    ACTIONS(3309), 1,
      anon_sym_LBRACE,
    STATE(1596), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1616), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1428), 2,
      sym_property_hook_list,
      sym__semicolon,
  [61428] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(1617), 1,
      sym_text_interpolation,
    STATE(1855), 1,
      sym_base_clause,
    STATE(2047), 1,
      sym_declaration_list,
    STATE(2436), 1,
      sym_class_interface_clause,
  [61456] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3355), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3357), 1,
      aux_sym_else_clause_token1,
    STATE(1618), 1,
      sym_text_interpolation,
    STATE(1667), 1,
      aux_sym_if_statement_repeat2,
    STATE(2222), 1,
      sym_else_if_clause_2,
    STATE(2621), 1,
      sym_else_clause_2,
  [61484] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3359), 1,
      sym_name,
    ACTIONS(3361), 1,
      anon_sym_LBRACE,
    ACTIONS(3363), 1,
      anon_sym_DOLLAR,
    STATE(1607), 1,
      sym__simple_variable,
    STATE(1619), 1,
      sym_text_interpolation,
    STATE(1605), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61510] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3361), 1,
      anon_sym_LBRACE,
    ACTIONS(3363), 1,
      anon_sym_DOLLAR,
    ACTIONS(3365), 1,
      sym_name,
    STATE(1607), 1,
      sym__simple_variable,
    STATE(1620), 1,
      sym_text_interpolation,
    STATE(1605), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61536] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3355), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3357), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3367), 1,
      aux_sym_if_statement_token2,
    STATE(1621), 1,
      sym_text_interpolation,
    STATE(1840), 1,
      aux_sym_if_statement_repeat2,
    STATE(2222), 1,
      sym_else_if_clause_2,
    STATE(2601), 1,
      sym_else_clause_2,
  [61564] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3369), 1,
      anon_sym_SQUOTE,
    ACTIONS(3371), 1,
      aux_sym_string_token2,
    ACTIONS(3373), 1,
      aux_sym_string_content_token1,
    STATE(1622), 1,
      sym_text_interpolation,
    STATE(1673), 1,
      aux_sym_string_repeat1,
    STATE(1927), 1,
      aux_sym_string_content_repeat1,
    STATE(2038), 1,
      sym_string_content,
  [61592] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_BSLASHu,
    STATE(1623), 1,
      sym_text_interpolation,
    ACTIONS(1656), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [61612] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(814), 1,
      sym_declaration_list,
    STATE(1624), 1,
      sym_text_interpolation,
    STATE(1848), 1,
      sym_base_clause,
    STATE(2377), 1,
      sym_class_interface_clause,
  [61640] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3371), 1,
      aux_sym_string_token2,
    ACTIONS(3373), 1,
      aux_sym_string_content_token1,
    ACTIONS(3375), 1,
      anon_sym_SQUOTE,
    STATE(1625), 1,
      sym_text_interpolation,
    STATE(1677), 1,
      aux_sym_string_repeat1,
    STATE(1927), 1,
      aux_sym_string_content_repeat1,
    STATE(2038), 1,
      sym_string_content,
  [61668] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_BSLASHu,
    STATE(1626), 1,
      sym_text_interpolation,
    ACTIONS(1656), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61688] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3377), 1,
      sym_name,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(636), 1,
      sym__simple_variable,
    STATE(1627), 1,
      sym_text_interpolation,
    STATE(633), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61714] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3381), 1,
      sym_name,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3385), 1,
      anon_sym_DOLLAR,
    STATE(1628), 1,
      sym_text_interpolation,
    STATE(1633), 1,
      sym__simple_variable,
    STATE(1675), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61740] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(567), 1,
      sym_declaration_list,
    STATE(1629), 1,
      sym_text_interpolation,
    STATE(1909), 1,
      sym_base_clause,
    STATE(2449), 1,
      sym_class_interface_clause,
  [61768] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3389), 1,
      sym_name,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1630), 1,
      sym_text_interpolation,
    STATE(1850), 1,
      sym_named_type,
    STATE(2182), 1,
      sym_type_list,
    STATE(2614), 1,
      sym_namespace_name,
  [61796] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1797), 1,
      anon_sym_BSLASH,
    STATE(1631), 1,
      sym_text_interpolation,
    STATE(2437), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1795), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [61818] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3391), 1,
      sym_name,
    ACTIONS(3393), 1,
      anon_sym_LBRACE,
    ACTIONS(3395), 1,
      anon_sym_DOLLAR,
    STATE(1632), 1,
      sym_text_interpolation,
    STATE(1666), 1,
      sym__simple_variable,
    STATE(1678), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61844] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_BSLASHu,
    STATE(1633), 1,
      sym_text_interpolation,
    ACTIONS(1628), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61864] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3397), 1,
      anon_sym_RBRACE,
    ACTIONS(3399), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3401), 1,
      aux_sym_match_default_expression_token1,
    STATE(1610), 1,
      aux_sym_switch_block_repeat1,
    STATE(1634), 1,
      sym_text_interpolation,
    STATE(1880), 2,
      sym_case_statement,
      sym_default_statement,
  [61890] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3399), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3401), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3403), 1,
      aux_sym_switch_block_token1,
    STATE(1610), 1,
      aux_sym_switch_block_repeat1,
    STATE(1635), 1,
      sym_text_interpolation,
    STATE(1880), 2,
      sym_case_statement,
      sym_default_statement,
  [61916] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_DOLLAR,
    ACTIONS(3405), 1,
      sym_name,
    ACTIONS(3407), 1,
      anon_sym_LBRACE,
    STATE(783), 1,
      sym__simple_variable,
    STATE(1636), 1,
      sym_text_interpolation,
    STATE(775), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61942] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(1637), 1,
      sym_text_interpolation,
    STATE(1847), 1,
      sym_base_clause,
    STATE(1988), 1,
      sym_declaration_list,
    STATE(2388), 1,
      sym_class_interface_clause,
  [61970] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3399), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3401), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3409), 1,
      anon_sym_RBRACE,
    STATE(1634), 1,
      aux_sym_switch_block_repeat1,
    STATE(1638), 1,
      sym_text_interpolation,
    STATE(1880), 2,
      sym_case_statement,
      sym_default_statement,
  [61996] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1639), 1,
      sym_text_interpolation,
    ACTIONS(3333), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62016] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3399), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3401), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3411), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      aux_sym_switch_block_repeat1,
    STATE(1640), 1,
      sym_text_interpolation,
    STATE(1880), 2,
      sym_case_statement,
      sym_default_statement,
  [62042] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(1641), 1,
      sym_text_interpolation,
    STATE(1856), 1,
      sym_base_clause,
    STATE(2049), 1,
      sym_declaration_list,
    STATE(2439), 1,
      sym_class_interface_clause,
  [62070] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3413), 1,
      sym_name,
    ACTIONS(3415), 1,
      anon_sym_LBRACE,
    STATE(722), 1,
      sym__simple_variable,
    STATE(1642), 1,
      sym_text_interpolation,
    STATE(726), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62096] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1013), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3417), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3419), 1,
      aux_sym_else_clause_token1,
    STATE(1643), 1,
      sym_text_interpolation,
    STATE(1711), 1,
      aux_sym_if_statement_repeat1,
    STATE(1955), 1,
      sym_else_clause,
    STATE(2147), 1,
      sym_else_if_clause,
  [62124] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1644), 1,
      sym_text_interpolation,
    ACTIONS(3333), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62144] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(936), 1,
      sym_declaration_list,
    STATE(1645), 1,
      sym_text_interpolation,
    STATE(1845), 1,
      sym_base_clause,
    STATE(2420), 1,
      sym_class_interface_clause,
  [62172] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(934), 1,
      sym_declaration_list,
    STATE(1646), 1,
      sym_text_interpolation,
    STATE(1853), 1,
      sym_base_clause,
    STATE(2416), 1,
      sym_class_interface_clause,
  [62200] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_BSLASHu,
    STATE(1647), 1,
      sym_text_interpolation,
    ACTIONS(3339), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62220] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(943), 1,
      sym_declaration_list,
    STATE(1648), 1,
      sym_text_interpolation,
    STATE(1877), 1,
      sym_base_clause,
    STATE(2384), 1,
      sym_class_interface_clause,
  [62248] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(507), 1,
      sym_declaration_list,
    STATE(1649), 1,
      sym_text_interpolation,
    STATE(1868), 1,
      sym_base_clause,
    STATE(2330), 1,
      sym_class_interface_clause,
  [62276] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_BSLASHu,
    STATE(1650), 1,
      sym_text_interpolation,
    ACTIONS(3343), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62296] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1651), 1,
      sym_text_interpolation,
    ACTIONS(3335), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62316] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(794), 1,
      sym_declaration_list,
    STATE(1652), 1,
      sym_text_interpolation,
    STATE(1861), 1,
      sym_base_clause,
    STATE(2468), 1,
      sym_class_interface_clause,
  [62344] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_BSLASHu,
    STATE(1653), 1,
      sym_text_interpolation,
    ACTIONS(3295), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62364] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3297), 1,
      anon_sym_BSLASHu,
    STATE(1654), 1,
      sym_text_interpolation,
    ACTIONS(3299), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62384] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3399), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3401), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3421), 1,
      aux_sym_switch_block_token1,
    STATE(1655), 1,
      sym_text_interpolation,
    STATE(1660), 1,
      aux_sym_switch_block_repeat1,
    STATE(1880), 2,
      sym_case_statement,
      sym_default_statement,
  [62410] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3399), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3401), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3423), 1,
      anon_sym_RBRACE,
    STATE(1640), 1,
      aux_sym_switch_block_repeat1,
    STATE(1656), 1,
      sym_text_interpolation,
    STATE(1880), 2,
      sym_case_statement,
      sym_default_statement,
  [62436] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_BSLASHu,
    STATE(1657), 1,
      sym_text_interpolation,
    ACTIONS(1668), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62456] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1658), 1,
      sym_text_interpolation,
    ACTIONS(3335), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62476] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3371), 1,
      aux_sym_string_token2,
    ACTIONS(3373), 1,
      aux_sym_string_content_token1,
    ACTIONS(3425), 1,
      anon_sym_SQUOTE,
    STATE(1622), 1,
      aux_sym_string_repeat1,
    STATE(1659), 1,
      sym_text_interpolation,
    STATE(1927), 1,
      aux_sym_string_content_repeat1,
    STATE(2038), 1,
      sym_string_content,
  [62504] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3399), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3401), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3427), 1,
      aux_sym_switch_block_token1,
    STATE(1610), 1,
      aux_sym_switch_block_repeat1,
    STATE(1660), 1,
      sym_text_interpolation,
    STATE(1880), 2,
      sym_case_statement,
      sym_default_statement,
  [62530] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3355), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3357), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3429), 1,
      aux_sym_if_statement_token2,
    STATE(1621), 1,
      aux_sym_if_statement_repeat2,
    STATE(1661), 1,
      sym_text_interpolation,
    STATE(2222), 1,
      sym_else_if_clause_2,
    STATE(2530), 1,
      sym_else_clause_2,
  [62558] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3399), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3401), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3431), 1,
      aux_sym_switch_block_token1,
    STATE(1635), 1,
      aux_sym_switch_block_repeat1,
    STATE(1662), 1,
      sym_text_interpolation,
    STATE(1880), 2,
      sym_case_statement,
      sym_default_statement,
  [62584] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_BSLASHu,
    STATE(1663), 1,
      sym_text_interpolation,
    ACTIONS(2995), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62604] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(840), 1,
      sym_declaration_list,
    STATE(1664), 1,
      sym_text_interpolation,
    STATE(1844), 1,
      sym_base_clause,
    STATE(2413), 1,
      sym_class_interface_clause,
  [62632] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(1665), 1,
      sym_text_interpolation,
    STATE(1878), 1,
      sym_base_clause,
    STATE(2110), 1,
      sym_declaration_list,
    STATE(2462), 1,
      sym_class_interface_clause,
  [62660] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_BSLASHu,
    STATE(1666), 1,
      sym_text_interpolation,
    ACTIONS(1628), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62680] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3355), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3357), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3435), 1,
      aux_sym_if_statement_token2,
    STATE(1667), 1,
      sym_text_interpolation,
    STATE(1840), 1,
      aux_sym_if_statement_repeat2,
    STATE(2222), 1,
      sym_else_if_clause_2,
    STATE(2634), 1,
      sym_else_clause_2,
  [62708] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_LPAREN2,
    STATE(843), 1,
      sym_arguments,
    STATE(1668), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62730] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3385), 1,
      anon_sym_DOLLAR,
    ACTIONS(3437), 1,
      sym_name,
    STATE(1633), 1,
      sym__simple_variable,
    STATE(1669), 1,
      sym_text_interpolation,
    STATE(1675), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62756] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_BSLASHu,
    STATE(1670), 1,
      sym_text_interpolation,
    ACTIONS(3295), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62776] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3297), 1,
      anon_sym_BSLASHu,
    STATE(1671), 1,
      sym_text_interpolation,
    ACTIONS(3299), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62796] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_LPAREN2,
    STATE(625), 1,
      sym_arguments,
    STATE(1672), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62818] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3439), 1,
      anon_sym_SQUOTE,
    ACTIONS(3441), 1,
      aux_sym_string_token2,
    ACTIONS(3444), 1,
      aux_sym_string_content_token1,
    STATE(1927), 1,
      aux_sym_string_content_repeat1,
    STATE(2038), 1,
      sym_string_content,
    STATE(1673), 2,
      sym_text_interpolation,
      aux_sym_string_repeat1,
  [62844] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(937), 1,
      sym_declaration_list,
    STATE(1674), 1,
      sym_text_interpolation,
    STATE(1911), 1,
      sym_base_clause,
    STATE(2397), 1,
      sym_class_interface_clause,
  [62872] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_BSLASHu,
    STATE(1675), 1,
      sym_text_interpolation,
    ACTIONS(1688), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62892] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3447), 1,
      anon_sym_BSLASHu,
    STATE(1676), 1,
      sym_text_interpolation,
    ACTIONS(2981), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62912] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3371), 1,
      aux_sym_string_token2,
    ACTIONS(3373), 1,
      aux_sym_string_content_token1,
    ACTIONS(3449), 1,
      anon_sym_SQUOTE,
    STATE(1673), 1,
      aux_sym_string_repeat1,
    STATE(1677), 1,
      sym_text_interpolation,
    STATE(1927), 1,
      aux_sym_string_content_repeat1,
    STATE(2038), 1,
      sym_string_content,
  [62940] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_BSLASHu,
    STATE(1678), 1,
      sym_text_interpolation,
    ACTIONS(1688), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62960] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(489), 1,
      sym_declaration_list,
    STATE(1679), 1,
      sym_text_interpolation,
    STATE(1865), 1,
      sym_base_clause,
    STATE(2323), 1,
      sym_class_interface_clause,
  [62988] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3141), 1,
      anon_sym_DOLLAR,
    ACTIONS(3146), 1,
      anon_sym_PIPE,
    ACTIONS(3451), 1,
      anon_sym_AMP,
    STATE(1513), 1,
      aux_sym_union_type_repeat1,
    STATE(1518), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1680), 1,
      sym_text_interpolation,
    STATE(2132), 1,
      aux_sym_intersection_type_repeat1,
  [63016] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1005), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3457), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3460), 1,
      aux_sym_else_clause_token1,
    STATE(1681), 1,
      sym_text_interpolation,
    STATE(1684), 1,
      aux_sym_if_statement_repeat1,
    STATE(2146), 1,
      sym_else_clause,
    STATE(2147), 1,
      sym_else_if_clause,
  [63044] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(838), 1,
      sym_declaration_list,
    STATE(1682), 1,
      sym_text_interpolation,
    STATE(1843), 1,
      sym_base_clause,
    STATE(2415), 1,
      sym_class_interface_clause,
  [63072] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3389), 1,
      sym_name,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1683), 1,
      sym_text_interpolation,
    STATE(1850), 1,
      sym_named_type,
    STATE(2256), 1,
      sym_type_list,
    STATE(2614), 1,
      sym_namespace_name,
  [63100] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1013), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3463), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3466), 1,
      aux_sym_else_clause_token1,
    STATE(1684), 1,
      sym_text_interpolation,
    STATE(1711), 1,
      aux_sym_if_statement_repeat1,
    STATE(1955), 1,
      sym_else_clause,
    STATE(2147), 1,
      sym_else_if_clause,
  [63128] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3469), 1,
      sym_php_tag,
    ACTIONS(3471), 1,
      aux_sym_text_token1,
    ACTIONS(3473), 1,
      aux_sym_text_token2,
    ACTIONS(3475), 1,
      sym__eof,
    STATE(1685), 1,
      sym_text_interpolation,
    STATE(1751), 1,
      aux_sym_text_repeat1,
    STATE(2302), 1,
      sym_text,
  [63156] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      anon_sym_LPAREN2,
    STATE(743), 1,
      sym_arguments,
    STATE(1686), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63178] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3477), 1,
      sym_name,
    ACTIONS(3479), 1,
      anon_sym_LBRACE,
    STATE(601), 1,
      sym__simple_variable,
    STATE(1687), 1,
      sym_text_interpolation,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63204] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_BSLASHu,
    STATE(1688), 1,
      sym_text_interpolation,
    ACTIONS(1668), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63224] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3325), 1,
      anon_sym_BSLASHu,
    STATE(1689), 1,
      sym_text_interpolation,
    ACTIONS(3327), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63244] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3393), 1,
      anon_sym_LBRACE,
    ACTIONS(3395), 1,
      anon_sym_DOLLAR,
    ACTIONS(3481), 1,
      sym_name,
    STATE(1666), 1,
      sym__simple_variable,
    STATE(1690), 1,
      sym_text_interpolation,
    STATE(1678), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63270] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    STATE(596), 1,
      sym_arguments,
    STATE(1691), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63292] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3273), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3483), 1,
      aux_sym_use_instead_of_clause_token1,
    STATE(1692), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63314] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1005), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3417), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3419), 1,
      aux_sym_else_clause_token1,
    STATE(1643), 1,
      aux_sym_if_statement_repeat1,
    STATE(1693), 1,
      sym_text_interpolation,
    STATE(2146), 1,
      sym_else_clause,
    STATE(2147), 1,
      sym_else_if_clause,
  [63342] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3102), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1694), 1,
      sym_text_interpolation,
    STATE(2445), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [63366] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_BSLASHu,
    STATE(1695), 1,
      sym_text_interpolation,
    ACTIONS(3339), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63386] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(534), 1,
      sym_declaration_list,
    STATE(1696), 1,
      sym_text_interpolation,
    STATE(1871), 1,
      sym_base_clause,
    STATE(2496), 1,
      sym_class_interface_clause,
  [63414] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1697), 1,
      sym_text_interpolation,
    ACTIONS(3301), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63434] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LPAREN2,
    STATE(926), 1,
      sym_arguments,
    STATE(1698), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63456] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1802), 1,
      anon_sym_DOLLAR,
    ACTIONS(3485), 1,
      sym_name,
    ACTIONS(3487), 1,
      anon_sym_LBRACE,
    STATE(927), 1,
      sym__simple_variable,
    STATE(1699), 1,
      sym_text_interpolation,
    STATE(957), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63482] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3491), 1,
      anon_sym_BSLASHu,
    STATE(1700), 1,
      sym_text_interpolation,
    ACTIONS(3489), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [63502] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_BSLASHu,
    STATE(1701), 1,
      sym_text_interpolation,
    ACTIONS(3343), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63522] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1702), 1,
      sym_text_interpolation,
    ACTIONS(3301), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63542] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3325), 1,
      anon_sym_BSLASHu,
    STATE(1703), 1,
      sym_text_interpolation,
    ACTIONS(3327), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [63562] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2074), 1,
      anon_sym_LPAREN2,
    STATE(876), 1,
      sym_arguments,
    STATE(1704), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63584] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1558), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3493), 1,
      sym_name,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(875), 1,
      sym__simple_variable,
    STATE(1705), 1,
      sym_text_interpolation,
    STATE(867), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63610] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3499), 1,
      anon_sym_BSLASHu,
    STATE(1706), 1,
      sym_text_interpolation,
    ACTIONS(3497), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63630] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_COMMA,
    STATE(1707), 1,
      sym_text_interpolation,
    STATE(1787), 1,
      aux_sym_global_declaration_repeat1,
    STATE(2073), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63653] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3505), 1,
      anon_sym_COLON,
    STATE(1708), 1,
      sym_text_interpolation,
    STATE(2207), 1,
      sym__return_type,
    ACTIONS(3503), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63674] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(13), 1,
      aux_sym_text_token1,
    ACTIONS(15), 1,
      aux_sym_text_token2,
    ACTIONS(3507), 1,
      ts_builtin_sym_end,
    ACTIONS(3509), 1,
      sym_php_tag,
    STATE(1709), 1,
      sym_text_interpolation,
    STATE(1718), 1,
      aux_sym_text_repeat1,
  [63699] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1710), 1,
      sym_text_interpolation,
    ACTIONS(1039), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1037), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [63718] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1053), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1055), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3511), 1,
      aux_sym_else_if_clause_token1,
    STATE(2147), 1,
      sym_else_if_clause,
    STATE(1711), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat1,
  [63741] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3514), 1,
      sym_name,
    ACTIONS(3516), 1,
      anon_sym_BSLASH,
    STATE(493), 1,
      sym_compound_statement,
    STATE(1712), 1,
      sym_text_interpolation,
    STATE(1726), 1,
      sym_namespace_name,
  [63766] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1713), 1,
      sym_text_interpolation,
    ACTIONS(3518), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3520), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [63785] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1714), 1,
      sym_text_interpolation,
    ACTIONS(3522), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3524), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [63804] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1715), 1,
      sym_text_interpolation,
    ACTIONS(3526), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3528), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [63823] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1716), 1,
      sym_text_interpolation,
    ACTIONS(3530), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3532), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [63842] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN2,
    STATE(1717), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63861] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3534), 1,
      ts_builtin_sym_end,
    ACTIONS(3536), 1,
      sym_php_tag,
    ACTIONS(3538), 1,
      aux_sym_text_token1,
    ACTIONS(3541), 1,
      aux_sym_text_token2,
    STATE(1718), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [63884] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3544), 1,
      anon_sym_COMMA,
    STATE(491), 1,
      sym__semicolon,
    STATE(1719), 1,
      sym_text_interpolation,
    STATE(1760), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63907] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1720), 1,
      sym_text_interpolation,
    ACTIONS(1035), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1033), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [63926] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3546), 1,
      anon_sym_PIPE,
    STATE(1721), 1,
      sym_text_interpolation,
    STATE(1799), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3176), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [63947] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_COMMA,
    STATE(494), 1,
      sym__semicolon,
    STATE(1722), 1,
      sym_text_interpolation,
    STATE(1762), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63970] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3546), 1,
      anon_sym_PIPE,
    STATE(1723), 1,
      sym_text_interpolation,
    STATE(1801), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3216), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [63991] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3548), 1,
      anon_sym_PIPE,
    STATE(1724), 1,
      sym_text_interpolation,
    STATE(1803), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3204), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [64012] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3552), 1,
      anon_sym_BSLASH,
    STATE(1725), 1,
      sym_text_interpolation,
    STATE(1778), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3550), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64033] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(503), 1,
      sym__semicolon,
    STATE(571), 1,
      sym_compound_statement,
    STATE(1726), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64056] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1727), 1,
      sym_text_interpolation,
    ACTIONS(3554), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3556), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64075] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1728), 1,
      sym_text_interpolation,
    ACTIONS(3558), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3560), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64094] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3562), 1,
      anon_sym_COMMA,
    STATE(1729), 1,
      sym_text_interpolation,
    STATE(1886), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2060), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64117] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3564), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3566), 1,
      anon_sym_LBRACE,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    STATE(1730), 1,
      sym_text_interpolation,
    STATE(2093), 1,
      sym_anonymous_function_use_clause,
    STATE(2576), 1,
      sym__return_type,
  [64142] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3562), 1,
      anon_sym_COMMA,
    STATE(546), 1,
      sym__semicolon,
    STATE(1731), 1,
      sym_text_interpolation,
    STATE(1771), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64165] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1732), 1,
      sym_text_interpolation,
    ACTIONS(3570), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3572), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64184] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1733), 1,
      sym_text_interpolation,
    ACTIONS(3574), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [64201] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3576), 1,
      sym_name,
    STATE(1734), 1,
      sym_text_interpolation,
    STATE(1956), 1,
      sym_visibility_modifier,
    ACTIONS(3578), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [64222] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1735), 1,
      sym_text_interpolation,
    ACTIONS(3580), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3582), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64241] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3586), 1,
      anon_sym_COMMA,
    STATE(1736), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
    ACTIONS(3584), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64260] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1737), 1,
      sym_text_interpolation,
    ACTIONS(3589), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3591), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64279] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3593), 1,
      anon_sym_LBRACE,
    ACTIONS(3595), 1,
      anon_sym_COLON,
    STATE(564), 1,
      sym_enum_declaration_list,
    STATE(1738), 1,
      sym_text_interpolation,
    STATE(2444), 1,
      sym_class_interface_clause,
  [64304] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1739), 1,
      sym_text_interpolation,
    ACTIONS(3597), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3599), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64323] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1740), 1,
      sym_text_interpolation,
    ACTIONS(3601), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3603), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64342] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1741), 1,
      sym_text_interpolation,
    ACTIONS(3605), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3607), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64361] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1742), 1,
      sym_text_interpolation,
    ACTIONS(3609), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3611), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64380] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3613), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3615), 1,
      aux_sym_finally_clause_token1,
    STATE(442), 1,
      aux_sym_try_statement_repeat1,
    STATE(1743), 1,
      sym_text_interpolation,
    STATE(448), 2,
      sym_catch_clause,
      sym_finally_clause,
  [64403] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1744), 1,
      sym_text_interpolation,
    ACTIONS(3617), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3619), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64422] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3623), 1,
      anon_sym_COMMA,
    STATE(1745), 2,
      sym_text_interpolation,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3621), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64441] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    ACTIONS(3626), 1,
      anon_sym_RPAREN2,
    STATE(1746), 1,
      sym_text_interpolation,
    STATE(2351), 2,
      sym_variable_name,
      sym_by_ref,
  [64464] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_LPAREN2,
    STATE(1747), 1,
      sym_text_interpolation,
    ACTIONS(1911), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [64483] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1748), 1,
      sym_text_interpolation,
    ACTIONS(1855), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [64500] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1749), 1,
      sym_text_interpolation,
    ACTIONS(3628), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3630), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64519] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(3634), 1,
      anon_sym_EQ,
    STATE(1750), 1,
      sym_text_interpolation,
    STATE(2338), 1,
      sym_property_hook_list,
    ACTIONS(3632), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [64542] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3471), 1,
      aux_sym_text_token1,
    ACTIONS(3473), 1,
      aux_sym_text_token2,
    ACTIONS(3507), 1,
      sym__eof,
    ACTIONS(3509), 1,
      sym_php_tag,
    STATE(1751), 1,
      sym_text_interpolation,
    STATE(1757), 1,
      aux_sym_text_repeat1,
  [64567] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3636), 1,
      anon_sym_PIPE,
    STATE(1752), 1,
      sym_text_interpolation,
    STATE(1842), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3200), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64588] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3638), 1,
      anon_sym_COMMA,
    STATE(519), 1,
      sym__semicolon,
    STATE(1753), 1,
      sym_text_interpolation,
    STATE(1765), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64611] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1754), 1,
      sym_text_interpolation,
    ACTIONS(3640), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3642), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64630] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1755), 1,
      sym_text_interpolation,
    ACTIONS(3644), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [64647] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1756), 1,
      sym_text_interpolation,
    ACTIONS(3646), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3648), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64666] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3534), 1,
      sym__eof,
    ACTIONS(3536), 1,
      sym_php_tag,
    ACTIONS(3650), 1,
      aux_sym_text_token1,
    ACTIONS(3653), 1,
      aux_sym_text_token2,
    STATE(1757), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [64689] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3562), 1,
      anon_sym_COMMA,
    STATE(1758), 1,
      sym_text_interpolation,
    STATE(1886), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1993), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64712] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3562), 1,
      anon_sym_COMMA,
    STATE(1729), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1759), 1,
      sym_text_interpolation,
    STATE(1989), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64735] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3544), 1,
      anon_sym_COMMA,
    STATE(569), 1,
      sym__semicolon,
    STATE(1760), 1,
      sym_text_interpolation,
    STATE(1895), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64758] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1761), 1,
      sym_text_interpolation,
    ACTIONS(3656), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3658), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64777] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_COMMA,
    STATE(573), 1,
      sym__semicolon,
    STATE(1762), 1,
      sym_text_interpolation,
    STATE(1894), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64800] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3552), 1,
      anon_sym_BSLASH,
    STATE(1763), 1,
      sym_text_interpolation,
    STATE(1810), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3660), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64821] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1764), 1,
      sym_text_interpolation,
    ACTIONS(3156), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [64838] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3638), 1,
      anon_sym_COMMA,
    STATE(579), 1,
      sym__semicolon,
    STATE(1765), 1,
      sym_text_interpolation,
    STATE(1892), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64861] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1766), 1,
      sym_text_interpolation,
    ACTIONS(3048), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [64878] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    ACTIONS(3662), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1767), 1,
      sym_text_interpolation,
    STATE(2178), 1,
      sym_reference_modifier,
    STATE(2179), 1,
      sym_variable_name,
  [64903] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3564), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    ACTIONS(3664), 1,
      anon_sym_LBRACE,
    STATE(1768), 1,
      sym_text_interpolation,
    STATE(2185), 1,
      sym_anonymous_function_use_clause,
    STATE(2548), 1,
      sym__return_type,
  [64928] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3562), 1,
      anon_sym_COMMA,
    STATE(536), 1,
      sym__semicolon,
    STATE(1769), 1,
      sym_text_interpolation,
    STATE(1804), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64951] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1047), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1770), 1,
      sym_text_interpolation,
    ACTIONS(1045), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [64970] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3562), 1,
      anon_sym_COMMA,
    STATE(526), 1,
      sym__semicolon,
    STATE(1771), 1,
      sym_text_interpolation,
    STATE(1886), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64993] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1772), 1,
      sym_text_interpolation,
    ACTIONS(3160), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [65010] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3514), 1,
      sym_name,
    ACTIONS(3516), 1,
      anon_sym_BSLASH,
    STATE(1773), 1,
      sym_text_interpolation,
    STATE(1775), 1,
      sym_namespace_name,
    STATE(2024), 1,
      sym_compound_statement,
  [65035] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3544), 1,
      anon_sym_COMMA,
    STATE(1774), 1,
      sym_text_interpolation,
    STATE(1783), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(2070), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65058] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1775), 1,
      sym_text_interpolation,
    STATE(2075), 1,
      sym_compound_statement,
    STATE(2078), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65081] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3638), 1,
      anon_sym_COMMA,
    STATE(1776), 1,
      sym_text_interpolation,
    STATE(1793), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2087), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65104] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3562), 1,
      anon_sym_COMMA,
    STATE(1777), 1,
      sym_text_interpolation,
    STATE(1809), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2091), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65127] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3552), 1,
      anon_sym_BSLASH,
    STATE(1778), 1,
      sym_text_interpolation,
    STATE(1819), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3660), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [65148] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3666), 1,
      anon_sym_LBRACE,
    ACTIONS(3668), 1,
      anon_sym_COLON,
    STATE(1779), 1,
      sym_text_interpolation,
    STATE(2108), 1,
      sym_enum_declaration_list,
    STATE(2457), 1,
      sym_class_interface_clause,
  [65173] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(951), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(3218), 1,
      anon_sym_LPAREN2,
    STATE(1730), 1,
      sym_formal_parameters,
    STATE(1780), 1,
      sym_text_interpolation,
    STATE(2450), 1,
      sym_reference_modifier,
  [65198] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(951), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(3218), 1,
      anon_sym_LPAREN2,
    STATE(1781), 1,
      sym_text_interpolation,
    STATE(2014), 1,
      sym_formal_parameters,
    STATE(2375), 1,
      sym_reference_modifier,
  [65223] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3564), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    ACTIONS(3670), 1,
      anon_sym_LBRACE,
    STATE(1782), 1,
      sym_text_interpolation,
    STATE(2262), 1,
      sym_anonymous_function_use_clause,
    STATE(2690), 1,
      sym__return_type,
  [65248] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3544), 1,
      anon_sym_COMMA,
    STATE(1783), 1,
      sym_text_interpolation,
    STATE(1895), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(2152), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65271] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3564), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    ACTIONS(3672), 1,
      anon_sym_LBRACE,
    STATE(1784), 1,
      sym_text_interpolation,
    STATE(2290), 1,
      sym_anonymous_function_use_clause,
    STATE(2697), 1,
      sym__return_type,
  [65296] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3389), 1,
      sym_name,
    STATE(1500), 1,
      sym_qualified_name,
    STATE(1785), 1,
      sym_text_interpolation,
    STATE(1990), 1,
      sym_named_type,
    STATE(2614), 1,
      sym_namespace_name,
  [65321] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3593), 1,
      anon_sym_LBRACE,
    ACTIONS(3674), 1,
      anon_sym_COLON,
    STATE(511), 1,
      sym_enum_declaration_list,
    STATE(1786), 1,
      sym_text_interpolation,
    STATE(2333), 1,
      sym_class_interface_clause,
  [65346] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_COMMA,
    STATE(1787), 1,
      sym_text_interpolation,
    STATE(1894), 1,
      aux_sym_global_declaration_repeat1,
    STATE(2156), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65369] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3285), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3287), 1,
      aux_sym_finally_clause_token1,
    STATE(1557), 1,
      aux_sym_try_statement_repeat1,
    STATE(1788), 1,
      sym_text_interpolation,
    STATE(1814), 2,
      sym_catch_clause,
      sym_finally_clause,
  [65392] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3562), 1,
      anon_sym_COMMA,
    STATE(526), 1,
      sym__semicolon,
    STATE(1789), 1,
      sym_text_interpolation,
    STATE(1823), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65415] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_LPAREN2,
    ACTIONS(3676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3678), 1,
      anon_sym_DASH_GT,
    ACTIONS(3680), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3682), 1,
      anon_sym_LBRACK,
    STATE(1790), 1,
      sym_text_interpolation,
  [65440] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1406), 1,
      sym__semicolon,
    STATE(1408), 1,
      sym_compound_statement,
    STATE(1791), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65463] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1043), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1792), 1,
      sym_text_interpolation,
    ACTIONS(1041), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65482] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3638), 1,
      anon_sym_COMMA,
    STATE(1793), 1,
      sym_text_interpolation,
    STATE(1892), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2176), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65505] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1794), 1,
      sym_text_interpolation,
    ACTIONS(3684), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [65522] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1795), 1,
      sym_text_interpolation,
    ACTIONS(3686), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3688), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65541] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1796), 1,
      sym_text_interpolation,
    ACTIONS(3170), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [65558] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(3692), 1,
      anon_sym_EQ,
    STATE(1797), 1,
      sym_text_interpolation,
    STATE(2318), 1,
      sym_property_hook_list,
    ACTIONS(3690), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [65581] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    ACTIONS(3694), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1798), 1,
      sym_text_interpolation,
    STATE(2276), 1,
      sym_variable_name,
    STATE(2277), 1,
      sym_reference_modifier,
  [65606] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3546), 1,
      anon_sym_PIPE,
    STATE(1799), 1,
      sym_text_interpolation,
    STATE(1801), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3200), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [65627] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3562), 1,
      anon_sym_COMMA,
    STATE(1800), 1,
      sym_text_interpolation,
    STATE(1836), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2209), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65650] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3696), 1,
      anon_sym_PIPE,
    STATE(1801), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3192), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [65669] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3699), 1,
      anon_sym_PIPE,
    STATE(1802), 1,
      sym_text_interpolation,
    STATE(1839), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3204), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [65690] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_PIPE,
    STATE(1803), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3222), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [65709] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3562), 1,
      anon_sym_COMMA,
    STATE(463), 1,
      sym__semicolon,
    STATE(1804), 1,
      sym_text_interpolation,
    STATE(1886), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65732] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3636), 1,
      anon_sym_PIPE,
    STATE(1805), 1,
      sym_text_interpolation,
    STATE(1842), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3216), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [65753] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1051), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1806), 1,
      sym_text_interpolation,
    ACTIONS(1049), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65772] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1414), 1,
      sym__semicolon,
    STATE(1417), 1,
      sym_compound_statement,
    STATE(1807), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65795] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    ACTIONS(3704), 1,
      anon_sym_RPAREN2,
    STATE(1808), 1,
      sym_text_interpolation,
    STATE(2351), 2,
      sym_variable_name,
      sym_by_ref,
  [65818] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3562), 1,
      anon_sym_COMMA,
    STATE(1809), 1,
      sym_text_interpolation,
    STATE(1886), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2124), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65841] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3552), 1,
      anon_sym_BSLASH,
    STATE(1810), 1,
      sym_text_interpolation,
    STATE(1819), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3706), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [65862] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_EQ,
    STATE(1811), 1,
      sym_text_interpolation,
    STATE(2358), 1,
      sym_property_hook_list,
    ACTIONS(3708), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [65885] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(3714), 1,
      anon_sym_EQ,
    STATE(1812), 1,
      sym_text_interpolation,
    STATE(2359), 1,
      sym_property_hook_list,
    ACTIONS(3712), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [65908] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      sym_name,
    STATE(1813), 1,
      sym_text_interpolation,
    STATE(2006), 1,
      sym_final_modifier,
    STATE(2652), 1,
      sym_reference_modifier,
  [65933] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1031), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1814), 1,
      sym_text_interpolation,
    ACTIONS(1029), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65952] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1815), 1,
      sym_text_interpolation,
    ACTIONS(3718), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3720), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65971] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(3724), 1,
      anon_sym_EQ,
    STATE(1816), 1,
      sym_text_interpolation,
    STATE(2366), 1,
      sym_property_hook_list,
    ACTIONS(3722), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [65994] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3562), 1,
      anon_sym_COMMA,
    STATE(533), 1,
      sym__semicolon,
    STATE(1817), 1,
      sym_text_interpolation,
    STATE(1886), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66017] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3564), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    ACTIONS(3726), 1,
      anon_sym_LBRACE,
    STATE(1818), 1,
      sym_text_interpolation,
    STATE(2162), 1,
      sym_anonymous_function_use_clause,
    STATE(2520), 1,
      sym__return_type,
  [66042] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_BSLASH,
    STATE(1819), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3728), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66061] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3564), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    ACTIONS(3733), 1,
      anon_sym_LBRACE,
    STATE(1820), 1,
      sym_text_interpolation,
    STATE(2151), 1,
      sym_anonymous_function_use_clause,
    STATE(2514), 1,
      sym__return_type,
  [66086] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3562), 1,
      anon_sym_COMMA,
    STATE(1758), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1821), 1,
      sym_text_interpolation,
    STATE(2124), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66109] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3562), 1,
      anon_sym_COMMA,
    STATE(540), 1,
      sym__semicolon,
    STATE(1817), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1822), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66132] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3562), 1,
      anon_sym_COMMA,
    STATE(456), 1,
      sym__semicolon,
    STATE(1823), 1,
      sym_text_interpolation,
    STATE(1886), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66155] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3666), 1,
      anon_sym_LBRACE,
    ACTIONS(3735), 1,
      anon_sym_COLON,
    STATE(1824), 1,
      sym_text_interpolation,
    STATE(2063), 1,
      sym_enum_declaration_list,
    STATE(2442), 1,
      sym_class_interface_clause,
  [66180] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3564), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    STATE(1825), 1,
      sym_text_interpolation,
    STATE(2019), 1,
      sym_anonymous_function_use_clause,
    STATE(2632), 1,
      sym__return_type,
  [66205] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(3741), 1,
      anon_sym_EQ,
    STATE(1826), 1,
      sym_text_interpolation,
    STATE(2502), 1,
      sym_property_hook_list,
    ACTIONS(3739), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [66228] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(3745), 1,
      anon_sym_EQ,
    STATE(1827), 1,
      sym_text_interpolation,
    STATE(2503), 1,
      sym_property_hook_list,
    ACTIONS(3743), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [66251] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1828), 1,
      sym_text_interpolation,
    ACTIONS(3747), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [66268] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3505), 1,
      anon_sym_COLON,
    STATE(1829), 1,
      sym_text_interpolation,
    STATE(2045), 1,
      sym__return_type,
    ACTIONS(3749), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66289] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(3753), 1,
      anon_sym_EQ,
    STATE(1830), 1,
      sym_text_interpolation,
    STATE(2429), 1,
      sym_property_hook_list,
    ACTIONS(3751), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [66312] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3265), 1,
      anon_sym_AMP,
    STATE(1831), 1,
      sym_text_interpolation,
    STATE(1841), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3235), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66333] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1401), 1,
      sym_compound_statement,
    STATE(1421), 1,
      sym__semicolon,
    STATE(1832), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66356] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1403), 1,
      sym_compound_statement,
    STATE(1404), 1,
      sym__semicolon,
    STATE(1833), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66379] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_EQ,
    STATE(1834), 1,
      sym_text_interpolation,
    ACTIONS(3755), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [66398] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3636), 1,
      anon_sym_PIPE,
    STATE(1752), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1835), 1,
      sym_text_interpolation,
    ACTIONS(3176), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66419] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3562), 1,
      anon_sym_COMMA,
    STATE(1836), 1,
      sym_text_interpolation,
    STATE(1886), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2021), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66442] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1837), 1,
      sym_text_interpolation,
    ACTIONS(1386), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1384), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [66461] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3564), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    ACTIONS(3759), 1,
      anon_sym_LBRACE,
    STATE(1838), 1,
      sym_text_interpolation,
    STATE(2172), 1,
      sym_anonymous_function_use_clause,
    STATE(2531), 1,
      sym__return_type,
  [66486] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3761), 1,
      anon_sym_PIPE,
    STATE(1839), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3222), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66505] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3764), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3766), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3769), 1,
      aux_sym_else_clause_token1,
    STATE(2222), 1,
      sym_else_if_clause_2,
    STATE(1840), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat2,
  [66528] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3771), 1,
      anon_sym_AMP,
    STATE(1841), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3182), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66547] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3774), 1,
      anon_sym_PIPE,
    STATE(1842), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3192), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66566] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(820), 1,
      sym_declaration_list,
    STATE(1843), 1,
      sym_text_interpolation,
    STATE(2376), 1,
      sym_class_interface_clause,
  [66588] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(814), 1,
      sym_declaration_list,
    STATE(1844), 1,
      sym_text_interpolation,
    STATE(2377), 1,
      sym_class_interface_clause,
  [66610] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(937), 1,
      sym_declaration_list,
    STATE(1845), 1,
      sym_text_interpolation,
    STATE(2397), 1,
      sym_class_interface_clause,
  [66632] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3666), 1,
      anon_sym_LBRACE,
    STATE(1846), 1,
      sym_text_interpolation,
    STATE(2051), 1,
      sym_enum_declaration_list,
    STATE(2371), 1,
      sym_class_interface_clause,
  [66654] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(1847), 1,
      sym_text_interpolation,
    STATE(2059), 1,
      sym_declaration_list,
    STATE(2370), 1,
      sym_class_interface_clause,
  [66676] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(791), 1,
      sym_declaration_list,
    STATE(1848), 1,
      sym_text_interpolation,
    STATE(2357), 1,
      sym_class_interface_clause,
  [66698] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1849), 1,
      sym_text_interpolation,
    ACTIONS(3230), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [66714] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3779), 1,
      anon_sym_PIPE,
    STATE(1850), 1,
      sym_text_interpolation,
    STATE(1902), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3777), 2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [66734] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1851), 1,
      sym_text_interpolation,
    ACTIONS(3182), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [66750] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3781), 1,
      anon_sym_EQ,
    STATE(1448), 1,
      sym__semicolon,
    STATE(1852), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66770] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(935), 1,
      sym_declaration_list,
    STATE(1853), 1,
      sym_text_interpolation,
    STATE(2396), 1,
      sym_class_interface_clause,
  [66792] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3783), 1,
      anon_sym_COMMA,
    STATE(1854), 1,
      sym_text_interpolation,
    STATE(1896), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3785), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [66812] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(1855), 1,
      sym_text_interpolation,
    STATE(2000), 1,
      sym_declaration_list,
    STATE(2386), 1,
      sym_class_interface_clause,
  [66834] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(1856), 1,
      sym_text_interpolation,
    STATE(1986), 1,
      sym_declaration_list,
    STATE(2391), 1,
      sym_class_interface_clause,
  [66856] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3789), 1,
      anon_sym_DASH_GT,
    ACTIONS(3791), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3793), 1,
      anon_sym_LBRACK,
    STATE(1857), 1,
      sym_text_interpolation,
  [66878] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    STATE(1858), 1,
      sym_text_interpolation,
    STATE(1811), 2,
      sym_variable_name,
      sym_by_ref,
  [66898] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1859), 1,
      sym_text_interpolation,
    ACTIONS(3644), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [66914] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(840), 1,
      sym_declaration_list,
    STATE(1860), 1,
      sym_text_interpolation,
    STATE(2413), 1,
      sym_class_interface_clause,
  [66936] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(838), 1,
      sym_declaration_list,
    STATE(1861), 1,
      sym_text_interpolation,
    STATE(2415), 1,
      sym_class_interface_clause,
  [66958] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3666), 1,
      anon_sym_LBRACE,
    STATE(1862), 1,
      sym_text_interpolation,
    STATE(2003), 1,
      sym_enum_declaration_list,
    STATE(2432), 1,
      sym_class_interface_clause,
  [66980] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3593), 1,
      anon_sym_LBRACE,
    STATE(515), 1,
      sym_enum_declaration_list,
    STATE(1863), 1,
      sym_text_interpolation,
    STATE(2382), 1,
      sym_class_interface_clause,
  [67002] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    STATE(1864), 1,
      sym_text_interpolation,
    STATE(1816), 2,
      sym_variable_name,
      sym_by_ref,
  [67022] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(542), 1,
      sym_declaration_list,
    STATE(1865), 1,
      sym_text_interpolation,
    STATE(2497), 1,
      sym_class_interface_clause,
  [67044] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1802), 1,
      anon_sym_DOLLAR,
    STATE(919), 1,
      sym__simple_variable,
    STATE(1866), 1,
      sym_text_interpolation,
    STATE(957), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67064] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(1867), 1,
      sym_text_interpolation,
    STATE(2109), 1,
      sym_declaration_list,
    STATE(2446), 1,
      sym_base_clause,
  [67086] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(520), 1,
      sym_declaration_list,
    STATE(1868), 1,
      sym_text_interpolation,
    STATE(2485), 1,
      sym_class_interface_clause,
  [67108] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1869), 1,
      sym_text_interpolation,
    ACTIONS(3728), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BSLASH,
      anon_sym_LBRACE,
  [67124] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3795), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3797), 1,
      sym__new_line,
    ACTIONS(3799), 1,
      sym_heredoc_end,
    STATE(1870), 1,
      sym_text_interpolation,
    STATE(2451), 1,
      sym_heredoc_body,
  [67146] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(531), 1,
      sym_declaration_list,
    STATE(1871), 1,
      sym_text_interpolation,
    STATE(2378), 1,
      sym_class_interface_clause,
  [67168] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3593), 1,
      anon_sym_LBRACE,
    STATE(487), 1,
      sym_enum_declaration_list,
    STATE(1872), 1,
      sym_text_interpolation,
    STATE(2345), 1,
      sym_class_interface_clause,
  [67190] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(794), 1,
      sym_declaration_list,
    STATE(1873), 1,
      sym_text_interpolation,
    STATE(2468), 1,
      sym_class_interface_clause,
  [67212] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1874), 1,
      sym_text_interpolation,
    ACTIONS(3801), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
  [67228] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_DOLLAR,
    STATE(847), 1,
      sym__simple_variable,
    STATE(1875), 1,
      sym_text_interpolation,
    STATE(775), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67248] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(936), 1,
      sym_declaration_list,
    STATE(1876), 1,
      sym_text_interpolation,
    STATE(2420), 1,
      sym_class_interface_clause,
  [67270] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(934), 1,
      sym_declaration_list,
    STATE(1877), 1,
      sym_text_interpolation,
    STATE(2416), 1,
      sym_class_interface_clause,
  [67292] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(1878), 1,
      sym_text_interpolation,
    STATE(2231), 1,
      sym_declaration_list,
    STATE(2418), 1,
      sym_class_interface_clause,
  [67314] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1879), 1,
      sym_text_interpolation,
    ACTIONS(3574), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [67330] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1880), 1,
      sym_text_interpolation,
    ACTIONS(3803), 4,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_match_default_expression_token1,
      aux_sym_switch_block_token1,
  [67346] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1707), 1,
      sym__simple_variable,
    STATE(1881), 1,
      sym_text_interpolation,
    STATE(633), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67366] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(614), 1,
      sym__simple_variable,
    STATE(1882), 1,
      sym_text_interpolation,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67386] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3793), 1,
      anon_sym_LBRACK,
    ACTIONS(3805), 1,
      anon_sym_DASH_GT,
    ACTIONS(3807), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1883), 1,
      sym_text_interpolation,
  [67408] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1884), 1,
      sym_text_interpolation,
    STATE(2526), 1,
      sym_declare_directive,
    ACTIONS(3809), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [67426] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3783), 1,
      anon_sym_COMMA,
    STATE(1854), 1,
      aux_sym_base_clause_repeat1,
    STATE(1885), 1,
      sym_text_interpolation,
    ACTIONS(3811), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [67446] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3815), 1,
      anon_sym_COMMA,
    ACTIONS(3813), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1886), 2,
      sym_text_interpolation,
      aux_sym__const_declaration_repeat1,
  [67464] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3818), 1,
      anon_sym_AMP,
    STATE(1887), 1,
      sym_text_interpolation,
    STATE(1888), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3235), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [67484] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3821), 1,
      anon_sym_AMP,
    ACTIONS(3182), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    STATE(1888), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
  [67502] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    STATE(1889), 1,
      sym_text_interpolation,
    STATE(2271), 2,
      sym_variable_name,
      sym_by_ref,
  [67522] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    STATE(1890), 1,
      sym_text_interpolation,
    STATE(1827), 2,
      sym_variable_name,
      sym_by_ref,
  [67542] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1891), 1,
      sym_text_interpolation,
    ACTIONS(3747), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [67558] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3826), 1,
      anon_sym_COMMA,
    ACTIONS(3824), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1892), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_declaration_repeat1,
  [67576] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3797), 1,
      sym__new_line,
    ACTIONS(3829), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3831), 1,
      sym_heredoc_end,
    STATE(1893), 1,
      sym_text_interpolation,
    STATE(2494), 1,
      sym_heredoc_body,
  [67598] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3835), 1,
      anon_sym_COMMA,
    ACTIONS(3833), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1894), 2,
      sym_text_interpolation,
      aux_sym_global_declaration_repeat1,
  [67616] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3840), 1,
      anon_sym_COMMA,
    ACTIONS(3838), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1895), 2,
      sym_text_interpolation,
      aux_sym_function_static_declaration_repeat1,
  [67634] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3843), 1,
      anon_sym_COMMA,
    ACTIONS(3584), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
    STATE(1896), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
  [67652] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3846), 1,
      anon_sym_EQ,
    STATE(1447), 1,
      sym__semicolon,
    STATE(1897), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67672] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(3218), 1,
      anon_sym_LPAREN2,
    STATE(1898), 1,
      sym_text_interpolation,
    STATE(2296), 1,
      sym_formal_parameters,
    STATE(2327), 1,
      sym_reference_modifier,
  [67694] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(3218), 1,
      anon_sym_LPAREN2,
    STATE(1820), 1,
      sym_formal_parameters,
    STATE(1899), 1,
      sym_text_interpolation,
    STATE(2328), 1,
      sym_reference_modifier,
  [67716] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(513), 1,
      sym_declaration_list,
    STATE(1900), 1,
      sym_text_interpolation,
    STATE(2335), 1,
      sym_base_clause,
  [67738] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(3218), 1,
      anon_sym_LPAREN2,
    STATE(1784), 1,
      sym_formal_parameters,
    STATE(1901), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      sym_reference_modifier,
  [67760] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3779), 1,
      anon_sym_PIPE,
    STATE(1902), 1,
      sym_text_interpolation,
    STATE(1933), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3848), 2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [67780] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3797), 1,
      sym__new_line,
    ACTIONS(3850), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3852), 1,
      sym_heredoc_end,
    STATE(1903), 1,
      sym_text_interpolation,
    STATE(2298), 1,
      sym_heredoc_body,
  [67802] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(1904), 1,
      sym_text_interpolation,
    STATE(2097), 1,
      sym_declaration_list,
    STATE(2454), 1,
      sym_base_clause,
  [67824] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3856), 1,
      aux_sym_string_content_token1,
    ACTIONS(3854), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
    STATE(1905), 2,
      sym_text_interpolation,
      aux_sym_string_content_repeat1,
  [67842] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1906), 1,
      sym_text_interpolation,
    ACTIONS(3859), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
  [67858] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3861), 1,
      anon_sym_EQ,
    ACTIONS(3863), 1,
      anon_sym_RPAREN2,
    STATE(1907), 1,
      sym_text_interpolation,
    STATE(2242), 1,
      aux_sym__list_destructing_repeat1,
  [67880] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(943), 1,
      sym_declaration_list,
    STATE(1908), 1,
      sym_text_interpolation,
    STATE(2384), 1,
      sym_class_interface_clause,
  [67902] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(495), 1,
      sym_declaration_list,
    STATE(1909), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      sym_class_interface_clause,
  [67924] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3865), 1,
      anon_sym_DASH_GT,
    ACTIONS(3867), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3869), 1,
      anon_sym_LBRACK,
    STATE(1910), 1,
      sym_text_interpolation,
  [67946] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(973), 1,
      sym_declaration_list,
    STATE(1911), 1,
      sym_text_interpolation,
    STATE(2343), 1,
      sym_class_interface_clause,
  [67968] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3871), 1,
      anon_sym_LPAREN2,
    STATE(1912), 1,
      sym_text_interpolation,
    STATE(2052), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67988] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3873), 1,
      anon_sym_DASH_GT,
    ACTIONS(3875), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3877), 1,
      anon_sym_LBRACK,
    STATE(1913), 1,
      sym_text_interpolation,
  [68010] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1914), 1,
      sym_text_interpolation,
    ACTIONS(1812), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [68026] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1915), 1,
      sym_text_interpolation,
    STATE(2554), 1,
      sym_declare_directive,
    ACTIONS(3809), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [68044] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1916), 1,
      sym_text_interpolation,
    ACTIONS(3684), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [68060] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3881), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1917), 1,
      sym_text_interpolation,
    ACTIONS(3879), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [68078] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3885), 1,
      sym_nowdoc_string,
    STATE(1918), 1,
      sym_text_interpolation,
    STATE(1934), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(3883), 2,
      sym_heredoc_end,
      sym__new_line,
  [68098] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1919), 1,
      sym_text_interpolation,
    STATE(2160), 1,
      sym__simple_variable,
    STATE(633), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [68118] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(3218), 1,
      anon_sym_LPAREN2,
    STATE(1920), 1,
      sym_text_interpolation,
    STATE(2148), 1,
      sym_formal_parameters,
    STATE(2486), 1,
      sym_reference_modifier,
  [68140] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(3218), 1,
      anon_sym_LPAREN2,
    STATE(1921), 1,
      sym_text_interpolation,
    STATE(2141), 1,
      sym_formal_parameters,
    STATE(2490), 1,
      sym_reference_modifier,
  [68162] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(3218), 1,
      anon_sym_LPAREN2,
    STATE(1782), 1,
      sym_formal_parameters,
    STATE(1922), 1,
      sym_text_interpolation,
    STATE(2492), 1,
      sym_reference_modifier,
  [68184] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3887), 1,
      anon_sym_LPAREN,
    STATE(1923), 1,
      sym_text_interpolation,
    ACTIONS(2672), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [68202] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    STATE(1924), 1,
      sym_text_interpolation,
    STATE(1750), 2,
      sym_variable_name,
      sym_by_ref,
  [68222] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3797), 1,
      sym__new_line,
    ACTIONS(3889), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3891), 1,
      sym_heredoc_end,
    STATE(1925), 1,
      sym_text_interpolation,
    STATE(2501), 1,
      sym_heredoc_body,
  [68244] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1926), 1,
      sym_text_interpolation,
    ACTIONS(3893), 2,
      sym_php_tag,
      aux_sym_text_token1,
    ACTIONS(3895), 2,
      sym__eof,
      aux_sym_text_token2,
  [68262] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3373), 1,
      aux_sym_string_content_token1,
    STATE(1905), 1,
      aux_sym_string_content_repeat1,
    STATE(1927), 1,
      sym_text_interpolation,
    ACTIONS(3897), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [68282] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    STATE(1928), 1,
      sym_text_interpolation,
    STATE(2504), 1,
      sym_arguments,
    ACTIONS(3899), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [68302] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1929), 1,
      sym_text_interpolation,
    ACTIONS(3222), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [68318] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1930), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [68334] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1931), 1,
      sym_text_interpolation,
    ACTIONS(3621), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [68350] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1932), 1,
      sym_text_interpolation,
    ACTIONS(3192), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [68366] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3903), 1,
      anon_sym_PIPE,
    ACTIONS(3901), 2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
    STATE(1933), 2,
      sym_text_interpolation,
      aux_sym_type_list_repeat1,
  [68384] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3908), 1,
      sym_nowdoc_string,
    ACTIONS(3906), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1934), 2,
      sym_text_interpolation,
      aux_sym_nowdoc_body_repeat1,
  [68402] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1935), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [68418] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1936), 1,
      sym_text_interpolation,
    STATE(2540), 1,
      sym_declare_directive,
    ACTIONS(3809), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [68436] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2510), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2821), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3911), 1,
      aux_sym__namespace_use_type_token1,
    STATE(1937), 1,
      sym_text_interpolation,
    STATE(2453), 1,
      sym_static_modifier,
  [68458] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(3218), 1,
      anon_sym_LPAREN2,
    STATE(1730), 1,
      sym_formal_parameters,
    STATE(1938), 1,
      sym_text_interpolation,
    STATE(2450), 1,
      sym_reference_modifier,
  [68480] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3913), 1,
      anon_sym_DASH_GT,
    ACTIONS(3915), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3917), 1,
      anon_sym_LBRACK,
    STATE(1939), 1,
      sym_text_interpolation,
  [68502] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(555), 1,
      sym_declaration_list,
    STATE(1940), 1,
      sym_text_interpolation,
    STATE(2440), 1,
      sym_base_clause,
  [68524] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1941), 1,
      sym_text_interpolation,
    ACTIONS(3584), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [68540] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    STATE(1942), 1,
      sym_text_interpolation,
    STATE(2351), 2,
      sym_variable_name,
      sym_by_ref,
  [68560] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1943), 1,
      sym_text_interpolation,
    ACTIONS(3196), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [68576] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3919), 1,
      anon_sym_DASH_GT,
    ACTIONS(3921), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3923), 1,
      anon_sym_LBRACK,
    STATE(1944), 1,
      sym_text_interpolation,
  [68598] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3927), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1945), 1,
      sym_text_interpolation,
    ACTIONS(3925), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [68616] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1946), 1,
      sym_text_interpolation,
    ACTIONS(3893), 2,
      sym_php_tag,
      aux_sym_text_token1,
    ACTIONS(3895), 2,
      ts_builtin_sym_end,
      aux_sym_text_token2,
  [68634] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    STATE(1947), 1,
      sym_text_interpolation,
    ACTIONS(3929), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [68652] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3933), 1,
      anon_sym_DASH_GT,
    ACTIONS(3935), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3937), 1,
      anon_sym_LBRACK,
    STATE(1948), 1,
      sym_text_interpolation,
  [68674] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3939), 1,
      anon_sym_LPAREN2,
    STATE(560), 1,
      sym__semicolon,
    STATE(1949), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68694] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(3218), 1,
      anon_sym_LPAREN2,
    STATE(1950), 1,
      sym_text_interpolation,
    STATE(2014), 1,
      sym_formal_parameters,
    STATE(2375), 1,
      sym_reference_modifier,
  [68716] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1951), 1,
      sym_text_interpolation,
    STATE(2673), 1,
      sym_declare_directive,
    ACTIONS(3809), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [68734] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1722), 1,
      sym__simple_variable,
    STATE(1952), 1,
      sym_text_interpolation,
    STATE(633), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [68754] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(975), 1,
      anon_sym_EQ_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3941), 1,
      anon_sym_COMMA,
    STATE(1953), 1,
      sym_text_interpolation,
    STATE(2042), 1,
      aux_sym_match_condition_list_repeat1,
  [68773] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1954), 1,
      sym_text_interpolation,
    STATE(2269), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68790] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1474), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1955), 1,
      sym_text_interpolation,
    ACTIONS(1472), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68807] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3943), 1,
      sym_name,
    STATE(1956), 1,
      sym_text_interpolation,
    ACTIONS(3945), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68824] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1478), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1957), 1,
      sym_text_interpolation,
    ACTIONS(1476), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68841] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1958), 1,
      sym_text_interpolation,
    STATE(2023), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68858] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1959), 1,
      sym_text_interpolation,
    STATE(2035), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68875] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1550), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1960), 1,
      sym_text_interpolation,
    ACTIONS(1548), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68892] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(458), 1,
      sym__semicolon,
    STATE(1961), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68909] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(479), 1,
      sym__semicolon,
    STATE(1962), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68926] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(477), 1,
      sym__semicolon,
    STATE(1963), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68943] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(484), 1,
      sym__semicolon,
    STATE(1964), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68960] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1438), 1,
      sym__semicolon,
    STATE(1965), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68977] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1966), 1,
      sym_text_interpolation,
    STATE(2044), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68994] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(465), 1,
      sym__semicolon,
    STATE(1967), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69011] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1446), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1968), 1,
      sym_text_interpolation,
    ACTIONS(1444), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69028] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3947), 1,
      anon_sym_DQUOTE,
    ACTIONS(3949), 1,
      anon_sym_SQUOTE,
    ACTIONS(3951), 1,
      sym_heredoc_start,
    STATE(1969), 1,
      sym_text_interpolation,
  [69047] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1310), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1970), 1,
      sym_text_interpolation,
    ACTIONS(1308), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69064] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1394), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1971), 1,
      sym_text_interpolation,
    ACTIONS(1392), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69081] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1390), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1972), 1,
      sym_text_interpolation,
    ACTIONS(1388), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69098] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3953), 1,
      anon_sym_COMMA,
    ACTIONS(3956), 1,
      anon_sym_RPAREN2,
    STATE(1973), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [69115] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(466), 1,
      sym__semicolon,
    STATE(1974), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69132] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(467), 1,
      sym__semicolon,
    STATE(1975), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69149] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(468), 1,
      sym__semicolon,
    STATE(1976), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69166] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1386), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1977), 1,
      sym_text_interpolation,
    ACTIONS(1384), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69183] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1258), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1978), 1,
      sym_text_interpolation,
    ACTIONS(1256), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69200] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1979), 1,
      sym_text_interpolation,
    STATE(2007), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69217] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(469), 1,
      sym__semicolon,
    STATE(1980), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69234] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1981), 1,
      sym_text_interpolation,
    ACTIONS(3958), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [69249] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1982), 1,
      sym_text_interpolation,
    ACTIONS(3960), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [69264] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1238), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1983), 1,
      sym_text_interpolation,
    ACTIONS(1236), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69281] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1278), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1984), 1,
      sym_text_interpolation,
    ACTIONS(1276), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69298] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1294), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1985), 1,
      sym_text_interpolation,
    ACTIONS(1292), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69315] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1318), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1986), 1,
      sym_text_interpolation,
    ACTIONS(1316), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69332] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(575), 1,
      sym__semicolon,
    STATE(1987), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69349] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1374), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1988), 1,
      sym_text_interpolation,
    ACTIONS(1372), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69366] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1398), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1989), 1,
      sym_text_interpolation,
    ACTIONS(1396), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69383] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1990), 1,
      sym_text_interpolation,
    ACTIONS(3901), 3,
      anon_sym_RPAREN2,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [69398] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(565), 1,
      sym__semicolon,
    STATE(1991), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69415] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1426), 1,
      sym__semicolon,
    STATE(1992), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69432] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1066), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1993), 1,
      sym_text_interpolation,
    ACTIONS(1064), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69449] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(470), 1,
      sym__semicolon,
    STATE(1994), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69466] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(472), 1,
      sym__semicolon,
    STATE(1995), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69483] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1394), 1,
      sym__semicolon,
    STATE(1996), 1,
      sym_text_interpolation,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69500] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3962), 1,
      anon_sym_COMMA,
    ACTIONS(3965), 1,
      anon_sym_RPAREN2,
    STATE(1997), 2,
      sym_text_interpolation,
      aux_sym_anonymous_function_use_clause_repeat1,
  [69517] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(473), 1,
      sym__semicolon,
    STATE(1998), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69534] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(524), 1,
      sym__semicolon,
    STATE(1999), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69551] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1406), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2000), 1,
      sym_text_interpolation,
    ACTIONS(1404), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69568] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1210), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2001), 1,
      sym_text_interpolation,
    ACTIONS(1208), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69585] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1250), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2002), 1,
      sym_text_interpolation,
    ACTIONS(1248), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69602] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1190), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2003), 1,
      sym_text_interpolation,
    ACTIONS(1188), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69619] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(474), 1,
      sym__semicolon,
    STATE(2004), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69636] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(478), 1,
      sym__semicolon,
    STATE(2005), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69653] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(3967), 1,
      sym_name,
    STATE(2006), 1,
      sym_text_interpolation,
    STATE(2688), 1,
      sym_reference_modifier,
  [69672] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1242), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2007), 1,
      sym_text_interpolation,
    ACTIONS(1240), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69689] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2008), 1,
      sym_text_interpolation,
    STATE(2067), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69706] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1170), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2009), 1,
      sym_text_interpolation,
    ACTIONS(1168), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69723] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1070), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2010), 1,
      sym_text_interpolation,
    ACTIONS(1068), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69740] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1194), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2011), 1,
      sym_text_interpolation,
    ACTIONS(1192), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69757] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2012), 1,
      sym_text_interpolation,
    STATE(2086), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69774] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1166), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2013), 1,
      sym_text_interpolation,
    ACTIONS(1164), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69791] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    ACTIONS(3969), 1,
      anon_sym_EQ_GT,
    STATE(2014), 1,
      sym_text_interpolation,
    STATE(2545), 1,
      sym__return_type,
  [69810] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(576), 1,
      sym__semicolon,
    STATE(2015), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69827] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1146), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2016), 1,
      sym_text_interpolation,
    ACTIONS(1144), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69844] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1186), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2017), 1,
      sym_text_interpolation,
    ACTIONS(1184), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69861] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(574), 1,
      sym__semicolon,
    STATE(2018), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69878] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    ACTIONS(3971), 1,
      anon_sym_LBRACE,
    STATE(2019), 1,
      sym_text_interpolation,
    STATE(2678), 1,
      sym__return_type,
  [69897] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3973), 1,
      anon_sym_LBRACE,
    ACTIONS(3975), 1,
      anon_sym_COLON,
    STATE(455), 1,
      sym_switch_block,
    STATE(2020), 1,
      sym_text_interpolation,
  [69916] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1094), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2021), 1,
      sym_text_interpolation,
    ACTIONS(1092), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69933] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1078), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2022), 1,
      sym_text_interpolation,
    ACTIONS(1076), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69950] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1174), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2023), 1,
      sym_text_interpolation,
    ACTIONS(1172), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69967] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1214), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2024), 1,
      sym_text_interpolation,
    ACTIONS(1212), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69984] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(2025), 1,
      sym_text_interpolation,
    ACTIONS(3977), 3,
      sym_heredoc_end,
      sym_nowdoc_string,
      sym__new_line,
  [69999] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3979), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(2026), 1,
      sym_text_interpolation,
    ACTIONS(3925), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [70016] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3861), 1,
      anon_sym_EQ,
    STATE(2027), 1,
      sym_text_interpolation,
    ACTIONS(3981), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [70033] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3983), 1,
      anon_sym_COMMA,
    ACTIONS(3985), 1,
      anon_sym_RBRACK,
    STATE(2028), 1,
      sym_text_interpolation,
    STATE(2120), 1,
      aux_sym__array_destructing_repeat1,
  [70052] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2029), 1,
      sym_text_interpolation,
    ACTIONS(3245), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [70067] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3987), 1,
      anon_sym_COMMA,
    ACTIONS(3989), 1,
      anon_sym_RBRACK,
    STATE(2030), 1,
      sym_text_interpolation,
    STATE(2121), 1,
      aux_sym_array_creation_expression_repeat1,
  [70086] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3991), 1,
      anon_sym_RPAREN2,
    STATE(2031), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym__list_destructing_repeat1,
  [70105] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2032), 1,
      sym_text_interpolation,
    ACTIONS(3993), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [70120] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3995), 1,
      anon_sym_RPAREN2,
    STATE(2033), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym__list_destructing_repeat1,
  [70139] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3983), 1,
      anon_sym_COMMA,
    ACTIONS(3985), 1,
      anon_sym_RBRACK,
    STATE(2034), 1,
      sym_text_interpolation,
    STATE(2122), 1,
      aux_sym__array_destructing_repeat1,
  [70158] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1126), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2035), 1,
      sym_text_interpolation,
    ACTIONS(1124), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70175] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2036), 1,
      sym_text_interpolation,
    ACTIONS(3997), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [70190] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3999), 1,
      anon_sym_COMMA,
    ACTIONS(4001), 1,
      anon_sym_RBRACK,
    STATE(2037), 1,
      sym_text_interpolation,
    STATE(2123), 1,
      aux_sym_attribute_group_repeat1,
  [70209] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4005), 1,
      aux_sym_string_content_token1,
    STATE(2038), 1,
      sym_text_interpolation,
    ACTIONS(4003), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [70226] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4009), 1,
      aux_sym_string_content_token1,
    STATE(2039), 1,
      sym_text_interpolation,
    ACTIONS(4007), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [70243] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(462), 1,
      sym__semicolon,
    STATE(2040), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70260] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2041), 1,
      sym_text_interpolation,
    STATE(2140), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70277] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2580), 1,
      anon_sym_EQ_GT,
    ACTIONS(4011), 1,
      anon_sym_COMMA,
    STATE(2042), 2,
      sym_text_interpolation,
      aux_sym_match_condition_list_repeat1,
  [70294] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4014), 1,
      anon_sym_COMMA,
    ACTIONS(4017), 1,
      anon_sym_RBRACE,
    STATE(2043), 2,
      sym_text_interpolation,
      aux_sym_match_block_repeat1,
  [70311] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1202), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2044), 1,
      sym_text_interpolation,
    ACTIONS(1200), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70328] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2045), 1,
      sym_text_interpolation,
    ACTIONS(4019), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [70343] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1450), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2046), 1,
      sym_text_interpolation,
    ACTIONS(1448), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70360] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1198), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2047), 1,
      sym_text_interpolation,
    ACTIONS(1196), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70377] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(475), 1,
      sym__semicolon,
    STATE(2048), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70394] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1270), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2049), 1,
      sym_text_interpolation,
    ACTIONS(1268), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70411] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_DOLLAR,
    STATE(1947), 1,
      sym_variable_name,
    STATE(2050), 1,
      sym_text_interpolation,
    STATE(2200), 1,
      sym_static_variable_declaration,
  [70430] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1298), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2051), 1,
      sym_text_interpolation,
    ACTIONS(1296), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70447] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1470), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2052), 1,
      sym_text_interpolation,
    ACTIONS(1468), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70464] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1302), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2053), 1,
      sym_text_interpolation,
    ACTIONS(1300), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70481] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2054), 1,
      sym_text_interpolation,
    STATE(2126), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70498] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4023), 1,
      aux_sym_else_clause_token1,
    STATE(2055), 1,
      sym_text_interpolation,
    ACTIONS(4021), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [70515] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1306), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2056), 1,
      sym_text_interpolation,
    ACTIONS(1304), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70532] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1346), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2057), 1,
      sym_text_interpolation,
    ACTIONS(1344), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70549] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2058), 1,
      sym_text_interpolation,
    STATE(2088), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70566] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1362), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2059), 1,
      sym_text_interpolation,
    ACTIONS(1360), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70583] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1370), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2060), 1,
      sym_text_interpolation,
    ACTIONS(1368), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70600] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1378), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2061), 1,
      sym_text_interpolation,
    ACTIONS(1376), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70617] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1234), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2062), 1,
      sym_text_interpolation,
    ACTIONS(1232), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70634] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1282), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2063), 1,
      sym_text_interpolation,
    ACTIONS(1280), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70651] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4025), 1,
      sym_name,
    ACTIONS(4027), 1,
      anon_sym_LBRACE,
    STATE(2064), 1,
      sym_text_interpolation,
    STATE(2474), 1,
      sym_namespace_use_group,
  [70670] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1426), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2065), 1,
      sym_text_interpolation,
    ACTIONS(1424), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70687] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1458), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2066), 1,
      sym_text_interpolation,
    ACTIONS(1456), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70704] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1434), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2067), 1,
      sym_text_interpolation,
    ACTIONS(1432), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70721] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    ACTIONS(4029), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2068), 1,
      sym_text_interpolation,
    STATE(2169), 1,
      sym_variable_name,
  [70740] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1538), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2069), 1,
      sym_text_interpolation,
    ACTIONS(1536), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70757] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1206), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2070), 1,
      sym_text_interpolation,
    ACTIONS(1204), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70774] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2071), 1,
      sym_text_interpolation,
    STATE(2115), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70791] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(549), 1,
      sym__semicolon,
    STATE(2072), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70808] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1218), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2073), 1,
      sym_text_interpolation,
    ACTIONS(1216), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70825] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(550), 1,
      sym__semicolon,
    STATE(2074), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70842] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1514), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2075), 1,
      sym_text_interpolation,
    ACTIONS(1512), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70859] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4031), 1,
      anon_sym_COMMA,
    ACTIONS(4033), 1,
      anon_sym_RPAREN2,
    STATE(2076), 1,
      sym_text_interpolation,
    STATE(2175), 1,
      aux_sym_formal_parameters_repeat1,
  [70878] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4035), 1,
      anon_sym_LBRACE,
    ACTIONS(4037), 1,
      anon_sym_COLON,
    STATE(2077), 1,
      sym_text_interpolation,
    STATE(2149), 1,
      sym_switch_block,
  [70897] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1254), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2078), 1,
      sym_text_interpolation,
    ACTIONS(1252), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70914] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2079), 1,
      sym_text_interpolation,
    ACTIONS(3584), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [70929] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_DOLLAR,
    STATE(1834), 1,
      sym_variable_name,
    STATE(1931), 1,
      sym_property_element,
    STATE(2080), 1,
      sym_text_interpolation,
  [70948] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_DOLLAR,
    STATE(1573), 1,
      sym_property_element,
    STATE(1834), 1,
      sym_variable_name,
    STATE(2081), 1,
      sym_text_interpolation,
  [70967] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4039), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(2082), 1,
      sym_text_interpolation,
    ACTIONS(3879), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [70984] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4041), 1,
      anon_sym_COMMA,
    ACTIONS(4043), 1,
      anon_sym_RBRACK,
    STATE(2083), 1,
      sym_text_interpolation,
    STATE(2134), 1,
      aux_sym_array_creation_expression_repeat1,
  [71003] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4045), 1,
      anon_sym_COMMA,
    ACTIONS(4047), 1,
      anon_sym_RBRACK,
    STATE(2084), 1,
      sym_text_interpolation,
    STATE(2136), 1,
      aux_sym_attribute_group_repeat1,
  [71022] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3704), 1,
      anon_sym_RPAREN2,
    ACTIONS(4049), 1,
      anon_sym_COMMA,
    STATE(1997), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
    STATE(2085), 1,
      sym_text_interpolation,
  [71041] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1430), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2086), 1,
      sym_text_interpolation,
    ACTIONS(1428), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71058] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1314), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2087), 1,
      sym_text_interpolation,
    ACTIONS(1312), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71075] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1334), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2088), 1,
      sym_text_interpolation,
    ACTIONS(1332), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71092] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_EQ,
    STATE(2089), 1,
      sym_text_interpolation,
    ACTIONS(4051), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [71109] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4057), 1,
      anon_sym_EQ,
    STATE(2090), 1,
      sym_text_interpolation,
    ACTIONS(4055), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [71126] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1422), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2091), 1,
      sym_text_interpolation,
    ACTIONS(1420), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71143] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2092), 1,
      sym_text_interpolation,
    STATE(2158), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71160] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    ACTIONS(4059), 1,
      anon_sym_LBRACE,
    STATE(2093), 1,
      sym_text_interpolation,
    STATE(2559), 1,
      sym__return_type,
  [71179] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3503), 1,
      anon_sym_LBRACE,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    STATE(2094), 1,
      sym_text_interpolation,
    STATE(2563), 1,
      sym__return_type,
  [71198] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3139), 1,
      anon_sym_AMP,
    ACTIONS(4061), 1,
      anon_sym_RPAREN2,
    STATE(1527), 1,
      aux_sym_intersection_type_repeat1,
    STATE(2095), 1,
      sym_text_interpolation,
  [71217] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1262), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2096), 1,
      sym_text_interpolation,
    ACTIONS(1260), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71234] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1454), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2097), 1,
      sym_text_interpolation,
    ACTIONS(1452), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71251] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2098), 1,
      sym_text_interpolation,
    STATE(2159), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71268] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1358), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2099), 1,
      sym_text_interpolation,
    ACTIONS(1356), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71285] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1354), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2100), 1,
      sym_text_interpolation,
    ACTIONS(1352), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71302] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1350), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2101), 1,
      sym_text_interpolation,
    ACTIONS(1348), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71319] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1330), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2102), 1,
      sym_text_interpolation,
    ACTIONS(1328), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71336] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4063), 1,
      anon_sym_COMMA,
    ACTIONS(4065), 1,
      anon_sym_RPAREN2,
    STATE(2103), 1,
      sym_text_interpolation,
    STATE(2157), 1,
      aux_sym_formal_parameters_repeat1,
  [71355] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    ACTIONS(4067), 1,
      anon_sym_EQ_GT,
    STATE(2104), 1,
      sym_text_interpolation,
    STATE(2590), 1,
      sym__return_type,
  [71374] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4069), 1,
      anon_sym_COMMA,
    ACTIONS(4071), 1,
      anon_sym_RPAREN2,
    STATE(2105), 1,
      sym_text_interpolation,
    STATE(2204), 1,
      aux_sym_array_creation_expression_repeat1,
  [71393] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(851), 1,
      anon_sym_RBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4073), 1,
      anon_sym_COMMA,
    STATE(2043), 1,
      aux_sym_match_block_repeat1,
    STATE(2106), 1,
      sym_text_interpolation,
  [71412] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(532), 1,
      sym__semicolon,
    STATE(2107), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71429] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1486), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2108), 1,
      sym_text_interpolation,
    ACTIONS(1484), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71446] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1290), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2109), 1,
      sym_text_interpolation,
    ACTIONS(1288), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71463] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1498), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2110), 1,
      sym_text_interpolation,
    ACTIONS(1496), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71480] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2111), 1,
      sym_text_interpolation,
    ACTIONS(4075), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [71495] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1322), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2112), 1,
      sym_text_interpolation,
    ACTIONS(1320), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71512] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1769), 1,
      anon_sym_RPAREN2,
    STATE(2113), 1,
      sym_text_interpolation,
    STATE(2238), 1,
      aux_sym__list_destructing_repeat1,
  [71531] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    ACTIONS(4079), 1,
      anon_sym_RPAREN2,
    STATE(2114), 1,
      sym_text_interpolation,
    STATE(2163), 1,
      aux_sym_array_creation_expression_repeat1,
  [71550] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1534), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2115), 1,
      sym_text_interpolation,
    ACTIONS(1532), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71567] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2116), 1,
      sym_text_interpolation,
    STATE(2257), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71584] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_AMP,
    ACTIONS(4081), 1,
      sym_name,
    STATE(2117), 1,
      sym_text_interpolation,
    STATE(2650), 1,
      sym_reference_modifier,
  [71603] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1769), 1,
      anon_sym_RPAREN2,
    STATE(2118), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym__list_destructing_repeat1,
  [71622] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1286), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2119), 1,
      sym_text_interpolation,
    ACTIONS(1284), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71639] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3983), 1,
      anon_sym_COMMA,
    ACTIONS(4083), 1,
      anon_sym_RBRACK,
    STATE(2120), 1,
      sym_text_interpolation,
    STATE(2122), 1,
      aux_sym__array_destructing_repeat1,
  [71658] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(849), 1,
      anon_sym_RBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4085), 1,
      anon_sym_COMMA,
    STATE(2121), 1,
      sym_text_interpolation,
    STATE(2248), 1,
      aux_sym_array_creation_expression_repeat1,
  [71677] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4087), 1,
      anon_sym_COMMA,
    ACTIONS(4090), 1,
      anon_sym_RBRACK,
    STATE(2122), 2,
      sym_text_interpolation,
      aux_sym__array_destructing_repeat1,
  [71694] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3132), 1,
      anon_sym_RBRACK,
    ACTIONS(4092), 1,
      anon_sym_COMMA,
    STATE(2123), 1,
      sym_text_interpolation,
    STATE(2249), 1,
      aux_sym_attribute_group_repeat1,
  [71713] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1342), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2124), 1,
      sym_text_interpolation,
    ACTIONS(1340), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71730] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3797), 1,
      sym__new_line,
    ACTIONS(4094), 1,
      sym_heredoc_end,
    STATE(2125), 1,
      sym_text_interpolation,
    STATE(2355), 1,
      sym_heredoc_body,
  [71749] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1526), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2126), 1,
      sym_text_interpolation,
    ACTIONS(1524), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71766] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1960), 1,
      sym__semicolon,
    STATE(2127), 1,
      sym_text_interpolation,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71783] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1518), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2128), 1,
      sym_text_interpolation,
    ACTIONS(1516), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71800] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1274), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2129), 1,
      sym_text_interpolation,
    ACTIONS(1272), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71817] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4096), 1,
      anon_sym_COMMA,
    ACTIONS(4098), 1,
      anon_sym_RBRACE,
    STATE(2130), 1,
      sym_text_interpolation,
    STATE(2177), 1,
      aux_sym_namespace_use_declaration_repeat1,
  [71836] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1230), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2131), 1,
      sym_text_interpolation,
    ACTIONS(1228), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71853] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3235), 1,
      anon_sym_DOLLAR,
    ACTIONS(4100), 1,
      anon_sym_AMP,
    STATE(1517), 1,
      aux_sym_intersection_type_repeat1,
    STATE(2132), 1,
      sym_text_interpolation,
  [71872] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1502), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2133), 1,
      sym_text_interpolation,
    ACTIONS(1500), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71889] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(831), 1,
      anon_sym_RBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4103), 1,
      anon_sym_COMMA,
    STATE(2134), 1,
      sym_text_interpolation,
    STATE(2248), 1,
      aux_sym_array_creation_expression_repeat1,
  [71908] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(951), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2108), 1,
      anon_sym_LPAREN2,
    STATE(2135), 1,
      sym_text_interpolation,
    STATE(2424), 1,
      sym_parenthesized_expression,
  [71927] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3078), 1,
      anon_sym_RBRACK,
    ACTIONS(4105), 1,
      anon_sym_COMMA,
    STATE(2136), 1,
      sym_text_interpolation,
    STATE(2249), 1,
      aux_sym_attribute_group_repeat1,
  [71946] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1494), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2137), 1,
      sym_text_interpolation,
    ACTIONS(1492), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71963] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4107), 1,
      anon_sym_COMMA,
    ACTIONS(4109), 1,
      anon_sym_RPAREN2,
    STATE(2138), 1,
      sym_text_interpolation,
    STATE(2258), 1,
      aux_sym_arguments_repeat1,
  [71982] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3797), 1,
      sym__new_line,
    ACTIONS(4111), 1,
      sym_heredoc_end,
    STATE(2139), 1,
      sym_text_interpolation,
    STATE(2455), 1,
      sym_heredoc_body,
  [72001] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1142), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2140), 1,
      sym_text_interpolation,
    ACTIONS(1140), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72018] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    ACTIONS(4113), 1,
      anon_sym_EQ_GT,
    STATE(2141), 1,
      sym_text_interpolation,
    STATE(2694), 1,
      sym__return_type,
  [72037] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1338), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2142), 1,
      sym_text_interpolation,
    ACTIONS(1336), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72054] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1957), 1,
      sym__semicolon,
    STATE(2143), 1,
      sym_text_interpolation,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72071] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4115), 1,
      anon_sym_COMMA,
    ACTIONS(4117), 1,
      anon_sym_RPAREN2,
    STATE(2144), 1,
      sym_text_interpolation,
    STATE(2191), 1,
      aux_sym_arguments_repeat1,
  [72090] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    ACTIONS(4119), 1,
      anon_sym_EQ_GT,
    STATE(2145), 1,
      sym_text_interpolation,
    STATE(2635), 1,
      sym__return_type,
  [72109] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1418), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2146), 1,
      sym_text_interpolation,
    ACTIONS(1416), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72126] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1402), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2147), 1,
      sym_text_interpolation,
    ACTIONS(1400), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72143] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    ACTIONS(4121), 1,
      anon_sym_EQ_GT,
    STATE(2148), 1,
      sym_text_interpolation,
    STATE(2700), 1,
      sym__return_type,
  [72162] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1062), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2149), 1,
      sym_text_interpolation,
    ACTIONS(1060), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72179] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1466), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2150), 1,
      sym_text_interpolation,
    ACTIONS(1464), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72196] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    ACTIONS(4123), 1,
      anon_sym_LBRACE,
    STATE(2151), 1,
      sym_text_interpolation,
    STATE(2633), 1,
      sym__return_type,
  [72215] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1506), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2152), 1,
      sym_text_interpolation,
    ACTIONS(1504), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72232] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2153), 1,
      sym_text_interpolation,
    STATE(2224), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72249] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1246), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2154), 1,
      sym_text_interpolation,
    ACTIONS(1244), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72266] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1182), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2155), 1,
      sym_text_interpolation,
    ACTIONS(1180), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72283] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1522), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2156), 1,
      sym_text_interpolation,
    ACTIONS(1520), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72300] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2072), 1,
      anon_sym_RPAREN2,
    ACTIONS(4125), 1,
      anon_sym_COMMA,
    STATE(2157), 1,
      sym_text_interpolation,
    STATE(2293), 1,
      aux_sym_formal_parameters_repeat1,
  [72319] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1490), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2158), 1,
      sym_text_interpolation,
    ACTIONS(1488), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72336] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1530), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2159), 1,
      sym_text_interpolation,
    ACTIONS(1528), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72353] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2160), 1,
      sym_text_interpolation,
    ACTIONS(3833), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [72368] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4025), 1,
      sym_name,
    ACTIONS(4027), 1,
      anon_sym_LBRACE,
    STATE(2161), 1,
      sym_text_interpolation,
    STATE(2322), 1,
      sym_namespace_use_group,
  [72387] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    ACTIONS(4127), 1,
      anon_sym_LBRACE,
    STATE(2162), 1,
      sym_text_interpolation,
    STATE(2628), 1,
      sym__return_type,
  [72406] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(843), 1,
      anon_sym_RPAREN2,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4129), 1,
      anon_sym_COMMA,
    STATE(1973), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(2163), 1,
      sym_text_interpolation,
  [72425] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2164), 1,
      sym_text_interpolation,
    ACTIONS(3824), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [72440] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1784), 1,
      anon_sym_RPAREN2,
    ACTIONS(4131), 1,
      anon_sym_COMMA,
    STATE(2165), 1,
      sym_text_interpolation,
    STATE(2259), 1,
      aux_sym_unset_statement_repeat1,
  [72459] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2166), 1,
      sym_text_interpolation,
    STATE(2197), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72476] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2167), 1,
      sym_text_interpolation,
    ACTIONS(4133), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [72491] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2168), 1,
      sym_text_interpolation,
    STATE(2212), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72508] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4137), 1,
      anon_sym_EQ,
    STATE(2169), 1,
      sym_text_interpolation,
    ACTIONS(4135), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [72525] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1554), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2170), 1,
      sym_text_interpolation,
    ACTIONS(1552), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72542] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4139), 1,
      anon_sym_COMMA,
    ACTIONS(4141), 1,
      anon_sym_RBRACE,
    STATE(2171), 1,
      sym_text_interpolation,
    STATE(2214), 1,
      aux_sym_match_block_repeat1,
  [72561] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    ACTIONS(4143), 1,
      anon_sym_LBRACE,
    STATE(2172), 1,
      sym_text_interpolation,
    STATE(2627), 1,
      sym__return_type,
  [72580] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1542), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2173), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72597] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_COMMA,
    ACTIONS(4148), 1,
      anon_sym_RPAREN2,
    STATE(2174), 2,
      sym_text_interpolation,
      aux_sym_arguments_repeat1,
  [72614] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2076), 1,
      anon_sym_RPAREN2,
    ACTIONS(4150), 1,
      anon_sym_COMMA,
    STATE(2175), 1,
      sym_text_interpolation,
    STATE(2293), 1,
      aux_sym_formal_parameters_repeat1,
  [72633] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1546), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2176), 1,
      sym_text_interpolation,
    ACTIONS(1544), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72650] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3824), 1,
      anon_sym_RBRACE,
    ACTIONS(4152), 1,
      anon_sym_COMMA,
    STATE(2177), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_declaration_repeat1,
  [72667] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    ACTIONS(4155), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2178), 1,
      sym_text_interpolation,
    STATE(2289), 1,
      sym_variable_name,
  [72686] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4159), 1,
      anon_sym_EQ,
    STATE(2179), 1,
      sym_text_interpolation,
    ACTIONS(4157), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [72703] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    ACTIONS(4161), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2180), 1,
      sym_text_interpolation,
    STATE(2285), 1,
      sym_variable_name,
  [72722] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2181), 1,
      sym_text_interpolation,
    STATE(2228), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72739] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    ACTIONS(4163), 1,
      anon_sym_RPAREN2,
    STATE(2182), 1,
      sym_text_interpolation,
    STATE(2536), 1,
      sym_variable_name,
  [72758] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1510), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2183), 1,
      sym_text_interpolation,
    ACTIONS(1508), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72775] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4167), 1,
      anon_sym_EQ,
    STATE(2184), 1,
      sym_text_interpolation,
    ACTIONS(4165), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [72792] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    ACTIONS(4169), 1,
      anon_sym_LBRACE,
    STATE(2185), 1,
      sym_text_interpolation,
    STATE(2731), 1,
      sym__return_type,
  [72811] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    ACTIONS(3749), 1,
      anon_sym_LBRACE,
    STATE(2186), 1,
      sym_text_interpolation,
    STATE(2735), 1,
      sym__return_type,
  [72830] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3797), 1,
      sym__new_line,
    ACTIONS(4171), 1,
      sym_heredoc_end,
    STATE(2187), 1,
      sym_text_interpolation,
    STATE(2409), 1,
      sym_heredoc_body,
  [72849] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1482), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2188), 1,
      sym_text_interpolation,
    ACTIONS(1480), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72866] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4173), 1,
      sym__new_line,
    ACTIONS(4175), 1,
      sym_heredoc_end,
    STATE(2189), 1,
      sym_text_interpolation,
    STATE(2398), 1,
      sym_nowdoc_body,
  [72885] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1442), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2190), 1,
      sym_text_interpolation,
    ACTIONS(1440), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72902] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(789), 1,
      anon_sym_RPAREN2,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4177), 1,
      anon_sym_COMMA,
    STATE(2174), 1,
      aux_sym_arguments_repeat1,
    STATE(2191), 1,
      sym_text_interpolation,
  [72921] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1438), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2192), 1,
      sym_text_interpolation,
    ACTIONS(1436), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72938] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1971), 1,
      sym__semicolon,
    STATE(2193), 1,
      sym_text_interpolation,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72955] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2194), 1,
      sym_text_interpolation,
    STATE(2263), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72972] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2195), 1,
      sym_text_interpolation,
    ACTIONS(3813), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [72987] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1178), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2196), 1,
      sym_text_interpolation,
    ACTIONS(1176), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73004] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1150), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2197), 1,
      sym_text_interpolation,
    ACTIONS(1148), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73021] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2198), 1,
      sym_text_interpolation,
    STATE(2291), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73038] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2199), 1,
      sym_text_interpolation,
    ACTIONS(4179), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [73053] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2200), 1,
      sym_text_interpolation,
    ACTIONS(3838), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [73068] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2201), 1,
      sym_text_interpolation,
    ACTIONS(4181), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [73083] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2202), 1,
      sym_text_interpolation,
    ACTIONS(4183), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [73098] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3783), 1,
      anon_sym_COMMA,
    ACTIONS(4185), 1,
      anon_sym_LBRACE,
    STATE(2203), 1,
      sym_text_interpolation,
    STATE(2261), 1,
      aux_sym_base_clause_repeat1,
  [73117] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(841), 1,
      anon_sym_RPAREN2,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4187), 1,
      anon_sym_COMMA,
    STATE(1973), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(2204), 1,
      sym_text_interpolation,
  [73136] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3275), 1,
      anon_sym_RPAREN2,
    STATE(2033), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2205), 1,
      sym_text_interpolation,
  [73155] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4189), 1,
      anon_sym_RPAREN2,
    STATE(2031), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2206), 1,
      sym_text_interpolation,
  [73174] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2207), 1,
      sym_text_interpolation,
    ACTIONS(4191), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [73189] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(499), 1,
      sym__semicolon,
    STATE(2208), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73206] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1382), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2209), 1,
      sym_text_interpolation,
    ACTIONS(1380), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73223] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(504), 1,
      sym__semicolon,
    STATE(2210), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73240] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1788), 1,
      anon_sym_RPAREN2,
    ACTIONS(4193), 1,
      anon_sym_COMMA,
    STATE(2211), 1,
      sym_text_interpolation,
    STATE(2259), 1,
      aux_sym_unset_statement_repeat1,
  [73259] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1158), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2212), 1,
      sym_text_interpolation,
    ACTIONS(1156), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73276] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(539), 1,
      sym__semicolon,
    STATE(2213), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73293] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(853), 1,
      anon_sym_RBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4195), 1,
      anon_sym_COMMA,
    STATE(2043), 1,
      aux_sym_match_block_repeat1,
    STATE(2214), 1,
      sym_text_interpolation,
  [73312] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(543), 1,
      sym__semicolon,
    STATE(2215), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73329] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(562), 1,
      sym__semicolon,
    STATE(2216), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73346] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1462), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2217), 1,
      sym_text_interpolation,
    ACTIONS(1460), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73363] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(490), 1,
      sym__semicolon,
    STATE(2218), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73380] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1266), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2219), 1,
      sym_text_interpolation,
    ACTIONS(1264), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73397] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2220), 1,
      sym_text_interpolation,
    STATE(2278), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73414] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4197), 1,
      anon_sym_DQUOTE,
    ACTIONS(4199), 1,
      anon_sym_SQUOTE,
    ACTIONS(4201), 1,
      sym_heredoc_start,
    STATE(2221), 1,
      sym_text_interpolation,
  [73433] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4205), 1,
      aux_sym_else_clause_token1,
    STATE(2222), 1,
      sym_text_interpolation,
    ACTIONS(4203), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [73450] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2223), 1,
      sym_text_interpolation,
    STATE(2297), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73467] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1410), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2224), 1,
      sym_text_interpolation,
    ACTIONS(1408), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73484] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1983), 1,
      sym__semicolon,
    STATE(2225), 1,
      sym_text_interpolation,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73501] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4207), 1,
      anon_sym_COMMA,
    ACTIONS(4209), 1,
      anon_sym_RBRACE,
    STATE(2106), 1,
      aux_sym_match_block_repeat1,
    STATE(2226), 1,
      sym_text_interpolation,
  [73520] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1226), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2227), 1,
      sym_text_interpolation,
    ACTIONS(1224), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73537] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1074), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2228), 1,
      sym_text_interpolation,
    ACTIONS(1072), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73554] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(580), 1,
      sym__semicolon,
    STATE(2229), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73571] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2230), 1,
      sym_text_interpolation,
    STATE(2292), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73588] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1222), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2231), 1,
      sym_text_interpolation,
    ACTIONS(1220), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73605] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2232), 1,
      sym_text_interpolation,
    STATE(2288), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73622] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3861), 1,
      anon_sym_EQ,
    STATE(2233), 1,
      sym_text_interpolation,
    ACTIONS(4211), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [73639] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(785), 1,
      anon_sym_RPAREN2,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4213), 1,
      anon_sym_COMMA,
    STATE(2174), 1,
      aux_sym_arguments_repeat1,
    STATE(2234), 1,
      sym_text_interpolation,
  [73658] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2235), 1,
      sym_text_interpolation,
    ACTIONS(4215), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [73673] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(471), 1,
      sym__semicolon,
    STATE(2236), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73690] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(483), 1,
      sym__semicolon,
    STATE(2237), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73707] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4217), 1,
      anon_sym_RPAREN2,
    STATE(2238), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym__list_destructing_repeat1,
  [73726] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2239), 1,
      sym_text_interpolation,
    ACTIONS(2758), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [73741] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2240), 1,
      sym_text_interpolation,
    ACTIONS(4219), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [73756] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_COMMA,
    ACTIONS(4223), 1,
      anon_sym_RPAREN2,
    STATE(2234), 1,
      aux_sym_arguments_repeat1,
    STATE(2241), 1,
      sym_text_interpolation,
  [73775] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_RPAREN2,
    STATE(2242), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym__list_destructing_repeat1,
  [73794] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1780), 1,
      anon_sym_RPAREN2,
    ACTIONS(4227), 1,
      anon_sym_COMMA,
    STATE(2243), 2,
      sym_text_interpolation,
      aux_sym__list_destructing_repeat1,
  [73811] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3861), 1,
      anon_sym_EQ,
    STATE(2244), 1,
      sym_text_interpolation,
    ACTIONS(4230), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [73828] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2245), 1,
      sym_text_interpolation,
    STATE(2273), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73845] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1082), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2246), 1,
      sym_text_interpolation,
    ACTIONS(1080), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73862] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2247), 1,
      sym_text_interpolation,
    ACTIONS(3956), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
  [73877] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3956), 1,
      anon_sym_RBRACK,
    ACTIONS(4232), 1,
      anon_sym_COMMA,
    STATE(2248), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [73894] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_COMMA,
    ACTIONS(4238), 1,
      anon_sym_RBRACK,
    STATE(2249), 2,
      sym_text_interpolation,
      aux_sym_attribute_group_repeat1,
  [73911] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(803), 1,
      anon_sym_RPAREN2,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4240), 1,
      anon_sym_COMMA,
    STATE(2174), 1,
      aux_sym_arguments_repeat1,
    STATE(2250), 1,
      sym_text_interpolation,
  [73930] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2196), 1,
      sym__semicolon,
    STATE(2251), 1,
      sym_text_interpolation,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73947] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_COMMA,
    ACTIONS(4244), 1,
      anon_sym_RPAREN2,
    STATE(2250), 1,
      aux_sym_arguments_repeat1,
    STATE(2252), 1,
      sym_text_interpolation,
  [73966] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3797), 1,
      sym__new_line,
    ACTIONS(4246), 1,
      sym_heredoc_end,
    STATE(2253), 1,
      sym_text_interpolation,
    STATE(2458), 1,
      sym_heredoc_body,
  [73985] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(464), 1,
      sym__semicolon,
    STATE(2254), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74002] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4173), 1,
      sym__new_line,
    ACTIONS(4248), 1,
      sym_heredoc_end,
    STATE(2255), 1,
      sym_text_interpolation,
    STATE(2464), 1,
      sym_nowdoc_body,
  [74021] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    ACTIONS(4250), 1,
      anon_sym_RPAREN2,
    STATE(2256), 1,
      sym_text_interpolation,
    STATE(2594), 1,
      sym_variable_name,
  [74040] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1366), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2257), 1,
      sym_text_interpolation,
    ACTIONS(1364), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74057] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(801), 1,
      anon_sym_RPAREN2,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    STATE(2174), 1,
      aux_sym_arguments_repeat1,
    STATE(2258), 1,
      sym_text_interpolation,
  [74076] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3335), 1,
      anon_sym_RPAREN2,
    ACTIONS(4254), 1,
      anon_sym_COMMA,
    STATE(2259), 2,
      sym_text_interpolation,
      aux_sym_unset_statement_repeat1,
  [74093] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(500), 1,
      sym__semicolon,
    STATE(2260), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74110] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3783), 1,
      anon_sym_COMMA,
    ACTIONS(4257), 1,
      anon_sym_LBRACE,
    STATE(1896), 1,
      aux_sym_base_clause_repeat1,
    STATE(2261), 1,
      sym_text_interpolation,
  [74129] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    ACTIONS(4259), 1,
      anon_sym_LBRACE,
    STATE(2262), 1,
      sym_text_interpolation,
    STATE(2525), 1,
      sym__return_type,
  [74148] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1090), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2263), 1,
      sym_text_interpolation,
    ACTIONS(1088), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74165] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1086), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2264), 1,
      sym_text_interpolation,
    ACTIONS(1084), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74182] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1978), 1,
      sym__semicolon,
    STATE(2265), 1,
      sym_text_interpolation,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74199] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1154), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2266), 1,
      sym_text_interpolation,
    ACTIONS(1152), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74216] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_DOLLAR,
    STATE(1616), 1,
      sym_property_element,
    STATE(1834), 1,
      sym_variable_name,
    STATE(2267), 1,
      sym_text_interpolation,
  [74235] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2266), 1,
      sym__semicolon,
    STATE(2268), 1,
      sym_text_interpolation,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74252] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1138), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2269), 1,
      sym_text_interpolation,
    ACTIONS(1136), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74269] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2270), 1,
      sym_text_interpolation,
    STATE(2280), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74286] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4261), 1,
      anon_sym_COMMA,
    ACTIONS(4263), 1,
      anon_sym_RPAREN2,
    STATE(2085), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
    STATE(2271), 1,
      sym_text_interpolation,
  [74305] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4265), 1,
      anon_sym_COMMA,
    ACTIONS(4267), 1,
      anon_sym_RPAREN2,
    STATE(2272), 1,
      sym_text_interpolation,
    STATE(2282), 1,
      aux_sym_arguments_repeat1,
  [74324] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1118), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2273), 1,
      sym_text_interpolation,
    ACTIONS(1116), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74341] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(807), 1,
      anon_sym_RPAREN2,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4269), 1,
      anon_sym_COMMA,
    STATE(2174), 1,
      aux_sym_arguments_repeat1,
    STATE(2274), 1,
      sym_text_interpolation,
  [74360] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2275), 1,
      sym_text_interpolation,
    STATE(2283), 1,
      sym__semicolon,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74377] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4273), 1,
      anon_sym_EQ,
    STATE(2276), 1,
      sym_text_interpolation,
    ACTIONS(4271), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [74394] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    ACTIONS(4275), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2090), 1,
      sym_variable_name,
    STATE(2277), 1,
      sym_text_interpolation,
  [74413] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1102), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2278), 1,
      sym_text_interpolation,
    ACTIONS(1100), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74430] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4096), 1,
      anon_sym_COMMA,
    ACTIONS(4277), 1,
      anon_sym_RBRACE,
    STATE(2130), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2279), 1,
      sym_text_interpolation,
  [74449] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1134), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2280), 1,
      sym_text_interpolation,
    ACTIONS(1132), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74466] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    ACTIONS(4279), 1,
      anon_sym_EQ_GT,
    STATE(2281), 1,
      sym_text_interpolation,
    STATE(2524), 1,
      sym__return_type,
  [74485] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(791), 1,
      anon_sym_RPAREN2,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4281), 1,
      anon_sym_COMMA,
    STATE(2174), 1,
      aux_sym_arguments_repeat1,
    STATE(2282), 1,
      sym_text_interpolation,
  [74504] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1130), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2283), 1,
      sym_text_interpolation,
    ACTIONS(1128), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74521] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1122), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2284), 1,
      sym_text_interpolation,
    ACTIONS(1120), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74538] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4285), 1,
      anon_sym_EQ,
    STATE(2285), 1,
      sym_text_interpolation,
    ACTIONS(4283), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [74555] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2286), 1,
      sym_text_interpolation,
    ACTIONS(4287), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [74570] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    ACTIONS(4289), 1,
      anon_sym_EQ_GT,
    STATE(2287), 1,
      sym_text_interpolation,
    STATE(2508), 1,
      sym__return_type,
  [74589] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1114), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2288), 1,
      sym_text_interpolation,
    ACTIONS(1112), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74606] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4293), 1,
      anon_sym_EQ,
    STATE(2289), 1,
      sym_text_interpolation,
    ACTIONS(4291), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [74623] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    ACTIONS(4295), 1,
      anon_sym_LBRACE,
    STATE(2290), 1,
      sym_text_interpolation,
    STATE(2510), 1,
      sym__return_type,
  [74642] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1098), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2291), 1,
      sym_text_interpolation,
    ACTIONS(1096), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74659] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1110), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2292), 1,
      sym_text_interpolation,
    ACTIONS(1108), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74676] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4297), 1,
      anon_sym_COMMA,
    ACTIONS(4300), 1,
      anon_sym_RPAREN2,
    STATE(2293), 2,
      sym_text_interpolation,
      aux_sym_formal_parameters_repeat1,
  [74693] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2284), 1,
      sym__semicolon,
    STATE(2294), 1,
      sym_text_interpolation,
    ACTIONS(423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74710] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4302), 1,
      anon_sym_COMMA,
    ACTIONS(4304), 1,
      anon_sym_RPAREN2,
    STATE(2274), 1,
      aux_sym_arguments_repeat1,
    STATE(2295), 1,
      sym_text_interpolation,
  [74729] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COLON,
    ACTIONS(4306), 1,
      anon_sym_EQ_GT,
    STATE(2296), 1,
      sym_text_interpolation,
    STATE(2507), 1,
      sym__return_type,
  [74748] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1106), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2297), 1,
      sym_text_interpolation,
    ACTIONS(1104), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74765] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4308), 1,
      sym__new_line,
    ACTIONS(4310), 1,
      sym_heredoc_end,
    STATE(2298), 1,
      sym_text_interpolation,
  [74781] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2299), 1,
      sym_text_interpolation,
    ACTIONS(3040), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [74795] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(501), 1,
      ts_builtin_sym_end,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4312), 1,
      sym_php_tag,
    STATE(2300), 1,
      sym_text_interpolation,
  [74811] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2301), 1,
      sym_text_interpolation,
    ACTIONS(3945), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74825] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2302), 1,
      sym_text_interpolation,
    ACTIONS(4314), 2,
      sym__eof,
      sym_php_tag,
  [74839] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4316), 1,
      anon_sym_LPAREN2,
    STATE(107), 1,
      sym_parenthesized_expression,
    STATE(2303), 1,
      sym_text_interpolation,
  [74855] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2304), 1,
      sym_text_interpolation,
    ACTIONS(4318), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [74869] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2074), 1,
      anon_sym_LPAREN2,
    STATE(876), 1,
      sym_arguments,
    STATE(2305), 1,
      sym_text_interpolation,
  [74885] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2306), 1,
      sym_text_interpolation,
    ACTIONS(4320), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [74899] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    STATE(2307), 1,
      sym_text_interpolation,
    STATE(2428), 1,
      sym_variable_name,
  [74915] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2308), 1,
      sym_text_interpolation,
    ACTIONS(4322), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [74929] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2309), 1,
      sym_text_interpolation,
    ACTIONS(4324), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [74943] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    STATE(2310), 1,
      sym_text_interpolation,
    STATE(2435), 1,
      sym_variable_name,
  [74959] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2311), 1,
      sym_text_interpolation,
    ACTIONS(4326), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [74973] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    STATE(2312), 1,
      sym_text_interpolation,
    STATE(2433), 1,
      sym_variable_name,
  [74989] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2313), 1,
      sym_text_interpolation,
    ACTIONS(4328), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75003] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1743), 1,
      sym_compound_statement,
    STATE(2314), 1,
      sym_text_interpolation,
  [75019] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4316), 1,
      anon_sym_LPAREN2,
    STATE(57), 1,
      sym_parenthesized_expression,
    STATE(2315), 1,
      sym_text_interpolation,
  [75035] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2074), 1,
      anon_sym_LPAREN2,
    STATE(892), 1,
      sym_arguments,
    STATE(2316), 1,
      sym_text_interpolation,
  [75051] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2317), 1,
      sym_text_interpolation,
    ACTIONS(4300), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75065] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2318), 1,
      sym_text_interpolation,
    ACTIONS(4330), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75079] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4316), 1,
      anon_sym_LPAREN2,
    STATE(56), 1,
      sym_parenthesized_expression,
    STATE(2319), 1,
      sym_text_interpolation,
  [75095] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2320), 1,
      sym_text_interpolation,
    ACTIONS(4332), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75109] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2108), 1,
      anon_sym_LPAREN2,
    STATE(2321), 1,
      sym_text_interpolation,
    STATE(2389), 1,
      sym_parenthesized_expression,
  [75125] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2322), 1,
      sym_text_interpolation,
    ACTIONS(4334), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75139] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(542), 1,
      sym_declaration_list,
    STATE(2323), 1,
      sym_text_interpolation,
  [75155] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LPAREN2,
    STATE(926), 1,
      sym_arguments,
    STATE(2324), 1,
      sym_text_interpolation,
  [75171] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2108), 1,
      anon_sym_LPAREN2,
    STATE(2020), 1,
      sym_parenthesized_expression,
    STATE(2325), 1,
      sym_text_interpolation,
  [75187] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2326), 1,
      sym_text_interpolation,
    ACTIONS(4336), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75201] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_LPAREN2,
    STATE(2145), 1,
      sym_formal_parameters,
    STATE(2327), 1,
      sym_text_interpolation,
  [75217] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_LPAREN2,
    STATE(1825), 1,
      sym_formal_parameters,
    STATE(2328), 1,
      sym_text_interpolation,
  [75233] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(557), 1,
      sym_compound_statement,
    STATE(2329), 1,
      sym_text_interpolation,
  [75249] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(520), 1,
      sym_declaration_list,
    STATE(2330), 1,
      sym_text_interpolation,
  [75265] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4338), 1,
      anon_sym_LBRACE,
    STATE(1148), 1,
      sym_compound_statement,
    STATE(2331), 1,
      sym_text_interpolation,
  [75281] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LPAREN2,
    STATE(988), 1,
      sym_arguments,
    STATE(2332), 1,
      sym_text_interpolation,
  [75297] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3593), 1,
      anon_sym_LBRACE,
    STATE(514), 1,
      sym_enum_declaration_list,
    STATE(2333), 1,
      sym_text_interpolation,
  [75313] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2334), 1,
      sym_text_interpolation,
    ACTIONS(4340), 2,
      anon_sym_string,
      anon_sym_int,
  [75327] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(510), 1,
      sym_declaration_list,
    STATE(2335), 1,
      sym_text_interpolation,
  [75343] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2336), 1,
      sym_text_interpolation,
    ACTIONS(3861), 2,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [75357] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_LPAREN2,
    STATE(625), 1,
      sym_arguments,
    STATE(2337), 1,
      sym_text_interpolation,
  [75373] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2338), 1,
      sym_text_interpolation,
    ACTIONS(4342), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75387] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2339), 1,
      sym_text_interpolation,
    ACTIONS(3030), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75401] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2340), 1,
      sym_text_interpolation,
    ACTIONS(4344), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75415] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2341), 1,
      sym_text_interpolation,
    ACTIONS(4346), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75429] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      anon_sym_LPAREN2,
    STATE(743), 1,
      sym_arguments,
    STATE(2342), 1,
      sym_text_interpolation,
  [75445] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    STATE(978), 1,
      sym_declaration_list,
    STATE(2343), 1,
      sym_text_interpolation,
  [75461] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2344), 1,
      sym_text_interpolation,
    ACTIONS(2598), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75475] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3593), 1,
      anon_sym_LBRACE,
    STATE(502), 1,
      sym_enum_declaration_list,
    STATE(2345), 1,
      sym_text_interpolation,
  [75491] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2346), 1,
      sym_text_interpolation,
    ACTIONS(2596), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75505] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4348), 1,
      anon_sym_LBRACE,
    STATE(451), 1,
      sym_compound_statement,
    STATE(2347), 1,
      sym_text_interpolation,
  [75521] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2348), 1,
      sym_text_interpolation,
    ACTIONS(4350), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75535] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2349), 1,
      sym_text_interpolation,
    ACTIONS(4352), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75549] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4316), 1,
      anon_sym_LPAREN2,
    STATE(104), 1,
      sym_parenthesized_expression,
    STATE(2350), 1,
      sym_text_interpolation,
  [75565] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2351), 1,
      sym_text_interpolation,
    ACTIONS(3965), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75579] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2352), 1,
      sym_text_interpolation,
    ACTIONS(4354), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [75593] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2353), 1,
      sym_text_interpolation,
    ACTIONS(4356), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75607] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      anon_sym_LPAREN2,
    STATE(721), 1,
      sym_arguments,
    STATE(2354), 1,
      sym_text_interpolation,
  [75623] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4358), 1,
      sym__new_line,
    ACTIONS(4360), 1,
      sym_heredoc_end,
    STATE(2355), 1,
      sym_text_interpolation,
  [75639] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_LPAREN2,
    STATE(2094), 1,
      sym_formal_parameters,
    STATE(2356), 1,
      sym_text_interpolation,
  [75655] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(786), 1,
      sym_declaration_list,
    STATE(2357), 1,
      sym_text_interpolation,
  [75671] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2358), 1,
      sym_text_interpolation,
    ACTIONS(4362), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75685] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2359), 1,
      sym_text_interpolation,
    ACTIONS(4364), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75699] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(553), 1,
      sym_declaration_list,
    STATE(2360), 1,
      sym_text_interpolation,
  [75715] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2361), 1,
      sym_text_interpolation,
    ACTIONS(4238), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [75729] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2362), 1,
      sym_text_interpolation,
    ACTIONS(2482), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN2,
  [75743] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2363), 1,
      sym_text_interpolation,
    ACTIONS(4366), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75757] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(497), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2055), 1,
      sym_colon_block,
    STATE(2364), 1,
      sym_text_interpolation,
  [75773] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_LPAREN2,
    STATE(843), 1,
      sym_arguments,
    STATE(2365), 1,
      sym_text_interpolation,
  [75789] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2366), 1,
      sym_text_interpolation,
    ACTIONS(4368), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75803] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2367), 1,
      sym_text_interpolation,
    ACTIONS(4370), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [75817] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4373), 1,
      anon_sym_LPAREN2,
    ACTIONS(4375), 1,
      anon_sym_RPAREN2,
    STATE(2368), 1,
      sym_text_interpolation,
  [75833] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1792), 1,
      sym_compound_statement,
    STATE(2369), 1,
      sym_text_interpolation,
  [75849] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(2155), 1,
      sym_declaration_list,
    STATE(2370), 1,
      sym_text_interpolation,
  [75865] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3666), 1,
      anon_sym_LBRACE,
    STATE(2154), 1,
      sym_enum_declaration_list,
    STATE(2371), 1,
      sym_text_interpolation,
  [75881] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3064), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3066), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2372), 1,
      sym_text_interpolation,
  [75897] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2373), 1,
      sym_text_interpolation,
    ACTIONS(4377), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75911] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_LPAREN2,
    STATE(764), 1,
      sym_arguments,
    STATE(2374), 1,
      sym_text_interpolation,
  [75927] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_LPAREN2,
    STATE(2104), 1,
      sym_formal_parameters,
    STATE(2375), 1,
      sym_text_interpolation,
  [75943] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(790), 1,
      sym_declaration_list,
    STATE(2376), 1,
      sym_text_interpolation,
  [75959] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(791), 1,
      sym_declaration_list,
    STATE(2377), 1,
      sym_text_interpolation,
  [75975] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(485), 1,
      sym_declaration_list,
    STATE(2378), 1,
      sym_text_interpolation,
  [75991] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2379), 1,
      sym_text_interpolation,
    ACTIONS(1780), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76005] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2380), 1,
      sym_text_interpolation,
    ACTIONS(2492), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76019] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    STATE(936), 1,
      sym_declaration_list,
    STATE(2381), 1,
      sym_text_interpolation,
  [76035] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3593), 1,
      anon_sym_LBRACE,
    STATE(501), 1,
      sym_enum_declaration_list,
    STATE(2382), 1,
      sym_text_interpolation,
  [76051] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1770), 1,
      sym_compound_statement,
    STATE(2383), 1,
      sym_text_interpolation,
  [76067] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    STATE(934), 1,
      sym_declaration_list,
    STATE(2384), 1,
      sym_text_interpolation,
  [76083] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2508), 1,
      anon_sym_RPAREN2,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(2385), 1,
      sym_text_interpolation,
  [76099] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(2061), 1,
      sym_declaration_list,
    STATE(2386), 1,
      sym_text_interpolation,
  [76115] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2387), 1,
      sym_text_interpolation,
    ACTIONS(4381), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [76129] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(2059), 1,
      sym_declaration_list,
    STATE(2388), 1,
      sym_text_interpolation,
  [76145] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4383), 1,
      anon_sym_LBRACE,
    STATE(1129), 1,
      sym_match_block,
    STATE(2389), 1,
      sym_text_interpolation,
  [76161] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2390), 1,
      sym_text_interpolation,
    ACTIONS(4385), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [76175] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(2053), 1,
      sym_declaration_list,
    STATE(2391), 1,
      sym_text_interpolation,
  [76191] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4316), 1,
      anon_sym_LPAREN2,
    STATE(74), 1,
      sym_parenthesized_expression,
    STATE(2392), 1,
      sym_text_interpolation,
  [76207] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4316), 1,
      anon_sym_LPAREN2,
    STATE(73), 1,
      sym_parenthesized_expression,
    STATE(2393), 1,
      sym_text_interpolation,
  [76223] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2394), 1,
      sym_text_interpolation,
    ACTIONS(3333), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76237] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2395), 1,
      sym_text_interpolation,
    ACTIONS(4388), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76251] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    STATE(968), 1,
      sym_declaration_list,
    STATE(2396), 1,
      sym_text_interpolation,
  [76267] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    STATE(973), 1,
      sym_declaration_list,
    STATE(2397), 1,
      sym_text_interpolation,
  [76283] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4390), 1,
      sym__new_line,
    ACTIONS(4392), 1,
      sym_heredoc_end,
    STATE(2398), 1,
      sym_text_interpolation,
  [76299] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2399), 1,
      sym_text_interpolation,
    ACTIONS(4017), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [76313] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2400), 1,
      sym_text_interpolation,
    STATE(2646), 1,
      sym_colon_block,
  [76329] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1788), 1,
      sym_compound_statement,
    STATE(2401), 1,
      sym_text_interpolation,
  [76345] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4316), 1,
      anon_sym_LPAREN2,
    STATE(70), 1,
      sym_parenthesized_expression,
    STATE(2402), 1,
      sym_text_interpolation,
  [76361] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2108), 1,
      anon_sym_LPAREN2,
    STATE(2403), 1,
      sym_text_interpolation,
    STATE(2424), 1,
      sym_parenthesized_expression,
  [76377] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2108), 1,
      anon_sym_LPAREN2,
    STATE(2077), 1,
      sym_parenthesized_expression,
    STATE(2404), 1,
      sym_text_interpolation,
  [76393] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2108), 1,
      anon_sym_LPAREN2,
    STATE(2364), 1,
      sym_parenthesized_expression,
    STATE(2405), 1,
      sym_text_interpolation,
  [76409] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2066), 1,
      sym_compound_statement,
    STATE(2406), 1,
      sym_text_interpolation,
  [76425] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1020), 1,
      sym_compound_statement,
    STATE(2407), 1,
      sym_text_interpolation,
  [76441] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1797), 1,
      anon_sym_BSLASH,
    STATE(2408), 1,
      sym_text_interpolation,
    STATE(2499), 1,
      aux_sym_namespace_name_repeat1,
  [76457] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4394), 1,
      sym__new_line,
    ACTIONS(4396), 1,
      sym_heredoc_end,
    STATE(2409), 1,
      sym_text_interpolation,
  [76473] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2410), 1,
      sym_text_interpolation,
    ACTIONS(4398), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76487] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4316), 1,
      anon_sym_LPAREN2,
    STATE(114), 1,
      sym_parenthesized_expression,
    STATE(2411), 1,
      sym_text_interpolation,
  [76503] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    STATE(596), 1,
      sym_arguments,
    STATE(2412), 1,
      sym_text_interpolation,
  [76519] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(814), 1,
      sym_declaration_list,
    STATE(2413), 1,
      sym_text_interpolation,
  [76535] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(559), 1,
      sym_compound_statement,
    STATE(2414), 1,
      sym_text_interpolation,
  [76551] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(820), 1,
      sym_declaration_list,
    STATE(2415), 1,
      sym_text_interpolation,
  [76567] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    STATE(935), 1,
      sym_declaration_list,
    STATE(2416), 1,
      sym_text_interpolation,
  [76583] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LPAREN2,
    STATE(1708), 1,
      sym_formal_parameters,
    STATE(2417), 1,
      sym_text_interpolation,
  [76599] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(2001), 1,
      sym_declaration_list,
    STATE(2418), 1,
      sym_text_interpolation,
  [76615] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(1968), 1,
      sym_declaration_list,
    STATE(2419), 1,
      sym_text_interpolation,
  [76631] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    STATE(937), 1,
      sym_declaration_list,
    STATE(2420), 1,
      sym_text_interpolation,
  [76647] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2421), 1,
      sym_text_interpolation,
    ACTIONS(2482), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76661] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4348), 1,
      anon_sym_LBRACE,
    STATE(452), 1,
      sym_compound_statement,
    STATE(2422), 1,
      sym_text_interpolation,
  [76677] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    STATE(2423), 1,
      sym_text_interpolation,
    STATE(2472), 1,
      sym_variable_name,
  [76693] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4400), 1,
      anon_sym_LBRACE,
    STATE(1023), 1,
      sym_match_block,
    STATE(2424), 1,
      sym_text_interpolation,
  [76709] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_LPAREN2,
    STATE(1818), 1,
      sym_formal_parameters,
    STATE(2425), 1,
      sym_text_interpolation,
  [76725] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    STATE(2353), 1,
      sym_variable_name,
    STATE(2426), 1,
      sym_text_interpolation,
  [76741] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_LPAREN2,
    STATE(2186), 1,
      sym_formal_parameters,
    STATE(2427), 1,
      sym_text_interpolation,
  [76757] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2428), 1,
      sym_text_interpolation,
    ACTIONS(4402), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76771] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2429), 1,
      sym_text_interpolation,
    ACTIONS(4404), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76785] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(492), 1,
      sym_declaration_list,
    STATE(2430), 1,
      sym_text_interpolation,
  [76801] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2150), 1,
      sym_compound_statement,
    STATE(2431), 1,
      sym_text_interpolation,
  [76817] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3666), 1,
      anon_sym_LBRACE,
    STATE(2002), 1,
      sym_enum_declaration_list,
    STATE(2432), 1,
      sym_text_interpolation,
  [76833] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2433), 1,
      sym_text_interpolation,
    ACTIONS(4406), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76847] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2434), 1,
      sym_text_interpolation,
    ACTIONS(4408), 2,
      anon_sym_string,
      anon_sym_int,
  [76861] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2435), 1,
      sym_text_interpolation,
    ACTIONS(4410), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76875] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(2000), 1,
      sym_declaration_list,
    STATE(2436), 1,
      sym_text_interpolation,
  [76891] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4412), 1,
      anon_sym_BSLASH,
    STATE(2437), 1,
      sym_text_interpolation,
    STATE(2499), 1,
      aux_sym_namespace_name_repeat1,
  [76907] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2438), 1,
      sym_text_interpolation,
    ACTIONS(4230), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [76921] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(1986), 1,
      sym_declaration_list,
    STATE(2439), 1,
      sym_text_interpolation,
  [76937] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(506), 1,
      sym_declaration_list,
    STATE(2440), 1,
      sym_text_interpolation,
  [76953] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2441), 1,
      sym_text_interpolation,
    ACTIONS(4133), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [76967] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3666), 1,
      anon_sym_LBRACE,
    STATE(1985), 1,
      sym_enum_declaration_list,
    STATE(2442), 1,
      sym_text_interpolation,
  [76983] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2443), 1,
      sym_text_interpolation,
    ACTIONS(4415), 2,
      anon_sym_string,
      anon_sym_int,
  [76997] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3593), 1,
      anon_sym_LBRACE,
    STATE(496), 1,
      sym_enum_declaration_list,
    STATE(2444), 1,
      sym_text_interpolation,
  [77013] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LPAREN2,
    STATE(1829), 1,
      sym_formal_parameters,
    STATE(2445), 1,
      sym_text_interpolation,
  [77029] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(1984), 1,
      sym_declaration_list,
    STATE(2446), 1,
      sym_text_interpolation,
  [77045] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2447), 1,
      sym_text_interpolation,
    ACTIONS(3301), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [77059] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2448), 1,
      sym_text_interpolation,
    ACTIONS(4179), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [77073] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(495), 1,
      sym_declaration_list,
    STATE(2449), 1,
      sym_text_interpolation,
  [77089] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_LPAREN2,
    STATE(1768), 1,
      sym_formal_parameters,
    STATE(2450), 1,
      sym_text_interpolation,
  [77105] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4417), 1,
      sym__new_line,
    ACTIONS(4419), 1,
      sym_heredoc_end,
    STATE(2451), 1,
      sym_text_interpolation,
  [77121] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4316), 1,
      anon_sym_LPAREN2,
    STATE(58), 1,
      sym_parenthesized_expression,
    STATE(2452), 1,
      sym_text_interpolation,
  [77137] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3164), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3166), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2453), 1,
      sym_text_interpolation,
  [77153] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(2219), 1,
      sym_declaration_list,
    STATE(2454), 1,
      sym_text_interpolation,
  [77169] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4421), 1,
      sym__new_line,
    ACTIONS(4423), 1,
      sym_heredoc_end,
    STATE(2455), 1,
      sym_text_interpolation,
  [77185] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2456), 1,
      sym_text_interpolation,
    ACTIONS(4425), 2,
      anon_sym_string,
      anon_sym_int,
  [77199] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3666), 1,
      anon_sym_LBRACE,
    STATE(2227), 1,
      sym_enum_declaration_list,
    STATE(2457), 1,
      sym_text_interpolation,
  [77215] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4427), 1,
      sym__new_line,
    ACTIONS(4429), 1,
      sym_heredoc_end,
    STATE(2458), 1,
      sym_text_interpolation,
  [77231] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4348), 1,
      anon_sym_LBRACE,
    STATE(453), 1,
      sym_compound_statement,
    STATE(2459), 1,
      sym_text_interpolation,
  [77247] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4431), 1,
      anon_sym_LPAREN2,
    STATE(2215), 1,
      sym_parenthesized_expression,
    STATE(2460), 1,
      sym_text_interpolation,
  [77263] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3885), 1,
      sym_nowdoc_string,
    STATE(1918), 1,
      aux_sym_nowdoc_body_repeat1,
    STATE(2461), 1,
      sym_text_interpolation,
  [77279] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(2231), 1,
      sym_declaration_list,
    STATE(2462), 1,
      sym_text_interpolation,
  [77295] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    STATE(2311), 1,
      sym_variable_name,
    STATE(2463), 1,
      sym_text_interpolation,
  [77311] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4433), 1,
      sym__new_line,
    ACTIONS(4435), 1,
      sym_heredoc_end,
    STATE(2464), 1,
      sym_text_interpolation,
  [77327] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2465), 1,
      sym_text_interpolation,
    ACTIONS(4148), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77341] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    STATE(2313), 1,
      sym_variable_name,
    STATE(2466), 1,
      sym_text_interpolation,
  [77357] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(840), 1,
      sym_declaration_list,
    STATE(2467), 1,
      sym_text_interpolation,
  [77373] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(838), 1,
      sym_declaration_list,
    STATE(2468), 1,
      sym_text_interpolation,
  [77389] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2469), 1,
      sym_text_interpolation,
    ACTIONS(2588), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77403] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    STATE(943), 1,
      sym_declaration_list,
    STATE(2470), 1,
      sym_text_interpolation,
  [77419] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    STATE(2320), 1,
      sym_variable_name,
    STATE(2471), 1,
      sym_text_interpolation,
  [77435] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2472), 1,
      sym_text_interpolation,
    ACTIONS(4437), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77449] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    STATE(836), 1,
      sym_arguments,
    STATE(2473), 1,
      sym_text_interpolation,
  [77465] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2474), 1,
      sym_text_interpolation,
    ACTIONS(4439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77479] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2475), 1,
      sym_text_interpolation,
    ACTIONS(4090), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [77493] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4316), 1,
      anon_sym_LPAREN2,
    STATE(116), 1,
      sym_parenthesized_expression,
    STATE(2476), 1,
      sym_text_interpolation,
  [77509] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2477), 1,
      sym_text_interpolation,
    ACTIONS(1778), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [77523] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1806), 1,
      sym_compound_statement,
    STATE(2478), 1,
      sym_text_interpolation,
  [77539] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4431), 1,
      anon_sym_LPAREN2,
    STATE(2153), 1,
      sym_parenthesized_expression,
    STATE(2479), 1,
      sym_text_interpolation,
  [77555] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2480), 1,
      sym_text_interpolation,
    ACTIONS(4287), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [77569] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2481), 1,
      sym_text_interpolation,
    ACTIONS(4441), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [77583] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2482), 1,
      sym_text_interpolation,
    ACTIONS(3824), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [77597] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_LPAREN2,
    ACTIONS(3676), 1,
      anon_sym_COLON_COLON,
    STATE(2483), 1,
      sym_text_interpolation,
  [77613] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_LPAREN2,
    STATE(628), 1,
      sym_arguments,
    STATE(2484), 1,
      sym_text_interpolation,
  [77629] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(516), 1,
      sym_declaration_list,
    STATE(2485), 1,
      sym_text_interpolation,
  [77645] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_LPAREN2,
    STATE(2287), 1,
      sym_formal_parameters,
    STATE(2486), 1,
      sym_text_interpolation,
  [77661] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(1970), 1,
      sym_declaration_list,
    STATE(2487), 1,
      sym_text_interpolation,
  [77677] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(518), 1,
      sym_declaration_list,
    STATE(2488), 1,
      sym_text_interpolation,
  [77693] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    STATE(606), 1,
      sym_arguments,
    STATE(2489), 1,
      sym_text_interpolation,
  [77709] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_LPAREN2,
    STATE(2281), 1,
      sym_formal_parameters,
    STATE(2490), 1,
      sym_text_interpolation,
  [77725] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2491), 1,
      sym_text_interpolation,
    ACTIONS(2492), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN2,
  [77739] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_LPAREN2,
    STATE(1838), 1,
      sym_formal_parameters,
    STATE(2492), 1,
      sym_text_interpolation,
  [77755] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2493), 1,
      sym_text_interpolation,
    ACTIONS(2498), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77769] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4443), 1,
      sym__new_line,
    ACTIONS(4445), 1,
      sym_heredoc_end,
    STATE(2494), 1,
      sym_text_interpolation,
  [77785] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(951), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4373), 1,
      anon_sym_LPAREN2,
    STATE(2495), 1,
      sym_text_interpolation,
  [77801] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(531), 1,
      sym_declaration_list,
    STATE(2496), 1,
      sym_text_interpolation,
  [77817] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(535), 1,
      sym_declaration_list,
    STATE(2497), 1,
      sym_text_interpolation,
  [77833] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2498), 1,
      sym_text_interpolation,
    ACTIONS(4447), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77847] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4449), 1,
      anon_sym_BSLASH,
    STATE(2499), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
  [77861] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(794), 1,
      sym_declaration_list,
    STATE(2500), 1,
      sym_text_interpolation,
  [77877] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4452), 1,
      sym__new_line,
    ACTIONS(4454), 1,
      sym_heredoc_end,
    STATE(2501), 1,
      sym_text_interpolation,
  [77893] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2502), 1,
      sym_text_interpolation,
    ACTIONS(4456), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77907] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2503), 1,
      sym_text_interpolation,
    ACTIONS(4458), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77921] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2504), 1,
      sym_text_interpolation,
    ACTIONS(4460), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [77935] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4462), 1,
      anon_sym_COLON_COLON,
    STATE(2505), 1,
      sym_text_interpolation,
  [77948] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4464), 1,
      sym_heredoc_end,
    STATE(2506), 1,
      sym_text_interpolation,
  [77961] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4466), 1,
      anon_sym_EQ_GT,
    STATE(2507), 1,
      sym_text_interpolation,
  [77974] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4468), 1,
      anon_sym_EQ_GT,
    STATE(2508), 1,
      sym_text_interpolation,
  [77987] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(951), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2509), 1,
      sym_text_interpolation,
  [78000] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4470), 1,
      anon_sym_LBRACE,
    STATE(2510), 1,
      sym_text_interpolation,
  [78013] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3728), 1,
      anon_sym_BSLASH,
    STATE(2511), 1,
      sym_text_interpolation,
  [78026] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4472), 1,
      anon_sym_SQUOTE2,
    STATE(2512), 1,
      sym_text_interpolation,
  [78039] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4474), 1,
      sym_name,
    STATE(2513), 1,
      sym_text_interpolation,
  [78052] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4476), 1,
      anon_sym_LBRACE,
    STATE(2514), 1,
      sym_text_interpolation,
  [78065] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4043), 1,
      anon_sym_RBRACK,
    STATE(2515), 1,
      sym_text_interpolation,
  [78078] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4478), 1,
      sym_name,
    STATE(2516), 1,
      sym_text_interpolation,
  [78091] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4480), 1,
      sym_name,
    STATE(2517), 1,
      sym_text_interpolation,
  [78104] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4109), 1,
      anon_sym_RPAREN2,
    STATE(2518), 1,
      sym_text_interpolation,
  [78117] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4482), 1,
      sym_name,
    STATE(2519), 1,
      sym_text_interpolation,
  [78130] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4484), 1,
      anon_sym_LBRACE,
    STATE(2520), 1,
      sym_text_interpolation,
  [78143] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4486), 1,
      sym_name,
    STATE(2521), 1,
      sym_text_interpolation,
  [78156] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4488), 1,
      aux_sym_while_statement_token2,
    STATE(2522), 1,
      sym_text_interpolation,
  [78169] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4490), 1,
      sym_name,
    STATE(2523), 1,
      sym_text_interpolation,
  [78182] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4492), 1,
      anon_sym_EQ_GT,
    STATE(2524), 1,
      sym_text_interpolation,
  [78195] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4494), 1,
      anon_sym_LBRACE,
    STATE(2525), 1,
      sym_text_interpolation,
  [78208] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_RPAREN2,
    STATE(2526), 1,
      sym_text_interpolation,
  [78221] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4498), 1,
      sym_name,
    STATE(2527), 1,
      sym_text_interpolation,
  [78234] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4079), 1,
      anon_sym_RPAREN2,
    STATE(2528), 1,
      sym_text_interpolation,
  [78247] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4500), 1,
      anon_sym_RPAREN,
    STATE(2529), 1,
      sym_text_interpolation,
  [78260] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4502), 1,
      aux_sym_if_statement_token2,
    STATE(2530), 1,
      sym_text_interpolation,
  [78273] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    STATE(2531), 1,
      sym_text_interpolation,
  [78286] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4141), 1,
      anon_sym_RBRACE,
    STATE(2532), 1,
      sym_text_interpolation,
  [78299] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3989), 1,
      anon_sym_RBRACK,
    STATE(2533), 1,
      sym_text_interpolation,
  [78312] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4506), 1,
      anon_sym_RPAREN2,
    STATE(2534), 1,
      sym_text_interpolation,
  [78325] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4508), 1,
      anon_sym_SEMI,
    STATE(2535), 1,
      sym_text_interpolation,
  [78338] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4510), 1,
      anon_sym_RPAREN2,
    STATE(2536), 1,
      sym_text_interpolation,
  [78351] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4512), 1,
      aux_sym_while_statement_token2,
    STATE(2537), 1,
      sym_text_interpolation,
  [78364] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4514), 1,
      anon_sym_SEMI,
    STATE(2538), 1,
      sym_text_interpolation,
  [78377] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4516), 1,
      anon_sym_LPAREN2,
    STATE(2539), 1,
      sym_text_interpolation,
  [78390] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4518), 1,
      anon_sym_RPAREN2,
    STATE(2540), 1,
      sym_text_interpolation,
  [78403] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4520), 1,
      anon_sym_EQ,
    STATE(2541), 1,
      sym_text_interpolation,
  [78416] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4522), 1,
      sym_heredoc_end,
    STATE(2542), 1,
      sym_text_interpolation,
  [78429] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4524), 1,
      anon_sym_RBRACK,
    STATE(2543), 1,
      sym_text_interpolation,
  [78442] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4071), 1,
      anon_sym_RPAREN2,
    STATE(2544), 1,
      sym_text_interpolation,
  [78455] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4526), 1,
      anon_sym_EQ_GT,
    STATE(2545), 1,
      sym_text_interpolation,
  [78468] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4528), 1,
      anon_sym_RPAREN2,
    STATE(2546), 1,
      sym_text_interpolation,
  [78481] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4530), 1,
      sym_heredoc_end,
    STATE(2547), 1,
      sym_text_interpolation,
  [78494] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4532), 1,
      anon_sym_LBRACE,
    STATE(2548), 1,
      sym_text_interpolation,
  [78507] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym_EQ_GT,
    STATE(2549), 1,
      sym_text_interpolation,
  [78520] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4536), 1,
      anon_sym_EQ,
    STATE(2550), 1,
      sym_text_interpolation,
  [78533] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4538), 1,
      anon_sym_RPAREN2,
    STATE(2551), 1,
      sym_text_interpolation,
  [78546] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4540), 1,
      sym_name,
    STATE(2552), 1,
      sym_text_interpolation,
  [78559] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4542), 1,
      anon_sym_SEMI,
    STATE(2553), 1,
      sym_text_interpolation,
  [78572] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4544), 1,
      anon_sym_RPAREN2,
    STATE(2554), 1,
      sym_text_interpolation,
  [78585] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4546), 1,
      anon_sym_RPAREN,
    STATE(2555), 1,
      sym_text_interpolation,
  [78598] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4548), 1,
      sym_heredoc_end,
    STATE(2556), 1,
      sym_text_interpolation,
  [78611] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4550), 1,
      anon_sym_RPAREN2,
    STATE(2557), 1,
      sym_text_interpolation,
  [78624] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4552), 1,
      anon_sym_RBRACK,
    STATE(2558), 1,
      sym_text_interpolation,
  [78637] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4554), 1,
      anon_sym_LBRACE,
    STATE(2559), 1,
      sym_text_interpolation,
  [78650] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4556), 1,
      anon_sym_RPAREN2,
    STATE(2560), 1,
      sym_text_interpolation,
  [78663] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4558), 1,
      anon_sym_RPAREN2,
    STATE(2561), 1,
      sym_text_interpolation,
  [78676] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4560), 1,
      anon_sym_RPAREN2,
    STATE(2562), 1,
      sym_text_interpolation,
  [78689] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4191), 1,
      anon_sym_LBRACE,
    STATE(2563), 1,
      sym_text_interpolation,
  [78702] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4562), 1,
      anon_sym_RPAREN2,
    STATE(2564), 1,
      sym_text_interpolation,
  [78715] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4564), 1,
      sym_name,
    STATE(2565), 1,
      sym_text_interpolation,
  [78728] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4566), 1,
      anon_sym_SQUOTE2,
    STATE(2566), 1,
      sym_text_interpolation,
  [78741] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4568), 1,
      anon_sym_BSLASH,
    STATE(2567), 1,
      sym_text_interpolation,
  [78754] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4065), 1,
      anon_sym_RPAREN2,
    STATE(2568), 1,
      sym_text_interpolation,
  [78767] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4570), 1,
      sym_name,
    STATE(2569), 1,
      sym_text_interpolation,
  [78780] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4572), 1,
      anon_sym_RPAREN2,
    STATE(2570), 1,
      sym_text_interpolation,
  [78793] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4574), 1,
      sym_name,
    STATE(2571), 1,
      sym_text_interpolation,
  [78806] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4576), 1,
      anon_sym_RPAREN2,
    STATE(2572), 1,
      sym_text_interpolation,
  [78819] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_RPAREN2,
    STATE(2573), 1,
      sym_text_interpolation,
  [78832] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4580), 1,
      sym_name,
    STATE(2574), 1,
      sym_text_interpolation,
  [78845] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4582), 1,
      anon_sym_RPAREN2,
    STATE(2575), 1,
      sym_text_interpolation,
  [78858] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_LBRACE,
    STATE(2576), 1,
      sym_text_interpolation,
  [78871] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4586), 1,
      sym_name,
    STATE(2577), 1,
      sym_text_interpolation,
  [78884] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4588), 1,
      anon_sym_SEMI,
    STATE(2578), 1,
      sym_text_interpolation,
  [78897] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_LPAREN2,
    STATE(2579), 1,
      sym_text_interpolation,
  [78910] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4592), 1,
      sym_heredoc_end,
    STATE(2580), 1,
      sym_text_interpolation,
  [78923] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_SEMI,
    STATE(2581), 1,
      sym_text_interpolation,
  [78936] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4596), 1,
      sym_name,
    STATE(2582), 1,
      sym_text_interpolation,
  [78949] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4598), 1,
      sym_name,
    STATE(2583), 1,
      sym_text_interpolation,
  [78962] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4600), 1,
      sym_name,
    STATE(2584), 1,
      sym_text_interpolation,
  [78975] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4602), 1,
      anon_sym_EQ_GT,
    STATE(2585), 1,
      sym_text_interpolation,
  [78988] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4604), 1,
      sym_name,
    STATE(2586), 1,
      sym_text_interpolation,
  [79001] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4606), 1,
      sym_heredoc_start,
    STATE(2587), 1,
      sym_text_interpolation,
  [79014] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_RPAREN2,
    STATE(2588), 1,
      sym_text_interpolation,
  [79027] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4033), 1,
      anon_sym_RPAREN2,
    STATE(2589), 1,
      sym_text_interpolation,
  [79040] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4610), 1,
      anon_sym_EQ_GT,
    STATE(2590), 1,
      sym_text_interpolation,
  [79053] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4612), 1,
      sym_name,
    STATE(2591), 1,
      sym_text_interpolation,
  [79066] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4614), 1,
      anon_sym_RPAREN2,
    STATE(2592), 1,
      sym_text_interpolation,
  [79079] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_BSLASH,
    STATE(2593), 1,
      sym_text_interpolation,
  [79092] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4618), 1,
      anon_sym_RPAREN2,
    STATE(2594), 1,
      sym_text_interpolation,
  [79105] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4620), 1,
      anon_sym_RPAREN2,
    STATE(2595), 1,
      sym_text_interpolation,
  [79118] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4622), 1,
      aux_sym_while_statement_token1,
    STATE(2596), 1,
      sym_text_interpolation,
  [79131] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4624), 1,
      anon_sym_RPAREN2,
    STATE(2597), 1,
      sym_text_interpolation,
  [79144] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3477), 1,
      sym_name,
    STATE(2598), 1,
      sym_text_interpolation,
  [79157] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4626), 1,
      anon_sym_COLON_COLON,
    STATE(2599), 1,
      sym_text_interpolation,
  [79170] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4628), 1,
      sym_name,
    STATE(2600), 1,
      sym_text_interpolation,
  [79183] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4630), 1,
      aux_sym_if_statement_token2,
    STATE(2601), 1,
      sym_text_interpolation,
  [79196] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4632), 1,
      aux_sym_visibility_modifier_token4,
    STATE(2602), 1,
      sym_text_interpolation,
  [79209] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4634), 1,
      sym_name,
    STATE(2603), 1,
      sym_text_interpolation,
  [79222] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4636), 1,
      sym_name,
    STATE(2604), 1,
      sym_text_interpolation,
  [79235] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4638), 1,
      sym_name,
    STATE(2605), 1,
      sym_text_interpolation,
  [79248] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4640), 1,
      sym_name,
    STATE(2606), 1,
      sym_text_interpolation,
  [79261] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(2607), 1,
      sym_text_interpolation,
  [79274] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4642), 1,
      anon_sym_SEMI,
    STATE(2608), 1,
      sym_text_interpolation,
  [79287] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4025), 1,
      sym_name,
    STATE(2609), 1,
      sym_text_interpolation,
  [79300] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4644), 1,
      anon_sym_RPAREN2,
    STATE(2610), 1,
      sym_text_interpolation,
  [79313] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4646), 1,
      sym_heredoc_start,
    STATE(2611), 1,
      sym_text_interpolation,
  [79326] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4648), 1,
      sym_heredoc_start,
    STATE(2612), 1,
      sym_text_interpolation,
  [79339] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4650), 1,
      sym_name,
    STATE(2613), 1,
      sym_text_interpolation,
  [79352] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4652), 1,
      anon_sym_BSLASH,
    STATE(2614), 1,
      sym_text_interpolation,
  [79365] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4654), 1,
      sym_heredoc_end,
    STATE(2615), 1,
      sym_text_interpolation,
  [79378] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4373), 1,
      anon_sym_LPAREN2,
    STATE(2616), 1,
      sym_text_interpolation,
  [79391] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4656), 1,
      sym_name,
    STATE(2617), 1,
      sym_text_interpolation,
  [79404] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4658), 1,
      sym_name,
    STATE(2618), 1,
      sym_text_interpolation,
  [79417] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4660), 1,
      sym_name,
    STATE(2619), 1,
      sym_text_interpolation,
  [79430] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4662), 1,
      sym_name,
    STATE(2620), 1,
      sym_text_interpolation,
  [79443] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4664), 1,
      aux_sym_if_statement_token2,
    STATE(2621), 1,
      sym_text_interpolation,
  [79456] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4209), 1,
      anon_sym_RBRACE,
    STATE(2622), 1,
      sym_text_interpolation,
  [79469] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4666), 1,
      sym_name,
    STATE(2623), 1,
      sym_text_interpolation,
  [79482] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4117), 1,
      anon_sym_RPAREN2,
    STATE(2624), 1,
      sym_text_interpolation,
  [79495] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4668), 1,
      sym_name,
    STATE(2625), 1,
      sym_text_interpolation,
  [79508] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4670), 1,
      sym_heredoc_end,
    STATE(2626), 1,
      sym_text_interpolation,
  [79521] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4672), 1,
      anon_sym_LBRACE,
    STATE(2627), 1,
      sym_text_interpolation,
  [79534] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4674), 1,
      anon_sym_LBRACE,
    STATE(2628), 1,
      sym_text_interpolation,
  [79547] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4676), 1,
      anon_sym_EQ_GT,
    STATE(2629), 1,
      sym_text_interpolation,
  [79560] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4678), 1,
      aux_sym_while_statement_token1,
    STATE(2630), 1,
      sym_text_interpolation,
  [79573] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4680), 1,
      anon_sym_EQ_GT,
    STATE(2631), 1,
      sym_text_interpolation,
  [79586] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4682), 1,
      anon_sym_LBRACE,
    STATE(2632), 1,
      sym_text_interpolation,
  [79599] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4684), 1,
      anon_sym_LBRACE,
    STATE(2633), 1,
      sym_text_interpolation,
  [79612] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4686), 1,
      aux_sym_if_statement_token2,
    STATE(2634), 1,
      sym_text_interpolation,
  [79625] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4688), 1,
      anon_sym_EQ_GT,
    STATE(2635), 1,
      sym_text_interpolation,
  [79638] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4690), 1,
      anon_sym_RPAREN2,
    STATE(2636), 1,
      sym_text_interpolation,
  [79651] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4692), 1,
      anon_sym_RPAREN2,
    STATE(2637), 1,
      sym_text_interpolation,
  [79664] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4694), 1,
      sym_heredoc_end,
    STATE(2638), 1,
      sym_text_interpolation,
  [79677] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4696), 1,
      anon_sym_RPAREN2,
    STATE(2639), 1,
      sym_text_interpolation,
  [79690] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4698), 1,
      sym_heredoc_end,
    STATE(2640), 1,
      sym_text_interpolation,
  [79703] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4700), 1,
      anon_sym_EQ_GT,
    STATE(2641), 1,
      sym_text_interpolation,
  [79716] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_EQ,
    STATE(2642), 1,
      sym_text_interpolation,
  [79729] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4704), 1,
      anon_sym_RPAREN2,
    STATE(2643), 1,
      sym_text_interpolation,
  [79742] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4375), 1,
      anon_sym_RPAREN2,
    STATE(2644), 1,
      sym_text_interpolation,
  [79755] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4223), 1,
      anon_sym_RPAREN2,
    STATE(2645), 1,
      sym_text_interpolation,
  [79768] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4706), 1,
      aux_sym_if_statement_token2,
    STATE(2646), 1,
      sym_text_interpolation,
  [79781] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4708), 1,
      anon_sym_BSLASH,
    STATE(2647), 1,
      sym_text_interpolation,
  [79794] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4710), 1,
      anon_sym_COLON_COLON,
    STATE(2648), 1,
      sym_text_interpolation,
  [79807] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4712), 1,
      aux_sym_visibility_modifier_token4,
    STATE(2649), 1,
      sym_text_interpolation,
  [79820] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4714), 1,
      sym_name,
    STATE(2650), 1,
      sym_text_interpolation,
  [79833] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4716), 1,
      anon_sym_RPAREN2,
    STATE(2651), 1,
      sym_text_interpolation,
  [79846] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4718), 1,
      sym_name,
    STATE(2652), 1,
      sym_text_interpolation,
  [79859] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2508), 1,
      anon_sym_RPAREN2,
    STATE(2653), 1,
      sym_text_interpolation,
  [79872] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_BSLASH,
    STATE(2654), 1,
      sym_text_interpolation,
  [79885] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_RPAREN2,
    STATE(2655), 1,
      sym_text_interpolation,
  [79898] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4724), 1,
      anon_sym_EQ,
    STATE(2656), 1,
      sym_text_interpolation,
  [79911] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4726), 1,
      anon_sym_RPAREN2,
    STATE(2657), 1,
      sym_text_interpolation,
  [79924] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4728), 1,
      aux_sym_foreach_statement_token2,
    STATE(2658), 1,
      sym_text_interpolation,
  [79937] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4730), 1,
      anon_sym_RBRACK,
    STATE(2659), 1,
      sym_text_interpolation,
  [79950] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4732), 1,
      anon_sym_RBRACK,
    STATE(2660), 1,
      sym_text_interpolation,
  [79963] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_RPAREN2,
    STATE(2661), 1,
      sym_text_interpolation,
  [79976] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4736), 1,
      anon_sym_BSLASH,
    STATE(2662), 1,
      sym_text_interpolation,
  [79989] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4244), 1,
      anon_sym_RPAREN2,
    STATE(2663), 1,
      sym_text_interpolation,
  [80002] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4738), 1,
      anon_sym_LPAREN2,
    STATE(2664), 1,
      sym_text_interpolation,
  [80015] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4740), 1,
      anon_sym_LPAREN2,
    STATE(2665), 1,
      sym_text_interpolation,
  [80028] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4742), 1,
      sym_heredoc_end,
    STATE(2666), 1,
      sym_text_interpolation,
  [80041] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4744), 1,
      anon_sym_SEMI,
    STATE(2667), 1,
      sym_text_interpolation,
  [80054] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4746), 1,
      anon_sym_RPAREN2,
    STATE(2668), 1,
      sym_text_interpolation,
  [80067] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4748), 1,
      sym_heredoc_start,
    STATE(2669), 1,
      sym_text_interpolation,
  [80080] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4750), 1,
      anon_sym_RPAREN2,
    STATE(2670), 1,
      sym_text_interpolation,
  [80093] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_RPAREN2,
    STATE(2671), 1,
      sym_text_interpolation,
  [80106] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4754), 1,
      aux_sym_foreach_statement_token2,
    STATE(2672), 1,
      sym_text_interpolation,
  [80119] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4756), 1,
      anon_sym_RPAREN2,
    STATE(2673), 1,
      sym_text_interpolation,
  [80132] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4758), 1,
      anon_sym_SEMI,
    STATE(2674), 1,
      sym_text_interpolation,
  [80145] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4760), 1,
      sym_name,
    STATE(2675), 1,
      sym_text_interpolation,
  [80158] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4762), 1,
      anon_sym_RPAREN2,
    STATE(2676), 1,
      sym_text_interpolation,
  [80171] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4764), 1,
      sym_name,
    STATE(2677), 1,
      sym_text_interpolation,
  [80184] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4766), 1,
      anon_sym_LBRACE,
    STATE(2678), 1,
      sym_text_interpolation,
  [80197] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4768), 1,
      anon_sym_COLON_COLON,
    STATE(2679), 1,
      sym_text_interpolation,
  [80210] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3377), 1,
      sym_name,
    STATE(2680), 1,
      sym_text_interpolation,
  [80223] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4770), 1,
      sym_integer,
    STATE(2681), 1,
      sym_text_interpolation,
  [80236] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_RPAREN2,
    STATE(2682), 1,
      sym_text_interpolation,
  [80249] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4774), 1,
      anon_sym_LPAREN2,
    STATE(2683), 1,
      sym_text_interpolation,
  [80262] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_RPAREN2,
    STATE(2684), 1,
      sym_text_interpolation,
  [80275] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4778), 1,
      anon_sym_RPAREN2,
    STATE(2685), 1,
      sym_text_interpolation,
  [80288] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4780), 1,
      anon_sym_RPAREN2,
    STATE(2686), 1,
      sym_text_interpolation,
  [80301] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4782), 1,
      anon_sym_RPAREN2,
    STATE(2687), 1,
      sym_text_interpolation,
  [80314] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4784), 1,
      sym_name,
    STATE(2688), 1,
      sym_text_interpolation,
  [80327] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_RPAREN2,
    STATE(2689), 1,
      sym_text_interpolation,
  [80340] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4788), 1,
      anon_sym_LBRACE,
    STATE(2690), 1,
      sym_text_interpolation,
  [80353] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_COLON_COLON,
    STATE(2691), 1,
      sym_text_interpolation,
  [80366] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_COLON_COLON,
    STATE(2692), 1,
      sym_text_interpolation,
  [80379] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4792), 1,
      sym_name,
    STATE(2693), 1,
      sym_text_interpolation,
  [80392] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4794), 1,
      anon_sym_EQ_GT,
    STATE(2694), 1,
      sym_text_interpolation,
  [80405] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4796), 1,
      anon_sym_EQ,
    STATE(2695), 1,
      sym_text_interpolation,
  [80418] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4798), 1,
      anon_sym_EQ_GT,
    STATE(2696), 1,
      sym_text_interpolation,
  [80431] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4800), 1,
      anon_sym_LBRACE,
    STATE(2697), 1,
      sym_text_interpolation,
  [80444] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4267), 1,
      anon_sym_RPAREN2,
    STATE(2698), 1,
      sym_text_interpolation,
  [80457] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4802), 1,
      anon_sym_BSLASH,
    STATE(2699), 1,
      sym_text_interpolation,
  [80470] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4804), 1,
      anon_sym_EQ_GT,
    STATE(2700), 1,
      sym_text_interpolation,
  [80483] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4806), 1,
      anon_sym_LPAREN2,
    STATE(2701), 1,
      sym_text_interpolation,
  [80496] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4808), 1,
      anon_sym_LPAREN2,
    STATE(2702), 1,
      sym_text_interpolation,
  [80509] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4810), 1,
      sym_name,
    STATE(2703), 1,
      sym_text_interpolation,
  [80522] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4812), 1,
      anon_sym_SEMI,
    STATE(2704), 1,
      sym_text_interpolation,
  [80535] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4814), 1,
      anon_sym_COLON_COLON,
    STATE(2705), 1,
      sym_text_interpolation,
  [80548] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4816), 1,
      sym_name,
    STATE(2706), 1,
      sym_text_interpolation,
  [80561] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4818), 1,
      anon_sym_LPAREN2,
    STATE(2707), 1,
      sym_text_interpolation,
  [80574] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    STATE(2708), 1,
      sym_text_interpolation,
  [80587] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4822), 1,
      anon_sym_RBRACK,
    STATE(2709), 1,
      sym_text_interpolation,
  [80600] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4824), 1,
      sym_name,
    STATE(2710), 1,
      sym_text_interpolation,
  [80613] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4304), 1,
      anon_sym_RPAREN2,
    STATE(2711), 1,
      sym_text_interpolation,
  [80626] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4826), 1,
      anon_sym_LPAREN2,
    STATE(2712), 1,
      sym_text_interpolation,
  [80639] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4828), 1,
      anon_sym_LPAREN2,
    STATE(2713), 1,
      sym_text_interpolation,
  [80652] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4830), 1,
      sym_name,
    STATE(2714), 1,
      sym_text_interpolation,
  [80665] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4832), 1,
      anon_sym_LPAREN2,
    STATE(2715), 1,
      sym_text_interpolation,
  [80678] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4834), 1,
      sym_name,
    STATE(2716), 1,
      sym_text_interpolation,
  [80691] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4836), 1,
      sym_name,
    STATE(2717), 1,
      sym_text_interpolation,
  [80704] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4838), 1,
      sym_name,
    STATE(2718), 1,
      sym_text_interpolation,
  [80717] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4840), 1,
      sym_name,
    STATE(2719), 1,
      sym_text_interpolation,
  [80730] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4842), 1,
      anon_sym_LPAREN2,
    STATE(2720), 1,
      sym_text_interpolation,
  [80743] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4844), 1,
      sym_name,
    STATE(2721), 1,
      sym_text_interpolation,
  [80756] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4846), 1,
      sym_name,
    STATE(2722), 1,
      sym_text_interpolation,
  [80769] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4848), 1,
      anon_sym_RPAREN2,
    STATE(2723), 1,
      sym_text_interpolation,
  [80782] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4850), 1,
      anon_sym_LPAREN2,
    STATE(2724), 1,
      sym_text_interpolation,
  [80795] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4852), 1,
      sym_name,
    STATE(2725), 1,
      sym_text_interpolation,
  [80808] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4854), 1,
      anon_sym_SEMI,
    STATE(2726), 1,
      sym_text_interpolation,
  [80821] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_RPAREN2,
    STATE(2727), 1,
      sym_text_interpolation,
  [80834] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4858), 1,
      anon_sym_COLON_COLON,
    STATE(2728), 1,
      sym_text_interpolation,
  [80847] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4860), 1,
      anon_sym_SEMI,
    STATE(2729), 1,
      sym_text_interpolation,
  [80860] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_LPAREN2,
    STATE(2730), 1,
      sym_text_interpolation,
  [80873] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    STATE(2731), 1,
      sym_text_interpolation,
  [80886] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4866), 1,
      anon_sym_LPAREN2,
    STATE(2732), 1,
      sym_text_interpolation,
  [80899] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_LPAREN2,
    STATE(2733), 1,
      sym_text_interpolation,
  [80912] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4870), 1,
      ts_builtin_sym_end,
    STATE(2734), 1,
      sym_text_interpolation,
  [80925] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4019), 1,
      anon_sym_LBRACE,
    STATE(2735), 1,
      sym_text_interpolation,
  [80938] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_SEMI,
    STATE(2736), 1,
      sym_text_interpolation,
  [80951] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4874), 1,
      sym_name,
    STATE(2737), 1,
      sym_text_interpolation,
  [80964] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_LPAREN2,
    STATE(2738), 1,
      sym_text_interpolation,
  [80977] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4878), 1,
      anon_sym_LPAREN2,
    STATE(2739), 1,
      sym_text_interpolation,
  [80990] = 1,
    ACTIONS(4880), 1,
      ts_builtin_sym_end,
  [80994] = 1,
    ACTIONS(4882), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(591)] = 0,
  [SMALL_STATE(592)] = 79,
  [SMALL_STATE(593)] = 158,
  [SMALL_STATE(594)] = 232,
  [SMALL_STATE(595)] = 306,
  [SMALL_STATE(596)] = 380,
  [SMALL_STATE(597)] = 454,
  [SMALL_STATE(598)] = 528,
  [SMALL_STATE(599)] = 602,
  [SMALL_STATE(600)] = 678,
  [SMALL_STATE(601)] = 752,
  [SMALL_STATE(602)] = 826,
  [SMALL_STATE(603)] = 900,
  [SMALL_STATE(604)] = 974,
  [SMALL_STATE(605)] = 1048,
  [SMALL_STATE(606)] = 1122,
  [SMALL_STATE(607)] = 1196,
  [SMALL_STATE(608)] = 1270,
  [SMALL_STATE(609)] = 1344,
  [SMALL_STATE(610)] = 1418,
  [SMALL_STATE(611)] = 1492,
  [SMALL_STATE(612)] = 1566,
  [SMALL_STATE(613)] = 1640,
  [SMALL_STATE(614)] = 1714,
  [SMALL_STATE(615)] = 1788,
  [SMALL_STATE(616)] = 1862,
  [SMALL_STATE(617)] = 1936,
  [SMALL_STATE(618)] = 2012,
  [SMALL_STATE(619)] = 2086,
  [SMALL_STATE(620)] = 2170,
  [SMALL_STATE(621)] = 2251,
  [SMALL_STATE(622)] = 2332,
  [SMALL_STATE(623)] = 2413,
  [SMALL_STATE(624)] = 2488,
  [SMALL_STATE(625)] = 2563,
  [SMALL_STATE(626)] = 2633,
  [SMALL_STATE(627)] = 2703,
  [SMALL_STATE(628)] = 2773,
  [SMALL_STATE(629)] = 2843,
  [SMALL_STATE(630)] = 2913,
  [SMALL_STATE(631)] = 2983,
  [SMALL_STATE(632)] = 3121,
  [SMALL_STATE(633)] = 3191,
  [SMALL_STATE(634)] = 3261,
  [SMALL_STATE(635)] = 3399,
  [SMALL_STATE(636)] = 3477,
  [SMALL_STATE(637)] = 3547,
  [SMALL_STATE(638)] = 3617,
  [SMALL_STATE(639)] = 3687,
  [SMALL_STATE(640)] = 3757,
  [SMALL_STATE(641)] = 3835,
  [SMALL_STATE(642)] = 3971,
  [SMALL_STATE(643)] = 4043,
  [SMALL_STATE(644)] = 4123,
  [SMALL_STATE(645)] = 4195,
  [SMALL_STATE(646)] = 4265,
  [SMALL_STATE(647)] = 4335,
  [SMALL_STATE(648)] = 4405,
  [SMALL_STATE(649)] = 4475,
  [SMALL_STATE(650)] = 4545,
  [SMALL_STATE(651)] = 4687,
  [SMALL_STATE(652)] = 4757,
  [SMALL_STATE(653)] = 4837,
  [SMALL_STATE(654)] = 4979,
  [SMALL_STATE(655)] = 5059,
  [SMALL_STATE(656)] = 5129,
  [SMALL_STATE(657)] = 5206,
  [SMALL_STATE(658)] = 5283,
  [SMALL_STATE(659)] = 5352,
  [SMALL_STATE(660)] = 5421,
  [SMALL_STATE(661)] = 5498,
  [SMALL_STATE(662)] = 5567,
  [SMALL_STATE(663)] = 5636,
  [SMALL_STATE(664)] = 5705,
  [SMALL_STATE(665)] = 5782,
  [SMALL_STATE(666)] = 5851,
  [SMALL_STATE(667)] = 5920,
  [SMALL_STATE(668)] = 6005,
  [SMALL_STATE(669)] = 6144,
  [SMALL_STATE(670)] = 6213,
  [SMALL_STATE(671)] = 6292,
  [SMALL_STATE(672)] = 6369,
  [SMALL_STATE(673)] = 6438,
  [SMALL_STATE(674)] = 6515,
  [SMALL_STATE(675)] = 6594,
  [SMALL_STATE(676)] = 6670,
  [SMALL_STATE(677)] = 6746,
  [SMALL_STATE(678)] = 6828,
  [SMALL_STATE(679)] = 6910,
  [SMALL_STATE(680)] = 6990,
  [SMALL_STATE(681)] = 7070,
  [SMALL_STATE(682)] = 7150,
  [SMALL_STATE(683)] = 7226,
  [SMALL_STATE(684)] = 7302,
  [SMALL_STATE(685)] = 7435,
  [SMALL_STATE(686)] = 7568,
  [SMALL_STATE(687)] = 7701,
  [SMALL_STATE(688)] = 7834,
  [SMALL_STATE(689)] = 7911,
  [SMALL_STATE(690)] = 7988,
  [SMALL_STATE(691)] = 8065,
  [SMALL_STATE(692)] = 8142,
  [SMALL_STATE(693)] = 8219,
  [SMALL_STATE(694)] = 8298,
  [SMALL_STATE(695)] = 8375,
  [SMALL_STATE(696)] = 8451,
  [SMALL_STATE(697)] = 8581,
  [SMALL_STATE(698)] = 8651,
  [SMALL_STATE(699)] = 8781,
  [SMALL_STATE(700)] = 8911,
  [SMALL_STATE(701)] = 9041,
  [SMALL_STATE(702)] = 9171,
  [SMALL_STATE(703)] = 9301,
  [SMALL_STATE(704)] = 9431,
  [SMALL_STATE(705)] = 9561,
  [SMALL_STATE(706)] = 9691,
  [SMALL_STATE(707)] = 9767,
  [SMALL_STATE(708)] = 9897,
  [SMALL_STATE(709)] = 10027,
  [SMALL_STATE(710)] = 10157,
  [SMALL_STATE(711)] = 10287,
  [SMALL_STATE(712)] = 10351,
  [SMALL_STATE(713)] = 10417,
  [SMALL_STATE(714)] = 10482,
  [SMALL_STATE(715)] = 10591,
  [SMALL_STATE(716)] = 10652,
  [SMALL_STATE(717)] = 10713,
  [SMALL_STATE(718)] = 10778,
  [SMALL_STATE(719)] = 10839,
  [SMALL_STATE(720)] = 10904,
  [SMALL_STATE(721)] = 11013,
  [SMALL_STATE(722)] = 11073,
  [SMALL_STATE(723)] = 11133,
  [SMALL_STATE(724)] = 11193,
  [SMALL_STATE(725)] = 11253,
  [SMALL_STATE(726)] = 11313,
  [SMALL_STATE(727)] = 11373,
  [SMALL_STATE(728)] = 11433,
  [SMALL_STATE(729)] = 11493,
  [SMALL_STATE(730)] = 11553,
  [SMALL_STATE(731)] = 11613,
  [SMALL_STATE(732)] = 11673,
  [SMALL_STATE(733)] = 11733,
  [SMALL_STATE(734)] = 11793,
  [SMALL_STATE(735)] = 11853,
  [SMALL_STATE(736)] = 11915,
  [SMALL_STATE(737)] = 11981,
  [SMALL_STATE(738)] = 12043,
  [SMALL_STATE(739)] = 12103,
  [SMALL_STATE(740)] = 12165,
  [SMALL_STATE(741)] = 12225,
  [SMALL_STATE(742)] = 12285,
  [SMALL_STATE(743)] = 12351,
  [SMALL_STATE(744)] = 12411,
  [SMALL_STATE(745)] = 12471,
  [SMALL_STATE(746)] = 12531,
  [SMALL_STATE(747)] = 12593,
  [SMALL_STATE(748)] = 12655,
  [SMALL_STATE(749)] = 12714,
  [SMALL_STATE(750)] = 12777,
  [SMALL_STATE(751)] = 12838,
  [SMALL_STATE(752)] = 12901,
  [SMALL_STATE(753)] = 12960,
  [SMALL_STATE(754)] = 13023,
  [SMALL_STATE(755)] = 13084,
  [SMALL_STATE(756)] = 13143,
  [SMALL_STATE(757)] = 13206,
  [SMALL_STATE(758)] = 13265,
  [SMALL_STATE(759)] = 13324,
  [SMALL_STATE(760)] = 13383,
  [SMALL_STATE(761)] = 13446,
  [SMALL_STATE(762)] = 13505,
  [SMALL_STATE(763)] = 13564,
  [SMALL_STATE(764)] = 13623,
  [SMALL_STATE(765)] = 13681,
  [SMALL_STATE(766)] = 13739,
  [SMALL_STATE(767)] = 13797,
  [SMALL_STATE(768)] = 13855,
  [SMALL_STATE(769)] = 13913,
  [SMALL_STATE(770)] = 13971,
  [SMALL_STATE(771)] = 14029,
  [SMALL_STATE(772)] = 14087,
  [SMALL_STATE(773)] = 14147,
  [SMALL_STATE(774)] = 14205,
  [SMALL_STATE(775)] = 14263,
  [SMALL_STATE(776)] = 14321,
  [SMALL_STATE(777)] = 14379,
  [SMALL_STATE(778)] = 14437,
  [SMALL_STATE(779)] = 14497,
  [SMALL_STATE(780)] = 14555,
  [SMALL_STATE(781)] = 14615,
  [SMALL_STATE(782)] = 14673,
  [SMALL_STATE(783)] = 14731,
  [SMALL_STATE(784)] = 14789,
  [SMALL_STATE(785)] = 14847,
  [SMALL_STATE(786)] = 14905,
  [SMALL_STATE(787)] = 14963,
  [SMALL_STATE(788)] = 15021,
  [SMALL_STATE(789)] = 15079,
  [SMALL_STATE(790)] = 15137,
  [SMALL_STATE(791)] = 15195,
  [SMALL_STATE(792)] = 15253,
  [SMALL_STATE(793)] = 15311,
  [SMALL_STATE(794)] = 15369,
  [SMALL_STATE(795)] = 15427,
  [SMALL_STATE(796)] = 15485,
  [SMALL_STATE(797)] = 15543,
  [SMALL_STATE(798)] = 15605,
  [SMALL_STATE(799)] = 15671,
  [SMALL_STATE(800)] = 15729,
  [SMALL_STATE(801)] = 15787,
  [SMALL_STATE(802)] = 15849,
  [SMALL_STATE(803)] = 15911,
  [SMALL_STATE(804)] = 15973,
  [SMALL_STATE(805)] = 16031,
  [SMALL_STATE(806)] = 16089,
  [SMALL_STATE(807)] = 16147,
  [SMALL_STATE(808)] = 16205,
  [SMALL_STATE(809)] = 16265,
  [SMALL_STATE(810)] = 16323,
  [SMALL_STATE(811)] = 16381,
  [SMALL_STATE(812)] = 16439,
  [SMALL_STATE(813)] = 16497,
  [SMALL_STATE(814)] = 16555,
  [SMALL_STATE(815)] = 16613,
  [SMALL_STATE(816)] = 16671,
  [SMALL_STATE(817)] = 16729,
  [SMALL_STATE(818)] = 16787,
  [SMALL_STATE(819)] = 16845,
  [SMALL_STATE(820)] = 16905,
  [SMALL_STATE(821)] = 16963,
  [SMALL_STATE(822)] = 17021,
  [SMALL_STATE(823)] = 17079,
  [SMALL_STATE(824)] = 17137,
  [SMALL_STATE(825)] = 17195,
  [SMALL_STATE(826)] = 17253,
  [SMALL_STATE(827)] = 17311,
  [SMALL_STATE(828)] = 17369,
  [SMALL_STATE(829)] = 17427,
  [SMALL_STATE(830)] = 17485,
  [SMALL_STATE(831)] = 17545,
  [SMALL_STATE(832)] = 17605,
  [SMALL_STATE(833)] = 17709,
  [SMALL_STATE(834)] = 17813,
  [SMALL_STATE(835)] = 17871,
  [SMALL_STATE(836)] = 17933,
  [SMALL_STATE(837)] = 17991,
  [SMALL_STATE(838)] = 18049,
  [SMALL_STATE(839)] = 18107,
  [SMALL_STATE(840)] = 18165,
  [SMALL_STATE(841)] = 18223,
  [SMALL_STATE(842)] = 18281,
  [SMALL_STATE(843)] = 18339,
  [SMALL_STATE(844)] = 18397,
  [SMALL_STATE(845)] = 18455,
  [SMALL_STATE(846)] = 18513,
  [SMALL_STATE(847)] = 18571,
  [SMALL_STATE(848)] = 18629,
  [SMALL_STATE(849)] = 18686,
  [SMALL_STATE(850)] = 18747,
  [SMALL_STATE(851)] = 18808,
  [SMALL_STATE(852)] = 18867,
  [SMALL_STATE(853)] = 18926,
  [SMALL_STATE(854)] = 19027,
  [SMALL_STATE(855)] = 19128,
  [SMALL_STATE(856)] = 19187,
  [SMALL_STATE(857)] = 19248,
  [SMALL_STATE(858)] = 19307,
  [SMALL_STATE(859)] = 19368,
  [SMALL_STATE(860)] = 19429,
  [SMALL_STATE(861)] = 19530,
  [SMALL_STATE(862)] = 19589,
  [SMALL_STATE(863)] = 19690,
  [SMALL_STATE(864)] = 19746,
  [SMALL_STATE(865)] = 19802,
  [SMALL_STATE(866)] = 19858,
  [SMALL_STATE(867)] = 19920,
  [SMALL_STATE(868)] = 19976,
  [SMALL_STATE(869)] = 20032,
  [SMALL_STATE(870)] = 20090,
  [SMALL_STATE(871)] = 20206,
  [SMALL_STATE(872)] = 20268,
  [SMALL_STATE(873)] = 20384,
  [SMALL_STATE(874)] = 20444,
  [SMALL_STATE(875)] = 20500,
  [SMALL_STATE(876)] = 20556,
  [SMALL_STATE(877)] = 20612,
  [SMALL_STATE(878)] = 20668,
  [SMALL_STATE(879)] = 20728,
  [SMALL_STATE(880)] = 20786,
  [SMALL_STATE(881)] = 20884,
  [SMALL_STATE(882)] = 20940,
  [SMALL_STATE(883)] = 20996,
  [SMALL_STATE(884)] = 21052,
  [SMALL_STATE(885)] = 21108,
  [SMALL_STATE(886)] = 21164,
  [SMALL_STATE(887)] = 21220,
  [SMALL_STATE(888)] = 21336,
  [SMALL_STATE(889)] = 21392,
  [SMALL_STATE(890)] = 21448,
  [SMALL_STATE(891)] = 21504,
  [SMALL_STATE(892)] = 21560,
  [SMALL_STATE(893)] = 21616,
  [SMALL_STATE(894)] = 21671,
  [SMALL_STATE(895)] = 21726,
  [SMALL_STATE(896)] = 21781,
  [SMALL_STATE(897)] = 21836,
  [SMALL_STATE(898)] = 21891,
  [SMALL_STATE(899)] = 21946,
  [SMALL_STATE(900)] = 22003,
  [SMALL_STATE(901)] = 22062,
  [SMALL_STATE(902)] = 22117,
  [SMALL_STATE(903)] = 22176,
  [SMALL_STATE(904)] = 22231,
  [SMALL_STATE(905)] = 22290,
  [SMALL_STATE(906)] = 22345,
  [SMALL_STATE(907)] = 22402,
  [SMALL_STATE(908)] = 22459,
  [SMALL_STATE(909)] = 22514,
  [SMALL_STATE(910)] = 22571,
  [SMALL_STATE(911)] = 22626,
  [SMALL_STATE(912)] = 22685,
  [SMALL_STATE(913)] = 22740,
  [SMALL_STATE(914)] = 22799,
  [SMALL_STATE(915)] = 22854,
  [SMALL_STATE(916)] = 22909,
  [SMALL_STATE(917)] = 22963,
  [SMALL_STATE(918)] = 23017,
  [SMALL_STATE(919)] = 23075,
  [SMALL_STATE(920)] = 23129,
  [SMALL_STATE(921)] = 23183,
  [SMALL_STATE(922)] = 23237,
  [SMALL_STATE(923)] = 23291,
  [SMALL_STATE(924)] = 23345,
  [SMALL_STATE(925)] = 23399,
  [SMALL_STATE(926)] = 23453,
  [SMALL_STATE(927)] = 23507,
  [SMALL_STATE(928)] = 23561,
  [SMALL_STATE(929)] = 23615,
  [SMALL_STATE(930)] = 23669,
  [SMALL_STATE(931)] = 23727,
  [SMALL_STATE(932)] = 23783,
  [SMALL_STATE(933)] = 23837,
  [SMALL_STATE(934)] = 23891,
  [SMALL_STATE(935)] = 23945,
  [SMALL_STATE(936)] = 23999,
  [SMALL_STATE(937)] = 24053,
  [SMALL_STATE(938)] = 24107,
  [SMALL_STATE(939)] = 24161,
  [SMALL_STATE(940)] = 24215,
  [SMALL_STATE(941)] = 24273,
  [SMALL_STATE(942)] = 24327,
  [SMALL_STATE(943)] = 24381,
  [SMALL_STATE(944)] = 24435,
  [SMALL_STATE(945)] = 24497,
  [SMALL_STATE(946)] = 24551,
  [SMALL_STATE(947)] = 24605,
  [SMALL_STATE(948)] = 24659,
  [SMALL_STATE(949)] = 24713,
  [SMALL_STATE(950)] = 24767,
  [SMALL_STATE(951)] = 24823,
  [SMALL_STATE(952)] = 24885,
  [SMALL_STATE(953)] = 24939,
  [SMALL_STATE(954)] = 24993,
  [SMALL_STATE(955)] = 25047,
  [SMALL_STATE(956)] = 25101,
  [SMALL_STATE(957)] = 25157,
  [SMALL_STATE(958)] = 25211,
  [SMALL_STATE(959)] = 25265,
  [SMALL_STATE(960)] = 25319,
  [SMALL_STATE(961)] = 25373,
  [SMALL_STATE(962)] = 25427,
  [SMALL_STATE(963)] = 25481,
  [SMALL_STATE(964)] = 25535,
  [SMALL_STATE(965)] = 25589,
  [SMALL_STATE(966)] = 25643,
  [SMALL_STATE(967)] = 25697,
  [SMALL_STATE(968)] = 25751,
  [SMALL_STATE(969)] = 25805,
  [SMALL_STATE(970)] = 25859,
  [SMALL_STATE(971)] = 25913,
  [SMALL_STATE(972)] = 25967,
  [SMALL_STATE(973)] = 26021,
  [SMALL_STATE(974)] = 26075,
  [SMALL_STATE(975)] = 26137,
  [SMALL_STATE(976)] = 26195,
  [SMALL_STATE(977)] = 26249,
  [SMALL_STATE(978)] = 26303,
  [SMALL_STATE(979)] = 26357,
  [SMALL_STATE(980)] = 26411,
  [SMALL_STATE(981)] = 26465,
  [SMALL_STATE(982)] = 26521,
  [SMALL_STATE(983)] = 26583,
  [SMALL_STATE(984)] = 26637,
  [SMALL_STATE(985)] = 26693,
  [SMALL_STATE(986)] = 26751,
  [SMALL_STATE(987)] = 26805,
  [SMALL_STATE(988)] = 26859,
  [SMALL_STATE(989)] = 26913,
  [SMALL_STATE(990)] = 26967,
  [SMALL_STATE(991)] = 27021,
  [SMALL_STATE(992)] = 27075,
  [SMALL_STATE(993)] = 27129,
  [SMALL_STATE(994)] = 27187,
  [SMALL_STATE(995)] = 27243,
  [SMALL_STATE(996)] = 27299,
  [SMALL_STATE(997)] = 27353,
  [SMALL_STATE(998)] = 27407,
  [SMALL_STATE(999)] = 27461,
  [SMALL_STATE(1000)] = 27515,
  [SMALL_STATE(1001)] = 27571,
  [SMALL_STATE(1002)] = 27625,
  [SMALL_STATE(1003)] = 27679,
  [SMALL_STATE(1004)] = 27733,
  [SMALL_STATE(1005)] = 27787,
  [SMALL_STATE(1006)] = 27841,
  [SMALL_STATE(1007)] = 27895,
  [SMALL_STATE(1008)] = 27950,
  [SMALL_STATE(1009)] = 28003,
  [SMALL_STATE(1010)] = 28058,
  [SMALL_STATE(1011)] = 28111,
  [SMALL_STATE(1012)] = 28164,
  [SMALL_STATE(1013)] = 28217,
  [SMALL_STATE(1014)] = 28270,
  [SMALL_STATE(1015)] = 28325,
  [SMALL_STATE(1016)] = 28378,
  [SMALL_STATE(1017)] = 28431,
  [SMALL_STATE(1018)] = 28484,
  [SMALL_STATE(1019)] = 28537,
  [SMALL_STATE(1020)] = 28592,
  [SMALL_STATE(1021)] = 28645,
  [SMALL_STATE(1022)] = 28698,
  [SMALL_STATE(1023)] = 28751,
  [SMALL_STATE(1024)] = 28804,
  [SMALL_STATE(1025)] = 28857,
  [SMALL_STATE(1026)] = 28910,
  [SMALL_STATE(1027)] = 28965,
  [SMALL_STATE(1028)] = 29018,
  [SMALL_STATE(1029)] = 29071,
  [SMALL_STATE(1030)] = 29124,
  [SMALL_STATE(1031)] = 29179,
  [SMALL_STATE(1032)] = 29232,
  [SMALL_STATE(1033)] = 29289,
  [SMALL_STATE(1034)] = 29346,
  [SMALL_STATE(1035)] = 29401,
  [SMALL_STATE(1036)] = 29454,
  [SMALL_STATE(1037)] = 29507,
  [SMALL_STATE(1038)] = 29560,
  [SMALL_STATE(1039)] = 29613,
  [SMALL_STATE(1040)] = 29668,
  [SMALL_STATE(1041)] = 29721,
  [SMALL_STATE(1042)] = 29773,
  [SMALL_STATE(1043)] = 29825,
  [SMALL_STATE(1044)] = 29877,
  [SMALL_STATE(1045)] = 29932,
  [SMALL_STATE(1046)] = 29985,
  [SMALL_STATE(1047)] = 30036,
  [SMALL_STATE(1048)] = 30118,
  [SMALL_STATE(1049)] = 30208,
  [SMALL_STATE(1050)] = 30282,
  [SMALL_STATE(1051)] = 30338,
  [SMALL_STATE(1052)] = 30420,
  [SMALL_STATE(1053)] = 30472,
  [SMALL_STATE(1054)] = 30524,
  [SMALL_STATE(1055)] = 30612,
  [SMALL_STATE(1056)] = 30694,
  [SMALL_STATE(1057)] = 30776,
  [SMALL_STATE(1058)] = 30864,
  [SMALL_STATE(1059)] = 30952,
  [SMALL_STATE(1060)] = 31040,
  [SMALL_STATE(1061)] = 31128,
  [SMALL_STATE(1062)] = 31212,
  [SMALL_STATE(1063)] = 31300,
  [SMALL_STATE(1064)] = 31378,
  [SMALL_STATE(1065)] = 31448,
  [SMALL_STATE(1066)] = 31536,
  [SMALL_STATE(1067)] = 31596,
  [SMALL_STATE(1068)] = 31678,
  [SMALL_STATE(1069)] = 31760,
  [SMALL_STATE(1070)] = 31848,
  [SMALL_STATE(1071)] = 31906,
  [SMALL_STATE(1072)] = 31968,
  [SMALL_STATE(1073)] = 32034,
  [SMALL_STATE(1074)] = 32122,
  [SMALL_STATE(1075)] = 32172,
  [SMALL_STATE(1076)] = 32244,
  [SMALL_STATE(1077)] = 32332,
  [SMALL_STATE(1078)] = 32414,
  [SMALL_STATE(1079)] = 32464,
  [SMALL_STATE(1080)] = 32540,
  [SMALL_STATE(1081)] = 32626,
  [SMALL_STATE(1082)] = 32713,
  [SMALL_STATE(1083)] = 32800,
  [SMALL_STATE(1084)] = 32851,
  [SMALL_STATE(1085)] = 32910,
  [SMALL_STATE(1086)] = 32967,
  [SMALL_STATE(1087)] = 33028,
  [SMALL_STATE(1088)] = 33093,
  [SMALL_STATE(1089)] = 33164,
  [SMALL_STATE(1090)] = 33251,
  [SMALL_STATE(1091)] = 33326,
  [SMALL_STATE(1092)] = 33403,
  [SMALL_STATE(1093)] = 33486,
  [SMALL_STATE(1094)] = 33535,
  [SMALL_STATE(1095)] = 33620,
  [SMALL_STATE(1096)] = 33701,
  [SMALL_STATE(1097)] = 33752,
  [SMALL_STATE(1098)] = 33833,
  [SMALL_STATE(1099)] = 33888,
  [SMALL_STATE(1100)] = 33961,
  [SMALL_STATE(1101)] = 34030,
  [SMALL_STATE(1102)] = 34117,
  [SMALL_STATE(1103)] = 34166,
  [SMALL_STATE(1104)] = 34253,
  [SMALL_STATE(1105)] = 34340,
  [SMALL_STATE(1106)] = 34427,
  [SMALL_STATE(1107)] = 34514,
  [SMALL_STATE(1108)] = 34583,
  [SMALL_STATE(1109)] = 34664,
  [SMALL_STATE(1110)] = 34737,
  [SMALL_STATE(1111)] = 34792,
  [SMALL_STATE(1112)] = 34873,
  [SMALL_STATE(1113)] = 34924,
  [SMALL_STATE(1114)] = 35005,
  [SMALL_STATE(1115)] = 35090,
  [SMALL_STATE(1116)] = 35173,
  [SMALL_STATE(1117)] = 35250,
  [SMALL_STATE(1118)] = 35325,
  [SMALL_STATE(1119)] = 35396,
  [SMALL_STATE(1120)] = 35461,
  [SMALL_STATE(1121)] = 35522,
  [SMALL_STATE(1122)] = 35579,
  [SMALL_STATE(1123)] = 35638,
  [SMALL_STATE(1124)] = 35689,
  [SMALL_STATE(1125)] = 35738,
  [SMALL_STATE(1126)] = 35819,
  [SMALL_STATE(1127)] = 35900,
  [SMALL_STATE(1128)] = 35981,
  [SMALL_STATE(1129)] = 36030,
  [SMALL_STATE(1130)] = 36079,
  [SMALL_STATE(1131)] = 36128,
  [SMALL_STATE(1132)] = 36209,
  [SMALL_STATE(1133)] = 36290,
  [SMALL_STATE(1134)] = 36371,
  [SMALL_STATE(1135)] = 36428,
  [SMALL_STATE(1136)] = 36477,
  [SMALL_STATE(1137)] = 36526,
  [SMALL_STATE(1138)] = 36607,
  [SMALL_STATE(1139)] = 36672,
  [SMALL_STATE(1140)] = 36721,
  [SMALL_STATE(1141)] = 36808,
  [SMALL_STATE(1142)] = 36857,
  [SMALL_STATE(1143)] = 36906,
  [SMALL_STATE(1144)] = 36993,
  [SMALL_STATE(1145)] = 37042,
  [SMALL_STATE(1146)] = 37129,
  [SMALL_STATE(1147)] = 37178,
  [SMALL_STATE(1148)] = 37265,
  [SMALL_STATE(1149)] = 37314,
  [SMALL_STATE(1150)] = 37363,
  [SMALL_STATE(1151)] = 37450,
  [SMALL_STATE(1152)] = 37537,
  [SMALL_STATE(1153)] = 37624,
  [SMALL_STATE(1154)] = 37705,
  [SMALL_STATE(1155)] = 37754,
  [SMALL_STATE(1156)] = 37835,
  [SMALL_STATE(1157)] = 37924,
  [SMALL_STATE(1158)] = 37973,
  [SMALL_STATE(1159)] = 38060,
  [SMALL_STATE(1160)] = 38109,
  [SMALL_STATE(1161)] = 38198,
  [SMALL_STATE(1162)] = 38285,
  [SMALL_STATE(1163)] = 38334,
  [SMALL_STATE(1164)] = 38385,
  [SMALL_STATE(1165)] = 38434,
  [SMALL_STATE(1166)] = 38491,
  [SMALL_STATE(1167)] = 38578,
  [SMALL_STATE(1168)] = 38627,
  [SMALL_STATE(1169)] = 38676,
  [SMALL_STATE(1170)] = 38725,
  [SMALL_STATE(1171)] = 38774,
  [SMALL_STATE(1172)] = 38861,
  [SMALL_STATE(1173)] = 38948,
  [SMALL_STATE(1174)] = 38997,
  [SMALL_STATE(1175)] = 39078,
  [SMALL_STATE(1176)] = 39127,
  [SMALL_STATE(1177)] = 39213,
  [SMALL_STATE(1178)] = 39299,
  [SMALL_STATE(1179)] = 39373,
  [SMALL_STATE(1180)] = 39453,
  [SMALL_STATE(1181)] = 39533,
  [SMALL_STATE(1182)] = 39603,
  [SMALL_STATE(1183)] = 39689,
  [SMALL_STATE(1184)] = 39749,
  [SMALL_STATE(1185)] = 39829,
  [SMALL_STATE(1186)] = 39915,
  [SMALL_STATE(1187)] = 39995,
  [SMALL_STATE(1188)] = 40045,
  [SMALL_STATE(1189)] = 40103,
  [SMALL_STATE(1190)] = 40189,
  [SMALL_STATE(1191)] = 40253,
  [SMALL_STATE(1192)] = 40333,
  [SMALL_STATE(1193)] = 40419,
  [SMALL_STATE(1194)] = 40499,
  [SMALL_STATE(1195)] = 40579,
  [SMALL_STATE(1196)] = 40665,
  [SMALL_STATE(1197)] = 40733,
  [SMALL_STATE(1198)] = 40821,
  [SMALL_STATE(1199)] = 40907,
  [SMALL_STATE(1200)] = 40993,
  [SMALL_STATE(1201)] = 41069,
  [SMALL_STATE(1202)] = 41155,
  [SMALL_STATE(1203)] = 41237,
  [SMALL_STATE(1204)] = 41293,
  [SMALL_STATE(1205)] = 41343,
  [SMALL_STATE(1206)] = 41427,
  [SMALL_STATE(1207)] = 41499,
  [SMALL_STATE(1208)] = 41553,
  [SMALL_STATE(1209)] = 41642,
  [SMALL_STATE(1210)] = 41731,
  [SMALL_STATE(1211)] = 41820,
  [SMALL_STATE(1212)] = 41909,
  [SMALL_STATE(1213)] = 41958,
  [SMALL_STATE(1214)] = 42047,
  [SMALL_STATE(1215)] = 42096,
  [SMALL_STATE(1216)] = 42185,
  [SMALL_STATE(1217)] = 42270,
  [SMALL_STATE(1218)] = 42359,
  [SMALL_STATE(1219)] = 42448,
  [SMALL_STATE(1220)] = 42534,
  [SMALL_STATE(1221)] = 42622,
  [SMALL_STATE(1222)] = 42694,
  [SMALL_STATE(1223)] = 42766,
  [SMALL_STATE(1224)] = 42852,
  [SMALL_STATE(1225)] = 42938,
  [SMALL_STATE(1226)] = 43012,
  [SMALL_STATE(1227)] = 43098,
  [SMALL_STATE(1228)] = 43184,
  [SMALL_STATE(1229)] = 43270,
  [SMALL_STATE(1230)] = 43356,
  [SMALL_STATE(1231)] = 43442,
  [SMALL_STATE(1232)] = 43526,
  [SMALL_STATE(1233)] = 43598,
  [SMALL_STATE(1234)] = 43684,
  [SMALL_STATE(1235)] = 43770,
  [SMALL_STATE(1236)] = 43856,
  [SMALL_STATE(1237)] = 43930,
  [SMALL_STATE(1238)] = 44002,
  [SMALL_STATE(1239)] = 44086,
  [SMALL_STATE(1240)] = 44172,
  [SMALL_STATE(1241)] = 44258,
  [SMALL_STATE(1242)] = 44344,
  [SMALL_STATE(1243)] = 44427,
  [SMALL_STATE(1244)] = 44510,
  [SMALL_STATE(1245)] = 44593,
  [SMALL_STATE(1246)] = 44678,
  [SMALL_STATE(1247)] = 44763,
  [SMALL_STATE(1248)] = 44852,
  [SMALL_STATE(1249)] = 44941,
  [SMALL_STATE(1250)] = 45030,
  [SMALL_STATE(1251)] = 45119,
  [SMALL_STATE(1252)] = 45202,
  [SMALL_STATE(1253)] = 45291,
  [SMALL_STATE(1254)] = 45374,
  [SMALL_STATE(1255)] = 45457,
  [SMALL_STATE(1256)] = 45544,
  [SMALL_STATE(1257)] = 45627,
  [SMALL_STATE(1258)] = 45710,
  [SMALL_STATE(1259)] = 45793,
  [SMALL_STATE(1260)] = 45876,
  [SMALL_STATE(1261)] = 45959,
  [SMALL_STATE(1262)] = 46042,
  [SMALL_STATE(1263)] = 46125,
  [SMALL_STATE(1264)] = 46210,
  [SMALL_STATE(1265)] = 46293,
  [SMALL_STATE(1266)] = 46378,
  [SMALL_STATE(1267)] = 46467,
  [SMALL_STATE(1268)] = 46550,
  [SMALL_STATE(1269)] = 46635,
  [SMALL_STATE(1270)] = 46718,
  [SMALL_STATE(1271)] = 46800,
  [SMALL_STATE(1272)] = 46882,
  [SMALL_STATE(1273)] = 46964,
  [SMALL_STATE(1274)] = 47046,
  [SMALL_STATE(1275)] = 47128,
  [SMALL_STATE(1276)] = 47210,
  [SMALL_STATE(1277)] = 47292,
  [SMALL_STATE(1278)] = 47374,
  [SMALL_STATE(1279)] = 47456,
  [SMALL_STATE(1280)] = 47538,
  [SMALL_STATE(1281)] = 47620,
  [SMALL_STATE(1282)] = 47702,
  [SMALL_STATE(1283)] = 47784,
  [SMALL_STATE(1284)] = 47866,
  [SMALL_STATE(1285)] = 47948,
  [SMALL_STATE(1286)] = 48030,
  [SMALL_STATE(1287)] = 48112,
  [SMALL_STATE(1288)] = 48194,
  [SMALL_STATE(1289)] = 48276,
  [SMALL_STATE(1290)] = 48358,
  [SMALL_STATE(1291)] = 48440,
  [SMALL_STATE(1292)] = 48522,
  [SMALL_STATE(1293)] = 48604,
  [SMALL_STATE(1294)] = 48686,
  [SMALL_STATE(1295)] = 48768,
  [SMALL_STATE(1296)] = 48836,
  [SMALL_STATE(1297)] = 48918,
  [SMALL_STATE(1298)] = 49000,
  [SMALL_STATE(1299)] = 49082,
  [SMALL_STATE(1300)] = 49164,
  [SMALL_STATE(1301)] = 49246,
  [SMALL_STATE(1302)] = 49328,
  [SMALL_STATE(1303)] = 49410,
  [SMALL_STATE(1304)] = 49492,
  [SMALL_STATE(1305)] = 49574,
  [SMALL_STATE(1306)] = 49656,
  [SMALL_STATE(1307)] = 49702,
  [SMALL_STATE(1308)] = 49784,
  [SMALL_STATE(1309)] = 49866,
  [SMALL_STATE(1310)] = 49948,
  [SMALL_STATE(1311)] = 50030,
  [SMALL_STATE(1312)] = 50112,
  [SMALL_STATE(1313)] = 50194,
  [SMALL_STATE(1314)] = 50276,
  [SMALL_STATE(1315)] = 50358,
  [SMALL_STATE(1316)] = 50440,
  [SMALL_STATE(1317)] = 50522,
  [SMALL_STATE(1318)] = 50604,
  [SMALL_STATE(1319)] = 50672,
  [SMALL_STATE(1320)] = 50754,
  [SMALL_STATE(1321)] = 50836,
  [SMALL_STATE(1322)] = 50918,
  [SMALL_STATE(1323)] = 51000,
  [SMALL_STATE(1324)] = 51082,
  [SMALL_STATE(1325)] = 51163,
  [SMALL_STATE(1326)] = 51206,
  [SMALL_STATE(1327)] = 51287,
  [SMALL_STATE(1328)] = 51366,
  [SMALL_STATE(1329)] = 51409,
  [SMALL_STATE(1330)] = 51490,
  [SMALL_STATE(1331)] = 51533,
  [SMALL_STATE(1332)] = 51576,
  [SMALL_STATE(1333)] = 51657,
  [SMALL_STATE(1334)] = 51699,
  [SMALL_STATE(1335)] = 51741,
  [SMALL_STATE(1336)] = 51783,
  [SMALL_STATE(1337)] = 51844,
  [SMALL_STATE(1338)] = 51905,
  [SMALL_STATE(1339)] = 51950,
  [SMALL_STATE(1340)] = 51993,
  [SMALL_STATE(1341)] = 52030,
  [SMALL_STATE(1342)] = 52067,
  [SMALL_STATE(1343)] = 52104,
  [SMALL_STATE(1344)] = 52141,
  [SMALL_STATE(1345)] = 52191,
  [SMALL_STATE(1346)] = 52241,
  [SMALL_STATE(1347)] = 52291,
  [SMALL_STATE(1348)] = 52357,
  [SMALL_STATE(1349)] = 52407,
  [SMALL_STATE(1350)] = 52457,
  [SMALL_STATE(1351)] = 52523,
  [SMALL_STATE(1352)] = 52573,
  [SMALL_STATE(1353)] = 52623,
  [SMALL_STATE(1354)] = 52673,
  [SMALL_STATE(1355)] = 52739,
  [SMALL_STATE(1356)] = 52789,
  [SMALL_STATE(1357)] = 52839,
  [SMALL_STATE(1358)] = 52889,
  [SMALL_STATE(1359)] = 52955,
  [SMALL_STATE(1360)] = 53002,
  [SMALL_STATE(1361)] = 53049,
  [SMALL_STATE(1362)] = 53088,
  [SMALL_STATE(1363)] = 53135,
  [SMALL_STATE(1364)] = 53182,
  [SMALL_STATE(1365)] = 53223,
  [SMALL_STATE(1366)] = 53270,
  [SMALL_STATE(1367)] = 53317,
  [SMALL_STATE(1368)] = 53359,
  [SMALL_STATE(1369)] = 53401,
  [SMALL_STATE(1370)] = 53434,
  [SMALL_STATE(1371)] = 53491,
  [SMALL_STATE(1372)] = 53524,
  [SMALL_STATE(1373)] = 53557,
  [SMALL_STATE(1374)] = 53590,
  [SMALL_STATE(1375)] = 53623,
  [SMALL_STATE(1376)] = 53675,
  [SMALL_STATE(1377)] = 53715,
  [SMALL_STATE(1378)] = 53755,
  [SMALL_STATE(1379)] = 53795,
  [SMALL_STATE(1380)] = 53844,
  [SMALL_STATE(1381)] = 53893,
  [SMALL_STATE(1382)] = 53940,
  [SMALL_STATE(1383)] = 53989,
  [SMALL_STATE(1384)] = 54038,
  [SMALL_STATE(1385)] = 54084,
  [SMALL_STATE(1386)] = 54130,
  [SMALL_STATE(1387)] = 54176,
  [SMALL_STATE(1388)] = 54226,
  [SMALL_STATE(1389)] = 54272,
  [SMALL_STATE(1390)] = 54318,
  [SMALL_STATE(1391)] = 54364,
  [SMALL_STATE(1392)] = 54416,
  [SMALL_STATE(1393)] = 54462,
  [SMALL_STATE(1394)] = 54508,
  [SMALL_STATE(1395)] = 54538,
  [SMALL_STATE(1396)] = 54584,
  [SMALL_STATE(1397)] = 54629,
  [SMALL_STATE(1398)] = 54676,
  [SMALL_STATE(1399)] = 54725,
  [SMALL_STATE(1400)] = 54772,
  [SMALL_STATE(1401)] = 54818,
  [SMALL_STATE(1402)] = 54844,
  [SMALL_STATE(1403)] = 54890,
  [SMALL_STATE(1404)] = 54916,
  [SMALL_STATE(1405)] = 54942,
  [SMALL_STATE(1406)] = 54968,
  [SMALL_STATE(1407)] = 54994,
  [SMALL_STATE(1408)] = 55040,
  [SMALL_STATE(1409)] = 55066,
  [SMALL_STATE(1410)] = 55112,
  [SMALL_STATE(1411)] = 55138,
  [SMALL_STATE(1412)] = 55164,
  [SMALL_STATE(1413)] = 55210,
  [SMALL_STATE(1414)] = 55256,
  [SMALL_STATE(1415)] = 55282,
  [SMALL_STATE(1416)] = 55326,
  [SMALL_STATE(1417)] = 55372,
  [SMALL_STATE(1418)] = 55398,
  [SMALL_STATE(1419)] = 55442,
  [SMALL_STATE(1420)] = 55486,
  [SMALL_STATE(1421)] = 55530,
  [SMALL_STATE(1422)] = 55556,
  [SMALL_STATE(1423)] = 55602,
  [SMALL_STATE(1424)] = 55628,
  [SMALL_STATE(1425)] = 55669,
  [SMALL_STATE(1426)] = 55694,
  [SMALL_STATE(1427)] = 55719,
  [SMALL_STATE(1428)] = 55744,
  [SMALL_STATE(1429)] = 55769,
  [SMALL_STATE(1430)] = 55794,
  [SMALL_STATE(1431)] = 55835,
  [SMALL_STATE(1432)] = 55878,
  [SMALL_STATE(1433)] = 55903,
  [SMALL_STATE(1434)] = 55928,
  [SMALL_STATE(1435)] = 55953,
  [SMALL_STATE(1436)] = 55978,
  [SMALL_STATE(1437)] = 56003,
  [SMALL_STATE(1438)] = 56028,
  [SMALL_STATE(1439)] = 56053,
  [SMALL_STATE(1440)] = 56078,
  [SMALL_STATE(1441)] = 56119,
  [SMALL_STATE(1442)] = 56144,
  [SMALL_STATE(1443)] = 56173,
  [SMALL_STATE(1444)] = 56198,
  [SMALL_STATE(1445)] = 56223,
  [SMALL_STATE(1446)] = 56254,
  [SMALL_STATE(1447)] = 56279,
  [SMALL_STATE(1448)] = 56304,
  [SMALL_STATE(1449)] = 56329,
  [SMALL_STATE(1450)] = 56354,
  [SMALL_STATE(1451)] = 56379,
  [SMALL_STATE(1452)] = 56404,
  [SMALL_STATE(1453)] = 56429,
  [SMALL_STATE(1454)] = 56457,
  [SMALL_STATE(1455)] = 56503,
  [SMALL_STATE(1456)] = 56541,
  [SMALL_STATE(1457)] = 56581,
  [SMALL_STATE(1458)] = 56627,
  [SMALL_STATE(1459)] = 56671,
  [SMALL_STATE(1460)] = 56709,
  [SMALL_STATE(1461)] = 56749,
  [SMALL_STATE(1462)] = 56787,
  [SMALL_STATE(1463)] = 56825,
  [SMALL_STATE(1464)] = 56863,
  [SMALL_STATE(1465)] = 56901,
  [SMALL_STATE(1466)] = 56947,
  [SMALL_STATE(1467)] = 56985,
  [SMALL_STATE(1468)] = 57025,
  [SMALL_STATE(1469)] = 57063,
  [SMALL_STATE(1470)] = 57101,
  [SMALL_STATE(1471)] = 57139,
  [SMALL_STATE(1472)] = 57177,
  [SMALL_STATE(1473)] = 57215,
  [SMALL_STATE(1474)] = 57255,
  [SMALL_STATE(1475)] = 57295,
  [SMALL_STATE(1476)] = 57333,
  [SMALL_STATE(1477)] = 57369,
  [SMALL_STATE(1478)] = 57409,
  [SMALL_STATE(1479)] = 57449,
  [SMALL_STATE(1480)] = 57487,
  [SMALL_STATE(1481)] = 57527,
  [SMALL_STATE(1482)] = 57567,
  [SMALL_STATE(1483)] = 57605,
  [SMALL_STATE(1484)] = 57651,
  [SMALL_STATE(1485)] = 57689,
  [SMALL_STATE(1486)] = 57729,
  [SMALL_STATE(1487)] = 57769,
  [SMALL_STATE(1488)] = 57807,
  [SMALL_STATE(1489)] = 57845,
  [SMALL_STATE(1490)] = 57883,
  [SMALL_STATE(1491)] = 57921,
  [SMALL_STATE(1492)] = 57944,
  [SMALL_STATE(1493)] = 57969,
  [SMALL_STATE(1494)] = 57994,
  [SMALL_STATE(1495)] = 58027,
  [SMALL_STATE(1496)] = 58054,
  [SMALL_STATE(1497)] = 58079,
  [SMALL_STATE(1498)] = 58116,
  [SMALL_STATE(1499)] = 58149,
  [SMALL_STATE(1500)] = 58186,
  [SMALL_STATE(1501)] = 58211,
  [SMALL_STATE(1502)] = 58248,
  [SMALL_STATE(1503)] = 58276,
  [SMALL_STATE(1504)] = 58300,
  [SMALL_STATE(1505)] = 58330,
  [SMALL_STATE(1506)] = 58364,
  [SMALL_STATE(1507)] = 58388,
  [SMALL_STATE(1508)] = 58412,
  [SMALL_STATE(1509)] = 58446,
  [SMALL_STATE(1510)] = 58480,
  [SMALL_STATE(1511)] = 58514,
  [SMALL_STATE(1512)] = 58548,
  [SMALL_STATE(1513)] = 58576,
  [SMALL_STATE(1514)] = 58604,
  [SMALL_STATE(1515)] = 58630,
  [SMALL_STATE(1516)] = 58664,
  [SMALL_STATE(1517)] = 58692,
  [SMALL_STATE(1518)] = 58718,
  [SMALL_STATE(1519)] = 58746,
  [SMALL_STATE(1520)] = 58782,
  [SMALL_STATE(1521)] = 58806,
  [SMALL_STATE(1522)] = 58830,
  [SMALL_STATE(1523)] = 58856,
  [SMALL_STATE(1524)] = 58890,
  [SMALL_STATE(1525)] = 58924,
  [SMALL_STATE(1526)] = 58960,
  [SMALL_STATE(1527)] = 58984,
  [SMALL_STATE(1528)] = 59012,
  [SMALL_STATE(1529)] = 59041,
  [SMALL_STATE(1530)] = 59076,
  [SMALL_STATE(1531)] = 59099,
  [SMALL_STATE(1532)] = 59124,
  [SMALL_STATE(1533)] = 59159,
  [SMALL_STATE(1534)] = 59194,
  [SMALL_STATE(1535)] = 59223,
  [SMALL_STATE(1536)] = 59258,
  [SMALL_STATE(1537)] = 59293,
  [SMALL_STATE(1538)] = 59328,
  [SMALL_STATE(1539)] = 59351,
  [SMALL_STATE(1540)] = 59386,
  [SMALL_STATE(1541)] = 59415,
  [SMALL_STATE(1542)] = 59438,
  [SMALL_STATE(1543)] = 59473,
  [SMALL_STATE(1544)] = 59497,
  [SMALL_STATE(1545)] = 59527,
  [SMALL_STATE(1546)] = 59561,
  [SMALL_STATE(1547)] = 59591,
  [SMALL_STATE(1548)] = 59621,
  [SMALL_STATE(1549)] = 59655,
  [SMALL_STATE(1550)] = 59683,
  [SMALL_STATE(1551)] = 59713,
  [SMALL_STATE(1552)] = 59739,
  [SMALL_STATE(1553)] = 59767,
  [SMALL_STATE(1554)] = 59801,
  [SMALL_STATE(1555)] = 59829,
  [SMALL_STATE(1556)] = 59863,
  [SMALL_STATE(1557)] = 59897,
  [SMALL_STATE(1558)] = 59927,
  [SMALL_STATE(1559)] = 59961,
  [SMALL_STATE(1560)] = 59989,
  [SMALL_STATE(1561)] = 60023,
  [SMALL_STATE(1562)] = 60057,
  [SMALL_STATE(1563)] = 60078,
  [SMALL_STATE(1564)] = 60099,
  [SMALL_STATE(1565)] = 60120,
  [SMALL_STATE(1566)] = 60143,
  [SMALL_STATE(1567)] = 60170,
  [SMALL_STATE(1568)] = 60197,
  [SMALL_STATE(1569)] = 60226,
  [SMALL_STATE(1570)] = 60255,
  [SMALL_STATE(1571)] = 60280,
  [SMALL_STATE(1572)] = 60307,
  [SMALL_STATE(1573)] = 60334,
  [SMALL_STATE(1574)] = 60361,
  [SMALL_STATE(1575)] = 60390,
  [SMALL_STATE(1576)] = 60411,
  [SMALL_STATE(1577)] = 60432,
  [SMALL_STATE(1578)] = 60459,
  [SMALL_STATE(1579)] = 60484,
  [SMALL_STATE(1580)] = 60509,
  [SMALL_STATE(1581)] = 60530,
  [SMALL_STATE(1582)] = 60551,
  [SMALL_STATE(1583)] = 60578,
  [SMALL_STATE(1584)] = 60607,
  [SMALL_STATE(1585)] = 60636,
  [SMALL_STATE(1586)] = 60661,
  [SMALL_STATE(1587)] = 60682,
  [SMALL_STATE(1588)] = 60707,
  [SMALL_STATE(1589)] = 60730,
  [SMALL_STATE(1590)] = 60757,
  [SMALL_STATE(1591)] = 60782,
  [SMALL_STATE(1592)] = 60809,
  [SMALL_STATE(1593)] = 60836,
  [SMALL_STATE(1594)] = 60865,
  [SMALL_STATE(1595)] = 60886,
  [SMALL_STATE(1596)] = 60913,
  [SMALL_STATE(1597)] = 60940,
  [SMALL_STATE(1598)] = 60967,
  [SMALL_STATE(1599)] = 60994,
  [SMALL_STATE(1600)] = 61023,
  [SMALL_STATE(1601)] = 61052,
  [SMALL_STATE(1602)] = 61081,
  [SMALL_STATE(1603)] = 61102,
  [SMALL_STATE(1604)] = 61129,
  [SMALL_STATE(1605)] = 61152,
  [SMALL_STATE(1606)] = 61173,
  [SMALL_STATE(1607)] = 61196,
  [SMALL_STATE(1608)] = 61217,
  [SMALL_STATE(1609)] = 61238,
  [SMALL_STATE(1610)] = 61259,
  [SMALL_STATE(1611)] = 61284,
  [SMALL_STATE(1612)] = 61311,
  [SMALL_STATE(1613)] = 61332,
  [SMALL_STATE(1614)] = 61359,
  [SMALL_STATE(1615)] = 61380,
  [SMALL_STATE(1616)] = 61401,
  [SMALL_STATE(1617)] = 61428,
  [SMALL_STATE(1618)] = 61456,
  [SMALL_STATE(1619)] = 61484,
  [SMALL_STATE(1620)] = 61510,
  [SMALL_STATE(1621)] = 61536,
  [SMALL_STATE(1622)] = 61564,
  [SMALL_STATE(1623)] = 61592,
  [SMALL_STATE(1624)] = 61612,
  [SMALL_STATE(1625)] = 61640,
  [SMALL_STATE(1626)] = 61668,
  [SMALL_STATE(1627)] = 61688,
  [SMALL_STATE(1628)] = 61714,
  [SMALL_STATE(1629)] = 61740,
  [SMALL_STATE(1630)] = 61768,
  [SMALL_STATE(1631)] = 61796,
  [SMALL_STATE(1632)] = 61818,
  [SMALL_STATE(1633)] = 61844,
  [SMALL_STATE(1634)] = 61864,
  [SMALL_STATE(1635)] = 61890,
  [SMALL_STATE(1636)] = 61916,
  [SMALL_STATE(1637)] = 61942,
  [SMALL_STATE(1638)] = 61970,
  [SMALL_STATE(1639)] = 61996,
  [SMALL_STATE(1640)] = 62016,
  [SMALL_STATE(1641)] = 62042,
  [SMALL_STATE(1642)] = 62070,
  [SMALL_STATE(1643)] = 62096,
  [SMALL_STATE(1644)] = 62124,
  [SMALL_STATE(1645)] = 62144,
  [SMALL_STATE(1646)] = 62172,
  [SMALL_STATE(1647)] = 62200,
  [SMALL_STATE(1648)] = 62220,
  [SMALL_STATE(1649)] = 62248,
  [SMALL_STATE(1650)] = 62276,
  [SMALL_STATE(1651)] = 62296,
  [SMALL_STATE(1652)] = 62316,
  [SMALL_STATE(1653)] = 62344,
  [SMALL_STATE(1654)] = 62364,
  [SMALL_STATE(1655)] = 62384,
  [SMALL_STATE(1656)] = 62410,
  [SMALL_STATE(1657)] = 62436,
  [SMALL_STATE(1658)] = 62456,
  [SMALL_STATE(1659)] = 62476,
  [SMALL_STATE(1660)] = 62504,
  [SMALL_STATE(1661)] = 62530,
  [SMALL_STATE(1662)] = 62558,
  [SMALL_STATE(1663)] = 62584,
  [SMALL_STATE(1664)] = 62604,
  [SMALL_STATE(1665)] = 62632,
  [SMALL_STATE(1666)] = 62660,
  [SMALL_STATE(1667)] = 62680,
  [SMALL_STATE(1668)] = 62708,
  [SMALL_STATE(1669)] = 62730,
  [SMALL_STATE(1670)] = 62756,
  [SMALL_STATE(1671)] = 62776,
  [SMALL_STATE(1672)] = 62796,
  [SMALL_STATE(1673)] = 62818,
  [SMALL_STATE(1674)] = 62844,
  [SMALL_STATE(1675)] = 62872,
  [SMALL_STATE(1676)] = 62892,
  [SMALL_STATE(1677)] = 62912,
  [SMALL_STATE(1678)] = 62940,
  [SMALL_STATE(1679)] = 62960,
  [SMALL_STATE(1680)] = 62988,
  [SMALL_STATE(1681)] = 63016,
  [SMALL_STATE(1682)] = 63044,
  [SMALL_STATE(1683)] = 63072,
  [SMALL_STATE(1684)] = 63100,
  [SMALL_STATE(1685)] = 63128,
  [SMALL_STATE(1686)] = 63156,
  [SMALL_STATE(1687)] = 63178,
  [SMALL_STATE(1688)] = 63204,
  [SMALL_STATE(1689)] = 63224,
  [SMALL_STATE(1690)] = 63244,
  [SMALL_STATE(1691)] = 63270,
  [SMALL_STATE(1692)] = 63292,
  [SMALL_STATE(1693)] = 63314,
  [SMALL_STATE(1694)] = 63342,
  [SMALL_STATE(1695)] = 63366,
  [SMALL_STATE(1696)] = 63386,
  [SMALL_STATE(1697)] = 63414,
  [SMALL_STATE(1698)] = 63434,
  [SMALL_STATE(1699)] = 63456,
  [SMALL_STATE(1700)] = 63482,
  [SMALL_STATE(1701)] = 63502,
  [SMALL_STATE(1702)] = 63522,
  [SMALL_STATE(1703)] = 63542,
  [SMALL_STATE(1704)] = 63562,
  [SMALL_STATE(1705)] = 63584,
  [SMALL_STATE(1706)] = 63610,
  [SMALL_STATE(1707)] = 63630,
  [SMALL_STATE(1708)] = 63653,
  [SMALL_STATE(1709)] = 63674,
  [SMALL_STATE(1710)] = 63699,
  [SMALL_STATE(1711)] = 63718,
  [SMALL_STATE(1712)] = 63741,
  [SMALL_STATE(1713)] = 63766,
  [SMALL_STATE(1714)] = 63785,
  [SMALL_STATE(1715)] = 63804,
  [SMALL_STATE(1716)] = 63823,
  [SMALL_STATE(1717)] = 63842,
  [SMALL_STATE(1718)] = 63861,
  [SMALL_STATE(1719)] = 63884,
  [SMALL_STATE(1720)] = 63907,
  [SMALL_STATE(1721)] = 63926,
  [SMALL_STATE(1722)] = 63947,
  [SMALL_STATE(1723)] = 63970,
  [SMALL_STATE(1724)] = 63991,
  [SMALL_STATE(1725)] = 64012,
  [SMALL_STATE(1726)] = 64033,
  [SMALL_STATE(1727)] = 64056,
  [SMALL_STATE(1728)] = 64075,
  [SMALL_STATE(1729)] = 64094,
  [SMALL_STATE(1730)] = 64117,
  [SMALL_STATE(1731)] = 64142,
  [SMALL_STATE(1732)] = 64165,
  [SMALL_STATE(1733)] = 64184,
  [SMALL_STATE(1734)] = 64201,
  [SMALL_STATE(1735)] = 64222,
  [SMALL_STATE(1736)] = 64241,
  [SMALL_STATE(1737)] = 64260,
  [SMALL_STATE(1738)] = 64279,
  [SMALL_STATE(1739)] = 64304,
  [SMALL_STATE(1740)] = 64323,
  [SMALL_STATE(1741)] = 64342,
  [SMALL_STATE(1742)] = 64361,
  [SMALL_STATE(1743)] = 64380,
  [SMALL_STATE(1744)] = 64403,
  [SMALL_STATE(1745)] = 64422,
  [SMALL_STATE(1746)] = 64441,
  [SMALL_STATE(1747)] = 64464,
  [SMALL_STATE(1748)] = 64483,
  [SMALL_STATE(1749)] = 64500,
  [SMALL_STATE(1750)] = 64519,
  [SMALL_STATE(1751)] = 64542,
  [SMALL_STATE(1752)] = 64567,
  [SMALL_STATE(1753)] = 64588,
  [SMALL_STATE(1754)] = 64611,
  [SMALL_STATE(1755)] = 64630,
  [SMALL_STATE(1756)] = 64647,
  [SMALL_STATE(1757)] = 64666,
  [SMALL_STATE(1758)] = 64689,
  [SMALL_STATE(1759)] = 64712,
  [SMALL_STATE(1760)] = 64735,
  [SMALL_STATE(1761)] = 64758,
  [SMALL_STATE(1762)] = 64777,
  [SMALL_STATE(1763)] = 64800,
  [SMALL_STATE(1764)] = 64821,
  [SMALL_STATE(1765)] = 64838,
  [SMALL_STATE(1766)] = 64861,
  [SMALL_STATE(1767)] = 64878,
  [SMALL_STATE(1768)] = 64903,
  [SMALL_STATE(1769)] = 64928,
  [SMALL_STATE(1770)] = 64951,
  [SMALL_STATE(1771)] = 64970,
  [SMALL_STATE(1772)] = 64993,
  [SMALL_STATE(1773)] = 65010,
  [SMALL_STATE(1774)] = 65035,
  [SMALL_STATE(1775)] = 65058,
  [SMALL_STATE(1776)] = 65081,
  [SMALL_STATE(1777)] = 65104,
  [SMALL_STATE(1778)] = 65127,
  [SMALL_STATE(1779)] = 65148,
  [SMALL_STATE(1780)] = 65173,
  [SMALL_STATE(1781)] = 65198,
  [SMALL_STATE(1782)] = 65223,
  [SMALL_STATE(1783)] = 65248,
  [SMALL_STATE(1784)] = 65271,
  [SMALL_STATE(1785)] = 65296,
  [SMALL_STATE(1786)] = 65321,
  [SMALL_STATE(1787)] = 65346,
  [SMALL_STATE(1788)] = 65369,
  [SMALL_STATE(1789)] = 65392,
  [SMALL_STATE(1790)] = 65415,
  [SMALL_STATE(1791)] = 65440,
  [SMALL_STATE(1792)] = 65463,
  [SMALL_STATE(1793)] = 65482,
  [SMALL_STATE(1794)] = 65505,
  [SMALL_STATE(1795)] = 65522,
  [SMALL_STATE(1796)] = 65541,
  [SMALL_STATE(1797)] = 65558,
  [SMALL_STATE(1798)] = 65581,
  [SMALL_STATE(1799)] = 65606,
  [SMALL_STATE(1800)] = 65627,
  [SMALL_STATE(1801)] = 65650,
  [SMALL_STATE(1802)] = 65669,
  [SMALL_STATE(1803)] = 65690,
  [SMALL_STATE(1804)] = 65709,
  [SMALL_STATE(1805)] = 65732,
  [SMALL_STATE(1806)] = 65753,
  [SMALL_STATE(1807)] = 65772,
  [SMALL_STATE(1808)] = 65795,
  [SMALL_STATE(1809)] = 65818,
  [SMALL_STATE(1810)] = 65841,
  [SMALL_STATE(1811)] = 65862,
  [SMALL_STATE(1812)] = 65885,
  [SMALL_STATE(1813)] = 65908,
  [SMALL_STATE(1814)] = 65933,
  [SMALL_STATE(1815)] = 65952,
  [SMALL_STATE(1816)] = 65971,
  [SMALL_STATE(1817)] = 65994,
  [SMALL_STATE(1818)] = 66017,
  [SMALL_STATE(1819)] = 66042,
  [SMALL_STATE(1820)] = 66061,
  [SMALL_STATE(1821)] = 66086,
  [SMALL_STATE(1822)] = 66109,
  [SMALL_STATE(1823)] = 66132,
  [SMALL_STATE(1824)] = 66155,
  [SMALL_STATE(1825)] = 66180,
  [SMALL_STATE(1826)] = 66205,
  [SMALL_STATE(1827)] = 66228,
  [SMALL_STATE(1828)] = 66251,
  [SMALL_STATE(1829)] = 66268,
  [SMALL_STATE(1830)] = 66289,
  [SMALL_STATE(1831)] = 66312,
  [SMALL_STATE(1832)] = 66333,
  [SMALL_STATE(1833)] = 66356,
  [SMALL_STATE(1834)] = 66379,
  [SMALL_STATE(1835)] = 66398,
  [SMALL_STATE(1836)] = 66419,
  [SMALL_STATE(1837)] = 66442,
  [SMALL_STATE(1838)] = 66461,
  [SMALL_STATE(1839)] = 66486,
  [SMALL_STATE(1840)] = 66505,
  [SMALL_STATE(1841)] = 66528,
  [SMALL_STATE(1842)] = 66547,
  [SMALL_STATE(1843)] = 66566,
  [SMALL_STATE(1844)] = 66588,
  [SMALL_STATE(1845)] = 66610,
  [SMALL_STATE(1846)] = 66632,
  [SMALL_STATE(1847)] = 66654,
  [SMALL_STATE(1848)] = 66676,
  [SMALL_STATE(1849)] = 66698,
  [SMALL_STATE(1850)] = 66714,
  [SMALL_STATE(1851)] = 66734,
  [SMALL_STATE(1852)] = 66750,
  [SMALL_STATE(1853)] = 66770,
  [SMALL_STATE(1854)] = 66792,
  [SMALL_STATE(1855)] = 66812,
  [SMALL_STATE(1856)] = 66834,
  [SMALL_STATE(1857)] = 66856,
  [SMALL_STATE(1858)] = 66878,
  [SMALL_STATE(1859)] = 66898,
  [SMALL_STATE(1860)] = 66914,
  [SMALL_STATE(1861)] = 66936,
  [SMALL_STATE(1862)] = 66958,
  [SMALL_STATE(1863)] = 66980,
  [SMALL_STATE(1864)] = 67002,
  [SMALL_STATE(1865)] = 67022,
  [SMALL_STATE(1866)] = 67044,
  [SMALL_STATE(1867)] = 67064,
  [SMALL_STATE(1868)] = 67086,
  [SMALL_STATE(1869)] = 67108,
  [SMALL_STATE(1870)] = 67124,
  [SMALL_STATE(1871)] = 67146,
  [SMALL_STATE(1872)] = 67168,
  [SMALL_STATE(1873)] = 67190,
  [SMALL_STATE(1874)] = 67212,
  [SMALL_STATE(1875)] = 67228,
  [SMALL_STATE(1876)] = 67248,
  [SMALL_STATE(1877)] = 67270,
  [SMALL_STATE(1878)] = 67292,
  [SMALL_STATE(1879)] = 67314,
  [SMALL_STATE(1880)] = 67330,
  [SMALL_STATE(1881)] = 67346,
  [SMALL_STATE(1882)] = 67366,
  [SMALL_STATE(1883)] = 67386,
  [SMALL_STATE(1884)] = 67408,
  [SMALL_STATE(1885)] = 67426,
  [SMALL_STATE(1886)] = 67446,
  [SMALL_STATE(1887)] = 67464,
  [SMALL_STATE(1888)] = 67484,
  [SMALL_STATE(1889)] = 67502,
  [SMALL_STATE(1890)] = 67522,
  [SMALL_STATE(1891)] = 67542,
  [SMALL_STATE(1892)] = 67558,
  [SMALL_STATE(1893)] = 67576,
  [SMALL_STATE(1894)] = 67598,
  [SMALL_STATE(1895)] = 67616,
  [SMALL_STATE(1896)] = 67634,
  [SMALL_STATE(1897)] = 67652,
  [SMALL_STATE(1898)] = 67672,
  [SMALL_STATE(1899)] = 67694,
  [SMALL_STATE(1900)] = 67716,
  [SMALL_STATE(1901)] = 67738,
  [SMALL_STATE(1902)] = 67760,
  [SMALL_STATE(1903)] = 67780,
  [SMALL_STATE(1904)] = 67802,
  [SMALL_STATE(1905)] = 67824,
  [SMALL_STATE(1906)] = 67842,
  [SMALL_STATE(1907)] = 67858,
  [SMALL_STATE(1908)] = 67880,
  [SMALL_STATE(1909)] = 67902,
  [SMALL_STATE(1910)] = 67924,
  [SMALL_STATE(1911)] = 67946,
  [SMALL_STATE(1912)] = 67968,
  [SMALL_STATE(1913)] = 67988,
  [SMALL_STATE(1914)] = 68010,
  [SMALL_STATE(1915)] = 68026,
  [SMALL_STATE(1916)] = 68044,
  [SMALL_STATE(1917)] = 68060,
  [SMALL_STATE(1918)] = 68078,
  [SMALL_STATE(1919)] = 68098,
  [SMALL_STATE(1920)] = 68118,
  [SMALL_STATE(1921)] = 68140,
  [SMALL_STATE(1922)] = 68162,
  [SMALL_STATE(1923)] = 68184,
  [SMALL_STATE(1924)] = 68202,
  [SMALL_STATE(1925)] = 68222,
  [SMALL_STATE(1926)] = 68244,
  [SMALL_STATE(1927)] = 68262,
  [SMALL_STATE(1928)] = 68282,
  [SMALL_STATE(1929)] = 68302,
  [SMALL_STATE(1930)] = 68318,
  [SMALL_STATE(1931)] = 68334,
  [SMALL_STATE(1932)] = 68350,
  [SMALL_STATE(1933)] = 68366,
  [SMALL_STATE(1934)] = 68384,
  [SMALL_STATE(1935)] = 68402,
  [SMALL_STATE(1936)] = 68418,
  [SMALL_STATE(1937)] = 68436,
  [SMALL_STATE(1938)] = 68458,
  [SMALL_STATE(1939)] = 68480,
  [SMALL_STATE(1940)] = 68502,
  [SMALL_STATE(1941)] = 68524,
  [SMALL_STATE(1942)] = 68540,
  [SMALL_STATE(1943)] = 68560,
  [SMALL_STATE(1944)] = 68576,
  [SMALL_STATE(1945)] = 68598,
  [SMALL_STATE(1946)] = 68616,
  [SMALL_STATE(1947)] = 68634,
  [SMALL_STATE(1948)] = 68652,
  [SMALL_STATE(1949)] = 68674,
  [SMALL_STATE(1950)] = 68694,
  [SMALL_STATE(1951)] = 68716,
  [SMALL_STATE(1952)] = 68734,
  [SMALL_STATE(1953)] = 68754,
  [SMALL_STATE(1954)] = 68773,
  [SMALL_STATE(1955)] = 68790,
  [SMALL_STATE(1956)] = 68807,
  [SMALL_STATE(1957)] = 68824,
  [SMALL_STATE(1958)] = 68841,
  [SMALL_STATE(1959)] = 68858,
  [SMALL_STATE(1960)] = 68875,
  [SMALL_STATE(1961)] = 68892,
  [SMALL_STATE(1962)] = 68909,
  [SMALL_STATE(1963)] = 68926,
  [SMALL_STATE(1964)] = 68943,
  [SMALL_STATE(1965)] = 68960,
  [SMALL_STATE(1966)] = 68977,
  [SMALL_STATE(1967)] = 68994,
  [SMALL_STATE(1968)] = 69011,
  [SMALL_STATE(1969)] = 69028,
  [SMALL_STATE(1970)] = 69047,
  [SMALL_STATE(1971)] = 69064,
  [SMALL_STATE(1972)] = 69081,
  [SMALL_STATE(1973)] = 69098,
  [SMALL_STATE(1974)] = 69115,
  [SMALL_STATE(1975)] = 69132,
  [SMALL_STATE(1976)] = 69149,
  [SMALL_STATE(1977)] = 69166,
  [SMALL_STATE(1978)] = 69183,
  [SMALL_STATE(1979)] = 69200,
  [SMALL_STATE(1980)] = 69217,
  [SMALL_STATE(1981)] = 69234,
  [SMALL_STATE(1982)] = 69249,
  [SMALL_STATE(1983)] = 69264,
  [SMALL_STATE(1984)] = 69281,
  [SMALL_STATE(1985)] = 69298,
  [SMALL_STATE(1986)] = 69315,
  [SMALL_STATE(1987)] = 69332,
  [SMALL_STATE(1988)] = 69349,
  [SMALL_STATE(1989)] = 69366,
  [SMALL_STATE(1990)] = 69383,
  [SMALL_STATE(1991)] = 69398,
  [SMALL_STATE(1992)] = 69415,
  [SMALL_STATE(1993)] = 69432,
  [SMALL_STATE(1994)] = 69449,
  [SMALL_STATE(1995)] = 69466,
  [SMALL_STATE(1996)] = 69483,
  [SMALL_STATE(1997)] = 69500,
  [SMALL_STATE(1998)] = 69517,
  [SMALL_STATE(1999)] = 69534,
  [SMALL_STATE(2000)] = 69551,
  [SMALL_STATE(2001)] = 69568,
  [SMALL_STATE(2002)] = 69585,
  [SMALL_STATE(2003)] = 69602,
  [SMALL_STATE(2004)] = 69619,
  [SMALL_STATE(2005)] = 69636,
  [SMALL_STATE(2006)] = 69653,
  [SMALL_STATE(2007)] = 69672,
  [SMALL_STATE(2008)] = 69689,
  [SMALL_STATE(2009)] = 69706,
  [SMALL_STATE(2010)] = 69723,
  [SMALL_STATE(2011)] = 69740,
  [SMALL_STATE(2012)] = 69757,
  [SMALL_STATE(2013)] = 69774,
  [SMALL_STATE(2014)] = 69791,
  [SMALL_STATE(2015)] = 69810,
  [SMALL_STATE(2016)] = 69827,
  [SMALL_STATE(2017)] = 69844,
  [SMALL_STATE(2018)] = 69861,
  [SMALL_STATE(2019)] = 69878,
  [SMALL_STATE(2020)] = 69897,
  [SMALL_STATE(2021)] = 69916,
  [SMALL_STATE(2022)] = 69933,
  [SMALL_STATE(2023)] = 69950,
  [SMALL_STATE(2024)] = 69967,
  [SMALL_STATE(2025)] = 69984,
  [SMALL_STATE(2026)] = 69999,
  [SMALL_STATE(2027)] = 70016,
  [SMALL_STATE(2028)] = 70033,
  [SMALL_STATE(2029)] = 70052,
  [SMALL_STATE(2030)] = 70067,
  [SMALL_STATE(2031)] = 70086,
  [SMALL_STATE(2032)] = 70105,
  [SMALL_STATE(2033)] = 70120,
  [SMALL_STATE(2034)] = 70139,
  [SMALL_STATE(2035)] = 70158,
  [SMALL_STATE(2036)] = 70175,
  [SMALL_STATE(2037)] = 70190,
  [SMALL_STATE(2038)] = 70209,
  [SMALL_STATE(2039)] = 70226,
  [SMALL_STATE(2040)] = 70243,
  [SMALL_STATE(2041)] = 70260,
  [SMALL_STATE(2042)] = 70277,
  [SMALL_STATE(2043)] = 70294,
  [SMALL_STATE(2044)] = 70311,
  [SMALL_STATE(2045)] = 70328,
  [SMALL_STATE(2046)] = 70343,
  [SMALL_STATE(2047)] = 70360,
  [SMALL_STATE(2048)] = 70377,
  [SMALL_STATE(2049)] = 70394,
  [SMALL_STATE(2050)] = 70411,
  [SMALL_STATE(2051)] = 70430,
  [SMALL_STATE(2052)] = 70447,
  [SMALL_STATE(2053)] = 70464,
  [SMALL_STATE(2054)] = 70481,
  [SMALL_STATE(2055)] = 70498,
  [SMALL_STATE(2056)] = 70515,
  [SMALL_STATE(2057)] = 70532,
  [SMALL_STATE(2058)] = 70549,
  [SMALL_STATE(2059)] = 70566,
  [SMALL_STATE(2060)] = 70583,
  [SMALL_STATE(2061)] = 70600,
  [SMALL_STATE(2062)] = 70617,
  [SMALL_STATE(2063)] = 70634,
  [SMALL_STATE(2064)] = 70651,
  [SMALL_STATE(2065)] = 70670,
  [SMALL_STATE(2066)] = 70687,
  [SMALL_STATE(2067)] = 70704,
  [SMALL_STATE(2068)] = 70721,
  [SMALL_STATE(2069)] = 70740,
  [SMALL_STATE(2070)] = 70757,
  [SMALL_STATE(2071)] = 70774,
  [SMALL_STATE(2072)] = 70791,
  [SMALL_STATE(2073)] = 70808,
  [SMALL_STATE(2074)] = 70825,
  [SMALL_STATE(2075)] = 70842,
  [SMALL_STATE(2076)] = 70859,
  [SMALL_STATE(2077)] = 70878,
  [SMALL_STATE(2078)] = 70897,
  [SMALL_STATE(2079)] = 70914,
  [SMALL_STATE(2080)] = 70929,
  [SMALL_STATE(2081)] = 70948,
  [SMALL_STATE(2082)] = 70967,
  [SMALL_STATE(2083)] = 70984,
  [SMALL_STATE(2084)] = 71003,
  [SMALL_STATE(2085)] = 71022,
  [SMALL_STATE(2086)] = 71041,
  [SMALL_STATE(2087)] = 71058,
  [SMALL_STATE(2088)] = 71075,
  [SMALL_STATE(2089)] = 71092,
  [SMALL_STATE(2090)] = 71109,
  [SMALL_STATE(2091)] = 71126,
  [SMALL_STATE(2092)] = 71143,
  [SMALL_STATE(2093)] = 71160,
  [SMALL_STATE(2094)] = 71179,
  [SMALL_STATE(2095)] = 71198,
  [SMALL_STATE(2096)] = 71217,
  [SMALL_STATE(2097)] = 71234,
  [SMALL_STATE(2098)] = 71251,
  [SMALL_STATE(2099)] = 71268,
  [SMALL_STATE(2100)] = 71285,
  [SMALL_STATE(2101)] = 71302,
  [SMALL_STATE(2102)] = 71319,
  [SMALL_STATE(2103)] = 71336,
  [SMALL_STATE(2104)] = 71355,
  [SMALL_STATE(2105)] = 71374,
  [SMALL_STATE(2106)] = 71393,
  [SMALL_STATE(2107)] = 71412,
  [SMALL_STATE(2108)] = 71429,
  [SMALL_STATE(2109)] = 71446,
  [SMALL_STATE(2110)] = 71463,
  [SMALL_STATE(2111)] = 71480,
  [SMALL_STATE(2112)] = 71495,
  [SMALL_STATE(2113)] = 71512,
  [SMALL_STATE(2114)] = 71531,
  [SMALL_STATE(2115)] = 71550,
  [SMALL_STATE(2116)] = 71567,
  [SMALL_STATE(2117)] = 71584,
  [SMALL_STATE(2118)] = 71603,
  [SMALL_STATE(2119)] = 71622,
  [SMALL_STATE(2120)] = 71639,
  [SMALL_STATE(2121)] = 71658,
  [SMALL_STATE(2122)] = 71677,
  [SMALL_STATE(2123)] = 71694,
  [SMALL_STATE(2124)] = 71713,
  [SMALL_STATE(2125)] = 71730,
  [SMALL_STATE(2126)] = 71749,
  [SMALL_STATE(2127)] = 71766,
  [SMALL_STATE(2128)] = 71783,
  [SMALL_STATE(2129)] = 71800,
  [SMALL_STATE(2130)] = 71817,
  [SMALL_STATE(2131)] = 71836,
  [SMALL_STATE(2132)] = 71853,
  [SMALL_STATE(2133)] = 71872,
  [SMALL_STATE(2134)] = 71889,
  [SMALL_STATE(2135)] = 71908,
  [SMALL_STATE(2136)] = 71927,
  [SMALL_STATE(2137)] = 71946,
  [SMALL_STATE(2138)] = 71963,
  [SMALL_STATE(2139)] = 71982,
  [SMALL_STATE(2140)] = 72001,
  [SMALL_STATE(2141)] = 72018,
  [SMALL_STATE(2142)] = 72037,
  [SMALL_STATE(2143)] = 72054,
  [SMALL_STATE(2144)] = 72071,
  [SMALL_STATE(2145)] = 72090,
  [SMALL_STATE(2146)] = 72109,
  [SMALL_STATE(2147)] = 72126,
  [SMALL_STATE(2148)] = 72143,
  [SMALL_STATE(2149)] = 72162,
  [SMALL_STATE(2150)] = 72179,
  [SMALL_STATE(2151)] = 72196,
  [SMALL_STATE(2152)] = 72215,
  [SMALL_STATE(2153)] = 72232,
  [SMALL_STATE(2154)] = 72249,
  [SMALL_STATE(2155)] = 72266,
  [SMALL_STATE(2156)] = 72283,
  [SMALL_STATE(2157)] = 72300,
  [SMALL_STATE(2158)] = 72319,
  [SMALL_STATE(2159)] = 72336,
  [SMALL_STATE(2160)] = 72353,
  [SMALL_STATE(2161)] = 72368,
  [SMALL_STATE(2162)] = 72387,
  [SMALL_STATE(2163)] = 72406,
  [SMALL_STATE(2164)] = 72425,
  [SMALL_STATE(2165)] = 72440,
  [SMALL_STATE(2166)] = 72459,
  [SMALL_STATE(2167)] = 72476,
  [SMALL_STATE(2168)] = 72491,
  [SMALL_STATE(2169)] = 72508,
  [SMALL_STATE(2170)] = 72525,
  [SMALL_STATE(2171)] = 72542,
  [SMALL_STATE(2172)] = 72561,
  [SMALL_STATE(2173)] = 72580,
  [SMALL_STATE(2174)] = 72597,
  [SMALL_STATE(2175)] = 72614,
  [SMALL_STATE(2176)] = 72633,
  [SMALL_STATE(2177)] = 72650,
  [SMALL_STATE(2178)] = 72667,
  [SMALL_STATE(2179)] = 72686,
  [SMALL_STATE(2180)] = 72703,
  [SMALL_STATE(2181)] = 72722,
  [SMALL_STATE(2182)] = 72739,
  [SMALL_STATE(2183)] = 72758,
  [SMALL_STATE(2184)] = 72775,
  [SMALL_STATE(2185)] = 72792,
  [SMALL_STATE(2186)] = 72811,
  [SMALL_STATE(2187)] = 72830,
  [SMALL_STATE(2188)] = 72849,
  [SMALL_STATE(2189)] = 72866,
  [SMALL_STATE(2190)] = 72885,
  [SMALL_STATE(2191)] = 72902,
  [SMALL_STATE(2192)] = 72921,
  [SMALL_STATE(2193)] = 72938,
  [SMALL_STATE(2194)] = 72955,
  [SMALL_STATE(2195)] = 72972,
  [SMALL_STATE(2196)] = 72987,
  [SMALL_STATE(2197)] = 73004,
  [SMALL_STATE(2198)] = 73021,
  [SMALL_STATE(2199)] = 73038,
  [SMALL_STATE(2200)] = 73053,
  [SMALL_STATE(2201)] = 73068,
  [SMALL_STATE(2202)] = 73083,
  [SMALL_STATE(2203)] = 73098,
  [SMALL_STATE(2204)] = 73117,
  [SMALL_STATE(2205)] = 73136,
  [SMALL_STATE(2206)] = 73155,
  [SMALL_STATE(2207)] = 73174,
  [SMALL_STATE(2208)] = 73189,
  [SMALL_STATE(2209)] = 73206,
  [SMALL_STATE(2210)] = 73223,
  [SMALL_STATE(2211)] = 73240,
  [SMALL_STATE(2212)] = 73259,
  [SMALL_STATE(2213)] = 73276,
  [SMALL_STATE(2214)] = 73293,
  [SMALL_STATE(2215)] = 73312,
  [SMALL_STATE(2216)] = 73329,
  [SMALL_STATE(2217)] = 73346,
  [SMALL_STATE(2218)] = 73363,
  [SMALL_STATE(2219)] = 73380,
  [SMALL_STATE(2220)] = 73397,
  [SMALL_STATE(2221)] = 73414,
  [SMALL_STATE(2222)] = 73433,
  [SMALL_STATE(2223)] = 73450,
  [SMALL_STATE(2224)] = 73467,
  [SMALL_STATE(2225)] = 73484,
  [SMALL_STATE(2226)] = 73501,
  [SMALL_STATE(2227)] = 73520,
  [SMALL_STATE(2228)] = 73537,
  [SMALL_STATE(2229)] = 73554,
  [SMALL_STATE(2230)] = 73571,
  [SMALL_STATE(2231)] = 73588,
  [SMALL_STATE(2232)] = 73605,
  [SMALL_STATE(2233)] = 73622,
  [SMALL_STATE(2234)] = 73639,
  [SMALL_STATE(2235)] = 73658,
  [SMALL_STATE(2236)] = 73673,
  [SMALL_STATE(2237)] = 73690,
  [SMALL_STATE(2238)] = 73707,
  [SMALL_STATE(2239)] = 73726,
  [SMALL_STATE(2240)] = 73741,
  [SMALL_STATE(2241)] = 73756,
  [SMALL_STATE(2242)] = 73775,
  [SMALL_STATE(2243)] = 73794,
  [SMALL_STATE(2244)] = 73811,
  [SMALL_STATE(2245)] = 73828,
  [SMALL_STATE(2246)] = 73845,
  [SMALL_STATE(2247)] = 73862,
  [SMALL_STATE(2248)] = 73877,
  [SMALL_STATE(2249)] = 73894,
  [SMALL_STATE(2250)] = 73911,
  [SMALL_STATE(2251)] = 73930,
  [SMALL_STATE(2252)] = 73947,
  [SMALL_STATE(2253)] = 73966,
  [SMALL_STATE(2254)] = 73985,
  [SMALL_STATE(2255)] = 74002,
  [SMALL_STATE(2256)] = 74021,
  [SMALL_STATE(2257)] = 74040,
  [SMALL_STATE(2258)] = 74057,
  [SMALL_STATE(2259)] = 74076,
  [SMALL_STATE(2260)] = 74093,
  [SMALL_STATE(2261)] = 74110,
  [SMALL_STATE(2262)] = 74129,
  [SMALL_STATE(2263)] = 74148,
  [SMALL_STATE(2264)] = 74165,
  [SMALL_STATE(2265)] = 74182,
  [SMALL_STATE(2266)] = 74199,
  [SMALL_STATE(2267)] = 74216,
  [SMALL_STATE(2268)] = 74235,
  [SMALL_STATE(2269)] = 74252,
  [SMALL_STATE(2270)] = 74269,
  [SMALL_STATE(2271)] = 74286,
  [SMALL_STATE(2272)] = 74305,
  [SMALL_STATE(2273)] = 74324,
  [SMALL_STATE(2274)] = 74341,
  [SMALL_STATE(2275)] = 74360,
  [SMALL_STATE(2276)] = 74377,
  [SMALL_STATE(2277)] = 74394,
  [SMALL_STATE(2278)] = 74413,
  [SMALL_STATE(2279)] = 74430,
  [SMALL_STATE(2280)] = 74449,
  [SMALL_STATE(2281)] = 74466,
  [SMALL_STATE(2282)] = 74485,
  [SMALL_STATE(2283)] = 74504,
  [SMALL_STATE(2284)] = 74521,
  [SMALL_STATE(2285)] = 74538,
  [SMALL_STATE(2286)] = 74555,
  [SMALL_STATE(2287)] = 74570,
  [SMALL_STATE(2288)] = 74589,
  [SMALL_STATE(2289)] = 74606,
  [SMALL_STATE(2290)] = 74623,
  [SMALL_STATE(2291)] = 74642,
  [SMALL_STATE(2292)] = 74659,
  [SMALL_STATE(2293)] = 74676,
  [SMALL_STATE(2294)] = 74693,
  [SMALL_STATE(2295)] = 74710,
  [SMALL_STATE(2296)] = 74729,
  [SMALL_STATE(2297)] = 74748,
  [SMALL_STATE(2298)] = 74765,
  [SMALL_STATE(2299)] = 74781,
  [SMALL_STATE(2300)] = 74795,
  [SMALL_STATE(2301)] = 74811,
  [SMALL_STATE(2302)] = 74825,
  [SMALL_STATE(2303)] = 74839,
  [SMALL_STATE(2304)] = 74855,
  [SMALL_STATE(2305)] = 74869,
  [SMALL_STATE(2306)] = 74885,
  [SMALL_STATE(2307)] = 74899,
  [SMALL_STATE(2308)] = 74915,
  [SMALL_STATE(2309)] = 74929,
  [SMALL_STATE(2310)] = 74943,
  [SMALL_STATE(2311)] = 74959,
  [SMALL_STATE(2312)] = 74973,
  [SMALL_STATE(2313)] = 74989,
  [SMALL_STATE(2314)] = 75003,
  [SMALL_STATE(2315)] = 75019,
  [SMALL_STATE(2316)] = 75035,
  [SMALL_STATE(2317)] = 75051,
  [SMALL_STATE(2318)] = 75065,
  [SMALL_STATE(2319)] = 75079,
  [SMALL_STATE(2320)] = 75095,
  [SMALL_STATE(2321)] = 75109,
  [SMALL_STATE(2322)] = 75125,
  [SMALL_STATE(2323)] = 75139,
  [SMALL_STATE(2324)] = 75155,
  [SMALL_STATE(2325)] = 75171,
  [SMALL_STATE(2326)] = 75187,
  [SMALL_STATE(2327)] = 75201,
  [SMALL_STATE(2328)] = 75217,
  [SMALL_STATE(2329)] = 75233,
  [SMALL_STATE(2330)] = 75249,
  [SMALL_STATE(2331)] = 75265,
  [SMALL_STATE(2332)] = 75281,
  [SMALL_STATE(2333)] = 75297,
  [SMALL_STATE(2334)] = 75313,
  [SMALL_STATE(2335)] = 75327,
  [SMALL_STATE(2336)] = 75343,
  [SMALL_STATE(2337)] = 75357,
  [SMALL_STATE(2338)] = 75373,
  [SMALL_STATE(2339)] = 75387,
  [SMALL_STATE(2340)] = 75401,
  [SMALL_STATE(2341)] = 75415,
  [SMALL_STATE(2342)] = 75429,
  [SMALL_STATE(2343)] = 75445,
  [SMALL_STATE(2344)] = 75461,
  [SMALL_STATE(2345)] = 75475,
  [SMALL_STATE(2346)] = 75491,
  [SMALL_STATE(2347)] = 75505,
  [SMALL_STATE(2348)] = 75521,
  [SMALL_STATE(2349)] = 75535,
  [SMALL_STATE(2350)] = 75549,
  [SMALL_STATE(2351)] = 75565,
  [SMALL_STATE(2352)] = 75579,
  [SMALL_STATE(2353)] = 75593,
  [SMALL_STATE(2354)] = 75607,
  [SMALL_STATE(2355)] = 75623,
  [SMALL_STATE(2356)] = 75639,
  [SMALL_STATE(2357)] = 75655,
  [SMALL_STATE(2358)] = 75671,
  [SMALL_STATE(2359)] = 75685,
  [SMALL_STATE(2360)] = 75699,
  [SMALL_STATE(2361)] = 75715,
  [SMALL_STATE(2362)] = 75729,
  [SMALL_STATE(2363)] = 75743,
  [SMALL_STATE(2364)] = 75757,
  [SMALL_STATE(2365)] = 75773,
  [SMALL_STATE(2366)] = 75789,
  [SMALL_STATE(2367)] = 75803,
  [SMALL_STATE(2368)] = 75817,
  [SMALL_STATE(2369)] = 75833,
  [SMALL_STATE(2370)] = 75849,
  [SMALL_STATE(2371)] = 75865,
  [SMALL_STATE(2372)] = 75881,
  [SMALL_STATE(2373)] = 75897,
  [SMALL_STATE(2374)] = 75911,
  [SMALL_STATE(2375)] = 75927,
  [SMALL_STATE(2376)] = 75943,
  [SMALL_STATE(2377)] = 75959,
  [SMALL_STATE(2378)] = 75975,
  [SMALL_STATE(2379)] = 75991,
  [SMALL_STATE(2380)] = 76005,
  [SMALL_STATE(2381)] = 76019,
  [SMALL_STATE(2382)] = 76035,
  [SMALL_STATE(2383)] = 76051,
  [SMALL_STATE(2384)] = 76067,
  [SMALL_STATE(2385)] = 76083,
  [SMALL_STATE(2386)] = 76099,
  [SMALL_STATE(2387)] = 76115,
  [SMALL_STATE(2388)] = 76129,
  [SMALL_STATE(2389)] = 76145,
  [SMALL_STATE(2390)] = 76161,
  [SMALL_STATE(2391)] = 76175,
  [SMALL_STATE(2392)] = 76191,
  [SMALL_STATE(2393)] = 76207,
  [SMALL_STATE(2394)] = 76223,
  [SMALL_STATE(2395)] = 76237,
  [SMALL_STATE(2396)] = 76251,
  [SMALL_STATE(2397)] = 76267,
  [SMALL_STATE(2398)] = 76283,
  [SMALL_STATE(2399)] = 76299,
  [SMALL_STATE(2400)] = 76313,
  [SMALL_STATE(2401)] = 76329,
  [SMALL_STATE(2402)] = 76345,
  [SMALL_STATE(2403)] = 76361,
  [SMALL_STATE(2404)] = 76377,
  [SMALL_STATE(2405)] = 76393,
  [SMALL_STATE(2406)] = 76409,
  [SMALL_STATE(2407)] = 76425,
  [SMALL_STATE(2408)] = 76441,
  [SMALL_STATE(2409)] = 76457,
  [SMALL_STATE(2410)] = 76473,
  [SMALL_STATE(2411)] = 76487,
  [SMALL_STATE(2412)] = 76503,
  [SMALL_STATE(2413)] = 76519,
  [SMALL_STATE(2414)] = 76535,
  [SMALL_STATE(2415)] = 76551,
  [SMALL_STATE(2416)] = 76567,
  [SMALL_STATE(2417)] = 76583,
  [SMALL_STATE(2418)] = 76599,
  [SMALL_STATE(2419)] = 76615,
  [SMALL_STATE(2420)] = 76631,
  [SMALL_STATE(2421)] = 76647,
  [SMALL_STATE(2422)] = 76661,
  [SMALL_STATE(2423)] = 76677,
  [SMALL_STATE(2424)] = 76693,
  [SMALL_STATE(2425)] = 76709,
  [SMALL_STATE(2426)] = 76725,
  [SMALL_STATE(2427)] = 76741,
  [SMALL_STATE(2428)] = 76757,
  [SMALL_STATE(2429)] = 76771,
  [SMALL_STATE(2430)] = 76785,
  [SMALL_STATE(2431)] = 76801,
  [SMALL_STATE(2432)] = 76817,
  [SMALL_STATE(2433)] = 76833,
  [SMALL_STATE(2434)] = 76847,
  [SMALL_STATE(2435)] = 76861,
  [SMALL_STATE(2436)] = 76875,
  [SMALL_STATE(2437)] = 76891,
  [SMALL_STATE(2438)] = 76907,
  [SMALL_STATE(2439)] = 76921,
  [SMALL_STATE(2440)] = 76937,
  [SMALL_STATE(2441)] = 76953,
  [SMALL_STATE(2442)] = 76967,
  [SMALL_STATE(2443)] = 76983,
  [SMALL_STATE(2444)] = 76997,
  [SMALL_STATE(2445)] = 77013,
  [SMALL_STATE(2446)] = 77029,
  [SMALL_STATE(2447)] = 77045,
  [SMALL_STATE(2448)] = 77059,
  [SMALL_STATE(2449)] = 77073,
  [SMALL_STATE(2450)] = 77089,
  [SMALL_STATE(2451)] = 77105,
  [SMALL_STATE(2452)] = 77121,
  [SMALL_STATE(2453)] = 77137,
  [SMALL_STATE(2454)] = 77153,
  [SMALL_STATE(2455)] = 77169,
  [SMALL_STATE(2456)] = 77185,
  [SMALL_STATE(2457)] = 77199,
  [SMALL_STATE(2458)] = 77215,
  [SMALL_STATE(2459)] = 77231,
  [SMALL_STATE(2460)] = 77247,
  [SMALL_STATE(2461)] = 77263,
  [SMALL_STATE(2462)] = 77279,
  [SMALL_STATE(2463)] = 77295,
  [SMALL_STATE(2464)] = 77311,
  [SMALL_STATE(2465)] = 77327,
  [SMALL_STATE(2466)] = 77341,
  [SMALL_STATE(2467)] = 77357,
  [SMALL_STATE(2468)] = 77373,
  [SMALL_STATE(2469)] = 77389,
  [SMALL_STATE(2470)] = 77403,
  [SMALL_STATE(2471)] = 77419,
  [SMALL_STATE(2472)] = 77435,
  [SMALL_STATE(2473)] = 77449,
  [SMALL_STATE(2474)] = 77465,
  [SMALL_STATE(2475)] = 77479,
  [SMALL_STATE(2476)] = 77493,
  [SMALL_STATE(2477)] = 77509,
  [SMALL_STATE(2478)] = 77523,
  [SMALL_STATE(2479)] = 77539,
  [SMALL_STATE(2480)] = 77555,
  [SMALL_STATE(2481)] = 77569,
  [SMALL_STATE(2482)] = 77583,
  [SMALL_STATE(2483)] = 77597,
  [SMALL_STATE(2484)] = 77613,
  [SMALL_STATE(2485)] = 77629,
  [SMALL_STATE(2486)] = 77645,
  [SMALL_STATE(2487)] = 77661,
  [SMALL_STATE(2488)] = 77677,
  [SMALL_STATE(2489)] = 77693,
  [SMALL_STATE(2490)] = 77709,
  [SMALL_STATE(2491)] = 77725,
  [SMALL_STATE(2492)] = 77739,
  [SMALL_STATE(2493)] = 77755,
  [SMALL_STATE(2494)] = 77769,
  [SMALL_STATE(2495)] = 77785,
  [SMALL_STATE(2496)] = 77801,
  [SMALL_STATE(2497)] = 77817,
  [SMALL_STATE(2498)] = 77833,
  [SMALL_STATE(2499)] = 77847,
  [SMALL_STATE(2500)] = 77861,
  [SMALL_STATE(2501)] = 77877,
  [SMALL_STATE(2502)] = 77893,
  [SMALL_STATE(2503)] = 77907,
  [SMALL_STATE(2504)] = 77921,
  [SMALL_STATE(2505)] = 77935,
  [SMALL_STATE(2506)] = 77948,
  [SMALL_STATE(2507)] = 77961,
  [SMALL_STATE(2508)] = 77974,
  [SMALL_STATE(2509)] = 77987,
  [SMALL_STATE(2510)] = 78000,
  [SMALL_STATE(2511)] = 78013,
  [SMALL_STATE(2512)] = 78026,
  [SMALL_STATE(2513)] = 78039,
  [SMALL_STATE(2514)] = 78052,
  [SMALL_STATE(2515)] = 78065,
  [SMALL_STATE(2516)] = 78078,
  [SMALL_STATE(2517)] = 78091,
  [SMALL_STATE(2518)] = 78104,
  [SMALL_STATE(2519)] = 78117,
  [SMALL_STATE(2520)] = 78130,
  [SMALL_STATE(2521)] = 78143,
  [SMALL_STATE(2522)] = 78156,
  [SMALL_STATE(2523)] = 78169,
  [SMALL_STATE(2524)] = 78182,
  [SMALL_STATE(2525)] = 78195,
  [SMALL_STATE(2526)] = 78208,
  [SMALL_STATE(2527)] = 78221,
  [SMALL_STATE(2528)] = 78234,
  [SMALL_STATE(2529)] = 78247,
  [SMALL_STATE(2530)] = 78260,
  [SMALL_STATE(2531)] = 78273,
  [SMALL_STATE(2532)] = 78286,
  [SMALL_STATE(2533)] = 78299,
  [SMALL_STATE(2534)] = 78312,
  [SMALL_STATE(2535)] = 78325,
  [SMALL_STATE(2536)] = 78338,
  [SMALL_STATE(2537)] = 78351,
  [SMALL_STATE(2538)] = 78364,
  [SMALL_STATE(2539)] = 78377,
  [SMALL_STATE(2540)] = 78390,
  [SMALL_STATE(2541)] = 78403,
  [SMALL_STATE(2542)] = 78416,
  [SMALL_STATE(2543)] = 78429,
  [SMALL_STATE(2544)] = 78442,
  [SMALL_STATE(2545)] = 78455,
  [SMALL_STATE(2546)] = 78468,
  [SMALL_STATE(2547)] = 78481,
  [SMALL_STATE(2548)] = 78494,
  [SMALL_STATE(2549)] = 78507,
  [SMALL_STATE(2550)] = 78520,
  [SMALL_STATE(2551)] = 78533,
  [SMALL_STATE(2552)] = 78546,
  [SMALL_STATE(2553)] = 78559,
  [SMALL_STATE(2554)] = 78572,
  [SMALL_STATE(2555)] = 78585,
  [SMALL_STATE(2556)] = 78598,
  [SMALL_STATE(2557)] = 78611,
  [SMALL_STATE(2558)] = 78624,
  [SMALL_STATE(2559)] = 78637,
  [SMALL_STATE(2560)] = 78650,
  [SMALL_STATE(2561)] = 78663,
  [SMALL_STATE(2562)] = 78676,
  [SMALL_STATE(2563)] = 78689,
  [SMALL_STATE(2564)] = 78702,
  [SMALL_STATE(2565)] = 78715,
  [SMALL_STATE(2566)] = 78728,
  [SMALL_STATE(2567)] = 78741,
  [SMALL_STATE(2568)] = 78754,
  [SMALL_STATE(2569)] = 78767,
  [SMALL_STATE(2570)] = 78780,
  [SMALL_STATE(2571)] = 78793,
  [SMALL_STATE(2572)] = 78806,
  [SMALL_STATE(2573)] = 78819,
  [SMALL_STATE(2574)] = 78832,
  [SMALL_STATE(2575)] = 78845,
  [SMALL_STATE(2576)] = 78858,
  [SMALL_STATE(2577)] = 78871,
  [SMALL_STATE(2578)] = 78884,
  [SMALL_STATE(2579)] = 78897,
  [SMALL_STATE(2580)] = 78910,
  [SMALL_STATE(2581)] = 78923,
  [SMALL_STATE(2582)] = 78936,
  [SMALL_STATE(2583)] = 78949,
  [SMALL_STATE(2584)] = 78962,
  [SMALL_STATE(2585)] = 78975,
  [SMALL_STATE(2586)] = 78988,
  [SMALL_STATE(2587)] = 79001,
  [SMALL_STATE(2588)] = 79014,
  [SMALL_STATE(2589)] = 79027,
  [SMALL_STATE(2590)] = 79040,
  [SMALL_STATE(2591)] = 79053,
  [SMALL_STATE(2592)] = 79066,
  [SMALL_STATE(2593)] = 79079,
  [SMALL_STATE(2594)] = 79092,
  [SMALL_STATE(2595)] = 79105,
  [SMALL_STATE(2596)] = 79118,
  [SMALL_STATE(2597)] = 79131,
  [SMALL_STATE(2598)] = 79144,
  [SMALL_STATE(2599)] = 79157,
  [SMALL_STATE(2600)] = 79170,
  [SMALL_STATE(2601)] = 79183,
  [SMALL_STATE(2602)] = 79196,
  [SMALL_STATE(2603)] = 79209,
  [SMALL_STATE(2604)] = 79222,
  [SMALL_STATE(2605)] = 79235,
  [SMALL_STATE(2606)] = 79248,
  [SMALL_STATE(2607)] = 79261,
  [SMALL_STATE(2608)] = 79274,
  [SMALL_STATE(2609)] = 79287,
  [SMALL_STATE(2610)] = 79300,
  [SMALL_STATE(2611)] = 79313,
  [SMALL_STATE(2612)] = 79326,
  [SMALL_STATE(2613)] = 79339,
  [SMALL_STATE(2614)] = 79352,
  [SMALL_STATE(2615)] = 79365,
  [SMALL_STATE(2616)] = 79378,
  [SMALL_STATE(2617)] = 79391,
  [SMALL_STATE(2618)] = 79404,
  [SMALL_STATE(2619)] = 79417,
  [SMALL_STATE(2620)] = 79430,
  [SMALL_STATE(2621)] = 79443,
  [SMALL_STATE(2622)] = 79456,
  [SMALL_STATE(2623)] = 79469,
  [SMALL_STATE(2624)] = 79482,
  [SMALL_STATE(2625)] = 79495,
  [SMALL_STATE(2626)] = 79508,
  [SMALL_STATE(2627)] = 79521,
  [SMALL_STATE(2628)] = 79534,
  [SMALL_STATE(2629)] = 79547,
  [SMALL_STATE(2630)] = 79560,
  [SMALL_STATE(2631)] = 79573,
  [SMALL_STATE(2632)] = 79586,
  [SMALL_STATE(2633)] = 79599,
  [SMALL_STATE(2634)] = 79612,
  [SMALL_STATE(2635)] = 79625,
  [SMALL_STATE(2636)] = 79638,
  [SMALL_STATE(2637)] = 79651,
  [SMALL_STATE(2638)] = 79664,
  [SMALL_STATE(2639)] = 79677,
  [SMALL_STATE(2640)] = 79690,
  [SMALL_STATE(2641)] = 79703,
  [SMALL_STATE(2642)] = 79716,
  [SMALL_STATE(2643)] = 79729,
  [SMALL_STATE(2644)] = 79742,
  [SMALL_STATE(2645)] = 79755,
  [SMALL_STATE(2646)] = 79768,
  [SMALL_STATE(2647)] = 79781,
  [SMALL_STATE(2648)] = 79794,
  [SMALL_STATE(2649)] = 79807,
  [SMALL_STATE(2650)] = 79820,
  [SMALL_STATE(2651)] = 79833,
  [SMALL_STATE(2652)] = 79846,
  [SMALL_STATE(2653)] = 79859,
  [SMALL_STATE(2654)] = 79872,
  [SMALL_STATE(2655)] = 79885,
  [SMALL_STATE(2656)] = 79898,
  [SMALL_STATE(2657)] = 79911,
  [SMALL_STATE(2658)] = 79924,
  [SMALL_STATE(2659)] = 79937,
  [SMALL_STATE(2660)] = 79950,
  [SMALL_STATE(2661)] = 79963,
  [SMALL_STATE(2662)] = 79976,
  [SMALL_STATE(2663)] = 79989,
  [SMALL_STATE(2664)] = 80002,
  [SMALL_STATE(2665)] = 80015,
  [SMALL_STATE(2666)] = 80028,
  [SMALL_STATE(2667)] = 80041,
  [SMALL_STATE(2668)] = 80054,
  [SMALL_STATE(2669)] = 80067,
  [SMALL_STATE(2670)] = 80080,
  [SMALL_STATE(2671)] = 80093,
  [SMALL_STATE(2672)] = 80106,
  [SMALL_STATE(2673)] = 80119,
  [SMALL_STATE(2674)] = 80132,
  [SMALL_STATE(2675)] = 80145,
  [SMALL_STATE(2676)] = 80158,
  [SMALL_STATE(2677)] = 80171,
  [SMALL_STATE(2678)] = 80184,
  [SMALL_STATE(2679)] = 80197,
  [SMALL_STATE(2680)] = 80210,
  [SMALL_STATE(2681)] = 80223,
  [SMALL_STATE(2682)] = 80236,
  [SMALL_STATE(2683)] = 80249,
  [SMALL_STATE(2684)] = 80262,
  [SMALL_STATE(2685)] = 80275,
  [SMALL_STATE(2686)] = 80288,
  [SMALL_STATE(2687)] = 80301,
  [SMALL_STATE(2688)] = 80314,
  [SMALL_STATE(2689)] = 80327,
  [SMALL_STATE(2690)] = 80340,
  [SMALL_STATE(2691)] = 80353,
  [SMALL_STATE(2692)] = 80366,
  [SMALL_STATE(2693)] = 80379,
  [SMALL_STATE(2694)] = 80392,
  [SMALL_STATE(2695)] = 80405,
  [SMALL_STATE(2696)] = 80418,
  [SMALL_STATE(2697)] = 80431,
  [SMALL_STATE(2698)] = 80444,
  [SMALL_STATE(2699)] = 80457,
  [SMALL_STATE(2700)] = 80470,
  [SMALL_STATE(2701)] = 80483,
  [SMALL_STATE(2702)] = 80496,
  [SMALL_STATE(2703)] = 80509,
  [SMALL_STATE(2704)] = 80522,
  [SMALL_STATE(2705)] = 80535,
  [SMALL_STATE(2706)] = 80548,
  [SMALL_STATE(2707)] = 80561,
  [SMALL_STATE(2708)] = 80574,
  [SMALL_STATE(2709)] = 80587,
  [SMALL_STATE(2710)] = 80600,
  [SMALL_STATE(2711)] = 80613,
  [SMALL_STATE(2712)] = 80626,
  [SMALL_STATE(2713)] = 80639,
  [SMALL_STATE(2714)] = 80652,
  [SMALL_STATE(2715)] = 80665,
  [SMALL_STATE(2716)] = 80678,
  [SMALL_STATE(2717)] = 80691,
  [SMALL_STATE(2718)] = 80704,
  [SMALL_STATE(2719)] = 80717,
  [SMALL_STATE(2720)] = 80730,
  [SMALL_STATE(2721)] = 80743,
  [SMALL_STATE(2722)] = 80756,
  [SMALL_STATE(2723)] = 80769,
  [SMALL_STATE(2724)] = 80782,
  [SMALL_STATE(2725)] = 80795,
  [SMALL_STATE(2726)] = 80808,
  [SMALL_STATE(2727)] = 80821,
  [SMALL_STATE(2728)] = 80834,
  [SMALL_STATE(2729)] = 80847,
  [SMALL_STATE(2730)] = 80860,
  [SMALL_STATE(2731)] = 80873,
  [SMALL_STATE(2732)] = 80886,
  [SMALL_STATE(2733)] = 80899,
  [SMALL_STATE(2734)] = 80912,
  [SMALL_STATE(2735)] = 80925,
  [SMALL_STATE(2736)] = 80938,
  [SMALL_STATE(2737)] = 80951,
  [SMALL_STATE(2738)] = 80964,
  [SMALL_STATE(2739)] = 80977,
  [SMALL_STATE(2740)] = 80990,
  [SMALL_STATE(2741)] = 80994,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [17] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [19] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(951),
  [22] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(482),
  [25] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1368),
  [28] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1952),
  [31] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1712),
  [34] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1415),
  [37] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1525),
  [40] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1232),
  [43] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2725),
  [46] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(103),
  [49] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2722),
  [52] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2719),
  [55] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2718),
  [58] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [60] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2717),
  [63] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1330),
  [66] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1334),
  [69] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [72] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1333),
  [75] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1306),
  [78] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(126),
  [81] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1950),
  [84] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2715),
  [87] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(228),
  [90] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1949),
  [93] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2713),
  [96] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2712),
  [99] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1135),
  [102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2314),
  [105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2710),
  [108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(213),
  [111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(212),
  [114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(211),
  [117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(435),
  [120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2315),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(111),
  [126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2708),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2707),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2319),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2321),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2325),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(417),
  [144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(417),
  [147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(413),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(582),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(405),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(870),
  [159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(699),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2701),
  [165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(142),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1614),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1141),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1142),
  [177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1497),
  [180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1402),
  [183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1625),
  [186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1969),
  [189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1400),
  [192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1627),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(119),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(385),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(384),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(383),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(382),
  [210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 134),
  [232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 134),
  [240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3, 0, 0),
  [342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 3, 0, 0),
  [344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 134),
  [346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 134),
  [348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 0),
  [350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 2, 0, 0),
  [352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2732),
  [355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2350),
  [358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2739),
  [361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2683),
  [364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2402),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2702),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2730),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 1, 0, 0),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 2, 0, 0),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 0),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1963),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2368),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2509),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1780),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(920),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(837),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 1, 0, 0),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_placeholder, 1, 0, 0),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 3, 0, 0),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 2, 0, 0),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 6),
  [989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 6),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2459),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2539),
  [1002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2459),
  [1005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 23),
  [1007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [1013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 52),
  [1015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 52),
  [1017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 52), SHIFT(2411),
  [1020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 52), SHIFT(112),
  [1023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(2411),
  [1026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(112),
  [1029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 1, 0, 0),
  [1031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 1, 0, 0),
  [1033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, 0, 186),
  [1043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, 0, 186),
  [1045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 163),
  [1047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 163),
  [1049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 95),
  [1055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 95),
  [1057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 95), SHIFT_REPEAT(2411),
  [1060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 23),
  [1062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 23),
  [1064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 169),
  [1074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 169),
  [1076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 3, 0, 23),
  [1078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 3, 0, 23),
  [1080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 202),
  [1082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 202),
  [1084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 203),
  [1086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 203),
  [1088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, 0, 170),
  [1090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, 0, 170),
  [1092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 46),
  [1094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 46),
  [1096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 208),
  [1098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 208),
  [1100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 209),
  [1102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 209),
  [1104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 188),
  [1106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 188),
  [1108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 210),
  [1110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 210),
  [1112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 190),
  [1114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 190),
  [1116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 192),
  [1118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 192),
  [1120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 212),
  [1122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 212),
  [1124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 52),
  [1126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 52),
  [1128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 213),
  [1130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 213),
  [1132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 214),
  [1134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 214),
  [1136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 203),
  [1138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 203),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 94),
  [1142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 94),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 165),
  [1150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 165),
  [1152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12, 0, 215),
  [1154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12, 0, 215),
  [1156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 167),
  [1158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 167),
  [1160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 131),
  [1166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 131),
  [1168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 51),
  [1174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 51),
  [1176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 175),
  [1182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 175),
  [1184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 91),
  [1190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 91),
  [1192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 73),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 73),
  [1200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [1210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 6),
  [1214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 6),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 48),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 48),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 48),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 48),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, 0, 173),
  [1246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, 0, 173),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 130),
  [1250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 130),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 16),
  [1254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 16),
  [1256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 48),
  [1266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 48),
  [1268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 71),
  [1270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 71),
  [1272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 170),
  [1274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 170),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 109),
  [1278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 109),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 71),
  [1282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 71),
  [1284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 71),
  [1290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 71),
  [1292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 109),
  [1294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 109),
  [1296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 144),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 144),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 145),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 145),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 4, 0, 71),
  [1310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 4, 0, 71),
  [1312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 109),
  [1318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 109),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 167),
  [1330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 167),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 18),
  [1334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 18),
  [1336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 166),
  [1350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 166),
  [1352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 165),
  [1354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 165),
  [1356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 164),
  [1358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 164),
  [1360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 148),
  [1362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 148),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 6, 0, 113),
  [1370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 6, 0, 113),
  [1372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 112),
  [1374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 112),
  [1376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 46),
  [1382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 46),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__semicolon, 1, 0, 0),
  [1386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__semicolon, 1, 0, 0),
  [1388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 23),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 23),
  [1396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 113),
  [1398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 113),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 50),
  [1402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 50),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 114),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 114),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 93),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 93),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 51),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 51),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 3, 0, 15),
  [1446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 3, 0, 15),
  [1448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 6),
  [1450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 6),
  [1452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 15),
  [1454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 15),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, 0, 12),
  [1458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 2, 0, 12),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 23),
  [1462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 23),
  [1464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 94),
  [1474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 94),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 23),
  [1478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 23),
  [1480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 15),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 15),
  [1488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 15),
  [1498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 15),
  [1500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 189),
  [1510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 189),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 15),
  [1514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 15),
  [1516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 188),
  [1542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 188),
  [1544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 187),
  [1554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 187),
  [1556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [1560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [1564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [1570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5, 0, 0),
  [1572] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [1574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, 0, 31),
  [1588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, 0, 31),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 31),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 31),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_subscript_expression, 3, 0, 0),
  [1598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_subscript_expression, 3, 0, 0),
  [1600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_name, 1, 0, 5),
  [1602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__member_name, 1, 0, 5),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 4),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 4),
  [1608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 2, 0, 11),
  [1610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 2, 0, 11),
  [1612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_subscript_expression, 4, 0, 0),
  [1614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_subscript_expression, 4, 0, 0),
  [1616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_subscript_expression, 4, 0, 0),
  [1618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__dereferencable_subscript_expression, 4, 0, 0),
  [1620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 25),
  [1622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 25),
  [1624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 68),
  [1626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 68),
  [1628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 4, 0, 68),
  [1634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 4, 0, 68),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_member_access_expression, 3, 0, 31),
  [1638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_member_access_expression, 3, 0, 31),
  [1640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_variable, 1, 0, 0),
  [1642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__callable_variable, 1, 0, 0),
  [1644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__identifier, 1, 0, 0),
  [1646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__identifier, 1, 0, 0),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 4, 0, 67),
  [1650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 4, 0, 67),
  [1652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_name, 3, 0, 16),
  [1654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__member_name, 3, 0, 16),
  [1656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 0),
  [1666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 0),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_subscript_expression, 3, 0, 0),
  [1674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__dereferencable_subscript_expression, 3, 0, 0),
  [1676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 3),
  [1678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 3),
  [1680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_scoped_property_access_expression, 3, 0, 25),
  [1682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_scoped_property_access_expression, 3, 0, 25),
  [1684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_nullsafe_member_access_expression, 3, 0, 31),
  [1686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_nullsafe_member_access_expression, 3, 0, 31),
  [1688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_variable, 1, 0, 0),
  [1690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_variable, 1, 0, 0),
  [1692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_variable, 4, 0, 49),
  [1698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_expression, 1, 0, 0),
  [1700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 0),
  [1702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [1704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_variable, 4, 0, 49),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [1714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [1720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [1722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1551),
  [1725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1614),
  [1728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2625),
  [1731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [1733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(131),
  [1736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2616),
  [1739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(887),
  [1742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(157),
  [1745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1416),
  [1748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1659),
  [1751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2221),
  [1754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1687),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [1790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 3, 0, 0),
  [1793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 2, 0, 8),
  [1795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 2, 0, 8),
  [1797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2552),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [1804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [1808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 3, 0, 26),
  [1812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 3, 0, 26),
  [1814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [1828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [1832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [1834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2552),
  [1837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 5, 0, 106),
  [1845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 5, 0, 106),
  [1847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [1853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [1855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_scalar, 1, 0, 0),
  [1857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [1859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [1861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 22),
  [1863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 22),
  [1865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 99),
  [1867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 99),
  [1869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 7, 0, 193),
  [1871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 7, 0, 193),
  [1873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 7, 0, 172),
  [1875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 7, 0, 172),
  [1877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 7, 0, 172),
  [1879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 7, 0, 172),
  [1881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 6, 0, 131),
  [1883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 6, 0, 131),
  [1885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 6, 0, 171),
  [1887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 6, 0, 171),
  [1889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_dereferencable_expression, 2, 0, 0),
  [1891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_dereferencable_expression, 2, 0, 0),
  [1893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 3, 0, 36),
  [1895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 3, 0, 36),
  [1897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 3, 0, 53),
  [1899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 3, 0, 53),
  [1901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [1903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [1905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 1, 0, 0),
  [1907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 1, 0, 0),
  [1909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_expression, 1, 0, 2),
  [1911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 2),
  [1913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name_reference, 1, 0, 0),
  [1915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name_reference, 1, 0, 0),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [1925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 57),
  [1927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 57),
  [1929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 58),
  [1931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 58),
  [1933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 9),
  [1935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 9),
  [1937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0), REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [1946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [1948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [1950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 59),
  [1952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 59),
  [1954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__name, 1, 0, 0),
  [1960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 6, 0, 140),
  [1962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 6, 0, 140),
  [1964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 141),
  [1966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 141),
  [1968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 140),
  [1970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 140),
  [1972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 139),
  [1974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 139),
  [1976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 5, 0, 136),
  [1978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 5, 0, 136),
  [1980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 5, 0, 135),
  [1982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 5, 0, 135),
  [1984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 6, 0, 22),
  [1986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 6, 0, 22),
  [1988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 22),
  [1990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 22),
  [1992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 5, 0, 100),
  [1994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 5, 0, 100),
  [1996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 101),
  [1998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 101),
  [2000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 100),
  [2002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 100),
  [2004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 22),
  [2006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 22),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [2014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [2016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [2020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [2022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [2028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [2030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 2, 0, 6),
  [2032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 2, 0, 6),
  [2034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_dereferencable_expression, 3, 0, 0),
  [2036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_dereferencable_expression, 3, 0, 0),
  [2038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [2040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [2042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 4, 0, 96),
  [2044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 4, 0, 96),
  [2046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [2048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [2050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 4, 0, 97),
  [2052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 4, 0, 97),
  [2054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [2056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [2058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 3, 0, 24),
  [2060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 3, 0, 24),
  [2062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [2064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [2066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 98),
  [2068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 98),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [2080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [2082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [2104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_name, 2, 0, 60),
  [2106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_name, 2, 0, 60),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_non_dereferencable_expression, 2, 0, 0),
  [2118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_non_dereferencable_expression, 2, 0, 0),
  [2120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__name, 1, 0, 0),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [2136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4, 0, 0),
  [2142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4, 0, 0),
  [2144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_op_expression, 2, 0, 9),
  [2146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_op_expression, 2, 0, 9),
  [2148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [2162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3, 0, 0),
  [2168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3, 0, 0),
  [2170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 29),
  [2176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 29),
  [2178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 2, 0, 13),
  [2180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 2, 0, 13),
  [2182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 23),
  [2184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, 0, 23),
  [2186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 5, 0, 0),
  [2188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 5, 0, 0),
  [2190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 14),
  [2192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 14),
  [2194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 49),
  [2196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 49),
  [2198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [2200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [2202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [2208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [2210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [2212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2, 0, 0),
  [2214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2, 0, 0),
  [2216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_expression, 1, 0, 0),
  [2218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unary_expression, 1, 0, 0),
  [2220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 30),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [2230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 29),
  [2270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_once_expression, 2, 0, 0),
  [2272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2, 0, 0),
  [2274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_once_expression, 2, 0, 0),
  [2276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_unpacking, 2, 0, 0),
  [2278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_expression, 2, 0, 0),
  [2280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [2282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 65),
  [2284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 65),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_assignment_expression, 4, 0, 66),
  [2288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_intrinsic, 2, 0, 0),
  [2290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [2292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 28),
  [2294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 105),
  [2296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 105),
  [2298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [2326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [2334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [2350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [2356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [2362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [2378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifier, 1, 0, 0),
  [2380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifier, 1, 0, 0),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [2384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1328),
  [2389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1330),
  [2394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1334),
  [2397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [2400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1333),
  [2403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1306),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [2412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [2414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [2416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 182),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [2458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 176),
  [2460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 150),
  [2462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 157),
  [2464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 200),
  [2466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 117),
  [2468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 3, 0, 85),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 151),
  [2472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 181),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [2476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 1, 0, 0),
  [2478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 0),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [2488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 3, 0, 34),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expressions, 1, 0, 0),
  [2494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_element, 3, 0, 0),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [2498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 0),
  [2500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 155),
  [2502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 119),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__foreach_value, 1, 0, 0),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [2536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 159),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [2540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 115),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 85),
  [2544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1328),
  [2547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1505),
  [2550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1550),
  [2553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1232),
  [2556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0),
  [2558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1330),
  [2561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1334),
  [2564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [2567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1333),
  [2570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1306),
  [2573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1497),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 6, 0, 183),
  [2580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0),
  [2582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_conditional_expression, 3, 0, 133),
  [2584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_default_expression, 3, 0, 132),
  [2586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 125),
  [2588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, 0, 102),
  [2590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 154),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [2596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 61),
  [2598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 62),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [2670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [2710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [2716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1328),
  [2719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1505),
  [2722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1550),
  [2725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0),
  [2727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2571),
  [2730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1330),
  [2733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1334),
  [2736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [2739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1333),
  [2742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1306),
  [2745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1497),
  [2748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [2752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 4, 0, 0),
  [2758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 4, 0, 0),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [2762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 1, 0, 0),
  [2768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 1, 0, 0),
  [2770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [2772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [2774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [2778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [2780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [2782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1499),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 1, 0, 0),
  [2799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 1, 0, 0),
  [2801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [2833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1497),
  [2836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_scope, 1, 0, 0),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [2860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(261),
  [2863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1594),
  [2866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1594),
  [2869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1431),
  [2872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1620),
  [2875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [2887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0), SHIFT(1431),
  [2890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [2892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [2898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [2902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(261),
  [2905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1594),
  [2908] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1594),
  [2911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [2913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1620),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [2918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 1, 0, 0),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [2924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [2930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 33),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [2936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [2942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 128),
  [2944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 129),
  [2946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3, 0, 0),
  [2948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 162),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [2952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 161),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [2956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4, 0, 0),
  [2958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2, 0, 0),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [2964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 89),
  [2966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [2970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 12),
  [2972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(272),
  [2975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1706),
  [2978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1706),
  [2981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [2983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1690),
  [2986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(345),
  [2989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1700),
  [2992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1700),
  [2995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [2997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1669),
  [3000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 127),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [3004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3, 0, 0),
  [3006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [3008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 160),
  [3010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 5, 0, 185),
  [3012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 1, 0, 0),
  [3014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 46),
  [3016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 47),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [3022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 46),
  [3024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 1, 0, 1),
  [3026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3, 0, 0),
  [3028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 0),
  [3030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook_list, 3, 0, 0),
  [3032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 0),
  [3034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 6, 0, 201),
  [3036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, 0, 184),
  [3038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [3040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook_list, 2, 0, 0),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 184),
  [3044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 160),
  [3046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_type, 1, 0, 0),
  [3048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 1, 0, 0),
  [3050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 1, 0, 0),
  [3052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 4, 0, 81),
  [3054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 3, 0, 16),
  [3056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_member_declaration, 1, 0, 0),
  [3058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 88),
  [3060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 3, 0, 126),
  [3062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 90),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [3068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [3072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [3074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [3082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1533),
  [3085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1576),
  [3088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0),
  [3090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1330),
  [3093] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1497),
  [3096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [3098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [3104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [3108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [3110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [3118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [3120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [3124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [3126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [3134] = {.entry = {.count = 4, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [3141] = {.entry = {.count = 4, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [3154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__types, 1, 0, 0),
  [3160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__types, 1, 0, 0),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [3168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [3174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [3180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [3186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [3190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2, 0, 0),
  [3204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2, 0, 0),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [3208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1345),
  [3211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1360),
  [3214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [3220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1362),
  [3227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [3243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [3245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [3277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2724),
  [3280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2478),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [3293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 56),
  [3299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 56),
  [3301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [3315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [3317] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1366),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [3325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, 0, 0),
  [3331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, 0, 0),
  [3333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 0),
  [3335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0),
  [3337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 3),
  [3343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 3),
  [3345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0),
  [3347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(307),
  [3350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2387),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [3357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [3369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [3371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [3375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [3425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [3433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [3439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2038),
  [3444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2039),
  [3447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [3451] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1360),
  [3457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(2476),
  [3460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(117),
  [3463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 52), SHIFT(2476),
  [3466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 52), SHIFT(117),
  [3469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [3471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [3489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1, 0, 0),
  [3491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1, 0, 0),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [3497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 1, 0, 0),
  [3499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 1, 0, 0),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 3, 0, 21),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [3507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text, 1, 0, 0),
  [3509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_text, 1, 0, 0),
  [3511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 95), SHIFT_REPEAT(2476),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [3518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 199),
  [3520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 199),
  [3522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 180),
  [3524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 180),
  [3526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 3, 0, 6),
  [3528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 3, 0, 6),
  [3530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 194),
  [3532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 194),
  [3534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0),
  [3536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0),
  [3538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1946),
  [3541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1946),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [3550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [3554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 195),
  [3556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 195),
  [3558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 196),
  [3560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 196),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [3566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 2, 0, 7),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [3570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 197),
  [3572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 197),
  [3574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [3576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [3578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [3580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 179),
  [3582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 179),
  [3584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0),
  [3586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1524),
  [3589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 178),
  [3591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 178),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [3597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 177),
  [3599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 177),
  [3601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 204),
  [3603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 204),
  [3605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 205),
  [3607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 205),
  [3609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 206),
  [3611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 206),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [3617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 207),
  [3619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 207),
  [3621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0),
  [3623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2080),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [3628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 6, 0, 211),
  [3630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 6, 0, 211),
  [3632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 156),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [3640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 1, 0, 0),
  [3642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 1, 0, 0),
  [3644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [3646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 1, 0, 153),
  [3648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 1, 0, 153),
  [3650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1926),
  [3653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1926),
  [3656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 2, 0, 152),
  [3658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 2, 0, 152),
  [3660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [3664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 19),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [3670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 27),
  [3672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 32),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [3682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [3684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [3686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 198),
  [3688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 198),
  [3690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 2, 0, 38),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [3696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1353),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [3701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1359),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [3706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 3, 0, 0),
  [3708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 122),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [3712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 121),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [3716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [3718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 1, 0, 0),
  [3720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 1, 0, 0),
  [3722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 116),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [3726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 69),
  [3728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0),
  [3730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2584),
  [3733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 72),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [3737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 110),
  [3739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 77),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [3743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 78),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [3747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [3749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 42),
  [3751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 83),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [3755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 1, 0, 5),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [3759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 63),
  [3761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1365),
  [3764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 95),
  [3766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 95), SHIFT_REPEAT(2405),
  [3769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 95),
  [3771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1363),
  [3774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1357),
  [3777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1, 0, 0),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [3785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 3, 0, 0),
  [3787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution_qualifier, 1, 0, 0),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [3801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4, 0, 0),
  [3803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 1, 0, 0),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [3811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 2, 0, 0),
  [3813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0),
  [3815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1577),
  [3818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1366),
  [3821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1366),
  [3824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0),
  [3826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1440),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [3833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0),
  [3835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1919),
  [3838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0),
  [3840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2050),
  [3843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1509),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [3848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2, 0, 0),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [3854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [3856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(2039),
  [3859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3, 0, 0),
  [3861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 1, 0, 0),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [3879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 2, 0, 17),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [3883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc_body, 2, 0, 0),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [3893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 1, 0, 0),
  [3895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 1, 0, 0),
  [3897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [3899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [3901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0),
  [3903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1785),
  [3906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0),
  [3908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2025),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [3925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 1, 0, 0),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [3929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 1, 0, 5),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [3945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3, 0, 0),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [3953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(171),
  [3956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0),
  [3958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 138),
  [3960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 0),
  [3962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1942),
  [3965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [3969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 2, 0, 7),
  [3971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 110),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [3977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 1, 0, 0),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [3981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 10),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [3993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 138),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [3997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 0),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [4003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [4005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [4007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [4009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [4011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0), SHIFT_REPEAT(367),
  [4014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(184),
  [4017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0),
  [4019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 5, 0, 87),
  [4021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause_2, 3, 0, 23),
  [4023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause_2, 3, 0, 23),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [4051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 1, 0, 5),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [4055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 124),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [4059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 7),
  [4061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 1, 0, 0),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [4067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 19),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [4075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 3, 0, 0),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4087] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(174),
  [4090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [4100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1360),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [4113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 27),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [4119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 110),
  [4121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 32),
  [4123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 72),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [4127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 69),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [4133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 3, 0, 35),
  [4135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 37),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [4143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 63),
  [4145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(158),
  [4148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [4152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1430),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [4157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 39),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [4165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 40),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [4169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 19),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, 0, 43),
  [4181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 55),
  [4183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 0),
  [4185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 2, 0, 0),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [4191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 45),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [4203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 50),
  [4205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 50),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [4211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 54),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 0),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [4219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 55),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [4227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(185),
  [4230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 55),
  [4232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(179),
  [4235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1501),
  [4238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(698),
  [4257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 3, 0, 0),
  [4259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 27),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [4269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 84),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [4279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 63),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 82),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [4287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 4, 0, 74),
  [4289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 69),
  [4291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 80),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [4295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 32),
  [4297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(880),
  [4300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [4306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 72),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [4318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 182),
  [4320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 181),
  [4322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 176),
  [4324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 6, 0, 0),
  [4326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 81),
  [4328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 79),
  [4330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 38),
  [4332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 76),
  [4334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_use_group, 4, 0, 75),
  [4336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 157),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [4342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 156),
  [4344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 151),
  [4346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 150),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [4350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 8, 0, 200),
  [4352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 4, 0, 0),
  [4354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 5, 0, 0),
  [4356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 5, 0, 158),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [4362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 122),
  [4364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 121),
  [4366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 117),
  [4368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 116),
  [4370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0), REDUCE(sym_array_element_initializer, 3, 0, 0),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_type, 1, 0, 0),
  [4377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 4, 0, 0),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0), REDUCE(sym_array_element_initializer, 1, 0, 0),
  [4388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 137),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [4398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_instead_of_clause, 3, 0, 0),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 123),
  [4404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 83),
  [4406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 118),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [4410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 120),
  [4412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 3, 0, 0), SHIFT(2552),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [4437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, 0, 16),
  [4439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_use_group, 3, 0, 36),
  [4441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 4, 0, 0),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [4447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 3, 0, 0),
  [4449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2552),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [4456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 77),
  [4458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 78),
  [4460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 7),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [4466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 111),
  [4468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 107),
  [4470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 108),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [4476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 111),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [4484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 107),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [4492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 103),
  [4494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 104),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [4504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 103),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [4526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 20),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [4532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 41),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [4552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_unary_expression, 2, 0, 0),
  [4554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 44),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [4584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 20),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [4610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 41),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [4632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [4672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 142),
  [4674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 143),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [4682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 146),
  [4684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 147),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [4688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 6, 0, 146),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [4706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause_2, 2, 0, 6),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [4712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2555),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [4730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_array_access_argument, 1, 0, 0),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [4750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_directive, 3, 0, 0),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [4762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 3, 0, 0),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [4766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 7, 0, 174),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [4788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 64),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [4794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 64),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [4800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 70),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [4804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 70),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [4864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 86),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [4870] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [4880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 2, 0, 0),
  [4882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 3, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token_encapsed_string_chars = 1,
  ts_external_token_encapsed_string_chars_after_variable = 2,
  ts_external_token_execution_string_chars = 3,
  ts_external_token_execution_string_chars_after_variable = 4,
  ts_external_token_encapsed_string_chars_heredoc = 5,
  ts_external_token_encapsed_string_chars_after_variable_heredoc = 6,
  ts_external_token__eof = 7,
  ts_external_token_heredoc_start = 8,
  ts_external_token_heredoc_end = 9,
  ts_external_token_nowdoc_string = 10,
  ts_external_token_sentinel_error = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token_encapsed_string_chars] = sym_encapsed_string_chars,
  [ts_external_token_encapsed_string_chars_after_variable] = sym_encapsed_string_chars_after_variable,
  [ts_external_token_execution_string_chars] = sym_execution_string_chars,
  [ts_external_token_execution_string_chars_after_variable] = sym_execution_string_chars_after_variable,
  [ts_external_token_encapsed_string_chars_heredoc] = sym_encapsed_string_chars_heredoc,
  [ts_external_token_encapsed_string_chars_after_variable_heredoc] = sym_encapsed_string_chars_after_variable_heredoc,
  [ts_external_token__eof] = sym__eof,
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_nowdoc_string] = sym_nowdoc_string,
  [ts_external_token_sentinel_error] = sym_sentinel_error,
};

static const bool ts_external_scanner_states[15][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token__eof] = true,
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
    [ts_external_token_sentinel_error] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [4] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
  },
  [5] = {
    [ts_external_token_execution_string_chars] = true,
  },
  [6] = {
    [ts_external_token_encapsed_string_chars] = true,
  },
  [7] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [8] = {
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
  },
  [9] = {
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
  },
  [10] = {
    [ts_external_token__eof] = true,
  },
  [11] = {
    [ts_external_token_heredoc_end] = true,
  },
  [12] = {
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
  },
  [13] = {
    [ts_external_token_heredoc_start] = true,
  },
  [14] = {
    [ts_external_token_nowdoc_string] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_php_external_scanner_create(void);
void tree_sitter_php_external_scanner_destroy(void *);
bool tree_sitter_php_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_php_external_scanner_serialize(void *, char *);
void tree_sitter_php_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_php(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_php_external_scanner_create,
      tree_sitter_php_external_scanner_destroy,
      tree_sitter_php_external_scanner_scan,
      tree_sitter_php_external_scanner_serialize,
      tree_sitter_php_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
